-- --------------------------------------------------------
-- Host:                         localhost
-- Server version:               10.1.10-MariaDB - mariadb.org binary distribution
-- Server OS:                    Win64
-- HeidiSQL Version:             9.1.0.4867
-- --------------------------------------------------------

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET NAMES utf8mb4 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;

-- Dumping database structure for mariadb_climsoft_db_v4
CREATE DATABASE IF NOT EXISTS `mariadb_climsoft_db_v4` /*!40100 DEFAULT CHARACTER SET latin1 */;
USE `mariadb_climsoft_db_v4`;


-- Dumping structure for table mariadb_climsoft_db_v4.abc
CREATE TABLE IF NOT EXISTS `abc` (
  `No` int(11) NOT NULL,
  `Element_abbreviation` text NOT NULL,
  `Element_Name` text NOT NULL,
  `Element_Details` text NOT NULL,
  `Climsoft_Element` text NOT NULL,
  `Bufr_Element` text NOT NULL,
  `unit` text NOT NULL,
  `lower_limit` text NOT NULL,
  `upper_limit` text NOT NULL,
  `obsv` text NOT NULL,
  UNIQUE KEY `identification` (`No`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_db_v4.abc: ~0 rows (approximately)
/*!40000 ALTER TABLE `abc` DISABLE KEYS */;
/*!40000 ALTER TABLE `abc` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_db_v4.acquisitiontype
CREATE TABLE IF NOT EXISTS `acquisitiontype` (
  `code` int(11) NOT NULL DEFAULT '0',
  `description` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`code`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_db_v4.acquisitiontype: ~0 rows (approximately)
/*!40000 ALTER TABLE `acquisitiontype` DISABLE KEYS */;
/*!40000 ALTER TABLE `acquisitiontype` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_db_v4.aws1
CREATE TABLE IF NOT EXISTS `aws1` (
  `No` int(11) NOT NULL,
  `Element_abbreviation` text NOT NULL,
  `Element_Name` text NOT NULL,
  `Element_Details` text NOT NULL,
  `Climsoft_Element` text NOT NULL,
  `Bufr_Element` text NOT NULL,
  `unit` text NOT NULL,
  `lower_limit` text NOT NULL,
  `upper_limit` text NOT NULL,
  `obsv` text NOT NULL,
  UNIQUE KEY `identification` (`No`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_db_v4.aws1: ~0 rows (approximately)
/*!40000 ALTER TABLE `aws1` DISABLE KEYS */;
/*!40000 ALTER TABLE `aws1` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_db_v4.aws_basestation
CREATE TABLE IF NOT EXISTS `aws_basestation` (
  `ftpId` varchar(50) NOT NULL,
  `inputFolder` varchar(20) NOT NULL,
  `ftpMode` varchar(10) DEFAULT NULL,
  `userName` varchar(15) NOT NULL,
  `password` varchar(15) NOT NULL,
  PRIMARY KEY (`ftpId`),
  UNIQUE KEY `ftpId_UNIQUE` (`ftpId`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- Dumping data for table mariadb_climsoft_db_v4.aws_basestation: ~2 rows (approximately)
/*!40000 ALTER TABLE `aws_basestation` DISABLE KEYS */;
INSERT INTO `aws_basestation` (`ftpId`, `inputFolder`, `ftpMode`, `userName`, `password`) VALUES
	('localhost', '/', 'FTP', 'ftp', 'ftp'),
	('localhost1', '/', 'FTP', 'ftp1', 'ftp1');
/*!40000 ALTER TABLE `aws_basestation` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_db_v4.aws_elements
CREATE TABLE IF NOT EXISTS `aws_elements` (
  `aws_element` varchar(50) NOT NULL,
  `climsoft_element` varchar(50) NOT NULL,
  `element_description` varchar(50) NOT NULL,
  PRIMARY KEY (`aws_element`,`climsoft_element`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_db_v4.aws_elements: ~0 rows (approximately)
/*!40000 ALTER TABLE `aws_elements` DISABLE KEYS */;
/*!40000 ALTER TABLE `aws_elements` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_db_v4.aws_lsi
CREATE TABLE IF NOT EXISTS `aws_lsi` (
  `Cols` int(11) NOT NULL,
  `Element_abbreviation` varchar(20) DEFAULT NULL,
  `Element_Name` varchar(20) DEFAULT NULL,
  `Element_Details` varchar(25) DEFAULT NULL,
  `Climsoft_Element` varchar(6) DEFAULT NULL,
  `Bufr_Element` varchar(6) DEFAULT NULL,
  `unit` varchar(15) DEFAULT NULL,
  `lower_limit` varchar(10) DEFAULT NULL,
  `upper_limit` varchar(10) DEFAULT NULL,
  `obsv` varchar(25) DEFAULT NULL,
  UNIQUE KEY `identification` (`Cols`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- Dumping data for table mariadb_climsoft_db_v4.aws_lsi: ~0 rows (approximately)
/*!40000 ALTER TABLE `aws_lsi` DISABLE KEYS */;
/*!40000 ALTER TABLE `aws_lsi` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_db_v4.aws_lsi1
CREATE TABLE IF NOT EXISTS `aws_lsi1` (
  `Cols` int(11) NOT NULL,
  `Element_abbreviation` varchar(20) DEFAULT NULL,
  `Element_Name` varchar(20) DEFAULT NULL,
  `Element_Details` varchar(25) DEFAULT NULL,
  `Climsoft_Element` varchar(6) DEFAULT NULL,
  `Bufr_Element` varchar(6) DEFAULT NULL,
  `unit` varchar(15) DEFAULT NULL,
  `lower_limit` varchar(10) DEFAULT NULL,
  `upper_limit` varchar(10) DEFAULT NULL,
  `obsv` varchar(25) DEFAULT NULL,
  UNIQUE KEY `identification` (`Cols`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- Dumping data for table mariadb_climsoft_db_v4.aws_lsi1: ~38 rows (approximately)
/*!40000 ALTER TABLE `aws_lsi1` DISABLE KEYS */;
INSERT INTO `aws_lsi1` (`Cols`, `Element_abbreviation`, `Element_Name`, `Element_Details`, `Climsoft_Element`, `Bufr_Element`, `unit`, `lower_limit`, `upper_limit`, `obsv`) VALUES
	(1, 'Date/time', 'Date/time', '', '', '', '', '', '', '25/09/2018 12:00:00 PM'),
	(2, 'RH_Min', 'RH_Min', '', '', '', '', '', '', '31.75'),
	(3, 'RH_Ave', 'RH_Ave', '', '893', '013003', '%', '20', '100', '33.61'),
	(4, 'RH_Max', 'RH_Max', '', '', '', '', '', '', '36.18'),
	(5, 'RH_StdV', 'RH_StdV', '', '', '', '', '', '', '1.35'),
	(6, 'RH_Perc', 'RH_Perc', '', '', '', '', '', '', '100.00'),
	(7, 'AT_Min', 'AT_Min', '', '883', '012112', '°C', '5', '40', '24.74'),
	(8, 'AT_Ave', 'AT_Ave', '', '881', '012101', '°C', '', '', '25.46'),
	(9, 'AT_Max', 'AT_Max', '', '882', '012111', '°C', '', '', '26.23'),
	(10, 'AT_StdV', 'AT_StdV', '', '', '', '', '', '', '0.51'),
	(11, 'AT_Perc', 'AT_Perc', '', '', '', '', '', '', '100.00'),
	(12, 'AP_Min', 'AP_Min', '', '', '', '', '', '', '845.47'),
	(13, 'AP_Ave', 'AP_Ave', '', '884', '010004', 'Hpa', '', '', '845.60'),
	(14, 'AP_Max', 'AP_Max', '', '', '', '', '', '', '845.68'),
	(15, 'AP_StdDV', 'AP_StdDV', '', '', '', '', '', '', '0.52'),
	(16, 'AP_Perc', 'AP_Perc', '', '', '', '', '', '', '100.00'),
	(17, 'RAD_Min', 'RAD_Min', '', '', '', '', '', '', '125.98'),
	(18, 'RAD_Ave', 'RAD_Ave', '', '894', '014028', 'J', '', '', '181.49'),
	(19, 'RAD_Max', 'RAD_Max', '', '', '', '', '', '', '200.33'),
	(20, 'RAD_StdDV', 'RAD_StdDV', '', '', '', '', '', '', '12.86'),
	(21, 'RAD_Perc', 'RAD_Perc', '', '', '', '', '', '', '100.00'),
	(22, 'RAIN_Tot', 'RAIN_Tot', '', '892', '013011', 'mm', '0', '1000', '0.00'),
	(23, 'RAIN_Perc', 'RAIN_Perc', '', '', '', '', '', '', '100.00'),
	(24, 'BAT_Inst', 'BAT_Inst', '', '', '', '', '', '', '13.61'),
	(25, 'BAT_Perc', 'BAT_Perc', '', '', '', '', '', '', '100.00'),
	(26, 'TX_Inst', 'TX_Inst', '', '', '', '', '', '', '32.69'),
	(27, 'TX_Perc', 'TX_Perc', '', '', '', '', '', '', '100.00'),
	(28, 'WSD_Min', 'WSD_Min', '', '', '', '', '', '', '0.87'),
	(29, 'WSD_Ave', 'WSD_Ave', '', '897', '011002', 'Knots', '', '', '3.87'),
	(30, 'WSD_Max', 'WSD_Max', '', '886', '011041', 'Knots', '', '', '6.91'),
	(31, 'WSD_StdDev', 'WSD_StdDev', '', '', '', '', '', '', '1.11'),
	(32, 'WSD_Perc', 'WSD_Perc', '', '', '', '', '', '', '100.00'),
	(33, 'WDR_PrevDir', 'WDR_PrevDir', '', '895', '011001', 'Deg', '0', '360', '260.09'),
	(34, 'WDR_RisDir', 'WDR_RisDir', '', '', '', '', '', '', '260.77'),
	(35, 'WDR_RisVel', 'WDR_RisVel', '', '', '', '', '', '', '3.60'),
	(36, 'WDR_StdDevDir', 'WDR_StdDevDir', '', '', '', '', '', '', '21.89'),
	(37, 'WDR_CalmPerc', 'WDR_CalmPerc', '', '', '', '', '', '', '0.00'),
	(38, 'WDR_Perc', 'WDR_Perc', '', '', '', '', '', '', '100.00');
/*!40000 ALTER TABLE `aws_lsi1` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_db_v4.aws_malawi1
CREATE TABLE IF NOT EXISTS `aws_malawi1` (
  `Cols` int(11) NOT NULL,
  `Element_abbreviation` varchar(50) DEFAULT NULL,
  `Element_Name` varchar(50) DEFAULT NULL,
  `Element_Details` varchar(50) DEFAULT NULL,
  `Climsoft_Element` varchar(6) DEFAULT NULL,
  `Bufr_Element` varchar(6) DEFAULT NULL,
  `unit` varchar(15) DEFAULT NULL,
  `lower_limit` varchar(50) DEFAULT NULL,
  `upper_limit` varchar(50) DEFAULT NULL,
  `obsv` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`Cols`),
  KEY `Identification` (`Element_Name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- Dumping data for table mariadb_climsoft_db_v4.aws_malawi1: ~14 rows (approximately)
/*!40000 ALTER TABLE `aws_malawi1` DISABLE KEYS */;
INSERT INTO `aws_malawi1` (`Cols`, `Element_abbreviation`, `Element_Name`, `Element_Details`, `Climsoft_Element`, `Bufr_Element`, `unit`, `lower_limit`, `upper_limit`, `obsv`) VALUES
	(1, 'Date/time', 'Date', 'Date ddmmyy', NULL, NULL, NULL, NULL, NULL, '30/04/13'),
	(2, 'PRECIP', 'Rainfall', 'Rain cummulative', '892', '013011', 'mm', '0', NULL, ' 0'),
	(3, 'WDDR', 'WindDirection', 'Wind Direction', '895', '011001', 'deg', '0', '360', ' 145.066'),
	(4, 'WDSPD', 'WindSpeed', 'Wind Speed Average', '897', NULL, 'ms-1', NULL, NULL, ' 3.3802'),
	(5, 'WDGUSTSPD', 'WindSpeed', 'Wind Speed Average', '896', '11041', 'ms-1', NULL, NULL, ' 3.3802'),
	(6, 'CONDCTVTY', 'Conductivity', 'Electrical Conductivity', '1003', NULL, 'mS/cm', NULL, NULL, ' 145.066'),
	(7, 'VAPPRESS', 'VapourPress', 'Vapour Pressure', '916', NULL, 'kPa', NULL, NULL, ' 26.5028'),
	(8, 'TEMP', 'AirTemp', 'Air temperature', '881', '012103', 'dec', NULL, NULL, ' 26.5028'),
	(9, 'RH', 'RelativeHumidity', 'Relative Humidity', '893', '013003', '%', '0', '100', ' 66.6466'),
	(10, 'PRESS', 'Pressure', 'Pressure', '884', '010004', 'kPa', NULL, NULL, ' 957.366'),
	(11, 'SOLRD', 'SolarRadiation', 'Solar Radiation', '894', '014028', 'W/m^2', NULL, NULL, ' 406.52'),
	(12, 'WATRDPTH', 'WaterDepth', 'Water Depth', '1001', '', 'mm', NULL, NULL, ' 406.52'),
	(13, 'WATRTEMP', 'WaterTemp', 'Water Temperature', '1002', NULL, 'deg', NULL, NULL, ' 406.52'),
	(14, 'SOILMOIST', 'SoilMoisture', 'Soil Moisture', '915', NULL, 'm^3/m^3', NULL, NULL, ' 406.52');
/*!40000 ALTER TABLE `aws_malawi1` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_db_v4.aws_malawi12
CREATE TABLE IF NOT EXISTS `aws_malawi12` (
  `No` int(11) NOT NULL,
  `Element_abbreviation` text NOT NULL,
  `Element_Name` text NOT NULL,
  `Element_Details` text NOT NULL,
  `Climsoft_Element` text NOT NULL,
  `Bufr_Element` text NOT NULL,
  `unit` text NOT NULL,
  `lower_limit` text NOT NULL,
  `upper_limit` text NOT NULL,
  `obsv` text NOT NULL,
  UNIQUE KEY `identification` (`No`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- Dumping data for table mariadb_climsoft_db_v4.aws_malawi12: ~0 rows (approximately)
/*!40000 ALTER TABLE `aws_malawi12` DISABLE KEYS */;
/*!40000 ALTER TABLE `aws_malawi12` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_db_v4.aws_mss
CREATE TABLE IF NOT EXISTS `aws_mss` (
  `ftpId` varchar(50) NOT NULL,
  `inputFolder` varchar(20) NOT NULL,
  `userName` varchar(15) NOT NULL,
  `ftpMode` varchar(10) DEFAULT NULL,
  `password` varchar(15) DEFAULT NULL,
  PRIMARY KEY (`ftpId`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- Dumping data for table mariadb_climsoft_db_v4.aws_mss: ~1 rows (approximately)
/*!40000 ALTER TABLE `aws_mss` DISABLE KEYS */;
INSERT INTO `aws_mss` (`ftpId`, `inputFolder`, `userName`, `ftpMode`, `password`) VALUES
	('localhost', 'input', 'ftp', 'FTP', 'ftp');
/*!40000 ALTER TABLE `aws_mss` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_db_v4.aws_process_parameters
CREATE TABLE IF NOT EXISTS `aws_process_parameters` (
  `RetrieveInterval` int(11) NOT NULL DEFAULT '60',
  `HourOffset` int(11) NOT NULL DEFAULT '10',
  `RetrievePeriod` int(11) NOT NULL DEFAULT '1',
  `RetrieveTimeout` int(11) NOT NULL DEFAULT '20',
  `DelinputFile` tinyint(4) NOT NULL DEFAULT '1',
  `UTCDiff` tinyint(2) unsigned zerofill NOT NULL DEFAULT '00',
  PRIMARY KEY (`RetrieveInterval`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- Dumping data for table mariadb_climsoft_db_v4.aws_process_parameters: ~1 rows (approximately)
/*!40000 ALTER TABLE `aws_process_parameters` DISABLE KEYS */;
INSERT INTO `aws_process_parameters` (`RetrieveInterval`, `HourOffset`, `RetrievePeriod`, `RetrieveTimeout`, `DelinputFile`, `UTCDiff`) VALUES
	(60, 10, 2, 10, 0, 00);
/*!40000 ALTER TABLE `aws_process_parameters` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_db_v4.aws_rema1
CREATE TABLE IF NOT EXISTS `aws_rema1` (
  `Cols` int(11) NOT NULL,
  `Element_abbreviation` varchar(20) DEFAULT NULL,
  `Element_Name` varchar(20) DEFAULT NULL,
  `Element_Details` varchar(25) DEFAULT NULL,
  `Climsoft_Element` varchar(6) DEFAULT NULL,
  `Bufr_Element` varchar(6) DEFAULT NULL,
  `unit` varchar(15) DEFAULT NULL,
  `lower_limit` varchar(10) DEFAULT NULL,
  `upper_limit` varchar(10) DEFAULT NULL,
  `obsv` varchar(25) DEFAULT NULL,
  UNIQUE KEY `identification` (`Cols`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_db_v4.aws_rema1: ~41 rows (approximately)
/*!40000 ALTER TABLE `aws_rema1` DISABLE KEYS */;
INSERT INTO `aws_rema1` (`Cols`, `Element_abbreviation`, `Element_Name`, `Element_Details`, `Climsoft_Element`, `Bufr_Element`, `unit`, `lower_limit`, `upper_limit`, `obsv`) VALUES
	(1, 'date/time', 'Date/time', '', '', '', '', '', '', '2014-01-23 12:40'),
	(2, 'T1', 'Time1', '', '', '', '', '', '', '17-1'),
	(3, 'TempSoilAve', 'TSAVG', 'Average Soil Temperature', '900', '012130', '\'C', '', '', '56.6'),
	(4, 'T2', 'Time2', '', '', '', '', '', '', '17-2'),
	(5, 'PRESAve', 'PRESAVG', 'Average Pressure', '884', '030200', 'hPa', '', '', '766.7'),
	(6, 'T3', 'Time3', '', '', '', '', '', '', '17-3'),
	(7, 'WDPrevDir', 'WDPR', 'Wind Direction', '895', '011001', '', '', '', '219.9'),
	(8, 'T4', 'Time4', '', '', '', '', '', '', '17-7'),
	(9, 'RADAve', 'RADAVG', 'Global Radiation Average', '894', '014028', 'W/m2', '', '', '371.5'),
	(10, 'T5', 'Time5', '', '', '', '', '', '', '17-8'),
	(11, 'WSPAve', 'WSPAVG', 'Average Wind speed', '897', '011002', 'm/s', '', '', '2'),
	(12, 'T6', 'Time6', '', '', '', '', '', '', '17-9'),
	(13, 'TVG', 'TempAve', 'Average Temperature', '881', '012101', '\'C', '', '', '17.2'),
	(14, 'T7', 'Time7', '', '', '', '', '', '', '17-10'),
	(15, 'RHAve', 'RH', 'RELATIVE Humidity Average', '893', '013003', '%', '', '', '78.4'),
	(16, 'T8', 'Time8', '', '', '', '', '', '', '17-11'),
	(17, 'PRECIP', 'Precip Cum', 'Cumulative Precipitation', '892', '013011', 'mm', '', '', '0'),
	(18, 'T9', 'Time9', '', '', '', '', '', '', '17-14'),
	(19, 'GUSTSPD GUST', 'GUST Speed', 'Wind Gust Speed', '886', '011041', 'm/s', '', '', '5.5'),
	(20, 'T10', 'Time10', '', '', '', '', '', '', '20-2'),
	(21, '', 'D10', '', '', '', '', '', '', '13.5'),
	(22, '', 'T11', '', '', '', '', '', '', '20-3'),
	(23, '', 'D11', '', '', '', '', '', '', '0.2'),
	(24, '', 'T12', '', '', '', '', '', '', '20-4'),
	(25, '', 'D12', '', '', '', '', '', '', '19.2'),
	(26, '', 'T13', '', '', '', '', '', '', '20-5'),
	(27, '', 'D13', '', '', '', '', '', '', '2.8'),
	(28, '', 'T14', '', '', '', '', '', '', '20-7'),
	(29, '', 'D14', '', '', '', '', '', '', '2'),
	(30, '', 'T15', '', '', '', '', '', '', '20-8'),
	(31, '', 'D15', '', '', '', '', '', '', '3'),
	(32, '', 'T16', '', '', '', '', '', '', '20-9'),
	(33, '', 'D16', '', '', '', '', '', '', '3.1'),
	(34, '', 'T17', '', '', '', '', '', '', '20-11'),
	(35, '', 'D17', '', '', '', '', '', '', '0.2'),
	(36, '', 'T18', '', '', '', '', '', '', '27-0'),
	(37, '', 'D18', '', '', '', '', '', '', '28.5'),
	(38, '', 'T19', '', '', '', '', '', '', '27-1'),
	(39, '', 'D19', '', '', '', '', '', '', '12'),
	(40, '', 'T20', '', '', '', '', '', '', ''),
	(41, '', 'D20', '', '', '', '', '', '', '');
/*!40000 ALTER TABLE `aws_rema1` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_db_v4.aws_rwanda1
CREATE TABLE IF NOT EXISTS `aws_rwanda1` (
  `Cols` int(11) DEFAULT '0',
  `Element_abbreviation` varchar(50) DEFAULT NULL,
  `Element_Name` varchar(50) DEFAULT NULL,
  `Element_Details` varchar(50) DEFAULT NULL,
  `Climsoft_Element` varchar(6) DEFAULT NULL,
  `Bufr_Element` varchar(6) DEFAULT NULL,
  `unit` varchar(15) DEFAULT NULL,
  `lower_limit` varchar(50) DEFAULT NULL,
  `upper_limit` varchar(50) DEFAULT NULL,
  `obsv` varchar(50) DEFAULT NULL,
  KEY `identification` (`Element_Name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- Dumping data for table mariadb_climsoft_db_v4.aws_rwanda1: ~76 rows (approximately)
/*!40000 ALTER TABLE `aws_rwanda1` DISABLE KEYS */;
INSERT INTO `aws_rwanda1` (`Cols`, `Element_abbreviation`, `Element_Name`, `Element_Details`, `Climsoft_Element`, `Bufr_Element`, `unit`, `lower_limit`, `upper_limit`, `obsv`) VALUES
	(13, 'AP_Ave', 'AP_Ave', NULL, '884', '010004', 'Hpa', NULL, NULL, NULL),
	(14, 'AP_Max', 'AP_Max', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(12, 'AP_Min', 'AP_Min', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(16, 'AP_Perc', 'AP_Perc', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(15, 'AP_StdDV', 'AP_StdDV', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(8, 'AT_Ave', 'AT_Ave', NULL, '881', '012101', '°C', NULL, NULL, NULL),
	(9, 'AT_Max', 'AT_Max', NULL, '882', '012111', '°C', NULL, NULL, NULL),
	(7, 'AT_Min', 'AT_Min', NULL, '883', '012112', '°C', NULL, NULL, NULL),
	(11, 'AT_Perc', 'AT_Perc', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(10, 'AT_StdV', 'AT_StdV', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(24, 'BAT_Inst', 'BAT_Inst', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(25, 'BAT_Perc', 'BAT_Perc', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(1, 'Date/time', 'Date/time', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(18, 'RAD_Ave', 'RAD_Ave', NULL, '894', '014028', 'J', NULL, NULL, NULL),
	(19, 'RAD_Max', 'RAD_Max', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(17, 'RAD_Min', 'RAD_Min', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(21, 'RAD_Perc', 'RAD_Perc', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(20, 'RAD_StdDV', 'RAD_StdDV', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(23, 'RAIN_Perc', 'RAIN_Perc', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(22, 'RAIN_Tot', 'RAIN_Tot', NULL, '892', '013011', 'mm', NULL, NULL, NULL),
	(3, 'RH_Ave', 'RH_Ave', NULL, '893', '013003', '%', NULL, NULL, NULL),
	(4, 'RH_Max', 'RH_Max', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(2, 'RH_Min', 'RH_Min', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(6, 'RH_Perc', 'RH_Perc', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(5, 'RH_StdV', 'RH_StdV', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(26, 'TX_Inst', 'TX_Inst', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(27, 'TX_Perc', 'TX_Perc', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(37, 'WDR_CalmPerc', 'WDR_CalmPerc', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(38, 'WDR_Perc', 'WDR_Perc', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(33, 'WDR_PrevDir', 'WDR_PrevDir', NULL, '895', '011001', 'Deg', NULL, NULL, NULL),
	(34, 'WDR_RisDir', 'WDR_RisDir', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(35, 'WDR_RisVel', 'WDR_RisVel', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(36, 'WDR_StdDevDir', 'WDR_StdDevDir', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(29, 'WSD_Ave', 'WSD_Ave', NULL, '897', '011002', 'Knots', NULL, NULL, NULL),
	(30, 'WSD_Max', 'WSD_Max', NULL, '886', '011041', 'Knots', NULL, NULL, NULL),
	(28, 'WSD_Min', 'WSD_Min', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(32, 'WSD_Perc', 'WSD_Perc', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(31, 'WSD_StdDev', 'WSD_StdDev', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(13, 'AP_Ave', 'AP_Ave', NULL, '884', '010004', 'Hpa', NULL, NULL, NULL),
	(14, 'AP_Max', 'AP_Max', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(12, 'AP_Min', 'AP_Min', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(16, 'AP_Perc', 'AP_Perc', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(15, 'AP_StdDV', 'AP_StdDV', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(8, 'AT_Ave', 'AT_Ave', NULL, '881', '012101', '°C', NULL, NULL, NULL),
	(9, 'AT_Max', 'AT_Max', NULL, '882', '012111', '°C', NULL, NULL, NULL),
	(7, 'AT_Min', 'AT_Min', NULL, '883', '012112', '°C', NULL, NULL, NULL),
	(11, 'AT_Perc', 'AT_Perc', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(10, 'AT_StdV', 'AT_StdV', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(24, 'BAT_Inst', 'BAT_Inst', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(25, 'BAT_Perc', 'BAT_Perc', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(1, 'Date/time', 'Date/time', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(18, 'RAD_Ave', 'RAD_Ave', NULL, '894', '014028', 'J', NULL, NULL, NULL),
	(19, 'RAD_Max', 'RAD_Max', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(17, 'RAD_Min', 'RAD_Min', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(21, 'RAD_Perc', 'RAD_Perc', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(20, 'RAD_StdDV', 'RAD_StdDV', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(23, 'RAIN_Perc', 'RAIN_Perc', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(22, 'RAIN_Tot', 'RAIN_Tot', NULL, '892', '013011', 'mm', NULL, NULL, NULL),
	(3, 'RH_Ave', 'RH_Ave', NULL, '893', '013003', '%', NULL, NULL, NULL),
	(4, 'RH_Max', 'RH_Max', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(2, 'RH_Min', 'RH_Min', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(6, 'RH_Perc', 'RH_Perc', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(5, 'RH_StdV', 'RH_StdV', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(26, 'TX_Inst', 'TX_Inst', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(27, 'TX_Perc', 'TX_Perc', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(37, 'WDR_CalmPerc', 'WDR_CalmPerc', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(38, 'WDR_Perc', 'WDR_Perc', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(33, 'WDR_PrevDir', 'WDR_PrevDir', NULL, '895', '011001', 'Deg', NULL, NULL, NULL),
	(34, 'WDR_RisDir', 'WDR_RisDir', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(35, 'WDR_RisVel', 'WDR_RisVel', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(36, 'WDR_StdDevDir', 'WDR_StdDevDir', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(29, 'WSD_Ave', 'WSD_Ave', NULL, '897', '011002', 'Knots', NULL, NULL, NULL),
	(30, 'WSD_Max', 'WSD_Max', NULL, '886', '011041', 'Knots', NULL, NULL, NULL),
	(28, 'WSD_Min', 'WSD_Min', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(32, 'WSD_Perc', 'WSD_Perc', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(31, 'WSD_StdDev', 'WSD_StdDev', NULL, NULL, NULL, NULL, NULL, NULL, NULL);
/*!40000 ALTER TABLE `aws_rwanda1` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_db_v4.aws_rwanda4
CREATE TABLE IF NOT EXISTS `aws_rwanda4` (
  `Cols` int(11) NOT NULL,
  `Element_Name` varchar(20) DEFAULT NULL,
  `Element_Abbreviation` varchar(20) DEFAULT NULL,
  `Element_Details` varchar(25) DEFAULT NULL,
  `Climsoft_Element` varchar(6) DEFAULT NULL,
  `Bufr_Element` varchar(6) DEFAULT NULL,
  `unit` varchar(15) DEFAULT NULL,
  `lower_limit` varchar(10) DEFAULT NULL,
  `upper_limit` varchar(10) DEFAULT NULL,
  `obsv` varchar(25) DEFAULT NULL,
  PRIMARY KEY (`Cols`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- Dumping data for table mariadb_climsoft_db_v4.aws_rwanda4: ~48 rows (approximately)
/*!40000 ALTER TABLE `aws_rwanda4` DISABLE KEYS */;
INSERT INTO `aws_rwanda4` (`Cols`, `Element_Name`, `Element_Abbreviation`, `Element_Details`, `Climsoft_Element`, `Bufr_Element`, `unit`, `lower_limit`, `upper_limit`, `obsv`) VALUES
	(1, 'date/time', 'Date/time', 'Date and time', NULL, NULL, NULL, NULL, NULL, '10-22-2015'),
	(2, 'RHMin', 'RHMIN', 'RELATIVE Humidity Minimum', NULL, NULL, NULL, NULL, NULL, '10-22-2015'),
	(3, 'RHAve', 'RHAVG', 'RELATIVE Humidity Average', '893', '13003', '%', NULL, NULL, '10-22-2015'),
	(4, 'RHMax', 'RHMAX', 'RELATIVE Humidity Maximum', NULL, NULL, NULL, NULL, NULL, '10-22-2015'),
	(5, 'StdDev', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '10-22-2015'),
	(6, 'RHValidDataPerc', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '10-22-2015'),
	(7, 'TempMin', 'TMIN', 'Minimum Temperature', '883', '12112', NULL, NULL, NULL, '10-22-2015'),
	(8, 'TempAve', 'TVG', 'Average Temperature', '881', '12101', '\'C', NULL, NULL, '10-22-2015'),
	(9, 'TempMax', 'TMAX', 'Maximum Temperature', '882', '12111', NULL, NULL, NULL, '10-22-2015'),
	(10, 'TempStdDev', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '10-22-2015'),
	(11, 'TempValidDataPerc', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '10-22-2015'),
	(12, 'PRESMin', 'PRESMIN', 'Minimum Pressure', NULL, NULL, NULL, NULL, NULL, '10-22-2015'),
	(13, 'PRESAve', 'PRESAVG', 'Average Pressure', '884', '30200', 'hPa', NULL, NULL, '10-22-2015'),
	(14, 'PRESMax', 'PRESMAX', 'Maximum Pressure', NULL, NULL, NULL, NULL, NULL, '10-22-2015'),
	(15, 'PRESStdDev', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '10-22-2015'),
	(16, 'PRESValidDataPerc', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '10-22-2015'),
	(17, 'RADMin', 'RADMIN', 'Global Radiation Minimum', NULL, NULL, 'W/m2', NULL, NULL, '10-22-2015'),
	(18, 'RADAve', 'RADAVG', 'Global Radiation Average', '894', '14028', 'W/m2', NULL, NULL, '10-22-2015'),
	(19, 'RADMax', 'RADMAX', 'Global Radiation Maximum', NULL, NULL, 'W/m2', NULL, NULL, '10-22-2015'),
	(20, 'RADStdDev', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '10-22-2015'),
	(21, 'RADValidDataPerc', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '10-22-2015'),
	(22, 'PRECTot', 'PRECTOT', 'Total Precipitation', '892', '13011', 'mm', NULL, NULL, '10-22-2015'),
	(23, 'PRECValidDataPerc', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '10-22-2015'),
	(24, 'PWInst', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '10-22-2015'),
	(25, 'PWValidDataPerc', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '10-22-2015'),
	(26, 'TempInst', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '10-22-2015'),
	(27, 'TempValidDataPerc', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '10-22-2015'),
	(28, 'WSPMin', 'WSPMIN', 'Minimum Wind speed', NULL, NULL, NULL, NULL, NULL, '10-22-2015'),
	(29, 'WSPAve', 'WSPAVG', 'Average Wind speed', '897', '11002', 'm/s', NULL, NULL, '10-22-2015'),
	(30, 'WSPMax', 'WSMAX', 'Maximum Wind speed', NULL, NULL, NULL, NULL, NULL, '10-22-2015'),
	(31, 'WSPStdDev', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '10-22-2015'),
	(32, 'WSPValidDataPerc', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '10-22-2015'),
	(33, 'WDPrevDir', 'WDPR', 'Wind Direction', '895', '11001', NULL, NULL, NULL, '10-22-2015'),
	(34, 'WDRisDir', 'WDR', NULL, NULL, NULL, NULL, NULL, NULL, '10-22-2015'),
	(35, 'WDRisVel', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '10-22-2015'),
	(36, 'WDStdDevDir', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '10-22-2015'),
	(37, 'WDCalmPerc', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '10-22-2015'),
	(38, 'WDValidDataPerc', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '10-22-2015'),
	(39, 'TempSoilMin', 'TSMIN', 'Minimum Soil Temperature', NULL, NULL, '\'C', NULL, NULL, '10-22-2015'),
	(40, 'TempSoilAve', 'TSAVG', 'Average Soil Temperature', '900', '12130', '\'C', NULL, NULL, '10-22-2015'),
	(41, 'TempSoilMax', 'TSMAX', 'Maximum Soil Temperature', NULL, NULL, '\'C', NULL, NULL, '10-22-2015'),
	(42, 'TempSoliStdDev', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '10-22-2015'),
	(43, 'TempSoiValidDataPerc', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '10-22-2015'),
	(44, 'Temp10mMin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '10-22-2015'),
	(45, 'Temp10mAve', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '10-22-2015'),
	(46, 'Temp10mMax', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '10-22-2015'),
	(47, 'Temp10mStdDev', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '10-22-2015'),
	(48, 'Temp10mValidDataPerc', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '10-22-2015');
/*!40000 ALTER TABLE `aws_rwanda4` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_db_v4.aws_rwanda_rain
CREATE TABLE IF NOT EXISTS `aws_rwanda_rain` (
  `Cols` int(11) NOT NULL,
  `Element_abbreviation` varchar(20) DEFAULT NULL,
  `Element_Name` varchar(20) DEFAULT NULL,
  `Element_Details` varchar(25) DEFAULT NULL,
  `Climsoft_Element` varchar(6) DEFAULT NULL,
  `Bufr_Element` varchar(6) DEFAULT NULL,
  `unit` varchar(15) DEFAULT NULL,
  `lower_limit` varchar(10) DEFAULT NULL,
  `upper_limit` varchar(10) DEFAULT NULL,
  `obsv` varchar(25) DEFAULT NULL,
  UNIQUE KEY `identification` (`Cols`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- Dumping data for table mariadb_climsoft_db_v4.aws_rwanda_rain: ~3 rows (approximately)
/*!40000 ALTER TABLE `aws_rwanda_rain` DISABLE KEYS */;
INSERT INTO `aws_rwanda_rain` (`Cols`, `Element_abbreviation`, `Element_Name`, `Element_Details`, `Climsoft_Element`, `Bufr_Element`, `unit`, `lower_limit`, `upper_limit`, `obsv`) VALUES
	(1, 'Date/time', 'Date/time', 'Date and Time', NULL, NULL, NULL, NULL, NULL, '14/11/2016 14:40:00'),
	(2, 'RAIN', 'Rain', 'Interval rainfall total', '892', '013011', 'mm', '0', '40.5', '10.00'),
	(3, 'PWR', 'Power', 'Battery Power', '', '', 'Volts', '0', '15', '13.58');
/*!40000 ALTER TABLE `aws_rwanda_rain` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_db_v4.aws_sasscal1
CREATE TABLE IF NOT EXISTS `aws_sasscal1` (
  `Cols` int(11) NOT NULL DEFAULT '0',
  `Element_Abbreviation` varchar(50) DEFAULT NULL,
  `Element_Name` varchar(50) DEFAULT NULL,
  `Element_Details` varchar(50) DEFAULT NULL,
  `Climsoft_Element` varchar(6) DEFAULT NULL,
  `Bufr_Element` varchar(6) DEFAULT NULL,
  `unit` varchar(15) DEFAULT NULL,
  `lower_limit` varchar(50) DEFAULT NULL,
  `upper_limit` varchar(50) DEFAULT NULL,
  `obsv` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`Cols`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- Dumping data for table mariadb_climsoft_db_v4.aws_sasscal1: ~12 rows (approximately)
/*!40000 ALTER TABLE `aws_sasscal1` DISABLE KEYS */;
INSERT INTO `aws_sasscal1` (`Cols`, `Element_Abbreviation`, `Element_Name`, `Element_Details`, `Climsoft_Element`, `Bufr_Element`, `unit`, `lower_limit`, `upper_limit`, `obsv`) VALUES
	(0, NULL, NULL, NULL, NULL, NULL, '11', NULL, NULL, NULL),
	(1, 'Station', 'Station', 'Station', NULL, NULL, NULL, NULL, NULL, 'Mahenene'),
	(2, 'Date/time', 'Date/time', 'Date/time', NULL, NULL, NULL, NULL, NULL, '20/03/2014 21:00:00'),
	(3, 'AT', 'Air_Temp', 'Air Temperature', '881', '012101', '\'C', NULL, NULL, '19.4'),
	(4, 'PRECIP', 'Precip', 'Precipitation', '892', '013011', 'mm', NULL, NULL, '0.0'),
	(5, 'WINDSPD', 'Wind_Speed', 'Wind Speed', '897', '011002', 'm/s', NULL, NULL, '1.2'),
	(6, 'WINDSPDX', 'Wind_Speed_Max', 'Wind Speed Maximum', '886', '011041', 'm/s', NULL, NULL, '2.2'),
	(7, 'WINDDIR', 'Wind_Direction', 'Wind Direction', '895', '011001', 'Deg', NULL, NULL, '169'),
	(8, 'RH', 'RH', 'Relative Humidity', '893', '013003', '%', NULL, NULL, '59.5'),
	(9, 'BPAR', 'BP_mbar_Avg', 'Pressure', '884', '010004', 'Hpa', NULL, NULL, '891'),
	(10, 'SOLRD', 'Solar_Rad', 'Solar Radiation', '894', '014028', 'MJ/s', NULL, NULL, '0.08'),
	(11, 'SUNHRS', 'Sun_Hrs', 'Sunshine Hours', '893', '013003', 'hrs', NULL, NULL, '0.0');
/*!40000 ALTER TABLE `aws_sasscal1` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_db_v4.aws_sites
CREATE TABLE IF NOT EXISTS `aws_sites` (
  `SiteID` varchar(20) NOT NULL,
  `SiteName` varchar(50) DEFAULT NULL,
  `InputFile` varchar(255) DEFAULT NULL,
  `FilePrefix` varchar(50) DEFAULT NULL,
  `chkPrefix` tinyint(1) DEFAULT '0',
  `DataStructure` varchar(50) DEFAULT NULL,
  `MissingDataFlag` varchar(20) DEFAULT NULL,
  `awsServerIP` varchar(50) DEFAULT NULL,
  `OperationalStatus` tinyint(1) unsigned zerofill NOT NULL DEFAULT '0',
  `GTSEncode` tinyint(1) DEFAULT '0',
  `GTSHeader` varchar(20) DEFAULT NULL,
  PRIMARY KEY (`SiteID`),
  UNIQUE KEY `SiteID_UNIQUE` (`SiteID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- Dumping data for table mariadb_climsoft_db_v4.aws_sites: ~0 rows (approximately)
/*!40000 ALTER TABLE `aws_sites` DISABLE KEYS */;
/*!40000 ALTER TABLE `aws_sites` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_db_v4.aws_stations
CREATE TABLE IF NOT EXISTS `aws_stations` (
  `aws_id` varchar(50) NOT NULL,
  `national_id` varchar(50) NOT NULL,
  `station_name` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`aws_id`,`national_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_db_v4.aws_stations: ~0 rows (approximately)
/*!40000 ALTER TABLE `aws_stations` DISABLE KEYS */;
/*!40000 ALTER TABLE `aws_stations` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_db_v4.aws_structures
CREATE TABLE IF NOT EXISTS `aws_structures` (
  `strID` int(11) NOT NULL AUTO_INCREMENT,
  `strName` varchar(20) NOT NULL,
  `data_delimiter` varchar(10) NOT NULL,
  `hdrRows` int(11) NOT NULL,
  `txtQualifier` varchar(5) DEFAULT NULL,
  PRIMARY KEY (`strName`),
  UNIQUE KEY `strID_UNIQUE` (`strID`)
) ENGINE=InnoDB AUTO_INCREMENT=37 DEFAULT CHARSET=utf8;

-- Dumping data for table mariadb_climsoft_db_v4.aws_structures: ~8 rows (approximately)
/*!40000 ALTER TABLE `aws_structures` DISABLE KEYS */;
INSERT INTO `aws_structures` (`strID`, `strName`, `data_delimiter`, `hdrRows`, `txtQualifier`) VALUES
	(35, 'aws_LSI1', 'tab', 3, ''),
	(11, 'aws_malawi1', 'tab', 3, '"'),
	(14, 'aws_rwanda4', 'tab', 3, NULL),
	(19, 'aws_sasscal1', 'comma', 1, '"'),
	(34, 'aws_tahmo', 'comma', 2, '"'),
	(5, 'aws_toa5_bw1', 'comma', 4, '"'),
	(18, 'aws_toa5_mg2', 'comma', 4, ''),
	(36, 'ss', 'comma', 8, '');
/*!40000 ALTER TABLE `aws_structures` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_db_v4.aws_tahmo
CREATE TABLE IF NOT EXISTS `aws_tahmo` (
  `Cols` int(11) NOT NULL,
  `Element_abbreviation` varchar(50) DEFAULT NULL,
  `Element_Name` varchar(50) DEFAULT NULL,
  `Element_Details` varchar(50) DEFAULT NULL,
  `Climsoft_Element` varchar(6) DEFAULT NULL,
  `Bufr_Element` varchar(6) DEFAULT NULL,
  `unit` varchar(15) DEFAULT NULL,
  `lower_limit` varchar(50) DEFAULT NULL,
  `upper_limit` varchar(50) DEFAULT NULL,
  `obsv` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`Cols`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_db_v4.aws_tahmo: ~14 rows (approximately)
/*!40000 ALTER TABLE `aws_tahmo` DISABLE KEYS */;
INSERT INTO `aws_tahmo` (`Cols`, `Element_abbreviation`, `Element_Name`, `Element_Details`, `Climsoft_Element`, `Bufr_Element`, `unit`, `lower_limit`, `upper_limit`, `obsv`) VALUES
	(1, 'Date/time', 'DateTime', 'Date and Time', NULL, NULL, NULL, NULL, NULL, '18/09/2016 02:40'),
	(2, 'PRECIP', 'Rainfall', 'Rain cummulative', '892', '013011', 'mm', '0', NULL, '0'),
	(3, 'WDDR', 'WindDirection', 'Wind Direction', '895', '011001', 'deg', '0', '360', '281'),
	(4, 'WDSPD', 'WindSpeed', 'Wind Speed Average', '897', '', 'm/s', NULL, NULL, '2'),
	(5, 'WDGUSTSPD', 'WindSpeed', 'Wind Speed Average', '886', '011041', 'm/s', NULL, NULL, '3.3'),
	(6, 'CONDCTVTY', 'Conductivity', 'Electrical Conductivity', '919', NULL, 'mS/cm', NULL, NULL, ''),
	(7, 'VAPPRESS', 'VapourPress', 'Vapour Pressure', '916', NULL, 'kPa', NULL, NULL, '1.03'),
	(8, 'TEMP', 'AirTemp', 'Air temperature', '881', '012103', 'dec \'c', NULL, NULL, '10'),
	(9, 'RH', 'RelativeHumidity', 'Relative Humidity', '893', '013003', '0.01%', '0', '1', '0.84'),
	(10, 'PRESS', 'Pressure', 'Pressure', '884', '010004', 'kPa', NULL, NULL, '79.88'),
	(11, 'SOLRD', 'SolarRadiation', 'Solar Radiation', '894', '014028', 'W/m^2', NULL, NULL, '0'),
	(12, 'WATRDPTH', 'WaterDepth', 'Water Depth', '918', NULL, 'mm', NULL, NULL, ''),
	(13, 'WATRTEMP', 'WaterTemp', 'Water Temperature', '917', NULL, 'deg \'c', NULL, NULL, ''),
	(14, 'SOILMOIST', 'SoilMoisture', 'Soil Moisture', '915', NULL, 'm^3/m^3', NULL, NULL, '');
/*!40000 ALTER TABLE `aws_tahmo` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_db_v4.aws_test
CREATE TABLE IF NOT EXISTS `aws_test` (
  `Cols` int(11) NOT NULL,
  `Element_abbreviation` varchar(20) DEFAULT NULL,
  `Element_Name` varchar(20) DEFAULT NULL,
  `Element_Details` varchar(25) DEFAULT NULL,
  `Climsoft_Element` varchar(6) DEFAULT NULL,
  `Bufr_Element` varchar(6) DEFAULT NULL,
  `unit` varchar(15) DEFAULT NULL,
  `lower_limit` varchar(10) DEFAULT NULL,
  `upper_limit` varchar(10) DEFAULT NULL,
  `obsv` varchar(25) DEFAULT NULL,
  UNIQUE KEY `identification` (`Cols`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- Dumping data for table mariadb_climsoft_db_v4.aws_test: ~0 rows (approximately)
/*!40000 ALTER TABLE `aws_test` DISABLE KEYS */;
/*!40000 ALTER TABLE `aws_test` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_db_v4.aws_toa5_bw1
CREATE TABLE IF NOT EXISTS `aws_toa5_bw1` (
  `Cols` int(11) DEFAULT '0',
  `Element_Abbreviation` varchar(50) DEFAULT NULL,
  `Element_Name` varchar(50) DEFAULT NULL,
  `Element_Details` varchar(50) DEFAULT NULL,
  `Climsoft_Element` varchar(6) DEFAULT NULL,
  `Bufr_Element` varchar(6) DEFAULT NULL,
  `unit` varchar(15) DEFAULT NULL,
  `lower_limit` varchar(50) DEFAULT NULL,
  `upper_limit` varchar(50) DEFAULT NULL,
  `obsv` varchar(50) DEFAULT NULL,
  UNIQUE KEY `identification` (`Element_Abbreviation`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- Dumping data for table mariadb_climsoft_db_v4.aws_toa5_bw1: ~16 rows (approximately)
/*!40000 ALTER TABLE `aws_toa5_bw1` DISABLE KEYS */;
INSERT INTO `aws_toa5_bw1` (`Cols`, `Element_Abbreviation`, `Element_Name`, `Element_Details`, `Climsoft_Element`, `Bufr_Element`, `unit`, `lower_limit`, `upper_limit`, `obsv`) VALUES
	(1, 'Date/time', 'date/time', 'Datetime', NULL, NULL, NULL, NULL, NULL, NULL),
	(2, 'RECORD', 'record', 'Record number', NULL, NULL, NULL, NULL, NULL, NULL),
	(3, 'BATTV', 'BattV_Avg', 'Battery Power', NULL, NULL, NULL, NULL, NULL, NULL),
	(4, 'BATT24V', 'Batt24V_Avg', 'Daily Average Battery Power', NULL, NULL, NULL, NULL, NULL, NULL),
	(5, 'TRACKERWM', 'TrackerWM_Avg', 'Tracker', NULL, NULL, NULL, NULL, NULL, NULL),
	(6, 'SHADOWWM', 'ShadowWM_Avg', 'Shadow', NULL, NULL, NULL, NULL, NULL, NULL),
	(7, 'SUNWM', 'SunWM_Avg', 'Sloar Radiation', '894', '014028', 'W/m2', NULL, NULL, NULL),
	(8, 'WSV', 'WS_ms_S_WVT', 'Wind Speed Average', '897', '011002', 'Knots', NULL, NULL, NULL),
	(9, 'WINDDIRD', 'WindDir_D1_WVT', 'Wind Direction Average', '895', '011001', 'Deg', NULL, NULL, NULL),
	(10, 'WINDDIRS', 'WindDir_SD1_WVT', 'Wind Gust Direction', '887', NULL, NULL, NULL, NULL, NULL),
	(11, 'WSX', 'WS_ms_Max', 'Wind Gust Speed', '886', '011041', 'Knots', NULL, NULL, NULL),
	(12, 'AIRTC', 'AirTc_Avg', 'Air Temperature', '881', '012101', '°C', NULL, NULL, NULL),
	(13, 'RH', 'RH', 'Relative Humidity', '893', '013003', '%', NULL, NULL, NULL),
	(14, 'BPAR', 'BP_mbar_Avg', 'Pressure', '884', '010004', 'Hpa', NULL, NULL, NULL),
	(15, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(15, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
/*!40000 ALTER TABLE `aws_toa5_bw1` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_db_v4.aws_toa5_mg2
CREATE TABLE IF NOT EXISTS `aws_toa5_mg2` (
  `Cols` bigint(20) NOT NULL,
  `Element_Abbreviation` varchar(50) DEFAULT NULL,
  `Element_Name` varchar(50) DEFAULT NULL,
  `Element_Details` varchar(50) DEFAULT NULL,
  `Climsoft_Element` varchar(6) DEFAULT NULL,
  `Bufr_Element` varchar(6) DEFAULT NULL,
  `unit` varchar(15) DEFAULT NULL,
  `lower_limit` varchar(50) DEFAULT NULL,
  `upper_limit` varchar(50) DEFAULT NULL,
  `obsv` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`Cols`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- Dumping data for table mariadb_climsoft_db_v4.aws_toa5_mg2: ~140 rows (approximately)
/*!40000 ALTER TABLE `aws_toa5_mg2` DISABLE KEYS */;
INSERT INTO `aws_toa5_mg2` (`Cols`, `Element_Abbreviation`, `Element_Name`, `Element_Details`, `Climsoft_Element`, `Bufr_Element`, `unit`, `lower_limit`, `upper_limit`, `obsv`) VALUES
	(1, 'Date/time', 'Date/time', 'Date and time', NULL, NULL, NULL, NULL, NULL, '01/12/2015 11:00'),
	(2, 'RECORD', 'RECORD', 'Record number', NULL, NULL, NULL, NULL, NULL, '348577'),
	(3, 'AirTemp_1m', 'AirTemp_1m', 'Air Temperature at 1 metre', '881', '012103', '\'C', NULL, NULL, '20.29727'),
	(4, 'AirTemp_1m_Err', 'AirTemp_1m_Err', 'Air Temperature at 1 metre error', NULL, NULL, NULL, NULL, NULL, '0'),
	(5, 'TEMP_MAX_24HR', 'TEMP_MAX_24HR', 'TEMP MAX for 24HR', '882', '012111', '\'C', NULL, NULL, '28.84937'),
	(6, 'TEMP_MAX_24HR_AT', 'TEMP_MAX_24HR_AT', 'TEMP MAX for 24HR Time', NULL, NULL, NULL, NULL, NULL, '30/11/2014 10:12'),
	(7, 'TEMP_MAX_24HR_Err', 'TEMP_MAX_24HR_Err', 'TEMP MAX for 24HR Error', NULL, NULL, NULL, NULL, NULL, '0'),
	(8, 'TEMP_MIN_24HR', 'TEMP_MIN_24HR', 'TEMP MIN for 24HR', '883', '012112', '\'C', NULL, NULL, '17.79975'),
	(9, 'TEMP_MIN_24HR_AT', 'TEMP_MIN_24HR_AT', 'TEMP MIN for 24HR Time', NULL, NULL, NULL, NULL, NULL, '30/11/2014 01:16'),
	(10, 'TEMP_MIN_24HR_Err', 'TEMP_MIN_24HR_Err', 'TEMP MIN for 24HR Error', NULL, NULL, NULL, NULL, NULL, '0'),
	(11, 'DB_1m', 'DB_1m', 'Dry bulb, 1 minute average', NULL, NULL, NULL, NULL, NULL, '20.29727'),
	(12, 'DB_1m_Err', 'DB_1m_Err', 'Binary Quality Flags', NULL, NULL, NULL, NULL, NULL, '0'),
	(13, 'DB2_1m', 'DB2_1m', 'DB2_1m', NULL, NULL, NULL, NULL, NULL, NULL),
	(14, 'DB2_1m_Err', 'DB2_1m_Err', 'DB2_1m_Err', NULL, NULL, NULL, NULL, NULL, '1024'),
	(15, 'WB_1m', 'WB_1m', 'WB_1m', NULL, NULL, NULL, NULL, NULL, NULL),
	(16, 'WB_1m_Err', 'WB_1m_Err', 'WB_1m_Err', NULL, NULL, NULL, NULL, NULL, '1024'),
	(17, 'GRA_1m', 'GRA_1m', 'GRA_1m', NULL, NULL, NULL, NULL, NULL, NULL),
	(18, 'GRA_1m_Err', 'GRA_1m_Err', 'GRA_1m_Err', NULL, NULL, NULL, NULL, NULL, '1024'),
	(19, 'CON_1m', 'CON_1m', 'CON_1m', NULL, NULL, NULL, NULL, NULL, NULL),
	(20, 'CON_1m_Err', 'CON_1m_Err', 'CON_1m_Err', NULL, NULL, NULL, NULL, NULL, '1024'),
	(21, 'S10_1m', 'S10_1m', 'S10_1m', NULL, '012130', '\'C', NULL, '', NULL),
	(22, 'S10_1m_Err', 'S10_1m_Err', 'S10_1m_Err', NULL, NULL, NULL, NULL, NULL, '1024'),
	(23, 'S30_1m', 'S30_1m', 'S30_1m', NULL, NULL, NULL, NULL, NULL, NULL),
	(24, 'S30_1m_Err', 'S30_1m_Err', 'S30_1m_Err', NULL, NULL, NULL, NULL, NULL, '1024'),
	(25, 'S100_1m', 'S100_1m', 'S100_1m', NULL, NULL, NULL, NULL, NULL, NULL),
	(26, 'S100_1m_Err', 'S100_1m_Err', 'S100_1m_Err', NULL, NULL, NULL, NULL, NULL, '1024'),
	(27, 'RH_1m', 'RH_1m', 'Relative humidity, 1 min average', '893', '013003', '%', NULL, NULL, '85.4'),
	(28, 'RH_1m_Err', 'RH_1m_Err', 'Binary Quality Flags', NULL, NULL, NULL, NULL, NULL, '0'),
	(29, 'RHT_1m', 'RHT_1m', 'Temperature from RH sensor', NULL, NULL, NULL, NULL, NULL, '19.9338'),
	(30, 'RHT_1m_Err', 'RHT_1m_Err', 'Binary Quality Flags', NULL, NULL, NULL, NULL, NULL, '0'),
	(31, 'DewPT_WB_1m', 'DewPT_WB_1m', 'DewPT_WB_1m', NULL, NULL, NULL, NULL, NULL, NULL),
	(32, 'DewPT_WB_1m_Err', 'DewPT_WB_1m_Err', 'DewPT_WB_1m_Err', NULL, NULL, NULL, NULL, NULL, '1281'),
	(33, 'DewPT_RH_1m', 'DewPT_RH_1m', 'Dew-point (calculated from RH sensor) ', '885', '012103', '°C', NULL, NULL, '17.76225'),
	(34, 'DewPT_RH_1m_Err', 'DewPT_RH_1m_Err', 'Binary Quality Flags', NULL, NULL, NULL, NULL, NULL, '0'),
	(35, 'RH_DBWB_1m', 'RH_DBWB_1m', 'RH_DBWB_1m', NULL, NULL, NULL, NULL, NULL, NULL),
	(36, 'RH_DBWB_1m_Err', 'RH_DBWB_1m_Err', 'RH_DBWB_1m_Err', NULL, NULL, NULL, NULL, NULL, '1024'),
	(37, 'WS_1m', 'WS_1m', 'Wind speed, 1 min average', NULL, NULL, 'Knots', NULL, NULL, '3.38'),
	(38, 'WS_1m_Err', 'WS_1m_Err', 'Binary Quality Flags', NULL, NULL, NULL, NULL, NULL, '0'),
	(39, 'WD_1m', 'WD_1m', 'Wind direction, 1 min average', NULL, NULL, 'Degree', NULL, NULL, '54.84'),
	(40, 'WD_1m_Err', 'WD_1m_Err', 'Binary Quality Flags', NULL, NULL, NULL, NULL, NULL, '0'),
	(41, 'WS_2m', 'WS_2m', 'Wind Speed at 2m', NULL, NULL, NULL, NULL, NULL, '3.738'),
	(42, 'WS_2m_Err', 'WS_2m_Err', 'Wind Speed at 2m error', NULL, NULL, NULL, NULL, NULL, '0'),
	(43, 'WD_2m', 'WD_2m', 'Wind Direction at 2m', NULL, NULL, NULL, NULL, NULL, '60.15'),
	(44, 'WD_2m_Err', 'WD_2m_Err', 'Wind Direction at 2m error', NULL, NULL, NULL, NULL, NULL, '0'),
	(45, 'WS_10m', 'WS_10m', 'Wind Speed at 10m', '897', '011002', 'Knots', NULL, NULL, '4.028'),
	(46, 'WS_10m_Err', 'WS_10m_Err', 'Wind Speed at 10m error', NULL, NULL, NULL, NULL, NULL, '0'),
	(47, 'WD_10m', 'WD_10m', 'Wind Direction at 10m', '895', '011001', 'Degree', NULL, NULL, '56.13'),
	(48, 'WD_10m_Err', 'WD_10m_Err', 'Wind Direction at 10m error', NULL, NULL, NULL, NULL, NULL, '0'),
	(49, 'MAXGust', 'MAXGust', 'Maximum wind gust speed', NULL, NULL, NULL, NULL, NULL, '4.167'),
	(50, 'MaxGust_TIME', 'MaxGust_TIME', 'Time of above', NULL, NULL, NULL, NULL, NULL, '30/11/2014 13:59'),
	(51, 'MaxGust_WD', 'MaxGust_WD', 'Maximum wind gust direction', NULL, NULL, 'Degree', NULL, NULL, '54.06'),
	(52, 'MAXGust_10m', 'MAXGust_10m', 'Maximum wind gust speed at 10m', '886', '011041', 'Knots', NULL, NULL, '6.3'),
	(53, 'MaxGust_TIME_10m', 'MaxGust_TIME_10m', 'MaxGust TIME at 10m', NULL, NULL, NULL, NULL, NULL, '30/11/2014 13:57'),
	(54, 'MaxGust_WD_10m', 'MaxGust_WD_10m', 'MaxGust direction at 10m', '887', '011043', 'Knots', NULL, NULL, '60.25'),
	(55, 'MAXGust_60m', 'MAXGust_60m', 'MaxGust speed at 60m', NULL, NULL, NULL, NULL, NULL, '15.08'),
	(56, 'MaxGust_TIME_60m', 'MaxGust_TIME_60m', 'MaxGust tIME at 60m', NULL, NULL, NULL, NULL, NULL, '30/11/2014 13:22'),
	(57, 'MaxGust_WD_60m', 'MaxGust_WD_60m', 'MaxGust direction at 60m', NULL, NULL, NULL, NULL, NULL, '284.9'),
	(58, 'MostBacked_2m', 'MostBacked_2m', 'MostBacked at 2m', NULL, NULL, NULL, NULL, NULL, '17.5'),
	(59, 'MostVeered_2m', 'MostVeered_2m', 'MostVeered at 2m', NULL, NULL, NULL, NULL, NULL, '110.4'),
	(60, 'MostBacked_10m', 'MostBacked_10m', 'Most backed direction over past 10 mins', NULL, NULL, 'Degree', NULL, NULL, '14'),
	(61, 'MostVeered_10m', 'MostVeered_10m', 'Most veered direction over past 10 mins', NULL, NULL, 'Degree', NULL, NULL, '110.4'),
	(62, 'MD_WS_10m', 'MD_WS_10m', 'MD WS 10m', NULL, NULL, NULL, NULL, NULL, NULL),
	(63, 'MD_WS_10m', 'MD_WS_10m', 'MD WS 10m', NULL, NULL, NULL, NULL, NULL, NULL),
	(64, 'MD_WS_10m_Err', 'MD_WS_10m_Err', 'MD WS 10m error', NULL, NULL, NULL, NULL, NULL, '257'),
	(65, 'MD_WD_10m_Err', 'MD_WD_10m_Err', 'MD WD 10m error', NULL, NULL, NULL, NULL, NULL, '257'),
	(66, 'MD_MAXGust_10m', 'MD_MAXGust_10m', 'MD MAXGust speed at 10m', NULL, NULL, NULL, NULL, NULL, NULL),
	(67, 'MD_MAXGust_WD_10m', 'MD_MAXGust_WD_10m', 'MD MAXGust direction at 10m', NULL, NULL, NULL, NULL, NULL, NULL),
	(68, 'MD_MAXGust_TIME_10m', 'MD_MAXGust_TIME_10m', 'MD MAXGust tIME at 10m', NULL, NULL, NULL, NULL, NULL, '13/12/1921 20:45'),
	(69, 'MD_MAXGust_10m_Err', 'MD_MAXGust_10m_Err', 'MD MAXGust 10m error', NULL, NULL, NULL, NULL, NULL, '257'),
	(70, 'MD_MAXGust_WD_10m_Err', 'MD_MAXGust_WD_10m_Err', 'MD MAXGust WD 10m error', NULL, NULL, NULL, NULL, NULL, '257'),
	(71, 'MD_MAXGust_TIME_10m_Err', 'MD_MAXGust_TIME_10m_Err', 'MD MAXGust TIME 10m error', NULL, NULL, NULL, NULL, NULL, '257'),
	(72, 'RAIN_mm_1m', 'RAIN_mm_1m', 'Total rain over 1 min', '892', '013011', 'mm', NULL, NULL, '0'),
	(73, 'RAIN_mm_1m_Err', 'RAIN_mm_1m_Err', 'Binary Quality Flags', NULL, NULL, NULL, NULL, NULL, '0'),
	(74, 'RAIN_SINCE_0850', 'RAIN_SINCE_0850', 'RAIN SINCE 0850', NULL, NULL, NULL, NULL, NULL, '4'),
	(75, 'RAIN_SINCE_0850_Err', 'RAIN_SINCE_0850_Err', 'RAIN SINCE 0850_Err', NULL, NULL, NULL, NULL, NULL, '0'),
	(76, 'SNOW_1m', 'SNOW_1m', 'SNOW_1m', NULL, '013013', 'mm', NULL, NULL, '0'),
	(77, 'SNOW_1m_Err', 'SNOW_1m_Err', 'SNOW_1m_Err', NULL, NULL, NULL, NULL, NULL, '1024'),
	(78, 'CLOUD_1st_1m', 'CLOUD_1st_1m', 'CLOUD_1st_1m', NULL, NULL, NULL, NULL, NULL, '-2147483648'),
	(79, 'CLOUD_1st_1m_Err', 'CLOUD_1st_1m_Err', 'CLOUD_1st_1m_Err', NULL, NULL, NULL, NULL, NULL, '1024'),
	(80, 'CLOUD_2nd_1m', 'CLOUD_2nd_1m', 'CLOUD_2nd_1m', NULL, NULL, NULL, NULL, NULL, '-2147483648'),
	(81, 'CLOUD_2nd_1m_Err', 'CLOUD_2nd_1m_Err', 'CLOUD_2nd_1m_Err', NULL, NULL, NULL, NULL, NULL, '1024'),
	(82, 'CLOUD_3rd_1m', 'CLOUD_3rd_1m', 'CLOUD_3rd_1m', NULL, NULL, NULL, NULL, NULL, '-2147483648'),
	(83, 'CLOUD_3rd_1m_Err', 'CLOUD_3rd_1m_Err', 'CLOUD_3rd_1m_Err', NULL, NULL, NULL, NULL, NULL, '1024'),
	(84, 'CLOUD30s_1st_1m', 'CLOUD30s_1st_1m', 'CLOUD30s_1st_1m', NULL, NULL, NULL, NULL, NULL, '-2147483648'),
	(85, 'CLOUD30s_1st_1m_Err', 'CLOUD30s_1st_1m_Err', 'CLOUD30s_1st_1m_Err', NULL, NULL, NULL, NULL, NULL, '1024'),
	(86, 'CLOUD30s_2nd_1m', 'CLOUD30s_2nd_1m', 'CLOUD30s_2nd_1m', NULL, NULL, NULL, NULL, NULL, '-2147483648'),
	(87, 'CLOUD30s_2nd_1m_Err', 'CLOUD30s_2nd_1m_Err', 'CLOUD30s_2nd_1m_Err', NULL, NULL, NULL, NULL, NULL, '1024'),
	(88, 'CLOUD30s_3rd_1m', 'CLOUD30s_3rd_1m', 'CLOUD30s_3rd_1m', NULL, NULL, NULL, NULL, NULL, '-2147483648'),
	(89, 'CLOUD30s_3rd_1m_Err', 'CLOUD30s_3rd_1m_Err', 'CLOUD30s_3rd_1m_Err', NULL, NULL, NULL, NULL, NULL, '1024'),
	(90, 'CLOUD_VertVis_1m', 'CLOUD_VertVis_1m', 'CLOUD_VertVis_1m', NULL, NULL, NULL, NULL, NULL, '0'),
	(91, 'VIZ_1m', 'VIZ_1m', 'Visibility at 1m', NULL, '020001', 'm', NULL, NULL, '0'),
	(92, 'VIZ_1m_Err', 'VIZ_1m_Err', 'Visibility at 1m error', NULL, NULL, NULL, NULL, NULL, '1024'),
	(93, 'MD_VIZ_10m', 'MD_VIZ_10m', 'MD visibility at 10m', NULL, NULL, NULL, NULL, NULL, '0'),
	(94, 'MD_VIZ_10m_Err', 'MD_VIZ_10m_Err', 'MD visibility at 10m error', NULL, NULL, NULL, NULL, NULL, '0'),
	(95, 'PW_Code_1m', 'PW_Code_1m', 'PW Code 1m', NULL, NULL, NULL, NULL, NULL, '0'),
	(96, 'BP_1m', 'BP_1m', 'Barometric Pressure, 1 min average', '884', '010004', 'HPa', NULL, NULL, '867.04'),
	(97, 'BP_1m_Err', 'BP_1m_Err', 'Binary Quality Flags', NULL, NULL, NULL, NULL, NULL, '0'),
	(98, 'BP_QNH_1m', 'BP_QNH_1m', 'QNH, 1 min average', '891', '007004', 'HPa', NULL, NULL, '1014.939'),
	(99, 'BP_QNH_1m_Err', 'BP_QNH_1m_Err', 'Binary Quality Flags', NULL, NULL, NULL, NULL, NULL, '0'),
	(100, 'BP_QFF_1m', 'BP_QFF_1m', 'QFF, 1 min average', '890', '010051', 'HPa', NULL, NULL, '1009.688'),
	(101, 'BP_QFF_1m_Err', 'BP_QFF_1m_Err', 'Binary Quality Flags', NULL, NULL, NULL, NULL, NULL, '0'),
	(102, 'BP_QFE_1m', 'BP_QFE_1m', 'QFE, 1 min average', '889', NULL, 'HPa', NULL, NULL, '867.2416'),
	(103, 'BP_QFE_1m_Err', 'BP_QFE_1m_Err', 'Binary Quality Flags', NULL, NULL, NULL, NULL, NULL, '0'),
	(104, 'BP_QNHinHg_1m', 'BP_QNHinHg_1m', 'QNH, inches of mercury, 1 min average', NULL, NULL, NULL, NULL, NULL, '29.96'),
	(105, 'BP_QNHinHg_1m_Err', 'BP_QNHinHg_1m_Err', 'Binary Quality Flags', NULL, NULL, NULL, NULL, NULL, '0'),
	(106, 'BP_QFEinHg_1m', 'BP_QFEinHg_1m', 'QFE, inches of mercury, 1 min average', NULL, NULL, NULL, NULL, NULL, '25.6'),
	(107, 'BP_QFEinHg_1m_Err', 'BP_QFEinHg_1m_Err', 'Binary Quality Flags', NULL, NULL, NULL, NULL, NULL, '0'),
	(108, 'BP_Difference_3hr', 'BP_Difference_3hr', '3-hour pressure change', NULL, '010061', 'HPa', NULL, NULL, '-0.06750488'),
	(109, 'BP_Characteristic_3hr', 'BP_Characteristic_3hr', 'Pressure trend', NULL, '010063', 'HPa', NULL, NULL, '5'),
	(110, 'WET_1m', 'WET_1m', 'WET_1m', NULL, NULL, NULL, NULL, NULL, '0'),
	(111, 'WET_1m_Err', 'WET_1m_Err', 'WET_1m_Err', NULL, NULL, NULL, NULL, NULL, '1024'),
	(112, 'RAD_1m', 'RAD_1m', 'RAD_1m', NULL, '014028', 'Joules', NULL, NULL, '0'),
	(113, 'RAD_1m_Err', 'RAD_1m_Err', 'RAD_1m_Err', NULL, NULL, NULL, NULL, NULL, '1024'),
	(114, 'SUN_1m', 'SUN_1m', 'SUN_1m', NULL, '014031', 'Joules', NULL, NULL, '0'),
	(115, 'SUN_1m_Err', 'SUN_1m_Err', 'SUN_1m_Err', NULL, NULL, NULL, NULL, NULL, '1024'),
	(116, 'SunnySUN_1m', 'SunnySUN_1m', 'SunnySUN_1m', NULL, NULL, NULL, NULL, NULL, '0'),
	(117, 'SunnySUN_1m_Err', 'SunnySUN_1m_Err', 'SunnySUN_1m_Err', NULL, NULL, NULL, NULL, NULL, '1024'),
	(118, 'SunnyRAD_1m', 'SunnyRAD_1m', 'SunnyRAD_1m', NULL, NULL, NULL, NULL, NULL, '0'),
	(119, 'SunnyRAD_1m_Err', 'SunnyRAD_1m_Err', 'SunnyRAD_1m_Err', NULL, NULL, NULL, NULL, NULL, '1024'),
	(120, 'TEMP_MAX_24HR_AT_ERR', 'TEMP_MAX_24HR_AT_ERR', 'TEMP MAX for 24HR AT error', NULL, NULL, NULL, NULL, NULL, '0'),
	(121, 'TEMP_MIN_24HR_AT_ERR', 'TEMP_MIN_24HR_AT_ERR', 'TEMP MIN for 24HR AT error', NULL, NULL, NULL, NULL, NULL, '0'),
	(122, 'BP_Difference_3hr_Err', 'BP_Difference_3hr_Err', 'Binary Quality Flags', NULL, NULL, NULL, NULL, NULL, '0'),
	(123, 'BP_Characteristic_3hr_Err', 'BP_Characteristic_3hr_Err', 'Binary Quality Flags', NULL, NULL, NULL, NULL, NULL, '0'),
	(124, 'PW_Code_1m_Err', 'PW_Code_1m_Err', 'PW_Code_1m_Err', NULL, NULL, NULL, NULL, NULL, '1024'),
	(125, 'PW_Precipitation_1m', 'PW_Precipitation_1m', 'PW_Precipitation_1m', NULL, NULL, NULL, NULL, NULL, '0'),
	(126, 'PW_Precipitation_1m_Err', 'PW_Precipitation_1m_Err', 'PW_Precipitation_1m_Err', NULL, NULL, NULL, NULL, NULL, '1024'),
	(127, 'MAXGust_Err', 'MAXGust_Err', 'Binary Quality Flags', NULL, NULL, NULL, NULL, NULL, '0'),
	(128, 'MAXGust_10m_Err', 'MAXGust_10m_Err', 'MAXGust speed at 10m Err', NULL, NULL, NULL, NULL, NULL, '0'),
	(129, 'MAXGust_60m_Err', 'MAXGust_60m_Err', 'MAXGust speed at 60m_Err', NULL, NULL, NULL, NULL, NULL, '0'),
	(130, 'MaxGust_TIME_Err', 'MaxGust_TIME_Err', 'MaxGust TIME error', NULL, NULL, NULL, NULL, NULL, '0'),
	(131, 'MaxGust_TIME_10m_Err', 'MaxGust_TIME_10m_Err', 'MaxGust time at 10m error', NULL, NULL, NULL, NULL, NULL, '0'),
	(132, 'MaxGust_TIME_60m_Err', 'MaxGust_TIME_60m_Err', 'MaxGust time at 60m error', NULL, NULL, NULL, NULL, NULL, '0'),
	(133, 'MaxGust_WD_Err', 'MaxGust_WD_Err', 'MaxGust WD error', NULL, NULL, NULL, NULL, NULL, '0'),
	(134, 'MaxGust_WD_10m_Err', 'MaxGust_WD_10m_Err', 'MaxGust_WD_10m_Err', NULL, NULL, NULL, NULL, NULL, '0'),
	(135, 'MaxGust_WD_60m_Err', 'MaxGust_WD_60m_Err', 'MaxGust WD at 60m eror', NULL, NULL, NULL, NULL, NULL, '0'),
	(136, 'MostBacked_2m_Err', 'MostBacked_2m_Err', 'MostBacked at 2m error', NULL, NULL, NULL, NULL, NULL, '0'),
	(137, 'MostBacked_10m_Err', 'MostBacked_10m_Err', 'MostBacked at 10m error', NULL, NULL, NULL, NULL, NULL, '0'),
	(138, 'MostVeered_2m_Err', 'MostVeered_2m_Err', 'MostVeered at 2m error', NULL, NULL, NULL, NULL, NULL, '0'),
	(139, 'MostVeered_10m_Err', 'MostVeered_10m_Err', 'MostVeered at 10m error', NULL, NULL, NULL, NULL, NULL, '0'),
	(140, 'CLOUD_VertVis_1m_Err', 'CLOUD_VertVis_1m_Err', 'CLOUD VertVis at 1m error', NULL, NULL, NULL, NULL, NULL, '1024');
/*!40000 ALTER TABLE `aws_toa5_mg2` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_db_v4.bufr_crex_data
CREATE TABLE IF NOT EXISTS `bufr_crex_data` (
  `nos` int(11) DEFAULT '0',
  `Bufr_Template` varchar(50) DEFAULT NULL,
  `Crex_Template` varchar(50) DEFAULT NULL,
  `Sequence_Descriptor1` varchar(50) DEFAULT NULL,
  `Sequence_Descriptor0` varchar(50) DEFAULT NULL,
  `Bufr_Element` varchar(50) DEFAULT NULL,
  `Crex_Element` varchar(255) DEFAULT NULL,
  `Climsoft_Element` varchar(255) DEFAULT NULL,
  `Element_Name` varchar(255) DEFAULT NULL,
  `Crex_Unit` varchar(25) DEFAULT NULL,
  `Crex_Scale` varchar(25) NOT NULL,
  `Crex_DataWidth` varchar(25) NOT NULL,
  `Bufr_Unit` varchar(255) NOT NULL,
  `Bufr_Scale` varchar(25) NOT NULL DEFAULT '0',
  `Bufr_RefValue` varchar(50) DEFAULT '0',
  `Bufr_DataWidth_Bits` varchar(50) DEFAULT '0',
  `selected` tinyint(4) DEFAULT NULL,
  `Observation` varchar(255) DEFAULT NULL,
  `Crex_Data` varchar(30) DEFAULT NULL,
  `Bufr_Data` varchar(255) DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_db_v4.bufr_crex_data: ~154 rows (approximately)
/*!40000 ALTER TABLE `bufr_crex_data` DISABLE KEYS */;
INSERT INTO `bufr_crex_data` (`nos`, `Bufr_Template`, `Crex_Template`, `Sequence_Descriptor1`, `Sequence_Descriptor0`, `Bufr_Element`, `Crex_Element`, `Climsoft_Element`, `Element_Name`, `Crex_Unit`, `Crex_Scale`, `Crex_DataWidth`, `Bufr_Unit`, `Bufr_Scale`, `Bufr_RefValue`, `Bufr_DataWidth_Bits`, `selected`, `Observation`, `Crex_Data`, `Bufr_Data`) VALUES
	(1, '307081', 'D07081', 'D01090', 'D01004', '001001', 'B01001', 'station_WMO_bloc', 'WMO block number', 'Numeric', '0', '2', 'Numeric', '0', '0', '7', 1, '63', '', '0111111'),
	(2, NULL, NULL, '', '', '001002', 'B01002', 'station_WMO_number', 'WMO station number                                   ', 'Numeric', '0', '3', 'Numeric', '0', '0', '10', 1, '741', '', '1011100101'),
	(3, NULL, NULL, '', '', '001015', 'B01015', 'station_name', 'Station or site name', 'Character', '0', '20', 'CCITT IA5', '0', '0', '160', 1, 'DAGORETTI CORNER MET', '', '0100010001000001010001110100111101010010010001010101010001010100010010010010000001000011010011110101001001001110010001010101001000100000010011010100010101010100'),
	(4, NULL, NULL, '', '', '002001', 'B02001', 'station_qualifier', 'Type of station                                             ', 'Code table', '0', '1', 'Code table', '0', '0', '2', 1, '1', '', '01'),
	(5, NULL, NULL, '', 'D01011', '004001', 'B04001', 'datetime_year', 'Year', 'Year', '0', '4', 'Year', '0', '0', '12', 1, '2017', '', '011111100001'),
	(6, NULL, NULL, '', '', '004002', 'B04002', 'datetime_month', 'Month', 'Month', '0', '2', 'Month', '0', '0', '4', 1, '12', '', '1100'),
	(7, NULL, NULL, '', '', '004003', 'B04003', 'datetime_day', 'Day', 'Day', '0', '2', 'Day', '0', '0', '6', 1, '12', '', '001100'),
	(8, NULL, NULL, '', 'D01012', '004004', 'B04004', 'datetime_hour', 'Hour', 'Hour', '0', '2', 'Hour', '0', '0', '5', 1, '6', '', '00110'),
	(9, NULL, NULL, '', '', '004005', 'B04005', 'datetime_minute', 'Minute', 'Minute', '0', '2', 'Minute', '0', '0', '6', 1, '00', '', '000000'),
	(10, NULL, NULL, '', 'D01021', '005001', 'B05001', 'station_deglatitude', 'Latitude (high accuracy)', 'Degree', '5', '7', 'Degree', '5', '-9000000', '25', 1, '-1.3', '', '0100001110101100001110000'),
	(11, NULL, NULL, '', '', '006001', 'B06001', 'station_deglongitude', 'Longitude (high accuracy)', 'Degree', '5', '8', 'Degree', '5', '-18000000', '26', 1, '36.75', '', '01010010101011101111111000'),
	(12, NULL, NULL, '', 'B07030', '007030', 'B07030', 'station_elevation', 'Height of station ground above mean sea level', 'm', '1', '5', 'm', '1', '-4000', '17', 1, '1798', '', '00101010111011100'),
	(13, NULL, NULL, '', 'B07031', '007031', 'B07031', 'station_pressure_height', 'Height of barometer above mean sea level', 'm', '1', '5', 'm', '1', '-4000', '17', 1, '1.25', '', '00000111110101100'),
	(14, NULL, NULL, 'D02031', 'D02001', '010004', 'B10004', '106', 'Pressure', 'Pa', ' -1', '5', 'Pa', '-1', '0', '14', 1, '876100', '', '10001000111001'),
	(15, NULL, NULL, '', '', '010051', 'B10051', '107', 'Pressure reduced to mean sea level', 'Pa', '-1', '5', 'Pa', '-1', '0', '14', 1, '1073700', '', '10100111110001'),
	(16, NULL, NULL, '', '', '010061', 'B10061', '400', '3-hour pressure change', 'Pa', '-1', '4', 'Pa', '-1', '-500', '10', 1, '200', '', '1000001000'),
	(17, NULL, NULL, '', '', '010063', 'B10063', '814', 'Characteristic of pressure tendency', 'Code table', '0', '2', 'Code table', '0', '0', '4', 1, '4', '', '0100'),
	(18, NULL, NULL, '', 'B10062', '010062', 'B10062', '399', '24-hour pressure change', 'Pa', '-1', '4', 'Pa', '-1', '-1000', '11', 1, '300', '', '01111101011'),
	(19, NULL, NULL, '', 'B07004', '007004', 'B07004', '301', 'Pressure (standard level) ', 'Pa', '-1', '5', 'Pa', '-1', '0', '14', 1, '85000', '', '10000100110100'),
	(20, NULL, NULL, '', 'B10009', '010009', 'B10009', '185', 'Geopotential height of the standard level', 'gpm', '0', '5', 'gpm', '0', '-1000', '17', 1, '1540', '', '00000100111101100'),
	(21, NULL, NULL, 'D02035', 'D02032', '007032', 'B07032', 'Temp_SH', 'Height of sensor above local ground (for temperature and humidity measurement)', 'm', '2', '5', 'm', '2', '0', '16', 1, '1.25', '', '0000000001111101'),
	(22, NULL, NULL, '', '', '012101', 'B12101', '101', 'Temperature/Dry bulb (scale 2) at height and over period specified', '°C', '2', '4', 'K', '2', '0', '16', 1, '231', '', '0111001110111001'),
	(23, NULL, NULL, '', '', '012103', 'B12103', '103', 'Dew-point temperature (scale 2)', '°C', '2', '4', 'K', '2', '0', '16', 1, '190', '', '0111001000011111'),
	(24, NULL, NULL, '', '', '013003', 'B13003', '105', 'Relative humidity', '%', '0', '3', '%', '0', '0', '7', 1, '78', '', '1001110'),
	(25, NULL, NULL, '', 'D02033', '007032', 'B07032', 'Vis_SH', 'Height of sensor above local ground (for visibility measurement)', 'm', '2', '5', 'm', '2', '0', '16', 1, '1.5', '', '0000000010010110'),
	(26, NULL, NULL, '', '', '020001', 'B20001', '110', 'Horizontal Visibility', 'm', '-1', '4', 'm', '-1', '0', '13', 1, '40000', '', '0000110010000'),
	(27, NULL, NULL, '', 'D02034', '007032', 'B07032', 'R24_SH', 'Height of sensor above local ground (for precipitation measurement)', 'm', '2', '5', 'm', '2', '0', '16', 1, '0.25', '', '0000000000011001'),
	(28, NULL, NULL, '', '', '013023', 'B13023', '5', 'Total precipitation Past 24 Hrs', 'kg m-2', '1', '5', 'kg m-2', '1', '-1', '14', 1, '250', '', '00000011111011'),
	(29, NULL, NULL, '', 'B07032', '007032', 'B07032', 'Cancel_SH', 'Height of sensor above local ground (set to missing to cancel the previous table)', 'm', '2', '5', 'm', '2', '0', '16', 1, '', '', '1111111111111111'),
	(30, NULL, NULL, '', 'D02004', '020010', 'B20010', '114', 'Cloud cover (total)', '%', '0', '3', '%', '0', '0', '7', 1, '75', '', '1001011'),
	(31, NULL, NULL, '', '', '008002', 'B08002', '115', 'Vertical significance', 'Code table', '0', '2', 'Code table', '0', '0', '6', 1, '7', '', '000111'),
	(32, NULL, NULL, '', '', '020011', 'B20011', '168', 'Cloud amount (of low or middle clouds)', 'Code table', '0', '2', 'Code table', '0', '0', '4', 1, '5', '', '0101'),
	(33, NULL, NULL, '', '', '020013', 'B20013', '192', 'Height of base of cloud', 'm', '-1', '4', 'm', '-1', '-40', '11', 1, '800', '', '00001111000'),
	(34, NULL, NULL, '', '', '020012', 'B20012', '169', 'Cloud type (low clouds CL)', 'Code table', '0', '2', 'Code table', '0', '0', '6', 1, '12', '', '001100'),
	(35, NULL, NULL, '', '', '020012', 'B20012', '170', 'Cloud type (low clouds CM)', 'Code table', '0', '2', 'Code table', '0', '0', '6', 1, '21', '', '010101'),
	(36, NULL, NULL, '', '', '020012', 'B20012', '171', 'Cloud type (low clouds CH)', 'Code table', '0', '2', 'Code table', '0', '0', '6', 1, '31', '', '011111'),
	(38, NULL, NULL, '', 'B31001', '031001', 'B31001', 'cloud_rep1', 'Delayed descriptor replication factor', 'Numeric', '0', '4', 'Numeric', '0', '0', '8', 1, '1', '', '00000001'),
	(39, NULL, NULL, '', 'D02005', '008002', 'B08002', '119', 'Vertical significance', 'Code table', '0', '2', 'Code table', '0', '0', '6', 1, '5', '', '000101'),
	(40, NULL, NULL, '', '', '020011', 'B20011', '116', 'Cloud amount', 'Code table', '0', '2', 'Code table', '0', '0', '4', 1, '1', '', '0001'),
	(41, NULL, NULL, '', '', '020012', 'B20012', '117', 'Cloud type', 'Code table', '0', '2', 'Code table', '0', '0', '6', 1, '8', '', '001000'),
	(42, NULL, NULL, '', '', '020013', 'B20013', '118', 'Height of base of cloud', 'm', '-1', '4', 'm', '-1', '-40', '11', 1, '1000', '', '00010001100'),
	(43, NULL, NULL, '', '', '008002', 'B08002', '123', 'Vertical significance', 'Code table', '0', '2', 'Code table', '0', '0', '6', 0, '', '', '111111'),
	(44, NULL, NULL, '', '', '020011', 'B20011', '120', 'Cloud amount', 'Code table', '0', '2', 'Code table', '0', '0', '4', 0, '', '', '1111'),
	(45, NULL, NULL, '', '', '020012', 'B20012', '121', 'Cloud type', 'Code table', '0', '2', 'Code table', '0', '0', '6', 0, '', '', '111111'),
	(46, NULL, NULL, '', '', '020013', 'B20013', '122', 'Height of base of cloud', 'm', '-1', '4', 'm', '-1', '-40', '11', 0, '', '', '11111111111'),
	(47, NULL, NULL, '', '', '008002', 'B08002', '127', 'Vertical significance', 'Code table', '0', '2', 'Code table', '0', '0', '6', 0, '', '', '111111'),
	(48, NULL, NULL, '', '', '020011', 'B20011', '124', 'Cloud amount', 'Code table', '0', '2', 'Code table', '0', '0', '4', 0, '', '', '1111'),
	(49, NULL, NULL, '', '', '020012', 'B20012', '125', 'Cloud type', 'Code table', '0', '2', 'Code table', '0', '0', '6', 0, '', '', '111111'),
	(50, NULL, NULL, '', '', '020013', 'B20013', '126', 'Height of base of cloud', 'm', '-1', '4', 'm', '-1', '-40', '11', 0, '', '', '11111111111'),
	(51, NULL, NULL, '', '', '008002', 'B08002', '131', 'Vertical significance', 'Code table', '0', '2', 'Code table', '0', '0', '6', 0, '', '', '111111'),
	(52, NULL, NULL, '', '', '020011', 'B20011', '128', 'Cloud amount', 'Code table', '0', '2', 'Code table', '0', '0', '4', 0, '', '', '1111'),
	(53, NULL, NULL, '', '', '020012', 'B20012', '129', 'Cloud type', 'Code table', '0', '2', 'Code table', '0', '0', '6', 0, '', '', '111111'),
	(54, NULL, NULL, '', '', '020013', 'B20013', '130', 'Height of base of cloud', 'm', '-1', '4', 'm', '-1', '-40', '11', 0, '', '', '11111111111'),
	(56, NULL, NULL, NULL, 'B31001', '031001', 'B31001', 'cloud_rep2', 'Delayed descriptor replication factor', 'Numeric', '0', '4', 'Numeric', '0', '0', '8', 1, '0', '', '00000000'),
	(57, NULL, NULL, 'D02036', 'B08002', '008002', 'B08002', '611', 'Vertical Significance', 'Code table', '0', '2', 'Code table', '0', '0', '6', 0, '', '', '111111'),
	(58, NULL, NULL, '', 'B20011', '020011', 'B20011', '612', 'Clound amount', 'Code table', '0', '2', 'Code table', '0', '0', '4', 0, '', '', '1111'),
	(59, NULL, NULL, '', 'B20012', '020012', 'B20012', '613', 'Cloud type', 'Code table', '0', '2', 'Code table', '0', '0', '6', 0, '', '', '111111'),
	(60, NULL, NULL, '', 'B20014', '020014', 'B20014', '614', 'Height of top of cloud', 'm', '-1', '4', 'm', '-1', '-40', '11', 0, '', '', '11111111111'),
	(61, NULL, NULL, '', 'B20017', '020017', 'B20017', '615', 'Cloud top description', 'Code table', '0', '2', 'Code table', '0', '0', '4', 0, '', '', '1111'),
	(62, NULL, NULL, '', 'B08002', '008002', 'B08002', '621', 'Vertical Significance', 'Code table', '0', '2', 'Code table', '0', '0', '6', 0, '', '', '111111'),
	(63, NULL, NULL, '', 'B20011', '020011', 'B20011', '622', 'Clound amount', 'Code table', '0', '2', 'Code table', '0', '0', '4', 0, '', '', '1111'),
	(64, NULL, NULL, '', 'B20012', '020012', 'B20012', '623', 'Cloud type', 'Code table', '0', '2', 'Code table', '0', '0', '6', 0, '', '', '111111'),
	(65, NULL, NULL, '', 'B20014', '020014', 'B20014', '624', 'Height of top of cloud', 'm', '-1', '4', 'm', '-1', '-40', '11', 0, '', '', '11111111111'),
	(66, NULL, NULL, '', 'B20017', '020017', 'B20017', '625', 'Cloud top description', 'Code table', '0', '2', 'Code table', '0', '0', '4', 0, '', '', '1111'),
	(67, NULL, NULL, '', 'B08002', '008002', 'B08002', '631', 'Vertical Significance', 'Code table', '0', '2', 'Code table', '0', '0', '6', 0, '', '', '111111'),
	(68, NULL, NULL, '', 'B20011', '020011', 'B20011', '632', 'Clound amount', 'Code table', '0', '2', 'Code table', '0', '0', '4', 0, '', '', '1111'),
	(69, NULL, NULL, '', 'B20012', '020012', 'B20012', '633', 'Cloud type', 'Code table', '0', '2', 'Code table', '0', '0', '6', 0, '', '', '111111'),
	(70, NULL, NULL, '', 'B20014', '020014', 'B20014', '634', 'Height of top of cloud', 'm', '-1', '4', 'm', '-1', '-40', '11', 0, '', '', '11111111111'),
	(71, NULL, NULL, '', 'B20017', '020017', 'B20017', '635', 'Cloud top description', 'Code table', '0', '2', 'Code table', '0', '0', '4', 0, '', '', '1111'),
	(72, NULL, NULL, '', 'B08002', '008002', 'B08002', '641', 'Vertical Significance', 'Code table', '0', '2', 'Code table', '0', '0', '6', 0, '', '', '111111'),
	(73, NULL, NULL, '', 'B20011', '020011', 'B20011', '642', 'Clound amount', 'Code table', '0', '2', 'Code table', '0', '0', '4', 0, '', '', '1111'),
	(74, NULL, NULL, '', 'B20012', '020012', 'B20012', '643', 'Cloud type', 'Code table', '0', '2', 'Code table', '0', '0', '6', 0, '', '', '111111'),
	(75, NULL, NULL, '', 'B20014', '020014', 'B20014', '644', 'Height of top of cloud', 'm', '-1', '4', 'm', '-1', '-40', '11', 0, '', '', '11111111111'),
	(76, NULL, NULL, '', 'B20017', '020017', 'B20017', '645', 'Cloud top description', 'Code table', '0', '2', 'Code table', '0', '0', '4', 0, '', '', '1111'),
	(78, NULL, NULL, 'D02047', 'B08002', '008002', 'B08002', '651', 'Vertical Significance =7 (low cloud) =8 (middle cloud) =9 (high cloud)', 'Code table', '0', '2', 'Code table', '0', '0', '6', 1, '', '', '111111'),
	(79, NULL, NULL, '', 'B20054', '020054', 'B20054', '652', 'True  direction from which clouds are moving', 'Degree true', '0', '3', 'Degree true', '0', '0', '9', 1, '', '', '111111111'),
	(80, NULL, NULL, '', 'B08002', '008002', 'B08002', '653', 'Vertical Significance =7 (low cloud) =8 (middle cloud) =9 (high cloud)', 'Code table', '0', '2', 'Code table', '0', '0', '6', 1, '', '', '111111'),
	(81, NULL, NULL, '', 'B20054', '020054', 'B20054', '654', 'True  direction from which clouds are moving', 'Degree true', '0', '3', 'Degree true', '0', '0', '9', 1, '', '', '111111111'),
	(82, NULL, NULL, '', 'B08002', '008002', 'B08002', '655', 'Vertical Significance =7 (low cloud) =8 (middle cloud) =9 (high cloud)', 'Code table', '0', '2', 'Code table', '0', '0', '6', 1, '', '', '111111'),
	(83, NULL, NULL, '', 'B20054', '020054', 'B20054', '656', 'True  direction from which clouds are moving', 'Degree true', '0', '3', 'Degree true', '0', '0', '9', 1, '', '', '111111111'),
	(84, NULL, NULL, 'B08002', '', '008002', 'B08002', 'vert_sig_cancel', 'Vertical significance (set to missing to cancel the previous value)    ', 'Code table', '0', '2', 'Code table', '0', '0', '6', 1, '', '', '111111'),
	(85, NULL, NULL, 'D02048', 'B05021', '005021', 'B05021', '661', 'Bearing or azimuth', 'Degree true', '2', '5', 'Degree true', '2', '0', '16', 1, '', '', '1111111111111111'),
	(86, NULL, NULL, '', 'B07021', '007021', 'B07021', '662', 'Elevation angle ', 'Degree', '2', '5', 'Degree', '2', '-9000', '15', 1, '', '', '111111111111111'),
	(87, NULL, NULL, '', 'B20012', '020012', 'B20012', '663', 'Cloud type ', 'Code table', '0', '2', 'Code table', '0', '0', '6', 1, '', '', '111111'),
	(88, NULL, NULL, '', 'B05021', '005021', 'B05021', '664', 'Bearing or azimuth (set to missing to cancel the previous value) ', 'Degree true', '2', '5', 'Degree true', '2', '0', '16', 1, '', '', '1111111111111111'),
	(89, NULL, NULL, '', 'B07021', '007021', 'B07021', '665', 'Elevation angle (set to missing to cancel the previous value)', 'Degree', '2', '5', 'Degree', '2', '-9000', '15', 1, '', '', '111111111111111'),
	(90, NULL, NULL, 'D02037', 'B20062', '020062', 'B20062', '51', 'State of ground (with or without snow)', 'Code table', '0', '2', 'Code table', '0', '0', '5', 1, '', '', '11111'),
	(91, NULL, NULL, '', 'B13013', '013013', 'B13013', '50', 'Total snow depth', 'm', '2', '5', 'm', '2', '-2', '16', 1, '9', '', '0000001110000110'),
	(92, NULL, NULL, '', 'B12113', '012113', 'B12113', '585', 'Ground minimum temperature past 12 hrs', '°C', '2', '4', 'K', '2', '0', '16', 1, '', '', '1111111111111111'),
	(93, NULL, NULL, 'B12122', '', '012122', 'B12122', '85', 'Ground minimum temperature of the preceeding night', '°C', '2', '4', 'K', '2', '0', '16', 1, '', '', '1111111111111111'),
	(94, NULL, NULL, 'B13056', '', '013056', 'B13056', '505', 'Character and Intensity of precipitation', 'Code table', '0', '2', 'Code table', '0', '0', '4', 1, '2', '', '0010'),
	(95, NULL, NULL, 'B13057', '', '013057', 'B13057', '506', 'Time of beginning or end of precipitation', 'Code table', '0', '2', 'Code table', '0', '0', '4', 1, '', '', '1111'),
	(96, NULL, NULL, 'B20101', '', '020101', 'B20101', '701', 'Locust (Acridian) name', 'Code table', '0', '2', 'Code table', '0', '0', '4', 1, '', '', '1111'),
	(97, NULL, NULL, 'B20102', '', '020102', 'B20102', '702', 'Locust (Maturity) colour', 'Code table', '0', '2', 'Code table', '0', '0', '4', 1, '', '', '1111'),
	(98, NULL, NULL, 'B20103', '', '020103', 'B20103', '704', 'Stage of development of locusts', 'Code table', '0', '2', 'Code table', '0', '0', '4', 1, '', '', '1111'),
	(99, NULL, NULL, 'B20104', '', '020104', 'B20104', '705', 'Organization state of swam or band of locusts', 'Code table', '0', '2', 'Code table', '0', '0', '4', 1, '', '', '1111'),
	(100, NULL, NULL, 'B20105', '', '020105', 'B20105', '706', 'Size of swam or band of locusts and duration of passage of time', 'Code table', '0', '2', 'Code table', '0', '0', '4', 1, '', '', '1111'),
	(101, NULL, NULL, 'B20106', '', '020106', 'B20106', '707', 'Locust population density', 'Code table', '0', '2', 'Code table', '0', '0', '4', 1, '', '', '1111'),
	(102, NULL, NULL, 'B20107', '', '020107', 'B20107', '708', 'Direction of movements of locust swarm', 'Code table', '0', '2', 'Code table', '0', '0', '4', 1, '', '', '1111'),
	(103, NULL, NULL, 'B20108', '', '020108', 'B20108', '710', 'Extent of vegetation', 'Code table', '0', '2', 'Code table', '0', '0', '4', 1, '', '', '1111'),
	(104, NULL, NULL, 'D02043', 'D02038', '020003', 'B20003', '167', 'Present weather ', 'Code table', '0', '3', 'Code table', '0', '0', '9', 1, '5', '', '000000101'),
	(105, NULL, NULL, '', '', '004024', 'B04024', 'ww_TP', 'Time period in hours', 'Hour', '0', '4', 'Hour', '0', '-2048', '12', 1, '-6', '', '011111111010'),
	(106, NULL, NULL, '', '', '020004', 'B20004', '197', 'Past weather (1) ', 'Code table', '0', '2', 'Code table', '0', '0', '5', 1, '3', '', '00011'),
	(107, NULL, NULL, '', '', '020005', 'B20005', '193', 'Past weather (2) ', 'Code table', '0', '2', 'Code table', '0', '0', '5', 1, '3', '', '00011'),
	(109, NULL, NULL, '', 'D02039', '004024', 'B04024', 'SSS_TP', 'Time period in hours', 'Hour', '0', '4', 'Hour', '0', '-2048', '12', 1, '-24', '', '011111101000'),
	(110, NULL, NULL, '', '', '014031', 'B14031', '84', 'Total sunshine ', 'Minute', '0', '4', 'Minute', '0', '0', '11', 1, '3600', '', '00101101000'),
	(111, NULL, NULL, '', '', '004024', 'B04024', 'SS_TP', 'Time period or displacement in hours', 'Hour', '0', '4', 'Hour', '0', '-2048', '12', 1, '-1', '', '011111111111'),
	(112, NULL, NULL, '', '', '014031', 'B14031', '132', 'Total sunshine in minutes (2nd replication)', 'Minute', '0', '4', 'Minute', '0', '0', '11', 1, '30', '', '00000011110'),
	(113, NULL, NULL, '', 'D02040', '007032', 'B07032', 'RR_SH', 'Height of sensor above local ground (for precipiation measurement)', 'm', '2', '5', 'm', '2', '0', '16', 1, '0.25', '', '0000000000011001'),
	(115, NULL, NULL, '', '', '004024', 'B04024', 'tR_TP', 'Time period in hours', 'Hour', '0', '4', 'Hour', '0', '-2048', '12', 1, '-3', '', '011111111101'),
	(116, NULL, NULL, '', '', '013011', 'B13011', '5', 'Total precipitation RRR', 'kg m-2', '1', '5', 'kg m-2', '1', '-1', '14', 1, '250', '', '00000011111011'),
	(117, NULL, NULL, '', '', '004024', 'B04024', 'tr_TP', 'Time period or displacement', 'Hour', '0', '4', 'Hour', '0', '-2048', '12', 1, '-3', '', '011111111101'),
	(118, NULL, NULL, '', '', '013011', 'B13011', '174', 'Total precipitation', 'kg m-2', '1', '5', 'kg m-2', '1', '-1', '14', 1, '10', '', '00000000001011'),
	(119, NULL, NULL, '', 'D02041', '007032', 'B07032', 'xt_SH', 'Height of sensor above local ground (for temperature measurement)', 'm', '2', '5', 'm', '2', '0', '16', 1, '1.25', '', '0000000001111101'),
	(120, NULL, NULL, '', '', '004024', 'B04024', 'xt_TP', 'Time period or displacement                         ', 'Hour', '0', '4', 'Hour', '0', '-2048', '12', 1, '-12', '', '011111110100'),
	(121, NULL, NULL, '', '', '004024', 'B04024', 'xt0_TP', 'Time period or displacement (see Notes 1 and 2)                      ', 'Hour', '0', '4', 'Hour', '0', '-2048', '12', 1, '0', '', '100000000000'),
	(122, NULL, NULL, '', '', '012111', 'B12111', '2', 'Maximum temperature (scale 2) at height and over period specified', '°C', '2', '4', 'K', '2', '0', '16', 1, '282', '', '0111010110110111'),
	(123, NULL, NULL, '', '', '004024', 'B04024', 'nt_TP', 'Time period or displacement                         ', 'Hour', '0', '4', 'Hour', '0', '-2048', '12', 1, '-12', '', '011111110100'),
	(124, NULL, NULL, '', '', '004024', 'B04024', 'nt0_TP', 'Time period or displacement (see Notes 2)                      ', 'Hour', '0', '4', 'Hour', '0', '-2048', '12', 1, '-0', '', '100000000000'),
	(125, NULL, NULL, '', '', '012112', 'B12112', '3', 'Minimum temperature (scale 2) at height and over period specified ', '°C', '2', '4', 'K', '2', '0', '16', 1, '176', '', '0111000110010011'),
	(126, NULL, NULL, '', 'D02042', '007032', 'B07032', 'w_SH', 'Height of sensor above local ground (for wind measurement)', 'm', '2', '5', 'm', '2', '0', '16', 1, '10', '', '0000001111101000'),
	(127, NULL, NULL, '', '', '002002', 'B02002', 'w_I', 'Type of instrumentation for wind measurement', 'Flag table', '0', '2', 'Flag table', '0', '0', '4', 1, '04', '', '0100'),
	(128, NULL, NULL, '', '', '008021', 'B08021', 'w_TS', 'Time significance (= 2 (time averaged))', 'Code table', '0', '2', 'Code table', '0', '0', '5', 1, '2', '', '00010'),
	(129, NULL, NULL, '', '', '004025', 'B04025', 'w_TP', 'Time period (= - 10 minutes, or number of minutes after a significant change of wind)', 'Minute', '0', '4', 'Minute', '0', '-2048', '12', 1, '-10', '', '011111110110'),
	(130, NULL, NULL, '', '', '011001', 'B11001', '112', 'Wind direction', 'Degree true', '0', '3', 'Degree true', '0', '0', '9', 1, '105', '', '001101001'),
	(131, NULL, NULL, '', '', '011002', 'B11002', '111', 'Wind speed ', 'm s-1', '1', '4', 'm s-1', '1', '0', '12', 1, '4', '', '000000101000'),
	(132, NULL, NULL, '', '', '008021', 'B08021', 'w1_TS', 'Time significance (= missing value)', 'Code table', '0', '2', 'Code table', '0', '0', '5', 1, '', '', '11111'),
	(134, NULL, NULL, '', '', '004025', 'B04025', 'w1_TP', 'Time period in minutes   ', 'Minute', '0', '4', 'Minute', '0', '-2048', '12', 1, '', '', '111111111111'),
	(135, NULL, NULL, '', '', '011043', 'B11043', '59', 'Maximum wind gust direction', 'Degree true', '0', '3', 'Degree true', '0', '0', '9', 1, '', '', '111111111'),
	(136, NULL, NULL, '', '', '011041', 'B11041', '58', 'Maximum wind gust speed', 'm s-1', '1', '4', 'm s-1', '1', '0', '12', 1, '', '', '111111111111'),
	(137, NULL, NULL, '', '', '004025', 'B04025', 'w2_TP', 'Time period in minutes   ', 'Minute', '0', '4', 'Minute', '0', '-2048', '12', 1, '', '', '111111111111'),
	(138, NULL, NULL, '', '', '011043', 'B11043', '591', 'Maximum wind gust direction', 'Degree true', '0', '3', 'Degree true', '0', '0', '9', 1, '', '', '111111111'),
	(139, NULL, NULL, '', '', '011041', 'B11041', '581', 'Maximum wind gust speed', 'm s-1', '1', '4', 'm s-1', '1', '0', '12', 1, '', '', '111111111111'),
	(140, NULL, NULL, '', 'B07032', '007032', 'B07032', 'evap_SH', 'Height of sensor above local ground (for evaporation measurement)', 'm', '2', '5', 'm', '2', '0', '16', 1, '0.25', '', '0000000000011001'),
	(141, NULL, NULL, 'D02044', 'B04024', '004024', 'B04024', 'evap_TP', 'Time period in hours              =  - 24', 'Hour', '0', '4', 'Hour', '0', '-2048', '12', 1, '-24', '', '011111101000'),
	(142, NULL, NULL, '', 'B02004', '002004', 'B02004', 'evap_I', 'Type of instrument for evaporation or crop for evapotranspiration', 'Code table', '0', '2', 'Code table', '0', '0', '4', 1, '01', '', '0001'),
	(143, NULL, NULL, '', 'B13033', '013033', 'B13033', '18', 'Evaporation /evapotranspiration', 'kg m-2', '1', '4', 'kg m-2', '1', '0', '10', 1, '50', '', '0000110010'),
	(145, NULL, NULL, 'D02045', 'B04024', '004024', 'B04024', 'rad1_TP', 'Time period or displacement', 'Hour', '0', '4', 'Hour', '0', '-2048', '12', 1, '-1', '', '011111111111'),
	(146, NULL, NULL, '', 'B14002', '014002', 'B14002', '536', 'Long-wave radiation, integrated over period specified ', 'J m-2', '-3', '4', 'J m-2', '-3', '-2048', '12', 1, '', '', '111111111111'),
	(147, NULL, NULL, '', 'B14004', '014004', 'B14004', '533', 'Short-wave radiation, integrated over period specified ', 'J m-2', '-3', '4', 'J m-2', '-3', '-2048', '12', 1, '', '', '111111111111'),
	(148, NULL, NULL, '', 'B14016', '014016', 'B14016', '46_1', 'Net radiation, integrated over period specified', 'J m-2', '-4', '5', 'J m-2', '-4', '-16384', '15', 1, '', '', '111111111111111'),
	(149, NULL, NULL, '', 'B14028', '014028', 'B14028', '133', 'Global solar radiation (high accuracy), integrated over period specified', 'J m-2', '-2', '5', 'J m-2', '-2', '0', '16', 1, '', '', '1111111111111111'),
	(150, NULL, NULL, '', 'B14029', '014029', 'B14029', '97', 'Diffuse solar radiation (high accuracy), integrated over period specified', 'J m-2', '-2', '5', 'J m-2', '-2', '0', '16', 1, '', '', '1111111111111111'),
	(151, NULL, NULL, '', 'B14030', '014030', 'B14030', '139', 'Direct solar radiation (high accuracy), integrated over period specified', 'J m-2', '-2', '5', 'J m-2', '-2', '0', '16', 1, '', '', '1111111111111111'),
	(152, NULL, NULL, '', 'B04024', '004024', 'B04024', 'rad2_TP', 'Time period or displacement', 'Hour', '0', '4', 'Hour', '0', '-2048', '12', 1, '-24', '', '011111101000'),
	(153, NULL, NULL, '', 'B14002', '014002', 'B14002', '536_1', 'Long-wave radiation, integrated over period specified ', 'J m-2', '-3', '4', 'J m-2', '-3', '-2048', '12', 1, '', '', '111111111111'),
	(154, NULL, NULL, '', 'B14004', '014004', 'B14004', '533_1', 'Short-wave radiation, integrated over period specified ', 'J m-2', '-3', '4', 'J m-2', '-3', '-2048', '12', 1, '', '', '111111111111'),
	(155, NULL, NULL, '', 'B14016', '014016', 'B14016', '46', 'Net radiation, integrated over period specified', 'J m-2', '-4', '5', 'J m-2', '-4', '-16384', '15', 1, '262000000', '', '100101000111100'),
	(156, NULL, NULL, '', 'B14028', '014028', 'B14028', '133_1', 'Global solar radiation (high accuracy), integrated over period specified', 'J m-2', '-2', '5', 'J m-2', '-2', '0', '16', 1, '', '', '1111111111111111'),
	(157, NULL, NULL, '', 'B14029', '014029', 'B14029', '97_1', 'Diffuse solar radiation (high accuracy), integrated over period specified', 'J m-2', '-2', '5', 'J m-2', '-2', '0', '16', 1, '', '', '1111111111111111'),
	(158, NULL, NULL, '', 'B14030', '014030', 'B14030', '139_1', 'Direct solar radiation (high accuracy), integrated over period specified', 'J m-2', '-2', '5', 'J m-2', '-2', '0', '16', 1, '', '', '1111111111111111'),
	(159, NULL, NULL, 'D02046', 'B04024', '004024', 'B04024', 'tempc_t', 'Time period or displacement                         ', 'Hour', '0', '4', 'Hour', '0', '-2048', '12', 1, '-6', '', '011111111010'),
	(160, NULL, NULL, '', 'B04024', '004024', 'B04024', 'tempc1_t', 'Time period or displacement (see Note 3)       ', 'Hour', '0', '4', 'Hour', '0', '-2048', '12', 1, '', '', '111111111111'),
	(161, NULL, NULL, '', 'B12049', '012049', 'B12049', '94', 'Temperature change over period specified', '°C', '0', '2', 'K', '0', '-30', '6', 1, '', '', '111111');
/*!40000 ALTER TABLE `bufr_crex_data` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_db_v4.bufr_crex_master
CREATE TABLE IF NOT EXISTS `bufr_crex_master` (
  `Bufr_FXY` varchar(6) NOT NULL,
  `Crex_Fxxyyy` varchar(255) NOT NULL,
  `ElementName` varchar(255) NOT NULL,
  `Bufr_Unit` varchar(255) NOT NULL,
  `Bufr_Scale` varchar(25) NOT NULL DEFAULT '0',
  `Bufr_RefValue` varchar(50) DEFAULT '0',
  `Bufr_DataWidth_Bits` varchar(50) DEFAULT '0',
  `Crex_Unit` varchar(25) DEFAULT NULL,
  `Crex_Scale` varchar(25) NOT NULL,
  `Crex_DataWidth` varchar(25) NOT NULL,
  `Observation` varchar(255) DEFAULT NULL,
  `Crex_Data` varchar(30) DEFAULT NULL,
  `Bufr_Data` varchar(255) DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_db_v4.bufr_crex_master: ~1,183 rows (approximately)
/*!40000 ALTER TABLE `bufr_crex_master` DISABLE KEYS */;
INSERT INTO `bufr_crex_master` (`Bufr_FXY`, `Crex_Fxxyyy`, `ElementName`, `Bufr_Unit`, `Bufr_Scale`, `Bufr_RefValue`, `Bufr_DataWidth_Bits`, `Crex_Unit`, `Crex_Scale`, `Crex_DataWidth`, `Observation`, `Crex_Data`, `Bufr_Data`) VALUES
	('000001', 'B00001', 'Table A: entry', 'CCITT IA5', '0', '0', '24', 'Character', '0', '3', '', '', ''),
	('000002', 'B00002', 'Table A: data category description line 1', 'CCITT IA5', '0', '0', '256', 'Character', '0', '32', '', '', ''),
	('000003', 'B00003', 'Table A: data category description line 2', 'CCITT IA5', '0', '0', '256', 'Character', '0', '32', '', '', ''),
	('000004', 'B00004', 'BUFR/CREX Master table (see Note 2)', 'CCITT IA5', '0', '0', '16', 'Character', '0', '2', '', '', ''),
	('000005', 'B00005', 'BUFR/CREX edition number', 'CCITT IA5', '0', '0', '24', 'Character', '0', '3', '', '', ''),
	('000006', 'B00006', 'BUFR Master table Version number (see Note 3)', 'CCITT IA5', '0', '0', '16', 'Character', '0', '2', '', '', ''),
	('000007', 'B00007', 'CREX Master table Version number (see Note 4)', 'CCITT IA5', '0', '0', '16', 'Character', '0', '2', '', '', ''),
	('000008', 'B00008', 'BUFR Local table version number (see Note 5)', 'CCITT IA5', '0', '0', '16', 'Character', '0', '2', '', '', ''),
	('000010', 'B00010', 'F descriptor to be added or defined', 'CCITT IA5', '0', '0', '8', 'Character', '0', '1', '', '', ''),
	('000011', 'B00011', 'X descriptor to be added or defined', 'CCITT IA5', '0', '0', '16', 'Character', '0', '2', '', '', ''),
	('000012', 'B00012', 'Y descriptor to be added or defined', 'CCITT IA5', '0', '0', '24', 'Character', '0', '3', '', '', ''),
	('000013', 'B00013', 'Element name line 1', 'CCITT IA5', '0', '0', '256', 'Character', '0', '32', '', '', ''),
	('000014', 'B00014', 'Element name line 2', 'CCITT IA5', '0', '0', '256', 'Character', '0', '32', '', '', ''),
	('000015', 'B00015', 'Units name', 'CCITT IA5', '0', '0', '192', 'Character', '0', '24', '', '', ''),
	('000016', 'B00016', 'Units scale sign', 'CCITT IA5', '0', '0', '8', 'Character', '0', '1', '', '', ''),
	('000017', 'B00017', 'Units scale', 'CCITT IA5', '0', '0', '24', 'Character', '0', '3', '', '', ''),
	('000018', 'B00018', 'Units reference sign', 'CCITT IA5', '0', '0', '8', 'Character', '0', '1', '', '', ''),
	('000019', 'B00019', 'Units reference value', 'CCITT IA5', '0', '0', '80', 'Character', '0', '10', '', '', ''),
	('000020', 'B00020', 'Element data width', 'CCITT IA5', '0', '0', '24', 'Character', '0', '3', '', '', ''),
	('000030', 'B00030', 'Descriptor defining sequence', 'CCITT IA5', '0', '0', '48', 'Character', '0', '6', '', '', ''),
	('001001', 'B01001', 'WMO block number', 'Numeric', '0', '0', '7', 'Numeric', '0', '2', '', '', ''),
	('001002', 'B01002', 'WMO station number', 'Numeric', '0', '0', '10', 'Numeric', '0', '3', '', '', ''),
	('001003', 'B01003', 'WMO Region number/geographical area', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('001004', 'B01004', 'WMO Region sub-area (see Note 9)', 'Numeric', '0', '0', '3', 'Numeric', '0', '1', '', '', ''),
	('001005', 'B01005', 'Buoy/platform identifier', 'Numeric', '0', '0', '17', 'Numeric', '0', '5', '', '', ''),
	('001006', 'B01006', 'Aircraft flight number', 'CCITT IA5', '0', '0', '64', 'Character', '0', '8', '', '', ''),
	('001007', 'B01007', 'Satellite identifier', 'Code table', '0', '0', '10', 'Code table', '0', '4', '', '', ''),
	('001008', 'B01008', 'Aircraft registration number or other identification', 'CCITT IA5', '0', '0', '64', 'Character', '0', '8', '', '', ''),
	('001009', 'B01009', 'Type of commercial aircraft', 'CCITT IA5', '0', '0', '64', 'Character', '0', '8', '', '', ''),
	('001010', 'B01010', 'Stationary buoy platform identifier; e.g. C-MAN buoys', 'CCITT IA5', '0', '0', '64', 'Character', '0', '8', '', '', ''),
	('001011', 'B01011', 'Ship or mobile land station identifier', 'CCITT IA5', '0', '0', '72', 'Character', '0', '9', '', '', ''),
	('001012', 'B01012', 'Direction of motion of moving observing platform*', 'Degree true', '0', '0', '9', 'Degree true', '0', '3', '', '', ''),
	('001013', 'B01013', 'Speed of motion of moving observing platform??*', 'm s-1', '0', '0', '10', 'm s-1', '0', '3', '', '', ''),
	('001014', 'B01014', 'Platform drift speed (high precision)', 'm s-1', '2', '0', '10', 'm s-1', '2', '4', '', '', ''),
	('001015', 'B01015', 'Station or site name', 'CCITT IA5', '0', '0', '160', 'Character', '0', '20', '', '', ''),
	('001018', 'B01018', 'Short station or site name', 'CCITT IA5', '0', '0', '40', 'Character', '0', '5', '', '', ''),
	('001019', 'B01019', 'Long Station or site name', 'CCITT IA5', '0', '0', '256', 'Character', '0', '32', '', '', ''),
	('001020', 'B01020', 'WMO Region sub-area', 'Numeric', '0', '0', '4', 'Numeric', '0', '2', '', '', ''),
	('001021', 'B01021', 'Synoptic feature identifier', 'Numeric', '0', '0', '14', 'Numeric', '0', '4', '', '', ''),
	('001022', 'B01022', 'Name of feature (see Note 11)', 'CCITT IA5', '0', '0', '224', 'Character', '0', '28', '', '', ''),
	('001023', 'B01023', 'Observation sequence number ', 'Numeric', '0', '0', '9', 'Numeric', '0', '3', '', '', ''),
	('001025', 'B01025', 'Storm identifier (see Note 1)', 'CCITT IA5', '0', '0', '24', 'Character', '0', '3', '', '', ''),
	('001026', 'B01026', 'WMO storm name*', 'CCITT IA5', '0', '0', '64', 'Character', '0', '8', '', '', ''),
	('001027', 'B01027', 'WMO long storm name*', 'CCITT IA5', '0', '0', '80', 'Character', '0', '10', '', '', ''),
	('001030', 'B01030', 'Numerical model identifier (see Note 13)', 'CCITT IA5', '0', '0', '128', 'Character', '0', '16', '', '', ''),
	('001031', 'B01031', 'Identification of originating/generating centre (see Note 10)', 'Code table', '0', '0', '16', 'Code table', '0', '5', '', '', ''),
	('001032', 'B01032', 'Generating application', 'Code table defined by originating/generating centre (Notes 3 4 and 5)', '0', '0', '8', 'Code table', '0', '3', '', '', ''),
	('001033', 'B01033', 'Identification of originating/generating centre', 'Code table', '0', '0', '8', 'Code table', '0', '3', '', '', ''),
	('001034', 'B01034', 'Identification of originating/generating sub-centre', 'Code table', '0', '0', '8', 'Code table', '0', '3', '', '', ''),
	('001035', 'B01035', 'Originating Centre', 'Common Code Table C-11', '0', '0', '16', 'Common Code Table C-11', '0', '5', '', '', ''),
	('001036', 'B01036', 'Agency in charge of operating the Observing platform', 'Code table', '0', '0', '20', 'Code table', '0', '7', '', '', ''),
	('001037', 'B01037', 'SIGMET sequence identifier', 'CCITT IA5', '0', '0', '24', 'Character', '0', '3', '', '', ''),
	('001041', 'B01041', 'Absolute platform velocity – first component (see Note 6)', 'm s-1', '5', '-1073741824', '31', 'm s-1', '5', '10', '', '', ''),
	('001042', 'B01042', 'Absolute platform velocity – second component  (see Note 6)', 'm s-1', '5', '-1073741824', '31', 'm s-1', '5', '10', '', '', ''),
	('001043', 'B01043', 'Absolute platform velocity – third component  (see Note 6)', 'm s-1', '5', '-1073741824', '31', 'm s-1', '5', '10', '', '', ''),
	('001050', 'B01050', 'Platform transmitter ID number', 'Numeric', '0', '0', '17', 'Numeric', '0', '6', '', '', ''),
	('001051', 'B01051', 'Platform transmitter ID number', 'CCITT IA5', '0', '0', '96', 'Character', '0', '12', '', '', ''),
	('001060', 'B01060', 'Aircraft reporting point (Beacon identifier)', 'CCITT IA5', '0', '0', '64', 'Character', '0', '8', '', '', ''),
	('001062', 'B01062', 'Short ICAO location indicator', 'CCITT IA5', '0', '0', '32', 'Character', '0', '4', '', '', ''),
	('001063', 'B01063', 'ICAO location indicator', 'CCITT IA5', '0', '0', '64', 'Character', '0', '8', '', '', ''),
	('001064', 'B01064', 'Runway designator', 'CCITT IA5', '0', '0', '32', 'Character', '0', '4', '', '', ''),
	('001065', 'B01065', 'ICAO region identifier', 'CCITT IA5', '0', '0', '256', 'Character', '0', '32', '', '', ''),
	('001075', 'B01075', 'Tide station identification', 'CCITT IA5', '0', '0', '40', 'Character', '0', '5', '', '', ''),
	('001080', 'B01080', 'Ship line number according to SOOP', 'CCITT IA5', '0', '0', '32', 'Character', '0', '4', '', '', ''),
	('001081', 'B01081', 'Radiosonde serial number ', 'CCITT IA5', '0', '0', '160', 'Character', '0', '20', '', '', ''),
	('001082', 'B01082', 'Radiosonde ascension number (see Note 12)', 'Numeric', '0', '0', '14', 'Numeric', '0', '4', '', '', ''),
	('001083', 'B01083', 'Radiosonde release number (see Note 12)', 'Numeric', '0', '0', '3', 'Numeric', '0', '1', '', '', ''),
	('001085', 'B01085', 'Observing platform manufacturer\'s model', 'CCITT IA5', '0', '0', '160', 'Character', '0', '20', '', '', ''),
	('001086', 'B01086', 'Observing platform manufacturer\'s serial number', 'CCITT IA5', '0', '0', '256', 'Character', '0', '32', '', '', ''),
	('001087', 'B01087', 'WMO Marine observing platform extended identifier', 'Numeric', '0', '0', '23', 'Numeric', '0', '7', '', '', ''),
	('001090', 'B01090', 'Technique for making up initial perturbations', 'Code table', '0', '0', '8', 'Code table', '0', '3', '', '', ''),
	('001091', 'B01091', 'Ensemble member number ', 'Numeric', '0', '0', '10', 'Numeric', '0', '4', '', '', ''),
	('001092', 'B01092', 'Type of ensemble forecast', 'Code table', '0', '0', '8', 'Code table', '0', '3', '', '', ''),
	('001093', 'B01093', 'Balloon lot number', 'CCITT IA5', '0', '0', '96', 'Character', '0', '12', '', '', ''),
	('001094', 'B01094', 'WBAN Number', 'Numeric', '0', '0', '17', 'Numeric', '0', '5', '', '', ''),
	('001095', 'B01095', 'Observer identification', 'CCITT IA5', '0', '0', '32', 'Character', '0', '4', '', '', ''),
	('001096', 'B01096', 'Station acquisition ', 'CCITT IA5', '0', '0', '160', 'Character', '0', '20', '', '', ''),
	('002001', 'B02001', 'Type of station', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('002002', 'B02002', 'Type of instrumentation for wind measurement', 'Flag table', '0', '0', '4', 'Flag table', '0', '2', '', '', ''),
	('002003', 'B02003', 'Type of measuring equipment used', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002004', 'B02004', 'Type of instrumentation for evaporation measurement or type of crop for which evapotranspiration is reported', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002005', 'B02005', 'Precision of temperature observation', 'K', '2', '0', '7', 'K', '2', '3', '', '', ''),
	('002011', 'B02011', 'Radiosonde type', 'Code table', '0', '0', '8', 'Code table', '0', '3', '', '', ''),
	('002012', 'B02012', 'Radiosonde computational method', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002013', 'B02013', 'Solar and infrared radiation correction', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002014', 'B02014', 'Tracking technique/status of system used', 'Code table', '0', '0', '7', 'Code table', '0', '3', '', '', ''),
	('002015', 'B02015', 'Radiosonde completeness', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002016', 'B02016', 'Radiosonde configuration', 'Flag table', '0', '0', '5', 'Flag table', '0', '2', '', '', ''),
	('002019', 'B02019', 'Satellite instruments', 'Code table', '0', '0', '11', 'Code table', '0', '4', '', '', ''),
	('002020', 'B02020', 'Satellite classification', 'Code table', '0', '0', '9', 'Code table', '0', '3', '', '', ''),
	('002021', 'B02021', 'Satellite instrument data used in processing*', 'Flag table', '0', '0', '9', 'Flag table', '0', '3', '', '', ''),
	('002022', 'B02022', 'Satellite data-processing technique used', 'Flag table', '0', '0', '8', 'Flag table', '0', '3', '', '', ''),
	('002023', 'B02023', 'Satellite derived wind computation method', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002024', 'B02024', 'Integrated mean humidity computational method', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002025', 'B02025', 'Satellite channel(s) used in computation', 'Flag table', '0', '0', '25', 'Flag table', '0', '9', '', '', ''),
	('002026', 'B02026', 'Cross track resolution', 'm', '2', '0', '12', 'm', '2', '4', '', '', ''),
	('002027', 'B02027', 'Along track resolution', 'm', '2', '0', '12', 'm', '2', '4', '', '', ''),
	('002028', 'B02028', 'Segment size at nadir in X direction', 'm', '0', '0', '18', 'm', '0', '6', '', '', ''),
	('002029', 'B02029', 'Segment size at nadir in Y direction', 'm', '0', '0', '18', 'm', '0', '6', '', '', ''),
	('002030', 'B02030', 'Method of current measurement', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('002031', 'B02031', 'Duration and time of current measurement', 'Code table', '0', '0', '5', 'Code table', '0', '2', '', '', ''),
	('002032', 'B02032', 'Indicator for digitization', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('002033', 'B02033', 'Method of salinity/depth measurement', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('002034', 'B02034', 'Drogue type', 'Code table', '0', '0', '5', 'Code table', '0', '2', '', '', ''),
	('002035', 'B02035', 'Cable length', 'm', '0', '0', '9', 'm', '0', '3', '', '', ''),
	('002036', 'B02036', 'Buoy type', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('002037', 'B02037', 'Method of tidal observation', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('002038', 'B02038', 'Method of water temperature and/or salinity measurement', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002039', 'B02039', 'Method of wet-bulb temperature measurement', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('002040', 'B02040', 'Method of removing velocity and motion of platform from current', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002041', 'B02041', 'Method for estimating reports related to synoptic features', 'Code table', '0', '0', '6', 'Code table', '0', '2', '', '', ''),
	('002042', 'B02042', 'Indicator for sea surface current speed', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('002044', 'B02044', 'Indicator for method of calculating spectral wave data', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002045', 'B02045', 'Indicator for type of platform', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002046', 'B02046', 'Wave measurement instrumentation', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002048', 'B02048', 'Satellite sensor indicator', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002049', 'B02049', 'Geostationary satellite data-processing technique used', 'Flag table', '0', '0', '8', 'Flag table', '0', '3', '', '', ''),
	('002050', 'B02050', 'Geostationary sounder satellite channels used', 'Flag table', '0', '0', '20', 'Flag table', '0', '7', '', '', ''),
	('002051', 'B02051', 'Indicator to specify observing method for extreme temperatures', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002052', 'B02052', 'Geostationary imager satellite channels used', 'Flag table', '0', '0', '6', 'Flag table', '0', '2', '', '', ''),
	('002053', 'B02053', 'GOES-I/M brightness temperature characteristics', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002054', 'B02054', 'GOES-I/M soundings parameter characteristics', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002055', 'B02055', 'Geostationary soundings statistical parameters', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002056', 'B02056', 'Geostationary soundings accuracy statistics', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002057', 'B02057', 'Origin of first guess information for GOES-I/M soundings', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002058', 'B02058', 'Valid times of first guess information for GOES-I/M soundings', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002059', 'B02059', 'Origin of analysis information for GOES-I/M soundings', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002060', 'B02060', 'Origin of surface information for GOES-I/M soundings', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002061', 'B02061', 'Aircraft navigational system', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('002062', 'B02062', 'Type of aircraft data relay system', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002063', 'B02063', 'Aircraft roll angle', 'Degree', '2', '-18000', '16', 'Degree', '2', '5', '', '', ''),
	('002064', 'B02064', 'Aircraft roll angle quality', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('002065', 'B02065', 'ACARS ground receiving station', 'CCITT IA5', '0', '0', '40', 'Character', '0', '5', '', '', ''),
	('002066', 'B02066', 'Radiosonde ground receiving system', 'Code table', '0', '0', '6', 'Code table', '0', '2', '', '', ''),
	('002067', 'B02067', 'Radiosonde operating frequency', 'Hz', '-5', '0', '15', 'Hz', '-5', '5', '', '', ''),
	('002070', 'B02070', 'Original specification of latitude/longitude', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002080', 'B02080', 'Balloon manufacturer', 'Code table', '0', '0', '6', 'Code table', '0', '2', '', '', ''),
	('002081', 'B02081', 'Type of balloon', 'Code table', '0', '0', '5', 'Code table', '0', '2', '', '', ''),
	('002082', 'B02082', 'Weight of balloon', 'kg', '3', '0', '12', 'kg', '3', '4', '', '', ''),
	('002083', 'B02083', 'Type of balloon shelter', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002084', 'B02084', 'Type of gas used in balloon', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002085', 'B02085', 'Amount of gas used in balloon', 'kg', '3', '0', '13', 'kg', '3', '4', '', '', ''),
	('002086', 'B02086', 'Balloon flight train length', 'm', '1', '0', '10', 'm', '1', '4', '', '', ''),
	('002091', 'B02091', 'Entry sensor 4/20 mA', 'A', '4', '0', '10', 'A', '4', '3', '', '', ''),
	('002095', 'B02095', 'Type of pressure sensor', 'Code table', '0', '0', '5', 'Code table', '0', '2', '', '', ''),
	('002096', 'B02096', 'Type of temperature sensor', 'Code table', '0', '0', '5', 'Code table', '0', '2', '', '', ''),
	('002097', 'B02097', 'Type of humidity sensor', 'Code table', '0', '0', '5', 'Code table', '0', '2', '', '', ''),
	('002100', 'B02100', 'Radar constant*', 'dB', '1', '0', '12', 'dB', '1', '4', '', '', ''),
	('002101', 'B02101', 'Type of antenna', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002102', 'B02102', 'Antenna height above tower base', 'm', '0', '0', '8', 'm', '0', '3', '', '', ''),
	('002103', 'B02103', 'Radome', 'Flag table', '0', '0', '2', 'Flag table', '0', '1', '', '', ''),
	('002104', 'B02104', 'Antenna polarisation', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002105', 'B02105', 'Maximum antenna gain', 'dB', '0', '0', '6', 'dB', '0', '2', '', '', ''),
	('002106', 'B02106', '3-dB beamwidth', 'Degree', '1', '0', '6', 'Degree', '1', '2', '', '', ''),
	('002107', 'B02107', 'Sidelobe suppression', 'dB', '0', '0', '6', 'dB', '0', '2', '', '', ''),
	('002108', 'B02108', 'Crosspol discrimination (on axis)', 'dB', '0', '0', '6', 'dB', '0', '2', '', '', ''),
	('002109', 'B02109', 'Antenna speed (azimuth)', 'Degree s-1', '2', '0', '12', 'Degree s-1', '2', '4', '', '', ''),
	('002110', 'B02110', 'Antenna speed (elevation)', 'Degree s-1', '2', '0', '12', 'Degree s-1', '2', '4', '', '', ''),
	('002111', 'B02111', 'Radar incidence angle', 'Degree', '1', '0', '10', 'Degree', '1', '4', '', '', ''),
	('002112', 'B02112', 'Radar look angle', 'Degree', '1', '0', '12', 'Degree', '1', '4', '', '', ''),
	('002113', 'B02113', 'Number of azimuth looks', 'Numeric', '0', '0', '4', 'Numeric', '0', '2', '', '', ''),
	('002114', 'B02114', 'Antenna effective surface area', 'm2', '0', '0', '15', 'm2', '0', '5', '', '', ''),
	('002115', 'B02115', 'Type of surface observing equipment', 'Code table', '0', '0', '5', 'Code table', '0', '2', '', '', ''),
	('002116', 'B02116', 'Percentage of 320 MHz band processed', '%', '0', '0', '7', '%', '0', '3', '', '', ''),
	('002117', 'B02117', 'Percentage of 80 MHz band processed', '%', '0', '0', '7', '%', '0', '3', '', '', ''),
	('002118', 'B02118', 'Percentage of 20 MHz band processed', '%', '0', '0', '7', '%', '0', '3', '', '', ''),
	('002119', 'B02119', 'RA-2 instrument operations', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('002120', 'B02120', 'Ocean wave frequency', 'Hz', '3', '0', '10', 'Hz', '3', '4', '', '', ''),
	('002121', 'B02121', 'Mean frequency', 'Hz', '-8', '0', '7', 'Hz', '-8', '3', '', '', ''),
	('002122', 'B02122', 'Frequency agility range', 'Hz', '-6', '-128', '8', 'Hz', '-6', '3', '', '', ''),
	('002123', 'B02123', 'Peak power', 'W', '-4', '0', '7', 'W', '-4', '3', '', '', ''),
	('002124', 'B02124', 'Average power', 'W', '-1', '0', '7', 'W', '-1', '3', '', '', ''),
	('002125', 'B02125', 'Pulse repetition frequency', 'Hz', '-1', '0', '8', 'Hz', '-1', '3', '', '', ''),
	('002126', 'B02126', 'Pulse width', 's', '7', '0', '6', 's', '7', '2', '', '', ''),
	('002127', 'B02127', 'Receiver intermediate frequency', 'Hz', '-6', '0', '7', 'Hz', '-6', '3', '', '', ''),
	('002128', 'B02128', 'Intermediate frequency bandwidth', 'Hz', '-5', '0', '6', 'Hz', '-5', '2', '', '', ''),
	('002129', 'B02129', 'Minimum detectable signal', 'dB', '0', '-150', '5', 'dB', '0', '3', '', '', ''),
	('002130', 'B02130', 'Dynamic range', 'dB', '0', '0', '7', 'dB', '0', '3', '', '', ''),
	('002131', 'B02131', 'Sensitivity time control (STC)', 'Flag table', '0', '0', '2', 'Flag table', '0', '1', '', '', ''),
	('002132', 'B02132', 'Azimuth pointing accuracy', 'Degree', '2', '0', '6', 'Degree', '2', '2', '', '', ''),
	('002133', 'B02133', 'Elevation pointing accuracy', 'Degree', '2', '0', '6', 'Degree', '2', '2', '', '', ''),
	('002134', 'B02134', 'Antenna beam azimuth', 'Degree', '2', '0', '16', 'Degree', '2', '5', '', '', ''),
	('002135', 'B02135', 'Antenna elevation', 'Degree', '2', '-9000', '15', 'Degree', '2', '5', '', '', ''),
	('002136', 'B02136', 'Range processed by range attenuation correction', 'm', '-3', '0', '16', 'm', '-3', '5', '', '', ''),
	('002140', 'B02140', 'Satellite radar beam azimuth angle', 'Degree', '0', '0', '9', 'Degree', '0', '3', '', '', ''),
	('002141', 'B02141', 'Measurement type', 'CCITT IA5', '0', '0', '24', 'Character', '0', '3', '', '', ''),
	('002142', 'B02142', 'Ozone instrument serial number/ identification', 'CCITT IA5', '0', '0', '32', 'Character', '0', '4', '', '', ''),
	('002143', 'B02143', 'Ozone instrument type', 'Code table', '0', '0', '7', 'Code table', '0', '3', '', '', ''),
	('002144', 'B02144', 'Light source type for Brewer spectro photometer', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002145', 'B02145', 'Wave length setting for Dobson instruments', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002146', 'B02146', 'Source conditions for Dobson instruments', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002148', 'B02148', 'Data collection and/or location system', 'Code table', '0', '0', '5', 'Code table', '0', '2', '', '', ''),
	('002149', 'B02149', 'Type of data buoy', 'Code table', '0', '0', '6', 'Code table', '0', '2', '', '', ''),
	('002150', 'B02150', 'TOVS/ATOVS/AVHRR instrumentation channel number', 'Code table', '0', '0', '6', 'Code table', '0', '2', '', '', ''),
	('002151', 'B02151', 'Radiometer identifier', 'Code table', '0', '0', '11', 'Code table', '0', '4', '', '', ''),
	('002152', 'B02152', 'Satellite instrument used in data processing (see Note 6)', 'Flag table', '0', '0', '31', 'Flag table', '0', '10', '', '', ''),
	('002153', 'B02153', 'Satellite channel centre frequency', 'Hz', '-8', '0', '26', 'Hz', '-8', '8', '', '', ''),
	('002154', 'B02154', 'Satellite channel band width', 'Hz', '-8', '0', '26', 'Hz', '-8', '8', '', '', ''),
	('002156', 'B02156', 'Percentage of valid KU ocean retracker measurements', '%', '0', '0', '7', '%', '0', '3', '', '', ''),
	('002157', 'B02157', 'Percentage of valid S ocean retracker measurements', '%', '0', '0', '7', '%', '0', '3', '', '', ''),
	('002158', 'B02158', 'RA-2 instrument', 'Flag table', '0', '0', '9', 'Flag table', '0', '3', '', '', ''),
	('002159', 'B02159', 'MWR instrument', 'Flag table', '0', '0', '8', 'Flag table', '0', '3', '', '', ''),
	('002160', 'B02160', 'Wave length of the radar', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002163', 'B02163', 'Height assignment method', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002164', 'B02164', 'Tracer correlation method', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('002166', 'B02166', 'Radiance type', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002167', 'B02167', 'Radiance computational method', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002168', 'B02168', 'Hydrostatic pressure of lower end of cable (thermistor string)', 'Pa', '-3', '0', '16', 'kPa', '-3', '5', '', '', ''),
	('002169', 'B02169', 'Anemometer type', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002172', 'B02172', 'Product type for retrieved atmospheric gases', 'Code table', '0', '0', '8', 'Code table', '0', '3', '', '', ''),
	('002173', 'B02173', 'Square of the off nadir angle (see Note 7)', 'Degree2', '4', '0', '10', 'Degree2', '4', '4', '', '', ''),
	('002174', 'B02174', 'Mean across track pixel number ', 'Numeric', '0', '0', '9', 'Numeric', '0', '3', '', '', ''),
	('002175', 'B02175', 'Method of precipitation measurement ', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002176', 'B02176', 'Method of state of ground measurement ', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002177', 'B02177', 'Method of snow depth measurement ', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002178', 'B02178', 'Method of liquid content measurement of precipitation', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002179', 'B02179', 'Type of sky condition algorithm ', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002180', 'B02180', 'Main present weather detecting system ', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002181', 'B02181', 'Supplementary present weather sensor', 'Flag table', '0', '0', '21', 'Flag table', '0', '7', '', '', ''),
	('002182', 'B02182', 'Visibility measurement system ', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002183', 'B02183', 'Cloud detection system', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002184', 'B02184', 'Type of lightning detection sensor', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002185', 'B02185', 'Method of evaporation measurement', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002186', 'B02186', 'Capability to detect precipitation phenomena', 'Flag table', '0', '0', '30', 'Flag table', '0', '10', '', '', ''),
	('002187', 'B02187', 'Capability to detect other weather phenomena', 'Flag table', '0', '0', '18', 'Flag table', '0', '6', '', '', ''),
	('002188', 'B02188', 'Capability to detect obscuration', 'Flag table', '0', '0', '21', 'Flag table', '0', '7', '', '', ''),
	('002189', 'B02189', 'Capability to discriminate lightning strikes', 'Flag table', '0', '0', '12', 'Flag table', '0', '4', '', '', ''),
	('002190', 'B02190', 'Lagrangian drifter submergence (% time submerged)', '%', '0', '0', '7', '%', '0', '3', '', '', ''),
	('004001', 'B04001', 'Year', 'Year', '0', '0', '12', 'Year', '0', '4', '', '', ''),
	('004002', 'B04002', 'Month', 'Month', '0', '0', '4', 'Month', '0', '2', '', '', ''),
	('004003', 'B04003', 'Day', 'Day', '0', '0', '6', 'Day', '0', '2', '', '', ''),
	('004004', 'B04004', 'Hour', 'Hour', '0', '0', '5', 'Hour', '0', '2', '', '', ''),
	('004005', 'B04005', 'Minute', 'Minute', '0', '0', '6', 'Minute', '0', '2', '', '', ''),
	('004006', 'B04006', 'Second', 'Second', '0', '0', '6', 'Second', '0', '2', '', '', ''),
	('004007', 'B04007', 'Seconds within a minute (microsecond accuracy)', 'Second', '6', '0', '26', 'Second', '6', '8', '', '', ''),
	('004011', 'B04011', 'Time increment', 'Year', '0', '-1024', '11', 'Year', '0', '4', '', '', ''),
	('004012', 'B04012', 'Time increment', 'Month', '0', '-1024', '11', 'Month', '0', '4', '', '', ''),
	('004013', 'B04013', 'Time increment', 'Day', '0', '-1024', '11', 'Day', '0', '4', '', '', ''),
	('004014', 'B04014', 'Time increment', 'Hour', '0', '-1024', '11', 'Hour', '0', '4', '', '', ''),
	('004015', 'B04015', 'Time increment', 'Minute', '0', '-2048', '12', 'Minute', '0', '4', '', '', ''),
	('004016', 'B04016', 'Time increment', 'Second', '0', '-4096', '13', 'Second', '0', '4', '', '', ''),
	('004017', 'B04017', 'Reference time period for accumulated or extreme data', 'Minute', '0', '-1440', '12', 'Minute', '0', '4', '', '', ''),
	('004021', 'B04021', 'Time period or displacement', 'Year', '0', '-1024', '11', 'Year', '0', '4', '', '', ''),
	('004022', 'B04022', 'Time period or displacement', 'Month', '0', '-1024', '11', 'Month', '0', '4', '', '', ''),
	('004023', 'B04023', 'Time period or displacement', 'Day', '0', '-1024', '11', 'Day', '0', '4', '', '', ''),
	('004024', 'B04024', 'Time period or displacement', 'Hour', '0', '-2048', '12', 'Hour', '0', '4', '', '', ''),
	('004025', 'B04025', 'Time period or displacement', 'Minute', '0', '-2048', '12', 'Minute', '0', '4', '', '', ''),
	('004026', 'B04026', 'Time period or displacement', 'Second', '0', '-4096', '13', 'Second', '0', '4', '', '', ''),
	('004031', 'B04031', 'Duration of time relating to following value', 'Hour', '0', '0', '8', 'Hour', '0', '3', '', '', ''),
	('004032', 'B04032', 'Duration of time relating to following value', 'Minute', '0', '0', '6', 'Minute', '0', '2', '', '', ''),
	('004041', 'B04041', 'Time difference UTC –LMT (see Note 6)', 'Minute', '0', '-1440', '12', 'Minute', '0', '4', '', '', ''),
	('004043', 'B04043', 'Day of the year', 'Day', '0', '0', '9', 'Day', '0', '3', '', '', ''),
	('004051', 'B04051', 'Principal time of daily reading of maximum temperature', 'Hour', '0', '0', '5', 'Hour ', '0', '2', '', '', ''),
	('004052', 'B04052', 'Principal time of daily reading of minimum temperature', 'Hour', '0', '0', '5', 'Hour ', '0', '2', '', '', ''),
	('004053', 'B04053', 'Number of days with precipitation equal to or more than 1 mm', 'Numeric', '0', '0', '6', 'Numeric', '0', '2', '', '', ''),
	('004059', 'B04059', 'Times of observation used to compute the reported mean values', 'Flag table', '0', '0', '6', 'Flag table', '0', '2', '', '', ''),
	('004065', 'B04065', 'Short time increment', 'Minute', '0', '-128', '8', 'Minute', '0', '2', '', '', ''),
	('004073', 'B04073', 'Short time period or displacement', 'Day', '0', '-128', '8', 'Day', '0', '2', '', '', ''),
	('004074', 'B04074', 'Short time period or displacement', 'Hour', '0', '-128', '8', 'Hour', '0', '2', '', '', ''),
	('004075', 'B04075', 'Short time period or displacement', 'Minute', '0', '-128', '8', 'Minute', '0', '2', '', '', ''),
	('004080', 'B04080', 'Averaging period for following value', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('004086', 'B04086', 'Long time period or displacement', 'Second', '0', '-8192', '15', 'Second', '0', '5', '', '', ''),
	('005001', 'B05001', 'Latitude (high accuracy)', 'Degree', '5', '-9000000', '25', 'Degree', '5', '7', '', '', ''),
	('005002', 'B05002', 'Latitude (coarse accuracy)', 'Degree', '2', '-9000', '15', 'Degree', '2', '4', '', '', ''),
	('005011', 'B05011', 'Latitude increment (high accuracy)', 'Degree', '5', '-9000000', '25', 'Degree', '5', '7', '', '', ''),
	('005012', 'B05012', 'Latitude increment (coarse accuracy)', 'Degree', '2', '-9000', '15', 'Degree', '2', '4', '', '', ''),
	('005015', 'B05015', 'Latitude displacement (high accuracy)', 'Degree', '5', '-9000000', '25', 'Degree', '5', '7', '', '', ''),
	('005016', 'B05016', 'Latitude displacement (coarse accuracy)', 'Degree', '2', '-9000', '15', 'Degree', '2', '4', '', '', ''),
	('005021', 'B05021', 'Bearing or azimuth', 'Degree true', '2', '0', '16', 'Degree true', '2', '5', '', '', ''),
	('005022', 'B05022', 'Solar azimuth', 'Degree true', '2', '0', '16', 'Degree true', '2', '5', '', '', ''),
	('005023', 'B05023', 'Sun to satellite azimuth difference', 'Degree', '1', '-1800', '12', 'Degree', '1', '4', '', '', ''),
	('005030', 'B05030', 'Direction (spectral)', 'Degree', '0', '0', '12', 'Degree', '0', '4', '', '', ''),
	('005031', 'B05031', 'Row number', 'Numeric', '0', '0', '12', 'Numeric', '0', '4', '', '', ''),
	('005033', 'B05033', 'Pixel size on horizontal – 1', 'm', '-1', '0', '16', 'm', '-1', '5', '', '', ''),
	('005034', 'B05034', 'Along track row number', 'Numeric', '0', '0', '11', 'Numeric', '0', '4', '', '', ''),
	('005036', 'B05036', 'Ship transect number according to SOOP', 'Numeric', '0', '0', '7', 'Numeric', '0', '2', '', '', ''),
	('005040', 'B05040', 'Orbit number', 'Numeric', '0', '0', '24', 'Numeric', '0', '8', '', '', ''),
	('005041', 'B05041', 'Scan line number', 'Numeric', '0', '0', '8', 'Numeric', '0', '3', '', '', ''),
	('005042', 'B05042', 'Channel number', 'Numeric', '0', '0', '6', 'Numeric', '0', '2', '', '', ''),
	('005043', 'B05043', 'Field of view number', 'Numeric', '0', '0', '8', 'Numeric', '0', '3', '', '', ''),
	('005044', 'B05044', 'Satellite cycle number', 'Numeric', '0', '0', '11', 'Numeric', '0', '4', '', '', ''),
	('005052', 'B05052', 'Channel number increment', 'Numeric', '0', '0', '5', 'Numeric', '0', '2', '', '', ''),
	('005053', 'B05053', 'Field of view number increment', 'Numeric', '0', '0', '5', 'Numeric', '0', '2', '', '', ''),
	('005060', 'B05060', 'Y angular position from centre of gravity', 'Degree', '6', '-8000000', '24', 'Degree', '6', '8', '', '', ''),
	('005061', 'B05061', 'Z angular position from centre of gravity', 'Degree', '6', '-8000000', '24', 'Degree', '6', '8', '', '', ''),
	('006001', 'B06001', 'Longitude (high accuracy)', 'Degree', '5', '-18000000', '26', 'Degree', '5', '8', '', '', ''),
	('006002', 'B06002', 'Longitude (coarse accuracy)', 'Degree', '2', '-18000', '16', 'Degree', '2', '5', '', '', ''),
	('006011', 'B06011', 'Longitude increment (high accuracy)', 'Degree', '5', '-18000000', '26', 'Degree', '5', '8', '', '', ''),
	('006012', 'B06012', 'Longitude increment (coarse accuracy)', 'Degree', '2', '-18000', '16', 'Degree', '2', '5', '', '', ''),
	('006015', 'B06015', 'Longitude displacement (high accuracy)', 'Degree', '5', '-18000000', '26', 'Degree', '5', '8', '', '', ''),
	('006016', 'B06016', 'Longitude displacement (coarse accuracy)', 'Degree', '2', '-18000', '16', 'Degree', '2', '5', '', '', ''),
	('006021', 'B06021', 'Distance', 'm', '-1', '0', '13', 'm', '-1', '4', '', '', ''),
	('006030', 'B06030', 'Wave number (spectral)', 'rad m-1', '5', '0', '13', 'rad m-1', '5', '4', '', '', ''),
	('006031', 'B06031', 'Column number', 'Numeric', '0', '0', '12', 'Numeric', '0', '4', '', '', ''),
	('006033', 'B06033', 'Pixel size on horizontal – 2', 'm', '-1', '0', '16', 'm', '-1', '5', '', '', ''),
	('006034', 'B06034', 'Cross-track cell number', 'Numeric', '0', '0', '7', 'Numeric', '0', '3', '', '', ''),
	('006040', 'B06040', 'Radius of confidence', 'm', '0', '0', '13', 'm', '0', '4', '', '', ''),
	('007001', 'B07001', 'Height of station (see Note 1)', 'm', '0', '-400', '15', 'm', '0', '5', '', '', ''),
	('007002', 'B07002', 'Height or altitude', 'm', '-1', '-40', '16', 'm', '-1', '5', '', '', ''),
	('007003', 'B07003', 'Geopotential', 'm2 s-2', '-1', '-400', '17', 'm2 s-2', '-1', '6', '', '', ''),
	('007004', 'B07004', 'Pressure', 'Pa', '-1', '0', '14', 'Pa', '-1', '5', '', '', ''),
	('007005', 'B07005', 'Height increment', 'm', '0', '-400', '12', 'm', '0', '4', '', '', ''),
	('007006', 'B07006', 'Height above station', 'm', '0', '0', '15', 'm', '0', '5', '', '', ''),
	('007007', 'B07007', 'Height', 'm', '0', '-1000', '17', 'm', '0', '6', '', '', ''),
	('007008', 'B07008', 'Geopotential', 'm2 s-2', '0', '-10000', '20', 'm2 s-2', '0', '7', '', '', ''),
	('007009', 'B07009', 'Geopotential height', 'gpm', '0', '-1000', '17', 'gpm', '0', '5', '', '', ''),
	('007010', 'B07010', 'Flight level', 'm', '0', '-1024', '16', 'ft', '0', '5', '', '', ''),
	('007021', 'B07021', 'Elevation (see Note 2)', 'Degree', '2', '-9000', '15', 'Degree', '2', '5', '', '', ''),
	('007022', 'B07022', 'Solar elevation', 'Degree', '2', '-9000', '15', 'Degree', '2', '5', '', '', ''),
	('007024', 'B07024', 'Satellite zenith angle', 'Degree', '2', '-9000', '15', 'Degree', '2', '5', '', '', ''),
	('007025', 'B07025', 'Solar zenith angle', 'Degree', '2', '-9000', '15', 'Degree', '2', '5', '', '', ''),
	('007026', 'B07026', 'Satellite zenith angle', 'Degree', '4', '-900000', '21', 'Degree', '4', '7', '', '', ''),
	('007030', 'B07030', 'Height of station ground above mean sea level (see Note 3)', 'm', '1', '-4000', '17', 'm', '1', '5', '', '', ''),
	('007031', 'B07031', 'Height of barometer above mean sea level (see Note 4)', 'm', '1', '-4000', '17', 'm', '1', '5', '', '', ''),
	('007032', 'B07032', 'Height of sensor above local ground (or deck of marine platform) (see Note 5)', 'm', '2', '0', '16', 'm', '2', '5', '', '', ''),
	('007033', 'B07033', 'Height of sensor above water surface (see Note 6)', 'm', '1', '0', '12', 'm', '1', '4', '', '', ''),
	('007040', 'B07040', 'Impact parameter (see Note 8)', 'm', '1', '62000000', '22', 'm', '1', '8', '', '', ''),
	('007061', 'B07061', 'Depth below land surface', 'm', '2', '0', '14', 'm', '2', '5', '', '', ''),
	('007062', 'B07062', 'Depth below sea/water surface', 'm', '1', '0', '17', 'm', '1', '6', '', '', ''),
	('007063', 'B07063', 'Depth below sea/water surface (cm)', 'm', '2', '0', '20', 'm', '2', '7', '', '', ''),
	('007064', 'B07064', 'Representative height of sensor above station (see Note 7)', 'm', '0', '0', '4', 'm', '0', '2', '', '', ''),
	('007065', 'B07065', 'Water pressure', 'Pa', '-3', '0', '17', 'Pa', '-3', '6', '', '', ''),
	('007070', 'B07070', 'Drogue depth', 'm', '0', '0', '10', 'm', '0', '4', '', '', ''),
	('008001', 'B08001', 'Vertical sounding significance', 'Flag table', '0', '0', '7', 'Flag table', '0', '3', '', '', ''),
	('008002', 'B08002', 'Vertical significance (surface observations)', 'Code table', '0', '0', '6', 'Code table', '0', '2', '', '', ''),
	('008003', 'B08003', 'Vertical significance (satellite observations)', 'Code table', '0', '0', '6', 'Code table', '0', '2', '', '', ''),
	('008004', 'B08004', 'Phase of aircraft flight', 'Code table', '0', '0', '3', 'Code table ', '0', '1', '', '', ''),
	('008005', 'B08005', 'Meteorological attribute significance', 'Code table', '0', '0', '4', 'Code table ', '0', '2', '', '', ''),
	('008006', 'B08006', 'Ozone vertical sounding significance', 'Flag table', '0', '0', '9', 'Flag table ', '0', '3', '', '', ''),
	('008007', 'B08007', 'Dimensional significance', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('008008', 'B08008', 'Radiation vertical sounding significance', 'Flag table', '0', '0', '9', 'Flag table ', '0', '3', '', '', ''),
	('008009', 'B08009', 'Detailed phase of flight', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('008010', 'B08010', 'Surface qualifier (temperature data)', 'Code table', '0', '0', '5', 'Code table', '0', '2', '', '', ''),
	('008011', 'B08011', 'Meteorological feature', 'Code table', '0', '0', '6', 'Code table ', '0', '2', '', '', ''),
	('008012', 'B08012', 'Land/sea qualifier', 'Code table', '0', '0', '2', 'Code table ', '0', '1', '', '', ''),
	('008013', 'B08013', 'Day/night qualifier', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('008014', 'B08014', 'Qualifier for runway visual range', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('008016', 'B08016', 'Change qualifier of a trend-type forecast or an aerodrome forecast', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('008017', 'B08017', 'Qualifier of the time when the forecast change is expected', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('008018', 'B08018', 'SEAWINDS land/ice surface type', 'Flag table', '0', '0', '17', 'Flag table', '0', '6', '', '', ''),
	('008019', 'B08019', 'Qualifier for following Centre identifier', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('008020', 'B08020', 'Total number of missing entities (with respect to accumulation or average)', 'Numeric', '0', '0', '16', 'Numeric', '0', '5', '', '', ''),
	('008021', 'B08021', 'Time significance', 'Code table', '0', '0', '5', 'Code table', '0', '2', '', '', ''),
	('008022', 'B08022', 'Total number (with respect to accumulation or average)', 'Numeric', '0', '0', '16', 'Numeric', '0', '5', '', '', ''),
	('008023', 'B08023', 'First order statistics', 'Code table', '0', '0', '6', 'Code table', '0', '2', '', '', ''),
	('008024', 'B08024', 'Difference statistics', 'Code table', '0', '0', '6', 'Code table ', '0', '2', '', '', ''),
	('008025', 'B08025', 'Time difference qualifier (see Note 5)', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('008029', 'B08029', 'Remotely sensed surface type', 'Code table', '0', '0', '8', 'Code table', '0', '3', '', '', ''),
	('008030', 'B08030', 'Manual on Codes (Volume I.1 Section C) Code table from which data are derived', 'Numeric', '0', '0', '13', 'Numeric', '0', '4', '', '', ''),
	('008031', 'B08031', 'Data category CREX table A', 'Numeric', '0', '0', '8', 'Numeric', '0', '3', '', '', ''),
	('008033', 'B08033', 'Method of derivation of percentage confidence', 'Code table', '0', '0', '7', 'Code table', '0', '3', '', '', ''),
	('008035', 'B08035', 'Type of monitoring exercise', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('008036', 'B08036', 'Type of centre or station performing monitoring', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('008040', 'B08040', 'Flight Level significance', 'Code table', '0', '0', '6', 'Code table', '0', '2', '', '', ''),
	('008041', 'B08041', 'Data significance', 'Code table', '0', '0', '5', 'Code table', '0', '2', '', '', ''),
	('008042', 'B08042', 'Extended vertical sounding significance', 'Flag table', '0', '0', '18', 'Flag table', '0', '6', '', '', ''),
	('008049', 'B08049', 'Number of observations', 'Numeric', '0', '0', '8', 'Numeric', '0', '3', '', '', ''),
	('008050', 'B08050', 'Qualifier for number of missing values in calculation of statistic', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('008051', 'B08051', 'Qualifier for number of missing values in calculation of statistic', 'Code table', '0', '0', '3', 'Code table ', '0', '1', '', '', ''),
	('008052', 'B08052', 'Condition for which number of days of occurrence follows', 'Code table', '0', '0', '5', 'Code table ', '0', '2', '', '', ''),
	('008053', 'B08053', 'Day of occurrence qualifier', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('008060', 'B08060', 'Sample scanning mode significance', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('008065', 'B08065', 'Sun-glint indicator', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('008066', 'B08066', 'Semi-transparency indicator', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('008070', 'B08070', 'TOVS/ATOVS product qualifier', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('008072', 'B08072', 'Pixel(s) type', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('008074', 'B08074', 'Altimeter echo type', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('008075', 'B08075', 'Ascending/Descending Orbit Qualifier', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('008076', 'B08076', 'Type of band', 'Code table', '0', '0', '6', 'Code table', '0', '2', '', '', ''),
	('008079', 'B08079', 'Product status ', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('008080', 'B08080', 'Qualifier for GTSPP quality flag', 'Code table', '0', '0', '6', 'Code table', '0', '2', '', '', ''),
	('008081', 'B08081', 'Type of equipment', 'Code table', '0', '0', '6', 'Code table', '0', '2', '', '', ''),
	('008082', 'B08082', 'Modification of sensor height to another value', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('008083', 'B08083', 'Nominal value indicator', 'Flag table', '0', '0', '15', 'Flag table', '0', '5', '', '', ''),
	('008085', 'B08085', 'Beam identifier', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('010001', 'B10001', 'Height of land surface', 'm', '0', '-400', '15', 'm', '0', '5', '', '', ''),
	('010002', 'B10002', 'Height', 'm', '-1', '-40', '16', 'm', '-1', '5', '', '', ''),
	('010003', 'B10003', 'Geopotential', 'm2 s-2', '-1', '-400', '17', 'm2 s-2', '-1', '6', '', '', ''),
	('010004', 'B10004', 'Pressure', 'Pa', '-1', '0', '14', 'Pa', ' -1', '5', '', '', ''),
	('010007', 'B10007', 'Height', 'm', '0', '-1000', '17', 'm', '0', '6', '', '', ''),
	('010008', 'B10008', 'Geopotential', 'm2 s-2', '0', '-10000', '20', 'm2 s-2', '0', '7', '', '', ''),
	('010009', 'B10009', 'Geopotential height', 'gpm', '0', '-1000', '17', 'gpm', '0', '5', '', '', ''),
	('010010', 'B10010', 'Minimum pressure reduced to mean sea level', 'Pa', '-1', '0', '14', 'Pa', '-1', '5', '', '', ''),
	('010011', 'B10011', 'Maximum pressure reduced to mean sea level', 'Pa', '-1', '0', '14', 'Pa', '-1', '5', '', '', ''),
	('010031', 'B10031', 'In direction of the North Pole distance from the Earth’s centre (see Note 2)', 'm', '2', '-1073741824', '31', 'm', '2', '10', '', '', ''),
	('010032', 'B10032', 'Satellite distance to Earth’s centre', 'm', '1', '0', '27', 'm', '1', '9', '', '', ''),
	('010033', 'B10033', 'Altitude (platform to Ellipsoid)', 'm', '1', '0', '27', 'm', '1', '9', '', '', ''),
	('010034', 'B10034', 'Earth radius', 'm', '1', '0', '27', 'm', '1', '9', '', '', ''),
	('010035', 'B10035', 'Earth’s local radius of curvature ', 'm', '1', '62000000', '22', 'm', '1', '8', '', '', ''),
	('010036', 'B10036', 'Geoid undulation (see Note 4)', 'm', '2', '-15000', '15', 'm', '2', '6', '', '', ''),
	('010040', 'B10040', 'Number of retrieved layers', 'Numeric', '0', '0', '10', 'Numeric', '0', '4', '', '', ''),
	('010050', 'B10050', 'Standard deviation altitude', 'm', '2', '0', '16', 'm', '2', '5', '', '', ''),
	('010051', 'B10051', 'Pressure reduced to mean sea level', 'Pa', '-1', '0', '14', 'Pa', '-1', '5', '', '', ''),
	('010052', 'B10052', 'Altimeter setting (QNH)', 'Pa', '-1', '0', '14', 'Pa', '-1', '5', '', '', ''),
	('010060', 'B10060', 'Pressure change', 'Pa', '-1', '-1024', '11', 'Pa', '-1', '4', '', '', ''),
	('010061', 'B10061', '3-hour pressure change', 'Pa', '-1', '-500', '10', 'Pa', '-1', '4', '', '', ''),
	('010062', 'B10062', '24-hour pressure change', 'Pa', '-1', '-1000', '11', 'Pa', '-1', '4', '', '', ''),
	('010063', 'B10063', 'Characteristic of pressure tendency', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('010064', 'B10064', 'SIGMET cruising level ', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('010070', 'B10070', 'Indicated aircraft altitude', 'm', '0', '-400', '16', 'm', '0', '5', '', '', ''),
	('010080', 'B10080', 'Viewing Zenith angle', 'Degree', '2', '-9000', '15', 'Degree', '2', '5', '', '', ''),
	('010081', 'B10081', 'Altitude of COG above reference Ellipsoid', 'm', '3', '0', '31', 'm', '3', '10', '', '', ''),
	('010082', 'B10082', 'Instantaneous altitude rate', 'm s-1', '3', '-65536', '17', 'm s-1', '3', '6', '', '', ''),
	('010083', 'B10083', 'Squared off Nadir angle of the satellite from platform data', 'Degree2', '2', '0', '16', 'Degree2', '2', '5', '', '', ''),
	('010084', 'B10084', 'Squared off Nadir angle of the satellite from waveform data', 'Degree2', '2', '0', '16', 'Degree2', '2', '5', '', '', ''),
	('010085', 'B10085', 'Mean sea surface height', 'm', '3', '-131072', '18', 'm', '3', '6', '', '', ''),
	('010086', 'B10086', 'Geoid’s height', 'm', '3', '-131072', '18', 'm', '3', '6', '', '', ''),
	('010087', 'B10087', 'Ocean depth/land elevation', 'm', '1', '-131072', '18', 'm', '1', '6', '', '', ''),
	('010088', 'B10088', 'Total geocentric ocean tide height (solution 1)', 'm', '3', '-32768', '16', 'm', '3', '5', '', '', ''),
	('010089', 'B10089', 'Total geocentric ocean tide height (solution 2)', 'm', '3', '-32768', '16', 'm', '3', '5', '', '', ''),
	('010090', 'B10090', 'Long period  tide height ', 'm', '3', '-32768', '16', 'm', '3', '5', '', '', ''),
	('010091', 'B10091', 'Tidal loading height', 'm', '3', '-32768', '16', 'm', '3', '5', '', '', ''),
	('010092', 'B10092', 'Solid Earth tide height', 'm', '3', '-32768', '16', 'm', '3', '5', '', '', ''),
	('010093', 'B10093', 'Geocentric pole tide height ', 'm', '3', '-32768', '16', 'm', '3', '5', '', '', ''),
	('010095', 'B10095', 'Height of atmosphere used', 'm', '0', '0', '16', 'm', '0', '5', '', '', ''),
	('011001', 'B11001', 'Wind direction', 'Degree true', '0', '0', '9', 'Degree true', '0', '3', '', '', ''),
	('011002', 'B11002', 'Wind speed', 'm s-1', '1', '0', '12', 'm s-1', '1', '4', '', '', ''),
	('011003', 'B11003', 'u-component', 'm s-1', '1', '-4096', '13', 'm s-1', '1', '4', '', '', ''),
	('011004', 'B11004', 'v-component', 'm s-1', '1', '-4096', '13', 'm s-1', '1', '4', '', '', ''),
	('011005', 'B11005', 'w-component', 'Pa s-1', '1', '-512', '10', 'Pa s-1', '1', '4', '', '', ''),
	('011006', 'B11006', 'w-component', 'm s-1', '2', '-4096', '13', 'm s-1', '2', '4', '', '', ''),
	('011010', 'B11010', 'Wind direction associated with wind speed which follows', 'Degree true', '0', '0', '9', 'Degree true', '0', '3', '', '', ''),
	('011011', 'B11011', 'Wind direction at 10 m', 'Degree true', '0', '0', '9', 'Degree true', '0', '3', '', '', ''),
	('011012', 'B11012', 'Wind speed at 10 m', 'm s-1', '1', '0', '12', 'm s-1', '1', '4', '', '', ''),
	('011013', 'B11013', 'Wind direction at 5 m', 'Degree true', '0', '0', '9', 'Degree true', '0', '3', '', '', ''),
	('011014', 'B11014', 'Wind speed at 5 m', 'm s-1', '1', '0', '12', 'm s-1', '1', '4', '', '', ''),
	('011016', 'B11016', 'Extreme counterclockwise wind direction of a variable wind', 'Degree true', '0', '0', '9', 'Degree true', '0', '3', '', '', ''),
	('011017', 'B11017', 'Extreme clockwise wind direction of a variable wind', 'Degree true', '0', '0', '9', 'Degree true', '0', '3', '', '', ''),
	('011019', 'B11019', 'Steadiness of wind (see Note 6)', '%', '0', '0', '7', '%', '0', '3', '', '', ''),
	('011021', 'B11021', 'Relative vorticity', 's-1', '9', '-65536', '17', 's-1', '9', '6', '', '', ''),
	('011022', 'B11022', 'Divergence', 's-1', '9', '-65536', '17', 's-1', '9', '6', '', '', ''),
	('011023', 'B11023', 'Velocity potential', 'm2 s-1', '-2', '-65536', '17', 'm2 s-1', '-2', '6', '', '', ''),
	('011030', 'B11030', 'Extended degree of turbulence', 'Code table', '0', '0', '6', 'Code table', '0', '2', '', '', ''),
	('011031', 'B11031', 'Degree of turbulence', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('011032', 'B11032', 'Height of base of turbulence', 'm', '-1', '-40', '16', 'm', '-1', '5', '', '', ''),
	('011033', 'B11033', 'Height of top of turbulence', 'm', '-1', '-40', '16', 'm', '-1', '5', '', '', ''),
	('011034', 'B11034', 'Vertical gust velocity', 'm s-1', '1', '-1024', '11', 'm s-1', '1', '4', '', '', ''),
	('011035', 'B11035', 'Vertical gust acceleration', 'm s-2', '2', '-8192', '14', 'm s-2', '2', '5', '', '', ''),
	('011036', 'B11036', 'Maximum derived equivalent vertical gust speed', 'm s-1', '1', '0', '10', 'm s-1', '1', '4', '', '', ''),
	('011037', 'B11037', 'Turbulence Index', 'Code table', '0', '0', '6', 'Code table', '0', '2', '', '', ''),
	('011038', 'B11038', 'Time of occurrence of Peak Eddy Dissipation Rate', 'Code table', '0', '0', '5', 'Code table', '0', '2', '', '', ''),
	('011039', 'B11039', 'Extended time of occurrence of peak  Eddy Dissipation Rate', 'Code table', '0', '0', '6', 'Code table', '0', '2', '', '', ''),
	('011040', 'B11040', 'Maximum wind speed (mean wind)', 'm s-1', '1', '0', '12', 'm s-1', '1', '4', '', '', ''),
	('011041', 'B11041', 'Maximum wind gust speed', 'm s-1', '1', '0', '12', 'm s-1', '1', '4', '', '', ''),
	('011042', 'B11042', 'Maximum wind speed (10-min mean wind)', 'm s-1', '1', '0', '12', 'm s-1', '1', '4', '', '', ''),
	('011043', 'B11043', 'Maximum wind gust direction', 'Degree true', '0', '0', '9', 'Degree true', '0', '3', '', '', ''),
	('011044', 'B11044', 'Mean wind direction for surface – 1500 m (5000 feet)', 'Degree true', '0', '0', '9', 'Degree true', '0', '3', '', '', ''),
	('011045', 'B11045', 'Mean wind speed for surface – 1500 m (5000 feet)', 'm s-1', '1', '0', '12', 'm s-1', '1', '4', '', '', ''),
	('011046', 'B11046', 'Maximum instantaneous wind speed', 'm s-1', '1', '0', '12', 'm s-1', '1', '4', '', '', ''),
	('011047', 'B11047', 'Maximum instantaneous wind speed over 10 minutes', 'm s-1', '1', '0', '12', 'm s-1', '1', '4', '', '', ''),
	('011049', 'B11049', 'Standard deviation of wind direction', 'Degree true', '0', '0', '9', 'Degree true', '0', '3', '', '', ''),
	('011050', 'B11050', 'Standard deviation of horizontal wind speed', 'm s-1', '1', '0', '12', 'm s-1', '1', '4', '', '', ''),
	('011051', 'B11051', 'Standard deviation of vertical wind speed', 'm s-1', '1', '0', '8', 'm s-1', '1', '3', '', '', ''),
	('011052', 'B11052', 'Formal uncertainty in wind speed', 'm s-1', '2', '0', '13', 'm s-1', '2', '5', '', '', ''),
	('011053', 'B11053', 'Formal uncertainty in wind direction', 'Degree true', '2', '0', '15', 'Degree true', '2', '5', '', '', ''),
	('011054', 'B11054', 'Mean wind direction for 1500 m – 3000 m ', 'Degree true', '0', '0', '9', 'Degree true', '0', '3', '', '', ''),
	('011055', 'B11055', 'Mean wind speed for 1500 m  – 3000 m ', 'm s-1', '1', '0', '12', 'm s-1', '1', '4', '', '', ''),
	('011061', 'B11061', 'Absolute wind shear in 1 km layer below', 'm s-1', '1', '0', '12', 'm s-1', '1', '4', '', '', ''),
	('011062', 'B11062', 'Absolute wind shear in 1 km layer above', 'm s-1', '1', '0', '12', 'm s-1', '1', '4', '', '', ''),
	('011070', 'B11070', 'Designator of the runway affected by wind shear (including ALL)', 'CCITT IA5', '0', '0', '32', 'Character', '0', '4', '', '', ''),
	('011071', 'B11071', 'Turbulent vertical momentum flux', 'm2 s-2', '3', '-128', '14', 'm2 s-2', '3', '5', '', '', ''),
	('011072', 'B11072', 'Turbulent vertical buoyancy flux', 'K m s-1', '3', '-128', '11', 'K m s-1', '3', '4', '', '', ''),
	('011073', 'B11073', 'Turbulent kinetic energy', 'm2 s-2', '2', '-1024', '13', 'm2 s-2', '2', '4', '', '', ''),
	('011074', 'B11074', 'Dissipation energy', 'm2 s-2', '2', '-1024', '10', 'm2 s-2', '2', '4', '', '', ''),
	('011075', 'B11075', 'Mean turbulence intensity (eddy dissipation rate)', 'm2/3 s-1', '2', '0', '8', 'm2/3 s-1', '2', '3', '', '', ''),
	('011076', 'B11076', 'Peak turbulence intensity (eddy dissipation rate)', 'm2/3 s-1', '2', '0', '8', 'm2/3 s-1', '2', '3', '', '', ''),
	('011077', 'B11077', 'Reporting interval or averaging time for Eddy Dissipation Rate', 's', '0', '0', '12', 's', '0', '4', '', '', ''),
	('011081', 'B11081', 'Model wind direction at 10m', 'Degree true', '2', '0', '16', 'Degree true', '2', '5', '', '', ''),
	('011082', 'B11082', 'Model wind speed at 10m', 'm s-1', '2', '0', '14', 'm s-1', '2', '4', '', '', ''),
	('011095', 'B11095', 'U component of the model wind vector', 'm s-1', '1', '-4096', '13', 'm s-1', '1', '4', '', '', ''),
	('011096', 'B11096', 'V component of the model wind vector', 'm s-1', '1', '-4096', '13', 'm s-1', '1', '4', '', '', ''),
	('012001', 'B12001', 'Temperature/dry-bulb temperature', 'K', '1', '0', '12', '°C', '1', '3', '', '', ''),
	('012002', 'B12002', 'Wet-bulb temperature', 'K', '1', '0', '12', '°C', '1', '3', '', '', ''),
	('012003', 'B12003', 'Dew-point temperature', 'K', '1', '0', '12', '°C', '1', '3', '', '', ''),
	('012004', 'B12004', 'Dry-bulb temperature at 2 m', 'K', '1', '0', '12', '°C', '1', '3', '', '', ''),
	('012005', 'B12005', 'Wet-bulb temperature at 2 m', 'K', '1', '0', '12', '°C', '1', '3', '', '', ''),
	('012006', 'B12006', 'Dew-point temperature at 2 m', 'K', '1', '0', '12', '°C', '1', '3', '', '', ''),
	('012007', 'B12007', 'Virtual temperature', 'K', '1', '0', '12', '°C', '1', '3', '', '', ''),
	('012011', 'B12011', 'Maximum temperature at height and over period specified', 'K', '1', '0', '12', '°C', '1', '3', '', '', ''),
	('012012', 'B12012', 'Minimum temperature at height and over period specified', 'K', '1', '0', '12', '°C', '1', '3', '', '', ''),
	('012013', 'B12013', 'Ground minimum temperature past 12 hours', 'K', '1', '0', '12', '°C', '1', '3', '', '', ''),
	('012014', 'B12014', 'Maximum temperature at 2 m past 12 hours', 'K', '1', '0', '12', '°C', '1', '3', '', '', ''),
	('012015', 'B12015', 'Minimum temperature at 2 m past 12 hours', 'K', '1', '0', '12', '°C', '1', '3', '', '', ''),
	('012016', 'B12016', 'Maximum temperature at 2 m past 24 hours', 'K', '1', '0', '12', '°C', '1', '3', '', '', ''),
	('012017', 'B12017', 'Minimum temperature at 2 m past 24 hours', 'K', '1', '0', '12', '°C', '1', '3', '', '', ''),
	('012021', 'B12021', 'Maximum temperature at 2m', 'K', '2', '0', '16', '°C', '2', '4', '', '', ''),
	('012022', 'B12022', 'Minimum temperature at 2m', 'K', '2', '0', '16', '°C', '2', '4', '', '', ''),
	('012030', 'B12030', 'Soil temperature', 'K', '1', '0', '12', '°C', '1', '3', '', '', ''),
	('012049', 'B12049', 'Temperature change over specified period ', 'K', '0', '-30', '6', '°C', '0', '2', '', '', ''),
	('012051', 'B12051', 'Standard deviation temperature', 'K', '1', '0', '10', '°C', '1', '3', '', '', ''),
	('012052', 'B12052', 'Highest daily mean temperature', 'K', '1', '0', '12', '°C', '1', '3', '', '', ''),
	('012053', 'B12053', 'Lowest daily mean temperature', 'K', '1', '0', '12', '°C', '1', '3', '', '', ''),
	('012061', 'B12061', 'Skin temperature', 'K', '1', '0', '12', '°C', '1', '3', '', '', ''),
	('012062', 'B12062', 'Equivalent black body temperature', 'K', '1', '0', '12', '°C', '1', '3', '', '', ''),
	('012063', 'B12063', 'Brightness temperature', 'K', '1', '0', '12', '°C', '1', '3', '', '', ''),
	('012064', 'B12064', 'Instrument temperature', 'K', '1', '0', '12', 'K', '1', '4', '', '', ''),
	('012065', 'B12065', 'Standard deviation brightness temperature', 'K', '1', '0', '12', 'K', '1', '4', '', '', ''),
	('012070', 'B12070', 'Warm load temperature', 'K', '2', '0', '16', 'K', '2', '5', '', '', ''),
	('012071', 'B12071', 'Coldest cluster temperature', 'K', '1', '0', '12', 'K', '1', '4', '', '', ''),
	('012072', 'B12072', 'Radiance', 'W m-2 sr-1', '6', '0', '31', 'W m-2 sr-1', '6', '9', '', '', ''),
	('012075', 'B12075', 'Spectral radiance', 'W m-3 sr-1', '-3', '0', '16', 'W m-3 sr-1', '-3', '5', '', '', ''),
	('012076', 'B12076', 'Radiance (see Note 2)', 'W m-2 sr-1', '3', '0', '16', 'W m-2 sr-1', '3', '5', '', '', ''),
	('012101', 'B12101', 'Temperature/dry-bulb temperature', 'K', '2', '0', '16', '°C', '2', '4', '', '', ''),
	('012102', 'B12102', 'Wet-bulb temperature', 'K', '2', '0', '16', '°C', '2', '4', '', '', ''),
	('012103', 'B12103', 'Dew-point temperature', 'K', '2', '0', '16', '°C', '2', '4', '', '', ''),
	('012104', 'B12104', 'Dry-bulb temperature at 2m', 'K', '2', '0', '16', '°C', '2', '4', '', '', ''),
	('012105', 'B12105', 'Web-bulb temperature at 2m', 'K', '2', '0', '16', '°C', '2', '4', '', '', ''),
	('012106', 'B12106', 'Dew-point temperature at 2m', 'K', '2', '0', '16', '°C', '2', '4', '', '', ''),
	('012107', 'B12107', 'Virtual temperature', 'K', '2', '0', '16', '°C', '2', '4', '', '', ''),
	('012111', 'B12111', 'Maximum temperature at height and over period specified', 'K', '2', '0', '16', '°C', '2', '4', '', '', ''),
	('012112', 'B12112', 'Minimum temperature at height and over period specified', 'K', '2', '0', '16', '°C', '2', '4', '', '', ''),
	('012113', 'B12113', 'Ground minimum temperature past 12 hours', 'K', '2', '0', '16', '°C', '2', '4', '', '', ''),
	('012114', 'B12114', 'Maximum temperature at 2m past 12 hours', 'K', '2', '0', '16', '°C', '2', '4', '', '', ''),
	('012115', 'B12115', 'Minimum temperature at 2m past 12 hours', 'K', '2', '0', '16', '°C', '2', '4', '', '', ''),
	('012116', 'B12116', 'Maximum temperature at 2m past 24 hours', 'K', '2', '0', '16', '°C', '2', '4', '', '', ''),
	('012117', 'B12117', 'Minimum temperature at 2m past 24 hours', 'K', '2', '0', '16', '°C', '2', '4', '', '', ''),
	('012118', 'B12118', 'Maximum temperature at height specified past 24 hours', 'K', '2', '0', '16', '°C', '2', '4', '', '', ''),
	('012119', 'B12119', 'Minimum  temperature at height specified past 24 hours', 'K', '2', '0', '16', '°C', '2', '4', '', '', ''),
	('012121', 'B12121', 'Ground minimum temperature', 'K', '2', '0', '16', '°C', '2', '4', '', '', ''),
	('012122', 'B12122', 'Ground minimum temperature of the preceding night', 'K', '2', '0', '16', '°C', '2', '4', '', '', ''),
	('012130', 'B12130', 'Soil temperature', 'K', '2', '0', '16', '°C', '2', '4', '', '', ''),
	('012151', 'B12151', 'Standard deviation of daily mean temperature', 'K', '2', '0', '12', '°C', '2', '4', '', '', ''),
	('012152', 'B12152', 'Highest daily mean temperature', 'K', '2', '0', '16', '°C', '2', '4', '', '', ''),
	('012153', 'B12153', 'Lowest daily mean temperature', 'K', '2', '0', '16', '°C', '2', '4', '', '', ''),
	('012161', 'B12161', 'Skin temperature', 'K', '2', '0', '16', '°C', '2', '4', '', '', ''),
	('012162', 'B12162', 'Equivalent black body temperature', 'K', '2', '0', '16', '°C', '2', '4', '', '', ''),
	('012163', 'B12163', 'Brightness temperature', 'K', '2', '0', '16', '°C', '2', '4', '', '', ''),
	('012164', 'B12164', 'Instrument temperature', 'K', '2', '0', '16', 'K', '2', '5', '', '', ''),
	('012171', 'B12171', 'Coldest cluster temperature', 'K', '2', '0', '16', 'K', '2', '5', '', '', ''),
	('012180', 'B12180', 'Averaged 12 micron BT for all clear pixels at Nadir', 'K', '2', '0', '16', 'K', '2', '5', '', '', ''),
	('012181', 'B12181', 'Averaged 11 micron BT for all clear pixels at Nadir', 'K', '2', '0', '16', 'K', '2', '5', '', '', ''),
	('012182', 'B12182', 'Averaged 3.7 micron BT for all clear pixels at Nadir', 'K', '2', '0', '16', 'K', '2', '5', '', '', ''),
	('012183', 'B12183', 'Averaged 12 micron BT for all clear pixels forward view', 'K', '2', '0', '16', 'K', '2', '5', '', '', ''),
	('012184', 'B12184', 'Averaged 11 micron BT for all clear pixels forward view', 'K', '2', '0', '16', 'K', '2', '5', '', '', ''),
	('012185', 'B12185', 'Averaged 3.7 micron BT for all clear pixels forward view', 'K', '2', '0', '16', 'K', '2', '5', '', '', ''),
	('012186', 'B12186', 'Mean Nadir sea surface temperature', 'K', '2', '0', '16', 'K', '2', '5', '', '', ''),
	('012187', 'B12187', 'Mean dual view sea surface temperature', 'K', '2', '0', '16', 'K', '2', '5', '', '', ''),
	('012188', 'B12188', 'Interpolated 23.8 GHz brightness T from MWR', 'K', '2', '0', '16', 'K', '2', '5', '', '', ''),
	('012189', 'B12189', 'Interpolated 36.5 GHz brightness T from MWR', 'K', '2', '0', '16', 'K', '2', '5', '', '', ''),
	('013001', 'B13001', 'Specific humidity', 'kg kg-1', '5', '0', '14', 'kg kg-1', '5', '5', '', '', ''),
	('013002', 'B13002', 'Mixing ratio', 'kg kg-1', '5', '0', '14', 'kg kg-1', '5', '5', '', '', ''),
	('013003', 'B13003', 'Relative humidity', '%', '0', '0', '7', '%', '0', '3', '', '', ''),
	('013004', 'B13004', 'Vapour pressure', 'Pa', '-1', '0', '10', 'Pa', '-1', '4', '', '', ''),
	('013005', 'B13005', 'Vapour density', 'kg m-3', '3', '0', '7', 'kg m-3', '3', '3', '', '', ''),
	('013006', 'B13006', 'Mixing heights', 'm', '-1', '-40', '16', 'm', '-1', '5', '', '', ''),
	('013007', 'B13007', 'Minimum relative humidity', '%', '0', '0', '7', '%', '0', '3', '', '', ''),
	('013008', 'B13008', 'Maximum relative humidity', '%', '0', '0', '7', '%', '0', '3', '', '', ''),
	('013009', 'B13009', 'Relative humidity (see Note 6)', '%', '1', '-1000', '12', '%', '1', '4', '', '', ''),
	('013011', 'B13011', 'Total precipitation/total water equivalent', 'kg m-2', '1', '-1', '14', 'kg m-2', '1', '5', '', '', ''),
	('013012', 'B13012', 'Depth of fresh snow', 'm', '2', '-2', '12', 'm', '2', '4', '', '', ''),
	('013013', 'B13013', 'Total snow depth', 'm', '2', '-2', '16', 'm', '2', '5', '', '', ''),
	('013014', 'B13014', 'Rainfall/water equivalent of snow (averaged rate)', 'kg m-2 s-1', '4', '0', '12', 'kg m-2 s-1', '4', '4', '', '', ''),
	('013015', 'B13015', 'Snowfall  (averaged rate)', 'm s-1', '7', '0', '12', 'm s-1', '7', '4', '', '', ''),
	('013016', 'B13016', 'Precipitable water', 'kg m-2', '0', '0', '7', 'kg m-2', '0', '3', '', '', ''),
	('013019', 'B13019', 'Total precipitation past 1 hour', 'kg m-2', '1', '-1', '14', 'kg m-2', '1', '4', '', '', ''),
	('013020', 'B13020', 'Total precipitation past 3 hours', 'kg m-2', '1', '-1', '14', 'kg m-2', '1', '5', '', '', ''),
	('013021', 'B13021', 'Total precipitation past 6 hours', 'kg m-2', '1', '-1', '14', 'kg m-2', '1', '5', '', '', ''),
	('013022', 'B13022', 'Total precipitation past 12 hours', 'kg m-2', '1', '-1', '14', 'kg m-2', '1', '5', '', '', ''),
	('013023', 'B13023', 'Total precipitation past 24 hours', 'kg m-2', '1', '-1', '14', 'kg m-2', '1', '5', '', '', ''),
	('013031', 'B13031', 'Evapotranspiration', 'kg m-2', '0', '0', '7', 'kg m-2', '0', '3', '', '', ''),
	('013032', 'B13032', 'Evaporation/evapotranspiration (see Note 5)', 'kg m-2', '1', '0', '8', 'kg m-2', '1', '3', '', '', ''),
	('013033', 'B13033', 'Evaporation/evapotranspiration', 'kg m-2', '1', '0', '10', 'kg m-2', '1', '4', '', '', ''),
	('013038', 'B13038', 'Superadiabatic indicator', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('013039', 'B13039', 'Terrain type (ice/snow)', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('013040', 'B13040', 'Surface flag', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('013041', 'B13041', 'Pasquill-Gifford stability category', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('013042', 'B13042', 'Parcel lifted index (to 500 hPa) (see Notes 3 and 4)', 'K', '0', '-20', '6', 'K', '0', '2', '', '', ''),
	('013043', 'B13043', 'Best lifted index (to 500 hPa) (see Note 3 and 4)', 'K', '0', '-20', '6', 'K', '0', '2', '', '', ''),
	('013044', 'B13044', 'K index', 'K', '0', '-30', '8', 'K', '0', '3', '', '', ''),
	('013045', 'B13045', 'KO index', 'K', '0', '-30', '8', 'K', '0', '3', '', '', ''),
	('013046', 'B13046', 'Maximum buoyancy', 'K', '0', '-30', '8', 'K', '0', '3', '', '', ''),
	('013047', 'B13047', 'Modified Showalter stability index (see Note 7)', 'K', '0', '-60', '6', '°C', '0', '2', '', '', ''),
	('013051', 'B13051', 'Frequency group precipitation', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('013052', 'B13052', 'Highest daily amount of precipitation', 'kg m-2', '1', '-1', '14', 'kg m-2', '1', '5', '', '', ''),
	('013055', 'B13055', 'Intensity of precipitation', 'kg m-2 s-1', '4', '0', '8', 'mm h-1 ', '4', '4', '', '', ''),
	('013056', 'B13056', 'Character and intensity of precipitation', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('013057', 'B13057', 'Time of beginning or end of precipitation', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('013058', 'B13058', 'Size of precipitating element', 'm', '4', '0', '7', 'mm', '4', '3', '', '', ''),
	('013059', 'B13059', 'Number of flashes (thunderstorm)', 'Numeric', '0', '0', '7', 'Numeric', '0', '3', '', '', ''),
	('013060', 'B13060', 'Total accumulated precipitation', 'kg m-2', '1', '-1', '17', 'kg m-2', '1', '5', '', '', ''),
	('013071', 'B13071', 'Upstream water level', 'm', '2', '0', '14', 'm', '2', '4', '', '', ''),
	('013072', 'B13072', 'Downstream water level', 'm', '2', '0', '14', 'm', '2', '4', '', '', ''),
	('013073', 'B13073', 'Maximum water level', 'm', '2', '0', '14', 'm', '2', '4', '', '', ''),
	('013080', 'B13080', 'Water pH', 'pH unit', '1', '0', '10', 'pH unit', '1', '3', '', '', ''),
	('013081', 'B13081', 'Water conductivity', 'Siemens m-1', '3', '0', '14', 'Siemens m-1', '3', '4', '', '', ''),
	('013082', 'B13082', 'Water temperature', 'K', '1', '0', '12', 'K', '1', '4', '', '', ''),
	('013083', 'B13083', 'Dissolved oxygen', 'kg m-3', '6', '0', '15', 'kg m-3', '6', '5', '', '', ''),
	('013084', 'B13084', 'Turbidity', 'Lumen', '0', '0', '14', 'Lumen', '0', '4', '', '', ''),
	('013085', 'B13085', 'Oxydation Reduction Potential (ORP)', 'V', '3', '0', '14', 'V', '3', '4', '', '', ''),
	('013090', 'B13090', 'Radiometer water vapour content', 'kg m-2', '1', '0', '10', 'kg m-2', '1', '4', '', '', ''),
	('013091', 'B13091', 'Radiometer liquid content', 'kg m-2', '2', '0', '8', 'kg m-2', '2', '3', '', '', ''),
	('013093', 'B13093', 'Cloud optical thickness', 'Numeric', '0', '0', '8', 'Numeric', '0', '3', '', '', ''),
	('013095', 'B13095', 'Total column water vapour', 'kg m-2', '4', '0', '19', 'kg m-2', '4', '6', '', '', ''),
	('013096', 'B13096', 'MWR water vapour content', 'kg m-2', '2', '0', '14', 'kg m-2', '2', '5', '', '', ''),
	('013097', 'B13097', 'MWR liquid water content', 'kg m-2', '2', '0', '14', 'kg m-2', '2', '5', '', '', ''),
	('013098', 'B13098', 'Integrated water vapour density', 'kg m-2', '8', '0', '30', 'kg m-2', '8', '10', '', '', ''),
	('014001', 'B14001', 'Long-wave radiation integrated over 24 hours', 'J m-2', '-3', '-2048', '12', 'J m-2', '-3', '4', '', '', ''),
	('014002', 'B14002', 'Long-wave radiation integrated over period specified', 'J m-2', '-3', '-2048', '12', 'J m-2', '-3', '4', '', '', ''),
	('014003', 'B14003', 'Short-wave radiation integrated over 24 hours', 'J m-2', '-3', '-2048', '12', 'J m-2', '-3', '4', '', '', ''),
	('014004', 'B14004', 'Short-wave radiation integrated over period specified', 'J m-2', '-3', '-2048', '12', 'J m-2', '-3', '4', '', '', ''),
	('014011', 'B14011', 'Net long-wave radiation integrated over 24 hours', 'J m-2', '-3', '-2048', '12', 'J m-2', '-3', '4', '', '', ''),
	('014012', 'B14012', 'Net long-wave radiation integrated over period specified', 'J m-2', '-3', '-2048', '12', 'J m-2', '-3', '4', '', '', ''),
	('014013', 'B14013', 'Net short-wave radiation integrated over 24 hours', 'J m-2', '-3', '-2048', '12', 'J m-2', '-3', '4', '', '', ''),
	('014014', 'B14014', 'Net short-wave radiation integrated over period specified', 'J m-2', '-3', '-2048', '12', 'J m-2', '-3', '4', '', '', ''),
	('014015', 'B14015', 'Net radiation integrated over 24 hours', 'J m-2', '-4', '-16384', '15', 'J m-2', '-4', '5', '', '', ''),
	('014016', 'B14016', 'Net radiation integrated over period specified', 'J m-2', '-4', '-16384', '15', 'J m-2', '-4', '5', '', '', ''),
	('014017', 'B14017', 'Instantaneous long-wave radiation ', 'W m-2', '-3', '-2048', '12', 'W m-2', '-3', '4', '', '', ''),
	('014018', 'B14018', 'Instantaneous short-wave radiation', 'W m-2', '-3', '-2048', '12', 'W m-2', '-3', '4', '', '', ''),
	('014019', 'B14019', 'Surface albedo', '%', '0', '0', '7', '%', '0', '3', '', '', ''),
	('014020', 'B14020', 'Global solar radiation integrated over 24 hours', 'J m-2', '-4', '0', '15', 'J m-2', '-4', '5', '', '', ''),
	('014021', 'B14021', 'Global solar radiation integrated over period specified', 'J m-2', '-4', '0', '15', 'J m-2', '-4', '5', '', '', ''),
	('014022', 'B14022', 'Diffuse solar radiation integrated over 24 hours', 'J m-2', '-4', '0', '15', 'J m-2', '-4', '5', '', '', ''),
	('014023', 'B14023', 'Diffuse solar radiation integrated over period specified', 'J m-2', '-4', '0', '15', 'J m-2', '-4', '5', '', '', ''),
	('014024', 'B14024', 'Direct solar radiation integrated over 24 hours', 'J m-2', '-4', '0', '15', 'J m-2', '-4', '5', '', '', ''),
	('014025', 'B14025', 'Direct solar radiation integrated over period specified', 'J m-2', '-4', '0', '15', 'J m-2', '-4', '5', '', '', ''),
	('014026', 'B14026', 'Albedo at the top of clouds', '%', '0', '0', '7', '%', '0', '3', '', '', ''),
	('014027', 'B14027', 'Albedo', '%', '0', '0', '7', '%', '0', '3', '', '', ''),
	('014028', 'B14028', 'Global solar radiation (high accuracy) integrated over period specified', 'J m-2', '-2', '0', '16', 'J m-2', '-2', '5', '', '', ''),
	('014029', 'B14029', 'Diffuse solar radiation (high accuracy) integrated over period specified', 'J m-2', '-2', '0', '16', 'J m-2', '-2', '5', '', '', ''),
	('014030', 'B14030', 'Direct solar radiation (high accuracy) integrated over period specified', 'J m-2', '-2', '0', '16', 'J m-2', '-2', '5', '', '', ''),
	('014031', 'B14031', 'Total sunshine', 'Minute', '0', '0', '11', 'Minute', '0', '4', '', '', ''),
	('014032', 'B14032', 'Total sunshine', 'Hour', '0', '0', '10', 'Hour', '0', '4', '', '', ''),
	('014033', 'B14033', 'Total sunshine', '%', '0', '0', '9', '%', '0', '3', '', '', ''),
	('014034', 'B14034', 'Sunshine over period specified', 'Minute', '0', '0', '11', 'Minute', '0', '4', '', '', ''),
	('014042', 'B14042', 'Bi-directional reflectance', '%', '0', '0', '7', '%', '0', '3', '', '', ''),
	('014045', 'B14045', 'Channel radiance (see Note 4)', 'W m-2 sr-1 cm-1', '0', '0', '11', 'W m-2 sr-1 cm-1', '0', '4', '', '', ''),
	('014046', 'B14046', 'Scaled IASI radiance (see Note 6)', 'W m-2 sr-1 m-1', '0', '-5000', '16', 'W m-2 sr-1 m-1', '0', '5', '', '', ''),
	('014047', 'B14047', 'Scaled mean AVHRR radiance', 'W m-2 sr-1 m-1', '0', '0', '31', 'W m-2 sr-1 m-1', '0', '10', '', '', ''),
	('014048', 'B14048', 'Scaled standard deviation AVHRR radiance', 'W m-2 sr-1 m-1', '0', '0', '31', 'W m-2 sr-1 m-1', '0', '10', '', '', ''),
	('014050', 'B14050', 'Emissivity (see Note 5)', '%', '1', '0', '10', '%', '1', '4', '', '', ''),
	('014051', 'B14051', 'Direct solar radiation integrated over last hour', 'J m-2', '-3', '0', '14', 'J m-2', '-3', '4', '', '', ''),
	('014055', 'B14055', 'Solar activity index', 'Numeric', '0', '-32768', '16', 'Numeric', '0', '5', '', '', ''),
	('015001', 'B15001', 'Total ozone', 'DU', '0', '0', '10', 'DU', '0', '4', '', '', ''),
	('015002', 'B15002', 'Air mass (slant path at 22 km)', 'Numeric', '2', '0', '10', 'Numeric', '2', '3', '', '', ''),
	('015003', 'B15003', 'Measured ozone partial pressure (sounding) (see Note 1)', 'Pascal', '4', '0', '9', 'nbar', '4', '3', '', '', ''),
	('015004', 'B15004', 'Ozone sounding correction factor (see Note 2)', 'Numeric', '3', '0', '11', 'Numeric', '3', '4', '', '', ''),
	('015005', 'B15005', 'Ozone p (see Note 3)', 'DU', '0', '0', '10', 'DU', '0', '3', '', '', ''),
	('015011', 'B15011', 'Log 10 of integrated electron density', 'log (1/m2)', '3', '14000', '13', 'log (m-2)', '3', '4', '', '', ''),
	('015015', 'B15015', 'Maximum image spectral component before normalization', 'Numeric', '0', '0', '31', 'Numeric', '0', '10', '', '', ''),
	('015020', 'B15020', 'Integrated ozone density', 'kg m-2', '8', '0', '21', 'kg m-2', '8', '7', '', '', ''),
	('015025', 'B15025', 'Type of pollutant', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('015026', 'B15026', 'Concentration of pollutant (mol mol-1)', 'mol mol-1', '9', '0', '9', 'mol mol-1', '9', '3', '', '', ''),
	('015027', 'B15027', 'Concentration of pollutant (kg m-3)', 'kg m-3', '9', '0', '10', 'kg m-3', '9', '4', '', '', ''),
	('015031', 'B15031', 'Atmospheric path delay in satellite signal', 'm', '4', '10000', '15', 'm', '4', '5', '', '', ''),
	('015032', 'B15032', 'Estimated error in atmospheric path delay', 'm', '4', '0', '10', 'm', '4', '4', '', '', ''),
	('015033', 'B15033', 'Difference in path delays for limb views at extremes of scan', 'm', '5', '-10000', '15', 'm', '5', '5', '', '', ''),
	('015034', 'B15034', 'Estimated error in path delay difference', 'm', '5', '0', '14', 'm', '5', '5', '', '', ''),
	('015035', 'B15035', 'Component of zenith path delay due to water vapour', 'm', '4', '0', '14', 'm', '4', '5', '', '', ''),
	('015036', 'B15036', 'Atmospheric refractivity (see Note 5)', 'N-units', '3', '0', '19', 'N-units', '3', '6', '', '', ''),
	('015037', 'B15037', 'Bending angle', 'Radians', '8', '-100000', '23', 'Radians', '8', '7', '', '', ''),
	('019001', 'B19001', 'Type of synoptic feature', 'Code table', '0', '0', '6', 'Code table', '0', '2', '', '', ''),
	('019002', 'B19002', 'Effective radius of feature', 'm', '-2', '0', '12', 'm', '-2', '4', '', '', ''),
	('019003', 'B19003', 'Wind speed threshold', 'm s-1', '0', '0', '8', 'm s-1', '0', '3', '', '', ''),
	('019004', 'B19004', 'Effective radius with respect to wind speeds above threshold', 'm', '-2', '0', '12', 'm', '-2', '4', '', '', ''),
	('019005', 'B19005', 'Direction of motion of feature', 'Degree true', '0', '0', '9', 'Degree true', '0', '3', '', '', ''),
	('019006', 'B19006', 'Speed of motion of feature', 'm s-1', '2', '0', '14', 'm s-1', '2', '5', '', '', ''),
	('019007', 'B19007', 'Effective radius of feature', 'm', '-3', '0', '12', 'm', '-3', '4', '', '', ''),
	('019008', 'B19008', 'Vertical extent of circulation', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('019009', 'B19009', 'Effective radius with respect to wind speeds above threshold (large storms)', 'm', '-3', '0', '12', 'm', '-3', '4', '', '', ''),
	('019010', 'B19010', 'Method for tracking the centre of synoptic feature', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('019100', 'B19100', 'Time interval to calculate the movement of the tropical cyclone', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('019101', 'B19101', 'Accuracy of the position of the centre of the tropical cyclone', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('019102', 'B19102', 'Shape and definition of the eye of the tropical cyclone', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('019103', 'B19103', 'Diameter of major axis of the eye of the tropical cyclone', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('019104', 'B19104', 'Change in character of the eye during the 30 minutes ', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('019105', 'B19105', 'Distance between the end of spiral band and the centre ', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('019106', 'B19106', 'Identification number of tropical cyclone', 'Numeric', '0', '0', '7', 'Numeric', '0', '3', '', '', ''),
	('019107', 'B19107', 'Time interval over which the movement of the tropical cyclone has been calculated', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('019108', 'B19108', 'Accuracy of geographical position of the tropical cyclone', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('019109', 'B19109', 'Mean diameter of the overcast cloud of the tropical cyclone', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('019110', 'B19110', 'Apparent 24-hour change in intensity of the tropical cyclone', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('019111', 'B19111', 'Current Intensity (CI) number of the tropical cyclone', 'Numeric', '1', '0', '7', 'Numeric', '1', '3', '', '', ''),
	('019112', 'B19112', 'Data Tropical (DT) number of the tropical cyclone', 'Numeric', '1', '0', '7', 'Numeric', '1', '3', '', '', ''),
	('019113', 'B19113', 'Cloud pattern type of the DT-number', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('019114', 'B19114', 'Model Expected Tropical (MET) number of the tropical cyclone', 'Numeric', '1', '0', '7', 'Numeric', '1', '3', '', '', ''),
	('019115', 'B19115', 'Trend of the past 24-hour change (+: Developed -: Weakened)', 'Numeric', '1', '-30', '6', 'Numeric', '1', '2', '', '', ''),
	('019116', 'B19116', 'Pattern Tropical (PT) number of the tropical cyclone', 'Numeric', '1', '0', '7', 'Numeric', '1', '3', '', '', ''),
	('019117', 'B19117', 'Cloud picture type of the PT-number', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('019118', 'B19118', 'Final Tropical (T) number of the tropical cyclone', 'Numeric', '1', '0', '7', 'Numeric', '1', '3', '', '', ''),
	('019119', 'B19119', 'Type of the final T-number', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('019150', 'B19150', 'Typhoon International Common Number (Typhoon Committee)', 'CCITT IA5', '0', '0', '32', 'Character', '0', '4', '', '', ''),
	('020001', 'B20001', 'Horizontal visibility', 'm', '-1', '0', '13', 'm', '-1', '4', '', '', ''),
	('020002', 'B20002', 'Vertical visibility', 'm', '-1', '0', '7', 'm', '-1', '3', '', '', ''),
	('020003', 'B20003', 'Present weather (see Note 1)', 'Code table', '0', '0', '9', 'Code table', '0', '3', '', '', ''),
	('020004', 'B20004', 'Past weather (1) (see Note 2)', 'Code table', '0', '0', '5', 'Code table', '0', '2', '', '', ''),
	('020005', 'B20005', 'Past weather (2) (see Note 2)', 'Code table', '0', '0', '5', 'Code table', '0', '2', '', '', ''),
	('020008', 'B20008', 'Cloud distribution for aviation', 'Code table', '0', '0', '5', 'Code table', '0', '2', '', '', ''),
	('020009', 'B20009', 'General Weather Indicator (TAF/METAR)', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('020010', 'B20010', 'Cloud cover (total) (see Note 5)', '%', '0', '0', '7', '%', '0', '3', '', '', ''),
	('020011', 'B20011', 'Cloud amount', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('020012', 'B20012', 'Cloud type', 'Code table', '0', '0', '6', 'Code table', '0', '2', '', '', ''),
	('020013', 'B20013', 'Height of base of cloud', 'm', '-1', '-40', '11', 'm', '-1', '4', '', '', ''),
	('020014', 'B20014', 'Height of top of cloud', 'm', '-1', '-40', '11', 'm', '-1', '4', '', '', ''),
	('020015', 'B20015', 'Pressure at base of cloud', 'Pa', '-1', '0', '14', 'Pa', '-1', '5', '', '', ''),
	('020016', 'B20016', 'Pressure at top of cloud', 'Pa', '-1', '0', '14', 'Pa', '-1', '5', '', '', ''),
	('020017', 'B20017', 'Cloud top description', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('020018', 'B20018', 'Tendency of runway visual range', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('020019', 'B20019', 'Significant present or forecast weather', 'CCITT IA5', '0', '0', '72', 'Character', '0', '9', '', '', ''),
	('020020', 'B20020', 'Significant recent weather phenomena', 'CCITT IA5', '0', '0', '32', 'Character', '0', '4', '', '', ''),
	('020021', 'B20021', 'Type of precipitation', 'Flag table', '0', '0', '30', 'Flag table', '0', '10', '', '', ''),
	('020022', 'B20022', 'Character of precipitation', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('020023', 'B20023', 'Other weather phenomena', 'Flag table', '0', '0', '18', 'Flag table', '0', '6', '', '', ''),
	('020024', 'B20024', 'Intensity of phenomena', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('020025', 'B20025', 'Obscuration', 'Flag table', '0', '0', '21', 'Flag table', '0', '7', '', '', ''),
	('020026', 'B20026', 'Character of obscuration', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('020027', 'B20027', 'Phenomena occurrence', 'Flag table', '0', '0', '9', 'Flag table', '0', '3', '', '', ''),
	('020028', 'B20028', 'Expected change in intensity', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('020029', 'B20029', 'Rain flag', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('020031', 'B20031', 'Ice deposit (thickness)', 'm', '2', '0', '7', 'm', '2', '3', '', '', ''),
	('020032', 'B20032', 'Rate of ice accretion', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('020033', 'B20033', 'Cause of ice accretion', 'Flag table', '0', '0', '4', 'Flag table', '0', '2', '', '', ''),
	('020034', 'B20034', 'Sea ice concentration', 'Code table', '0', '0', '5', 'Code table', '0', '2', '', '', ''),
	('020035', 'B20035', 'Amount and type of ice', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('020036', 'B20036', 'Ice situation', 'Code table', '0', '0', '5', 'Code table', '0', '2', '', '', ''),
	('020037', 'B20037', 'Ice development', 'Code table', '0', '0', '5', 'Code table', '0', '2', '', '', ''),
	('020038', 'B20038', 'Bearing of ice edge (see Note 3)', 'Degree true', '0', '0', '12', 'Degree true', '0', '3', '', '', ''),
	('020040', 'B20040', 'Evolution of drift snow', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('020041', 'B20041', 'Airframe icing', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('020042', 'B20042', 'Airframe icing present', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('020043', 'B20043', 'Peak liquid water content', 'kg m-3', '4', '0', '7', 'kg m-3', '4', '2', '', '', ''),
	('020044', 'B20044', 'Average liquid water content', 'kg m-3', '4', '0', '7', 'kg m-3', '4', '2', '', '', ''),
	('020045', 'B20045', 'Supercooled large droplet (SLD) conditions', 'Code table', '0', '0', '2', 'Code table', '0', '2', '', '', ''),
	('020048', 'B20048', 'Evolution of feature', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('020050', 'B20050', 'Cloud index', 'Code table', '0', '0', '8', 'Code table', '0', '3', '', '', ''),
	('020051', 'B20051', 'Amount of low clouds', '%', '0', '0', '7', '%', '0', '3', '', '', ''),
	('020052', 'B20052', 'Amount of middle clouds', '%', '0', '0', '7', '%', '0', '3', '', '', ''),
	('020053', 'B20053', 'Amount of high clouds', '%', '0', '0', '7', '%', '0', '3', '', '', ''),
	('020054', 'B20054', 'True direction from which a phenomenon or clouds are moving', 'Degree true', '0', '0', '9', 'Degree true', '0', '3', '', '', ''),
	('020055', 'B20055', 'State of sky in the tropics', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('020056', 'B20056', 'Cloud phase', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('020061', 'B20061', 'Runway visual range (RVR)', 'm', '0', '0', '12', 'm', '0', '4', '', '', ''),
	('020062', 'B20062', 'State of the ground (with or without snow)', 'Code table', '0', '0', '5', 'Code table', '0', '2', '', '', ''),
	('020063', 'B20063', 'Special phenomena', 'Code table', '0', '0', '10', 'Code table', '0', '4', '', '', ''),
	('020065', 'B20065', 'Snow cover (see Note 4)', '%', '0', '0', '7', '%', '0', '3', '', '', ''),
	('020066', 'B20066', 'Maximum diameter of hailstones', 'm', '3', '0', '8', 'm', '3', '3', '', '', ''),
	('020067', 'B20067', 'Diameter of deposit', 'm', '3', '0', '9', 'm', '3', '3', '', '', ''),
	('020070', 'B20070', 'Minimum number of atmospherics', 'Numeric', '0', '0', '7', 'Numeric', '0', '3', '', '', ''),
	('020071', 'B20071', 'Accuracy of fix and rate of atmospherics', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('020081', 'B20081', 'Cloud amount in segment', '%', '0', '0', '7', '%', '0', '3', '', '', ''),
	('020082', 'B20082', 'Amount segment cloud free', '%', '0', '0', '7', '%', '0', '3', '', '', ''),
	('020083', 'B20083', 'Amount of segment covered by scene', '%', '0', '0', '7', '%', '0', '3', '', '', ''),
	('020090', 'B20090', 'Special clouds', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('020095', 'B20095', 'Ice probability', 'Numeric', '3', '0', '10', 'Numeric', '3', '4', '', '', ''),
	('020096', 'B20096', 'Ice age ("A" parameter)', 'dB', '2', '-4096', '13', 'dB', '2', '4', '', '', ''),
	('020101', 'B20101', 'Locust (acridian) name', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('020102', 'B20102', 'Locust (maturity) color', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('020103', 'B20103', 'Stage of development of locusts', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('020104', 'B20104', 'Organization state of swarm or band of locusts', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('020105', 'B20105', 'Size of swarm or band of locusts and duration of passage of swarm', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('020106', 'B20106', 'Locust population density', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('020107', 'B20107', 'Direction of movements of locust swarm', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('020108', 'B20108', 'Extent of vegetation', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('021001', 'B21001', 'Horizontal reflectivity', 'dB', '0', '-64', '7', 'dB', '0', '3', '', '', ''),
	('021002', 'B21002', 'Vertical reflectivity', 'dB', '0', '-64', '7', 'dB', '0', '3', '', '', ''),
	('021003', 'B21003', 'Differential reflectivity', 'dB', '1', '-5', '7', 'dB', '1', '3', '', '', ''),
	('021005', 'B21005', 'Linear depolarisation ratio ', 'dB', '0', '-65', '6', 'dB', '0', '2', '', '', ''),
	('021006', 'B21006', 'Circular depolarisation ratio ', 'dB', '0', '-65', '6', 'dB', '0', '2', '', '', ''),
	('021011', 'B21011', 'Doppler mean velocity in X-direction', 'm s-1', '0', '-128', '8', 'm s-1', '0', '3', '', '', ''),
	('021012', 'B21012', 'Doppler mean velocity in Y-direction', 'm s-1', '0', '-128', '8', 'm s-1', '0', '3', '', '', ''),
	('021013', 'B21013', 'Doppler mean velocity in Z-direction', 'm s-1', '0', '-128', '8', 'm s-1', '0', '3', '', '', ''),
	('021014', 'B21014', 'Doppler mean velocity (radial)', 'm s-1', '1', '-4096', '13', 'm s-1', '1', '4', '', '', ''),
	('021017', 'B21017', 'Doppler velocity spectral width', 'm s-1', '1', '0', '8', 'm s-1', '1', '3', '', '', ''),
	('021021', 'B21021', 'Echo tops ', 'm', '-3', '0', '4', 'm', '-3', '2', '', '', ''),
	('021030', 'B21030', 'Signal to noise ratio', 'dB', '0', '-32', '8', 'dB', '0', '3', '', '', ''),
	('021031', 'B21031', 'Vertically integrated liquid-water content', 'kg m-2', '0', '0', '7', 'kg m-2', '0', '3', '', '', ''),
	('021036', 'B21036', 'Radar rainfall intensity ', 'm s-1', '7', '0', '12', 'm s-1', '7', '4', '', '', ''),
	('021041', 'B21041', 'Bright-band height ', 'm', '-2', '0', '8', 'm', '-2', '3', '', '', ''),
	('021051', 'B21051', 'Signal power above 1 mW', 'dB', '0', '-256', '8', 'dB', '0', '3', '', '', ''),
	('021062', 'B21062', 'Backscatter', 'dB', '2', '-5000', '13', 'dB', '2', '4', '', '', ''),
	('021063', 'B21063', 'Radiometric resolution (noise value)', '%', '1', '0', '10', '%', '1', '4', '', '', ''),
	('021064', 'B21064', 'Clutter noise estimate', 'Numeric', '0', '0', '8', 'Numeric', '0', '3', '', '', ''),
	('021065', 'B21065', 'Missing packet counter', 'Numeric', '0', '-127', '8', 'Numeric', '0', '3', '', '', ''),
	('021066', 'B21066', 'Wave scatterometer product confidence data', 'Flag table', '0', '0', '12', 'Flag table', '0', '4', '', '', ''),
	('021067', 'B21067', 'Wind product confidence data', 'Flag table', '0', '0', '13', 'Flag table', '0', '5', '', '', ''),
	('021068', 'B21068', 'Radar altimeter product confidence data', 'Flag table', '0', '0', '8', 'Flag table', '0', '3', '', '', ''),
	('021069', 'B21069', 'SST product confidence data', 'Flag table', '0', '0', '10', 'Flag table', '0', '4', '', '', ''),
	('021070', 'B21070', 'SST product confidence data (SADIST-2)', 'Flag table', '0', '0', '23', 'Flag table', '0', '6', '', '', ''),
	('021071', 'B21071', 'Peakiness', 'Numeric', '0', '0', '16', 'Numeric', '0', '5', '', '', ''),
	('021072', 'B21072', 'Satellite altimeter calibration status', 'Flag table', '0', '0', '4', 'Flag table', '0', '2', '', '', ''),
	('021073', 'B21073', 'Satelllite altimeter instrument mode', 'Flag table', '0', '0', '9', 'Flag table', '0', '3', '', '', ''),
	('021075', 'B21075', 'Image spectrum intensity', 'Numeric', '0', '0', '8', 'Numeric', '0', '3', '', '', ''),
	('021076', 'B21076', 'Representation of intensities', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('021077', 'B21077', 'Altitude correction (ionosphere)', 'm', '3', '0', '14', 'm', '3', '5', '', '', ''),
	('021078', 'B21078', 'Altitude correction (dry troposphere)', 'm', '3', '0', '9', 'm', '3', '3', '', '', ''),
	('021079', 'B21079', 'Altitude correction (wet troposphere)', 'm', '3', '2000', '10', 'm', '3', '4', '', '', ''),
	('021080', 'B21080', 'Altitude correction (calibration constant)', 'm', '3', '0', '11', 'm', '3', '4', '', '', ''),
	('021081', 'B21081', 'Open loop correction (height-time loop)', 'm', '3', '0', '10', 'm', '3', '4', '', '', ''),
	('021082', 'B21082', 'Open loop correction (auto gain control)', 'dB', '3', '-3000', '14', 'dB', '3', '5', '', '', ''),
	('021083', 'B21083', 'Warm target calibration', 'Numeric', '0', '0', '16', 'Numeric', '0', '5', '', '', ''),
	('021084', 'B21084', 'Cold target calibration', 'Numeric', '0', '0', '16', 'Numeric', '0', '5', '', '', ''),
	('021085', 'B21085', 'ATSR sea surface temperature across- track band number', 'Numeric', '0', '0', '4', 'Numeric', '0', '2', '', '', ''),
	('021086', 'B21086', 'Number of pixels in Nadir only average', 'Numeric', '0', '0', '9', 'Numeric', '0', '3', '', '', ''),
	('021087', 'B21087', 'Number of pixels in dual view average', 'Numeric', '0', '0', '9', 'Numeric', '0', '3', '', '', ''),
	('021088', 'B21088', 'Wet backscatter', 'dB', '2', '-5000', '13', 'dB', '2', '4', '', '', ''),
	('021091', 'B21091', 'Radar signal Doppler spectrum 0th moment', 'dB', '0', '-100', '8', 'dB', '0', '3', '', '', ''),
	('021092', 'B21092', 'RASS signal Doppler spectrum 0th moment referring to RASS signal', 'dB', '0', '-100', '8', 'dB', '0', '3', '', '', ''),
	('021093', 'B21093', 'Ku band peakiness', 'Numeric', '3', '0', '16', 'Numeric', '3', '5', '', '', ''),
	('021094', 'B21094', 'S band peakiness', 'Numeric', '3', '0', '16', 'Numeric', '3', '5', '', '', ''),
	('021101', 'B21101', 'Number of vector ambiguities', 'Numeric', '0', '0', '3', 'Numeric', '0', '1', '', '', ''),
	('021102', 'B21102', 'Index of selected wind vector', 'Numeric', '0', '0', '3', 'Numeric', '0', '1', '', '', ''),
	('021103', 'B21103', 'Total number of sigma-0 measurements', 'Numeric', '0', '0', '5', 'Numeric', '0', '2', '', '', ''),
	('021104', 'B21104', 'Likelihood computed for solution', 'Numeric', '3', '-30000', '15', 'Numeric', '3', '5', '', '', ''),
	('021105', 'B21105', 'Normalized radar cross-section', 'dB', '2', '-10000', '14', 'dB', '2', '5', '', '', ''),
	('021106', 'B21106', 'Kp variance coefficient (Alpha)', 'Numeric', '3', '0', '14', 'Numeric', '3', '5', '', '', ''),
	('021107', 'B21107', 'Kp variance coefficient (Beta)', 'Numeric', '8', '0', '16', 'Numeric', '8', '5', '', '', ''),
	('021109', 'B21109', 'SEAWINDS wind vector cell quality', 'Flag table', '0', '0', '17', 'Flag table', '0', '6', '', '', ''),
	('021110', 'B21110', 'Number of inner-beam Sigma-0 (forward of satellite)', 'Numeric', '0', '0', '6', 'Numeric', '0', '2', '', '', ''),
	('021111', 'B21111', 'Number of outer-beam Sigma-0 (forward of satellite)', 'Numeric', '0', '0', '6', 'Numeric', '0', '2', '', '', ''),
	('021112', 'B21112', 'Number of inner-beam Sigma-0 (aft of satellite)', 'Numeric', '0', '0', '6', 'Numeric', '0', '2', '', '', ''),
	('021113', 'B21113', 'Number of outer-beam Sigma-0 (aft of satellite)', 'Numeric', '0', '0', '6', 'Numeric', '0', '2', '', '', ''),
	('021114', 'B21114', 'Kp variance coefficent (Gamma)', 'dB', '3', '-140000', '18', 'dB', '3', '6', '', '', ''),
	('021115', 'B21115', 'SEAWINDS sigma-0 quality', 'Flag table', '0', '0', '17', 'Flag table', '0', '6', '', '', ''),
	('021116', 'B21116', 'SEAWINDS sigma-0 mode', 'Flag table', '0', '0', '17', 'Flag table', '0', '6', '', '', ''),
	('021117', 'B21117', 'Sigma-0 variance quality control', 'Numeric', '2', '0', '16', 'Numeric', '2', '5', '', '', ''),
	('021118', 'B21118', 'Attenuation correction on sigma-0', 'dB', '2', '-10000', '14', 'dB', '2', '5', '', '', ''),
	('021119', 'B21119', 'Wind scatterometer geophysical model function', 'Code table', '0', '0', '6', 'Code table', '0', '2', '', '', ''),
	('021120', 'B21120', 'Probability of rain', 'Numeric', '3', '0', '10', 'Numeric', '3', '4', '', '', ''),
	('021121', 'B21121', 'SEAWINDS NOF* rain index', 'Numeric', '0', '0', '8', 'Numeric', '0', '3', '', '', ''),
	('021122', 'B21122', 'Attenuation correction of sigma-0 (from tB)', 'dB', '2', '-10000', '14', 'dB', '2', '5', '', '', ''),
	('021123', 'B21123', 'SEAWINDS normalized radar cross section', 'dB', '2', '-30000', '15', 'dB', '2', '5', '', '', ''),
	('021128', 'B21128', 'Number of valid points per second used to derive previous parameters', 'Numeric', '0', '0', '8', 'Numeric', '0', '3', '', '', ''),
	('021130', 'B21130', 'Spectrum total energy', 'Numeric', '6', '0', '28', 'Numeric', '6', '9', '', '', ''),
	('021131', 'B21131', 'Spectrum max energy', 'Numeric', '6', '0', '28', 'Numeric', '6', '9', '', '', ''),
	('021132', 'B21132', 'Direction of spectrum max on higher resolution grid', 'Degree', '3', '0', '19', 'Degree', '3', '6', '', '', ''),
	('021133', 'B21133', 'Wave-length of spectrum max on higher resolution grid', 'm', '3', '0', '29', 'm', '3', '9', '', '', ''),
	('021134', 'B21134', 'Range resolution of cress covariance spectrum', 'Rad m-1', '3', '0', '19', 'Rad m-1', '3', '6', '', '', ''),
	('021135', 'B21135', 'Real part of cross spectra polar grid number of bins', 'Numeric', '3', '-524288', '20', 'Numeric', '3', '7', '', '', ''),
	('021136', 'B21136', 'Imaginary part of cross spectra polar grid number of bins', 'Numeric', '3', '-524288', '20', 'Numeric', '3', '7', '', '', ''),
	('021137', 'B21137', 'KU band corrected ocean backscatter coefficient', 'dB', '2', '-32768', '16', 'dB', '2', '5', '', '', ''),
	('021138', 'B21138', 'Std KU band corrected ocean backscatter coefficient', 'dB', '2', '-32768', '16', 'dB', '2', '5', '', '', ''),
	('021139', 'B21139', 'KU band net instrumental correction for ACG', 'dB', '2', '-2048', '12', 'dB', '2', '4', '', '', ''),
	('021140', 'B21140', 'S band corrected ocean backscatter coefficient', 'dB', '2', '-32768', '16', 'dB', '2', '5', '', '', ''),
	('021141', 'B21141', 'Std S band corrected ocean backscatter coefficient', 'dB', '2', '-32768', '16', 'dB', '2', '5', '', '', ''),
	('021142', 'B21142', 'S band net instrumental correction for ACG', 'dB', '2', '-1024', '11', 'dB', '2', '4', '', '', ''),
	('021143', 'B21143', 'KU band rain attenuation', 'dB', '2', '-1073741824', '31', 'dB', '2', '10', '', '', ''),
	('021144', 'B21144', 'Altimeter rain flag', 'Flag table', '0', '0', '2', 'Flag table', '0', '1', '', '', ''),
	('021150', 'B21150', 'Beam collocation', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('021151', 'B21151', 'Estimated error in sigma-0 at 40 deg. incidence angle', 'dB', '2', '0', '9', 'dB', '2', '3', '', '', ''),
	('021152', 'B21152', 'Slope at 40 deg. incidence angle', 'dB Deg-1', '2', '-80', '7', 'dB Deg-1', '2', '2', '', '', ''),
	('021153', 'B21153', 'Estimated error in slope at 40 deg. incidence angle', 'dB Deg-1', '2', '-40', '6', 'dB Deg-1', '2', '2', '', '', ''),
	('021154', 'B21154', 'Soil moisture sensitivity', 'dB', '2', '0', '12', 'dB', '2', '4', '', '', ''),
	('021155', 'B21155', 'Wind vector cell quality', 'Flag table', '0', '0', '24', 'Flag table', '0', '8', '', '', ''),
	('021156', 'B21156', 'Backscatter distance', 'Numeric', '1', '-4096', '13', 'Numeric', '1', '4', '', '', ''),
	('021157', 'B21157', 'Loss per unit length of atmosphere used', 'dB m-1', '10', '0', '22', 'dB m-1', '10', '7', '', '', ''),
	('021158', 'B21158', 'ASCAT kp estimate quality', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('021159', 'B21159', 'ASCAT sigma-0 usability', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('021160', 'B21160', 'ASCAT use of synthetic data', 'Numeric', '3', '0', '10', 'Numeric', '3', '4', '', '', ''),
	('021161', 'B21161', 'ASCAT synthetic data quality', 'Numeric', '3', '0', '10', 'Numeric', '3', '4', '', '', ''),
	('021162', 'B21162', 'ASCAT satellite orbit and attitude quality', 'Numeric', '3', '0', '10', 'Numeric', '3', '4', '', '', ''),
	('021163', 'B21163', 'ASCAT solar array reflection contamination', 'Numeric', '3', '0', '10', 'Numeric', '3', '4', '', '', ''),
	('021164', 'B21164', 'ASCAT telemetry presence and quality', 'Numeric', '3', '0', '10', 'Numeric', '3', '4', '', '', ''),
	('021165', 'B21165', 'ASCAT extrapolated reference function presence', 'Numeric', '3', '0', '10', 'Numeric', '3', '4', '', '', ''),
	('021166', 'B21166', 'ASCAT land fraction', 'Numeric', '3', '0', '10', 'Numeric', '3', '4', '', '', ''),
	('022001', 'B22001', 'Direction of waves ', 'Degree true', '0', '0', '9', 'Degree true', '0', '3', '', '', ''),
	('022002', 'B22002', 'Direction of wind waves ', 'Degree true', '0', '0', '9', 'Degree true', '0', '3', '', '', ''),
	('022003', 'B22003', 'Direction of swell waves ', 'Degree true', '0', '0', '9', 'Degree true', '0', '3', '', '', ''),
	('022004', 'B22004', 'Direction of current (see Note 7)', 'Degree true', '0', '0', '9', 'Degree true', '0', '3', '', '', ''),
	('022005', 'B22005', 'Direction of sea surface current', 'Degree true', '0', '0', '9', 'Degree true', '0', '3', '', '', ''),
	('022011', 'B22011', 'Period of waves ', 's', '0', '0', '6', 's', '0', '2', '', '', ''),
	('022012', 'B22012', 'Period of wind waves ', 's', '0', '0', '6', 's', '0', '2', '', '', ''),
	('022013', 'B22013', 'Period of swell waves ', 's', '0', '0', '6', 's', '0', '2', '', '', ''),
	('022021', 'B22021', 'Height of waves ', 'm', '1', '0', '10', 'm', '1', '4', '', '', ''),
	('022022', 'B22022', 'Height of wind waves ', 'm', '1', '0', '10', 'm', '1', '4', '', '', ''),
	('022023', 'B22023', 'Height of swell waves ', 'm', '1', '0', '10', 'm', '1', '4', '', '', ''),
	('022025', 'B22025', 'Standard deviation wave height', 'm', '2', '0', '10', 'm', '2', '4', '', '', ''),
	('022026', 'B22026', 'Standard deviation of significant wave height', 'm', '2', '0', '10', 'm', '2', '4', '', '', ''),
	('022031', 'B22031', 'Speed of current ', 'm s-1', '2', '0', '13', 'm s-1', '2', '4', '', '', ''),
	('022032', 'B22032', 'Speed of sea surface current', 'm s-1', '2', '0', '13', 'm s-1', '2', '4', '', '', ''),
	('022035', 'B22035', 'Tidal elevation with respect to local chart datum', 'm', '2', '0', '14', 'm', '2', '4', '', '', ''),
	('022036', 'B22036', 'Meteorological residual tidal elevation (surge or offset)', 'm', '2', '0', '14', 'm', '2', '4', '', '', ''),
	('022037', 'B22037', 'Tidal elevation with respect to national land datum', 'm', '3', '-10000', '15', 'm', '3', '5', '', '', ''),
	('022038', 'B22038', 'Tidal elevation with respect to local chart datum', 'm', '3', '-10000', '15', 'm', '3', '5', '', '', ''),
	('022039', 'B22039', 'Meteorological residual tidal elevation (surge or offset) (see Note 4)', 'm', '3', '-5000', '13', 'm', '3', '4', '', '', ''),
	('022040', 'B22040', 'Meteorological residual tidal elevation (surge or offset) (see Note 4)', 'm', '3', '-5000', '14', 'm', '3', '5', '', '', ''),
	('022041', 'B22041', 'Sea-surface temperature (15-day running mean)', 'K', '1', '0', '12', 'K', '1', '4', '', '', ''),
	('022042', 'B22042', 'Sea/water temperature', 'K', '1', '0', '12', 'K', '1', '4', '', '', ''),
	('022043', 'B22043', 'Sea/water temperature', 'K', '2', '0', '15', 'K', '2', '5', '', '', ''),
	('022044', 'B22044', 'Sound velocity ', 'm s-1', '1', '0', '14', 'm s-1', '1', '5', '', '', ''),
	('022045', 'B22045', 'Sea/water temperature', 'K', '3', '0', '19', 'K', '3', '6', '', '', ''),
	('022049', 'B22049', 'Sea surface temperature', 'K', '2', '0', '15', 'K', '2', '5', '', '', ''),
	('022050', 'B22050', 'Standard deviation sea-surface temperature', 'K', '2', '0', '8', 'K', '2', '3', '', '', ''),
	('022055', 'B22055', 'Float cycle number', 'Numeric', '0', '0', '10', 'Numeric', '0', '3', '', '', ''),
	('022056', 'B22056', 'Direction of profile', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('022059', 'B22059', 'Sea surface salinity', 'Part per thousand', '2', '0', '14', 'Part per thousand', '2', '5', '', '', ''),
	('022060', 'B22060', 'Lagrangian drifter drogue status', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('022061', 'B22061', 'State of the sea ', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('022062', 'B22062', 'Salinity', 'Part per thousand', '2', '0', '14', 'Part per thousand', '2', '5', '', '', ''),
	('022063', 'B22063', 'Total water depth ', 'm', '0', '0', '14', 'm', '0', '5', '', '', ''),
	('022064', 'B22064', 'Salinity', 'Part per thousand', '3', '0', '17', 'Part per thousand', '3', '6', '', '', ''),
	('022065', 'B22065', 'Water pressure', 'Pa', '-3', '0', '17', 'Pa', '-3', '6', '', '', ''),
	('022066', 'B22066', 'Water conductivity', 'S m-1', '6', '0', '26', 'S m-1', '6', '8', '', '', ''),
	('022067', 'B22067', 'Instrument type for water temperature profile measurement', 'Code table', '0', '0', '10', 'Code table', '0', '4', '', '', ''),
	('022068', 'B22068', 'Water temperature profile recorder types', 'Code table', '0', '0', '7', 'Code table', '0', '3', '', '', ''),
	('022069', 'B22069', 'Spectral wave density', 'm2 Hz-1', '3', '0', '22', 'm2 Hz-1', '3', '7', '', '', ''),
	('022070', 'B22070', 'Significant wave height', 'm', '2', '0', '13', 'm', '2', '4', '', '', ''),
	('022071', 'B22071', 'Spectral peak wave period', 's', '1', '0', '9', 's', '1', '3', '', '', ''),
	('022072', 'B22072', 'Spectral peak wave length', 'm', '0', '0', '13', 'm', '0', '4', '', '', ''),
	('022073', 'B22073', 'Maximum wave height', 'm', '2', '0', '13', 'm', '2', '4', '', '', ''),
	('022074', 'B22074', 'Average wave period', 's', '1', '0', '9', 's', '1', '3', '', '', ''),
	('022075', 'B22075', 'Average wave length', 'm', '0', '0', '13', 'm', '0', '4', '', '', ''),
	('022076', 'B22076', 'Direction from which dominant waves are coming', 'Degree true', '0', '0', '9', 'Degree true', '0', '3', '', '', ''),
	('022077', 'B22077', 'Directional spread of dominant wave', 'Degree', '0', '0', '9', 'Degree', '0', '3', '', '', ''),
	('022078', 'B22078', 'Duration of wave record', 's', '0', '0', '12', 's', '0', '4', '', '', ''),
	('022079', 'B22079', 'Length of wave record', 'm', '0', '0', '16', 'm', '0', '5', '', '', ''),
	('022080', 'B22080', 'Waveband central frequency', 'Hz', '3', '0', '10', 'Hz', '3', '4', '', '', ''),
	('022081', 'B22081', 'Waveband central wave number', 'm-1', '5', '0', '13', 'm-1', '5', '4', '', '', ''),
	('022082', 'B22082', 'Maximum non-directional spectral wave density', 'm2 s', '2', '0', '20', 'm2 s', '2', '7', '', '', ''),
	('022083', 'B22083', 'Maximum non-directional spectral wave number', 'm3', '2', '0', '20', 'm3', '2', '7', '', '', ''),
	('022084', 'B22084', 'Band containing maximum non- directional spectral wave density', 'Numeric', '0', '0', '7', 'Numeric', '0', '3', '', '', ''),
	('022085', 'B22085', 'Spectral wave density ratio', 'Numeric', '0', '0', '7', 'Numeric', '0', '3', '', '', ''),
	('022086', 'B22086', 'Mean direction from which waves are coming', 'Degree true', '0', '0', '9', 'Degree true', '0', '3', '', '', ''),
	('022087', 'B22087', 'Principal direction from which waves are coming', 'Degree true', '0', '0', '9', 'Degree true', '0', '3', '', '', ''),
	('022088', 'B22088', 'First normalized polar coordinate from Fourier coefficients', 'Numeric', '2', '0', '7', 'Numeric', '2', '3', '', '', ''),
	('022089', 'B22089', 'Second normalized polar coordinate from Fourier coefficients', 'Numeric', '2', '0', '7', 'Numeric', '2', '3', '', '', ''),
	('022090', 'B22090', 'Non-directional spectral estimate by wave frequency', 'm2 s', '2', '0', '20', 'm2 s', '2', '7', '', '', ''),
	('022091', 'B22091', 'Non-directional spectral estimate by wave number', 'm3', '2', '0', '20', 'm3', '2', '7', '', '', ''),
	('022092', 'B22092', 'Directional spectral estimate by wave frequency', 'm2 rad-1 s', '2', '0', '20', 'm2 rad-1 s', '2', '7', '', '', ''),
	('022093', 'B22093', 'Directional spectral estimate by wave number', 'm4', '2', '0', '20', 'm4', '2', '7', '', '', ''),
	('022094', 'B22094', 'Total number of wave bands', 'Numeric', '0', '0', '7', 'Numeric', '0', '3', '', '', ''),
	('022095', 'B22095', 'Directional spread of individual waves', 'Degree', '0', '0', '8', 'Degree', '0', '3', '', '', ''),
	('022096', 'B22096', 'Spectral band width', 's-1', '3', '0', '4', 's-1', '3', '2', '', '', ''),
	('022097', 'B22097', 'Mean wavelength > 731 m of image spectrum at low wave numbers', 'm', '0', '0', '14', 'm', '0', '5', '', '', ''),
	('022098', 'B22098', 'Wavelength spread (wavelength > 731 m) at low wave numbers', 'm', '0', '0', '14', 'm', '0', '5', '', '', ''),
	('022099', 'B22099', 'Mean direction at low wave numbers (wavelength > 731 m)', 'Degree true', '0', '0', '9', 'Degree true', '0', '3', '', '', ''),
	('022100', 'B22100', 'Direction spread at low wave numbers (wavelength > 731 m)', 'Degree', '0', '0', '9', 'Degree', '0', '3', '', '', ''),
	('022101', 'B22101', 'Total energy (wavelength > 731m) at low wave numbers', 'Numeric', '0', '0', '31', 'Numeric', '0', '10', '', '', ''),
	('022120', 'B22120', 'Tide station automated water level check', 'Code table', '0', '0', '5', 'Code table', '0', '2', '', '', ''),
	('022121', 'B22121', 'Tide station manual water level check', 'Code table', '0', '0', '5', 'Code table', '0', '2', '', '', ''),
	('022122', 'B22122', 'Tide station automated meteorological data check', 'Code table', '0', '0', '5', 'Code table', '0', '2', '', '', ''),
	('022123', 'B22123', 'Tide station manual meteorological data check', 'Code table', '0', '0', '5', 'Code table', '0', '2', '', '', ''),
	('022141', 'B22141', 'Sea-surface temperature (15-day running mean)', 'K', '2', '0', '15', 'K', '2', '5', '', '', ''),
	('022150', 'B22150', 'Number of 18 Hz valid points for KU band', 'Numeric', '0', '0', '10', 'Numeric', '0', '4', '', '', ''),
	('022151', 'B22151', 'KU band ocean range', 'm', '3', '0', '31', 'm', '3', '10', '', '', ''),
	('022152', 'B22152', 'STD of 18 Hz KU band ocean range', 'm', '3', '0', '16', 'm', '3', '5', '', '', ''),
	('022153', 'B22153', 'Number of 18 Hz valid points for S band', 'Numeric', '0', '0', '10', 'Numeric', '0', '4', '', '', ''),
	('022154', 'B22154', 'S band ocean range', 'm', '3', '0', '31', 'm', '3', '10', '', '', ''),
	('022155', 'B22155', 'STD of 18 Hz S band ocean range', 'm', '3', '0', '16', 'm', '3', '5', '', '', ''),
	('022156', 'B22156', 'KU band significant wave height', 'm', '3', '0', '16', 'm', '3', '5', '', '', ''),
	('022157', 'B22157', 'STD 18Hz KU band significant wave height', 'm', '3', '0', '16', 'm', '3', '5', '', '', ''),
	('022158', 'B22158', 'S band significant wave height', 'm', '3', '0', '16', 'm', '3', '5', '', '', ''),
	('022159', 'B22159', 'STD 18Hz S band significant wave height', 'm', '3', '0', '16', 'm', '3', '5', '', '', ''),
	('022160', 'B22160', 'Normalized inverse wave age', 'Numeric', '6', '0', '21', 'Numeric', '6', '7', '', '', ''),
	('022161', 'B22161', 'Wave spectra', 'm4', '4', '0', '27', 'm4', '4', '9', '', '', ''),
	('023001', 'B23001', 'Accident early notification — article applicable', 'Code table', '0', '0', '3', 'Code table ', '0', '1', '', '', ''),
	('023002', 'B23002', 'Activity or facility involved in incident', 'Code table', '0', '0', '5', 'Code table ', '0', '2', '', '', ''),
	('023003', 'B23003', 'Type of release ', 'Code table', '0', '0', '3', 'Code table ', '0', '1', '', '', ''),
	('023004', 'B23004', 'Countermeasures taken near border', 'Code table', '0', '0', '3', 'Code table ', '0', '1', '', '', ''),
	('023005', 'B23005', 'Cause of incident ', 'Code table', '0', '0', '2', 'Code table ', '0', '1', '', '', ''),
	('023006', 'B23006', 'Incident situation ', 'Code table', '0', '0', '3', 'Code table ', '0', '1', '', '', ''),
	('023007', 'B23007', 'Characteristics of release', 'Code table', '0', '0', '3', 'Code table ', '0', '1', '', '', ''),
	('023008', 'B23008', 'State of current release ', 'Code table', '0', '0', '2', 'Code table ', '0', '1', '', '', ''),
	('023009', 'B23009', 'State of expected release ', 'Code table', '0', '0', '2', 'Code table ', '0', '1', '', '', ''),
	('023016', 'B23016', 'Possibility of significant chemical toxic health effect', 'Code table', '0', '0', '2', 'Code table ', '0', '1', '', '', ''),
	('023017', 'B23017', 'Flow discharge of major recipient', 'm3 s-1', '6', '0', '20', 'm3 s-1', '6', '7', '', '', ''),
	('023018', 'B23018', 'Release behaviour over time', 'Code table', '0', '0', '3', 'Code table ', '0', '1', '', '', ''),
	('023019', 'B23019', 'Actual release height', 'm', '0', '-15000', '17', 'm ', '0', '6', '', '', ''),
	('023021', 'B23021', 'Effective release height', 'm', '0', '-15000', '17', 'm ', '0', '6', '', '', ''),
	('023022', 'B23022', 'Distance of release point or site of incident', 'm', '0', '0', '24', 'm ', '0', '8', '', '', ''),
	('023023', 'B23023', 'Main transport speed in the atmosphere', 'm s-1', '1', '0', '12', 'm s-1', '1', '4', '', '', ''),
	('023024', 'B23024', 'Main transport speed in water', 'm s-1', '2', '0', '13', 'm s-1', '2', '4', '', '', ''),
	('023025', 'B23025', 'Main transport speed in ground water', 'm s-1', '2', '0', '13', 'm s-1', '2', '4', '', '', ''),
	('023027', 'B23027', 'Main transport direction in the atmosphere', 'Degree true ', '0', '0', '9', 'Degree true ', '0', '3', '', '', ''),
	('023028', 'B23028', 'Main transport direction in water', 'Degree true ', '0', '0', '9', 'Degree true ', '0', '3', '', '', ''),
	('023029', 'B23029', 'Main transport direction in ground water', 'Degree true ', '0', '0', '9', 'Degree true ', '0', '3', '', '', ''),
	('023031', 'B23031', 'Possibility that plume will encounter precipitation in State in which incident occurred', 'Code table', '0', '0', '2', 'Code table ', '0', '1', '', '', ''),
	('023032', 'B23032', 'Plume will encounter change in wind direction and/or speed flag', 'Code table', '0', '0', '2', 'Code table ', '0', '1', '', '', ''),
	('024001', 'B24001', 'Estimate of amount of radioactivity released up to specified time', 'Bq*', '-11', '0', '28', 'Bq* ', '-11', '9', '', '', ''),
	('024002', 'B24002', 'Estimated maximum potential release', 'Bq', '-11', '0', '28', 'Bq ', '-11', '9', '', '', ''),
	('024003', 'B24003', 'Composition of release', 'Code table', '0', '0', '5', 'Code table ', '0', '2', '', '', ''),
	('024004', 'B24004', 'Element name', 'CCITT IA5', '0', '0', '16', 'Character', '0', '2', '', '', ''),
	('024005', 'B24005', 'Isotope mass', 'Numeric', '0', '0', '9', 'Numeric ', '0', '3', '', '', ''),
	('024011', 'B24011', 'Dose', 'mSv*/**', '2', '0', '32', 'mSv*/**', '2', '10', '', '', ''),
	('024012', 'B24012', 'Trajectory dose (defined location and expected time of arrival)', 'mSv', '2', '0', '32', 'mSv', '2', '10', '', '', ''),
	('024013', 'B24013', 'Gamma dose in air along the main transport path (defined location and time period)', 'mSv', '2', '0', '32', 'mSv ', '2', '10', '', '', ''),
	('024021', 'B24021', 'Air concentration (of named isotope type including gross beta)', 'Bq m-3', '2', '0', '32', 'Bq m-3', '2', '10', '', '', ''),
	('024022', 'B24022', 'Concentration in precipitation (of names isotope type)', 'Bq l-1', '2', '0', '32', 'Bq l-1', '2', '10', '', '', ''),
	('024023', 'B24023', 'Pulse rate of beta radiation', 's-1', '1', '0', '14', 's-1', '1', '4', '', '', ''),
	('024024', 'B24024', 'Pulse rate of gamma radiation', 's-1', '1', '0', '14', 's-1', '1', '4', '', '', ''),
	('025001', 'B25001', 'Range-gate length', 'm', '-1', '0', '6', 'm', '-1', '2', '', '', ''),
	('025002', 'B25002', 'Number of gates averaged', 'Numeric', '0', '0', '4', 'Numeric', '0', '2', '', '', ''),
	('025003', 'B25003', 'Number of integrated pulses', 'Numeric', '0', '0', '8', 'Numeric', '0', '3', '', '', ''),
	('025004', 'B25004', 'Echo processing', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('025005', 'B25005', 'Echo integration', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('025006', 'B25006', 'Z to R conversion', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('025007', 'B25007', 'Z to R conversion factor', 'Numeric', '0', '0', '12', 'Numeric', '0', '4', '', '', ''),
	('025008', 'B25008', 'Z to R conversion exponent', 'Numeric', '2', '0', '9', 'Numeric', '2', '3', '', '', ''),
	('025009', 'B25009', 'Calibration method (see Note 3)', 'Flag table', '0', '0', '4', 'Flag table', '0', '2', '', '', ''),
	('025010', 'B25010', 'Clutter treatment', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('025011', 'B25011', 'Ground occultation correction (screening)', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('025012', 'B25012', 'Range attenuation correction', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('025013', 'B25013', 'Bright-band correction', 'Flag table', '0', '0', '2', 'Flag table', '0', '1', '', '', ''),
	('025014', 'B25014', 'Azimuth clutter cut-off (see Note 1)', 'Numeric', '0', '0', '12', 'Numeric', '0', '4', '', '', ''),
	('025015', 'B25015', 'Radome attenuation correction', 'Flag table', '0', '0', '2', 'Flag table', '0', '1', '', '', ''),
	('025016', 'B25016', 'Clear-air attenuation correction', 'dB m-1', '5', '0', '6', 'dB m-1', '5', '2', '', '', ''),
	('025017', 'B25017', 'Precipitation attenuation correction', 'Flag table', '0', '0', '2', 'Flag table', '0', '1', '', '', ''),
	('025018', 'B25018', 'A to Z law for attenuation factor', 'Numeric', '7', '0', '6', 'Numeric', '7', '2', '', '', ''),
	('025019', 'B25019', 'A to Z law for attenuation exponent', 'Numeric', '2', '0', '7', 'Numeric', '2', '3', '', '', ''),
	('025020', 'B25020', 'Mean speed estimation', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('025021', 'B25021', 'Wind computation enhancement', 'Flag table', '0', '0', '8', 'Flag table', '0', '3', '', '', ''),
	('025025', 'B25025', 'Battery voltage', 'V', '1', '0', '9', 'V', '1', '3', '', '', ''),
	('025026', 'B25026', 'Battery voltage (large range)', 'V', '1', '0', '12', 'V', '1', '4', '', '', ''),
	('025028', 'B25028', 'Operator or manufacturer defined parameter', 'Numeric', '1', '-16384', '15', 'Numeric', '1', '5', '', '', ''),
	('025029', 'B25029', 'Calibration method', 'Flag table', '0', '0', '6', 'Flag table', '0', '2', '', '', ''),
	('025030', 'B25030', 'Running mean sea-surface temperature usage', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('025032', 'B25032', 'Wind profiler mode information (see Note 2)', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('025033', 'B25033', 'Wind profiler submode information (see Note 2)', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('025034', 'B25034', 'Wind profiler quality control test results (see Note 2)', 'Flag table', '0', '0', '4', 'Flag table', '0', '2', '', '', ''),
	('025036', 'B25036', 'Atmospherics location method', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('025040', 'B25040', 'CO2 wind product derivation', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('025041', 'B25041', 'Moving platform direction reporting method', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('025042', 'B25042', 'Moving platform speed reporting method', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('025043', 'B25043', 'Wave sampling interval (time)', 's', '4', '0', '15', 's', '4', '5', '', '', ''),
	('025044', 'B25044', 'Wave sampling interval (space)', 'm', '2', '0', '14', 'm', '2', '5', '', '', ''),
	('025045', 'B25045', 'HIRS channel combination', 'Flag table', '0', '0', '21', 'Flag table', '0', '7', '', '', ''),
	('025046', 'B25046', 'MSU channel combination', 'Flag table', '0', '0', '5', 'Flag table', '0', '2', '', '', ''),
	('025047', 'B25047', 'SSU channel combination', 'Flag table', '0', '0', '4', 'Flag table', '0', '2', '', '', ''),
	('025048', 'B25048', 'AMSU-A channel combination', 'Flag table', '0', '0', '16', 'Flag table', '0', '6', '', '', ''),
	('025049', 'B25049', 'AMSU-B channel combination', 'Flag table', '0', '0', '6', 'Flag table', '0', '2', '', '', ''),
	('025050', 'B25050', 'Principal component score', 'Numeric', '4', '-131072', '18', 'Numeric', '4', '6', '', '', ''),
	('025051', 'B25051', 'AVHRR channel combination', 'Flag table', '0', '0', '7', 'Flag table', '0', '3', '', '', ''),
	('025052', 'B25052', 'Log-10 of principal components normalized fit to data', 'Numeric', '4', '0', '15', 'Numeric', '4', '5', '', '', ''),
	('025053', 'B25053', 'Observation quality', 'Flag table', '0', '0', '12', 'Flag table', '0', '4', '', '', ''),
	('025054', 'B25054', 'SSMIS Subframe ID nember', 'Numeric', '0', '0', '5', 'Numeric', '0', '2', '', '', ''),
	('025055', 'B25055', 'Multiplexer housekeeping', 'K', '2', '0', '16', 'K', '2', '5', '', '', ''),
	('025060', 'B25060', 'Software identification (see Note 2)', 'Numeric', '0', '0', '14', 'Numeric', '0', '5', '', '', ''),
	('025061', 'B25061', 'Software identification and version number', 'CCITT IA5', '0', '0', '96', 'Character', '0', '12', '', '', ''),
	('025062', 'B25062', 'Database identification', 'Numeric', '0', '0', '14', 'Numeric', '0', '5', '', '', ''),
	('025065', 'B25065', 'Orientation correction (azimuth)', 'Degree', '2', '-1000', '11', 'Degree', '2', '4', '', '', ''),
	('025066', 'B25066', 'Orientation correction (elevation)', 'Degree', '2', '-1000', '11', 'Degree', '2', '4', '', '', ''),
	('025067', 'B25067', 'Radiosonde release point pressure correction', 'Pa', '0', '-8000', '14', 'Pa', '0', '4', '', '', ''),
	('025068', 'B25068', 'Number of archive recomputes', 'Numeric', '0', '0', '7', 'Numeric', '0', '3', '', '', ''),
	('025069', 'B25069', 'Flight level pressure corrections', 'Flag table', '0', '0', '8', 'Flag table', '0', '3', '', '', ''),
	('025070', 'B25070', 'Major frame count', 'Numeric', '0', '0', '4', 'Numeric', '0', '2', '', '', ''),
	('025071', 'B25071', 'Frame count', 'Numeric', '0', '0', '5', 'Numeric', '0', '2', '', '', ''),
	('025075', 'B25075', 'Satellite antenna corrections version number', 'Numeric', '0', '0', '5', 'Numeric', '0', '2', '', '', ''),
	('025076', 'B25076', 'Log–10 of (Temperature-radiance central wavenumber) for ATOVS', 'log m-1', '8', '0', '30', 'log m-1', '8', '10', '', '', ''),
	('025077', 'B25077', 'Bandwidth correction coefficient 1 for ATOVS', 'Numeric', '5', '-100000', '18', 'Numeric', '5', '7', '', '', ''),
	('025078', 'B25078', 'Bandwidth correction coefficient 2 for ATOVS', 'Numeric', '5', '0', '17', 'Numeric', '5', '6', '', '', ''),
	('025079', 'B25079', 'Albedo-radiance solar filtered irradiance for ATOVS', 'W m-2', '4', '0', '24', 'W m-2', '4', '8', '', '', ''),
	('025080', 'B25080', 'Albedo-radiance equivalent filter width for ATOVS', 'm', '10', '0', '14', 'm', '10', '5', '', '', ''),
	('025085', 'B25085', 'Fraction of clear pixels in HIRS FOV', 'Numeric', '0', '0', '7', 'Numeric', '0', '3', '', '', ''),
	('025086', 'B25086', 'Depth correction indicator', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('025091', 'B25091', 'Structure constant of the refraction index (Cn2)', 'dB', '3', '-18192', '13', 'dB', '3', '5', '', '', ''),
	('025092', 'B25092', 'Acoustic propagation velocity', 'm s-1', '2', '28000', '14', 'm s-1', '2', '5', '', '', ''),
	('025093', 'B25093', 'RASS computation correction', 'Flag table', '0', '0', '8', 'Flag table', '0', '3', '', '', ''),
	('025095', 'B25095', 'Altimeter state flag', 'Flag table', '0', '0', '2', 'Flag table', '0', '1', '', '', ''),
	('025096', 'B25096', 'Radiometer state flag', 'Flag table', '0', '0', '5', 'Flag table', '0', '2', '', '', ''),
	('025097', 'B25097', 'Three dimensional error estimate of the navigator orbit', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('025100', 'B25100', 'XBT/XCTD fall rate equation coefficient a', 'Numeric', '5', '0', '20', 'Numeric', '5', '6', '', '', ''),
	('025101', 'B25101', 'XBT/XCTD fall rate equation coefficient b', 'Numeric', '5', '-500000', '21', 'Numeric', '5', '6', '', '', ''),
	('025102', 'B25102', 'Number of missing lines excluding data gaps', 'Numeric', '0', '0', '8', 'Numeric', '0', '3', '', '', ''),
	('025103', 'B25103', 'Number of directional bins', 'Numeric', '0', '0', '8', 'Numeric', '0', '3', '', '', ''),
	('025104', 'B25104', 'Number of wave-length bins', 'Numeric', '0', '0', '8', 'Numeric', '0', '3', '', '', ''),
	('025105', 'B25105', 'First directional bin', 'Degree', '3', '0', '19', 'Degree', '3', '6', '', '', ''),
	('025106', 'B25106', 'Directional bin step', 'Degree', '3', '0', '19', 'Degree', '3', '6', '', '', ''),
	('025107', 'B25107', 'First wave-length bin', 'm', '3', '0', '29', 'm', '3', '9', '', '', ''),
	('025108', 'B25108', 'Last wave-length bin', 'm', '3', '0', '29', 'm', '3', '9', '', '', ''),
	('025110', 'B25110', 'Image processing summary', 'Flag table', '0', '0', '10', 'Flag table', '0', '4', '', '', ''),
	('025111', 'B25111', 'Number of input data gaps', 'Numeric', '0', '0', '8', 'Numeric', '0', '3', '', '', ''),
	('025120', 'B25120', 'RA2-L2-processing flag', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('025121', 'B25121', 'RA2-L2-processing quality', '%', '0', '0', '7', '%', '0', '3', '', '', ''),
	('025122', 'B25122', 'Hardware configuration for RF', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('025123', 'B25123', 'Hardware configuration for HPA', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('025124', 'B25124', 'MWR L2 Processing flag', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('025125', 'B25125', 'MWR L2-processing quality', '%', '0', '0', '7', '%', '0', '3', '', '', ''),
	('025126', 'B25126', 'Model dry tropospheric correction', 'm', '3', '-32768', '16', 'm', '3', '5', '', '', ''),
	('025127', 'B25127', 'Inverted barometer correction', 'm', '3', '-32768', '16', 'm', '3', '5', '', '', ''),
	('025128', 'B25128', 'Model wet tropospheric correction', 'm', '3', '-32768', '16', 'm', '3', '5', '', '', ''),
	('025129', 'B25129', 'MWR derived wet tropospheric correction', 'm', '3', '-32768', '16', 'm', '3', '5', '', '', ''),
	('025130', 'B25130', 'RA2 ionospheric correction on KU band', 'm', '3', '-32768', '16', 'm', '3', '5', '', '', ''),
	('025131', 'B25131', 'Ionospheric correction from Doris on KU band', 'm', '3', '-32768', '16', 'm', '3', '5', '', '', ''),
	('025132', 'B25132', 'Ionospheric correction from model on KU band', 'm', '3', '-32768', '16', 'm', '3', '5', '', '', ''),
	('025133', 'B25133', 'Sea state bias correction on KU band', 'm', '3', '-32768', '16', 'm', '3', '5', '', '', ''),
	('025134', 'B25134', 'RA2 ionospheric correction on S band', 'm', '3', '-32768', '16', 'm', '3', '5', '', '', ''),
	('025135', 'B25135', 'Ionospheric correction from Doris on S band', 'm', '3', '-32768', '16', 'm', '3', '5', '', '', ''),
	('025136', 'B25136', 'Ionospheric correction from model on S band', 'm', '3', '-32768', '16', 'm', '3', '5', '', '', ''),
	('025137', 'B25137', 'Sea state bias correction on S band', 'm', '3', '-32768', '16', 'm', '3', '5', '', '', ''),
	('025138', 'B25138', 'Average signal to noise ration', 'Numeric', '0', '-2048', '12', 'Numeric', '0', '4', '', '', ''),
	('025140', 'B25140', 'Start channel', 'Numeric', '0', '0', '14', 'Numeric', '0', '5', '', '', ''),
	('025141', 'B25141', 'End channel', 'Numeric', '0', '0', '14', 'Numeric', '0', '5', '', '', ''),
	('025142', 'B25142', 'Channel scale factor', 'Numeric', '0', '0', '6', 'Numeric', '0', '2', '', '', ''),
	('025150', 'B25150', 'Method of tropical cyclone intensity analysis using satellite data', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('026001', 'B26001', 'Principal time of daily reading in UTC of maximum temperature', 'Hour', '1', '0', '12', 'Hour', '1', '3', '', '', ''),
	('026002', 'B26002', 'Principal time of daily reading in UTC of minimum temperature', 'Hour', '1', '0', '12', 'Hour', '1', '3', '', '', ''),
	('026003', 'B26003', 'Time difference', 'Minute', '0', '-1440', '12', 'Minute', '0', '4', '', '', ''),
	('026010', 'B26010', 'Hours included', 'Flag table', '0', '0', '26', 'Flag table', '0', '9', '', '', ''),
	('027001', 'B27001', 'Latitude (high accuracy)', 'Degree', '5', '-9000000', '25', 'Degree', '5', '7', '', '', ''),
	('027002', 'B27002', 'Latitude (coarse accuracy)', 'Degree', '2', '-9000', '15', 'Degree', '2', '4', '', '', ''),
	('027003', 'B27003', 'Alternate latitude (coarse accuracy)', 'Degree', '2', '-9000', '15', 'Degree', '2', '4', '', '', ''),
	('027004', 'B27004', 'Alternate latitude (high accuracy)', 'Degree', '5', '-9000000', '25', 'Degree', '5', '7', '', '', ''),
	('027020', 'B27020', 'Satellite location counter', 'Numeric', '0', '0', '16', 'Numeric', '0', '5', '', '', ''),
	('027021', 'B27021', 'Satellite sublocation dimension', 'Numeric', '0', '0', '16', 'Numeric', '0', '5', '', '', ''),
	('027031', 'B27031', 'In direction of 0 degrees longitude distance from the Earth’s centre', 'm', '2', '-1073741824', '31', 'm', '2', '10', '', '', ''),
	('027080', 'B27080', 'Viewing Azimuth angle', 'Degree true', '2', '0', '16', 'Degree true', '2', '5', '', '', ''),
	('028001', 'B28001', 'Longitude (high accuracy)', 'Degree', '5', '-18000000', '26', 'Degree', '5', '8', '', '', ''),
	('028002', 'B28002', 'Longitude (coarse accuracy)', 'Degree', '2', '-18000', '16', 'Degree', '2', '5', '', '', ''),
	('028003', 'B28003', 'Alternate longitude (coarse accuracy)', 'Degree', '2', '-18000', '16', 'Degree', '2', '5', '', '', ''),
	('028004', 'B28004', 'Alternate longitude (high accuracy)', 'Degree', '5', '-18000000', '26', 'Degree', '5', '8', '', '', ''),
	('028031', 'B28031', 'In direction 90 degrees East distance from the Earth’s centre', 'm', '2', '-1073741824', '31', 'm', '2', '10', '', '', ''),
	('029001', 'B29001', 'Projection type', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('029002', 'B29002', 'Co-ordinate grid type', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('030001', 'B30001', 'Pixel value (4 bits)', 'Numeric', '0', '0', '4', 'Numeric', '0', '2', '', '', ''),
	('030002', 'B30002', 'Pixel value (8 bits)', 'Numeric', '0', '0', '8', 'Numeric', '0', '3', '', '', ''),
	('030004', 'B30004', 'Pixel value (16 bits)', 'Numeric', '0', '0', '16', 'Numeric', '0', '5', '', '', ''),
	('030021', 'B30021', 'Number of pixels per row', 'Numeric', '0', '0', '12', 'Numeric', '0', '4', '', '', ''),
	('030022', 'B30022', 'Number of pixels per column', 'Numeric', '0', '0', '12', 'Numeric', '0', '4', '', '', ''),
	('030031', 'B30031', 'Picture type', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('030032', 'B30032', 'Combination with other data', 'Flag table', '0', '0', '16', 'Flag table', '0', '6', '', '', ''),
	('031000', 'B31000', 'Short delayed descriptor replication factor', 'Numeric', '0', '0', '1', 'Numeric', '0', '4', '', '', ''),
	('031001', 'B31001', 'Delayed descriptor replication factor', 'Numeric', '0', '0', '8', 'Numeric', '0', '4', '', '', ''),
	('031002', 'B31002', 'Extended delayed descriptor replication factor', 'Numeric', '0', '0', '16', 'Numeric', '0', '4', '', '', ''),
	('031011', 'B31011', 'Delayed descriptor and data repetition factor', 'Numeric', '0', '0', '8', 'Numeric', '0', '4', '', '', ''),
	('031012', 'B31012', 'Extended delayed descriptor and data repetition factor', 'Numeric', '0', '0', '16', 'Numeric', '0', '4', '', '', ''),
	('031021', 'B31021', 'Associated field significance', 'Code table', '0', '0', '6', 'Code table', '', '', '', '', ''),
	('031031', 'B31031', 'Data present indicator', 'Flag table', '0', '0', '1', 'Flag table', '', '', '', '', ''),
	('033001', 'B33001', 'Reserved', '', '', '', '', '', '', '', '', '', ''),
	('033002', 'B33002', 'Quality information', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('033003', 'B33003', 'Quality information', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('033004', 'B33004', 'Reserved', '', '', '', '', '', '', '', '', '', ''),
	('033005', 'B33005', 'Quality information (AWS data)', 'Flag table', '0', '0', '30', 'Flag table', '0', '10', '', '', ''),
	('033006', 'B33006', 'Internal measurement status information (AWS)', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('033007', 'B33007', 'Per cent confidence', '%', '0', '0', '7', '%', '0', '3', '', '', ''),
	('033015', 'B33015', 'Data quality check indicator', 'Code table', '0', '0', '6', 'Code table', '0', '2', '', '', ''),
	('033020', 'B33020', 'Quality control indication of following value', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('033021', 'B33021', 'Quality of following value', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('033022', 'B33022', 'Quality of buoy satellite transmission', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('033023', 'B33023', 'Quality of buoy location', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('033024', 'B33024', 'Station elevation quality mark (for mobile stations)', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('033025', 'B33025', 'ACARS interpolated values', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('033026', 'B33026', 'Moisture quality', 'Code table', '0', '0', '6', 'Code table', '0', '2', '', '', ''),
	('033027', 'B33027', 'Location quality class (range of radius of 66 % confidence)', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('033030', 'B33030', 'Scan line status flags for ATOVS', 'Flag table', '0', '0', '24', 'Flag table', '0', '8', '', '', ''),
	('033031', 'B33031', 'Scan line quality flags for ATOVS', 'Flag table', '0', '0', '24', 'Flag table', '0', '8', '', '', ''),
	('033032', 'B33032', 'Channel quality flags for ATOVS', 'Flag table', '0', '0', '24', 'Flag table', '0', '8', '', '', ''),
	('033033', 'B33033', 'Field of view quality flags for ATOVS', 'Flag table', '0', '0', '24', 'Flag table', '0', '8', '', '', ''),
	('033035', 'B33035', 'Manual/automatic quality control', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('033036', 'B33036', 'Nominal confidence threshold', '%', '0', '0', '7', '%', '0', '3', '', '', ''),
	('033037', 'B33037', 'Wind correlation error', 'Flag table', '0', '0', '20', 'Flag table', '0', '7', '', '', ''),
	('033038', 'B33038', 'Quality flags for ground-based GNSS data', 'Flag table', '0', '0', '10', 'Flag table', '0', '4', '', '', ''),
	('033039', 'B33039', 'Quality flags for Radio Occultation data', 'Flag table', '0', '0', '16', 'Flag table', '0', '6', '', '', ''),
	('033040', 'B33040', 'Confidence interval', '%', '0', '0', '7', '%', '0', '3', '', '', ''),
	('033041', 'B33041', 'Attribute of following value', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('033042', 'B33042', 'Type of limit represented by following value', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('033043', 'B33043', 'AST confidence', 'Flag table', '0', '0', '8', 'Flag table', '0', '3', '', '', ''),
	('033044', 'B33044', 'ASAR quality information', 'Flag table', '0', '0', '15', 'Flag table', '0', '5', '', '', ''),
	('033045', 'B33045', 'Probability of following event (see Notes 1 and 3)', '%', '0', '0', '7', '%', '0', '3', '', '', ''),
	('033046', 'B33046', 'Conditional probability of following event with respect to specified conditioning event (see Notes 1 2 and 3)', '%', '0', '0', '7', '%', '0', '3', '', '', ''),
	('033047', 'B33047', 'Measurement confidence data', 'Flag table', '0', '0', '31', 'Flag table', '0', '11', '', '', ''),
	('033048', 'B33048', 'Confidence measure of SAR inversion', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('033049', 'B33049', 'Confidence measure of wind retrieval', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('033050', 'B33050', 'Global GTSPP quality flag', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('033052', 'B33052', 'S band ocean retracking quality', 'Flag table', '0', '0', '21', 'Flag table', '0', '7', '', '', ''),
	('033053', 'B33053', 'KU band ocean retracking quality', 'Flag table', '0', '0', '21', 'Flag table', '0', '7', '', '', ''),
	('033060', 'B33060', 'GqisFlagQual - individual IASI-System quality flag', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('033061', 'B33061', 'GqisQualIndex - indicator for instrument noise performance (contributions from spectral and radiometric)', '%', '0', '0', '7', '%', '0', '3', '', '', ''),
	('033062', 'B33062', 'GqisQualIndexLoc - indicator for geometric quality index', '%', '0', '0', '7', '%', '0', '3', '', '', ''),
	('033063', 'B33063', 'GqisQualIndexRad - indicator for instrument noise performance (contributions from radiometric calibration)', '%', '0', '0', '7', '%', '0', '3', '', '', ''),
	('033064', 'B33064', 'GqisQualIndexSpect - indicator for instrument noise performance (contributions from spectral calibration)', '%', '0', '0', '7', '%', '0', '3', '', '', ''),
	('033065', 'B33065', 'GqisSysTecSondQual - output of system TEC (Technical Expertise Centre) quality function', 'Numeric', '0', '0', '24', 'Numeric', '0', '8', '', '', ''),
	('035000', 'B35000', 'FM and regional code number', 'Code table', '0', '0', '10', 'Code table', '0', '3', '', '', ''),
	('035001', 'B35001', 'Time-frame for monitoring', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('035011', 'B35011', 'Number of reports actually received', 'Numeric', '0', '0', '14', 'Numeric', '0', '4', '', '', ''),
	('035021', 'B35021', 'Bulletin being monitored (TTAAii)', 'CCITT IA5', '0', '0', '48', 'Character', '0', '6', '', '', ''),
	('035022', 'B35022', 'Bulletin being monitored (YYGGgg)', 'CCITT IA5', '0', '0', '48', 'Character', '0', '6', '', '', ''),
	('035023', 'B35023', 'Bulletin being monitored (CCCC)', 'CCITT IA5', '0', '0', '32', 'Character', '0', '4', '', '', ''),
	('035024', 'B35024', 'Bulletin being monitored (BBB)', 'CCITT IA5', '0', '0', '24', 'Character', '0', '3', '', '', ''),
	('035030', 'B35030', 'Discrepancies in the availability of expected data', 'Code table', '0', '0', '4', 'Code table', '0', '1', '', '', ''),
	('035031', 'B35031', 'Qualifier on monitoring results', 'Code table', '0', '0', '7', 'Code table', '0', '2', '', '', ''),
	('035032', 'B35032', 'Cause of missing data', 'Code table', '0', '0', '4', 'Code table', '0', '1', '', '', ''),
	('035033', 'B35033', 'Observation and collection deficiencies', 'Code table', '0', '0', '7', 'Code table', '0', '2', '', '', ''),
	('035034', 'B35034', 'Statistical trends for availability of data (during the survey period(s))', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('035035', 'B35035', 'Reason for termination', 'Code table', '0', '0', '5', 'Code table', '0', '2', '', '', ''),
	('040001', 'B40001', 'Surface soil moisture (ms)', '%', '1', '0', '10', '%', '1', '4', '', '', ''),
	('040002', 'B40002', 'Estimated error in surface soil moisture', '%', '1', '0', '10', '%', '1', '4', '', '', ''),
	('040003', 'B40003', 'Mean surface soil moisture ', 'Numeric', '3', '0', '10', 'Numeric', '3', '4', '', '', ''),
	('040004', 'B40004', 'Rain fall detection', 'Numeric', '3', '0', '10', 'Numeric', '3', '4', '', '', ''),
	('040005', 'B40005', 'Soil moisture correction flag', 'Flag table', '0', '0', '8', 'Flag table', '0', '3', '', '', ''),
	('040006', 'B40006', 'Soil moisture processing flag', 'Flag table', '0', '0', '16', 'Flag table', '0', '6', '', '', ''),
	('040007', 'B40007', 'Soil moisture quality', '%', '1', '0', '10', '%', '1', '4', '', '', ''),
	('040008', 'B40008', 'Frozen land surface fraction', '%', '1', '0', '10', '%', '1', '4', '', '', ''),
	('040009', 'B40009', 'Inundation and wetland fraction', '%', '1', '0', '10', '%', '1', '4', '', '', ''),
	('040010', 'B40010', 'Topographic complexity', '%', '1', '0', '10', '%', '1', '4', '', '', ''),
	('099999', 'B99999', 'Notes to Code and Flag Tables', '', '', '', '', '', '', '', '', '', '');
/*!40000 ALTER TABLE `bufr_crex_master` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_db_v4.bufr_indicators
CREATE TABLE IF NOT EXISTS `bufr_indicators` (
  `Tmplate` varchar(50) NOT NULL DEFAULT '0',
  `Msg_Header` varchar(50) DEFAULT '0',
  `BUFR_Edition` varchar(10) DEFAULT '0',
  `Originating_Centre` varchar(10) DEFAULT '0',
  `Originating_SubCentre` varchar(10) DEFAULT '0',
  `Update_Sequence` varchar(10) DEFAULT '0',
  `Optional_Section` varchar(10) DEFAULT '0',
  `Data_Category` varchar(10) DEFAULT '0',
  `Intenational_Data_SubCategory` varchar(10) DEFAULT '0',
  `Local_Data_SubCategory` varchar(10) DEFAULT '0',
  `Master_table` varchar(10) DEFAULT '0',
  `Local_Table` varchar(10) DEFAULT '0',
  PRIMARY KEY (`Tmplate`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_db_v4.bufr_indicators: ~7 rows (approximately)
/*!40000 ALTER TABLE `bufr_indicators` DISABLE KEYS */;
INSERT INTO `bufr_indicators` (`Tmplate`, `Msg_Header`, `BUFR_Edition`, `Originating_Centre`, `Originating_SubCentre`, `Update_Sequence`, `Optional_Section`, `Data_Category`, `Intenational_Data_SubCategory`, `Local_Data_SubCategory`, `Master_table`, `Local_Table`) VALUES
	('TM_307080', 'ISNH40 HKNC', '04', '00014', '0', '0', '0', '0', '0', '0', '13', '0'),
	('TM_307081', 'ISNH40 HKNC', '04', '00014', '0', '0', '0', '0', '0', '0', '13', '0'),
	('TM_307082', 'ISNH40 HKNC', '04', '00014', '0', '0', '0', '0', '0', '0', '13', '0'),
	('TM_307083', 'ISNH40 HKNC', '04', '00014', '0', '0', '0', '0', '0', '0', '13', '0'),
	('TM_307084', 'ISNH40 HKNC', '04', '00014', '0', '0', '0', '0', '0', '0', '13', '0'),
	('TM_307086', 'ISNH40 HKNC', '04', '00014', '0', '0', '0', '0', '0', '0', '13', '0'),
	('TM_307091', 'ISNH01 HKNC', '04', '00014', '0', '0', '0', '0', '0', '0', '13', '0');
/*!40000 ALTER TABLE `bufr_indicators` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_db_v4.ccitt
CREATE TABLE IF NOT EXISTS `ccitt` (
  `Characters` varchar(25) DEFAULT NULL,
  `MostSignificant` int(11) DEFAULT NULL,
  `LeastSignificant` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- Dumping data for table mariadb_climsoft_db_v4.ccitt: ~128 rows (approximately)
/*!40000 ALTER TABLE `ccitt` DISABLE KEYS */;
INSERT INTO `ccitt` (`Characters`, `MostSignificant`, `LeastSignificant`) VALUES
	('NUL', 0, 0),
	('DLE', 1, 0),
	('SP', 2, 0),
	('0', 3, 0),
	('@', 4, 0),
	('P', 5, 0),
	('`', 6, 0),
	('p', 7, 0),
	('SOH', 0, 1),
	('DC1', 1, 1),
	('!', 2, 1),
	('1', 3, 1),
	('A', 4, 1),
	('Q', 5, 1),
	('a', 6, 1),
	('q', 7, 1),
	('STX', 0, 2),
	('DC2', 1, 2),
	('“', 2, 2),
	('2', 3, 2),
	('B', 4, 2),
	('R', 5, 2),
	('b', 6, 2),
	('r', 7, 2),
	('ETX', 0, 3),
	('DC3', 1, 3),
	('#', 2, 3),
	('3', 3, 3),
	('C', 4, 3),
	('S', 5, 3),
	('c', 6, 3),
	('s', 7, 3),
	('EOT', 0, 4),
	('DC4', 1, 4),
	('$', 2, 4),
	('4', 3, 4),
	('D', 4, 4),
	('T', 5, 4),
	('d', 6, 4),
	('t', 7, 4),
	('ENQ', 0, 5),
	('NAK', 1, 5),
	('%', 2, 5),
	('5', 3, 5),
	('E', 4, 5),
	('U', 5, 5),
	('e', 6, 5),
	('u', 7, 5),
	('ACK', 0, 6),
	('SYN', 1, 6),
	('&', 2, 6),
	('6', 3, 6),
	('F', 4, 6),
	('V', 5, 6),
	('f', 6, 6),
	('v', 7, 6),
	('BEL', 0, 7),
	('ETB', 1, 7),
	('‘', 2, 7),
	('7', 3, 7),
	('G', 4, 7),
	('W', 5, 7),
	('g', 6, 7),
	('w', 7, 7),
	('BS', 0, 8),
	('CAN', 1, 8),
	('(', 2, 8),
	('8', 3, 8),
	('H', 4, 8),
	('X', 5, 8),
	('h', 6, 8),
	('x', 7, 8),
	('HT', 0, 9),
	('EM', 1, 9),
	(')', 2, 9),
	('9', 3, 9),
	('I', 4, 9),
	('Y', 5, 9),
	('i', 6, 9),
	('y', 7, 9),
	('LF', 0, 10),
	('SUB', 1, 10),
	('*', 2, 10),
	(':', 3, 10),
	('J', 4, 10),
	('Z', 5, 10),
	('j', 6, 10),
	('z', 7, 10),
	('VT', 0, 11),
	('ESC', 1, 11),
	('+', 2, 11),
	(';', 3, 11),
	('K', 4, 11),
	('[', 5, 11),
	('k', 6, 11),
	('{', 7, 11),
	('FF', 0, 12),
	('FS', 1, 12),
	(',', 2, 12),
	('<', 3, 12),
	('L', 4, 12),
	('\\', 5, 12),
	('l', 6, 12),
	('¦', 7, 12),
	('CR', 0, 13),
	('GS', 1, 13),
	('-', 2, 13),
	('=', 3, 13),
	('M', 4, 13),
	(']', 5, 13),
	('m', 6, 13),
	('}', 7, 13),
	('SO', 0, 14),
	('RS', 1, 14),
	('.', 2, 14),
	('>', 3, 14),
	('N', 4, 14),
	('^', 5, 14),
	('n', 6, 14),
	('~', 7, 14),
	('SI', 0, 15),
	('US', 1, 15),
	('/', 2, 15),
	('?', 3, 15),
	('O', 4, 15),
	('_', 5, 15),
	('o', 6, 15),
	('DEL', 7, 15);
/*!40000 ALTER TABLE `ccitt` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_db_v4.climsoftusers
CREATE TABLE IF NOT EXISTS `climsoftusers` (
  `userName` varchar(50) NOT NULL,
  `userRole` varchar(50) NOT NULL,
  PRIMARY KEY (`userName`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_db_v4.climsoftusers: ~0 rows (approximately)
/*!40000 ALTER TABLE `climsoftusers` DISABLE KEYS */;
/*!40000 ALTER TABLE `climsoftusers` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_db_v4.code_flag
CREATE TABLE IF NOT EXISTS `code_flag` (
  `FXY` varchar(255) NOT NULL,
  `Fxyyy` varchar(50) DEFAULT NULL,
  `Description` varchar(255) DEFAULT NULL,
  `Bufr_DataWidth_Bits` int(11) DEFAULT NULL,
  `Crex_DataWidth` varchar(25) DEFAULT NULL,
  `Bufr_Unit` varchar(255) DEFAULT NULL,
  `Bufr_Value` varchar(50) DEFAULT NULL,
  `Crex_Value` varchar(10) DEFAULT NULL,
  PRIMARY KEY (`FXY`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- Dumping data for table mariadb_climsoft_db_v4.code_flag: ~39 rows (approximately)
/*!40000 ALTER TABLE `code_flag` DISABLE KEYS */;
INSERT INTO `code_flag` (`FXY`, `Fxyyy`, `Description`, `Bufr_DataWidth_Bits`, `Crex_DataWidth`, `Bufr_Unit`, `Bufr_Value`, `Crex_Value`) VALUES
	('001101', 'B01101', 'State identifier', 10, '3', 'Code table', '128', NULL),
	('002001', 'B02001', 'Type of station', 2, '1', 'Code table', '0', NULL),
	('002038', 'B02038', 'Method of sea surface temperature measurement', 4, '2', 'Code table', '15', NULL),
	('002175', 'B02175', 'Method of precipitation measurement ', 4, '2', 'Code table', '1', NULL),
	('002176', 'B02176', 'Method of state of ground measurement ', 4, '2', 'Code table', '14', NULL),
	('002177', 'B02177', 'Method of snow depth measurement ', 4, '2', 'Code table', '15', NULL),
	('002178', 'B02178', 'Method of liquid content measurement of precipitation', 4, '2', 'Code table', '4', NULL),
	('002179', 'B02179', 'Type of sky condition algorithm ', 4, '2', 'Code table', '3', NULL),
	('002180', 'B02180', 'Main present weather detecting system ', 4, '2', 'Code table', '14', NULL),
	('002181', 'B02181', 'Supplementary present weather sensor', 21, '7', 'Flag table', NULL, NULL),
	('002182', 'B02182', 'Visibility measurement system ', 4, '2', 'Code table', '14', NULL),
	('002183', 'B02183', 'Cloud detection system', 4, '2', 'Code table', '14', NULL),
	('002184', 'B02184', 'Type of lightning detection sensor', 4, '2', 'Code table', '14', NULL),
	('002185', 'B02185', 'Method of evaporation measurement', 4, '2', 'Code table', '14', NULL),
	('002186', 'B02186', 'Capability to detect precipitation phenomena', 30, '10', 'Flag table', '111111111111111111111110000000', NULL),
	('002187', 'B02187', 'Capability to detect other weather phenomena', 18, '6', 'Flag table', NULL, NULL),
	('002188', 'B02188', 'Capability to detect obscuration', 21, '7', 'Flag table', NULL, NULL),
	('002189', 'B02189', 'Capability to discriminate lightning strikes', 12, '4', 'Flag table', NULL, NULL),
	('008002', 'B08002', 'Vertical significance (surface observations)', 6, '2', 'Code table', '62', NULL),
	('008010', 'B08010', 'Surface qualifier (temperature data)', 5, '2', 'Code table', '3', NULL),
	('008021', 'B08021', 'Time significance (= 2 (time averaged))', 5, '2', 'Code table', '2', NULL),
	('008023', 'B08023', 'First order statistics', 6, '2', 'Code table', '63', NULL),
	('010063', 'B10063', 'Characteristic of pressure tendency', 4, '2', 'Code table', '15', NULL),
	('020003', 'B20003', 'Present weather', 9, '3', 'Code table', NULL, NULL),
	('020004', 'B20004', 'Past weather (1) ', 5, '2', 'Code table', NULL, NULL),
	('020005', 'B20005', 'Past weather (2)', 5, '2', 'Code table', NULL, NULL),
	('020011', 'B20011', 'Cloud amount', 4, '2', 'Code table', NULL, NULL),
	('020012', 'B20012', 'Cloud type', 6, '2', 'Code table', NULL, NULL),
	('020021', 'B20021', 'Type of precipitation', 30, '10', 'Flag table', NULL, NULL),
	('020022', 'B20022', 'Character of precipitation', 4, '2', 'Code table', NULL, NULL),
	('020023', 'B20023', 'Other weather phenomena', 18, '6', 'Flag table', NULL, NULL),
	('020024', 'B20024', 'Intensity of phenomena', 3, '1', 'Code table', NULL, NULL),
	('020025', 'B20025', 'Obscuration', 21, '7', 'Flag table', NULL, NULL),
	('020026', 'B20026', 'Character of obscuration', 4, '2', 'Code table', '15', NULL),
	('020032', 'B20032', 'Rate of ice accretion', 3, '1', 'Code table', '7', NULL),
	('020062', 'B20062', 'State of the ground (with or without snow)', 5, '2', 'Code table', '32', NULL),
	('033005', 'B33005', 'Quality information (AWS data)', 30, '10', 'Flag table', NULL, NULL),
	('033006', 'B33006', 'Internal measurement status information (AWS)', 3, '1', 'Code table', '0', NULL),
	('033041', 'B33041', 'Attribute of following value', 2, '1', 'Code table', '3', NULL);
/*!40000 ALTER TABLE `code_flag` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_db_v4.data_forms
CREATE TABLE IF NOT EXISTS `data_forms` (
  `id` bigint(20) NOT NULL DEFAULT '0',
  `order_num` bigint(20) DEFAULT '0',
  `table_name` varchar(255) DEFAULT NULL,
  `form_name` varchar(250) NOT NULL,
  `description` text,
  `selected` tinyint(4) DEFAULT NULL,
  `val_start_position` bigint(20) DEFAULT '0',
  `val_end_position` bigint(20) DEFAULT '0',
  `elem_code_location` varchar(255) DEFAULT NULL,
  `sequencer` varchar(50) DEFAULT NULL,
  `entry_mode` tinyint(2) unsigned zerofill NOT NULL DEFAULT '00',
  PRIMARY KEY (`form_name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_db_v4.data_forms: ~17 rows (approximately)
/*!40000 ALTER TABLE `data_forms` DISABLE KEYS */;
INSERT INTO `data_forms` (`id`, `order_num`, `table_name`, `form_name`, `description`, `selected`, `val_start_position`, `val_end_position`, `elem_code_location`, `sequencer`, `entry_mode`) VALUES
	(63032, 21, 'form_synoptic_2_ra1', 'formSynoptic2RA1', 'Synoptic data for input into TDCF form for RA1', 1, 5, 53, 'Vertical', 'seq_month_day_synoptime', 00),
	(63027, 14, 'form_agro1', 'form_agro1', 'Kenya Agromet data', 1, 4, 37, 'Horizontal', 'seq_month_day', 00),
	(61139, 20, 'form_bmet26', 'form_bmet26', 'Botswana Hourly Data for several elements for 24 hours(BMET26)', 0, 5, 34, 'Horizontal', 'seq_month_day_time', 00),
	(63031, 19, 'form_climat', 'form_climat', 'Data for monthly CLIMAT report', 0, 4, 16, 'Horizontal', 'seq_month_day', 00),
	(61000, 3, 'form_daily1', 'form_daily1', 'Data for some elements for one day', 0, 5, 19, 'Horizontal', 'seq_month_day_form_daily1', 00),
	(61001, 2, 'form_daily2', 'form_daily2', 'Daily data for the whole month', 1, 5, 35, 'Vertical', 'seq_element_form_daily2', 00),
	(61002, 1, 'form_hourly', 'form_hourly', 'Hourly data', 1, 5, 28, 'Vertical', 'seq_form_hourly', 00),
	(63021, 15, 'form_hourlywind', 'form_hourlywind', 'Hourly wind data', 1, 4, 27, 'Horizontal', 'seq_month_day_form_hourlywind', 00),
	(63030, 18, 'form_monthly', 'form_monthly', 'Monthly data', 1, 3, 14, 'Vertical', 'seq_year', 00),
	(61003, 4, 'form_synoptic1', 'form_synoptic1', 'Synoptic data for one hour for one element for the whole month', 0, 5, 35, 'Vertical', 'seq_synoptime_element', 00),
	(61004, 5, 'form_synoptic2', 'form_synoptic2', 'Synoptic data for many elements for one  observation time', 0, 5, 37, 'Horizontal', 'seq_month_day_synoptime', 00),
	(63029, 17, 'form_synoptic2_caribbean', 'form_synoptic2_caribbean', 'Caribbean synoptic data for many elements for one  observation time', 0, 5, 37, 'Horizontal', 'seq_month_day_hour', 00),
	(61043, 19, 'form_synoptic2_TDCF', 'form_synoptic2_TDCF', 'Synoptic data for many elements for one  observation time - TDCF', 0, 5, 52, 'Horizontal', 'seq_month_day_synoptime', 00),
	(61005, 6, 'form_synoptic3', 'form_synoptic3', 'Synoptic data for all hours for one element', 0, 5, 12, 'Vertical', 'seq_form_synopt3', 00),
	(63028, 16, 'form_temp0', 'form_temp0', 'Uganda temperature data', 0, 4, 11, 'Horizontal', 'seq_month_day', 00),
	(61006, 7, 'form_upperair1', 'form_upperair1', 'Upper air data for several elements for one day', 0, 6, 17, 'Vertical', 'seq_month_day_synoptime_level', 00),
	(61007, 8, 'form_upperair2', 'form_upperair2', 'Upper air data for one element and one level for the whole month', 0, 6, 36, 'Vertical', 'seq_level_upperair_element', 00);
/*!40000 ALTER TABLE `data_forms` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_db_v4.faultresolution
CREATE TABLE IF NOT EXISTS `faultresolution` (
  `resolvedDatetime` varchar(50) DEFAULT NULL,
  `resolvedBy` varchar(255) DEFAULT NULL,
  `associatedWith` bigint(20) DEFAULT NULL,
  `remarks` varchar(255) DEFAULT NULL,
  UNIQUE KEY `solution` (`resolvedDatetime`,`associatedWith`),
  KEY `FK_mysql_climsoft_db_v4_instrumentFaultReport_faultResolution` (`associatedWith`),
  CONSTRAINT `FK_mysql_climsoft_db_v4_instrumentFaultReport_faultResolution` FOREIGN KEY (`associatedWith`) REFERENCES `instrumentfaultreport` (`reportId`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_db_v4.faultresolution: ~0 rows (approximately)
/*!40000 ALTER TABLE `faultresolution` DISABLE KEYS */;
/*!40000 ALTER TABLE `faultresolution` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_db_v4.featuregeographicalposition
CREATE TABLE IF NOT EXISTS `featuregeographicalposition` (
  `belongsTo` varchar(255) NOT NULL,
  `observedOn` varchar(50) DEFAULT NULL,
  `latitude` double(11,6) DEFAULT NULL,
  `longitude` double(11,6) DEFAULT NULL,
  UNIQUE KEY `FK_mysql_climsoft_db_v4_synopfeatureFeatureGeographicalPosition` (`belongsTo`,`observedOn`),
  CONSTRAINT `FK_mysql_climsoft_db_v4_synopfeatureFeatureGeographicalPosition` FOREIGN KEY (`belongsTo`) REFERENCES `synopfeature` (`abbreviation`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_db_v4.featuregeographicalposition: ~0 rows (approximately)
/*!40000 ALTER TABLE `featuregeographicalposition` DISABLE KEYS */;
/*!40000 ALTER TABLE `featuregeographicalposition` ENABLE KEYS */;


-- Dumping structure for procedure mariadb_climsoft_db_v4.find_gaps
DELIMITER //
CREATE DEFINER=`root`@`localhost` PROCEDURE `find_gaps`(IN Stn VARCHAR(255),IN Elm INT(11),IN Opening_Date DATE,IN Closing_Date DATE)
BEGIN
DECLARE Next_Date DATE;
IF Opening_Date <= Closing_Date THEN
 SET Next_Date  = Opening_Date;
 WHILE Next_Date < Closing_Date DO
    SELECT COUNT(*) INTO @FOUND
  FROM observationfinal
  WHERE recordedfrom=Stn
  AND describedby=Elm
  AND DATE(obsDatetime)=Next_Date;

  IF @FOUND <1 THEN
   INSERT INTO gaps VALUES (Stn,Elm,Next_Date);
   Commit;
  END IF;
 SET Next_Date = DATE_ADD(Next_Date, INTERVAL 1 DAY);
 END WHILE;
END IF;
END//
DELIMITER ;


-- Dumping structure for table mariadb_climsoft_db_v4.flags
CREATE TABLE IF NOT EXISTS `flags` (
  `characterSymbol` varchar(255) NOT NULL DEFAULT '',
  `numSymbol` int(11) DEFAULT NULL,
  `description` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`characterSymbol`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_db_v4.flags: ~5 rows (approximately)
/*!40000 ALTER TABLE `flags` DISABLE KEYS */;
INSERT INTO `flags` (`characterSymbol`, `numSymbol`, `description`) VALUES
	('D', 3, 'Dubious or Suspect Data'),
	('E', 2, 'Estimated Value'),
	('G', 4, 'Generated or Calculated Data'),
	('M', 0, 'Missing Data'),
	('T', 1, 'Trace Rainfall');
/*!40000 ALTER TABLE `flags` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_db_v4.flagtable
CREATE TABLE IF NOT EXISTS `flagtable` (
  `Bufr_Descriptor` varchar(6) NOT NULL,
  `Crex_Descriptor` varchar(6) DEFAULT NULL,
  `Details` varchar(255) DEFAULT NULL,
  `Widths` int(11) DEFAULT '0',
  `Missing` int(11) DEFAULT '0',
  PRIMARY KEY (`Bufr_Descriptor`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- Dumping data for table mariadb_climsoft_db_v4.flagtable: ~27 rows (approximately)
/*!40000 ALTER TABLE `flagtable` DISABLE KEYS */;
INSERT INTO `flagtable` (`Bufr_Descriptor`, `Crex_Descriptor`, `Details`, `Widths`, `Missing`) VALUES
	('002001', 'B02001', 'Type of station', 1, 3),
	('002003', 'B02003', 'Type of measuring equipment used', 2, 15),
	('002004', 'B02004', 'Type of instrumentation for evaporation measurement or type of crop for which evapotranspiration is reported', 2, 15),
	('002011', 'B02011', 'Radiosonde type', 3, 255),
	('002013', 'B02013', 'Solar and infrared radiation correction', 2, 15),
	('002014', 'B02014', 'Tracking technique/status of system used', 3, 127),
	('008002', 'B08002', 'Vertical significance (surface observations)', 2, 63),
	('008021', 'B08021', 'Time significance', 2, 31),
	('010063', 'B10063', 'Characteristic of pressure tendency', 2, 15),
	('013056', 'B13056', 'Character and intensity of precipitation', 2, 15),
	('013057', 'B13057', 'Time of beginning or end of precipitation', 2, 15),
	('020003', 'B20003', 'Present weather (see Note 1)', 3, 511),
	('020004', 'B20004', 'Past weather (1) (see Note 2)', 2, 31),
	('020005', 'B20005', 'Past weather (2) (see Note 2)', 2, 31),
	('020011', 'B20011', 'Cloud amount', 2, 15),
	('020012', 'B20012', 'Cloud type', 2, 63),
	('020017', 'B20017', 'Cloud top description', 2, 15),
	('020062', 'B20062', 'State of the ground (with or without snow)', 2, 31),
	('020101', 'B20101', 'Locust (acridian) name', 2, 15),
	('020102', 'B20102', 'Locust (maturity) color', 2, 15),
	('020103', 'B20103', 'Stage of development of locusts', 2, 15),
	('020104', 'B20104', 'Organization state of swarm or band of locusts', 2, 15),
	('020105', 'B20105', 'Size of swarm or band of locusts and duration of passage of swarm', 2, 15),
	('020106', 'B20106', 'Locust population density', 2, 15),
	('020107', 'B20107', 'Direction of movements of locust swarm', 2, 15),
	('020108', 'B20108', 'Extent of vegetation', 2, 15),
	('033024', 'B33024', 'Station elevation quality mark (for mobile stations)', 2, 15);
/*!40000 ALTER TABLE `flagtable` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_db_v4.form_agro1
CREATE TABLE IF NOT EXISTS `form_agro1` (
  `stationId` varchar(50) NOT NULL DEFAULT '',
  `yyyy` int(11) NOT NULL,
  `mm` int(11) NOT NULL,
  `dd` int(11) NOT NULL,
  `Val_Elem101` varchar(6) DEFAULT NULL,
  `Val_Elem102` varchar(6) DEFAULT NULL,
  `Val_Elem103` varchar(6) DEFAULT NULL,
  `Val_Elem105` varchar(6) DEFAULT NULL,
  `Val_Elem002` varchar(6) DEFAULT NULL,
  `Val_Elem003` varchar(6) DEFAULT NULL,
  `Val_Elem099` varchar(6) DEFAULT NULL,
  `Val_Elem072` varchar(6) DEFAULT NULL,
  `Val_Elem073` varchar(6) DEFAULT NULL,
  `Val_Elem074` varchar(6) DEFAULT NULL,
  `Val_Elem554` varchar(6) DEFAULT NULL,
  `Val_Elem075` varchar(6) DEFAULT NULL,
  `Val_Elem076` varchar(6) DEFAULT NULL,
  `Val_Elem561` varchar(6) DEFAULT NULL,
  `Val_Elem562` varchar(6) DEFAULT NULL,
  `Val_Elem563` varchar(6) DEFAULT NULL,
  `Val_Elem513` varchar(6) DEFAULT NULL,
  `Val_Elem005` varchar(6) DEFAULT NULL,
  `Val_Elem504` varchar(6) DEFAULT NULL,
  `Val_Elem532` varchar(6) DEFAULT NULL,
  `Val_Elem137` varchar(6) DEFAULT NULL,
  `Val_Elem018` varchar(6) DEFAULT NULL,
  `Val_Elem518` varchar(6) DEFAULT NULL,
  `Val_Elem511` varchar(6) DEFAULT NULL,
  `Val_Elem512` varchar(6) DEFAULT NULL,
  `Val_Elem503` varchar(6) DEFAULT NULL,
  `Val_Elem515` varchar(6) DEFAULT NULL,
  `Val_Elem564` varchar(6) DEFAULT NULL,
  `Val_Elem565` varchar(6) DEFAULT NULL,
  `Val_Elem566` varchar(6) DEFAULT NULL,
  `Val_Elem531` varchar(6) DEFAULT NULL,
  `Val_Elem530` varchar(6) DEFAULT NULL,
  `Val_Elem541` varchar(6) DEFAULT NULL,
  `Val_Elem542` varchar(6) DEFAULT NULL,
  `Flag101` varchar(1) DEFAULT NULL,
  `Flag102` varchar(1) DEFAULT NULL,
  `Flag103` varchar(1) DEFAULT NULL,
  `Flag105` varchar(1) DEFAULT NULL,
  `Flag002` varchar(1) DEFAULT NULL,
  `Flag003` varchar(1) DEFAULT NULL,
  `Flag099` varchar(1) DEFAULT NULL,
  `Flag072` varchar(1) DEFAULT NULL,
  `Flag073` varchar(1) DEFAULT NULL,
  `Flag074` varchar(1) DEFAULT NULL,
  `Flag554` varchar(1) DEFAULT NULL,
  `Flag075` varchar(1) DEFAULT NULL,
  `Flag076` varchar(1) DEFAULT NULL,
  `Flag561` varchar(1) DEFAULT NULL,
  `Flag562` varchar(1) DEFAULT NULL,
  `Flag563` varchar(1) DEFAULT NULL,
  `Flag513` varchar(1) DEFAULT NULL,
  `Flag005` varchar(1) DEFAULT NULL,
  `Flag504` varchar(1) DEFAULT NULL,
  `Flag532` varchar(1) DEFAULT NULL,
  `Flag137` varchar(1) DEFAULT NULL,
  `Flag018` varchar(1) DEFAULT NULL,
  `Flag518` varchar(1) DEFAULT NULL,
  `Flag511` varchar(1) DEFAULT NULL,
  `Flag512` varchar(1) DEFAULT NULL,
  `Flag503` varchar(1) DEFAULT NULL,
  `Flag515` varchar(1) DEFAULT NULL,
  `Flag564` varchar(1) DEFAULT NULL,
  `Flag565` varchar(1) DEFAULT NULL,
  `Flag566` varchar(1) DEFAULT NULL,
  `Flag531` varchar(1) DEFAULT NULL,
  `Flag530` varchar(1) DEFAULT NULL,
  `Flag541` varchar(1) DEFAULT NULL,
  `Flag542` varchar(1) DEFAULT NULL,
  `signature` varchar(45) DEFAULT NULL,
  `entryDatetime` datetime DEFAULT NULL,
  PRIMARY KEY (`stationId`,`yyyy`,`mm`,`dd`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_db_v4.form_agro1: ~1 rows (approximately)
/*!40000 ALTER TABLE `form_agro1` DISABLE KEYS */;
INSERT INTO `form_agro1` (`stationId`, `yyyy`, `mm`, `dd`, `Val_Elem101`, `Val_Elem102`, `Val_Elem103`, `Val_Elem105`, `Val_Elem002`, `Val_Elem003`, `Val_Elem099`, `Val_Elem072`, `Val_Elem073`, `Val_Elem074`, `Val_Elem554`, `Val_Elem075`, `Val_Elem076`, `Val_Elem561`, `Val_Elem562`, `Val_Elem563`, `Val_Elem513`, `Val_Elem005`, `Val_Elem504`, `Val_Elem532`, `Val_Elem137`, `Val_Elem018`, `Val_Elem518`, `Val_Elem511`, `Val_Elem512`, `Val_Elem503`, `Val_Elem515`, `Val_Elem564`, `Val_Elem565`, `Val_Elem566`, `Val_Elem531`, `Val_Elem530`, `Val_Elem541`, `Val_Elem542`, `Flag101`, `Flag102`, `Flag103`, `Flag105`, `Flag002`, `Flag003`, `Flag099`, `Flag072`, `Flag073`, `Flag074`, `Flag554`, `Flag075`, `Flag076`, `Flag561`, `Flag562`, `Flag563`, `Flag513`, `Flag005`, `Flag504`, `Flag532`, `Flag137`, `Flag018`, `Flag518`, `Flag511`, `Flag512`, `Flag503`, `Flag515`, `Flag564`, `Flag565`, `Flag566`, `Flag531`, `Flag530`, `Flag541`, `Flag542`, `signature`, `entryDatetime`) VALUES
	('9136164', 2018, 2, 23, '213', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', NULL, 'M', 'M', 'M', 'M', 'M', 'M', 'M', 'M', 'M', 'M', 'M', 'M', 'M', 'M', 'M', 'M', 'M', 'M', 'M', 'M', 'M', 'M', 'M', 'M', 'M', 'M', 'M', 'M', 'M', 'M', 'M', 'M', 'M', 'root', '2018-09-22 01:00:30');
/*!40000 ALTER TABLE `form_agro1` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_db_v4.form_daily2
CREATE TABLE IF NOT EXISTS `form_daily2` (
  `stationId` varchar(50) NOT NULL,
  `elementId` int(11) NOT NULL,
  `yyyy` int(11) NOT NULL,
  `mm` int(11) NOT NULL,
  `hh` int(11) NOT NULL,
  `day01` varchar(45) DEFAULT NULL,
  `day02` varchar(45) DEFAULT NULL,
  `day03` varchar(45) DEFAULT NULL,
  `day04` varchar(45) DEFAULT NULL,
  `day05` varchar(45) DEFAULT NULL,
  `day06` varchar(45) DEFAULT NULL,
  `day07` varchar(45) DEFAULT NULL,
  `day08` varchar(45) DEFAULT NULL,
  `day09` varchar(45) DEFAULT NULL,
  `day10` varchar(45) DEFAULT NULL,
  `day11` varchar(45) DEFAULT NULL,
  `day12` varchar(45) DEFAULT NULL,
  `day13` varchar(45) DEFAULT NULL,
  `day14` varchar(45) DEFAULT NULL,
  `day15` varchar(45) DEFAULT NULL,
  `day16` varchar(45) DEFAULT NULL,
  `day17` varchar(45) DEFAULT NULL,
  `day18` varchar(45) DEFAULT NULL,
  `day19` varchar(45) DEFAULT NULL,
  `day20` varchar(45) DEFAULT NULL,
  `day21` varchar(45) DEFAULT NULL,
  `day22` varchar(45) DEFAULT NULL,
  `day23` varchar(45) DEFAULT NULL,
  `day24` varchar(45) DEFAULT NULL,
  `day25` varchar(45) DEFAULT NULL,
  `day26` varchar(45) DEFAULT NULL,
  `day27` varchar(45) DEFAULT NULL,
  `day28` varchar(45) DEFAULT NULL,
  `day29` varchar(45) DEFAULT NULL,
  `day30` varchar(45) DEFAULT NULL,
  `day31` varchar(45) DEFAULT NULL,
  `flag01` varchar(1) DEFAULT NULL,
  `flag02` varchar(1) DEFAULT NULL,
  `flag03` varchar(1) DEFAULT NULL,
  `flag04` varchar(1) DEFAULT NULL,
  `flag05` varchar(1) DEFAULT NULL,
  `flag06` varchar(1) DEFAULT NULL,
  `flag07` varchar(1) DEFAULT NULL,
  `flag08` varchar(1) DEFAULT NULL,
  `flag09` varchar(1) DEFAULT NULL,
  `flag10` varchar(1) DEFAULT NULL,
  `flag11` varchar(1) DEFAULT NULL,
  `flag12` varchar(1) DEFAULT NULL,
  `flag13` varchar(1) DEFAULT NULL,
  `flag14` varchar(1) DEFAULT NULL,
  `flag15` varchar(1) DEFAULT NULL,
  `flag16` varchar(1) DEFAULT NULL,
  `flag17` varchar(1) DEFAULT NULL,
  `flag18` varchar(1) DEFAULT NULL,
  `flag19` varchar(1) DEFAULT NULL,
  `flag20` varchar(1) DEFAULT NULL,
  `flag21` varchar(1) DEFAULT NULL,
  `flag22` varchar(1) DEFAULT NULL,
  `flag23` varchar(1) DEFAULT NULL,
  `flag24` varchar(1) DEFAULT NULL,
  `flag25` varchar(1) DEFAULT NULL,
  `flag26` varchar(1) DEFAULT NULL,
  `flag27` varchar(1) DEFAULT NULL,
  `flag28` varchar(1) DEFAULT NULL,
  `flag29` varchar(1) DEFAULT NULL,
  `flag30` varchar(1) DEFAULT NULL,
  `flag31` varchar(1) DEFAULT NULL,
  `period01` varchar(45) DEFAULT NULL,
  `period02` varchar(45) DEFAULT NULL,
  `period03` varchar(45) DEFAULT NULL,
  `period04` varchar(45) DEFAULT NULL,
  `period05` varchar(45) DEFAULT NULL,
  `period06` varchar(45) DEFAULT NULL,
  `period07` varchar(45) DEFAULT NULL,
  `period08` varchar(45) DEFAULT NULL,
  `period09` varchar(45) DEFAULT NULL,
  `period10` varchar(45) DEFAULT NULL,
  `period11` varchar(45) DEFAULT NULL,
  `period12` varchar(45) DEFAULT NULL,
  `period13` varchar(45) DEFAULT NULL,
  `period14` varchar(45) DEFAULT NULL,
  `period15` varchar(45) DEFAULT NULL,
  `period16` varchar(45) DEFAULT NULL,
  `period17` varchar(45) DEFAULT NULL,
  `period18` varchar(45) DEFAULT NULL,
  `period19` varchar(45) DEFAULT NULL,
  `period20` varchar(45) DEFAULT NULL,
  `period21` varchar(45) DEFAULT NULL,
  `period22` varchar(45) DEFAULT NULL,
  `period23` varchar(45) DEFAULT NULL,
  `period24` varchar(45) DEFAULT NULL,
  `period25` varchar(45) DEFAULT NULL,
  `period26` varchar(45) DEFAULT NULL,
  `period27` varchar(45) DEFAULT NULL,
  `period28` varchar(45) DEFAULT NULL,
  `period29` varchar(45) DEFAULT NULL,
  `period30` varchar(45) DEFAULT NULL,
  `period31` varchar(45) DEFAULT NULL,
  `total` varchar(45) DEFAULT NULL,
  `signature` varchar(45) DEFAULT NULL,
  `entryDatetime` datetime DEFAULT NULL,
  `temperatureUnits` varchar(45) DEFAULT NULL,
  `precipUnits` varchar(45) DEFAULT NULL,
  `cloudHeightUnits` varchar(45) DEFAULT NULL,
  `visUnits` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`stationId`,`elementId`,`yyyy`,`mm`,`hh`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- Dumping data for table mariadb_climsoft_db_v4.form_daily2: ~1 rows (approximately)
/*!40000 ALTER TABLE `form_daily2` DISABLE KEYS */;
INSERT INTO `form_daily2` (`stationId`, `elementId`, `yyyy`, `mm`, `hh`, `day01`, `day02`, `day03`, `day04`, `day05`, `day06`, `day07`, `day08`, `day09`, `day10`, `day11`, `day12`, `day13`, `day14`, `day15`, `day16`, `day17`, `day18`, `day19`, `day20`, `day21`, `day22`, `day23`, `day24`, `day25`, `day26`, `day27`, `day28`, `day29`, `day30`, `day31`, `flag01`, `flag02`, `flag03`, `flag04`, `flag05`, `flag06`, `flag07`, `flag08`, `flag09`, `flag10`, `flag11`, `flag12`, `flag13`, `flag14`, `flag15`, `flag16`, `flag17`, `flag18`, `flag19`, `flag20`, `flag21`, `flag22`, `flag23`, `flag24`, `flag25`, `flag26`, `flag27`, `flag28`, `flag29`, `flag30`, `flag31`, `period01`, `period02`, `period03`, `period04`, `period05`, `period06`, `period07`, `period08`, `period09`, `period10`, `period11`, `period12`, `period13`, `period14`, `period15`, `period16`, `period17`, `period18`, `period19`, `period20`, `period21`, `period22`, `period23`, `period24`, `period25`, `period26`, `period27`, `period28`, `period29`, `period30`, `period31`, `total`, `signature`, `entryDatetime`, `temperatureUnits`, `precipUnits`, `cloudHeightUnits`, `visUnits`) VALUES
	('9136164', 2, 2018, 1, 0, '312', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '231', '', 'M', 'M', 'M', 'M', 'M', 'M', 'M', 'M', 'M', 'M', 'M', 'M', 'M', 'M', 'M', 'M', 'M', 'M', 'M', 'M', 'M', 'M', 'M', 'M', 'M', 'M', 'M', 'M', 'M', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'root', '2018-09-22 01:01:18', 'Deg C', 'mm', 'feet', 'metres');
/*!40000 ALTER TABLE `form_daily2` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_db_v4.form_hourly
CREATE TABLE IF NOT EXISTS `form_hourly` (
  `stationId` varchar(50) NOT NULL,
  `elementId` int(11) NOT NULL,
  `yyyy` int(11) NOT NULL,
  `mm` int(11) NOT NULL,
  `dd` int(11) NOT NULL,
  `hh_00` varchar(50) DEFAULT NULL,
  `hh_01` varchar(50) DEFAULT NULL,
  `hh_02` varchar(50) DEFAULT NULL,
  `hh_03` varchar(50) DEFAULT NULL,
  `hh_04` varchar(50) DEFAULT NULL,
  `hh_05` varchar(50) DEFAULT NULL,
  `hh_06` varchar(50) DEFAULT NULL,
  `hh_07` varchar(50) DEFAULT NULL,
  `hh_08` varchar(50) DEFAULT NULL,
  `hh_09` varchar(50) DEFAULT NULL,
  `hh_10` varchar(50) DEFAULT NULL,
  `hh_11` varchar(50) DEFAULT NULL,
  `hh_12` varchar(50) DEFAULT NULL,
  `hh_13` varchar(50) DEFAULT NULL,
  `hh_14` varchar(50) DEFAULT NULL,
  `hh_15` varchar(50) DEFAULT NULL,
  `hh_16` varchar(50) DEFAULT NULL,
  `hh_17` varchar(50) DEFAULT NULL,
  `hh_18` varchar(50) DEFAULT NULL,
  `hh_19` varchar(50) DEFAULT NULL,
  `hh_20` varchar(50) DEFAULT NULL,
  `hh_21` varchar(50) DEFAULT NULL,
  `hh_22` varchar(50) DEFAULT NULL,
  `hh_23` varchar(50) DEFAULT NULL,
  `flag00` varchar(50) DEFAULT NULL,
  `flag01` varchar(50) DEFAULT NULL,
  `flag02` varchar(50) DEFAULT NULL,
  `flag03` varchar(50) DEFAULT NULL,
  `flag04` varchar(50) DEFAULT NULL,
  `flag05` varchar(50) DEFAULT NULL,
  `flag06` varchar(50) DEFAULT NULL,
  `flag07` varchar(50) DEFAULT NULL,
  `flag08` varchar(50) DEFAULT NULL,
  `flag09` varchar(50) DEFAULT NULL,
  `flag10` varchar(50) DEFAULT NULL,
  `flag11` varchar(50) DEFAULT NULL,
  `flag12` varchar(50) DEFAULT NULL,
  `flag13` varchar(50) DEFAULT NULL,
  `flag14` varchar(50) DEFAULT NULL,
  `flag15` varchar(50) DEFAULT NULL,
  `flag16` varchar(50) DEFAULT NULL,
  `flag17` varchar(50) DEFAULT NULL,
  `flag18` varchar(50) DEFAULT NULL,
  `flag19` varchar(50) DEFAULT NULL,
  `flag20` varchar(50) DEFAULT NULL,
  `flag21` varchar(50) DEFAULT NULL,
  `flag22` varchar(50) DEFAULT NULL,
  `flag23` varchar(50) DEFAULT NULL,
  `total` varchar(50) DEFAULT NULL,
  `signature` varchar(50) DEFAULT NULL,
  `entryDatetime` datetime DEFAULT NULL,
  PRIMARY KEY (`stationId`,`elementId`,`yyyy`,`mm`,`dd`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- Dumping data for table mariadb_climsoft_db_v4.form_hourly: ~0 rows (approximately)
/*!40000 ALTER TABLE `form_hourly` DISABLE KEYS */;
/*!40000 ALTER TABLE `form_hourly` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_db_v4.form_hourlywind
CREATE TABLE IF NOT EXISTS `form_hourlywind` (
  `stationId` varchar(255) NOT NULL,
  `yyyy` int(11) NOT NULL,
  `mm` int(11) NOT NULL,
  `dd` int(11) NOT NULL,
  `elem_112_00` varchar(255) DEFAULT NULL,
  `elem_112_01` varchar(255) DEFAULT NULL,
  `elem_112_02` varchar(255) DEFAULT NULL,
  `elem_112_03` varchar(255) DEFAULT NULL,
  `elem_112_04` varchar(255) DEFAULT NULL,
  `elem_112_05` varchar(255) DEFAULT NULL,
  `elem_112_06` varchar(255) DEFAULT NULL,
  `elem_112_07` varchar(255) DEFAULT NULL,
  `elem_112_08` varchar(255) DEFAULT NULL,
  `elem_112_09` varchar(255) DEFAULT NULL,
  `elem_112_10` varchar(255) DEFAULT NULL,
  `elem_112_11` varchar(255) DEFAULT NULL,
  `elem_112_12` varchar(255) DEFAULT NULL,
  `elem_112_13` varchar(255) DEFAULT NULL,
  `elem_112_14` varchar(255) DEFAULT NULL,
  `elem_112_15` varchar(255) DEFAULT NULL,
  `elem_112_16` varchar(255) DEFAULT NULL,
  `elem_112_17` varchar(255) DEFAULT NULL,
  `elem_112_18` varchar(255) DEFAULT NULL,
  `elem_112_19` varchar(255) DEFAULT NULL,
  `elem_112_20` varchar(255) DEFAULT NULL,
  `elem_112_21` varchar(255) DEFAULT NULL,
  `elem_112_22` varchar(255) DEFAULT NULL,
  `elem_112_23` varchar(255) DEFAULT NULL,
  `ddflag00` varchar(255) DEFAULT NULL,
  `ddflag01` varchar(255) DEFAULT NULL,
  `ddflag02` varchar(255) DEFAULT NULL,
  `ddflag03` varchar(255) DEFAULT NULL,
  `ddflag04` varchar(255) DEFAULT NULL,
  `ddflag05` varchar(255) DEFAULT NULL,
  `ddflag06` varchar(255) DEFAULT NULL,
  `ddflag07` varchar(255) DEFAULT NULL,
  `ddflag08` varchar(255) DEFAULT NULL,
  `ddflag09` varchar(255) DEFAULT NULL,
  `ddflag10` varchar(255) DEFAULT NULL,
  `ddflag11` varchar(255) DEFAULT NULL,
  `ddflag12` varchar(255) DEFAULT NULL,
  `ddflag13` varchar(255) DEFAULT NULL,
  `ddflag14` varchar(255) DEFAULT NULL,
  `ddflag15` varchar(255) DEFAULT NULL,
  `ddflag16` varchar(255) DEFAULT NULL,
  `ddflag17` varchar(255) DEFAULT NULL,
  `ddflag18` varchar(255) DEFAULT NULL,
  `ddflag19` varchar(255) DEFAULT NULL,
  `ddflag20` varchar(255) DEFAULT NULL,
  `ddflag21` varchar(255) DEFAULT NULL,
  `ddflag22` varchar(255) DEFAULT NULL,
  `ddflag23` varchar(255) DEFAULT NULL,
  `elem_111_00` varchar(255) DEFAULT NULL,
  `elem_111_01` varchar(255) DEFAULT NULL,
  `elem_111_02` varchar(255) DEFAULT NULL,
  `elem_111_03` varchar(255) DEFAULT NULL,
  `elem_111_04` varchar(255) DEFAULT NULL,
  `elem_111_05` varchar(255) DEFAULT NULL,
  `elem_111_06` varchar(255) DEFAULT NULL,
  `elem_111_07` varchar(255) DEFAULT NULL,
  `elem_111_08` varchar(255) DEFAULT NULL,
  `elem_111_09` varchar(255) DEFAULT NULL,
  `elem_111_10` varchar(255) DEFAULT NULL,
  `elem_111_11` varchar(255) DEFAULT NULL,
  `elem_111_12` varchar(255) DEFAULT NULL,
  `elem_111_13` varchar(255) DEFAULT NULL,
  `elem_111_14` varchar(255) DEFAULT NULL,
  `elem_111_15` varchar(255) DEFAULT NULL,
  `elem_111_16` varchar(255) DEFAULT NULL,
  `elem_111_17` varchar(255) DEFAULT NULL,
  `elem_111_18` varchar(255) DEFAULT NULL,
  `elem_111_19` varchar(255) DEFAULT NULL,
  `elem_111_20` varchar(255) DEFAULT NULL,
  `elem_111_21` varchar(255) DEFAULT NULL,
  `elem_111_22` varchar(255) DEFAULT NULL,
  `elem_111_23` varchar(255) DEFAULT NULL,
  `total` varchar(50) DEFAULT NULL,
  `signature` varchar(50) DEFAULT NULL,
  `entryDatetime` datetime DEFAULT NULL,
  PRIMARY KEY (`stationId`,`yyyy`,`mm`,`dd`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- Dumping data for table mariadb_climsoft_db_v4.form_hourlywind: ~1 rows (approximately)
/*!40000 ALTER TABLE `form_hourlywind` DISABLE KEYS */;
INSERT INTO `form_hourlywind` (`stationId`, `yyyy`, `mm`, `dd`, `elem_112_00`, `elem_112_01`, `elem_112_02`, `elem_112_03`, `elem_112_04`, `elem_112_05`, `elem_112_06`, `elem_112_07`, `elem_112_08`, `elem_112_09`, `elem_112_10`, `elem_112_11`, `elem_112_12`, `elem_112_13`, `elem_112_14`, `elem_112_15`, `elem_112_16`, `elem_112_17`, `elem_112_18`, `elem_112_19`, `elem_112_20`, `elem_112_21`, `elem_112_22`, `elem_112_23`, `ddflag00`, `ddflag01`, `ddflag02`, `ddflag03`, `ddflag04`, `ddflag05`, `ddflag06`, `ddflag07`, `ddflag08`, `ddflag09`, `ddflag10`, `ddflag11`, `ddflag12`, `ddflag13`, `ddflag14`, `ddflag15`, `ddflag16`, `ddflag17`, `ddflag18`, `ddflag19`, `ddflag20`, `ddflag21`, `ddflag22`, `ddflag23`, `elem_111_00`, `elem_111_01`, `elem_111_02`, `elem_111_03`, `elem_111_04`, `elem_111_05`, `elem_111_06`, `elem_111_07`, `elem_111_08`, `elem_111_09`, `elem_111_10`, `elem_111_11`, `elem_111_12`, `elem_111_13`, `elem_111_14`, `elem_111_15`, `elem_111_16`, `elem_111_17`, `elem_111_18`, `elem_111_19`, `elem_111_20`, `elem_111_21`, `elem_111_22`, `elem_111_23`, `total`, `signature`, `entryDatetime`) VALUES
	('9136164', 2018, 1, 1, '31', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '11', '31', '', 'M', 'M', 'M', 'M', 'M', 'M', 'M', 'M', 'M', 'M', 'M', 'M', 'M', 'M', 'M', 'M', 'M', 'M', 'M', 'M', 'M', '', '', '11', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '21', '12', '', 'root', '2018-09-22 01:02:40');
/*!40000 ALTER TABLE `form_hourlywind` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_db_v4.form_hourly_time_selection
CREATE TABLE IF NOT EXISTS `form_hourly_time_selection` (
  `hh` int(11) NOT NULL,
  `hh_selection` tinyint(4) DEFAULT NULL,
  PRIMARY KEY (`hh`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_db_v4.form_hourly_time_selection: ~24 rows (approximately)
/*!40000 ALTER TABLE `form_hourly_time_selection` DISABLE KEYS */;
INSERT INTO `form_hourly_time_selection` (`hh`, `hh_selection`) VALUES
	(0, 0),
	(1, 0),
	(2, 0),
	(3, 1),
	(4, 0),
	(5, 0),
	(6, 1),
	(7, 0),
	(8, 0),
	(9, 1),
	(10, 0),
	(11, 0),
	(12, 1),
	(13, 0),
	(14, 0),
	(15, 1),
	(16, 0),
	(17, 0),
	(18, 1),
	(19, 0),
	(20, 0),
	(21, 1),
	(22, 0),
	(23, 0);
/*!40000 ALTER TABLE `form_hourly_time_selection` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_db_v4.form_monthly
CREATE TABLE IF NOT EXISTS `form_monthly` (
  `stationId` varchar(255) NOT NULL,
  `elementId` int(11) NOT NULL,
  `yyyy` int(11) NOT NULL,
  `mm_01` varchar(255) DEFAULT NULL,
  `mm_02` varchar(255) DEFAULT NULL,
  `mm_03` varchar(255) DEFAULT NULL,
  `mm_04` varchar(255) NOT NULL,
  `mm_05` varchar(255) DEFAULT NULL,
  `mm_06` varchar(255) DEFAULT NULL,
  `mm_07` varchar(255) DEFAULT NULL,
  `mm_08` varchar(255) DEFAULT NULL,
  `mm_09` varchar(255) DEFAULT NULL,
  `mm_10` varchar(255) DEFAULT NULL,
  `mm_11` varchar(255) DEFAULT NULL,
  `mm_12` varchar(255) DEFAULT NULL,
  `flag01` varchar(255) DEFAULT NULL,
  `flag02` varchar(255) DEFAULT NULL,
  `flag03` varchar(255) DEFAULT NULL,
  `flag04` varchar(255) DEFAULT NULL,
  `flag05` varchar(255) DEFAULT NULL,
  `flag06` varchar(255) DEFAULT NULL,
  `flag07` varchar(255) DEFAULT NULL,
  `flag08` varchar(255) DEFAULT NULL,
  `flag09` varchar(255) DEFAULT NULL,
  `flag10` varchar(255) DEFAULT NULL,
  `flag11` varchar(255) DEFAULT NULL,
  `flag12` varchar(255) DEFAULT NULL,
  `period01` varchar(255) DEFAULT NULL,
  `period02` varchar(255) DEFAULT NULL,
  `period03` varchar(255) DEFAULT NULL,
  `period04` varchar(255) DEFAULT NULL,
  `period05` varchar(255) DEFAULT NULL,
  `period06` varchar(255) DEFAULT NULL,
  `period07` varchar(255) DEFAULT NULL,
  `period08` varchar(255) DEFAULT NULL,
  `period09` varchar(255) DEFAULT NULL,
  `period10` varchar(255) DEFAULT NULL,
  `period11` varchar(255) DEFAULT NULL,
  `period12` varchar(255) DEFAULT NULL,
  `signature` varchar(50) DEFAULT NULL,
  `entryDatetime` datetime DEFAULT NULL,
  PRIMARY KEY (`stationId`,`elementId`,`yyyy`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- Dumping data for table mariadb_climsoft_db_v4.form_monthly: ~1 rows (approximately)
/*!40000 ALTER TABLE `form_monthly` DISABLE KEYS */;
INSERT INTO `form_monthly` (`stationId`, `elementId`, `yyyy`, `mm_01`, `mm_02`, `mm_03`, `mm_04`, `mm_05`, `mm_06`, `mm_07`, `mm_08`, `mm_09`, `mm_10`, `mm_11`, `mm_12`, `flag01`, `flag02`, `flag03`, `flag04`, `flag05`, `flag06`, `flag07`, `flag08`, `flag09`, `flag10`, `flag11`, `flag12`, `period01`, `period02`, `period03`, `period04`, `period05`, `period06`, `period07`, `period08`, `period09`, `period10`, `period11`, `period12`, `signature`, `entryDatetime`) VALUES
	('9136164', 2, 2018, '200', '', '', '', '', '', '', '', '', '', '321', '', '', 'M', 'M', 'M', 'M', 'M', 'M', 'M', 'M', 'M', '', 'M', '31', '28', '31', '30', '31', '30', '31', '31', '30', '31', '30', '31', 'root', '2018-09-22 01:03:23');
/*!40000 ALTER TABLE `form_monthly` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_db_v4.form_synoptic2_tdcf
CREATE TABLE IF NOT EXISTS `form_synoptic2_tdcf` (
  `stationId` varchar(10) NOT NULL,
  `yyyy` bigint(20) NOT NULL,
  `mm` bigint(20) NOT NULL,
  `dd` bigint(20) NOT NULL,
  `hh` varchar(5) NOT NULL,
  `106` varchar(6) DEFAULT NULL,
  `107` varchar(6) DEFAULT NULL,
  `399` varchar(5) DEFAULT NULL,
  `301` varchar(8) DEFAULT NULL,
  `185` varchar(6) DEFAULT NULL,
  `101` varchar(5) DEFAULT NULL,
  `103` varchar(5) DEFAULT NULL,
  `105` varchar(50) DEFAULT NULL,
  `110` varchar(5) DEFAULT NULL,
  `114` varchar(5) DEFAULT NULL,
  `115` varchar(5) DEFAULT NULL,
  `168` varchar(5) DEFAULT NULL,
  `192` varchar(5) DEFAULT NULL,
  `169` varchar(5) DEFAULT NULL,
  `170` varchar(5) DEFAULT NULL,
  `171` varchar(5) DEFAULT NULL,
  `119` varchar(5) DEFAULT NULL,
  `116` varchar(5) DEFAULT NULL,
  `117` varchar(5) DEFAULT NULL,
  `118` varchar(5) DEFAULT NULL,
  `123` varchar(5) DEFAULT NULL,
  `120` varchar(5) DEFAULT NULL,
  `121` varchar(5) DEFAULT NULL,
  `122` varchar(5) DEFAULT NULL,
  `127` varchar(5) DEFAULT NULL,
  `124` varchar(5) DEFAULT NULL,
  `125` varchar(5) DEFAULT NULL,
  `126` varchar(5) DEFAULT NULL,
  `131` varchar(5) DEFAULT NULL,
  `128` varchar(5) DEFAULT NULL,
  `129` varchar(5) DEFAULT NULL,
  `130` varchar(5) DEFAULT NULL,
  `167` varchar(5) DEFAULT NULL,
  `197` varchar(50) DEFAULT NULL,
  `193` varchar(5) DEFAULT NULL,
  `18` varchar(6) DEFAULT NULL,
  `532` varchar(6) DEFAULT NULL,
  `132` varchar(6) DEFAULT NULL,
  `5` varchar(6) DEFAULT NULL,
  `174` varchar(50) DEFAULT NULL,
  `3` varchar(5) DEFAULT NULL,
  `2` varchar(5) DEFAULT NULL,
  `112` varchar(5) DEFAULT NULL,
  `111` varchar(5) DEFAULT NULL,
  `85` varchar(50) DEFAULT NULL,
  `flag1` varchar(1) DEFAULT NULL,
  `flag2` varchar(1) DEFAULT NULL,
  `flag3` varchar(1) DEFAULT NULL,
  `flag4` varchar(1) DEFAULT NULL,
  `flag5` varchar(1) DEFAULT NULL,
  `flag6` varchar(1) DEFAULT NULL,
  `flag7` varchar(1) DEFAULT NULL,
  `flag8` varchar(1) DEFAULT NULL,
  `flag9` varchar(1) DEFAULT NULL,
  `flag10` varchar(1) DEFAULT NULL,
  `flag11` varchar(1) DEFAULT NULL,
  `flag12` varchar(1) DEFAULT NULL,
  `flag13` varchar(1) DEFAULT NULL,
  `flag14` varchar(1) DEFAULT NULL,
  `flag15` varchar(1) DEFAULT NULL,
  `flag16` varchar(1) DEFAULT NULL,
  `flag17` varchar(1) DEFAULT NULL,
  `flag18` varchar(1) DEFAULT NULL,
  `flag19` varchar(1) DEFAULT NULL,
  `flag20` varchar(1) DEFAULT NULL,
  `flag21` varchar(1) DEFAULT NULL,
  `flag22` varchar(1) DEFAULT NULL,
  `flag23` varchar(1) DEFAULT NULL,
  `flag24` varchar(1) DEFAULT NULL,
  `flag25` varchar(1) DEFAULT NULL,
  `flag26` varchar(1) DEFAULT NULL,
  `flag27` varchar(1) DEFAULT NULL,
  `flag28` varchar(1) DEFAULT NULL,
  `flag29` varchar(1) DEFAULT NULL,
  `flag30` varchar(1) DEFAULT NULL,
  `flag31` varchar(1) DEFAULT NULL,
  `flag32` varchar(1) DEFAULT NULL,
  `flag33` varchar(1) DEFAULT NULL,
  `flag34` varchar(1) DEFAULT NULL,
  `flag35` varchar(1) DEFAULT NULL,
  `flag36` varchar(1) DEFAULT NULL,
  `flag37` varchar(1) DEFAULT NULL,
  `flag38` varchar(1) DEFAULT NULL,
  `flag39` varchar(1) DEFAULT NULL,
  `flag40` varchar(1) DEFAULT NULL,
  `flag41` varchar(1) DEFAULT NULL,
  `flag42` varchar(1) DEFAULT NULL,
  `flag43` varchar(1) DEFAULT NULL,
  `flag44` varchar(1) DEFAULT NULL,
  `flag45` varchar(1) DEFAULT NULL,
  `signature` varchar(50) DEFAULT NULL,
  `entryDatetime` datetime DEFAULT NULL,
  PRIMARY KEY (`stationId`,`yyyy`,`mm`,`dd`,`hh`),
  UNIQUE KEY `Identification` (`stationId`,`yyyy`,`mm`,`dd`,`hh`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- Dumping data for table mariadb_climsoft_db_v4.form_synoptic2_tdcf: ~0 rows (approximately)
/*!40000 ALTER TABLE `form_synoptic2_tdcf` DISABLE KEYS */;
/*!40000 ALTER TABLE `form_synoptic2_tdcf` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_db_v4.form_synoptic_2_ra1
CREATE TABLE IF NOT EXISTS `form_synoptic_2_ra1` (
  `stationId` varchar(50) NOT NULL DEFAULT '',
  `yyyy` int(11) NOT NULL,
  `mm` int(11) NOT NULL,
  `dd` int(11) NOT NULL,
  `hh` int(11) NOT NULL,
  `Val_Elem106` varchar(6) DEFAULT NULL,
  `Val_Elem107` varchar(6) DEFAULT NULL,
  `Val_Elem400` varchar(6) DEFAULT NULL,
  `Val_Elem814` varchar(6) DEFAULT NULL,
  `Val_Elem399` varchar(6) DEFAULT NULL,
  `Val_Elem301` varchar(6) DEFAULT NULL,
  `Val_Elem185` varchar(6) DEFAULT NULL,
  `Val_Elem101` varchar(6) DEFAULT NULL,
  `Val_Elem102` varchar(6) DEFAULT NULL,
  `Val_Elem103` varchar(6) DEFAULT NULL,
  `Val_Elem105` varchar(6) DEFAULT NULL,
  `Val_Elem192` varchar(6) DEFAULT NULL,
  `Val_Elem110` varchar(6) DEFAULT NULL,
  `Val_Elem114` varchar(6) DEFAULT NULL,
  `Val_Elem112` varchar(6) DEFAULT NULL,
  `Val_Elem111` varchar(6) DEFAULT NULL,
  `Val_Elem167` varchar(6) DEFAULT NULL,
  `Val_Elem197` varchar(6) DEFAULT NULL,
  `Val_Elem193` varchar(6) DEFAULT NULL,
  `Val_Elem115` varchar(6) DEFAULT NULL,
  `Val_Elem168` varchar(6) DEFAULT NULL,
  `Val_Elem169` varchar(6) DEFAULT NULL,
  `Val_Elem170` varchar(6) DEFAULT NULL,
  `Val_Elem171` varchar(6) DEFAULT NULL,
  `Val_Elem119` varchar(6) DEFAULT NULL,
  `Val_Elem116` varchar(6) DEFAULT NULL,
  `Val_Elem117` varchar(6) DEFAULT NULL,
  `Val_Elem118` varchar(6) DEFAULT NULL,
  `Val_Elem123` varchar(6) DEFAULT NULL,
  `Val_Elem120` varchar(6) DEFAULT NULL,
  `Val_Elem121` varchar(6) DEFAULT NULL,
  `Val_Elem122` varchar(6) DEFAULT NULL,
  `Val_Elem127` varchar(6) DEFAULT NULL,
  `Val_Elem124` varchar(6) DEFAULT NULL,
  `Val_Elem125` varchar(6) DEFAULT NULL,
  `Val_Elem126` varchar(6) DEFAULT NULL,
  `Val_Elem131` varchar(6) DEFAULT NULL,
  `Val_Elem128` varchar(6) DEFAULT NULL,
  `Val_Elem129` varchar(6) DEFAULT NULL,
  `Val_Elem130` varchar(6) DEFAULT NULL,
  `Val_Elem002` varchar(6) DEFAULT NULL,
  `Val_Elem003` varchar(6) DEFAULT NULL,
  `Val_Elem099` varchar(6) DEFAULT NULL,
  `Val_Elem018` varchar(6) DEFAULT NULL,
  `Val_Elem084` varchar(6) DEFAULT NULL,
  `Val_Elem132` varchar(6) DEFAULT NULL,
  `Val_Elem005` varchar(6) DEFAULT NULL,
  `Val_Elem174` varchar(6) DEFAULT NULL,
  `Val_Elem046` varchar(6) DEFAULT NULL,
  `Flag106` varchar(1) DEFAULT NULL,
  `Flag107` varchar(1) DEFAULT NULL,
  `Flag400` varchar(1) DEFAULT NULL,
  `Flag814` varchar(1) DEFAULT NULL,
  `Flag399` varchar(1) DEFAULT NULL,
  `Flag301` varchar(1) DEFAULT NULL,
  `Flag185` varchar(1) DEFAULT NULL,
  `Flag101` varchar(1) DEFAULT NULL,
  `Flag102` varchar(1) DEFAULT NULL,
  `Flag103` varchar(1) DEFAULT NULL,
  `Flag105` varchar(1) DEFAULT NULL,
  `Flag192` varchar(1) DEFAULT NULL,
  `Flag110` varchar(1) DEFAULT NULL,
  `Flag114` varchar(1) DEFAULT NULL,
  `Flag112` varchar(1) DEFAULT NULL,
  `Flag111` varchar(1) DEFAULT NULL,
  `Flag167` varchar(1) DEFAULT NULL,
  `Flag197` varchar(1) DEFAULT NULL,
  `Flag193` varchar(1) DEFAULT NULL,
  `Flag115` varchar(1) DEFAULT NULL,
  `Flag168` varchar(1) DEFAULT NULL,
  `Flag169` varchar(1) DEFAULT NULL,
  `Flag170` varchar(1) DEFAULT NULL,
  `Flag171` varchar(1) DEFAULT NULL,
  `Flag119` varchar(1) DEFAULT NULL,
  `Flag116` varchar(1) DEFAULT NULL,
  `Flag117` varchar(1) DEFAULT NULL,
  `Flag118` varchar(1) DEFAULT NULL,
  `Flag123` varchar(1) DEFAULT NULL,
  `Flag120` varchar(1) DEFAULT NULL,
  `Flag121` varchar(1) DEFAULT NULL,
  `Flag122` varchar(1) DEFAULT NULL,
  `Flag127` varchar(1) DEFAULT NULL,
  `Flag124` varchar(1) DEFAULT NULL,
  `Flag125` varchar(1) DEFAULT NULL,
  `Flag126` varchar(1) DEFAULT NULL,
  `Flag131` varchar(1) DEFAULT NULL,
  `Flag128` varchar(1) DEFAULT NULL,
  `Flag129` varchar(1) DEFAULT NULL,
  `Flag130` varchar(1) DEFAULT NULL,
  `Flag002` varchar(1) DEFAULT NULL,
  `Flag003` varchar(1) DEFAULT NULL,
  `Flag099` varchar(1) DEFAULT NULL,
  `Flag018` varchar(1) DEFAULT NULL,
  `Flag084` varchar(1) DEFAULT NULL,
  `Flag132` varchar(1) DEFAULT NULL,
  `Flag005` varchar(1) DEFAULT NULL,
  `Flag174` varchar(1) DEFAULT NULL,
  `Flag046` varchar(1) DEFAULT NULL,
  `signature` varchar(45) DEFAULT NULL,
  `entryDatetime` datetime DEFAULT NULL,
  PRIMARY KEY (`stationId`,`yyyy`,`mm`,`dd`,`hh`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_db_v4.form_synoptic_2_ra1: ~0 rows (approximately)
/*!40000 ALTER TABLE `form_synoptic_2_ra1` DISABLE KEYS */;
/*!40000 ALTER TABLE `form_synoptic_2_ra1` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_db_v4.gaps
CREATE TABLE IF NOT EXISTS `gaps` (
  `Missing_STNID` varchar(255) NOT NULL,
  `Missing_ELEM` bigint(20) NOT NULL,
  `Missing_Date` date NOT NULL,
  PRIMARY KEY (`Missing_STNID`,`Missing_ELEM`,`Missing_Date`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_db_v4.gaps: ~0 rows (approximately)
/*!40000 ALTER TABLE `gaps` DISABLE KEYS */;
/*!40000 ALTER TABLE `gaps` ENABLE KEYS */;


-- Dumping structure for procedure mariadb_climsoft_db_v4.gather_stats
DELIMITER //
CREATE DEFINER=`root`@`localhost` PROCEDURE `gather_stats`(
	IN `Stn` VARCHAR(255),
	IN `Elm` INT(11),
	IN `Opening_Date` DATETIME,
	IN `Closing_Date` DATETIME
)
BEGIN
IF Opening_Date < Closing_Date THEN
INSERT INTO missing_stats
SELECT recordedfrom,describedby,datediff(Closing_Date,Opening_Date)-COUNT(*) AS missing,Closing_Date,Opening_Date 
FROM observationfinal
WHERE recordedfrom = Stn
AND obsdatetime >= Opening_Date
AND obsdatetime <= Closing_Date
AND describedby = Elm
GROUP by recordedfrom,describedby;
END IF;
END//
DELIMITER ;


-- Dumping structure for table mariadb_climsoft_db_v4.instrument
CREATE TABLE IF NOT EXISTS `instrument` (
  `instrumentName` varchar(255) DEFAULT NULL,
  `instrumentId` varchar(255) NOT NULL,
  `serialNumber` varchar(255) DEFAULT NULL,
  `abbreviation` varchar(255) DEFAULT NULL,
  `model` varchar(255) DEFAULT NULL,
  `manufacturer` varchar(255) DEFAULT NULL,
  `instrumentUncertainty` float(11,6) DEFAULT NULL,
  `installationDatetime` varchar(50) DEFAULT NULL,
  `deinstallationDatetime` varchar(50) DEFAULT NULL,
  `height` varchar(255) DEFAULT NULL,
  `instrumentPicture` char(255) DEFAULT NULL,
  `installedAt` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`instrumentId`),
  KEY `code` (`instrumentId`),
  KEY `FK_mysql_climsoft_db_v4_instrument` (`installedAt`),
  CONSTRAINT `FK_mysql_climsoft_db_v4_instrument` FOREIGN KEY (`installedAt`) REFERENCES `station` (`stationId`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_db_v4.instrument: ~0 rows (approximately)
/*!40000 ALTER TABLE `instrument` DISABLE KEYS */;
/*!40000 ALTER TABLE `instrument` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_db_v4.instrumentfaultreport
CREATE TABLE IF NOT EXISTS `instrumentfaultreport` (
  `refersTo` varchar(255) DEFAULT NULL,
  `reportId` bigint(20) NOT NULL,
  `reportDatetime` varchar(50) DEFAULT NULL,
  `faultDescription` varchar(255) DEFAULT NULL,
  `reportedBy` varchar(255) DEFAULT NULL,
  `receivedDatetime` varchar(50) DEFAULT NULL,
  `receivedBy` varchar(255) DEFAULT NULL,
  `reportedFrom` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`reportId`),
  UNIQUE KEY `instrument_report` (`refersTo`,`reportDatetime`,`reportedFrom`),
  KEY `report_id` (`reportId`),
  KEY `FK_mysql_climsoft_db_v4_station_instrumentFaultReport` (`reportedFrom`),
  CONSTRAINT `FK_mysql_climsoft_db_v4_instrument_instrumentFaultReport` FOREIGN KEY (`refersTo`) REFERENCES `instrument` (`instrumentId`),
  CONSTRAINT `FK_mysql_climsoft_db_v4_station_instrumentFaultReport` FOREIGN KEY (`reportedFrom`) REFERENCES `station` (`stationId`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_db_v4.instrumentfaultreport: ~0 rows (approximately)
/*!40000 ALTER TABLE `instrumentfaultreport` DISABLE KEYS */;
/*!40000 ALTER TABLE `instrumentfaultreport` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_db_v4.instrumentinspection
CREATE TABLE IF NOT EXISTS `instrumentinspection` (
  `performedOn` varchar(255) DEFAULT NULL,
  `inspectionDatetime` varchar(50) DEFAULT NULL,
  `performedBy` varchar(255) DEFAULT NULL,
  `status` varchar(255) DEFAULT NULL,
  `remarks` varchar(255) DEFAULT NULL,
  `performedAt` varchar(255) DEFAULT NULL,
  UNIQUE KEY `inspection` (`performedOn`,`inspectionDatetime`),
  KEY `FK_mysql_climsoft_db_v4_station_instrumentInspection` (`performedAt`),
  CONSTRAINT `FK_mysql_climsoft_db_v4_instrument_instrumentInspection` FOREIGN KEY (`performedOn`) REFERENCES `instrument` (`instrumentId`),
  CONSTRAINT `FK_mysql_climsoft_db_v4_station_instrumentInspection` FOREIGN KEY (`performedAt`) REFERENCES `station` (`stationId`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_db_v4.instrumentinspection: ~0 rows (approximately)
/*!40000 ALTER TABLE `instrumentinspection` DISABLE KEYS */;
/*!40000 ALTER TABLE `instrumentinspection` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_db_v4.language_translation
CREATE TABLE IF NOT EXISTS `language_translation` (
  `tagID` varchar(50) NOT NULL,
  `en` varchar(100) DEFAULT NULL,
  `fr` varchar(100) DEFAULT NULL,
  `de` varchar(100) DEFAULT NULL,
  `pt` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`tagID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_db_v4.language_translation: ~9 rows (approximately)
/*!40000 ALTER TABLE `language_translation` DISABLE KEYS */;
INSERT INTO `language_translation` (`tagID`, `en`, `fr`, `de`, `pt`) VALUES
	('1', 'English', 'français', 'Deutsche', 'Português'),
	('btnBrowse', 'Browse', 'Parcourir', 'Blättern', 'Viagem'),
	('btnCancel', 'Cancel', 'Annuler', 'Stornieren', 'Cancelar'),
	('btnHelp', 'Help', 'Aide', 'Hilfe', 'Socorro'),
	('btnOk', 'OK', 'OK', 'OK', 'OK'),
	('lblDataFile', 'Data File', 'Fichier de données', 'Datendatei', 'Arquivo de dados'),
	('lblSchemaFile', 'Schema File', 'Fichier de schéma', 'Schemadatei', 'arquivo de esquema'),
	('msgNotYetImplemented', 'Documentation on this topic not yet available !', 'La documentation sur ce sujet ne sont pas encore disponibles!', 'Dokumentation zu diesem Thema noch nicht verfügbar!', 'Documentação sobre este tópico ainda não está disponível!'),
	('titleFormImportCSV', 'Import CLICOM Daily from CSV', 'Importer CLICOM Tous les jours de CSV', 'Import CLICOM Täglich von CSV', 'Import CLICOM Diárias a partir de CSV');
/*!40000 ALTER TABLE `language_translation` ENABLE KEYS */;


-- Dumping structure for procedure mariadb_climsoft_db_v4.missing_data
DELIMITER //
CREATE DEFINER=`root`@`localhost` PROCEDURE `missing_data`(
	IN `STN` VARCHAR(255),
	IN `ELEM` BIGINT(20),
	IN `STARTDATE` DATETIME,
	IN `ENDDATE` DATETIME
)
BEGIN
    
DECLARE NEX_DATE DATE;
    
DECLARE MISSING_VALUE VARCHAR(255);
    

SET NEX_DATE = STARTDATE;

	
    IF NEX_DATE <= ENDDATE THEN
        
WHILE NEX_DATE <= ENDDATE DO
            
SET MISSING_VALUE = NULL;
            
	    SELECT recordedFrom INTO MISSING_VALUE
	    FROM observationfinal
            WHERE recordedFrom=STN
	    AND date(obsdatetime) = NEX_DATE

	    AND describedBy=ELEM;

            

IF MISSING_VALUE IS NULL THEN
                   
INSERT INTO MISSING_DATA VALUES (STN,NEX_DATE,ELEM);
		   
COMMIT;
            
END IF;
            
	    SET NEX_DATE = ADDDATE(NEX_DATE, INTERVAL 1 DAY);
        
END WHILE;
    
END IF;

END//
DELIMITER ;


-- Dumping structure for table mariadb_climsoft_db_v4.missing_data
CREATE TABLE IF NOT EXISTS `missing_data` (
  `STN_ID` varchar(255) NOT NULL,
  `OBS_DATE` date NOT NULL,
  `ELEM` bigint(20) NOT NULL,
  PRIMARY KEY (`STN_ID`,`OBS_DATE`,`ELEM`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_db_v4.missing_data: ~0 rows (approximately)
/*!40000 ALTER TABLE `missing_data` DISABLE KEYS */;
/*!40000 ALTER TABLE `missing_data` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_db_v4.missing_stats
CREATE TABLE IF NOT EXISTS `missing_stats` (
  `STN_ID` varchar(255) NOT NULL,
  `ELEM` bigint(20) NOT NULL,
  `MISSING` bigint(20) DEFAULT NULL,
  `Closing_Date` date NOT NULL,
  `Opening_Date` date NOT NULL,
  PRIMARY KEY (`STN_ID`,`ELEM`,`Closing_Date`,`Opening_Date`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_db_v4.missing_stats: ~0 rows (approximately)
/*!40000 ALTER TABLE `missing_stats` DISABLE KEYS */;
/*!40000 ALTER TABLE `missing_stats` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_db_v4.obselement
CREATE TABLE IF NOT EXISTS `obselement` (
  `elementId` bigint(20) NOT NULL DEFAULT '0',
  `abbreviation` varchar(255) DEFAULT NULL,
  `elementName` varchar(255) DEFAULT NULL,
  `description` varchar(255) DEFAULT NULL,
  `elementScale` decimal(8,2) DEFAULT NULL,
  `upperLimit` varchar(255) DEFAULT NULL,
  `lowerLimit` varchar(255) DEFAULT NULL,
  `units` varchar(255) DEFAULT NULL,
  `elementtype` varchar(50) DEFAULT NULL,
  `qcTotalRequired` int(11) DEFAULT '0',
  `selected` tinyint(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`elementId`),
  KEY `elementCode` (`elementId`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_db_v4.obselement: ~424 rows (approximately)
/*!40000 ALTER TABLE `obselement` DISABLE KEYS */;
INSERT INTO `obselement` (`elementId`, `abbreviation`, `elementName`, `description`, `elementScale`, `upperLimit`, `lowerLimit`, `units`, `elementtype`, `qcTotalRequired`, `selected`) VALUES
	(2, 'TMPMAX', 'Temp  Daily Max', 'Temperature  daily maximum', 0.10, '460.00', '130.00', 'Degrees C', 'daily\r', 0, 1),
	(3, 'TMPMIN', 'Temp  Daily Min', 'Temperature  daily minimum', 0.10, '200.00', '50.00', 'Degrees C', 'daily\r', 0, 1),
	(4, 'TMPMN', 'Temp  Daily Mean', 'Temperature  daily mean', 0.10, '', '', 'Degrees C', 'daily\r', 0, 0),
	(5, 'PRECIP', 'Precip  Daily', 'Precipitation  daily total', 0.10, '3000.00', '0.00', 'Millimeters', 'daily\r', 1, 1),
	(6, 'PRMX5', 'PRCP  Max 5 min', 'Precip  greatest amount in 5 minutes', 0.10, '', '', 'Millimeters', 'daily\r', 0, 0),
	(7, 'PRMX10', 'PRCP  Max 10 min', 'Precip  greatest amount in 10 minutes', 0.10, '', '', 'Millimeters', 'daily\r', 0, 0),
	(8, 'PRMX15', 'PRCP  Max 15 min', 'Precip  greatest amount in 15 minutes', 0.10, '', '', 'Millimeters', 'daily\r', 0, 0),
	(9, 'PRMX30', 'PRCP  Max 30 min', 'Precip  greatest amount in 30 minutes', 0.10, '', '', 'Millimeters', 'daily\r', 0, 0),
	(10, 'PRMX60', 'PRCP  Max 60 min', 'Precip  greatest amount in 60 minutes', 0.10, '', '', 'Millimeters', 'daily\r', 0, 0),
	(11, 'PRMX2H', 'PRCP  Max 2 hours', 'Precip  greatest amount in 2 hours', 0.10, '', '', 'Millimeters', 'daily\r', 0, 0),
	(12, 'DPTMAX', 'Temp  Dew Point Max', 'Temperature  dew point  daily maximum', 0.10, '', '', 'Degrees C', 'daily\r', 0, 0),
	(13, 'DPTMIN', 'Temp  Dew Point Min', 'Temperature  dew point  daily minimum', 0.10, '', '', 'Degrees C', 'daily\r', 0, 0),
	(14, 'DPTMN', 'Temp  Dew Point Mean', 'Temperature  dew point  daily mean', 0.10, '', '', 'Degrees C', 'daily\r', 0, 0),
	(15, 'RHMAX', 'RH  Daily Max', 'Relative humidity  daily maximum', 1.00, '100.00', '0.00', 'Percent', 'daily\r', 0, 0),
	(16, 'RHMIN', 'RH  Daily Min', 'Relative humidity  daily minimum', 1.00, '100.00', '0.00', 'Percent', 'daily\r', 0, 0),
	(17, 'RHMEAN', 'RH  Daily Mean', 'Relative humidity  daily mean', 1.00, '100.00', '0.00', 'Percent', 'daily\r', 0, 0),
	(18, 'EVAPPN1', 'Evap  Pan1 Daily', 'Evaporation  pan1  daily total', 0.10, '250.00', '0.00', 'Millimeters', 'daily\r', 0, 1),
	(19, 'EVAPLK', 'Evap  Lake Daily', 'Evaporation  lake  daily total', 0.10, '', '', 'Millimeters', 'daily\r', 0, 0),
	(20, 'MXTPAN', 'Temp  Evap Pan Max', 'Temperature  evaporation pan  daily maximum', 0.10, '', '', 'Degrees C', 'daily\r', 0, 0),
	(21, 'MNTPAN', 'Temp  Evap Pan Min', 'Temperature  evaporation pan  daily minimum', 0.10, '', '', 'Degrees C', 'daily\r', 0, 0),
	(22, 'MTPAN', 'Temp  Evap Pan Dly Mean', 'Temperature  evaporation pan  daily mean', 0.10, '', '', 'Degrees C', 'daily\r', 0, 0),
	(23, 'HTDD1', 'HTNG Degree Days Base1', 'Heating degree days - Base 1', 1.00, '', '', 'Unitless', 'daily\r', 0, 0),
	(24, 'HTDD2', 'HTNG Degree Days Base2', 'Heating degree days - Base 2', 1.00, '', '', 'Unitless', 'daily\r', 0, 0),
	(25, 'CDD1', 'CLNG Degree Base1', 'Cooling degree days - Base 1', 1.00, '', '', 'Unitless', 'daily\r', 0, 0),
	(26, 'CDD2', 'CLNG Degree Base2', 'Cooling degree days - Base 2', 1.00, '', '', 'Unitless', 'daily\r', 0, 0),
	(27, 'GDD1', 'GRNG Degree Days Base1', 'Growing degree days - Base 1', 1.00, '', '', 'Unitless', 'daily\r', 0, 0),
	(28, 'GDD2', 'GRNG Degree Days Base2', 'Growing degree days - Base 2', 1.00, '', '', 'Unitless', 'daily\r', 0, 0),
	(29, 'DYRAIN', 'Day with Rain', 'Day with rainfall', 1.00, '', '', 'Unitless', 'daily\r', 0, 0),
	(30, 'DYTHND', 'Day with Thunder', 'Day with thunderstorms', 1.00, '', '', 'Unitless', 'daily\r', 0, 0),
	(31, 'DYHAIL', 'Day with Hail', 'Day with hail', 1.00, '', '', 'Unitless', 'daily\r', 0, 0),
	(32, 'DYFOG', 'Day with Fog', 'Day with fog', 1.00, '', '', 'Unitless', 'daily\r', 0, 0),
	(33, 'DYSAND', 'Day with Dust', 'Day with blowing sand or dust', 1.00, '', '', 'Unitless', 'daily\r', 0, 0),
	(34, 'DYSMOK', 'Day with Smoke', 'Day with smoke or thick haze', 1.00, '', '', 'Unitless', 'daily\r', 0, 0),
	(35, 'DYSNOW', 'Day with Snow', 'Day with snow', 1.00, '', '', 'Unitless', 'daily\r', 0, 0),
	(36, 'DYBSNW', 'Day with Blw Snow', 'Day with blowing snow', 1.00, '', '', 'Unitless', 'daily\r', 0, 0),
	(37, 'DYWND1', 'Day with Wind 10ms', 'Day with wind greater than 10 meters/sec', 1.00, '', '', 'Unitless', 'daily\r', 0, 0),
	(38, 'DYWND5', 'Day with Wind 15ms', 'Day with wind greater than 15 meters/sec', 1.00, '', '', 'Unitless', 'daily\r', 0, 0),
	(39, 'DYGLAZ', 'Day with Glaze', 'Day with glaze(freezing rain)', 1.00, '', '', 'Unitless', 'daily\r', 0, 0),
	(40, 'DYGDRZ', 'Day with Drizzle', 'Day with drizzle', 1.00, '', '', 'Unitless', 'daily\r', 0, 0),
	(41, 'DYICEP', 'Day with Ice Plt', 'Day with ice pellets', 1.00, '', '', 'Unitless', 'daily\r', 0, 0),
	(42, 'DYTORN', 'Day with Tornado', 'Day with tornado', 1.00, '', '', 'Unitless', 'daily\r', 0, 0),
	(43, 'SKYSUN', 'Sky Cover Avg Sun Set', 'Sky cover  average daily sunrise to sunset', 1.00, '9.00', '0.00', 'Tenths', 'daily\r', 0, 0),
	(44, 'SKYMID', 'Sky Cover Avg Midnight', 'Sky cover  daily average midnight to midnight', 1.00, '', '', 'Tenths', 'daily\r', 0, 0),
	(45, 'SUNSHI', 'Percent Possible Sunshine Dly', 'Percent of possible sunshine  daily', 1.00, '100.00', '0.00', 'Percent', 'daily\r', 0, 0),
	(46, 'INSOL', 'Insolation Daily', 'Insolation  daily total on a horizontal surface', 0.10, '394.00', '0.00', 'Megajoules/M**2', 'daily\r', 0, 0),
	(47, 'PRESST', 'Press Stn Avg', 'Pressure  station  daily avergage', 0.10, '', '', 'Hectopascals', 'daily\r', 0, 0),
	(48, 'PRESSL', 'Press Sea Level Avg', 'Pressure  reduced to sea level  daily average', 0.10, '', '', 'Hectopascals', 'daily\r', 0, 0),
	(49, 'SNOW', 'Snowfall  Daily', 'Snowfall  daily total', 1.00, '', '', 'Centimeters', 'daily\r', 0, 0),
	(50, 'SNWDEP', 'Snow Depth  Daily', 'Snow  depth on the ground at observation time', 1.00, '', '', 'Centimeters', 'daily\r', 0, 0),
	(51, 'SNWWEQ', 'Snow Depth water equivalent', 'Snow  water equivalent of snow on the ground at observation', 0.10, '', '', 'Millimeters', 'daily\r', 0, 0),
	(52, 'TOPFGL', 'Frozen Ground Top', 'Frozen ground layer  depth of the top', 1.00, '', '', 'Centimeters', 'daily\r', 0, 0),
	(53, 'BOTFGL', 'Frozen Ground Bottom', 'Frozen ground layer  Depth of the bottom', 1.00, '', '', 'Centimeters', 'daily\r', 0, 0),
	(54, 'THKFGL', 'Frozen Ground Thickness', 'Frozen ground layer  thickness', 1.00, '', '', 'Centimeters', 'daily\r', 0, 0),
	(55, 'ICE', 'Ice Thickness', 'Ice on water  thickness', 0.10, '', '', 'Millimeters', 'daily\r', 0, 0),
	(56, 'WNDSPD', 'Wind Spd Avg Dly', 'Wind speed  daily average', 0.00, '100.00', '0.00', 'Meters/Second', 'daily\r', 0, 0),
	(57, 'WNDMIL', 'Wind Spd  Avg Dly Cup ', 'Wind speed daily average Cup Anemometer', 1.00, '15.00', '0.00', 'Kilometers', 'daily\r', 0, 0),
	(58, 'PKGUST', 'Wind Gust Max Spd', 'Wind gust  speed  daily maximum', 1.00, '', '', 'Meters/Second', 'daily\r', 0, 0),
	(59, 'PKGSTD', 'Wind Gust  Dir', 'Wind gust  direction of the daily maximum', 1.00, '', '', 'Tens of Degrees', 'daily\r', 0, 0),
	(60, 'WNDMX1', 'Wnd Spd Dly Max 1minute', 'Wind  1 minute  speed  daily maximum', 1.00, '', '', 'Meters/Second', 'daily\r', 0, 0),
	(61, 'WNDMXD', 'Wnd Dir Dly  Max 1minute', 'Wind  1 minute  direction of the daily maximum', 1.00, '', '', 'Tens of Degrees', 'daily\r', 0, 0),
	(62, 'SOILX1', 'Temp  Soil05 Dly Max', 'Temperature  soil  daily maximum at 5 cm', 0.10, '', '', 'Degrees C', 'daily\r', 0, 0),
	(63, 'SOILN1', 'Temp  Soil05 Dly Min', 'Temperature  soil  daily minimum at 5 cm', 0.10, '', '', 'Degrees C', 'daily\r', 0, 0),
	(64, 'SOILX2', 'Temp  Soil10 Dly Max', 'Temperature  soil  daily maximum at 10 cm', 0.10, '', '', 'Degrees C', 'daily\r', 0, 0),
	(65, 'SOILN2', 'Temp  Soil10 Dly Min', 'Temperature  soil  daily minimum at 10 cm', 0.10, '', '', 'Degrees C', 'daily\r', 0, 0),
	(66, 'SOILX3', 'Temp  Soil20 Dly Max', 'Temperature  soil  daily maximum at 20 cm', 0.10, '', '', 'Degrees C', 'daily\r', 0, 0),
	(67, 'SOILN3', 'Temp  Soil20 Dly Min', 'Temperature  soil  daily minimum at 20 cm', 0.10, '', '', 'Degrees C', 'daily\r', 0, 0),
	(68, 'SOILX4', 'Temp  Soil50 Dly Max', 'Temperature  soil  daily maximum at 50 cm', 0.10, '', '', 'Degrees C', 'daily\r', 0, 0),
	(69, 'SOILN4', 'Temp  Soil50 Dly Min', 'Temperature  soil  daily minimum at 50 cm', 0.10, '', '', 'Degrees C', 'daily\r', 0, 0),
	(70, 'SOILX5', 'Temp  soil100 Dly Max', 'Temperature  soil  daily maximum at 100 cm', 0.10, '', '', 'Degrees C', 'daily\r', 0, 0),
	(71, 'SOILN5', 'Temp  Soil100 Dly Min', 'Temperature  soil  daily minimum at 100 cm', 0.10, '', '', 'Degrees C', 'daily\r', 0, 0),
	(72, 'TTS005', 'TT Sol 5cm quot', 'TT sol 5cm quot', 0.10, '', '', 'Degrees C', 'daily\r', 0, 0),
	(73, 'TTS010', 'TT sol 10cm quot', 'TT sol 10cm quot', 0.10, '', '', 'Degrees C', 'daily\r', 0, 0),
	(74, 'TTS020', 'TT sol 20cm quot', 'TT sol 20cm quot', 0.10, '', '', 'Degrees C', 'daily\r', 0, 0),
	(75, 'SOIL50', 'Temp  Soil50 Dly', 'Temperature  soil  daily at 50 cm', 0.10, '440.00', '-50.00', 'Degrees C', 'daily\r', 0, 0),
	(76, 'SOIL1M', 'Temp  Soil100 Dly', 'Temperature  soil  daily at 100 cm', 0.10, '440.00', '100.00', 'Degrees C', 'daily\r', 0, 0),
	(77, 'SOIL6', 'Temp  Soil150 Dly', 'Temperature  soil  daily at 150 cm', 0.10, '440.00', '-50.00', 'Degrees C', 'daily\r', 0, 0),
	(78, 'SOIL7', 'Temp  Soil200 Dly', 'Temperature  soil  daily at 200 cm', 0.10, '', '', 'Degrees C', 'daily\r', 0, 0),
	(79, 'SOIL8', 'Temp  Soil300 Dly', 'Temperature  soil  daily at 300 cm', 0.10, '', '', 'Degrees C', 'daily\r', 0, 0),
	(80, 'MXSOIL', 'Temp Soil Dly Max', 'Temperature  soil  daily maximum', 0.10, '', '', 'Degrees C', 'daily\r', 0, 0),
	(81, 'MNSOIL', 'Temp Soil Dly Min', 'Temperature  soil  daily minimum', 0.10, '350.00', '-100.00', 'Degrees C', 'daily\r', 0, 0),
	(82, 'DSOIL', 'Temp  Soil Dly', 'Temperature  soil  daily', 0.10, '', '', 'Degrees C', 'daily\r', 0, 0),
	(83, 'STRMFL', 'Stream Flow Dly Mean', 'Stream flow  Daily mean', 1.00, '', '', 'Meters**3/Second', 'daily\r', 0, 0),
	(84, 'SUNSHN', 'Sunshine  Daily Tot', 'Sunshine  Daily total amount', 0.10, '135.00', '0.00', 'Minutes', 'daily\r', 0, 0),
	(85, 'GRSMIN', 'Grasss Min  Temp 06Z', 'Grass Minimum Temperature at 06Z', 0.10, '360.00', '-100.00', 'Degrees C', 'daily\r', 0, 0),
	(86, 'LLDD', 'Lightning  Direction Dly', 'Lightning  direction daily', 1.00, '', '', 'coded', 'daily\r', 0, 0),
	(87, 'HHHD', 'Hail  Size  Daily', 'Hail  size  daily(updated)', 1.00, '', '', 'coded', 'daily\r', 0, 0),
	(91, '24hVPD', '24 Hr Mean VPD', 'Mean Vapour Pressure Deficit over 24 hours', 0.10, '', '', 'Hectopascals', 'daily\r', 0, 0),
	(92, '24hWB', '24 Hr Mean Wet Bulb Temp', 'Mean Wetbulb temperature over 24 hours', 0.10, '', '', 'Degrees C', 'daily\r', 0, 0),
	(93, 'PSTWX', '24 Hr Past Wx', '24 Hour past weather', 1.00, '9.00', '0.00', 'Coded', 'daily\r', 0, 0),
	(94, 'MXMNDIFF', '24 Hr Temp Range', '24 Hr Temperature range', 0.10, '', '', 'Degrees C', 'daily\r', 0, 0),
	(95, 'PrInTi', 'Precip Intensity Time', 'Number of minutes for the classified amounts of rain', 1.00, '', '', 'Minutes', 'daily\r', 0, 0),
	(96, 'JardIn', 'Precip Intensity Jardi', 'Jardi Rainfall Intensity', 1.00, '', '', 'Millimeters', 'daily\r', 0, 0),
	(97, 'DifRad', 'Diff Radiation', 'Diffuse Radiation measured by Moll-Kipp Solarimeter', 0.10, '', '', 'Megajoules/M**2', 'daily\r', 0, 0),
	(98, 'WINDTOT20', 'Wind Totalizer  18Z', 'Wind Totalizer at 18Z', 0.10, '999999.00', '0.00', 'Km', 'daily\r', 0, 0),
	(99, 'WINDRUN08', 'Wind Totalizer  06Z', 'Wind Totalizer at 06Z', 0.10, '999999.00', '0.00', 'Km', 'daily\r', 0, 0),
	(101, 'TEMPDB', 'Temp  Dry Bulb', 'Temperature  dry bulb', 0.10, '400.00', '130.00', 'Degrees C', 'hourly\r', 0, 1),
	(102, 'TEMPWB', 'Temp  Wet Bulb', 'Temperature  wet bulb', 0.10, '400.00', '120.00', 'Degrees C', 'hourly\r', 0, 1),
	(103, 'TEMPDP', 'Temp  Dew Point', 'Temperature  dew point', 0.10, '400.00', '80.00', 'Degrees C', 'hourly\r', 0, 1),
	(104, 'PRECIP', 'Precip  Hourly Total', 'Precipitation  total hourly', 0.10, '1000.00', '0.00', 'Millimeters', 'hourly\r', 0, 0),
	(105, 'RELHUM', 'Relative Humidty 06Z', 'Relative humidity at 06Z', 1.00, '100.00', '0.00', 'Percent', 'hourly\r', 0, 1),
	(106, 'PRESST', 'Pressure  Station', 'Pressure  station', 0.10, '155050.00', '7000.00', 'Hectopascals', 'hourly\r', 0, 1),
	(107, 'PRESSL', 'Pressure  Sea Level', 'Pressure  sea level', 0.10, '1505050.00', '8000.00', 'Hectopascals', 'hourly\r', 0, 1),
	(108, 'ALTMTR', 'Altimeter Setting', 'Altimeter setting', 0.10, '', '', 'Millibars', 'hourly\r', 0, 0),
	(109, 'CEIL', 'Ceiling', 'Ceiling', 1.00, '', '', 'Coded', 'hourly\r', 0, 0),
	(110, 'VISBY', 'Visibility Hor', 'Visibility  horizontal', 0.10, '40000.00', '0.00', 'Coded', 'hourly\r', 0, 0),
	(111, 'WNDSPD', 'Wind Speed in Knots', 'Wind speed in Knots', 1.00, '30.00', '0.00', 'Knots', 'hourly\r', 0, 1),
	(112, 'WNDDIR', 'Wind Direction', 'Wind direction', 0.10, '36.00', '0.00', 'Degrees C', 'hourly\r', 0, 1),
	(113, 'WNDMIL', 'Wind Mileage Hly', 'Wind mileage  hourly', 1.00, '', '', 'Kilometers', 'hourly\r', 0, 0),
	(114, 'CLDTOT', 'Cloud Cover  total', 'Cloud cover  total', 1.00, '8.00', '0.00', 'Octas', 'hourly\r', 0, 0),
	(115, 'CLDOPC', 'Cloud Opacty tot', 'Cloud opacity  total', 1.00, '', '', 'Octas', 'hourly\r', 0, 0),
	(116, 'CLDAM1', 'Cloud Amt  Lvl 1', 'Cloud  amount of the lowest layer', 1.00, '8.00', '0.00', 'Octas', 'hourly\r', 0, 0),
	(117, 'TYPCO1', 'Cloud Type  Low', 'Cloud  type Low', 1.00, '', '', 'Coded', 'hourly\r', 0, 0),
	(118, 'CLDHT1', 'Cloud Height  Lvl 1', 'Cloud  height of the lowest layer', 1.00, '', '', 'Coded', 'hourly\r', 0, 0),
	(119, 'CLDOP1', 'Cloud Opacity  Lvl1', 'Cloud  opacity of the lowest layer', 1.00, '', '', 'Octas', 'hourly\r', 0, 0),
	(120, 'CLDAM2', 'Cloud Amt  Lvl 2', 'Cloud  amount of the second layer', 1.00, '8.00', '0.00', 'Octas', 'hourly\r', 0, 0),
	(121, 'CLDTY2', 'Cloud Type  Lvl 2', 'Cloud  type of the second layer', 1.00, '9.00', '0.00', 'Coded', 'hourly\r', 0, 0),
	(122, 'CLDHT2', 'Cloud Height  Lvl 2', 'Cloud  height of the second layer', 1.00, '', '', 'Coded', 'hourly\r', 0, 0),
	(123, 'CLDOP2', 'Cloud Opacity  lvl2', 'Cloud  opacity of the second layer', 1.00, '', '', 'Octas', 'hourly\r', 0, 0),
	(124, 'CLDAM3', 'Cloud Amt  Lvl 3', 'Cloud  amount of the third layer', 1.00, '8.00', '0.00', 'Octas', 'hourly\r', 0, 0),
	(125, 'CLDTY3', 'Cloud Type  Lvl 3', 'Cloud  type of the third layer', 1.00, '9.00', '0.00', 'Coded', 'hourly\r', 0, 0),
	(126, 'CLDHT3', 'Cloud Height  Lvl 3', 'Cloud  height of the third layer', 1.00, '', '', 'Coded', 'hourly\r', 0, 0),
	(127, 'CLDOP3', 'Cloud Opacity  Lvl3', 'Cloud  opacity of the third layer', 1.00, '', '', 'Octas', 'hourly\r', 0, 0),
	(128, 'CLDAM4', 'Cloud Amt  Lvl 4', 'Cloud  amount of the fourth layer', 1.00, '', '', 'Octas', 'hourly\r', 0, 0),
	(129, 'CLDTY4', 'Cloud Type  Lvl 4', 'Cloud  type of the fourth layer', 1.00, '', '', 'Coded', 'hourly\r', 0, 0),
	(130, 'CLDHT4', 'Cloud Height  Lvl 4', 'Cloud  height of the fourth layer', 1.00, '', '', 'Coded', 'hourly\r', 0, 0),
	(131, 'CLDAP4', 'Cloud Opacity  Lvl4', 'Cloud  opacity of the fourth layer', 1.00, '', '', 'Octas', 'hourly\r', 0, 0),
	(132, 'SUN', 'Sunshine Hly Tot', 'Sunshine  total hourly', 1.00, '', '', 'Minutes', 'hourly\r', 0, 0),
	(133, 'RADGLS', 'Radiation Global', 'Radiation  global solar', 0.10, '', '', 'Megajoules/M**2', 'hourly\r', 0, 0),
	(134, 'RADSKY', 'Radiation  Sky', 'Radiation  sky', 0.10, '', '', 'Megajoules/M**2', 'hourly\r', 0, 0),
	(135, 'RADRES', 'Radiation  Reflected', 'Radiation  reflected solar', 0.10, '', '', 'Megajoules/M**2', 'hourly\r', 0, 0),
	(136, 'RADNAW', 'Radiation  Net All Wave', 'Radiation  net all wave', 0.10, '', '', 'Megajoules/M**2', 'hourly\r', 0, 0),
	(137, 'RADDWN', 'Radiation  Totol Down', 'Radiation  total downward', 0.01, '', '', 'Megajoules/M**2', 'hourly\r', 0, 0),
	(138, 'RADUP', 'Radiation  Total Up', 'Radiation  total upward', 0.10, '', '', 'Megajoules/M**2', 'hourly\r', 0, 0),
	(139, 'RADDSL', 'Radiation Direct', 'Radiation  direct solar', 0.10, '', '', 'Megajoules/M**2', 'hourly\r', 0, 0),
	(140, 'TORN', 'Weather-Tornado', 'Weather  tornado  1=Tornado  2=Funnel', 1.00, '', '', 'Coded', 'hourly\r', 0, 0),
	(141, 'THUNDR', 'Weather-Thunder', 'Weather  thunderstorms', 1.00, '', '', 'Coded', 'hourly\r', 0, 0),
	(142, 'RAIN', 'Weather-Rain', 'Weather  rain', 1.00, '', '', 'Coded', 'hourly\r', 0, 0),
	(143, 'RNSHW', 'Weather-Showers', 'Weather  rain showers', 1.00, '', '', 'Coded', 'hourly\r', 0, 0),
	(144, 'DRZZL', 'Weather-Drizzle', 'Weather  drizzle', 1.00, '', '', 'Coded', 'hourly\r', 0, 0),
	(145, 'FRZRN', 'Weather-Frz Rain', 'Weather  freezing rain', 1.00, '', '', 'Coded', 'hourly\r', 0, 0),
	(146, 'FRZDRZ', 'Weather-Frz Driz', 'Weather  freezing drizzle', 1.00, '', '', 'Coded', 'hourly\r', 0, 0),
	(147, 'SNOW', 'Weather-Snow', 'Weather  snow', 1.00, '', '', 'Coded', 'hourly\r', 0, 0),
	(148, 'SNWSHW', 'Weather-Snow-Shwr', 'Weather  snow showers', 1.00, '', '', 'Coded', 'hourly\r', 0, 0),
	(149, 'SNWGRN', 'Weather-Snow-Grn', 'Weather  snow grains', 1.00, '', '', 'Coded', 'hourly\r', 0, 0),
	(150, 'ICE', 'Weather-Ice-Crys', 'Weather  ice crystals', 1.00, '', '', 'Coded', 'hourly\r', 0, 0),
	(151, 'ICEPLT', 'Weather-Ice-Pell', 'Weather  ice pellets', 1.00, '', '', 'Coded', 'hourly\r', 0, 0),
	(152, 'HAIL', 'Weather-Hail', 'Weather  hail', 1.00, '', '', 'Coded', 'hourly\r', 0, 0),
	(153, 'FOG', 'Weather-Fog', 'Weather  fog', 1.00, '', '', 'Coded', 'hourly\r', 0, 0),
	(154, 'ICEFOG', 'Weather-Ice Fog', 'Weather  ice fog', 1.00, '', '', 'Coded', 'hourly\r', 0, 0),
	(155, 'SMOKE', 'Weather-Smoke', 'Weather  smoke', 1.00, '', '', 'Coded', 'hourly\r', 0, 0),
	(156, 'HAZE', 'Weather-Haze', 'Weather  haze', 1.00, '', '', 'Coded', 'hourly\r', 0, 0),
	(157, 'BLWSNW', 'Weather-Blw-Snow', 'Weather  blowing snow', 1.00, '', '', 'Coded', 'hourly\r', 0, 0),
	(158, 'BLWSND', 'Weather-Blw-Sand', 'Weather  blowing sand', 1.00, '', '', 'Coded', 'hourly\r', 0, 0),
	(159, 'BLWDST', 'Weather-Blw-Dust', 'Weather  blowing dust', 1.00, '', '', 'Coded', 'hourly\r', 0, 0),
	(160, 'SQUALL', 'Weather-Squall', 'Weather  squall', 1.00, '', '', 'Coded', 'hourly\r', 0, 0),
	(161, 'RAINSQ', 'Weather-Rain Sq', 'Weather  rain squall', 1.00, '', '', 'Coded', 'hourly\r', 0, 0),
	(162, 'SNOWSQ', 'Weather-Snow Sq', 'Weather  snow squall', 1.00, '', '', 'Coded', 'hourly\r', 0, 0),
	(163, 'SNOWPL', 'Weather-Snow pel', 'Weather  snow pellets', 1.00, '', '', 'Coded', 'hourly\r', 0, 0),
	(164, 'GRDFOG', 'Weather-Grnd fog', 'Weather  ground fog', 1.00, '', '', 'Coded', 'hourly\r', 0, 0),
	(165, 'GLAZE', 'Weather-Glaze', 'Weather  glaze', 1.00, '', '', 'Coded', 'hourly\r', 0, 0),
	(166, 'VAPPSR', 'Vapor Pressure', 'Vapor Pressure', 0.10, '', '', 'Hectopascals', 'hourly\r', 0, 0),
	(167, 'PRSWX', 'Present Weather', 'Present Weather (WMO Synoptic Code)', 1.00, '', '', 'Coded', 'hourly\r', 0, 0),
	(168, 'CLD-1', 'Cloud Amt Type Height Lvl1', 'Cloud  amount type height level 1 (WMO code)', 1.00, '', '', 'Coded', 'hourly\r', 0, 0),
	(169, 'CLD-2', 'Cloud Amt Type Height Lvl2', 'Cloud  amount type height level 2 (WMO code)', 1.00, '', '', 'Coded', 'hourly\r', 0, 0),
	(170, 'CLD-3', 'Cloud Amt Type Height Lvl3', 'Cloud  amount type height level 3 (WMO code)', 1.00, '', '', 'Coded', 'hourly\r', 0, 0),
	(171, 'CLD-4', 'Cloud Amt Type Height Lvl4', 'Cloud  amount type height level 4 (WMO code)', 1.00, '', '', 'Coded', 'hourly\r', 0, 0),
	(172, 'MIXRAT', 'Mixing Ratio', 'Mixing ratio', 1.00, '', '', 'Grams/KG', 'hourly\r', 0, 0),
	(173, '15PRCP', 'Precip  Tot 15 Min', 'Precipitation  total 15 minute', 0.10, '', '', 'Millimeters', 'hourly\r', 0, 0),
	(174, '3HPRCP', 'Precip  Tot 3 Hours', 'Precipitation  total 3 hourly', 0.10, '1000.00', '0.00', 'Millimeters', 'hourly\r', 0, 0),
	(175, 'TMP005', 'Temp  Soil05 Hly', 'Temperature  soil  hourly at 5 cm', 0.10, '', '', 'Degrees C', 'hourly\r', 0, 0),
	(176, 'TMP010', 'Temp  Soil10 Hly', 'Temperature  soil  hourly at 10 cm', 0.10, '', '', 'Degrees C', 'hourly\r', 0, 0),
	(177, 'TMP020', 'Temp  Soil20 Hly', 'Temperature  soil  hourly at 20 cm', 0.10, '', '', 'Degrees C', 'hourly\r', 0, 0),
	(178, 'TMP030', 'Temp  Soil30 Hly', 'Temperature  soil  hourly at 30 cm', 0.10, '', '', 'Degrees C', 'hourly\r', 0, 0),
	(179, 'TMP060', 'Temp  Soil60 Hly', 'Temperature  soil  hourly at 60 cm', 0.10, '', '', 'Degrees C', 'hourly\r', 0, 0),
	(180, 'TMP120', 'Temp  Soil120 Hly', 'Temperature  soil  hourly at 120 cm', 0.10, '', '', 'Degrees C', 'hourly\r', 0, 0),
	(181, 'WINDSPDAVG', 'Wind  Spd  Avg Hly', 'Wind speed  hourly average', 0.10, '', '', 'Knots', 'hourly\r', 0, 0),
	(182, 'TMP200', 'Temp  Soil200 Hly', 'Temperature  soil  hourly at 200 cm', 0.10, '', '', 'Degrees C', 'hourly\r', 0, 0),
	(183, 'THMGRF', 'Temp  THMGRF Hly', 'Temperature of Thermograph', 0.10, '', '', 'Degrees C', 'hourly\r', 0, 0),
	(184, 'RHHYGR', 'RH  Hygrograph Hly', 'Relative humidity hygrograph', 1.00, '100.00', '0.00', 'Percent', 'hourly\r', 0, 0),
	(185, 'PREGPM', 'Pressure  GPM', 'Reduced Pressure  Geopotential Metres', 1.00, '', '', 'Hectopascals', 'hourly\r', 0, 0),
	(186, 'PREQNH', 'Pressure  QNH', 'Reduced Pressure  QNH', 1.00, '', '', 'Hectopascals', 'hourly\r', 0, 0),
	(187, 'WINTOT', 'Wind Mileage Total', 'Wind mileage  Total', 1.00, '', '', 'Kilometers', 'hourly\r', 0, 0),
	(190, 'CLDTY1', 'Cloud Type  Lvl 1', 'Cloud  type of the lowest layer', 1.00, '', '', 'Coded', 'hourly\r', 0, 0),
	(191, 'LCLOUD', 'Lowest Cloud', 'Amount of all CsubL or if no CsubL  amount of CsubM', 1.00, '', '', 'Octas', 'hourly\r', 0, 0),
	(192, 'LCHGHT', 'Cloud Height Lowest Lvl', 'Cloud  height of the lowest layer', 1.00, '', '', 'Coded', 'hourly\r', 0, 0),
	(193, 'MCTYPE', 'Cloud  Medium Lvl  Type', 'Cloud  Medium Level Type', 1.00, '', '', 'Coded', 'hourly\r', 0, 0),
	(194, 'MCAMNT', 'Cloud medium Lvl Amnt', 'Cloud  Medium Level Amount', 1.00, '', '', 'Coded', 'hourly\r', 0, 0),
	(195, 'HCTYPE', 'Cloud  High Lvl Type', 'Cloud High Level Type', 1.00, '', '', 'Code', 'hourly\r', 0, 0),
	(196, 'HCAMNT', 'Cloud Amnt  High Lvl', 'Cloud Amount  High Level', 1.00, '8.00', '0.00', 'Octas', 'hourly\r', 0, 0),
	(197, 'MAXVIS', 'Visibility Max', 'Visibility  Maximum (00-89)', 1.00, '', '', 'Km', 'hourly\r', 0, 0),
	(198, 'MINVIS', 'Visibility  Min', 'Visibility  Minimum (00-89)', 1.00, '', '', 'Km', 'hourly\r', 0, 0),
	(199, 'MXTWNK', 'Twinkies  Max Dly', 'Twinkies  maximum daily ingestion rate  by running kilometer', 1.00, '', '', 'KM/Hour', 'hourly\r', 0, 0),
	(201, 'MNMXTM', 'Temp  Mean Max Dly', 'Temperature  monthly mean maximum daily', 0.10, '', '', 'Degrees C', 'monthly\r', 0, 0),
	(202, 'MNMNTM', 'Temp  Mean Min Dly', 'Temperature  monthly mean minimum daily', 0.10, '', '', 'Degrees C', 'monthly\r', 0, 0),
	(203, 'MNTMP', 'Temp Mean Mly', 'Temperature  monthly mean', 0.10, '', '', 'Degrees C', 'monthly\r', 0, 0),
	(204, 'XMXTMP', 'Temp Extreme Max', 'Temperature  extreme maximum monthly temperature', 0.10, '', '', 'Degrees C', 'monthly\r', 0, 0),
	(205, 'DMXTMP', 'Date of Extreme  Max', 'Date of the extreme maximum temperature', 1.00, '', '', 'Unitless', 'monthly\r', 0, 0),
	(206, 'XMNTMP', 'Temp Extreme Min', 'Temperature  extreme minimum monthly temperature', 0.10, '', '', 'Degrees C', 'monthly\r', 0, 0),
	(207, 'DMNTMP', 'Date of Extreme Min', 'Date of the extreme minimum temperature', 1.00, '', '', 'Unitless', 'monthly\r', 0, 0),
	(208, 'TOTPRC', 'Precip Total Mly', 'Precipitation  total monthly', 0.10, '', '', 'Millimeters', 'monthly\r', 0, 0),
	(209, 'TOTSNW', 'Snow  Total Mly', 'Snowfall  total monthly', 1.00, '', '', 'Centimeters', 'monthly\r', 0, 0),
	(210, 'MXPRCP', 'Precip  Max in the Month', 'Precipitation  greatest daily in the month', 0.10, '', '', 'Millimeters', 'monthly\r', 0, 0),
	(211, 'DMXPRC', 'Date of Max Precip', 'Date of the greatest daily precipitation', 1.00, '', '', 'Unitless', 'monthly\r', 0, 0),
	(212, 'MXSNOW', 'Snowfall Max Dly', 'Snowfall  greatest daily in the month', 1.00, '', '', 'Centimeters', 'monthly\r', 0, 0),
	(213, 'DMXSNW', 'Date of Max Snow', 'Date of the greatest daily snowfall', 1.00, '', '', 'Unitless', 'monthly\r', 0, 0),
	(214, 'EVAPPN', 'Evap  Pan  Mly', 'Evaporation  pan  total monthly', 0.10, '', '', 'Millimeters', 'monthly\r', 0, 0),
	(215, 'EVAPLK', 'Evap  Lake  Mly', 'Evaporation  lake  total monthly', 0.10, '', '', 'Millimeters', 'monthly\r', 0, 0),
	(216, 'MMXPAN', 'Temp  Evap Pan Mly Mean Max', 'Temperature  evap pan  monthly mean maximum daily', 0.10, '', '', 'Degrees C', 'monthly\r', 0, 0),
	(217, 'MMNPAN', 'Temp  Evap Pan Mly Mean Min', 'Temperature  evap pan  monthly mean minimum daily', 0.10, '', '', 'Degrees C', 'monthly\r', 0, 0),
	(218, 'MNPAN', 'Temp  Evap Pan Mly Mean  ', 'Temperature  evap pan  monthly mean', 0.10, '', '', 'Degrees C', 'monthly\r', 0, 0),
	(219, 'XMXPAN', 'Temp  Evap Pan Extreme Mly Max', 'Temperature  evap pan  extreme monthly maximum', 0.10, '', '', 'Degrees C', 'monthly\r', 0, 0),
	(220, 'DMXPAN', 'Date of Extreme Max Pan', 'Date of extreme max daily temp of evap pan', 1.00, '', '', 'Unitless', 'monthly\r', 0, 0),
	(221, 'XMNPAN', 'Temp Evap  Pan Extreme Mly Min', 'Temperature  evap pan  extreme monthly minimum', 0.10, '', '', 'Degrees C', 'monthly\r', 0, 0),
	(222, 'DMNPAN', 'Date of Extreme Min Pan', 'Date of extreme min daily temp of evap pan', 1.00, '', '', 'Unitless', 'monthly\r', 0, 0),
	(223, 'HDD1', 'HTNG Degree Days Tot Mly Base1', 'Heating degree days  total monthly - Base1', 1.00, '', '', 'Unitless', 'monthly\r', 0, 0),
	(224, 'HDD2', 'HTNG Degree Days Total Mly Base2', 'Heating degree days  total monthly - Base2', 1.00, '', '', 'Unitless', 'monthly\r', 0, 0),
	(225, 'CDD1', 'CLNG Degree Tot Mly Base1', 'Cooling degree days  total monthly - Base1', 1.00, '', '', 'Unitless', 'monthly\r', 0, 0),
	(226, 'CDD2', 'CLNG Degree Tot Mly Base2', 'Cooling degree days  total monthly - Base2', 1.00, '', '', 'Unitless', 'monthly\r', 0, 0),
	(227, 'GDD1', 'GRNG Degree Days Tot Mly Base1', 'Growing degree days  total monthly - Base1', 1.00, '', '', 'Unitless', 'monthly\r', 0, 0),
	(228, 'GDD2', 'GRNG Degree Days Tot Mly Base2', 'Growing degree days  total monthly - Base2', 1.00, '', '', 'Unitless', 'monthly\r', 0, 0),
	(229, 'DYRAIN', 'Days with Rain', 'Days  number with rainfall', 1.00, '', '', 'Unitless', 'monthly\r', 0, 0),
	(230, 'DYTHND', 'Days with Thunder', 'Days  number with thunderstorms', 1.00, '', '', 'Unitless', 'monthly\r', 0, 0),
	(231, 'DYHAIL', 'Days with Hail', 'Days  number with hail', 1.00, '', '', 'Unitless', 'monthly\r', 0, 0),
	(232, 'DYFOG', 'Days with Fog', 'Days  number with fog', 1.00, '', '', 'Unitless', 'monthly\r', 0, 0),
	(233, 'DYSAND', 'Days with Dust', 'Days  number with blowing sand or dust', 1.00, '', '', 'Unitless', 'monthly\r', 0, 0),
	(234, 'DYSMOK', 'Days with Smoke', 'Days  number with smoke or thick haze', 1.00, '', '', 'Unitless', 'monthly\r', 0, 0),
	(235, 'DYSNOW', 'Days with Snow', 'Days  number with snow', 1.00, '', '', 'Unitless', 'monthly\r', 0, 0),
	(236, 'DYBSNW', 'Days with Blw snow ', 'Days  number with blowing snow', 1.00, '', '', 'Unitless', 'monthly\r', 0, 0),
	(237, 'DYWND1', 'Days wth wind > 10', 'Days  number with wind greater than 10 m/sec', 1.00, '', '', 'Unitless', 'monthly\r', 0, 0),
	(238, 'DYWND5', 'Days wth wind >15', 'Days  number with wind greater than 15 m/sec', 1.00, '', '', 'Unitless', 'monthly\r', 0, 0),
	(239, 'DYGLAZ', 'Days with Glaze', 'Days  number with glaze(freezing rain)', 1.00, '', '', 'Unitless', 'monthly\r', 0, 0),
	(240, 'DYTML1', 'Days temp < 1', 'Days  number with temp less than base 1', 1.00, '', '', 'Unitless', 'monthly\r', 0, 0),
	(241, 'DYTML2', 'Days temp < 2', 'Days  number with temp less than base 2', 1.00, '', '', 'Unitless', 'monthly\r', 0, 0),
	(242, 'DYTML3', 'Days temp < 3', 'Days  number with temp less than base 3', 1.00, '', '', 'Unitless', 'monthly\r', 0, 0),
	(243, 'DYTMG1', 'Days temp > 1', 'Days  number with temp greater than base 1', 1.00, '', '', 'Unitless', 'monthly\r', 0, 0),
	(244, 'DYTMG2', 'Days temp > 2', 'Days  number with temp greater than base 2', 1.00, '', '', 'Unitless', 'monthly\r', 0, 0),
	(245, 'DYTMG3', 'Days temp > 3', 'Days  number with temp greater than base 3', 1.00, '', '', 'Unitless', 'monthly\r', 0, 0),
	(246, 'DYPRG1', 'Days precip > 1', 'Days  number with precip greater than base 1', 1.00, '', '', 'Unitless', 'monthly\r', 0, 0),
	(247, 'DYPRG2', 'Days precip > 2', 'Days  number with precip greater than base 2', 1.00, '', '', 'Unitless', 'monthly\r', 0, 0),
	(248, 'DYPRG3', 'Days precip > 3', 'Days  number with precip greater than base 3', 1.00, '', '', 'Unitless', 'monthly\r', 0, 0),
	(249, 'MNMXDP', 'Temp Dew Point Mean Max Mly', 'Temperature  dew point  mean maximum monthly', 0.10, '', '', 'Degrees C', 'monthly\r', 0, 0),
	(250, 'MNMNDP', 'Temp Dew Point Mean Min Mly', 'Temperature  dew point  mean minimum monthly', 0.10, '', '', 'Degrees C', 'monthly\r', 0, 0),
	(251, 'MNDP', 'Temp Dew Point Mean Mly', 'Temperature  dew point  mean monthly', 0.10, '', '', 'Degrees C', 'monthly\r', 0, 0),
	(252, 'EXMXDP', 'Temp  Dew Point Max Mly ', 'Temperature  dew point  extreme monthly maximum', 0.10, '', '', 'Degrees C', 'monthly\r', 0, 0),
	(253, 'DXMXDP', 'Date Extreme Mx  Dew Point Mly', 'Date of extreme maximum monthly dewpoint', 1.00, '', '', 'Unitless', 'monthly\r', 0, 0),
	(254, 'EXMNDP', 'Temp  Dew Point Mly Min', 'Temperature  dew point  extreme monthly minimum', 0.10, '', '', 'Degrees C', 'monthly\r', 0, 0),
	(255, 'DXMNDP', 'Date Extreme  Min Dew Point  Mly', 'Date of extreme minimum monthly dewpoint', 1.00, '', '', 'Unitless', 'monthly\r', 0, 0),
	(256, 'MNMXRH', 'RH  Mean Max', 'Relative humidity  mean maximum monthly', 1.00, '100.00', '0.00', 'Percent', 'monthly\r', 0, 0),
	(257, 'MNMNRH', 'RH  Mean Min', 'Relative humidity  mean minimum monthly', 1.00, '100.00', '0.00', 'Percent', 'monthly\r', 0, 0),
	(258, 'MNRH', 'RH  Mean Mly', 'Relative humidity  mean monthly', 1.00, '100.00', '0.00', 'Percent', 'monthly\r', 0, 0),
	(259, 'EXMXRH', 'RH  Extreme Max Mly', 'Relative humidity  extreme monthly maximum', 1.00, '100.00', '0.00', 'Percent', 'monthly\r', 0, 0),
	(260, 'DXMXRH', 'Date Extreme Mx RH', 'Date of extreme maximum monthly relative humidity', 1.00, '', '', 'Unitless', 'monthly\r', 0, 0),
	(261, 'EXMNRH', 'RH  Extreme Min Mly', 'Relative humidity  extreme monthly minimum', 1.00, '100.00', '0.00', 'Percent', 'monthly\r', 0, 0),
	(262, 'DXMNRH', 'Date Extreme Min RH Mly', 'Date of extreme minimum monthly relative  humidity', 1.00, '', '', 'Unitless', 'monthly\r', 0, 0),
	(263, 'EVAPMX', 'Evap  Max Dly', 'Evaporation  greatest daily in the month', 0.10, '', '', 'Millimeters', 'monthly\r', 0, 0),
	(264, 'DMXEVP', 'Date of Max Evap', 'Date of the greatest daily evaporation in the month', 1.00, '', '', 'Unitless', 'monthly\r', 0, 0),
	(265, 'MYTORN', 'Days with tornado', 'Days  number with tornado', 1.00, '', '', 'Unitless', 'monthly\r', 0, 0),
	(266, 'MYICEP', 'Days with Ice Plt', 'Days with ice pellets', 1.00, '', '', 'Unitless', 'monthly\r', 0, 0),
	(267, 'MYGDRZ', 'Days with Drizzle', 'Days with drizzle', 1.00, '', '', 'Unitless', 'monthly\r', 0, 0),
	(268, 'MLYSUN', 'Sunshine  Mly Tot', 'Sunshine  Monthly total', 0.10, '', '', 'Hours', 'Monthly', 0, 0),
	(269, 'MSOIL8', 'Temp  Soil300 Mean Mly', 'Temperature  soil  monthly mean at 300 cm', 0.10, '', '', 'Degrees C', 'monthly\r', 0, 0),
	(270, 'MSOIL7', 'Temp  Soil200 Mean Mly', 'Temperature  soil  monthly mean at 200 cm', 0.10, '', '', 'Degrees C', 'monthly\r', 0, 0),
	(271, 'MSOIL6', 'Temp  soil150 Mean Mly', 'Temperature  soil  monthly mean at 150 cm', 0.10, '', '', 'Degrees C', 'monthly\r', 0, 0),
	(272, 'MSOL1M', 'Temp  soil100 Mean Mly', 'Temperature  soil  monthly mean at 100 cm', 0.10, '', '', 'Degrees C', 'monthly\r', 0, 0),
	(273, 'MSOL50', 'Temp  soil50 Mean  Mly', 'Temperature  soil  monthly mean at 50 cm', 0.10, '', '', 'Degrees C', 'monthly\r', 0, 0),
	(274, 'MSOL20', 'Temp  soil20 Mean Mly', 'Temperature  soil  monthly mean at 20 cm', 0.10, '', '', 'Degrees C', 'monthly\r', 0, 0),
	(275, 'MSOL10', 'Temp  soil10 Mean Mly', 'Temperature  soil  monthly mean at 10 cm', 0.10, '', '', 'Degrees C', 'monthly\r', 0, 0),
	(276, 'MSOL05', 'Temp  soil05 Mean Mly', 'Temperature  soil  monthly mean at 5 cm', 0.10, '', '', 'Degrees C', 'monthly\r', 0, 0),
	(281, '24hVPD', '24 Hr Mean Mly VPD ', 'Mean monthly 24 hour Vapour Pressure Deficit', 0.10, '', '', 'Hectopascals', 'monthly\r', 0, 0),
	(286, 'GMnMMn', 'GrMin Mly Mean', 'Ground Minimum monthly mean', 0.10, '', '', 'Degrees C', 'monthly\r', 0, 0),
	(287, 'AbGMnM', 'Extreme GrMinAbs', 'Extreme Gr Minimum (Absolute)', 0.10, '', '', 'Degrees C', 'monthly\r', 0, 0),
	(288, 'DEGRMN', 'Day of Ext Gr Min', 'Day of Extreme (Absolute) Ground Minimum', 1.00, '', '', 'Unitless', 'monthly\r', 0, 0),
	(289, 'DHGRMN', 'Days of Highest Gr Min', 'Day of Highest Ground Minimum', 1.00, '', '', 'Unitless', 'monthly\r', 0, 0),
	(290, 'HTGRMN', 'Highest Ground Min', 'Highest Ground Minimum', 0.10, '', '', 'Degrees C', 'monthly\r', 0, 0),
	(294, 'CLMDly', 'Cloud Mean Dly', 'Mean Daily Cloud amount for the month', 0.10, '', '', 'Octas', 'monthly\r', 0, 0),
	(295, 'RadMnD', 'Rad Mean Dly', 'Daily Mean Total radiation for the month', 0.10, '', '', 'Megajoules/M**2', 'monthly\r', 0, 0),
	(296, 'WETBMO', 'Temp WetBulb Mly', 'Mean wet bulb temperature for the month', 0.10, '', '', 'Degrees C', 'monthly\r', 0, 0),
	(297, 'WiSpMo', 'Wind Speed Mly', 'Mean wind speed in the month  cup counter or anemog', 0.10, '', '', 'Knots', 'monthly\r', 0, 0),
	(298, 'VPDMnM', 'Mean Monthly VPD', 'Mean monthly VPD', 0.10, '', '', 'Hectopascals', 'monthly\r', 0, 0),
	(299, 'PreSta', 'Pressure Station Mean Mly', 'Monthly mean station level pressure', 0.10, '', '', 'Hectopascals', 'monthly\r', 0, 0),
	(301, 'PRESS', 'Pressure Level', 'Pressure level', 1.00, '', '', 'Hectopascals', 'monthly\r', 0, 0),
	(302, 'HEIGHT', 'Height of Pressure Level', 'Height of pressure level', 1.00, '2000.00', '0.00', 'Meters', 'monthly\r', 0, 0),
	(303, 'TEMPDB', 'Temp at Press Lvl', 'Temperature at pressure level', 0.10, '500.00', '-600.00', 'Degrees C', 'monthly\r', 0, 0),
	(304, 'DPTDEP', 'Dew Point Depress at Press Lvl', 'Dew point depression at pressure level', 0.10, '200.00', '0.00', 'Degrees C', 'monthly\r', 0, 0),
	(305, 'WNDDIR', 'Wind Dir at Press Lvl', 'Wind direction at pressure level', 1.00, '360.00', '0.00', 'Degrees C', 'monthly\r', 0, 0),
	(306, 'WNDSPD', 'Wind Spd at Pressure Lvl', 'Wind speed at pressure level', 1.00, '300.00', '0.00', 'Knots', 'monthly\r', 0, 0),
	(399, 'PRESSTEND', 'Press Tendancy  24 Hly', 'Pressure Tendancy  24 hly', 0.10, '100.00', '-100.00', 'Hectopascals', 'Monthly', 0, 0),
	(400, '3HRPPPCHANGE', '3 Hr Pressure Change', 'Three hour pressure change', 0.10, '', '', 'Hecto Pascal', 'hourly', 0, 0),
	(401, 'MNMXTM', '10 Days Temp  Mean Max Dly', 'Temperature  10 day mean maximum daily', 0.10, '', '', 'Degrees C', 'dekadal\r', 0, 0),
	(402, 'MNMNTM', '10 Days Temp  Mean Min Dly', 'Temperature  10 day mean minimum daily', 0.10, '', '', 'Degrees C', 'dekadal\r', 0, 0),
	(403, 'MNTMP', '10 Days Temp Mean Dly', 'Temperature  10 day mean', 0.10, '', '', 'Degrees C', 'dekadal\r', 0, 0),
	(404, 'XMXTMP', '10 Days Temp Extreme Max', 'Temperature  extreme maximum 10 day ', 0.10, '', '', 'Degrees C', 'dekadal\r', 0, 0),
	(405, 'DMXTMP', 'Date of Extreme Temp Max 10 Days', 'Date of the extreme maximum 10 day temperature', 1.00, '', '', 'Unitless', 'dekadal\r', 0, 0),
	(406, 'XMNTMP', '10 Days Temp Extreme Min', 'Temperature  extreme minimum 10 day', 0.10, '', '', 'Degrees C', 'dekadal\r', 0, 0),
	(407, 'DMNTMP', 'Date of Extreme Temp Min 10 Days', 'Date of the extreme minimum 10 day temperature', 1.00, '', '', 'Unitless', 'dekadal\r', 0, 0),
	(408, 'TOTPRC', 'Precip Total 10 Days', 'Precipitation  total 10 day', 0.10, '', '', 'Millimeters', 'dekadal\r', 0, 0),
	(409, 'TOTSNW', 'Snow  Total 10 Days', 'Snowfall  total 10 day', 1.00, '', '', 'Centimeters', 'dekadal\r', 0, 0),
	(410, 'MXPRCP', 'Precip  Max Dly 10 Days', 'Precipitation  greatest daily in the 10 day period', 0.10, '', '', 'Millimeters', 'dekadal\r', 0, 0),
	(411, 'DMXPRC', 'Date of Max Precip 10 Days', 'Date of the greatest daily precipitation in 10 days', 1.00, '', '', 'Unitless', 'dekadal\r', 0, 0),
	(412, 'MXSNOW', 'Snowfall Max Dly 10 Days', 'Snowfall  greatest daily in the 10 day period', 1.00, '', '', 'Centimeters', 'dekadal\r', 0, 0),
	(413, 'DMXSNW', 'Date of Max Dly Snow 10 Days', 'Date of the greatest daily snowfall in 10 days', 1.00, '', '', 'Unitless', 'dekadal\r', 0, 0),
	(414, 'EVAPPN', 'Evap  Pan  Tot  10 Days', 'Evaporation  pan  total 10 day', 0.10, '', '', 'Millimeters', 'dekadal\r', 0, 0),
	(415, 'EVAPLK', 'Evap  Lake  Tot 10 Days', 'Evaporation  lake  total 10 day', 0.10, '', '', 'Millimeters', 'dekadal\r', 0, 0),
	(416, 'MMXPAN', 'Temp  Evap Pan Mean Max Dly 10 Days', 'Temperature  evap pan  10 day mean maximum daily', 0.10, '', '', 'Degrees C', 'dekadal\r', 0, 0),
	(417, 'MMNPAN', 'Temp  Evap Pan Mean Min Dly 10 Days', 'Temperature  evap pan  10 day mean minimum daily', 0.10, '', '', 'Degrees C', 'dekadal\r', 0, 0),
	(418, 'MNPAN', 'Temp  Evap Pan  Mean 10 Days', 'Temperature  evap pan  10 day mean', 0.10, '', '', 'Degrees C', 'dekadal\r', 0, 0),
	(419, 'XMXPAN', 'Temp  Evap Pan Ext Max 10 Days', 'Temperature  evap pan  extreme 10 day maximum', 0.10, '', '', 'Degrees C', 'dekadal\r', 0, 0),
	(420, 'DMXPAN', 'Date of Extreme Max Evap Pan 10 Days', 'Date of extreme max 10 day temp of evap pan', 1.00, '', '', 'Unitless', 'dekadal\r', 0, 0),
	(421, 'XMNPAN', 'Temp  Evap Pan Extreme Min 10 Days', 'Temperature  evap pan  extreme 10 day minimum', 0.10, '', '', 'Degrees C', 'dekadal\r', 0, 0),
	(422, 'DMNPAN', 'Date of Extreme  Evap Pan Min In 10 Days', 'Date of extreme min 10 day temp of evap pan', 1.00, '', '', 'Unitless', 'dekadal\r', 0, 0),
	(423, 'HDD1', 'HTNG Degree Days Tot 10 Days Base1', 'Heating degree days  total 10 day - Base1', 1.00, '', '', 'Unitless', 'dekadal\r', 0, 0),
	(424, 'HDD2', 'HTNG Degree Days Tot 10 Days Base2', 'Heating degree days  total 10 day - Base2', 1.00, '', '', 'Unitless', 'dekadal\r', 0, 0),
	(425, 'CDD1', 'CLNG Degree Tot 10 Days Base1', 'Cooling degree days  total 10 day - Base1', 1.00, '', '', 'Unitless', 'dekadal\r', 0, 0),
	(426, 'CDD2', 'CLNG Degree Tot 10 Days Base2', 'Cooling degree days  total 10 day - Base2', 1.00, '', '', 'Unitless', 'dekadal\r', 0, 0),
	(427, 'GDD1', 'GRWG Degree Days Tot 10 Days Base1', 'Growing degree days  total 10 day - Base1', 1.00, '', '', 'Unitless', 'dekadal\r', 0, 0),
	(428, 'GDD2', 'GRWG Degree Days Tot 10 Days Base2', 'Growing degree days  total 10 day - Base2', 1.00, '', '', 'Unitless', 'dekadal\r', 0, 0),
	(429, 'DYRAIN', 'Days with Rain In 10 Days', 'Days  number with rainfall in 10 days', 1.00, '', '', 'Unitless', 'dekadal\r', 0, 0),
	(430, 'DYTHND', 'Days with Thunder In 10 Days', 'Days  number with thunderstorms in 10 days', 1.00, '', '', 'Unitless', 'dekadal\r', 0, 0),
	(431, 'DYHAIL', 'Days with Hail in 10 Days', 'Days  number with hail in 10 days', 1.00, '', '', 'Unitless', 'dekadal\r', 0, 0),
	(432, 'DYFOG', 'Days with Fog In 10 Days', 'Days  number with fog in 10 days', 1.00, '', '', 'Unitless', 'dekadal\r', 0, 0),
	(433, 'DYSAND', 'Days with Dust In 10 Days', 'Days  number with blowing sand or dust in 10 days', 1.00, '', '', 'Unitless', 'dekadal\r', 0, 0),
	(434, 'DYSMOK', 'Days with Smoke In 10 Days', 'Days  number with smoke or thick haze in 10 days', 1.00, '', '', 'Unitless', 'dekadal\r', 0, 0),
	(435, 'DYSNOW', 'Days with Snow In 10 Days', 'Days  number with snow in 10 days', 1.00, '', '', 'Unitless', 'dekadal\r', 0, 0),
	(436, 'DYBSNW', 'Days with Blow snow In 10 Days', 'Days  number with blowing snow in 10 days', 1.00, '', '', 'Unitless', 'dekadal\r', 0, 0),
	(437, 'DYWND1', 'Days wth wind >10 In 10 Days', 'Days  number with wind greater than 10 m/sec in 10 days', 1.00, '', '', 'Unitless', 'dekadal\r', 0, 0),
	(438, 'DYWND5', 'Days wth wind >15 In 10 Days', 'Days  number with wind greater than 15 m/sec in 10 days', 1.00, '', '', 'Unitless', 'dekadal\r', 0, 0),
	(439, 'DYGLAZ', 'Days with Glaze In 10 Days', 'Days  number with glaze (freezing rain) in 10 days', 1.00, '', '', 'Unitless', 'dekadal\r', 0, 0),
	(440, 'DYTML1', 'Days with Temp < 1 In 10 Days', 'Days  number with temp less than base 1 in 10 days', 1.00, '', '', 'Unitless', 'dekadal\r', 0, 0),
	(441, 'DYTML2', 'Days with Temp < 2 In 10 Days', 'Days  number with temp less than base 2 in 10 days', 1.00, '', '', 'Unitless', 'dekadal\r', 0, 0),
	(442, 'DYTML3', 'Days  with Temp < 3 In 10 Days', 'Days  number with temp less than base 3 in 10 days', 1.00, '', '', 'Unitless', 'dekadal\r', 0, 0),
	(443, 'DYTMG1', 'Days with Temp > 1 In 10 Days', 'Days  number with temp greater than base 1 in 10 days', 1.00, '', '', 'Unitless', 'dekadal\r', 0, 0),
	(444, 'DYTMG2', 'Days with Temp > 2 In 10 Days', 'Days  number with temp greater than base 2 in 10 days', 1.00, '', '', 'Unitless', 'dekadal\r', 0, 0),
	(445, 'DYTMG3', 'Days with Temp > 3 In 10 Days', 'Days  number with temp greater than base 3 in 10 days', 1.00, '', '', 'Unitless', 'dekadal\r', 0, 0),
	(446, 'DYPRG1', 'Days with Precip > 1 In 10 Days', 'Days  number with precip greater than base 1 in 10 days', 1.00, '', '', 'Unitless', 'dekadal\r', 0, 0),
	(447, 'DYPRG2', 'Days with Precip > 2 In 10 Days', 'Days  number with precip greater than base 2 in 10 days', 1.00, '', '', 'Unitless', 'dekadal\r', 0, 0),
	(448, 'DYPRG3', 'Days with Precip > 3 In 10 Days', 'Days  number with precip greater than base 3 in 10 days', 1.00, '', '', 'Unitless', 'dekadal\r', 0, 0),
	(449, 'MNMXDP', 'Temp  Dew Point Mean Max 10 Days', 'Temperature  dew point  mean maximum 10 day', 0.10, '', '', 'Degrees C', 'dekadal\r', 0, 0),
	(450, 'MNMNDP', 'Temp  Dew Point Mean Min 10 Days', 'Temperature  dew point  mean minimum 10 day', 0.10, '', '', 'Degrees C', 'dekadal\r', 0, 0),
	(451, 'MNDP', 'Temp  Dew Point Mean 10 Days', 'Temperature  dew point  mean 10 day', 0.10, '', '', 'Degrees C', 'dekadal\r', 0, 0),
	(452, 'EXMXDP', 'Temp   Dew Point Extreme Max In 10 Days', 'Temperature  dew point  extreme 10 day maximum', 0.10, '', '', 'Degrees C', 'dekadal\r', 0, 0),
	(453, 'DXMXDP', 'Date Extreme Max  Dew Point In 10 Days', 'Date of extreme maximum 10 day dewpoint', 1.00, '', '', 'Unitless', 'dekadal\r', 0, 0),
	(454, 'EXMNDP', 'Temp   Dew Point Extreme Min In 10 Days', 'Temperature  dew point  extreme 10 day minimum', 0.10, '', '', 'Degrees C', 'dekadal\r', 0, 0),
	(455, 'DXMNDP', 'Date Extreme Min  Dew Point In 10 Days', 'Date of extreme minimum 10 day dewpoint', 1.00, '', '', 'Unitless', 'dekadal\r', 0, 0),
	(456, 'MNMXRH', 'RH  Mean Max 10 Days', 'Relative humidity  mean maximum 10 day', 1.00, '100.00', '0.00', 'Percent', 'dekadal\r', 0, 0),
	(457, 'MNMNRH', 'RH  Mean Min 10 Days', 'Relative humidity  mean minimum 10 day', 1.00, '100.00', '0.00', 'Percent', 'dekadal\r', 0, 0),
	(458, 'MNRH', 'RH  Mean 10 Days', 'Relative humidity  mean 10 day', 1.00, '100.00', '0.00', 'Percent', 'dekadal\r', 0, 0),
	(459, 'EXMXRH', 'RH  Extreme Max 10 Days', 'Relative humidity  extreme 10 day maximum', 1.00, '100.00', '0.00', 'Percent', 'dekadal\r', 0, 0),
	(460, 'DXMXRH', 'Date Extreme RH Max in 10 Days', 'Date of extreme maximum 10 day relative humidity', 1.00, '', '', 'Unitless', 'dekadal\r', 0, 0),
	(461, 'EXMNRH', 'RH  Extreme Min 10 Days', 'Relative humidity  extreme 10 day minimum', 1.00, '100.00', '0.00', 'Percent', 'dekadal\r', 0, 0),
	(462, 'DXMNRH', 'Date Extreme RH Min in 10 Days', 'Date of extreme minimum 10 day relative humidity', 1.00, '', '', 'Unitless', 'dekadal\r', 0, 0),
	(463, 'EVAPMX', 'Evap  Max Dly In 10 Days', 'Evaporation  greatest daily in the 10 day period', 0.10, '', '', 'Millimeters', 'dekadal\r', 0, 0),
	(464, 'DMXEVP', 'Date of Max evap Dly In 10 Days', 'Date of the greatest daily evaporation in the 10 day period', 1.00, '', '', 'Unitless', 'dekadal\r', 0, 0),
	(477, 'EVAPPICHE', 'Evap Piche  Daily', 'Evaporation  Piche  daily', 0.10, '90.00', '0.00', 'Millimetres', 'daily\r', 0, 0),
	(478, 'GPM', 'GPM  Dly Avg', 'Geopotential height  daily average', 0.10, '', '', 'metres', 'daily\r', 0, 0),
	(500, 'PRECIP', 'Precip Dly  coded Synop', 'Precip daily  coded for synop', 1.00, '', '', 'Millimetres', 'synop\r', 0, 0),
	(503, 'TEMPDP12', 'Temp  Dew Point 12Z', 'Temperature  dew point at 12Z', 0.10, '', '', 'Degrees C', 'daily\r', 0, 0),
	(504, 'PRECIPDR', 'Precip  Hours', 'Precipitation  total hours', 0.10, '', '', 'Hours', 'daily\r', 0, 0),
	(511, 'TEMPDB12', 'Temp  Dry Bulb 12Z', 'Temperature  dry bulb at 12 Z', 0.10, '460.00', '0.00', 'Degrees C', 'daily\r', 0, 0),
	(512, 'TEMPWB12', 'Temp  Wet bulb 12Z', 'Temperature  wet bulb at 12Z', 0.10, '', '', 'Degrees C', 'daily\r', 0, 0),
	(513, 'WNDRN', 'Wind Mileage Dly', 'Wind mileage  daily', 1.00, '', '', 'Kilometers', 'daily\r', 0, 0),
	(515, 'RELHUM12', 'Relative Humidty 12Z', 'Relative humidity at 12Z', 1.00, '100.00', '0.00', 'Percent', 'daily\r', 0, 0),
	(518, 'EVAPPN2', 'Evap  Pan2 Daily', 'Evaporation  pan2  daily total', 0.10, '229.00', '0.00', 'Millimeters', 'daily\r', 0, 0),
	(530, 'TMPMNRST', 'Temp  Daily Min Reset', 'Temperature  daily minimum reset', 0.10, '400.00', '-70.00', 'Degrees C', 'daily\r', 0, 0),
	(531, 'TMPMXRST', 'Temp  Daily Max Reset', 'Temperature  daily maximum reset', 0.10, '', '', 'Degrees C', 'daily\r', 0, 0),
	(532, 'SUNHRS', 'Sunshine  Hours', 'Sunshine  total hours', 0.10, '130.00', '0.00', 'Hours', 'daily\r', 0, 0),
	(541, 'SOILMST005', 'Soil  Moisture Daily05', 'Soil  Moisture daily at 5 cm', 0.10, '3610.00', '0.00', 'Millimeters', 'daily\r', 0, 0),
	(542, 'SOILMST100', 'Soil  Moisture Daily100', 'Soil  Moisture daily at 100 cm', 0.10, '500.00', '0.00', 'Millimeters', 'daily\r', 0, 0),
	(554, 'SOILT0530', 'Temp  Soil20  05Z', 'Temperature  soil  20 cm at 05Z', 0.10, '', '', 'Degrees C', 'daily\r', 0, 0),
	(561, 'SOILT0905', 'Temp  Soil05 09Z', 'Temperature  soil  5 cm at 09Z', 0.10, '', '', 'Degrees C', 'daily\r', 0, 0),
	(562, 'SOILT0910', 'Temp  soil10 09Z', 'Temperature  soil  10 cm at 09Z', 0.10, '', '', 'Degrees C', 'daily\r', 0, 0),
	(563, 'SOILT0920', 'Temp  soil20 09Z', 'Temperature  soil  20 cm at 09Z', 0.10, '', '', 'Degrees C', 'daily\r', 0, 0),
	(564, 'SOILT1305', 'Temp  soil05 13Z', 'Temperature  soil  5 cm at 13Z', 0.10, '', '', 'Degrees C', 'daily\r', 0, 0),
	(565, 'SOILT1310', 'Temp  soil10 13Z', 'Temperature  soil  10 cm at 13Z', 0.10, '', '', 'Degrees C', 'daily\r', 0, 0),
	(566, 'SOILT1320', 'Temp  soil20 13Z', 'Temperature  soil  20 cm at 13Z', 0.10, '', '', 'Degrees C', 'daily\r', 0, 0),
	(600, 'OBSHGHT', 'Height  Observing Instrument', 'Observing instrument height above station elevation', 0.01, '', '', 'Metres', '\r', 0, 0),
	(806, 'RH06', 'RH  Daily 06Z', 'Relative Humidity  daily 06Z', 1.00, '100.00', '0.00', 'Percent', 'daily\r', 0, 0),
	(807, 'RH12', 'RH  Daily 12Z', 'Relative Humidity  daily 12Z', 1.00, '100.00', '0.00', 'Percent', 'daily\r', 0, 0),
	(810, 'TMPI06', 'Temp  Min 06Z', 'Temperature  minimum at 06Z', 0.10, '350.00', '-100.00', 'Degrees C', 'daily\r', 0, 0),
	(811, 'TMPI12', 'Temp  Min 12Z', 'Temperature  minimum at 12Z', 0.10, '350.00', '-100.00', 'Degrees C', 'daily\r', 0, 0),
	(812, 'A-PANB', 'Evap A_Pan Before', 'Evaporation  A_pan before', 1.00, '50.00', '0.00', 'milliliters', 'daily\r', 0, 0),
	(813, 'A-PANA', 'Evap A_Pan After', 'Evaporation  A_pan after', 1.00, '100.00', '0.00', 'milliliters', 'daily\r', 0, 0),
	(814, '3HRpppChar', '3Hr Pressure Characteristic', 'Three hour pressure characteristic', 1.00, '', '', 'Unitless', 'hourly', 0, 0),
	(850, '850GPM', '850Hp-GMP', 'Height of the 850 Hectopascal level in Geopotential Metres', 1.00, '2000.00', '1000.00', 'Meters', 'hourly\r', 0, 0),
	(851, 'PstWx', 'Past Weather W2', 'Past Weather W2 (WMO Synoptic Code)', 1.00, '', '', 'Unitless', 'hourly\r', 0, 0),
	(852, 'VPDHly', 'Vap Press Deficit', 'Hourly Vapour Pressure Deficit', 0.10, '', '', 'Hectopascals', 'hourly\r', 0, 0),
	(853, 'SOIL05', 'Temp  Soil05 Dly', 'Temperature  soil  daily at 5 cm', 0.10, '', '', 'Degrees C', 'daily\r', 0, 0),
	(854, 'SOIL10', 'Temp  Soil10 Dly', 'Temperature  soil  daily at 10 cm', 0.10, '', '', 'Degrees C', 'daily\r', 0, 0),
	(855, 'SOIL20', 'Temp  Soil20 Dly', 'Temperature  soil  daily at 20 cm', 0.10, '', '', 'Degrees C', 'daily\r', 0, 0),
	(881, 'AWSTEMP', 'AWS  Air Temp', 'AWS  Air Temperature', 0.10, '21.80', '12.20', 'Deg Celcius', 'hourly\r', 0, 0),
	(882, 'AWSTMAX', 'AWS  Max Temp', 'AWS  Maximum Temperature', 0.10, '', '', 'Deg Celcius', 'hourly\r', 0, 0),
	(883, 'AWSTMIN', 'AWS  Min Temp', 'AWS  Minimum Temperature', 0.10, '', '', 'Deg Celcius', 'hourly\r', 0, 0),
	(884, 'AWSBARO', 'AWS  Baro Press', 'AWS  Barometric Pressure', 0.10, '', '', 'Millibars', 'hourly\r', 0, 0),
	(885, 'AWSDP', 'AWS  Dew Point Temp', 'AWS  Dew Point Temperature', 0.10, '', '', 'Celcius', 'hourly\r', 0, 0),
	(886, 'AWSGUSTSPD', 'AWS  GUST Speed', 'AWS  Wind Gust Speed', 0.10, '', '', ' m/s', 'hourly\r', 0, 0),
	(887, 'AWsGUSTDIR', 'AWS  GUST Direction', 'AWS  Wind Gust Direction', 0.10, '', '', 'Degrees', 'hourly\r', 0, 0),
	(888, 'AWSHRSSUN', 'AWS  Sun Hours', 'AWS  Sunshine Hours', 0.10, '', '', 'Hours', 'hourly\r', 0, 0),
	(889, 'AWSQFE', 'AWS  Station Pressure', 'AWS  Station Level Pressure', 0.10, '', '', 'Millibars', 'hourly\r', 0, 0),
	(890, 'AWSQFF', 'AWS  Actual Sea Lvl Pressure', 'AWS  Actual Sea Level Pressure', 0.10, '', '', 'Millibars', 'hourly\r', 0, 0),
	(891, 'AWSQNH', 'AWS  Std Sea Levl Pressure', 'AWS  Standard Sea Level Pressure', 0.10, '', '', 'Millibars', 'hourly\r', 0, 0),
	(892, 'AWSPRECIP', 'AWS Precip Cum', 'AWS  Precipitation Cumulative', 0.10, '', '', 'Millimetres', 'hourly\r', 0, 0),
	(893, 'AWSRH', 'AWS  RH', 'AWS  Relative Humidity', 0.10, '', '', 'Percentage', 'hourly\r', 0, 0),
	(894, 'AWSSOLRAD', 'AWS  Sol Rad', 'AWS  Solar Radiation', 0.10, '', '', 'Megajoules/M**2', 'hourly\r', 0, 0),
	(895, 'AWSWDA', 'AWS  Wind Dir Avg', 'AWS  Wind Direction Average', 1.00, '', '', 'Degrees', 'hourly\r', 0, 0),
	(896, 'AWSWDI', 'AWS  Wind Dir Inst', 'AWS  Wind Direction Instantaneous', 1.00, '', '', 'Degrees', 'hourly\r', 0, 0),
	(897, 'AWSWSA', 'AWS  Wind Spd Avg', 'AWS  Wind Speed Average', 0.10, '', '', 'Knots', 'hourly\r', 0, 0),
	(898, 'AWSWSI', 'AWS  Wind Spd Inst', 'AWS  Wind Speed Instantaneous', 0.10, '', '', 'Knots', 'hourly\r', 0, 0),
	(899, 'LEAFWET', 'Leaf Wetness', 'Leaf Wetness', 0.10, '', '', 'Min', 'hourly\r', 0, 0),
	(900, 'Eto', 'Evapotranspiration', 'Evapotranspiration', 0.10, '', '', 'Millimetres', 'hourly\r', 0, 0),
	(901, 'AWSTMPMN', 'AWS  Temp Dry Bulb Daily Mean', 'AWS  drybulb daily mean', 0.10, '', '', 'Degrees C', 'daily\r', 0, 0),
	(902, 'AWSDPMN', 'AWS  Temp Dew Point Daily Mean', 'AWS  dewpoint daily mean', 0.10, '', '', 'Degrees C', 'daily\r', 0, 0),
	(903, 'AWSSUNTOT', 'AWS  Sunshine Daily Total', 'AWS  sunshine daily total', 0.10, '', '', 'Hours', 'daily\r', 0, 0),
	(904, 'AWSPRESSMN', 'AWS  Mean Station Pressure', 'AWS  mean station pressure', 0.10, '', '', 'hPa', 'daily\r', 0, 0),
	(905, 'AWSMSLPMN', 'AWS  Daily Mean Station Pressure', 'AWS  daily mean station pressure', 0.10, '', '', 'hPa', 'daily\r', 0, 0),
	(907, 'AWSRHMN', 'AWS  RH Daily Mean', 'AWS  RH daily mean', 0.10, '', '', 'Perc', 'daily\r', 0, 0),
	(908, 'AWSRADMN', 'AWS  Solar Rad  Daily Total', 'AWS  solar rad  daily total', 0.10, '', '', 'Megajoules/M**2', 'daily\r', 0, 0),
	(909, 'AWSWSPDMN', 'AWS  Wind Spd Daily Avg', 'AWS  wind spd daily ave', 0.10, '', '', 'Knots', 'daily\r', 0, 0),
	(910, 'AWSTMAX', 'AWS  Temp Max Daily', 'AWS  Tmax daily', 0.10, '', '', 'Degrees C', 'daily\r', 0, 0),
	(911, 'AWSTMIN', 'AWS  Temp Min Daily', 'AWS  Tmin daily', 0.10, '', '', 'Degrees C', 'daily\r', 0, 0),
	(912, 'AWSPRECIPT', 'AWS  Daily Precip Total', 'AWS  daily precip total', 0.10, '', '', 'millimetres', 'daily\r', 0, 0),
	(915, 'SOILMOIST', 'Soil Moisture', 'Soil Moisture', 0.10, '', '', 'm3/m3', 'AWS', 0, 0),
	(916, 'VAPPRESS', 'AWS Vapour Pressure ', 'Vapour Pressure', 0.10, '', '', 'Kpa', 'AWS', 0, 0),
	(917, 'WATRTEMP', 'Water Temperature', 'Water Temperature', 0.10, '', '', 'deg ceilcius', 'AWS', 0, 0),
	(918, 'WATRDPTH', 'Water Depth', 'Water Depth', 0.10, '', '', 'mm', 'AWS', 0, 0),
	(919, 'CONDCTVTY', 'Conductivity', 'Electrical Conductivity', 0.10, '', '', 'ms/cm', 'AWS', 0, 0);
/*!40000 ALTER TABLE `obselement` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_db_v4.observationfinal
CREATE TABLE IF NOT EXISTS `observationfinal` (
  `recordedFrom` varchar(255) NOT NULL,
  `describedBy` bigint(20) DEFAULT NULL,
  `obsDatetime` datetime DEFAULT NULL,
  `obsLevel` varchar(255) DEFAULT 'surface',
  `obsValue` decimal(8,2) DEFAULT NULL,
  `flag` varchar(255) DEFAULT 'N',
  `period` int(11) DEFAULT NULL,
  `qcStatus` int(11) DEFAULT '0',
  `qcTypeLog` text,
  `acquisitionType` int(11) DEFAULT '0',
  `dataForm` varchar(255) DEFAULT NULL,
  `capturedBy` varchar(255) DEFAULT NULL,
  `mark` tinyint(4) DEFAULT NULL,
  `temperatureUnits` varchar(255) DEFAULT NULL,
  `precipitationUnits` varchar(255) DEFAULT NULL,
  `cloudHeightUnits` varchar(255) DEFAULT NULL,
  `visUnits` varchar(255) DEFAULT NULL,
  `dataSourceTimeZone` int(11) DEFAULT '0',
  UNIQUE KEY `obsFinalIdentification` (`recordedFrom`,`describedBy`,`obsDatetime`),
  KEY `obsElementObservationInitial` (`describedBy`),
  KEY `stationObservationInitial` (`recordedFrom`),
  CONSTRAINT `FK_mysql_climsoft_db_v4_obselement_observationFinal` FOREIGN KEY (`describedBy`) REFERENCES `obselement` (`elementId`),
  CONSTRAINT `FK_mysql_climsoft_db_v4_station_observationFinal` FOREIGN KEY (`recordedFrom`) REFERENCES `station` (`stationId`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_db_v4.observationfinal: ~0 rows (approximately)
/*!40000 ALTER TABLE `observationfinal` DISABLE KEYS */;
/*!40000 ALTER TABLE `observationfinal` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_db_v4.observationinitial
CREATE TABLE IF NOT EXISTS `observationinitial` (
  `recordedFrom` varchar(255) NOT NULL,
  `describedBy` bigint(20) DEFAULT NULL,
  `obsDatetime` datetime DEFAULT NULL,
  `obsLevel` varchar(255) DEFAULT NULL,
  `obsValue` varchar(255) DEFAULT NULL,
  `flag` varchar(255) DEFAULT NULL,
  `period` int(11) DEFAULT NULL,
  `qcStatus` int(11) DEFAULT '0',
  `qcTypeLog` text,
  `acquisitionType` int(11) DEFAULT '0',
  `dataForm` varchar(255) DEFAULT NULL,
  `capturedBy` varchar(255) DEFAULT NULL,
  `mark` tinyint(4) DEFAULT NULL,
  `temperatureUnits` varchar(255) DEFAULT NULL,
  `precipitationUnits` varchar(255) DEFAULT NULL,
  `cloudHeightUnits` varchar(255) DEFAULT NULL,
  `visUnits` varchar(255) DEFAULT NULL,
  `dataSourceTimeZone` int(11) DEFAULT '0',
  UNIQUE KEY `obsInitialIdentification` (`recordedFrom`,`describedBy`,`obsDatetime`,`qcStatus`,`acquisitionType`),
  KEY `obsElementObservationInitial` (`describedBy`),
  KEY `stationObservationInitial` (`recordedFrom`),
  CONSTRAINT `FK_maria_climsoft_db_v4_obselement_observationInitial` FOREIGN KEY (`describedBy`) REFERENCES `obselement` (`elementId`),
  CONSTRAINT `FK_maria_climsoft_db_v4_station_observationInitial` FOREIGN KEY (`recordedFrom`) REFERENCES `station` (`stationId`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_db_v4.observationinitial: ~0 rows (approximately)
/*!40000 ALTER TABLE `observationinitial` DISABLE KEYS */;
/*!40000 ALTER TABLE `observationinitial` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_db_v4.observationschedule
CREATE TABLE IF NOT EXISTS `observationschedule` (
  `classifiedInto` varchar(255) DEFAULT NULL,
  `startTime` varchar(50) DEFAULT NULL,
  `endTime` varchar(50) DEFAULT NULL,
  `interval` varchar(255) DEFAULT NULL,
  `additionalObsTime` varchar(255) DEFAULT NULL,
  UNIQUE KEY `scheduleIdentification` (`classifiedInto`,`startTime`,`endTime`),
  CONSTRAINT `FK_mysql_climsoft_db_v4_obsSchedule` FOREIGN KEY (`classifiedInto`) REFERENCES `obsscheduleclass` (`scheduleClass`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_db_v4.observationschedule: ~0 rows (approximately)
/*!40000 ALTER TABLE `observationschedule` DISABLE KEYS */;
/*!40000 ALTER TABLE `observationschedule` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_db_v4.obsscheduleclass
CREATE TABLE IF NOT EXISTS `obsscheduleclass` (
  `scheduleClass` varchar(255) NOT NULL DEFAULT '',
  `description` varchar(255) DEFAULT NULL,
  `refersTo` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`scheduleClass`),
  KEY `scheduleClassIdeification` (`scheduleClass`),
  KEY `FK_mysql_climsoft_db_v4_station_scheduleClass` (`refersTo`),
  CONSTRAINT `FK_mysql_climsoft_db_v4_station_scheduleClass` FOREIGN KEY (`refersTo`) REFERENCES `station` (`stationId`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_db_v4.obsscheduleclass: ~0 rows (approximately)
/*!40000 ALTER TABLE `obsscheduleclass` DISABLE KEYS */;
/*!40000 ALTER TABLE `obsscheduleclass` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_db_v4.paperarchive
CREATE TABLE IF NOT EXISTS `paperarchive` (
  `belongsTo` varchar(255) DEFAULT NULL,
  `formDatetime` datetime DEFAULT NULL,
  `image` varchar(255) DEFAULT NULL,
  `classifiedInto` varchar(50) DEFAULT NULL,
  UNIQUE KEY `paper_archive_identification` (`belongsTo`,`formDatetime`,`classifiedInto`),
  KEY `FK_mysql_climsoft_db_v4_0_station_paperArchiveDef` (`classifiedInto`),
  CONSTRAINT `FK_mysql_climsoft_db_v4_0_station_paperArchive` FOREIGN KEY (`belongsTo`) REFERENCES `station` (`stationId`),
  CONSTRAINT `FK_mysql_climsoft_db_v4_0_station_paperArchiveDef` FOREIGN KEY (`classifiedInto`) REFERENCES `paperarchivedefinition` (`formId`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_db_v4.paperarchive: ~0 rows (approximately)
/*!40000 ALTER TABLE `paperarchive` DISABLE KEYS */;
/*!40000 ALTER TABLE `paperarchive` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_db_v4.paperarchivedefinition
CREATE TABLE IF NOT EXISTS `paperarchivedefinition` (
  `formId` varchar(50) NOT NULL,
  `description` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`formId`),
  KEY `paperarchivedef` (`formId`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_db_v4.paperarchivedefinition: ~0 rows (approximately)
/*!40000 ALTER TABLE `paperarchivedefinition` DISABLE KEYS */;
/*!40000 ALTER TABLE `paperarchivedefinition` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_db_v4.physicalfeature
CREATE TABLE IF NOT EXISTS `physicalfeature` (
  `associatedWith` varchar(255) NOT NULL,
  `beginDate` varchar(50) DEFAULT NULL,
  `endDate` varchar(50) DEFAULT NULL,
  `image` varchar(255) DEFAULT NULL,
  `description` varchar(255) DEFAULT NULL,
  `classifiedInto` varchar(255) DEFAULT NULL,
  UNIQUE KEY `featureIdentification` (`associatedWith`,`beginDate`,`classifiedInto`,`description`),
  KEY `stationfeature` (`associatedWith`),
  KEY `physicalFeatureidentification_idx` (`classifiedInto`),
  CONSTRAINT `FK_mysql_climsoft_db_v4_stationFeature` FOREIGN KEY (`associatedWith`) REFERENCES `station` (`stationId`),
  CONSTRAINT `physicalFeatureidentification` FOREIGN KEY (`classifiedInto`) REFERENCES `physicalfeatureclass` (`featureClass`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_db_v4.physicalfeature: ~0 rows (approximately)
/*!40000 ALTER TABLE `physicalfeature` DISABLE KEYS */;
/*!40000 ALTER TABLE `physicalfeature` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_db_v4.physicalfeatureclass
CREATE TABLE IF NOT EXISTS `physicalfeatureclass` (
  `featureClass` varchar(255) NOT NULL,
  `description` varchar(255) DEFAULT NULL,
  `refersTo` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`featureClass`),
  KEY `stationFeatureClass` (`featureClass`),
  KEY `FK_mysql_climsoft_db_v4_station_featureClass` (`refersTo`),
  CONSTRAINT `FK_mysql_climsoft_db_v4_station_featureClass` FOREIGN KEY (`refersTo`) REFERENCES `station` (`stationId`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_db_v4.physicalfeatureclass: ~0 rows (approximately)
/*!40000 ALTER TABLE `physicalfeatureclass` DISABLE KEYS */;
/*!40000 ALTER TABLE `physicalfeatureclass` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_db_v4.qcabslimits
CREATE TABLE IF NOT EXISTS `qcabslimits` (
  `StationId` varchar(15) NOT NULL,
  `ElementId` bigint(10) DEFAULT NULL,
  `Datetime` datetime DEFAULT NULL,
  `YYYY` int(11) DEFAULT NULL,
  `mm` tinyint(4) DEFAULT NULL,
  `dd` tinyint(4) DEFAULT NULL,
  `hh` tinyint(4) DEFAULT NULL,
  `obsValue` varchar(10) DEFAULT NULL,
  `limitValue` varchar(10) DEFAULT NULL,
  `qcStatus` int(11) DEFAULT NULL,
  `acquisitionType` int(11) DEFAULT NULL,
  `obsLevel` varchar(255) DEFAULT NULL,
  `capturedBy` varchar(255) DEFAULT NULL,
  `dataForm` varchar(255) DEFAULT NULL,
  UNIQUE KEY `obsInitialIdentification` (`StationId`,`ElementId`,`Datetime`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_db_v4.qcabslimits: ~0 rows (approximately)
/*!40000 ALTER TABLE `qcabslimits` DISABLE KEYS */;
/*!40000 ALTER TABLE `qcabslimits` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_db_v4.qcstatusdefinition
CREATE TABLE IF NOT EXISTS `qcstatusdefinition` (
  `code` int(11) NOT NULL DEFAULT '0',
  `description` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`code`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_db_v4.qcstatusdefinition: ~0 rows (approximately)
/*!40000 ALTER TABLE `qcstatusdefinition` DISABLE KEYS */;
/*!40000 ALTER TABLE `qcstatusdefinition` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_db_v4.qctype
CREATE TABLE IF NOT EXISTS `qctype` (
  `code` int(11) NOT NULL DEFAULT '0',
  `description` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`code`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_db_v4.qctype: ~0 rows (approximately)
/*!40000 ALTER TABLE `qctype` DISABLE KEYS */;
/*!40000 ALTER TABLE `qctype` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_db_v4.qc_interelement_1
CREATE TABLE IF NOT EXISTS `qc_interelement_1` (
  `stationId_1` varchar(50) NOT NULL,
  `elementId_1` int(11) NOT NULL,
  `obsDatetime_1` datetime NOT NULL,
  `obsValue_1` int(11) DEFAULT NULL,
  `qcStatus_1` int(11) DEFAULT NULL,
  `acquisitionType_1` int(11) DEFAULT NULL,
  `obsLevel_1` varchar(50) DEFAULT NULL,
  `capturedBy_1` varchar(50) DEFAULT NULL,
  `dataForm_1` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`stationId_1`,`elementId_1`,`obsDatetime_1`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_db_v4.qc_interelement_1: ~0 rows (approximately)
/*!40000 ALTER TABLE `qc_interelement_1` DISABLE KEYS */;
/*!40000 ALTER TABLE `qc_interelement_1` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_db_v4.qc_interelement_2
CREATE TABLE IF NOT EXISTS `qc_interelement_2` (
  `stationId_2` varchar(50) NOT NULL,
  `elementId_2` int(11) NOT NULL,
  `obsDatetime_2` datetime NOT NULL,
  `obsValue_2` int(11) DEFAULT NULL,
  `qcStatus_2` int(11) DEFAULT NULL,
  `acquisitionType_2` int(11) DEFAULT NULL,
  `obsLevel_2` varchar(50) DEFAULT NULL,
  `capturedBy_2` varchar(50) DEFAULT NULL,
  `dataForm_2` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`stationId_2`,`elementId_2`,`obsDatetime_2`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_db_v4.qc_interelement_2: ~0 rows (approximately)
/*!40000 ALTER TABLE `qc_interelement_2` DISABLE KEYS */;
/*!40000 ALTER TABLE `qc_interelement_2` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_db_v4.qc_interelement_relationship_definition
CREATE TABLE IF NOT EXISTS `qc_interelement_relationship_definition` (
  `elementId_1` int(11) NOT NULL,
  `relationship` varchar(50) NOT NULL,
  `elementId_2` int(11) NOT NULL,
  PRIMARY KEY (`elementId_1`,`relationship`,`elementId_2`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_db_v4.qc_interelement_relationship_definition: ~5 rows (approximately)
/*!40000 ALTER TABLE `qc_interelement_relationship_definition` DISABLE KEYS */;
INSERT INTO `qc_interelement_relationship_definition` (`elementId_1`, `relationship`, `elementId_2`) VALUES
	(2, '>=', 3),
	(2, '>=', 101),
	(101, '>=', 3),
	(101, '>=', 102),
	(102, '>=', 103);
/*!40000 ALTER TABLE `qc_interelement_relationship_definition` ENABLE KEYS */;


-- Dumping structure for procedure mariadb_climsoft_db_v4.refresh_data
DELIMITER //
CREATE DEFINER=`root`@`localhost` PROCEDURE `refresh_data`()
BEGIN
DROP TABLE IF EXISTS MISSING_STATS;
CREATE TABLE MISSING_STATS(STN_ID VARCHAR(255) NOT NULL, ELEM BIGINT NOT NULL, MISSING BIGINT, Closing_Date Date,Opening_Date Date, PRIMARY KEY(STN_ID,ELEM,Closing_Date,Opening_Date));
END//
DELIMITER ;


-- Dumping structure for procedure mariadb_climsoft_db_v4.refresh_gaps
DELIMITER //
CREATE DEFINER=`root`@`localhost` PROCEDURE `refresh_gaps`()
BEGIN
DROP TABLE IF EXISTS gaps;
CREATE TABLE gaps (Missing_STNID VARCHAR(255) NOT NULL, Missing_ELEM BIGINT NOT NULL, Missing_Date Date,PRIMARY KEY(Missing_STNID,Missing_ELEM,Missing_Date));
END//
DELIMITER ;


-- Dumping structure for table mariadb_climsoft_db_v4.regkeys
CREATE TABLE IF NOT EXISTS `regkeys` (
  `keyName` varchar(255) NOT NULL DEFAULT '',
  `keyValue` varchar(255) DEFAULT NULL,
  `keyDescription` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`keyName`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_db_v4.regkeys: ~14 rows (approximately)
/*!40000 ALTER TABLE `regkeys` DISABLE KEYS */;
INSERT INTO `regkeys` (`keyName`, `keyValue`, `keyDescription`) VALUES
	('key00', '850', 'Geopotential standard pressure level'),
	('key01', '6', 'Morning time for recording tmax,tmin,precip'),
	('key02', '18', 'Afternoon time for recording tmax'),
	('key03', '4', 'Month for starting recording of Gmin'),
	('key04', '10', 'Month for ending recording Gmin'),
	('key05', '2', 'Number of digits for wind direction'),
	('key06', '2', 'Number of digits for wind speed'),
	('key07', 'C:\\data\\QC', 'Folder for QC Reports for QC updates (Windows style)'),
	('key08', 'C:/data/QC', 'Folder for QC Reports for MariaDB output (Unix style)'),
	('key09', 'D:\\Data\\Clicom_daily', 'Folder for CLICOM daily data'),
	('key10', 'D:\\Data\\aws_data', 'Folderfor AWS data'),
	('key11', 'D:\\Data\\gts_noaa_gsod', 'Folder for NOAA GTS daily data'),
	('key12', 'C:\\PaperArchive\\Images', 'Folder for Paper Archive image files'),
	('key13', '3', 'Digits for wind direction values');
/*!40000 ALTER TABLE `regkeys` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_db_v4.routinereportdefinition
CREATE TABLE IF NOT EXISTS `routinereportdefinition` (
  `reportClass` varchar(255) NOT NULL,
  `reportSchedule` varchar(255) DEFAULT NULL,
  `reportCode` varchar(255) DEFAULT NULL,
  `reportDescription` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`reportClass`),
  KEY `report_code` (`reportCode`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_db_v4.routinereportdefinition: ~0 rows (approximately)
/*!40000 ALTER TABLE `routinereportdefinition` DISABLE KEYS */;
/*!40000 ALTER TABLE `routinereportdefinition` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_db_v4.routinereporttransmission
CREATE TABLE IF NOT EXISTS `routinereporttransmission` (
  `reportClass` varchar(255) DEFAULT NULL,
  `reportDatetime` datetime DEFAULT NULL,
  `receivedDatetime` datetime DEFAULT NULL,
  `reportedFrom` varchar(255) DEFAULT NULL,
  UNIQUE KEY `report` (`reportClass`,`reportDatetime`,`reportedFrom`),
  KEY `FK_mysql_climsoft_db_v4_station_routineReportTransmission` (`reportedFrom`),
  CONSTRAINT `FK_mysql_climsoft_db_v4_routineReportTransmissionClass` FOREIGN KEY (`reportClass`) REFERENCES `routinereportdefinition` (`reportClass`),
  CONSTRAINT `FK_mysql_climsoft_db_v4_station_routineReportTransmission` FOREIGN KEY (`reportedFrom`) REFERENCES `station` (`stationId`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_db_v4.routinereporttransmission: ~0 rows (approximately)
/*!40000 ALTER TABLE `routinereporttransmission` DISABLE KEYS */;
/*!40000 ALTER TABLE `routinereporttransmission` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_db_v4.seq_daily_element
CREATE TABLE IF NOT EXISTS `seq_daily_element` (
  `seq` bigint(20) NOT NULL AUTO_INCREMENT,
  `elementId` bigint(20) NOT NULL,
  PRIMARY KEY (`seq`)
) ENGINE=InnoDB AUTO_INCREMENT=26 DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_db_v4.seq_daily_element: ~3 rows (approximately)
/*!40000 ALTER TABLE `seq_daily_element` DISABLE KEYS */;
INSERT INTO `seq_daily_element` (`seq`, `elementId`) VALUES
	(1, 2),
	(2, 3),
	(25, 5);
/*!40000 ALTER TABLE `seq_daily_element` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_db_v4.seq_day
CREATE TABLE IF NOT EXISTS `seq_day` (
  `dd` varchar(50) DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_db_v4.seq_day: ~31 rows (approximately)
/*!40000 ALTER TABLE `seq_day` DISABLE KEYS */;
INSERT INTO `seq_day` (`dd`) VALUES
	('01'),
	('02'),
	('03'),
	('04'),
	('05'),
	('06'),
	('07'),
	('08'),
	('09'),
	('10'),
	('11'),
	('12'),
	('13'),
	('14'),
	('15'),
	('16'),
	('17'),
	('18'),
	('19'),
	('20'),
	('21'),
	('22'),
	('23'),
	('24'),
	('25'),
	('26'),
	('27'),
	('28'),
	('29'),
	('30'),
	('31');
/*!40000 ALTER TABLE `seq_day` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_db_v4.seq_element
CREATE TABLE IF NOT EXISTS `seq_element` (
  `seq` bigint(20) NOT NULL AUTO_INCREMENT,
  `element_code` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`seq`),
  KEY `identification` (`seq`)
) ENGINE=InnoDB AUTO_INCREMENT=25 DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_db_v4.seq_element: ~8 rows (approximately)
/*!40000 ALTER TABLE `seq_element` DISABLE KEYS */;
INSERT INTO `seq_element` (`seq`, `element_code`) VALUES
	(2, '101'),
	(3, '102'),
	(4, '103'),
	(5, '105'),
	(6, '106'),
	(7, '107'),
	(8, '111'),
	(24, '112');
/*!40000 ALTER TABLE `seq_element` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_db_v4.seq_hour
CREATE TABLE IF NOT EXISTS `seq_hour` (
  `hh` int(11) DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_db_v4.seq_hour: ~24 rows (approximately)
/*!40000 ALTER TABLE `seq_hour` DISABLE KEYS */;
INSERT INTO `seq_hour` (`hh`) VALUES
	(0),
	(1),
	(2),
	(3),
	(4),
	(5),
	(6),
	(7),
	(8),
	(9),
	(10),
	(11),
	(12),
	(13),
	(14),
	(15),
	(16),
	(17),
	(18),
	(19),
	(20),
	(21),
	(22),
	(23);
/*!40000 ALTER TABLE `seq_hour` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_db_v4.seq_leap_year
CREATE TABLE IF NOT EXISTS `seq_leap_year` (
  `yyyy` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_db_v4.seq_leap_year: ~1 rows (approximately)
/*!40000 ALTER TABLE `seq_leap_year` DISABLE KEYS */;
INSERT INTO `seq_leap_year` (`yyyy`) VALUES
	(2000);
/*!40000 ALTER TABLE `seq_leap_year` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_db_v4.seq_month
CREATE TABLE IF NOT EXISTS `seq_month` (
  `mm` varchar(50) DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_db_v4.seq_month: ~12 rows (approximately)
/*!40000 ALTER TABLE `seq_month` DISABLE KEYS */;
INSERT INTO `seq_month` (`mm`) VALUES
	('01'),
	('02'),
	('03'),
	('04'),
	('05'),
	('06'),
	('07'),
	('08'),
	('09'),
	('10'),
	('11'),
	('12');
/*!40000 ALTER TABLE `seq_month` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_db_v4.seq_monthly_element
CREATE TABLE IF NOT EXISTS `seq_monthly_element` (
  `seq` bigint(20) NOT NULL AUTO_INCREMENT,
  `elementId` bigint(20) NOT NULL,
  PRIMARY KEY (`seq`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_db_v4.seq_monthly_element: ~0 rows (approximately)
/*!40000 ALTER TABLE `seq_monthly_element` DISABLE KEYS */;
/*!40000 ALTER TABLE `seq_monthly_element` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_db_v4.seq_month_day
CREATE TABLE IF NOT EXISTS `seq_month_day` (
  `mm` int(11) NOT NULL,
  `dd` int(11) NOT NULL,
  PRIMARY KEY (`mm`,`dd`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_db_v4.seq_month_day: ~365 rows (approximately)
/*!40000 ALTER TABLE `seq_month_day` DISABLE KEYS */;
INSERT INTO `seq_month_day` (`mm`, `dd`) VALUES
	(1, 1),
	(1, 2),
	(1, 3),
	(1, 4),
	(1, 5),
	(1, 6),
	(1, 7),
	(1, 8),
	(1, 9),
	(1, 10),
	(1, 11),
	(1, 12),
	(1, 13),
	(1, 14),
	(1, 15),
	(1, 16),
	(1, 17),
	(1, 18),
	(1, 19),
	(1, 20),
	(1, 21),
	(1, 22),
	(1, 23),
	(1, 24),
	(1, 25),
	(1, 26),
	(1, 27),
	(1, 28),
	(1, 29),
	(1, 30),
	(1, 31),
	(2, 1),
	(2, 2),
	(2, 3),
	(2, 4),
	(2, 5),
	(2, 6),
	(2, 7),
	(2, 8),
	(2, 9),
	(2, 10),
	(2, 11),
	(2, 12),
	(2, 13),
	(2, 14),
	(2, 15),
	(2, 16),
	(2, 17),
	(2, 18),
	(2, 19),
	(2, 20),
	(2, 21),
	(2, 22),
	(2, 23),
	(2, 24),
	(2, 25),
	(2, 26),
	(2, 27),
	(2, 28),
	(3, 1),
	(3, 2),
	(3, 3),
	(3, 4),
	(3, 5),
	(3, 6),
	(3, 7),
	(3, 8),
	(3, 9),
	(3, 10),
	(3, 11),
	(3, 12),
	(3, 13),
	(3, 14),
	(3, 15),
	(3, 16),
	(3, 17),
	(3, 18),
	(3, 19),
	(3, 20),
	(3, 21),
	(3, 22),
	(3, 23),
	(3, 24),
	(3, 25),
	(3, 26),
	(3, 27),
	(3, 28),
	(3, 29),
	(3, 30),
	(3, 31),
	(4, 1),
	(4, 2),
	(4, 3),
	(4, 4),
	(4, 5),
	(4, 6),
	(4, 7),
	(4, 8),
	(4, 9),
	(4, 10),
	(4, 11),
	(4, 12),
	(4, 13),
	(4, 14),
	(4, 15),
	(4, 16),
	(4, 17),
	(4, 18),
	(4, 19),
	(4, 20),
	(4, 21),
	(4, 22),
	(4, 23),
	(4, 24),
	(4, 25),
	(4, 26),
	(4, 27),
	(4, 28),
	(4, 29),
	(4, 30),
	(5, 1),
	(5, 2),
	(5, 3),
	(5, 4),
	(5, 5),
	(5, 6),
	(5, 7),
	(5, 8),
	(5, 9),
	(5, 10),
	(5, 11),
	(5, 12),
	(5, 13),
	(5, 14),
	(5, 15),
	(5, 16),
	(5, 17),
	(5, 18),
	(5, 19),
	(5, 20),
	(5, 21),
	(5, 22),
	(5, 23),
	(5, 24),
	(5, 25),
	(5, 26),
	(5, 27),
	(5, 28),
	(5, 29),
	(5, 30),
	(5, 31),
	(6, 1),
	(6, 2),
	(6, 3),
	(6, 4),
	(6, 5),
	(6, 6),
	(6, 7),
	(6, 8),
	(6, 9),
	(6, 10),
	(6, 11),
	(6, 12),
	(6, 13),
	(6, 14),
	(6, 15),
	(6, 16),
	(6, 17),
	(6, 18),
	(6, 19),
	(6, 20),
	(6, 21),
	(6, 22),
	(6, 23),
	(6, 24),
	(6, 25),
	(6, 26),
	(6, 27),
	(6, 28),
	(6, 29),
	(6, 30),
	(7, 1),
	(7, 2),
	(7, 3),
	(7, 4),
	(7, 5),
	(7, 6),
	(7, 7),
	(7, 8),
	(7, 9),
	(7, 10),
	(7, 11),
	(7, 12),
	(7, 13),
	(7, 14),
	(7, 15),
	(7, 16),
	(7, 17),
	(7, 18),
	(7, 19),
	(7, 20),
	(7, 21),
	(7, 22),
	(7, 23),
	(7, 24),
	(7, 25),
	(7, 26),
	(7, 27),
	(7, 28),
	(7, 29),
	(7, 30),
	(7, 31),
	(8, 1),
	(8, 2),
	(8, 3),
	(8, 4),
	(8, 5),
	(8, 6),
	(8, 7),
	(8, 8),
	(8, 9),
	(8, 10),
	(8, 11),
	(8, 12),
	(8, 13),
	(8, 14),
	(8, 15),
	(8, 16),
	(8, 17),
	(8, 18),
	(8, 19),
	(8, 20),
	(8, 21),
	(8, 22),
	(8, 23),
	(8, 24),
	(8, 25),
	(8, 26),
	(8, 27),
	(8, 28),
	(8, 29),
	(8, 30),
	(8, 31),
	(9, 1),
	(9, 2),
	(9, 3),
	(9, 4),
	(9, 5),
	(9, 6),
	(9, 7),
	(9, 8),
	(9, 9),
	(9, 10),
	(9, 11),
	(9, 12),
	(9, 13),
	(9, 14),
	(9, 15),
	(9, 16),
	(9, 17),
	(9, 18),
	(9, 19),
	(9, 20),
	(9, 21),
	(9, 22),
	(9, 23),
	(9, 24),
	(9, 25),
	(9, 26),
	(9, 27),
	(9, 28),
	(9, 29),
	(9, 30),
	(10, 1),
	(10, 2),
	(10, 3),
	(10, 4),
	(10, 5),
	(10, 6),
	(10, 7),
	(10, 8),
	(10, 9),
	(10, 10),
	(10, 11),
	(10, 12),
	(10, 13),
	(10, 14),
	(10, 15),
	(10, 16),
	(10, 17),
	(10, 18),
	(10, 19),
	(10, 20),
	(10, 21),
	(10, 22),
	(10, 23),
	(10, 24),
	(10, 25),
	(10, 26),
	(10, 27),
	(10, 28),
	(10, 29),
	(10, 30),
	(10, 31),
	(11, 1),
	(11, 2),
	(11, 3),
	(11, 4),
	(11, 5),
	(11, 6),
	(11, 7),
	(11, 8),
	(11, 9),
	(11, 10),
	(11, 11),
	(11, 12),
	(11, 13),
	(11, 14),
	(11, 15),
	(11, 16),
	(11, 17),
	(11, 18),
	(11, 19),
	(11, 20),
	(11, 21),
	(11, 22),
	(11, 23),
	(11, 24),
	(11, 25),
	(11, 26),
	(11, 27),
	(11, 28),
	(11, 29),
	(11, 30),
	(12, 1),
	(12, 2),
	(12, 3),
	(12, 4),
	(12, 5),
	(12, 6),
	(12, 7),
	(12, 8),
	(12, 9),
	(12, 10),
	(12, 11),
	(12, 12),
	(12, 13),
	(12, 14),
	(12, 15),
	(12, 16),
	(12, 17),
	(12, 18),
	(12, 19),
	(12, 20),
	(12, 21),
	(12, 22),
	(12, 23),
	(12, 24),
	(12, 25),
	(12, 26),
	(12, 27),
	(12, 28),
	(12, 29),
	(12, 30),
	(12, 31);
/*!40000 ALTER TABLE `seq_month_day` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_db_v4.seq_month_day_element
CREATE TABLE IF NOT EXISTS `seq_month_day_element` (
  `mm` int(11) NOT NULL,
  `dd` int(11) NOT NULL,
  `elementId` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_db_v4.seq_month_day_element: ~2,920 rows (approximately)
/*!40000 ALTER TABLE `seq_month_day_element` DISABLE KEYS */;
INSERT INTO `seq_month_day_element` (`mm`, `dd`, `elementId`) VALUES
	(1, 1, 101),
	(1, 1, 102),
	(1, 1, 103),
	(1, 1, 105),
	(1, 1, 106),
	(1, 1, 107),
	(1, 1, 111),
	(1, 1, 112),
	(1, 2, 101),
	(1, 2, 102),
	(1, 2, 103),
	(1, 2, 105),
	(1, 2, 106),
	(1, 2, 107),
	(1, 2, 111),
	(1, 2, 112),
	(1, 3, 101),
	(1, 3, 102),
	(1, 3, 103),
	(1, 3, 105),
	(1, 3, 106),
	(1, 3, 107),
	(1, 3, 111),
	(1, 3, 112),
	(1, 4, 101),
	(1, 4, 102),
	(1, 4, 103),
	(1, 4, 105),
	(1, 4, 106),
	(1, 4, 107),
	(1, 4, 111),
	(1, 4, 112),
	(1, 5, 101),
	(1, 5, 102),
	(1, 5, 103),
	(1, 5, 105),
	(1, 5, 106),
	(1, 5, 107),
	(1, 5, 111),
	(1, 5, 112),
	(1, 6, 101),
	(1, 6, 102),
	(1, 6, 103),
	(1, 6, 105),
	(1, 6, 106),
	(1, 6, 107),
	(1, 6, 111),
	(1, 6, 112),
	(1, 7, 101),
	(1, 7, 102),
	(1, 7, 103),
	(1, 7, 105),
	(1, 7, 106),
	(1, 7, 107),
	(1, 7, 111),
	(1, 7, 112),
	(1, 8, 101),
	(1, 8, 102),
	(1, 8, 103),
	(1, 8, 105),
	(1, 8, 106),
	(1, 8, 107),
	(1, 8, 111),
	(1, 8, 112),
	(1, 9, 101),
	(1, 9, 102),
	(1, 9, 103),
	(1, 9, 105),
	(1, 9, 106),
	(1, 9, 107),
	(1, 9, 111),
	(1, 9, 112),
	(1, 10, 101),
	(1, 10, 102),
	(1, 10, 103),
	(1, 10, 105),
	(1, 10, 106),
	(1, 10, 107),
	(1, 10, 111),
	(1, 10, 112),
	(1, 11, 101),
	(1, 11, 102),
	(1, 11, 103),
	(1, 11, 105),
	(1, 11, 106),
	(1, 11, 107),
	(1, 11, 111),
	(1, 11, 112),
	(1, 12, 101),
	(1, 12, 102),
	(1, 12, 103),
	(1, 12, 105),
	(1, 12, 106),
	(1, 12, 107),
	(1, 12, 111),
	(1, 12, 112),
	(1, 13, 101),
	(1, 13, 102),
	(1, 13, 103),
	(1, 13, 105),
	(1, 13, 106),
	(1, 13, 107),
	(1, 13, 111),
	(1, 13, 112),
	(1, 14, 101),
	(1, 14, 102),
	(1, 14, 103),
	(1, 14, 105),
	(1, 14, 106),
	(1, 14, 107),
	(1, 14, 111),
	(1, 14, 112),
	(1, 15, 101),
	(1, 15, 102),
	(1, 15, 103),
	(1, 15, 105),
	(1, 15, 106),
	(1, 15, 107),
	(1, 15, 111),
	(1, 15, 112),
	(1, 16, 101),
	(1, 16, 102),
	(1, 16, 103),
	(1, 16, 105),
	(1, 16, 106),
	(1, 16, 107),
	(1, 16, 111),
	(1, 16, 112),
	(1, 17, 101),
	(1, 17, 102),
	(1, 17, 103),
	(1, 17, 105),
	(1, 17, 106),
	(1, 17, 107),
	(1, 17, 111),
	(1, 17, 112),
	(1, 18, 101),
	(1, 18, 102),
	(1, 18, 103),
	(1, 18, 105),
	(1, 18, 106),
	(1, 18, 107),
	(1, 18, 111),
	(1, 18, 112),
	(1, 19, 101),
	(1, 19, 102),
	(1, 19, 103),
	(1, 19, 105),
	(1, 19, 106),
	(1, 19, 107),
	(1, 19, 111),
	(1, 19, 112),
	(1, 20, 101),
	(1, 20, 102),
	(1, 20, 103),
	(1, 20, 105),
	(1, 20, 106),
	(1, 20, 107),
	(1, 20, 111),
	(1, 20, 112),
	(1, 21, 101),
	(1, 21, 102),
	(1, 21, 103),
	(1, 21, 105),
	(1, 21, 106),
	(1, 21, 107),
	(1, 21, 111),
	(1, 21, 112),
	(1, 22, 101),
	(1, 22, 102),
	(1, 22, 103),
	(1, 22, 105),
	(1, 22, 106),
	(1, 22, 107),
	(1, 22, 111),
	(1, 22, 112),
	(1, 23, 101),
	(1, 23, 102),
	(1, 23, 103),
	(1, 23, 105),
	(1, 23, 106),
	(1, 23, 107),
	(1, 23, 111),
	(1, 23, 112),
	(1, 24, 101),
	(1, 24, 102),
	(1, 24, 103),
	(1, 24, 105),
	(1, 24, 106),
	(1, 24, 107),
	(1, 24, 111),
	(1, 24, 112),
	(1, 25, 101),
	(1, 25, 102),
	(1, 25, 103),
	(1, 25, 105),
	(1, 25, 106),
	(1, 25, 107),
	(1, 25, 111),
	(1, 25, 112),
	(1, 26, 101),
	(1, 26, 102),
	(1, 26, 103),
	(1, 26, 105),
	(1, 26, 106),
	(1, 26, 107),
	(1, 26, 111),
	(1, 26, 112),
	(1, 27, 101),
	(1, 27, 102),
	(1, 27, 103),
	(1, 27, 105),
	(1, 27, 106),
	(1, 27, 107),
	(1, 27, 111),
	(1, 27, 112),
	(1, 28, 101),
	(1, 28, 102),
	(1, 28, 103),
	(1, 28, 105),
	(1, 28, 106),
	(1, 28, 107),
	(1, 28, 111),
	(1, 28, 112),
	(1, 29, 101),
	(1, 29, 102),
	(1, 29, 103),
	(1, 29, 105),
	(1, 29, 106),
	(1, 29, 107),
	(1, 29, 111),
	(1, 29, 112),
	(1, 30, 101),
	(1, 30, 102),
	(1, 30, 103),
	(1, 30, 105),
	(1, 30, 106),
	(1, 30, 107),
	(1, 30, 111),
	(1, 30, 112),
	(1, 31, 101),
	(1, 31, 102),
	(1, 31, 103),
	(1, 31, 105),
	(1, 31, 106),
	(1, 31, 107),
	(1, 31, 111),
	(1, 31, 112),
	(2, 1, 101),
	(2, 1, 102),
	(2, 1, 103),
	(2, 1, 105),
	(2, 1, 106),
	(2, 1, 107),
	(2, 1, 111),
	(2, 1, 112),
	(2, 2, 101),
	(2, 2, 102),
	(2, 2, 103),
	(2, 2, 105),
	(2, 2, 106),
	(2, 2, 107),
	(2, 2, 111),
	(2, 2, 112),
	(2, 3, 101),
	(2, 3, 102),
	(2, 3, 103),
	(2, 3, 105),
	(2, 3, 106),
	(2, 3, 107),
	(2, 3, 111),
	(2, 3, 112),
	(2, 4, 101),
	(2, 4, 102),
	(2, 4, 103),
	(2, 4, 105),
	(2, 4, 106),
	(2, 4, 107),
	(2, 4, 111),
	(2, 4, 112),
	(2, 5, 101),
	(2, 5, 102),
	(2, 5, 103),
	(2, 5, 105),
	(2, 5, 106),
	(2, 5, 107),
	(2, 5, 111),
	(2, 5, 112),
	(2, 6, 101),
	(2, 6, 102),
	(2, 6, 103),
	(2, 6, 105),
	(2, 6, 106),
	(2, 6, 107),
	(2, 6, 111),
	(2, 6, 112),
	(2, 7, 101),
	(2, 7, 102),
	(2, 7, 103),
	(2, 7, 105),
	(2, 7, 106),
	(2, 7, 107),
	(2, 7, 111),
	(2, 7, 112),
	(2, 8, 101),
	(2, 8, 102),
	(2, 8, 103),
	(2, 8, 105),
	(2, 8, 106),
	(2, 8, 107),
	(2, 8, 111),
	(2, 8, 112),
	(2, 9, 101),
	(2, 9, 102),
	(2, 9, 103),
	(2, 9, 105),
	(2, 9, 106),
	(2, 9, 107),
	(2, 9, 111),
	(2, 9, 112),
	(2, 10, 101),
	(2, 10, 102),
	(2, 10, 103),
	(2, 10, 105),
	(2, 10, 106),
	(2, 10, 107),
	(2, 10, 111),
	(2, 10, 112),
	(2, 11, 101),
	(2, 11, 102),
	(2, 11, 103),
	(2, 11, 105),
	(2, 11, 106),
	(2, 11, 107),
	(2, 11, 111),
	(2, 11, 112),
	(2, 12, 101),
	(2, 12, 102),
	(2, 12, 103),
	(2, 12, 105),
	(2, 12, 106),
	(2, 12, 107),
	(2, 12, 111),
	(2, 12, 112),
	(2, 13, 101),
	(2, 13, 102),
	(2, 13, 103),
	(2, 13, 105),
	(2, 13, 106),
	(2, 13, 107),
	(2, 13, 111),
	(2, 13, 112),
	(2, 14, 101),
	(2, 14, 102),
	(2, 14, 103),
	(2, 14, 105),
	(2, 14, 106),
	(2, 14, 107),
	(2, 14, 111),
	(2, 14, 112),
	(2, 15, 101),
	(2, 15, 102),
	(2, 15, 103),
	(2, 15, 105),
	(2, 15, 106),
	(2, 15, 107),
	(2, 15, 111),
	(2, 15, 112),
	(2, 16, 101),
	(2, 16, 102),
	(2, 16, 103),
	(2, 16, 105),
	(2, 16, 106),
	(2, 16, 107),
	(2, 16, 111),
	(2, 16, 112),
	(2, 17, 101),
	(2, 17, 102),
	(2, 17, 103),
	(2, 17, 105),
	(2, 17, 106),
	(2, 17, 107),
	(2, 17, 111),
	(2, 17, 112),
	(2, 18, 101),
	(2, 18, 102),
	(2, 18, 103),
	(2, 18, 105),
	(2, 18, 106),
	(2, 18, 107),
	(2, 18, 111),
	(2, 18, 112),
	(2, 19, 101),
	(2, 19, 102),
	(2, 19, 103),
	(2, 19, 105),
	(2, 19, 106),
	(2, 19, 107),
	(2, 19, 111),
	(2, 19, 112),
	(2, 20, 101),
	(2, 20, 102),
	(2, 20, 103),
	(2, 20, 105),
	(2, 20, 106),
	(2, 20, 107),
	(2, 20, 111),
	(2, 20, 112),
	(2, 21, 101),
	(2, 21, 102),
	(2, 21, 103),
	(2, 21, 105),
	(2, 21, 106),
	(2, 21, 107),
	(2, 21, 111),
	(2, 21, 112),
	(2, 22, 101),
	(2, 22, 102),
	(2, 22, 103),
	(2, 22, 105),
	(2, 22, 106),
	(2, 22, 107),
	(2, 22, 111),
	(2, 22, 112),
	(2, 23, 101),
	(2, 23, 102),
	(2, 23, 103),
	(2, 23, 105),
	(2, 23, 106),
	(2, 23, 107),
	(2, 23, 111),
	(2, 23, 112),
	(2, 24, 101),
	(2, 24, 102),
	(2, 24, 103),
	(2, 24, 105),
	(2, 24, 106),
	(2, 24, 107),
	(2, 24, 111),
	(2, 24, 112),
	(2, 25, 101),
	(2, 25, 102),
	(2, 25, 103),
	(2, 25, 105),
	(2, 25, 106),
	(2, 25, 107),
	(2, 25, 111),
	(2, 25, 112),
	(2, 26, 101),
	(2, 26, 102),
	(2, 26, 103),
	(2, 26, 105),
	(2, 26, 106),
	(2, 26, 107),
	(2, 26, 111),
	(2, 26, 112),
	(2, 27, 101),
	(2, 27, 102),
	(2, 27, 103),
	(2, 27, 105),
	(2, 27, 106),
	(2, 27, 107),
	(2, 27, 111),
	(2, 27, 112),
	(2, 28, 101),
	(2, 28, 102),
	(2, 28, 103),
	(2, 28, 105),
	(2, 28, 106),
	(2, 28, 107),
	(2, 28, 111),
	(2, 28, 112),
	(3, 1, 101),
	(3, 1, 102),
	(3, 1, 103),
	(3, 1, 105),
	(3, 1, 106),
	(3, 1, 107),
	(3, 1, 111),
	(3, 1, 112),
	(3, 2, 101),
	(3, 2, 102),
	(3, 2, 103),
	(3, 2, 105),
	(3, 2, 106),
	(3, 2, 107),
	(3, 2, 111),
	(3, 2, 112),
	(3, 3, 101),
	(3, 3, 102),
	(3, 3, 103),
	(3, 3, 105),
	(3, 3, 106),
	(3, 3, 107),
	(3, 3, 111),
	(3, 3, 112),
	(3, 4, 101),
	(3, 4, 102),
	(3, 4, 103),
	(3, 4, 105),
	(3, 4, 106),
	(3, 4, 107),
	(3, 4, 111),
	(3, 4, 112),
	(3, 5, 101),
	(3, 5, 102),
	(3, 5, 103),
	(3, 5, 105),
	(3, 5, 106),
	(3, 5, 107),
	(3, 5, 111),
	(3, 5, 112),
	(3, 6, 101),
	(3, 6, 102),
	(3, 6, 103),
	(3, 6, 105),
	(3, 6, 106),
	(3, 6, 107),
	(3, 6, 111),
	(3, 6, 112),
	(3, 7, 101),
	(3, 7, 102),
	(3, 7, 103),
	(3, 7, 105),
	(3, 7, 106),
	(3, 7, 107),
	(3, 7, 111),
	(3, 7, 112),
	(3, 8, 101),
	(3, 8, 102),
	(3, 8, 103),
	(3, 8, 105),
	(3, 8, 106),
	(3, 8, 107),
	(3, 8, 111),
	(3, 8, 112),
	(3, 9, 101),
	(3, 9, 102),
	(3, 9, 103),
	(3, 9, 105),
	(3, 9, 106),
	(3, 9, 107),
	(3, 9, 111),
	(3, 9, 112),
	(3, 10, 101),
	(3, 10, 102),
	(3, 10, 103),
	(3, 10, 105),
	(3, 10, 106),
	(3, 10, 107),
	(3, 10, 111),
	(3, 10, 112),
	(3, 11, 101),
	(3, 11, 102),
	(3, 11, 103),
	(3, 11, 105),
	(3, 11, 106),
	(3, 11, 107),
	(3, 11, 111),
	(3, 11, 112),
	(3, 12, 101),
	(3, 12, 102),
	(3, 12, 103),
	(3, 12, 105),
	(3, 12, 106),
	(3, 12, 107),
	(3, 12, 111),
	(3, 12, 112),
	(3, 13, 101),
	(3, 13, 102),
	(3, 13, 103),
	(3, 13, 105),
	(3, 13, 106),
	(3, 13, 107),
	(3, 13, 111),
	(3, 13, 112),
	(3, 14, 101),
	(3, 14, 102),
	(3, 14, 103),
	(3, 14, 105),
	(3, 14, 106),
	(3, 14, 107),
	(3, 14, 111),
	(3, 14, 112),
	(3, 15, 101),
	(3, 15, 102),
	(3, 15, 103),
	(3, 15, 105),
	(3, 15, 106),
	(3, 15, 107),
	(3, 15, 111),
	(3, 15, 112),
	(3, 16, 101),
	(3, 16, 102),
	(3, 16, 103),
	(3, 16, 105),
	(3, 16, 106),
	(3, 16, 107),
	(3, 16, 111),
	(3, 16, 112),
	(3, 17, 101),
	(3, 17, 102),
	(3, 17, 103),
	(3, 17, 105),
	(3, 17, 106),
	(3, 17, 107),
	(3, 17, 111),
	(3, 17, 112),
	(3, 18, 101),
	(3, 18, 102),
	(3, 18, 103),
	(3, 18, 105),
	(3, 18, 106),
	(3, 18, 107),
	(3, 18, 111),
	(3, 18, 112),
	(3, 19, 101),
	(3, 19, 102),
	(3, 19, 103),
	(3, 19, 105),
	(3, 19, 106),
	(3, 19, 107),
	(3, 19, 111),
	(3, 19, 112),
	(3, 20, 101),
	(3, 20, 102),
	(3, 20, 103),
	(3, 20, 105),
	(3, 20, 106),
	(3, 20, 107),
	(3, 20, 111),
	(3, 20, 112),
	(3, 21, 101),
	(3, 21, 102),
	(3, 21, 103),
	(3, 21, 105),
	(3, 21, 106),
	(3, 21, 107),
	(3, 21, 111),
	(3, 21, 112),
	(3, 22, 101),
	(3, 22, 102),
	(3, 22, 103),
	(3, 22, 105),
	(3, 22, 106),
	(3, 22, 107),
	(3, 22, 111),
	(3, 22, 112),
	(3, 23, 101),
	(3, 23, 102),
	(3, 23, 103),
	(3, 23, 105),
	(3, 23, 106),
	(3, 23, 107),
	(3, 23, 111),
	(3, 23, 112),
	(3, 24, 101),
	(3, 24, 102),
	(3, 24, 103),
	(3, 24, 105),
	(3, 24, 106),
	(3, 24, 107),
	(3, 24, 111),
	(3, 24, 112),
	(3, 25, 101),
	(3, 25, 102),
	(3, 25, 103),
	(3, 25, 105),
	(3, 25, 106),
	(3, 25, 107),
	(3, 25, 111),
	(3, 25, 112),
	(3, 26, 101),
	(3, 26, 102),
	(3, 26, 103),
	(3, 26, 105),
	(3, 26, 106),
	(3, 26, 107),
	(3, 26, 111),
	(3, 26, 112),
	(3, 27, 101),
	(3, 27, 102),
	(3, 27, 103),
	(3, 27, 105),
	(3, 27, 106),
	(3, 27, 107),
	(3, 27, 111),
	(3, 27, 112),
	(3, 28, 101),
	(3, 28, 102),
	(3, 28, 103),
	(3, 28, 105),
	(3, 28, 106),
	(3, 28, 107),
	(3, 28, 111),
	(3, 28, 112),
	(3, 29, 101),
	(3, 29, 102),
	(3, 29, 103),
	(3, 29, 105),
	(3, 29, 106),
	(3, 29, 107),
	(3, 29, 111),
	(3, 29, 112),
	(3, 30, 101),
	(3, 30, 102),
	(3, 30, 103),
	(3, 30, 105),
	(3, 30, 106),
	(3, 30, 107),
	(3, 30, 111),
	(3, 30, 112),
	(3, 31, 101),
	(3, 31, 102),
	(3, 31, 103),
	(3, 31, 105),
	(3, 31, 106),
	(3, 31, 107),
	(3, 31, 111),
	(3, 31, 112),
	(4, 1, 101),
	(4, 1, 102),
	(4, 1, 103),
	(4, 1, 105),
	(4, 1, 106),
	(4, 1, 107),
	(4, 1, 111),
	(4, 1, 112),
	(4, 2, 101),
	(4, 2, 102),
	(4, 2, 103),
	(4, 2, 105),
	(4, 2, 106),
	(4, 2, 107),
	(4, 2, 111),
	(4, 2, 112),
	(4, 3, 101),
	(4, 3, 102),
	(4, 3, 103),
	(4, 3, 105),
	(4, 3, 106),
	(4, 3, 107),
	(4, 3, 111),
	(4, 3, 112),
	(4, 4, 101),
	(4, 4, 102),
	(4, 4, 103),
	(4, 4, 105),
	(4, 4, 106),
	(4, 4, 107),
	(4, 4, 111),
	(4, 4, 112),
	(4, 5, 101),
	(4, 5, 102),
	(4, 5, 103),
	(4, 5, 105),
	(4, 5, 106),
	(4, 5, 107),
	(4, 5, 111),
	(4, 5, 112),
	(4, 6, 101),
	(4, 6, 102),
	(4, 6, 103),
	(4, 6, 105),
	(4, 6, 106),
	(4, 6, 107),
	(4, 6, 111),
	(4, 6, 112),
	(4, 7, 101),
	(4, 7, 102),
	(4, 7, 103),
	(4, 7, 105),
	(4, 7, 106),
	(4, 7, 107),
	(4, 7, 111),
	(4, 7, 112),
	(4, 8, 101),
	(4, 8, 102),
	(4, 8, 103),
	(4, 8, 105),
	(4, 8, 106),
	(4, 8, 107),
	(4, 8, 111),
	(4, 8, 112),
	(4, 9, 101),
	(4, 9, 102),
	(4, 9, 103),
	(4, 9, 105),
	(4, 9, 106),
	(4, 9, 107),
	(4, 9, 111),
	(4, 9, 112),
	(4, 10, 101),
	(4, 10, 102),
	(4, 10, 103),
	(4, 10, 105),
	(4, 10, 106),
	(4, 10, 107),
	(4, 10, 111),
	(4, 10, 112),
	(4, 11, 101),
	(4, 11, 102),
	(4, 11, 103),
	(4, 11, 105),
	(4, 11, 106),
	(4, 11, 107),
	(4, 11, 111),
	(4, 11, 112),
	(4, 12, 101),
	(4, 12, 102),
	(4, 12, 103),
	(4, 12, 105),
	(4, 12, 106),
	(4, 12, 107),
	(4, 12, 111),
	(4, 12, 112),
	(4, 13, 101),
	(4, 13, 102),
	(4, 13, 103),
	(4, 13, 105),
	(4, 13, 106),
	(4, 13, 107),
	(4, 13, 111),
	(4, 13, 112),
	(4, 14, 101),
	(4, 14, 102),
	(4, 14, 103),
	(4, 14, 105),
	(4, 14, 106),
	(4, 14, 107),
	(4, 14, 111),
	(4, 14, 112),
	(4, 15, 101),
	(4, 15, 102),
	(4, 15, 103),
	(4, 15, 105),
	(4, 15, 106),
	(4, 15, 107),
	(4, 15, 111),
	(4, 15, 112),
	(4, 16, 101),
	(4, 16, 102),
	(4, 16, 103),
	(4, 16, 105),
	(4, 16, 106),
	(4, 16, 107),
	(4, 16, 111),
	(4, 16, 112),
	(4, 17, 101),
	(4, 17, 102),
	(4, 17, 103),
	(4, 17, 105),
	(4, 17, 106),
	(4, 17, 107),
	(4, 17, 111),
	(4, 17, 112),
	(4, 18, 101),
	(4, 18, 102),
	(4, 18, 103),
	(4, 18, 105),
	(4, 18, 106),
	(4, 18, 107),
	(4, 18, 111),
	(4, 18, 112),
	(4, 19, 101),
	(4, 19, 102),
	(4, 19, 103),
	(4, 19, 105),
	(4, 19, 106),
	(4, 19, 107),
	(4, 19, 111),
	(4, 19, 112),
	(4, 20, 101),
	(4, 20, 102),
	(4, 20, 103),
	(4, 20, 105),
	(4, 20, 106),
	(4, 20, 107),
	(4, 20, 111),
	(4, 20, 112),
	(4, 21, 101),
	(4, 21, 102),
	(4, 21, 103),
	(4, 21, 105),
	(4, 21, 106),
	(4, 21, 107),
	(4, 21, 111),
	(4, 21, 112),
	(4, 22, 101),
	(4, 22, 102),
	(4, 22, 103),
	(4, 22, 105),
	(4, 22, 106),
	(4, 22, 107),
	(4, 22, 111),
	(4, 22, 112),
	(4, 23, 101),
	(4, 23, 102),
	(4, 23, 103),
	(4, 23, 105),
	(4, 23, 106),
	(4, 23, 107),
	(4, 23, 111),
	(4, 23, 112),
	(4, 24, 101),
	(4, 24, 102),
	(4, 24, 103),
	(4, 24, 105),
	(4, 24, 106),
	(4, 24, 107),
	(4, 24, 111),
	(4, 24, 112),
	(4, 25, 101),
	(4, 25, 102),
	(4, 25, 103),
	(4, 25, 105),
	(4, 25, 106),
	(4, 25, 107),
	(4, 25, 111),
	(4, 25, 112),
	(4, 26, 101),
	(4, 26, 102),
	(4, 26, 103),
	(4, 26, 105),
	(4, 26, 106),
	(4, 26, 107),
	(4, 26, 111),
	(4, 26, 112),
	(4, 27, 101),
	(4, 27, 102),
	(4, 27, 103),
	(4, 27, 105),
	(4, 27, 106),
	(4, 27, 107),
	(4, 27, 111),
	(4, 27, 112),
	(4, 28, 101),
	(4, 28, 102),
	(4, 28, 103),
	(4, 28, 105),
	(4, 28, 106),
	(4, 28, 107),
	(4, 28, 111),
	(4, 28, 112),
	(4, 29, 101),
	(4, 29, 102),
	(4, 29, 103),
	(4, 29, 105),
	(4, 29, 106),
	(4, 29, 107),
	(4, 29, 111),
	(4, 29, 112),
	(4, 30, 101),
	(4, 30, 102),
	(4, 30, 103),
	(4, 30, 105),
	(4, 30, 106),
	(4, 30, 107),
	(4, 30, 111),
	(4, 30, 112),
	(5, 1, 101),
	(5, 1, 102),
	(5, 1, 103),
	(5, 1, 105),
	(5, 1, 106),
	(5, 1, 107),
	(5, 1, 111),
	(5, 1, 112),
	(5, 2, 101),
	(5, 2, 102),
	(5, 2, 103),
	(5, 2, 105),
	(5, 2, 106),
	(5, 2, 107),
	(5, 2, 111),
	(5, 2, 112),
	(5, 3, 101),
	(5, 3, 102),
	(5, 3, 103),
	(5, 3, 105),
	(5, 3, 106),
	(5, 3, 107),
	(5, 3, 111),
	(5, 3, 112),
	(5, 4, 101),
	(5, 4, 102),
	(5, 4, 103),
	(5, 4, 105),
	(5, 4, 106),
	(5, 4, 107),
	(5, 4, 111),
	(5, 4, 112),
	(5, 5, 101),
	(5, 5, 102),
	(5, 5, 103),
	(5, 5, 105),
	(5, 5, 106),
	(5, 5, 107),
	(5, 5, 111),
	(5, 5, 112),
	(5, 6, 101),
	(5, 6, 102),
	(5, 6, 103),
	(5, 6, 105),
	(5, 6, 106),
	(5, 6, 107),
	(5, 6, 111),
	(5, 6, 112),
	(5, 7, 101),
	(5, 7, 102),
	(5, 7, 103),
	(5, 7, 105),
	(5, 7, 106),
	(5, 7, 107),
	(5, 7, 111),
	(5, 7, 112),
	(5, 8, 101),
	(5, 8, 102),
	(5, 8, 103),
	(5, 8, 105),
	(5, 8, 106),
	(5, 8, 107),
	(5, 8, 111),
	(5, 8, 112),
	(5, 9, 101),
	(5, 9, 102),
	(5, 9, 103),
	(5, 9, 105),
	(5, 9, 106),
	(5, 9, 107),
	(5, 9, 111),
	(5, 9, 112),
	(5, 10, 101),
	(5, 10, 102),
	(5, 10, 103),
	(5, 10, 105),
	(5, 10, 106),
	(5, 10, 107),
	(5, 10, 111),
	(5, 10, 112),
	(5, 11, 101),
	(5, 11, 102),
	(5, 11, 103),
	(5, 11, 105),
	(5, 11, 106),
	(5, 11, 107),
	(5, 11, 111),
	(5, 11, 112),
	(5, 12, 101),
	(5, 12, 102),
	(5, 12, 103),
	(5, 12, 105),
	(5, 12, 106),
	(5, 12, 107),
	(5, 12, 111),
	(5, 12, 112),
	(5, 13, 101),
	(5, 13, 102),
	(5, 13, 103),
	(5, 13, 105),
	(5, 13, 106),
	(5, 13, 107),
	(5, 13, 111),
	(5, 13, 112),
	(5, 14, 101),
	(5, 14, 102),
	(5, 14, 103),
	(5, 14, 105),
	(5, 14, 106),
	(5, 14, 107),
	(5, 14, 111),
	(5, 14, 112),
	(5, 15, 101),
	(5, 15, 102),
	(5, 15, 103),
	(5, 15, 105),
	(5, 15, 106),
	(5, 15, 107),
	(5, 15, 111),
	(5, 15, 112),
	(5, 16, 101),
	(5, 16, 102),
	(5, 16, 103),
	(5, 16, 105),
	(5, 16, 106),
	(5, 16, 107),
	(5, 16, 111),
	(5, 16, 112),
	(5, 17, 101),
	(5, 17, 102),
	(5, 17, 103),
	(5, 17, 105),
	(5, 17, 106),
	(5, 17, 107),
	(5, 17, 111),
	(5, 17, 112),
	(5, 18, 101),
	(5, 18, 102),
	(5, 18, 103),
	(5, 18, 105),
	(5, 18, 106),
	(5, 18, 107),
	(5, 18, 111),
	(5, 18, 112),
	(5, 19, 101),
	(5, 19, 102),
	(5, 19, 103),
	(5, 19, 105),
	(5, 19, 106),
	(5, 19, 107),
	(5, 19, 111),
	(5, 19, 112),
	(5, 20, 101),
	(5, 20, 102),
	(5, 20, 103),
	(5, 20, 105),
	(5, 20, 106),
	(5, 20, 107),
	(5, 20, 111),
	(5, 20, 112),
	(5, 21, 101),
	(5, 21, 102),
	(5, 21, 103),
	(5, 21, 105),
	(5, 21, 106),
	(5, 21, 107),
	(5, 21, 111),
	(5, 21, 112),
	(5, 22, 101),
	(5, 22, 102),
	(5, 22, 103),
	(5, 22, 105),
	(5, 22, 106),
	(5, 22, 107),
	(5, 22, 111),
	(5, 22, 112),
	(5, 23, 101),
	(5, 23, 102),
	(5, 23, 103),
	(5, 23, 105),
	(5, 23, 106),
	(5, 23, 107),
	(5, 23, 111),
	(5, 23, 112),
	(5, 24, 101),
	(5, 24, 102),
	(5, 24, 103),
	(5, 24, 105),
	(5, 24, 106),
	(5, 24, 107),
	(5, 24, 111),
	(5, 24, 112),
	(5, 25, 101),
	(5, 25, 102),
	(5, 25, 103),
	(5, 25, 105),
	(5, 25, 106),
	(5, 25, 107),
	(5, 25, 111),
	(5, 25, 112),
	(5, 26, 101),
	(5, 26, 102),
	(5, 26, 103),
	(5, 26, 105),
	(5, 26, 106),
	(5, 26, 107),
	(5, 26, 111),
	(5, 26, 112),
	(5, 27, 101),
	(5, 27, 102),
	(5, 27, 103),
	(5, 27, 105),
	(5, 27, 106),
	(5, 27, 107),
	(5, 27, 111),
	(5, 27, 112),
	(5, 28, 101),
	(5, 28, 102),
	(5, 28, 103),
	(5, 28, 105),
	(5, 28, 106),
	(5, 28, 107),
	(5, 28, 111),
	(5, 28, 112),
	(5, 29, 101),
	(5, 29, 102),
	(5, 29, 103),
	(5, 29, 105),
	(5, 29, 106),
	(5, 29, 107),
	(5, 29, 111),
	(5, 29, 112),
	(5, 30, 101),
	(5, 30, 102),
	(5, 30, 103),
	(5, 30, 105),
	(5, 30, 106),
	(5, 30, 107),
	(5, 30, 111),
	(5, 30, 112),
	(5, 31, 101),
	(5, 31, 102),
	(5, 31, 103),
	(5, 31, 105),
	(5, 31, 106),
	(5, 31, 107),
	(5, 31, 111),
	(5, 31, 112),
	(6, 1, 101),
	(6, 1, 102),
	(6, 1, 103),
	(6, 1, 105),
	(6, 1, 106),
	(6, 1, 107),
	(6, 1, 111),
	(6, 1, 112),
	(6, 2, 101),
	(6, 2, 102),
	(6, 2, 103),
	(6, 2, 105),
	(6, 2, 106),
	(6, 2, 107),
	(6, 2, 111),
	(6, 2, 112),
	(6, 3, 101),
	(6, 3, 102),
	(6, 3, 103),
	(6, 3, 105),
	(6, 3, 106),
	(6, 3, 107),
	(6, 3, 111),
	(6, 3, 112),
	(6, 4, 101),
	(6, 4, 102),
	(6, 4, 103),
	(6, 4, 105),
	(6, 4, 106),
	(6, 4, 107),
	(6, 4, 111),
	(6, 4, 112),
	(6, 5, 101),
	(6, 5, 102),
	(6, 5, 103),
	(6, 5, 105),
	(6, 5, 106),
	(6, 5, 107),
	(6, 5, 111),
	(6, 5, 112),
	(6, 6, 101),
	(6, 6, 102),
	(6, 6, 103),
	(6, 6, 105),
	(6, 6, 106),
	(6, 6, 107),
	(6, 6, 111),
	(6, 6, 112),
	(6, 7, 101),
	(6, 7, 102),
	(6, 7, 103),
	(6, 7, 105),
	(6, 7, 106),
	(6, 7, 107),
	(6, 7, 111),
	(6, 7, 112),
	(6, 8, 101),
	(6, 8, 102),
	(6, 8, 103),
	(6, 8, 105),
	(6, 8, 106),
	(6, 8, 107),
	(6, 8, 111),
	(6, 8, 112),
	(6, 9, 101),
	(6, 9, 102),
	(6, 9, 103),
	(6, 9, 105),
	(6, 9, 106),
	(6, 9, 107),
	(6, 9, 111),
	(6, 9, 112),
	(6, 10, 101),
	(6, 10, 102),
	(6, 10, 103),
	(6, 10, 105),
	(6, 10, 106),
	(6, 10, 107),
	(6, 10, 111),
	(6, 10, 112),
	(6, 11, 101),
	(6, 11, 102),
	(6, 11, 103),
	(6, 11, 105),
	(6, 11, 106),
	(6, 11, 107),
	(6, 11, 111),
	(6, 11, 112),
	(6, 12, 101),
	(6, 12, 102),
	(6, 12, 103),
	(6, 12, 105),
	(6, 12, 106),
	(6, 12, 107),
	(6, 12, 111),
	(6, 12, 112),
	(6, 13, 101),
	(6, 13, 102),
	(6, 13, 103),
	(6, 13, 105),
	(6, 13, 106),
	(6, 13, 107),
	(6, 13, 111),
	(6, 13, 112),
	(6, 14, 101),
	(6, 14, 102),
	(6, 14, 103),
	(6, 14, 105),
	(6, 14, 106),
	(6, 14, 107),
	(6, 14, 111),
	(6, 14, 112),
	(6, 15, 101),
	(6, 15, 102),
	(6, 15, 103),
	(6, 15, 105),
	(6, 15, 106),
	(6, 15, 107),
	(6, 15, 111),
	(6, 15, 112),
	(6, 16, 101),
	(6, 16, 102),
	(6, 16, 103),
	(6, 16, 105),
	(6, 16, 106),
	(6, 16, 107),
	(6, 16, 111),
	(6, 16, 112),
	(6, 17, 101),
	(6, 17, 102),
	(6, 17, 103),
	(6, 17, 105),
	(6, 17, 106),
	(6, 17, 107),
	(6, 17, 111),
	(6, 17, 112),
	(6, 18, 101),
	(6, 18, 102),
	(6, 18, 103),
	(6, 18, 105),
	(6, 18, 106),
	(6, 18, 107),
	(6, 18, 111),
	(6, 18, 112),
	(6, 19, 101),
	(6, 19, 102),
	(6, 19, 103),
	(6, 19, 105),
	(6, 19, 106),
	(6, 19, 107),
	(6, 19, 111),
	(6, 19, 112),
	(6, 20, 101),
	(6, 20, 102),
	(6, 20, 103),
	(6, 20, 105),
	(6, 20, 106),
	(6, 20, 107),
	(6, 20, 111),
	(6, 20, 112),
	(6, 21, 101),
	(6, 21, 102),
	(6, 21, 103),
	(6, 21, 105),
	(6, 21, 106),
	(6, 21, 107),
	(6, 21, 111),
	(6, 21, 112),
	(6, 22, 101),
	(6, 22, 102),
	(6, 22, 103),
	(6, 22, 105),
	(6, 22, 106),
	(6, 22, 107),
	(6, 22, 111),
	(6, 22, 112),
	(6, 23, 101),
	(6, 23, 102),
	(6, 23, 103),
	(6, 23, 105),
	(6, 23, 106),
	(6, 23, 107),
	(6, 23, 111),
	(6, 23, 112),
	(6, 24, 101),
	(6, 24, 102),
	(6, 24, 103),
	(6, 24, 105),
	(6, 24, 106),
	(6, 24, 107),
	(6, 24, 111),
	(6, 24, 112),
	(6, 25, 101),
	(6, 25, 102),
	(6, 25, 103),
	(6, 25, 105),
	(6, 25, 106),
	(6, 25, 107),
	(6, 25, 111),
	(6, 25, 112),
	(6, 26, 101),
	(6, 26, 102),
	(6, 26, 103),
	(6, 26, 105),
	(6, 26, 106),
	(6, 26, 107),
	(6, 26, 111),
	(6, 26, 112),
	(6, 27, 101),
	(6, 27, 102),
	(6, 27, 103),
	(6, 27, 105),
	(6, 27, 106),
	(6, 27, 107),
	(6, 27, 111),
	(6, 27, 112),
	(6, 28, 101),
	(6, 28, 102),
	(6, 28, 103),
	(6, 28, 105),
	(6, 28, 106),
	(6, 28, 107),
	(6, 28, 111),
	(6, 28, 112),
	(6, 29, 101),
	(6, 29, 102),
	(6, 29, 103),
	(6, 29, 105),
	(6, 29, 106),
	(6, 29, 107),
	(6, 29, 111),
	(6, 29, 112),
	(6, 30, 101),
	(6, 30, 102),
	(6, 30, 103),
	(6, 30, 105),
	(6, 30, 106),
	(6, 30, 107),
	(6, 30, 111),
	(6, 30, 112),
	(7, 1, 101),
	(7, 1, 102),
	(7, 1, 103),
	(7, 1, 105),
	(7, 1, 106),
	(7, 1, 107),
	(7, 1, 111),
	(7, 1, 112),
	(7, 2, 101),
	(7, 2, 102),
	(7, 2, 103),
	(7, 2, 105),
	(7, 2, 106),
	(7, 2, 107),
	(7, 2, 111),
	(7, 2, 112),
	(7, 3, 101),
	(7, 3, 102),
	(7, 3, 103),
	(7, 3, 105),
	(7, 3, 106),
	(7, 3, 107),
	(7, 3, 111),
	(7, 3, 112),
	(7, 4, 101),
	(7, 4, 102),
	(7, 4, 103),
	(7, 4, 105),
	(7, 4, 106),
	(7, 4, 107),
	(7, 4, 111),
	(7, 4, 112),
	(7, 5, 101),
	(7, 5, 102),
	(7, 5, 103),
	(7, 5, 105),
	(7, 5, 106),
	(7, 5, 107),
	(7, 5, 111),
	(7, 5, 112),
	(7, 6, 101),
	(7, 6, 102),
	(7, 6, 103),
	(7, 6, 105),
	(7, 6, 106),
	(7, 6, 107),
	(7, 6, 111),
	(7, 6, 112),
	(7, 7, 101),
	(7, 7, 102),
	(7, 7, 103),
	(7, 7, 105),
	(7, 7, 106),
	(7, 7, 107),
	(7, 7, 111),
	(7, 7, 112),
	(7, 8, 101),
	(7, 8, 102),
	(7, 8, 103),
	(7, 8, 105),
	(7, 8, 106),
	(7, 8, 107),
	(7, 8, 111),
	(7, 8, 112),
	(7, 9, 101),
	(7, 9, 102),
	(7, 9, 103),
	(7, 9, 105),
	(7, 9, 106),
	(7, 9, 107),
	(7, 9, 111),
	(7, 9, 112),
	(7, 10, 101),
	(7, 10, 102),
	(7, 10, 103),
	(7, 10, 105),
	(7, 10, 106),
	(7, 10, 107),
	(7, 10, 111),
	(7, 10, 112),
	(7, 11, 101),
	(7, 11, 102),
	(7, 11, 103),
	(7, 11, 105),
	(7, 11, 106),
	(7, 11, 107),
	(7, 11, 111),
	(7, 11, 112),
	(7, 12, 101),
	(7, 12, 102),
	(7, 12, 103),
	(7, 12, 105),
	(7, 12, 106),
	(7, 12, 107),
	(7, 12, 111),
	(7, 12, 112),
	(7, 13, 101),
	(7, 13, 102),
	(7, 13, 103),
	(7, 13, 105),
	(7, 13, 106),
	(7, 13, 107),
	(7, 13, 111),
	(7, 13, 112),
	(7, 14, 101),
	(7, 14, 102),
	(7, 14, 103),
	(7, 14, 105),
	(7, 14, 106),
	(7, 14, 107),
	(7, 14, 111),
	(7, 14, 112),
	(7, 15, 101),
	(7, 15, 102),
	(7, 15, 103),
	(7, 15, 105),
	(7, 15, 106),
	(7, 15, 107),
	(7, 15, 111),
	(7, 15, 112),
	(7, 16, 101),
	(7, 16, 102),
	(7, 16, 103),
	(7, 16, 105),
	(7, 16, 106),
	(7, 16, 107),
	(7, 16, 111),
	(7, 16, 112),
	(7, 17, 101),
	(7, 17, 102),
	(7, 17, 103),
	(7, 17, 105),
	(7, 17, 106),
	(7, 17, 107),
	(7, 17, 111),
	(7, 17, 112),
	(7, 18, 101),
	(7, 18, 102),
	(7, 18, 103),
	(7, 18, 105),
	(7, 18, 106),
	(7, 18, 107),
	(7, 18, 111),
	(7, 18, 112),
	(7, 19, 101),
	(7, 19, 102),
	(7, 19, 103),
	(7, 19, 105),
	(7, 19, 106),
	(7, 19, 107),
	(7, 19, 111),
	(7, 19, 112),
	(7, 20, 101),
	(7, 20, 102),
	(7, 20, 103),
	(7, 20, 105),
	(7, 20, 106),
	(7, 20, 107),
	(7, 20, 111),
	(7, 20, 112),
	(7, 21, 101),
	(7, 21, 102),
	(7, 21, 103),
	(7, 21, 105),
	(7, 21, 106),
	(7, 21, 107),
	(7, 21, 111),
	(7, 21, 112),
	(7, 22, 101),
	(7, 22, 102),
	(7, 22, 103),
	(7, 22, 105),
	(7, 22, 106),
	(7, 22, 107),
	(7, 22, 111),
	(7, 22, 112),
	(7, 23, 101),
	(7, 23, 102),
	(7, 23, 103),
	(7, 23, 105),
	(7, 23, 106),
	(7, 23, 107),
	(7, 23, 111),
	(7, 23, 112),
	(7, 24, 101),
	(7, 24, 102),
	(7, 24, 103),
	(7, 24, 105),
	(7, 24, 106),
	(7, 24, 107),
	(7, 24, 111),
	(7, 24, 112),
	(7, 25, 101),
	(7, 25, 102),
	(7, 25, 103),
	(7, 25, 105),
	(7, 25, 106),
	(7, 25, 107),
	(7, 25, 111),
	(7, 25, 112),
	(7, 26, 101),
	(7, 26, 102),
	(7, 26, 103),
	(7, 26, 105),
	(7, 26, 106),
	(7, 26, 107),
	(7, 26, 111),
	(7, 26, 112),
	(7, 27, 101),
	(7, 27, 102),
	(7, 27, 103),
	(7, 27, 105),
	(7, 27, 106),
	(7, 27, 107),
	(7, 27, 111),
	(7, 27, 112),
	(7, 28, 101),
	(7, 28, 102),
	(7, 28, 103),
	(7, 28, 105),
	(7, 28, 106),
	(7, 28, 107),
	(7, 28, 111),
	(7, 28, 112),
	(7, 29, 101),
	(7, 29, 102),
	(7, 29, 103),
	(7, 29, 105),
	(7, 29, 106),
	(7, 29, 107),
	(7, 29, 111),
	(7, 29, 112),
	(7, 30, 101),
	(7, 30, 102),
	(7, 30, 103),
	(7, 30, 105),
	(7, 30, 106),
	(7, 30, 107),
	(7, 30, 111),
	(7, 30, 112),
	(7, 31, 101),
	(7, 31, 102),
	(7, 31, 103),
	(7, 31, 105),
	(7, 31, 106),
	(7, 31, 107),
	(7, 31, 111),
	(7, 31, 112),
	(8, 1, 101),
	(8, 1, 102),
	(8, 1, 103),
	(8, 1, 105),
	(8, 1, 106),
	(8, 1, 107),
	(8, 1, 111),
	(8, 1, 112),
	(8, 2, 101),
	(8, 2, 102),
	(8, 2, 103),
	(8, 2, 105),
	(8, 2, 106),
	(8, 2, 107),
	(8, 2, 111),
	(8, 2, 112),
	(8, 3, 101),
	(8, 3, 102),
	(8, 3, 103),
	(8, 3, 105),
	(8, 3, 106),
	(8, 3, 107),
	(8, 3, 111),
	(8, 3, 112),
	(8, 4, 101),
	(8, 4, 102),
	(8, 4, 103),
	(8, 4, 105),
	(8, 4, 106),
	(8, 4, 107),
	(8, 4, 111),
	(8, 4, 112),
	(8, 5, 101),
	(8, 5, 102),
	(8, 5, 103),
	(8, 5, 105),
	(8, 5, 106),
	(8, 5, 107),
	(8, 5, 111),
	(8, 5, 112),
	(8, 6, 101),
	(8, 6, 102),
	(8, 6, 103),
	(8, 6, 105),
	(8, 6, 106),
	(8, 6, 107),
	(8, 6, 111),
	(8, 6, 112),
	(8, 7, 101),
	(8, 7, 102),
	(8, 7, 103),
	(8, 7, 105),
	(8, 7, 106),
	(8, 7, 107),
	(8, 7, 111),
	(8, 7, 112),
	(8, 8, 101),
	(8, 8, 102),
	(8, 8, 103),
	(8, 8, 105),
	(8, 8, 106),
	(8, 8, 107),
	(8, 8, 111),
	(8, 8, 112),
	(8, 9, 101),
	(8, 9, 102),
	(8, 9, 103),
	(8, 9, 105),
	(8, 9, 106),
	(8, 9, 107),
	(8, 9, 111),
	(8, 9, 112),
	(8, 10, 101),
	(8, 10, 102),
	(8, 10, 103),
	(8, 10, 105),
	(8, 10, 106),
	(8, 10, 107),
	(8, 10, 111),
	(8, 10, 112),
	(8, 11, 101),
	(8, 11, 102),
	(8, 11, 103),
	(8, 11, 105),
	(8, 11, 106),
	(8, 11, 107),
	(8, 11, 111),
	(8, 11, 112),
	(8, 12, 101),
	(8, 12, 102),
	(8, 12, 103),
	(8, 12, 105),
	(8, 12, 106),
	(8, 12, 107),
	(8, 12, 111),
	(8, 12, 112),
	(8, 13, 101),
	(8, 13, 102),
	(8, 13, 103),
	(8, 13, 105),
	(8, 13, 106),
	(8, 13, 107),
	(8, 13, 111),
	(8, 13, 112),
	(8, 14, 101),
	(8, 14, 102),
	(8, 14, 103),
	(8, 14, 105),
	(8, 14, 106),
	(8, 14, 107),
	(8, 14, 111),
	(8, 14, 112),
	(8, 15, 101),
	(8, 15, 102),
	(8, 15, 103),
	(8, 15, 105),
	(8, 15, 106),
	(8, 15, 107),
	(8, 15, 111),
	(8, 15, 112),
	(8, 16, 101),
	(8, 16, 102),
	(8, 16, 103),
	(8, 16, 105),
	(8, 16, 106),
	(8, 16, 107),
	(8, 16, 111),
	(8, 16, 112),
	(8, 17, 101),
	(8, 17, 102),
	(8, 17, 103),
	(8, 17, 105),
	(8, 17, 106),
	(8, 17, 107),
	(8, 17, 111),
	(8, 17, 112),
	(8, 18, 101),
	(8, 18, 102),
	(8, 18, 103),
	(8, 18, 105),
	(8, 18, 106),
	(8, 18, 107),
	(8, 18, 111),
	(8, 18, 112),
	(8, 19, 101),
	(8, 19, 102),
	(8, 19, 103),
	(8, 19, 105),
	(8, 19, 106),
	(8, 19, 107),
	(8, 19, 111),
	(8, 19, 112),
	(8, 20, 101),
	(8, 20, 102),
	(8, 20, 103),
	(8, 20, 105),
	(8, 20, 106),
	(8, 20, 107),
	(8, 20, 111),
	(8, 20, 112),
	(8, 21, 101),
	(8, 21, 102),
	(8, 21, 103),
	(8, 21, 105),
	(8, 21, 106),
	(8, 21, 107),
	(8, 21, 111),
	(8, 21, 112),
	(8, 22, 101),
	(8, 22, 102),
	(8, 22, 103),
	(8, 22, 105),
	(8, 22, 106),
	(8, 22, 107),
	(8, 22, 111),
	(8, 22, 112),
	(8, 23, 101),
	(8, 23, 102),
	(8, 23, 103),
	(8, 23, 105),
	(8, 23, 106),
	(8, 23, 107),
	(8, 23, 111),
	(8, 23, 112),
	(8, 24, 101),
	(8, 24, 102),
	(8, 24, 103),
	(8, 24, 105),
	(8, 24, 106),
	(8, 24, 107),
	(8, 24, 111),
	(8, 24, 112),
	(8, 25, 101),
	(8, 25, 102),
	(8, 25, 103),
	(8, 25, 105),
	(8, 25, 106),
	(8, 25, 107),
	(8, 25, 111),
	(8, 25, 112),
	(8, 26, 101),
	(8, 26, 102),
	(8, 26, 103),
	(8, 26, 105),
	(8, 26, 106),
	(8, 26, 107),
	(8, 26, 111),
	(8, 26, 112),
	(8, 27, 101),
	(8, 27, 102),
	(8, 27, 103),
	(8, 27, 105),
	(8, 27, 106),
	(8, 27, 107),
	(8, 27, 111),
	(8, 27, 112),
	(8, 28, 101),
	(8, 28, 102),
	(8, 28, 103),
	(8, 28, 105),
	(8, 28, 106),
	(8, 28, 107),
	(8, 28, 111),
	(8, 28, 112),
	(8, 29, 101),
	(8, 29, 102),
	(8, 29, 103),
	(8, 29, 105),
	(8, 29, 106),
	(8, 29, 107),
	(8, 29, 111),
	(8, 29, 112),
	(8, 30, 101),
	(8, 30, 102),
	(8, 30, 103),
	(8, 30, 105),
	(8, 30, 106),
	(8, 30, 107),
	(8, 30, 111),
	(8, 30, 112),
	(8, 31, 101),
	(8, 31, 102),
	(8, 31, 103),
	(8, 31, 105),
	(8, 31, 106),
	(8, 31, 107),
	(8, 31, 111),
	(8, 31, 112),
	(9, 1, 101),
	(9, 1, 102),
	(9, 1, 103),
	(9, 1, 105),
	(9, 1, 106),
	(9, 1, 107),
	(9, 1, 111),
	(9, 1, 112),
	(9, 2, 101),
	(9, 2, 102),
	(9, 2, 103),
	(9, 2, 105),
	(9, 2, 106),
	(9, 2, 107),
	(9, 2, 111),
	(9, 2, 112),
	(9, 3, 101),
	(9, 3, 102),
	(9, 3, 103),
	(9, 3, 105),
	(9, 3, 106),
	(9, 3, 107),
	(9, 3, 111),
	(9, 3, 112),
	(9, 4, 101),
	(9, 4, 102),
	(9, 4, 103),
	(9, 4, 105),
	(9, 4, 106),
	(9, 4, 107),
	(9, 4, 111),
	(9, 4, 112),
	(9, 5, 101),
	(9, 5, 102),
	(9, 5, 103),
	(9, 5, 105),
	(9, 5, 106),
	(9, 5, 107),
	(9, 5, 111),
	(9, 5, 112),
	(9, 6, 101),
	(9, 6, 102),
	(9, 6, 103),
	(9, 6, 105),
	(9, 6, 106),
	(9, 6, 107),
	(9, 6, 111),
	(9, 6, 112),
	(9, 7, 101),
	(9, 7, 102),
	(9, 7, 103),
	(9, 7, 105),
	(9, 7, 106),
	(9, 7, 107),
	(9, 7, 111),
	(9, 7, 112),
	(9, 8, 101),
	(9, 8, 102),
	(9, 8, 103),
	(9, 8, 105),
	(9, 8, 106),
	(9, 8, 107),
	(9, 8, 111),
	(9, 8, 112),
	(9, 9, 101),
	(9, 9, 102),
	(9, 9, 103),
	(9, 9, 105),
	(9, 9, 106),
	(9, 9, 107),
	(9, 9, 111),
	(9, 9, 112),
	(9, 10, 101),
	(9, 10, 102),
	(9, 10, 103),
	(9, 10, 105),
	(9, 10, 106),
	(9, 10, 107),
	(9, 10, 111),
	(9, 10, 112),
	(9, 11, 101),
	(9, 11, 102),
	(9, 11, 103),
	(9, 11, 105),
	(9, 11, 106),
	(9, 11, 107),
	(9, 11, 111),
	(9, 11, 112),
	(9, 12, 101),
	(9, 12, 102),
	(9, 12, 103),
	(9, 12, 105),
	(9, 12, 106),
	(9, 12, 107),
	(9, 12, 111),
	(9, 12, 112),
	(9, 13, 101),
	(9, 13, 102),
	(9, 13, 103),
	(9, 13, 105),
	(9, 13, 106),
	(9, 13, 107),
	(9, 13, 111),
	(9, 13, 112),
	(9, 14, 101),
	(9, 14, 102),
	(9, 14, 103),
	(9, 14, 105),
	(9, 14, 106),
	(9, 14, 107),
	(9, 14, 111),
	(9, 14, 112),
	(9, 15, 101),
	(9, 15, 102),
	(9, 15, 103),
	(9, 15, 105),
	(9, 15, 106),
	(9, 15, 107),
	(9, 15, 111),
	(9, 15, 112),
	(9, 16, 101),
	(9, 16, 102),
	(9, 16, 103),
	(9, 16, 105),
	(9, 16, 106),
	(9, 16, 107),
	(9, 16, 111),
	(9, 16, 112),
	(9, 17, 101),
	(9, 17, 102),
	(9, 17, 103),
	(9, 17, 105),
	(9, 17, 106),
	(9, 17, 107),
	(9, 17, 111),
	(9, 17, 112),
	(9, 18, 101),
	(9, 18, 102),
	(9, 18, 103),
	(9, 18, 105),
	(9, 18, 106),
	(9, 18, 107),
	(9, 18, 111),
	(9, 18, 112),
	(9, 19, 101),
	(9, 19, 102),
	(9, 19, 103),
	(9, 19, 105),
	(9, 19, 106),
	(9, 19, 107),
	(9, 19, 111),
	(9, 19, 112),
	(9, 20, 101),
	(9, 20, 102),
	(9, 20, 103),
	(9, 20, 105),
	(9, 20, 106),
	(9, 20, 107),
	(9, 20, 111),
	(9, 20, 112),
	(9, 21, 101),
	(9, 21, 102),
	(9, 21, 103),
	(9, 21, 105),
	(9, 21, 106),
	(9, 21, 107),
	(9, 21, 111),
	(9, 21, 112),
	(9, 22, 101),
	(9, 22, 102),
	(9, 22, 103),
	(9, 22, 105),
	(9, 22, 106),
	(9, 22, 107),
	(9, 22, 111),
	(9, 22, 112),
	(9, 23, 101),
	(9, 23, 102),
	(9, 23, 103),
	(9, 23, 105),
	(9, 23, 106),
	(9, 23, 107),
	(9, 23, 111),
	(9, 23, 112),
	(9, 24, 101),
	(9, 24, 102),
	(9, 24, 103),
	(9, 24, 105),
	(9, 24, 106),
	(9, 24, 107),
	(9, 24, 111),
	(9, 24, 112),
	(9, 25, 101),
	(9, 25, 102),
	(9, 25, 103),
	(9, 25, 105),
	(9, 25, 106),
	(9, 25, 107),
	(9, 25, 111),
	(9, 25, 112),
	(9, 26, 101),
	(9, 26, 102),
	(9, 26, 103),
	(9, 26, 105),
	(9, 26, 106),
	(9, 26, 107),
	(9, 26, 111),
	(9, 26, 112),
	(9, 27, 101),
	(9, 27, 102),
	(9, 27, 103),
	(9, 27, 105),
	(9, 27, 106),
	(9, 27, 107),
	(9, 27, 111),
	(9, 27, 112),
	(9, 28, 101),
	(9, 28, 102),
	(9, 28, 103),
	(9, 28, 105),
	(9, 28, 106),
	(9, 28, 107),
	(9, 28, 111),
	(9, 28, 112),
	(9, 29, 101),
	(9, 29, 102),
	(9, 29, 103),
	(9, 29, 105),
	(9, 29, 106),
	(9, 29, 107),
	(9, 29, 111),
	(9, 29, 112),
	(9, 30, 101),
	(9, 30, 102),
	(9, 30, 103),
	(9, 30, 105),
	(9, 30, 106),
	(9, 30, 107),
	(9, 30, 111),
	(9, 30, 112),
	(10, 1, 101),
	(10, 1, 102),
	(10, 1, 103),
	(10, 1, 105),
	(10, 1, 106),
	(10, 1, 107),
	(10, 1, 111),
	(10, 1, 112),
	(10, 2, 101),
	(10, 2, 102),
	(10, 2, 103),
	(10, 2, 105),
	(10, 2, 106),
	(10, 2, 107),
	(10, 2, 111),
	(10, 2, 112),
	(10, 3, 101),
	(10, 3, 102),
	(10, 3, 103),
	(10, 3, 105),
	(10, 3, 106),
	(10, 3, 107),
	(10, 3, 111),
	(10, 3, 112),
	(10, 4, 101),
	(10, 4, 102),
	(10, 4, 103),
	(10, 4, 105),
	(10, 4, 106),
	(10, 4, 107),
	(10, 4, 111),
	(10, 4, 112),
	(10, 5, 101),
	(10, 5, 102),
	(10, 5, 103),
	(10, 5, 105),
	(10, 5, 106),
	(10, 5, 107),
	(10, 5, 111),
	(10, 5, 112),
	(10, 6, 101),
	(10, 6, 102),
	(10, 6, 103),
	(10, 6, 105),
	(10, 6, 106),
	(10, 6, 107),
	(10, 6, 111),
	(10, 6, 112),
	(10, 7, 101),
	(10, 7, 102),
	(10, 7, 103),
	(10, 7, 105),
	(10, 7, 106),
	(10, 7, 107),
	(10, 7, 111),
	(10, 7, 112),
	(10, 8, 101),
	(10, 8, 102),
	(10, 8, 103),
	(10, 8, 105),
	(10, 8, 106),
	(10, 8, 107),
	(10, 8, 111),
	(10, 8, 112),
	(10, 9, 101),
	(10, 9, 102),
	(10, 9, 103),
	(10, 9, 105),
	(10, 9, 106),
	(10, 9, 107),
	(10, 9, 111),
	(10, 9, 112),
	(10, 10, 101),
	(10, 10, 102),
	(10, 10, 103),
	(10, 10, 105),
	(10, 10, 106),
	(10, 10, 107),
	(10, 10, 111),
	(10, 10, 112),
	(10, 11, 101),
	(10, 11, 102),
	(10, 11, 103),
	(10, 11, 105),
	(10, 11, 106),
	(10, 11, 107),
	(10, 11, 111),
	(10, 11, 112),
	(10, 12, 101),
	(10, 12, 102),
	(10, 12, 103),
	(10, 12, 105),
	(10, 12, 106),
	(10, 12, 107),
	(10, 12, 111),
	(10, 12, 112),
	(10, 13, 101),
	(10, 13, 102),
	(10, 13, 103),
	(10, 13, 105),
	(10, 13, 106),
	(10, 13, 107),
	(10, 13, 111),
	(10, 13, 112),
	(10, 14, 101),
	(10, 14, 102),
	(10, 14, 103),
	(10, 14, 105),
	(10, 14, 106),
	(10, 14, 107),
	(10, 14, 111),
	(10, 14, 112),
	(10, 15, 101),
	(10, 15, 102),
	(10, 15, 103),
	(10, 15, 105),
	(10, 15, 106),
	(10, 15, 107),
	(10, 15, 111),
	(10, 15, 112),
	(10, 16, 101),
	(10, 16, 102),
	(10, 16, 103),
	(10, 16, 105),
	(10, 16, 106),
	(10, 16, 107),
	(10, 16, 111),
	(10, 16, 112),
	(10, 17, 101),
	(10, 17, 102),
	(10, 17, 103),
	(10, 17, 105),
	(10, 17, 106),
	(10, 17, 107),
	(10, 17, 111),
	(10, 17, 112),
	(10, 18, 101),
	(10, 18, 102),
	(10, 18, 103),
	(10, 18, 105),
	(10, 18, 106),
	(10, 18, 107),
	(10, 18, 111),
	(10, 18, 112),
	(10, 19, 101),
	(10, 19, 102),
	(10, 19, 103),
	(10, 19, 105),
	(10, 19, 106),
	(10, 19, 107),
	(10, 19, 111),
	(10, 19, 112),
	(10, 20, 101),
	(10, 20, 102),
	(10, 20, 103),
	(10, 20, 105),
	(10, 20, 106),
	(10, 20, 107),
	(10, 20, 111),
	(10, 20, 112),
	(10, 21, 101),
	(10, 21, 102),
	(10, 21, 103),
	(10, 21, 105),
	(10, 21, 106),
	(10, 21, 107),
	(10, 21, 111),
	(10, 21, 112),
	(10, 22, 101),
	(10, 22, 102),
	(10, 22, 103),
	(10, 22, 105),
	(10, 22, 106),
	(10, 22, 107),
	(10, 22, 111),
	(10, 22, 112),
	(10, 23, 101),
	(10, 23, 102),
	(10, 23, 103),
	(10, 23, 105),
	(10, 23, 106),
	(10, 23, 107),
	(10, 23, 111),
	(10, 23, 112),
	(10, 24, 101),
	(10, 24, 102),
	(10, 24, 103),
	(10, 24, 105),
	(10, 24, 106),
	(10, 24, 107),
	(10, 24, 111),
	(10, 24, 112),
	(10, 25, 101),
	(10, 25, 102),
	(10, 25, 103),
	(10, 25, 105),
	(10, 25, 106),
	(10, 25, 107),
	(10, 25, 111),
	(10, 25, 112),
	(10, 26, 101),
	(10, 26, 102),
	(10, 26, 103),
	(10, 26, 105),
	(10, 26, 106),
	(10, 26, 107),
	(10, 26, 111),
	(10, 26, 112),
	(10, 27, 101),
	(10, 27, 102),
	(10, 27, 103),
	(10, 27, 105),
	(10, 27, 106),
	(10, 27, 107),
	(10, 27, 111),
	(10, 27, 112),
	(10, 28, 101),
	(10, 28, 102),
	(10, 28, 103),
	(10, 28, 105),
	(10, 28, 106),
	(10, 28, 107),
	(10, 28, 111),
	(10, 28, 112),
	(10, 29, 101),
	(10, 29, 102),
	(10, 29, 103),
	(10, 29, 105),
	(10, 29, 106),
	(10, 29, 107),
	(10, 29, 111),
	(10, 29, 112),
	(10, 30, 101),
	(10, 30, 102),
	(10, 30, 103),
	(10, 30, 105),
	(10, 30, 106),
	(10, 30, 107),
	(10, 30, 111),
	(10, 30, 112),
	(10, 31, 101),
	(10, 31, 102),
	(10, 31, 103),
	(10, 31, 105),
	(10, 31, 106),
	(10, 31, 107),
	(10, 31, 111),
	(10, 31, 112),
	(11, 1, 101),
	(11, 1, 102),
	(11, 1, 103),
	(11, 1, 105),
	(11, 1, 106),
	(11, 1, 107),
	(11, 1, 111),
	(11, 1, 112),
	(11, 2, 101),
	(11, 2, 102),
	(11, 2, 103),
	(11, 2, 105),
	(11, 2, 106),
	(11, 2, 107),
	(11, 2, 111),
	(11, 2, 112),
	(11, 3, 101),
	(11, 3, 102),
	(11, 3, 103),
	(11, 3, 105),
	(11, 3, 106),
	(11, 3, 107),
	(11, 3, 111),
	(11, 3, 112),
	(11, 4, 101),
	(11, 4, 102),
	(11, 4, 103),
	(11, 4, 105),
	(11, 4, 106),
	(11, 4, 107),
	(11, 4, 111),
	(11, 4, 112),
	(11, 5, 101),
	(11, 5, 102),
	(11, 5, 103),
	(11, 5, 105),
	(11, 5, 106),
	(11, 5, 107),
	(11, 5, 111),
	(11, 5, 112),
	(11, 6, 101),
	(11, 6, 102),
	(11, 6, 103),
	(11, 6, 105),
	(11, 6, 106),
	(11, 6, 107),
	(11, 6, 111),
	(11, 6, 112),
	(11, 7, 101),
	(11, 7, 102),
	(11, 7, 103),
	(11, 7, 105),
	(11, 7, 106),
	(11, 7, 107),
	(11, 7, 111),
	(11, 7, 112),
	(11, 8, 101),
	(11, 8, 102),
	(11, 8, 103),
	(11, 8, 105),
	(11, 8, 106),
	(11, 8, 107),
	(11, 8, 111),
	(11, 8, 112),
	(11, 9, 101),
	(11, 9, 102),
	(11, 9, 103),
	(11, 9, 105),
	(11, 9, 106),
	(11, 9, 107),
	(11, 9, 111),
	(11, 9, 112),
	(11, 10, 101),
	(11, 10, 102),
	(11, 10, 103),
	(11, 10, 105),
	(11, 10, 106),
	(11, 10, 107),
	(11, 10, 111),
	(11, 10, 112),
	(11, 11, 101),
	(11, 11, 102),
	(11, 11, 103),
	(11, 11, 105),
	(11, 11, 106),
	(11, 11, 107),
	(11, 11, 111),
	(11, 11, 112),
	(11, 12, 101),
	(11, 12, 102),
	(11, 12, 103),
	(11, 12, 105),
	(11, 12, 106),
	(11, 12, 107),
	(11, 12, 111),
	(11, 12, 112),
	(11, 13, 101),
	(11, 13, 102),
	(11, 13, 103),
	(11, 13, 105),
	(11, 13, 106),
	(11, 13, 107),
	(11, 13, 111),
	(11, 13, 112),
	(11, 14, 101),
	(11, 14, 102),
	(11, 14, 103),
	(11, 14, 105),
	(11, 14, 106),
	(11, 14, 107),
	(11, 14, 111),
	(11, 14, 112),
	(11, 15, 101),
	(11, 15, 102),
	(11, 15, 103),
	(11, 15, 105),
	(11, 15, 106),
	(11, 15, 107),
	(11, 15, 111),
	(11, 15, 112),
	(11, 16, 101),
	(11, 16, 102),
	(11, 16, 103),
	(11, 16, 105),
	(11, 16, 106),
	(11, 16, 107),
	(11, 16, 111),
	(11, 16, 112),
	(11, 17, 101),
	(11, 17, 102),
	(11, 17, 103),
	(11, 17, 105),
	(11, 17, 106),
	(11, 17, 107),
	(11, 17, 111),
	(11, 17, 112),
	(11, 18, 101),
	(11, 18, 102),
	(11, 18, 103),
	(11, 18, 105),
	(11, 18, 106),
	(11, 18, 107),
	(11, 18, 111),
	(11, 18, 112),
	(11, 19, 101),
	(11, 19, 102),
	(11, 19, 103),
	(11, 19, 105),
	(11, 19, 106),
	(11, 19, 107),
	(11, 19, 111),
	(11, 19, 112),
	(11, 20, 101),
	(11, 20, 102),
	(11, 20, 103),
	(11, 20, 105),
	(11, 20, 106),
	(11, 20, 107),
	(11, 20, 111),
	(11, 20, 112),
	(11, 21, 101),
	(11, 21, 102),
	(11, 21, 103),
	(11, 21, 105),
	(11, 21, 106),
	(11, 21, 107),
	(11, 21, 111),
	(11, 21, 112),
	(11, 22, 101),
	(11, 22, 102),
	(11, 22, 103),
	(11, 22, 105),
	(11, 22, 106),
	(11, 22, 107),
	(11, 22, 111),
	(11, 22, 112),
	(11, 23, 101),
	(11, 23, 102),
	(11, 23, 103),
	(11, 23, 105),
	(11, 23, 106),
	(11, 23, 107),
	(11, 23, 111),
	(11, 23, 112),
	(11, 24, 101),
	(11, 24, 102),
	(11, 24, 103),
	(11, 24, 105),
	(11, 24, 106),
	(11, 24, 107),
	(11, 24, 111),
	(11, 24, 112),
	(11, 25, 101),
	(11, 25, 102),
	(11, 25, 103),
	(11, 25, 105),
	(11, 25, 106),
	(11, 25, 107),
	(11, 25, 111),
	(11, 25, 112),
	(11, 26, 101),
	(11, 26, 102),
	(11, 26, 103),
	(11, 26, 105),
	(11, 26, 106),
	(11, 26, 107),
	(11, 26, 111),
	(11, 26, 112),
	(11, 27, 101),
	(11, 27, 102),
	(11, 27, 103),
	(11, 27, 105),
	(11, 27, 106),
	(11, 27, 107),
	(11, 27, 111),
	(11, 27, 112),
	(11, 28, 101),
	(11, 28, 102),
	(11, 28, 103),
	(11, 28, 105),
	(11, 28, 106),
	(11, 28, 107),
	(11, 28, 111),
	(11, 28, 112),
	(11, 29, 101),
	(11, 29, 102),
	(11, 29, 103),
	(11, 29, 105),
	(11, 29, 106),
	(11, 29, 107),
	(11, 29, 111),
	(11, 29, 112),
	(11, 30, 101),
	(11, 30, 102),
	(11, 30, 103),
	(11, 30, 105),
	(11, 30, 106),
	(11, 30, 107),
	(11, 30, 111),
	(11, 30, 112),
	(12, 1, 101),
	(12, 1, 102),
	(12, 1, 103),
	(12, 1, 105),
	(12, 1, 106),
	(12, 1, 107),
	(12, 1, 111),
	(12, 1, 112),
	(12, 2, 101),
	(12, 2, 102),
	(12, 2, 103),
	(12, 2, 105),
	(12, 2, 106),
	(12, 2, 107),
	(12, 2, 111),
	(12, 2, 112),
	(12, 3, 101),
	(12, 3, 102),
	(12, 3, 103),
	(12, 3, 105),
	(12, 3, 106),
	(12, 3, 107),
	(12, 3, 111),
	(12, 3, 112),
	(12, 4, 101),
	(12, 4, 102),
	(12, 4, 103),
	(12, 4, 105),
	(12, 4, 106),
	(12, 4, 107),
	(12, 4, 111),
	(12, 4, 112),
	(12, 5, 101),
	(12, 5, 102),
	(12, 5, 103),
	(12, 5, 105),
	(12, 5, 106),
	(12, 5, 107),
	(12, 5, 111),
	(12, 5, 112),
	(12, 6, 101),
	(12, 6, 102),
	(12, 6, 103),
	(12, 6, 105),
	(12, 6, 106),
	(12, 6, 107),
	(12, 6, 111),
	(12, 6, 112),
	(12, 7, 101),
	(12, 7, 102),
	(12, 7, 103),
	(12, 7, 105),
	(12, 7, 106),
	(12, 7, 107),
	(12, 7, 111),
	(12, 7, 112),
	(12, 8, 101),
	(12, 8, 102),
	(12, 8, 103),
	(12, 8, 105),
	(12, 8, 106),
	(12, 8, 107),
	(12, 8, 111),
	(12, 8, 112),
	(12, 9, 101),
	(12, 9, 102),
	(12, 9, 103),
	(12, 9, 105),
	(12, 9, 106),
	(12, 9, 107),
	(12, 9, 111),
	(12, 9, 112),
	(12, 10, 101),
	(12, 10, 102),
	(12, 10, 103),
	(12, 10, 105),
	(12, 10, 106),
	(12, 10, 107),
	(12, 10, 111),
	(12, 10, 112),
	(12, 11, 101),
	(12, 11, 102),
	(12, 11, 103),
	(12, 11, 105),
	(12, 11, 106),
	(12, 11, 107),
	(12, 11, 111),
	(12, 11, 112),
	(12, 12, 101),
	(12, 12, 102),
	(12, 12, 103),
	(12, 12, 105),
	(12, 12, 106),
	(12, 12, 107),
	(12, 12, 111),
	(12, 12, 112),
	(12, 13, 101),
	(12, 13, 102),
	(12, 13, 103),
	(12, 13, 105),
	(12, 13, 106),
	(12, 13, 107),
	(12, 13, 111),
	(12, 13, 112),
	(12, 14, 101),
	(12, 14, 102),
	(12, 14, 103),
	(12, 14, 105),
	(12, 14, 106),
	(12, 14, 107),
	(12, 14, 111),
	(12, 14, 112),
	(12, 15, 101),
	(12, 15, 102),
	(12, 15, 103),
	(12, 15, 105),
	(12, 15, 106),
	(12, 15, 107),
	(12, 15, 111),
	(12, 15, 112),
	(12, 16, 101),
	(12, 16, 102),
	(12, 16, 103),
	(12, 16, 105),
	(12, 16, 106),
	(12, 16, 107),
	(12, 16, 111),
	(12, 16, 112),
	(12, 17, 101),
	(12, 17, 102),
	(12, 17, 103),
	(12, 17, 105),
	(12, 17, 106),
	(12, 17, 107),
	(12, 17, 111),
	(12, 17, 112),
	(12, 18, 101),
	(12, 18, 102),
	(12, 18, 103),
	(12, 18, 105),
	(12, 18, 106),
	(12, 18, 107),
	(12, 18, 111),
	(12, 18, 112),
	(12, 19, 101),
	(12, 19, 102),
	(12, 19, 103),
	(12, 19, 105),
	(12, 19, 106),
	(12, 19, 107),
	(12, 19, 111),
	(12, 19, 112),
	(12, 20, 101),
	(12, 20, 102),
	(12, 20, 103),
	(12, 20, 105),
	(12, 20, 106),
	(12, 20, 107),
	(12, 20, 111),
	(12, 20, 112),
	(12, 21, 101),
	(12, 21, 102),
	(12, 21, 103),
	(12, 21, 105),
	(12, 21, 106),
	(12, 21, 107),
	(12, 21, 111),
	(12, 21, 112),
	(12, 22, 101),
	(12, 22, 102),
	(12, 22, 103),
	(12, 22, 105),
	(12, 22, 106),
	(12, 22, 107),
	(12, 22, 111),
	(12, 22, 112),
	(12, 23, 101),
	(12, 23, 102),
	(12, 23, 103),
	(12, 23, 105),
	(12, 23, 106),
	(12, 23, 107),
	(12, 23, 111),
	(12, 23, 112),
	(12, 24, 101),
	(12, 24, 102),
	(12, 24, 103),
	(12, 24, 105),
	(12, 24, 106),
	(12, 24, 107),
	(12, 24, 111),
	(12, 24, 112),
	(12, 25, 101),
	(12, 25, 102),
	(12, 25, 103),
	(12, 25, 105),
	(12, 25, 106),
	(12, 25, 107),
	(12, 25, 111),
	(12, 25, 112),
	(12, 26, 101),
	(12, 26, 102),
	(12, 26, 103),
	(12, 26, 105),
	(12, 26, 106),
	(12, 26, 107),
	(12, 26, 111),
	(12, 26, 112),
	(12, 27, 101),
	(12, 27, 102),
	(12, 27, 103),
	(12, 27, 105),
	(12, 27, 106),
	(12, 27, 107),
	(12, 27, 111),
	(12, 27, 112),
	(12, 28, 101),
	(12, 28, 102),
	(12, 28, 103),
	(12, 28, 105),
	(12, 28, 106),
	(12, 28, 107),
	(12, 28, 111),
	(12, 28, 112),
	(12, 29, 101),
	(12, 29, 102),
	(12, 29, 103),
	(12, 29, 105),
	(12, 29, 106),
	(12, 29, 107),
	(12, 29, 111),
	(12, 29, 112),
	(12, 30, 101),
	(12, 30, 102),
	(12, 30, 103),
	(12, 30, 105),
	(12, 30, 106),
	(12, 30, 107),
	(12, 30, 111),
	(12, 30, 112),
	(12, 31, 101),
	(12, 31, 102),
	(12, 31, 103),
	(12, 31, 105),
	(12, 31, 106),
	(12, 31, 107),
	(12, 31, 111),
	(12, 31, 112);
/*!40000 ALTER TABLE `seq_month_day_element` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_db_v4.seq_month_day_element_leap_yr
CREATE TABLE IF NOT EXISTS `seq_month_day_element_leap_yr` (
  `mm` int(11) NOT NULL,
  `dd` int(11) NOT NULL,
  `elementId` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_db_v4.seq_month_day_element_leap_yr: ~2,928 rows (approximately)
/*!40000 ALTER TABLE `seq_month_day_element_leap_yr` DISABLE KEYS */;
INSERT INTO `seq_month_day_element_leap_yr` (`mm`, `dd`, `elementId`) VALUES
	(1, 1, 101),
	(1, 1, 102),
	(1, 1, 103),
	(1, 1, 105),
	(1, 1, 106),
	(1, 1, 107),
	(1, 1, 111),
	(1, 1, 112),
	(1, 2, 101),
	(1, 2, 102),
	(1, 2, 103),
	(1, 2, 105),
	(1, 2, 106),
	(1, 2, 107),
	(1, 2, 111),
	(1, 2, 112),
	(1, 3, 101),
	(1, 3, 102),
	(1, 3, 103),
	(1, 3, 105),
	(1, 3, 106),
	(1, 3, 107),
	(1, 3, 111),
	(1, 3, 112),
	(1, 4, 101),
	(1, 4, 102),
	(1, 4, 103),
	(1, 4, 105),
	(1, 4, 106),
	(1, 4, 107),
	(1, 4, 111),
	(1, 4, 112),
	(1, 5, 101),
	(1, 5, 102),
	(1, 5, 103),
	(1, 5, 105),
	(1, 5, 106),
	(1, 5, 107),
	(1, 5, 111),
	(1, 5, 112),
	(1, 6, 101),
	(1, 6, 102),
	(1, 6, 103),
	(1, 6, 105),
	(1, 6, 106),
	(1, 6, 107),
	(1, 6, 111),
	(1, 6, 112),
	(1, 7, 101),
	(1, 7, 102),
	(1, 7, 103),
	(1, 7, 105),
	(1, 7, 106),
	(1, 7, 107),
	(1, 7, 111),
	(1, 7, 112),
	(1, 8, 101),
	(1, 8, 102),
	(1, 8, 103),
	(1, 8, 105),
	(1, 8, 106),
	(1, 8, 107),
	(1, 8, 111),
	(1, 8, 112),
	(1, 9, 101),
	(1, 9, 102),
	(1, 9, 103),
	(1, 9, 105),
	(1, 9, 106),
	(1, 9, 107),
	(1, 9, 111),
	(1, 9, 112),
	(1, 10, 101),
	(1, 10, 102),
	(1, 10, 103),
	(1, 10, 105),
	(1, 10, 106),
	(1, 10, 107),
	(1, 10, 111),
	(1, 10, 112),
	(1, 11, 101),
	(1, 11, 102),
	(1, 11, 103),
	(1, 11, 105),
	(1, 11, 106),
	(1, 11, 107),
	(1, 11, 111),
	(1, 11, 112),
	(1, 12, 101),
	(1, 12, 102),
	(1, 12, 103),
	(1, 12, 105),
	(1, 12, 106),
	(1, 12, 107),
	(1, 12, 111),
	(1, 12, 112),
	(1, 13, 101),
	(1, 13, 102),
	(1, 13, 103),
	(1, 13, 105),
	(1, 13, 106),
	(1, 13, 107),
	(1, 13, 111),
	(1, 13, 112),
	(1, 14, 101),
	(1, 14, 102),
	(1, 14, 103),
	(1, 14, 105),
	(1, 14, 106),
	(1, 14, 107),
	(1, 14, 111),
	(1, 14, 112),
	(1, 15, 101),
	(1, 15, 102),
	(1, 15, 103),
	(1, 15, 105),
	(1, 15, 106),
	(1, 15, 107),
	(1, 15, 111),
	(1, 15, 112),
	(1, 16, 101),
	(1, 16, 102),
	(1, 16, 103),
	(1, 16, 105),
	(1, 16, 106),
	(1, 16, 107),
	(1, 16, 111),
	(1, 16, 112),
	(1, 17, 101),
	(1, 17, 102),
	(1, 17, 103),
	(1, 17, 105),
	(1, 17, 106),
	(1, 17, 107),
	(1, 17, 111),
	(1, 17, 112),
	(1, 18, 101),
	(1, 18, 102),
	(1, 18, 103),
	(1, 18, 105),
	(1, 18, 106),
	(1, 18, 107),
	(1, 18, 111),
	(1, 18, 112),
	(1, 19, 101),
	(1, 19, 102),
	(1, 19, 103),
	(1, 19, 105),
	(1, 19, 106),
	(1, 19, 107),
	(1, 19, 111),
	(1, 19, 112),
	(1, 20, 101),
	(1, 20, 102),
	(1, 20, 103),
	(1, 20, 105),
	(1, 20, 106),
	(1, 20, 107),
	(1, 20, 111),
	(1, 20, 112),
	(1, 21, 101),
	(1, 21, 102),
	(1, 21, 103),
	(1, 21, 105),
	(1, 21, 106),
	(1, 21, 107),
	(1, 21, 111),
	(1, 21, 112),
	(1, 22, 101),
	(1, 22, 102),
	(1, 22, 103),
	(1, 22, 105),
	(1, 22, 106),
	(1, 22, 107),
	(1, 22, 111),
	(1, 22, 112),
	(1, 23, 101),
	(1, 23, 102),
	(1, 23, 103),
	(1, 23, 105),
	(1, 23, 106),
	(1, 23, 107),
	(1, 23, 111),
	(1, 23, 112),
	(1, 24, 101),
	(1, 24, 102),
	(1, 24, 103),
	(1, 24, 105),
	(1, 24, 106),
	(1, 24, 107),
	(1, 24, 111),
	(1, 24, 112),
	(1, 25, 101),
	(1, 25, 102),
	(1, 25, 103),
	(1, 25, 105),
	(1, 25, 106),
	(1, 25, 107),
	(1, 25, 111),
	(1, 25, 112),
	(1, 26, 101),
	(1, 26, 102),
	(1, 26, 103),
	(1, 26, 105),
	(1, 26, 106),
	(1, 26, 107),
	(1, 26, 111),
	(1, 26, 112),
	(1, 27, 101),
	(1, 27, 102),
	(1, 27, 103),
	(1, 27, 105),
	(1, 27, 106),
	(1, 27, 107),
	(1, 27, 111),
	(1, 27, 112),
	(1, 28, 101),
	(1, 28, 102),
	(1, 28, 103),
	(1, 28, 105),
	(1, 28, 106),
	(1, 28, 107),
	(1, 28, 111),
	(1, 28, 112),
	(1, 29, 101),
	(1, 29, 102),
	(1, 29, 103),
	(1, 29, 105),
	(1, 29, 106),
	(1, 29, 107),
	(1, 29, 111),
	(1, 29, 112),
	(1, 30, 101),
	(1, 30, 102),
	(1, 30, 103),
	(1, 30, 105),
	(1, 30, 106),
	(1, 30, 107),
	(1, 30, 111),
	(1, 30, 112),
	(1, 31, 101),
	(1, 31, 102),
	(1, 31, 103),
	(1, 31, 105),
	(1, 31, 106),
	(1, 31, 107),
	(1, 31, 111),
	(1, 31, 112),
	(2, 1, 101),
	(2, 1, 102),
	(2, 1, 103),
	(2, 1, 105),
	(2, 1, 106),
	(2, 1, 107),
	(2, 1, 111),
	(2, 1, 112),
	(2, 2, 101),
	(2, 2, 102),
	(2, 2, 103),
	(2, 2, 105),
	(2, 2, 106),
	(2, 2, 107),
	(2, 2, 111),
	(2, 2, 112),
	(2, 3, 101),
	(2, 3, 102),
	(2, 3, 103),
	(2, 3, 105),
	(2, 3, 106),
	(2, 3, 107),
	(2, 3, 111),
	(2, 3, 112),
	(2, 4, 101),
	(2, 4, 102),
	(2, 4, 103),
	(2, 4, 105),
	(2, 4, 106),
	(2, 4, 107),
	(2, 4, 111),
	(2, 4, 112),
	(2, 5, 101),
	(2, 5, 102),
	(2, 5, 103),
	(2, 5, 105),
	(2, 5, 106),
	(2, 5, 107),
	(2, 5, 111),
	(2, 5, 112),
	(2, 6, 101),
	(2, 6, 102),
	(2, 6, 103),
	(2, 6, 105),
	(2, 6, 106),
	(2, 6, 107),
	(2, 6, 111),
	(2, 6, 112),
	(2, 7, 101),
	(2, 7, 102),
	(2, 7, 103),
	(2, 7, 105),
	(2, 7, 106),
	(2, 7, 107),
	(2, 7, 111),
	(2, 7, 112),
	(2, 8, 101),
	(2, 8, 102),
	(2, 8, 103),
	(2, 8, 105),
	(2, 8, 106),
	(2, 8, 107),
	(2, 8, 111),
	(2, 8, 112),
	(2, 9, 101),
	(2, 9, 102),
	(2, 9, 103),
	(2, 9, 105),
	(2, 9, 106),
	(2, 9, 107),
	(2, 9, 111),
	(2, 9, 112),
	(2, 10, 101),
	(2, 10, 102),
	(2, 10, 103),
	(2, 10, 105),
	(2, 10, 106),
	(2, 10, 107),
	(2, 10, 111),
	(2, 10, 112),
	(2, 11, 101),
	(2, 11, 102),
	(2, 11, 103),
	(2, 11, 105),
	(2, 11, 106),
	(2, 11, 107),
	(2, 11, 111),
	(2, 11, 112),
	(2, 12, 101),
	(2, 12, 102),
	(2, 12, 103),
	(2, 12, 105),
	(2, 12, 106),
	(2, 12, 107),
	(2, 12, 111),
	(2, 12, 112),
	(2, 13, 101),
	(2, 13, 102),
	(2, 13, 103),
	(2, 13, 105),
	(2, 13, 106),
	(2, 13, 107),
	(2, 13, 111),
	(2, 13, 112),
	(2, 14, 101),
	(2, 14, 102),
	(2, 14, 103),
	(2, 14, 105),
	(2, 14, 106),
	(2, 14, 107),
	(2, 14, 111),
	(2, 14, 112),
	(2, 15, 101),
	(2, 15, 102),
	(2, 15, 103),
	(2, 15, 105),
	(2, 15, 106),
	(2, 15, 107),
	(2, 15, 111),
	(2, 15, 112),
	(2, 16, 101),
	(2, 16, 102),
	(2, 16, 103),
	(2, 16, 105),
	(2, 16, 106),
	(2, 16, 107),
	(2, 16, 111),
	(2, 16, 112),
	(2, 17, 101),
	(2, 17, 102),
	(2, 17, 103),
	(2, 17, 105),
	(2, 17, 106),
	(2, 17, 107),
	(2, 17, 111),
	(2, 17, 112),
	(2, 18, 101),
	(2, 18, 102),
	(2, 18, 103),
	(2, 18, 105),
	(2, 18, 106),
	(2, 18, 107),
	(2, 18, 111),
	(2, 18, 112),
	(2, 19, 101),
	(2, 19, 102),
	(2, 19, 103),
	(2, 19, 105),
	(2, 19, 106),
	(2, 19, 107),
	(2, 19, 111),
	(2, 19, 112),
	(2, 20, 101),
	(2, 20, 102),
	(2, 20, 103),
	(2, 20, 105),
	(2, 20, 106),
	(2, 20, 107),
	(2, 20, 111),
	(2, 20, 112),
	(2, 21, 101),
	(2, 21, 102),
	(2, 21, 103),
	(2, 21, 105),
	(2, 21, 106),
	(2, 21, 107),
	(2, 21, 111),
	(2, 21, 112),
	(2, 22, 101),
	(2, 22, 102),
	(2, 22, 103),
	(2, 22, 105),
	(2, 22, 106),
	(2, 22, 107),
	(2, 22, 111),
	(2, 22, 112),
	(2, 23, 101),
	(2, 23, 102),
	(2, 23, 103),
	(2, 23, 105),
	(2, 23, 106),
	(2, 23, 107),
	(2, 23, 111),
	(2, 23, 112),
	(2, 24, 101),
	(2, 24, 102),
	(2, 24, 103),
	(2, 24, 105),
	(2, 24, 106),
	(2, 24, 107),
	(2, 24, 111),
	(2, 24, 112),
	(2, 25, 101),
	(2, 25, 102),
	(2, 25, 103),
	(2, 25, 105),
	(2, 25, 106),
	(2, 25, 107),
	(2, 25, 111),
	(2, 25, 112),
	(2, 26, 101),
	(2, 26, 102),
	(2, 26, 103),
	(2, 26, 105),
	(2, 26, 106),
	(2, 26, 107),
	(2, 26, 111),
	(2, 26, 112),
	(2, 27, 101),
	(2, 27, 102),
	(2, 27, 103),
	(2, 27, 105),
	(2, 27, 106),
	(2, 27, 107),
	(2, 27, 111),
	(2, 27, 112),
	(2, 28, 101),
	(2, 28, 102),
	(2, 28, 103),
	(2, 28, 105),
	(2, 28, 106),
	(2, 28, 107),
	(2, 28, 111),
	(2, 28, 112),
	(2, 29, 101),
	(2, 29, 102),
	(2, 29, 103),
	(2, 29, 105),
	(2, 29, 106),
	(2, 29, 107),
	(2, 29, 111),
	(2, 29, 112),
	(3, 1, 101),
	(3, 1, 102),
	(3, 1, 103),
	(3, 1, 105),
	(3, 1, 106),
	(3, 1, 107),
	(3, 1, 111),
	(3, 1, 112),
	(3, 2, 101),
	(3, 2, 102),
	(3, 2, 103),
	(3, 2, 105),
	(3, 2, 106),
	(3, 2, 107),
	(3, 2, 111),
	(3, 2, 112),
	(3, 3, 101),
	(3, 3, 102),
	(3, 3, 103),
	(3, 3, 105),
	(3, 3, 106),
	(3, 3, 107),
	(3, 3, 111),
	(3, 3, 112),
	(3, 4, 101),
	(3, 4, 102),
	(3, 4, 103),
	(3, 4, 105),
	(3, 4, 106),
	(3, 4, 107),
	(3, 4, 111),
	(3, 4, 112),
	(3, 5, 101),
	(3, 5, 102),
	(3, 5, 103),
	(3, 5, 105),
	(3, 5, 106),
	(3, 5, 107),
	(3, 5, 111),
	(3, 5, 112),
	(3, 6, 101),
	(3, 6, 102),
	(3, 6, 103),
	(3, 6, 105),
	(3, 6, 106),
	(3, 6, 107),
	(3, 6, 111),
	(3, 6, 112),
	(3, 7, 101),
	(3, 7, 102),
	(3, 7, 103),
	(3, 7, 105),
	(3, 7, 106),
	(3, 7, 107),
	(3, 7, 111),
	(3, 7, 112),
	(3, 8, 101),
	(3, 8, 102),
	(3, 8, 103),
	(3, 8, 105),
	(3, 8, 106),
	(3, 8, 107),
	(3, 8, 111),
	(3, 8, 112),
	(3, 9, 101),
	(3, 9, 102),
	(3, 9, 103),
	(3, 9, 105),
	(3, 9, 106),
	(3, 9, 107),
	(3, 9, 111),
	(3, 9, 112),
	(3, 10, 101),
	(3, 10, 102),
	(3, 10, 103),
	(3, 10, 105),
	(3, 10, 106),
	(3, 10, 107),
	(3, 10, 111),
	(3, 10, 112),
	(3, 11, 101),
	(3, 11, 102),
	(3, 11, 103),
	(3, 11, 105),
	(3, 11, 106),
	(3, 11, 107),
	(3, 11, 111),
	(3, 11, 112),
	(3, 12, 101),
	(3, 12, 102),
	(3, 12, 103),
	(3, 12, 105),
	(3, 12, 106),
	(3, 12, 107),
	(3, 12, 111),
	(3, 12, 112),
	(3, 13, 101),
	(3, 13, 102),
	(3, 13, 103),
	(3, 13, 105),
	(3, 13, 106),
	(3, 13, 107),
	(3, 13, 111),
	(3, 13, 112),
	(3, 14, 101),
	(3, 14, 102),
	(3, 14, 103),
	(3, 14, 105),
	(3, 14, 106),
	(3, 14, 107),
	(3, 14, 111),
	(3, 14, 112),
	(3, 15, 101),
	(3, 15, 102),
	(3, 15, 103),
	(3, 15, 105),
	(3, 15, 106),
	(3, 15, 107),
	(3, 15, 111),
	(3, 15, 112),
	(3, 16, 101),
	(3, 16, 102),
	(3, 16, 103),
	(3, 16, 105),
	(3, 16, 106),
	(3, 16, 107),
	(3, 16, 111),
	(3, 16, 112),
	(3, 17, 101),
	(3, 17, 102),
	(3, 17, 103),
	(3, 17, 105),
	(3, 17, 106),
	(3, 17, 107),
	(3, 17, 111),
	(3, 17, 112),
	(3, 18, 101),
	(3, 18, 102),
	(3, 18, 103),
	(3, 18, 105),
	(3, 18, 106),
	(3, 18, 107),
	(3, 18, 111),
	(3, 18, 112),
	(3, 19, 101),
	(3, 19, 102),
	(3, 19, 103),
	(3, 19, 105),
	(3, 19, 106),
	(3, 19, 107),
	(3, 19, 111),
	(3, 19, 112),
	(3, 20, 101),
	(3, 20, 102),
	(3, 20, 103),
	(3, 20, 105),
	(3, 20, 106),
	(3, 20, 107),
	(3, 20, 111),
	(3, 20, 112),
	(3, 21, 101),
	(3, 21, 102),
	(3, 21, 103),
	(3, 21, 105),
	(3, 21, 106),
	(3, 21, 107),
	(3, 21, 111),
	(3, 21, 112),
	(3, 22, 101),
	(3, 22, 102),
	(3, 22, 103),
	(3, 22, 105),
	(3, 22, 106),
	(3, 22, 107),
	(3, 22, 111),
	(3, 22, 112),
	(3, 23, 101),
	(3, 23, 102),
	(3, 23, 103),
	(3, 23, 105),
	(3, 23, 106),
	(3, 23, 107),
	(3, 23, 111),
	(3, 23, 112),
	(3, 24, 101),
	(3, 24, 102),
	(3, 24, 103),
	(3, 24, 105),
	(3, 24, 106),
	(3, 24, 107),
	(3, 24, 111),
	(3, 24, 112),
	(3, 25, 101),
	(3, 25, 102),
	(3, 25, 103),
	(3, 25, 105),
	(3, 25, 106),
	(3, 25, 107),
	(3, 25, 111),
	(3, 25, 112),
	(3, 26, 101),
	(3, 26, 102),
	(3, 26, 103),
	(3, 26, 105),
	(3, 26, 106),
	(3, 26, 107),
	(3, 26, 111),
	(3, 26, 112),
	(3, 27, 101),
	(3, 27, 102),
	(3, 27, 103),
	(3, 27, 105),
	(3, 27, 106),
	(3, 27, 107),
	(3, 27, 111),
	(3, 27, 112),
	(3, 28, 101),
	(3, 28, 102),
	(3, 28, 103),
	(3, 28, 105),
	(3, 28, 106),
	(3, 28, 107),
	(3, 28, 111),
	(3, 28, 112),
	(3, 29, 101),
	(3, 29, 102),
	(3, 29, 103),
	(3, 29, 105),
	(3, 29, 106),
	(3, 29, 107),
	(3, 29, 111),
	(3, 29, 112),
	(3, 30, 101),
	(3, 30, 102),
	(3, 30, 103),
	(3, 30, 105),
	(3, 30, 106),
	(3, 30, 107),
	(3, 30, 111),
	(3, 30, 112),
	(3, 31, 101),
	(3, 31, 102),
	(3, 31, 103),
	(3, 31, 105),
	(3, 31, 106),
	(3, 31, 107),
	(3, 31, 111),
	(3, 31, 112),
	(4, 1, 101),
	(4, 1, 102),
	(4, 1, 103),
	(4, 1, 105),
	(4, 1, 106),
	(4, 1, 107),
	(4, 1, 111),
	(4, 1, 112),
	(4, 2, 101),
	(4, 2, 102),
	(4, 2, 103),
	(4, 2, 105),
	(4, 2, 106),
	(4, 2, 107),
	(4, 2, 111),
	(4, 2, 112),
	(4, 3, 101),
	(4, 3, 102),
	(4, 3, 103),
	(4, 3, 105),
	(4, 3, 106),
	(4, 3, 107),
	(4, 3, 111),
	(4, 3, 112),
	(4, 4, 101),
	(4, 4, 102),
	(4, 4, 103),
	(4, 4, 105),
	(4, 4, 106),
	(4, 4, 107),
	(4, 4, 111),
	(4, 4, 112),
	(4, 5, 101),
	(4, 5, 102),
	(4, 5, 103),
	(4, 5, 105),
	(4, 5, 106),
	(4, 5, 107),
	(4, 5, 111),
	(4, 5, 112),
	(4, 6, 101),
	(4, 6, 102),
	(4, 6, 103),
	(4, 6, 105),
	(4, 6, 106),
	(4, 6, 107),
	(4, 6, 111),
	(4, 6, 112),
	(4, 7, 101),
	(4, 7, 102),
	(4, 7, 103),
	(4, 7, 105),
	(4, 7, 106),
	(4, 7, 107),
	(4, 7, 111),
	(4, 7, 112),
	(4, 8, 101),
	(4, 8, 102),
	(4, 8, 103),
	(4, 8, 105),
	(4, 8, 106),
	(4, 8, 107),
	(4, 8, 111),
	(4, 8, 112),
	(4, 9, 101),
	(4, 9, 102),
	(4, 9, 103),
	(4, 9, 105),
	(4, 9, 106),
	(4, 9, 107),
	(4, 9, 111),
	(4, 9, 112),
	(4, 10, 101),
	(4, 10, 102),
	(4, 10, 103),
	(4, 10, 105),
	(4, 10, 106),
	(4, 10, 107),
	(4, 10, 111),
	(4, 10, 112),
	(4, 11, 101),
	(4, 11, 102),
	(4, 11, 103),
	(4, 11, 105),
	(4, 11, 106),
	(4, 11, 107),
	(4, 11, 111),
	(4, 11, 112),
	(4, 12, 101),
	(4, 12, 102),
	(4, 12, 103),
	(4, 12, 105),
	(4, 12, 106),
	(4, 12, 107),
	(4, 12, 111),
	(4, 12, 112),
	(4, 13, 101),
	(4, 13, 102),
	(4, 13, 103),
	(4, 13, 105),
	(4, 13, 106),
	(4, 13, 107),
	(4, 13, 111),
	(4, 13, 112),
	(4, 14, 101),
	(4, 14, 102),
	(4, 14, 103),
	(4, 14, 105),
	(4, 14, 106),
	(4, 14, 107),
	(4, 14, 111),
	(4, 14, 112),
	(4, 15, 101),
	(4, 15, 102),
	(4, 15, 103),
	(4, 15, 105),
	(4, 15, 106),
	(4, 15, 107),
	(4, 15, 111),
	(4, 15, 112),
	(4, 16, 101),
	(4, 16, 102),
	(4, 16, 103),
	(4, 16, 105),
	(4, 16, 106),
	(4, 16, 107),
	(4, 16, 111),
	(4, 16, 112),
	(4, 17, 101),
	(4, 17, 102),
	(4, 17, 103),
	(4, 17, 105),
	(4, 17, 106),
	(4, 17, 107),
	(4, 17, 111),
	(4, 17, 112),
	(4, 18, 101),
	(4, 18, 102),
	(4, 18, 103),
	(4, 18, 105),
	(4, 18, 106),
	(4, 18, 107),
	(4, 18, 111),
	(4, 18, 112),
	(4, 19, 101),
	(4, 19, 102),
	(4, 19, 103),
	(4, 19, 105),
	(4, 19, 106),
	(4, 19, 107),
	(4, 19, 111),
	(4, 19, 112),
	(4, 20, 101),
	(4, 20, 102),
	(4, 20, 103),
	(4, 20, 105),
	(4, 20, 106),
	(4, 20, 107),
	(4, 20, 111),
	(4, 20, 112),
	(4, 21, 101),
	(4, 21, 102),
	(4, 21, 103),
	(4, 21, 105),
	(4, 21, 106),
	(4, 21, 107),
	(4, 21, 111),
	(4, 21, 112),
	(4, 22, 101),
	(4, 22, 102),
	(4, 22, 103),
	(4, 22, 105),
	(4, 22, 106),
	(4, 22, 107),
	(4, 22, 111),
	(4, 22, 112),
	(4, 23, 101),
	(4, 23, 102),
	(4, 23, 103),
	(4, 23, 105),
	(4, 23, 106),
	(4, 23, 107),
	(4, 23, 111),
	(4, 23, 112),
	(4, 24, 101),
	(4, 24, 102),
	(4, 24, 103),
	(4, 24, 105),
	(4, 24, 106),
	(4, 24, 107),
	(4, 24, 111),
	(4, 24, 112),
	(4, 25, 101),
	(4, 25, 102),
	(4, 25, 103),
	(4, 25, 105),
	(4, 25, 106),
	(4, 25, 107),
	(4, 25, 111),
	(4, 25, 112),
	(4, 26, 101),
	(4, 26, 102),
	(4, 26, 103),
	(4, 26, 105),
	(4, 26, 106),
	(4, 26, 107),
	(4, 26, 111),
	(4, 26, 112),
	(4, 27, 101),
	(4, 27, 102),
	(4, 27, 103),
	(4, 27, 105),
	(4, 27, 106),
	(4, 27, 107),
	(4, 27, 111),
	(4, 27, 112),
	(4, 28, 101),
	(4, 28, 102),
	(4, 28, 103),
	(4, 28, 105),
	(4, 28, 106),
	(4, 28, 107),
	(4, 28, 111),
	(4, 28, 112),
	(4, 29, 101),
	(4, 29, 102),
	(4, 29, 103),
	(4, 29, 105),
	(4, 29, 106),
	(4, 29, 107),
	(4, 29, 111),
	(4, 29, 112),
	(4, 30, 101),
	(4, 30, 102),
	(4, 30, 103),
	(4, 30, 105),
	(4, 30, 106),
	(4, 30, 107),
	(4, 30, 111),
	(4, 30, 112),
	(5, 1, 101),
	(5, 1, 102),
	(5, 1, 103),
	(5, 1, 105),
	(5, 1, 106),
	(5, 1, 107),
	(5, 1, 111),
	(5, 1, 112),
	(5, 2, 101),
	(5, 2, 102),
	(5, 2, 103),
	(5, 2, 105),
	(5, 2, 106),
	(5, 2, 107),
	(5, 2, 111),
	(5, 2, 112),
	(5, 3, 101),
	(5, 3, 102),
	(5, 3, 103),
	(5, 3, 105),
	(5, 3, 106),
	(5, 3, 107),
	(5, 3, 111),
	(5, 3, 112),
	(5, 4, 101),
	(5, 4, 102),
	(5, 4, 103),
	(5, 4, 105),
	(5, 4, 106),
	(5, 4, 107),
	(5, 4, 111),
	(5, 4, 112),
	(5, 5, 101),
	(5, 5, 102),
	(5, 5, 103),
	(5, 5, 105),
	(5, 5, 106),
	(5, 5, 107),
	(5, 5, 111),
	(5, 5, 112),
	(5, 6, 101),
	(5, 6, 102),
	(5, 6, 103),
	(5, 6, 105),
	(5, 6, 106),
	(5, 6, 107),
	(5, 6, 111),
	(5, 6, 112),
	(5, 7, 101),
	(5, 7, 102),
	(5, 7, 103),
	(5, 7, 105),
	(5, 7, 106),
	(5, 7, 107),
	(5, 7, 111),
	(5, 7, 112),
	(5, 8, 101),
	(5, 8, 102),
	(5, 8, 103),
	(5, 8, 105),
	(5, 8, 106),
	(5, 8, 107),
	(5, 8, 111),
	(5, 8, 112),
	(5, 9, 101),
	(5, 9, 102),
	(5, 9, 103),
	(5, 9, 105),
	(5, 9, 106),
	(5, 9, 107),
	(5, 9, 111),
	(5, 9, 112),
	(5, 10, 101),
	(5, 10, 102),
	(5, 10, 103),
	(5, 10, 105),
	(5, 10, 106),
	(5, 10, 107),
	(5, 10, 111),
	(5, 10, 112),
	(5, 11, 101),
	(5, 11, 102),
	(5, 11, 103),
	(5, 11, 105),
	(5, 11, 106),
	(5, 11, 107),
	(5, 11, 111),
	(5, 11, 112),
	(5, 12, 101),
	(5, 12, 102),
	(5, 12, 103),
	(5, 12, 105),
	(5, 12, 106),
	(5, 12, 107),
	(5, 12, 111),
	(5, 12, 112),
	(5, 13, 101),
	(5, 13, 102),
	(5, 13, 103),
	(5, 13, 105),
	(5, 13, 106),
	(5, 13, 107),
	(5, 13, 111),
	(5, 13, 112),
	(5, 14, 101),
	(5, 14, 102),
	(5, 14, 103),
	(5, 14, 105),
	(5, 14, 106),
	(5, 14, 107),
	(5, 14, 111),
	(5, 14, 112),
	(5, 15, 101),
	(5, 15, 102),
	(5, 15, 103),
	(5, 15, 105),
	(5, 15, 106),
	(5, 15, 107),
	(5, 15, 111),
	(5, 15, 112),
	(5, 16, 101),
	(5, 16, 102),
	(5, 16, 103),
	(5, 16, 105),
	(5, 16, 106),
	(5, 16, 107),
	(5, 16, 111),
	(5, 16, 112),
	(5, 17, 101),
	(5, 17, 102),
	(5, 17, 103),
	(5, 17, 105),
	(5, 17, 106),
	(5, 17, 107),
	(5, 17, 111),
	(5, 17, 112),
	(5, 18, 101),
	(5, 18, 102),
	(5, 18, 103),
	(5, 18, 105),
	(5, 18, 106),
	(5, 18, 107),
	(5, 18, 111),
	(5, 18, 112),
	(5, 19, 101),
	(5, 19, 102),
	(5, 19, 103),
	(5, 19, 105),
	(5, 19, 106),
	(5, 19, 107),
	(5, 19, 111),
	(5, 19, 112),
	(5, 20, 101),
	(5, 20, 102),
	(5, 20, 103),
	(5, 20, 105),
	(5, 20, 106),
	(5, 20, 107),
	(5, 20, 111),
	(5, 20, 112),
	(5, 21, 101),
	(5, 21, 102),
	(5, 21, 103),
	(5, 21, 105),
	(5, 21, 106),
	(5, 21, 107),
	(5, 21, 111),
	(5, 21, 112),
	(5, 22, 101),
	(5, 22, 102),
	(5, 22, 103),
	(5, 22, 105),
	(5, 22, 106),
	(5, 22, 107),
	(5, 22, 111),
	(5, 22, 112),
	(5, 23, 101),
	(5, 23, 102),
	(5, 23, 103),
	(5, 23, 105),
	(5, 23, 106),
	(5, 23, 107),
	(5, 23, 111),
	(5, 23, 112),
	(5, 24, 101),
	(5, 24, 102),
	(5, 24, 103),
	(5, 24, 105),
	(5, 24, 106),
	(5, 24, 107),
	(5, 24, 111),
	(5, 24, 112),
	(5, 25, 101),
	(5, 25, 102),
	(5, 25, 103),
	(5, 25, 105),
	(5, 25, 106),
	(5, 25, 107),
	(5, 25, 111),
	(5, 25, 112),
	(5, 26, 101),
	(5, 26, 102),
	(5, 26, 103),
	(5, 26, 105),
	(5, 26, 106),
	(5, 26, 107),
	(5, 26, 111),
	(5, 26, 112),
	(5, 27, 101),
	(5, 27, 102),
	(5, 27, 103),
	(5, 27, 105),
	(5, 27, 106),
	(5, 27, 107),
	(5, 27, 111),
	(5, 27, 112),
	(5, 28, 101),
	(5, 28, 102),
	(5, 28, 103),
	(5, 28, 105),
	(5, 28, 106),
	(5, 28, 107),
	(5, 28, 111),
	(5, 28, 112),
	(5, 29, 101),
	(5, 29, 102),
	(5, 29, 103),
	(5, 29, 105),
	(5, 29, 106),
	(5, 29, 107),
	(5, 29, 111),
	(5, 29, 112),
	(5, 30, 101),
	(5, 30, 102),
	(5, 30, 103),
	(5, 30, 105),
	(5, 30, 106),
	(5, 30, 107),
	(5, 30, 111),
	(5, 30, 112),
	(5, 31, 101),
	(5, 31, 102),
	(5, 31, 103),
	(5, 31, 105),
	(5, 31, 106),
	(5, 31, 107),
	(5, 31, 111),
	(5, 31, 112),
	(6, 1, 101),
	(6, 1, 102),
	(6, 1, 103),
	(6, 1, 105),
	(6, 1, 106),
	(6, 1, 107),
	(6, 1, 111),
	(6, 1, 112),
	(6, 2, 101),
	(6, 2, 102),
	(6, 2, 103),
	(6, 2, 105),
	(6, 2, 106),
	(6, 2, 107),
	(6, 2, 111),
	(6, 2, 112),
	(6, 3, 101),
	(6, 3, 102),
	(6, 3, 103),
	(6, 3, 105),
	(6, 3, 106),
	(6, 3, 107),
	(6, 3, 111),
	(6, 3, 112),
	(6, 4, 101),
	(6, 4, 102),
	(6, 4, 103),
	(6, 4, 105),
	(6, 4, 106),
	(6, 4, 107),
	(6, 4, 111),
	(6, 4, 112),
	(6, 5, 101),
	(6, 5, 102),
	(6, 5, 103),
	(6, 5, 105),
	(6, 5, 106),
	(6, 5, 107),
	(6, 5, 111),
	(6, 5, 112),
	(6, 6, 101),
	(6, 6, 102),
	(6, 6, 103),
	(6, 6, 105),
	(6, 6, 106),
	(6, 6, 107),
	(6, 6, 111),
	(6, 6, 112),
	(6, 7, 101),
	(6, 7, 102),
	(6, 7, 103),
	(6, 7, 105),
	(6, 7, 106),
	(6, 7, 107),
	(6, 7, 111),
	(6, 7, 112),
	(6, 8, 101),
	(6, 8, 102),
	(6, 8, 103),
	(6, 8, 105),
	(6, 8, 106),
	(6, 8, 107),
	(6, 8, 111),
	(6, 8, 112),
	(6, 9, 101),
	(6, 9, 102),
	(6, 9, 103),
	(6, 9, 105),
	(6, 9, 106),
	(6, 9, 107),
	(6, 9, 111),
	(6, 9, 112),
	(6, 10, 101),
	(6, 10, 102),
	(6, 10, 103),
	(6, 10, 105),
	(6, 10, 106),
	(6, 10, 107),
	(6, 10, 111),
	(6, 10, 112),
	(6, 11, 101),
	(6, 11, 102),
	(6, 11, 103),
	(6, 11, 105),
	(6, 11, 106),
	(6, 11, 107),
	(6, 11, 111),
	(6, 11, 112),
	(6, 12, 101),
	(6, 12, 102),
	(6, 12, 103),
	(6, 12, 105),
	(6, 12, 106),
	(6, 12, 107),
	(6, 12, 111),
	(6, 12, 112),
	(6, 13, 101),
	(6, 13, 102),
	(6, 13, 103),
	(6, 13, 105),
	(6, 13, 106),
	(6, 13, 107),
	(6, 13, 111),
	(6, 13, 112),
	(6, 14, 101),
	(6, 14, 102),
	(6, 14, 103),
	(6, 14, 105),
	(6, 14, 106),
	(6, 14, 107),
	(6, 14, 111),
	(6, 14, 112),
	(6, 15, 101),
	(6, 15, 102),
	(6, 15, 103),
	(6, 15, 105),
	(6, 15, 106),
	(6, 15, 107),
	(6, 15, 111),
	(6, 15, 112),
	(6, 16, 101),
	(6, 16, 102),
	(6, 16, 103),
	(6, 16, 105),
	(6, 16, 106),
	(6, 16, 107),
	(6, 16, 111),
	(6, 16, 112),
	(6, 17, 101),
	(6, 17, 102),
	(6, 17, 103),
	(6, 17, 105),
	(6, 17, 106),
	(6, 17, 107),
	(6, 17, 111),
	(6, 17, 112),
	(6, 18, 101),
	(6, 18, 102),
	(6, 18, 103),
	(6, 18, 105),
	(6, 18, 106),
	(6, 18, 107),
	(6, 18, 111),
	(6, 18, 112),
	(6, 19, 101),
	(6, 19, 102),
	(6, 19, 103),
	(6, 19, 105),
	(6, 19, 106),
	(6, 19, 107),
	(6, 19, 111),
	(6, 19, 112),
	(6, 20, 101),
	(6, 20, 102),
	(6, 20, 103),
	(6, 20, 105),
	(6, 20, 106),
	(6, 20, 107),
	(6, 20, 111),
	(6, 20, 112),
	(6, 21, 101),
	(6, 21, 102),
	(6, 21, 103),
	(6, 21, 105),
	(6, 21, 106),
	(6, 21, 107),
	(6, 21, 111),
	(6, 21, 112),
	(6, 22, 101),
	(6, 22, 102),
	(6, 22, 103),
	(6, 22, 105),
	(6, 22, 106),
	(6, 22, 107),
	(6, 22, 111),
	(6, 22, 112),
	(6, 23, 101),
	(6, 23, 102),
	(6, 23, 103),
	(6, 23, 105),
	(6, 23, 106),
	(6, 23, 107),
	(6, 23, 111),
	(6, 23, 112),
	(6, 24, 101),
	(6, 24, 102),
	(6, 24, 103),
	(6, 24, 105),
	(6, 24, 106),
	(6, 24, 107),
	(6, 24, 111),
	(6, 24, 112),
	(6, 25, 101),
	(6, 25, 102),
	(6, 25, 103),
	(6, 25, 105),
	(6, 25, 106),
	(6, 25, 107),
	(6, 25, 111),
	(6, 25, 112),
	(6, 26, 101),
	(6, 26, 102),
	(6, 26, 103),
	(6, 26, 105),
	(6, 26, 106),
	(6, 26, 107),
	(6, 26, 111),
	(6, 26, 112),
	(6, 27, 101),
	(6, 27, 102),
	(6, 27, 103),
	(6, 27, 105),
	(6, 27, 106),
	(6, 27, 107),
	(6, 27, 111),
	(6, 27, 112),
	(6, 28, 101),
	(6, 28, 102),
	(6, 28, 103),
	(6, 28, 105),
	(6, 28, 106),
	(6, 28, 107),
	(6, 28, 111),
	(6, 28, 112),
	(6, 29, 101),
	(6, 29, 102),
	(6, 29, 103),
	(6, 29, 105),
	(6, 29, 106),
	(6, 29, 107),
	(6, 29, 111),
	(6, 29, 112),
	(6, 30, 101),
	(6, 30, 102),
	(6, 30, 103),
	(6, 30, 105),
	(6, 30, 106),
	(6, 30, 107),
	(6, 30, 111),
	(6, 30, 112),
	(7, 1, 101),
	(7, 1, 102),
	(7, 1, 103),
	(7, 1, 105),
	(7, 1, 106),
	(7, 1, 107),
	(7, 1, 111),
	(7, 1, 112),
	(7, 2, 101),
	(7, 2, 102),
	(7, 2, 103),
	(7, 2, 105),
	(7, 2, 106),
	(7, 2, 107),
	(7, 2, 111),
	(7, 2, 112),
	(7, 3, 101),
	(7, 3, 102),
	(7, 3, 103),
	(7, 3, 105),
	(7, 3, 106),
	(7, 3, 107),
	(7, 3, 111),
	(7, 3, 112),
	(7, 4, 101),
	(7, 4, 102),
	(7, 4, 103),
	(7, 4, 105),
	(7, 4, 106),
	(7, 4, 107),
	(7, 4, 111),
	(7, 4, 112),
	(7, 5, 101),
	(7, 5, 102),
	(7, 5, 103),
	(7, 5, 105),
	(7, 5, 106),
	(7, 5, 107),
	(7, 5, 111),
	(7, 5, 112),
	(7, 6, 101),
	(7, 6, 102),
	(7, 6, 103),
	(7, 6, 105),
	(7, 6, 106),
	(7, 6, 107),
	(7, 6, 111),
	(7, 6, 112),
	(7, 7, 101),
	(7, 7, 102),
	(7, 7, 103),
	(7, 7, 105),
	(7, 7, 106),
	(7, 7, 107),
	(7, 7, 111),
	(7, 7, 112),
	(7, 8, 101),
	(7, 8, 102),
	(7, 8, 103),
	(7, 8, 105),
	(7, 8, 106),
	(7, 8, 107),
	(7, 8, 111),
	(7, 8, 112),
	(7, 9, 101),
	(7, 9, 102),
	(7, 9, 103),
	(7, 9, 105),
	(7, 9, 106),
	(7, 9, 107),
	(7, 9, 111),
	(7, 9, 112),
	(7, 10, 101),
	(7, 10, 102),
	(7, 10, 103),
	(7, 10, 105),
	(7, 10, 106),
	(7, 10, 107),
	(7, 10, 111),
	(7, 10, 112),
	(7, 11, 101),
	(7, 11, 102),
	(7, 11, 103),
	(7, 11, 105),
	(7, 11, 106),
	(7, 11, 107),
	(7, 11, 111),
	(7, 11, 112),
	(7, 12, 101),
	(7, 12, 102),
	(7, 12, 103),
	(7, 12, 105),
	(7, 12, 106),
	(7, 12, 107),
	(7, 12, 111),
	(7, 12, 112),
	(7, 13, 101),
	(7, 13, 102),
	(7, 13, 103),
	(7, 13, 105),
	(7, 13, 106),
	(7, 13, 107),
	(7, 13, 111),
	(7, 13, 112),
	(7, 14, 101),
	(7, 14, 102),
	(7, 14, 103),
	(7, 14, 105),
	(7, 14, 106),
	(7, 14, 107),
	(7, 14, 111),
	(7, 14, 112),
	(7, 15, 101),
	(7, 15, 102),
	(7, 15, 103),
	(7, 15, 105),
	(7, 15, 106),
	(7, 15, 107),
	(7, 15, 111),
	(7, 15, 112),
	(7, 16, 101),
	(7, 16, 102),
	(7, 16, 103),
	(7, 16, 105),
	(7, 16, 106),
	(7, 16, 107),
	(7, 16, 111),
	(7, 16, 112),
	(7, 17, 101),
	(7, 17, 102),
	(7, 17, 103),
	(7, 17, 105),
	(7, 17, 106),
	(7, 17, 107),
	(7, 17, 111),
	(7, 17, 112),
	(7, 18, 101),
	(7, 18, 102),
	(7, 18, 103),
	(7, 18, 105),
	(7, 18, 106),
	(7, 18, 107),
	(7, 18, 111),
	(7, 18, 112),
	(7, 19, 101),
	(7, 19, 102),
	(7, 19, 103),
	(7, 19, 105),
	(7, 19, 106),
	(7, 19, 107),
	(7, 19, 111),
	(7, 19, 112),
	(7, 20, 101),
	(7, 20, 102),
	(7, 20, 103),
	(7, 20, 105),
	(7, 20, 106),
	(7, 20, 107),
	(7, 20, 111),
	(7, 20, 112),
	(7, 21, 101),
	(7, 21, 102),
	(7, 21, 103),
	(7, 21, 105),
	(7, 21, 106),
	(7, 21, 107),
	(7, 21, 111),
	(7, 21, 112),
	(7, 22, 101),
	(7, 22, 102),
	(7, 22, 103),
	(7, 22, 105),
	(7, 22, 106),
	(7, 22, 107),
	(7, 22, 111),
	(7, 22, 112),
	(7, 23, 101),
	(7, 23, 102),
	(7, 23, 103),
	(7, 23, 105),
	(7, 23, 106),
	(7, 23, 107),
	(7, 23, 111),
	(7, 23, 112),
	(7, 24, 101),
	(7, 24, 102),
	(7, 24, 103),
	(7, 24, 105),
	(7, 24, 106),
	(7, 24, 107),
	(7, 24, 111),
	(7, 24, 112),
	(7, 25, 101),
	(7, 25, 102),
	(7, 25, 103),
	(7, 25, 105),
	(7, 25, 106),
	(7, 25, 107),
	(7, 25, 111),
	(7, 25, 112),
	(7, 26, 101),
	(7, 26, 102),
	(7, 26, 103),
	(7, 26, 105),
	(7, 26, 106),
	(7, 26, 107),
	(7, 26, 111),
	(7, 26, 112),
	(7, 27, 101),
	(7, 27, 102),
	(7, 27, 103),
	(7, 27, 105),
	(7, 27, 106),
	(7, 27, 107),
	(7, 27, 111),
	(7, 27, 112),
	(7, 28, 101),
	(7, 28, 102),
	(7, 28, 103),
	(7, 28, 105),
	(7, 28, 106),
	(7, 28, 107),
	(7, 28, 111),
	(7, 28, 112),
	(7, 29, 101),
	(7, 29, 102),
	(7, 29, 103),
	(7, 29, 105),
	(7, 29, 106),
	(7, 29, 107),
	(7, 29, 111),
	(7, 29, 112),
	(7, 30, 101),
	(7, 30, 102),
	(7, 30, 103),
	(7, 30, 105),
	(7, 30, 106),
	(7, 30, 107),
	(7, 30, 111),
	(7, 30, 112),
	(7, 31, 101),
	(7, 31, 102),
	(7, 31, 103),
	(7, 31, 105),
	(7, 31, 106),
	(7, 31, 107),
	(7, 31, 111),
	(7, 31, 112),
	(8, 1, 101),
	(8, 1, 102),
	(8, 1, 103),
	(8, 1, 105),
	(8, 1, 106),
	(8, 1, 107),
	(8, 1, 111),
	(8, 1, 112),
	(8, 2, 101),
	(8, 2, 102),
	(8, 2, 103),
	(8, 2, 105),
	(8, 2, 106),
	(8, 2, 107),
	(8, 2, 111),
	(8, 2, 112),
	(8, 3, 101),
	(8, 3, 102),
	(8, 3, 103),
	(8, 3, 105),
	(8, 3, 106),
	(8, 3, 107),
	(8, 3, 111),
	(8, 3, 112),
	(8, 4, 101),
	(8, 4, 102),
	(8, 4, 103),
	(8, 4, 105),
	(8, 4, 106),
	(8, 4, 107),
	(8, 4, 111),
	(8, 4, 112),
	(8, 5, 101),
	(8, 5, 102),
	(8, 5, 103),
	(8, 5, 105),
	(8, 5, 106),
	(8, 5, 107),
	(8, 5, 111),
	(8, 5, 112),
	(8, 6, 101),
	(8, 6, 102),
	(8, 6, 103),
	(8, 6, 105),
	(8, 6, 106),
	(8, 6, 107),
	(8, 6, 111),
	(8, 6, 112),
	(8, 7, 101),
	(8, 7, 102),
	(8, 7, 103),
	(8, 7, 105),
	(8, 7, 106),
	(8, 7, 107),
	(8, 7, 111),
	(8, 7, 112),
	(8, 8, 101),
	(8, 8, 102),
	(8, 8, 103),
	(8, 8, 105),
	(8, 8, 106),
	(8, 8, 107),
	(8, 8, 111),
	(8, 8, 112),
	(8, 9, 101),
	(8, 9, 102),
	(8, 9, 103),
	(8, 9, 105),
	(8, 9, 106),
	(8, 9, 107),
	(8, 9, 111),
	(8, 9, 112),
	(8, 10, 101),
	(8, 10, 102),
	(8, 10, 103),
	(8, 10, 105),
	(8, 10, 106),
	(8, 10, 107),
	(8, 10, 111),
	(8, 10, 112),
	(8, 11, 101),
	(8, 11, 102),
	(8, 11, 103),
	(8, 11, 105),
	(8, 11, 106),
	(8, 11, 107),
	(8, 11, 111),
	(8, 11, 112),
	(8, 12, 101),
	(8, 12, 102),
	(8, 12, 103),
	(8, 12, 105),
	(8, 12, 106),
	(8, 12, 107),
	(8, 12, 111),
	(8, 12, 112),
	(8, 13, 101),
	(8, 13, 102),
	(8, 13, 103),
	(8, 13, 105),
	(8, 13, 106),
	(8, 13, 107),
	(8, 13, 111),
	(8, 13, 112),
	(8, 14, 101),
	(8, 14, 102),
	(8, 14, 103),
	(8, 14, 105),
	(8, 14, 106),
	(8, 14, 107),
	(8, 14, 111),
	(8, 14, 112),
	(8, 15, 101),
	(8, 15, 102),
	(8, 15, 103),
	(8, 15, 105),
	(8, 15, 106),
	(8, 15, 107),
	(8, 15, 111),
	(8, 15, 112),
	(8, 16, 101),
	(8, 16, 102),
	(8, 16, 103),
	(8, 16, 105),
	(8, 16, 106),
	(8, 16, 107),
	(8, 16, 111),
	(8, 16, 112),
	(8, 17, 101),
	(8, 17, 102),
	(8, 17, 103),
	(8, 17, 105),
	(8, 17, 106),
	(8, 17, 107),
	(8, 17, 111),
	(8, 17, 112),
	(8, 18, 101),
	(8, 18, 102),
	(8, 18, 103),
	(8, 18, 105),
	(8, 18, 106),
	(8, 18, 107),
	(8, 18, 111),
	(8, 18, 112),
	(8, 19, 101),
	(8, 19, 102),
	(8, 19, 103),
	(8, 19, 105),
	(8, 19, 106),
	(8, 19, 107),
	(8, 19, 111),
	(8, 19, 112),
	(8, 20, 101),
	(8, 20, 102),
	(8, 20, 103),
	(8, 20, 105),
	(8, 20, 106),
	(8, 20, 107),
	(8, 20, 111),
	(8, 20, 112),
	(8, 21, 101),
	(8, 21, 102),
	(8, 21, 103),
	(8, 21, 105),
	(8, 21, 106),
	(8, 21, 107),
	(8, 21, 111),
	(8, 21, 112),
	(8, 22, 101),
	(8, 22, 102),
	(8, 22, 103),
	(8, 22, 105),
	(8, 22, 106),
	(8, 22, 107),
	(8, 22, 111),
	(8, 22, 112),
	(8, 23, 101),
	(8, 23, 102),
	(8, 23, 103),
	(8, 23, 105),
	(8, 23, 106),
	(8, 23, 107),
	(8, 23, 111),
	(8, 23, 112),
	(8, 24, 101),
	(8, 24, 102),
	(8, 24, 103),
	(8, 24, 105),
	(8, 24, 106),
	(8, 24, 107),
	(8, 24, 111),
	(8, 24, 112),
	(8, 25, 101),
	(8, 25, 102),
	(8, 25, 103),
	(8, 25, 105),
	(8, 25, 106),
	(8, 25, 107),
	(8, 25, 111),
	(8, 25, 112),
	(8, 26, 101),
	(8, 26, 102),
	(8, 26, 103),
	(8, 26, 105),
	(8, 26, 106),
	(8, 26, 107),
	(8, 26, 111),
	(8, 26, 112),
	(8, 27, 101),
	(8, 27, 102),
	(8, 27, 103),
	(8, 27, 105),
	(8, 27, 106),
	(8, 27, 107),
	(8, 27, 111),
	(8, 27, 112),
	(8, 28, 101),
	(8, 28, 102),
	(8, 28, 103),
	(8, 28, 105),
	(8, 28, 106),
	(8, 28, 107),
	(8, 28, 111),
	(8, 28, 112),
	(8, 29, 101),
	(8, 29, 102),
	(8, 29, 103),
	(8, 29, 105),
	(8, 29, 106),
	(8, 29, 107),
	(8, 29, 111),
	(8, 29, 112),
	(8, 30, 101),
	(8, 30, 102),
	(8, 30, 103),
	(8, 30, 105),
	(8, 30, 106),
	(8, 30, 107),
	(8, 30, 111),
	(8, 30, 112),
	(8, 31, 101),
	(8, 31, 102),
	(8, 31, 103),
	(8, 31, 105),
	(8, 31, 106),
	(8, 31, 107),
	(8, 31, 111),
	(8, 31, 112),
	(9, 1, 101),
	(9, 1, 102),
	(9, 1, 103),
	(9, 1, 105),
	(9, 1, 106),
	(9, 1, 107),
	(9, 1, 111),
	(9, 1, 112),
	(9, 2, 101),
	(9, 2, 102),
	(9, 2, 103),
	(9, 2, 105),
	(9, 2, 106),
	(9, 2, 107),
	(9, 2, 111),
	(9, 2, 112),
	(9, 3, 101),
	(9, 3, 102),
	(9, 3, 103),
	(9, 3, 105),
	(9, 3, 106),
	(9, 3, 107),
	(9, 3, 111),
	(9, 3, 112),
	(9, 4, 101),
	(9, 4, 102),
	(9, 4, 103),
	(9, 4, 105),
	(9, 4, 106),
	(9, 4, 107),
	(9, 4, 111),
	(9, 4, 112),
	(9, 5, 101),
	(9, 5, 102),
	(9, 5, 103),
	(9, 5, 105),
	(9, 5, 106),
	(9, 5, 107),
	(9, 5, 111),
	(9, 5, 112),
	(9, 6, 101),
	(9, 6, 102),
	(9, 6, 103),
	(9, 6, 105),
	(9, 6, 106),
	(9, 6, 107),
	(9, 6, 111),
	(9, 6, 112),
	(9, 7, 101),
	(9, 7, 102),
	(9, 7, 103),
	(9, 7, 105),
	(9, 7, 106),
	(9, 7, 107),
	(9, 7, 111),
	(9, 7, 112),
	(9, 8, 101),
	(9, 8, 102),
	(9, 8, 103),
	(9, 8, 105),
	(9, 8, 106),
	(9, 8, 107),
	(9, 8, 111),
	(9, 8, 112),
	(9, 9, 101),
	(9, 9, 102),
	(9, 9, 103),
	(9, 9, 105),
	(9, 9, 106),
	(9, 9, 107),
	(9, 9, 111),
	(9, 9, 112),
	(9, 10, 101),
	(9, 10, 102),
	(9, 10, 103),
	(9, 10, 105),
	(9, 10, 106),
	(9, 10, 107),
	(9, 10, 111),
	(9, 10, 112),
	(9, 11, 101),
	(9, 11, 102),
	(9, 11, 103),
	(9, 11, 105),
	(9, 11, 106),
	(9, 11, 107),
	(9, 11, 111),
	(9, 11, 112),
	(9, 12, 101),
	(9, 12, 102),
	(9, 12, 103),
	(9, 12, 105),
	(9, 12, 106),
	(9, 12, 107),
	(9, 12, 111),
	(9, 12, 112),
	(9, 13, 101),
	(9, 13, 102),
	(9, 13, 103),
	(9, 13, 105),
	(9, 13, 106),
	(9, 13, 107),
	(9, 13, 111),
	(9, 13, 112),
	(9, 14, 101),
	(9, 14, 102),
	(9, 14, 103),
	(9, 14, 105),
	(9, 14, 106),
	(9, 14, 107),
	(9, 14, 111),
	(9, 14, 112),
	(9, 15, 101),
	(9, 15, 102),
	(9, 15, 103),
	(9, 15, 105),
	(9, 15, 106),
	(9, 15, 107),
	(9, 15, 111),
	(9, 15, 112),
	(9, 16, 101),
	(9, 16, 102),
	(9, 16, 103),
	(9, 16, 105),
	(9, 16, 106),
	(9, 16, 107),
	(9, 16, 111),
	(9, 16, 112),
	(9, 17, 101),
	(9, 17, 102),
	(9, 17, 103),
	(9, 17, 105),
	(9, 17, 106),
	(9, 17, 107),
	(9, 17, 111),
	(9, 17, 112),
	(9, 18, 101),
	(9, 18, 102),
	(9, 18, 103),
	(9, 18, 105),
	(9, 18, 106),
	(9, 18, 107),
	(9, 18, 111),
	(9, 18, 112),
	(9, 19, 101),
	(9, 19, 102),
	(9, 19, 103),
	(9, 19, 105),
	(9, 19, 106),
	(9, 19, 107),
	(9, 19, 111),
	(9, 19, 112),
	(9, 20, 101),
	(9, 20, 102),
	(9, 20, 103),
	(9, 20, 105),
	(9, 20, 106),
	(9, 20, 107),
	(9, 20, 111),
	(9, 20, 112),
	(9, 21, 101),
	(9, 21, 102),
	(9, 21, 103),
	(9, 21, 105),
	(9, 21, 106),
	(9, 21, 107),
	(9, 21, 111),
	(9, 21, 112),
	(9, 22, 101),
	(9, 22, 102),
	(9, 22, 103),
	(9, 22, 105),
	(9, 22, 106),
	(9, 22, 107),
	(9, 22, 111),
	(9, 22, 112),
	(9, 23, 101),
	(9, 23, 102),
	(9, 23, 103),
	(9, 23, 105),
	(9, 23, 106),
	(9, 23, 107),
	(9, 23, 111),
	(9, 23, 112),
	(9, 24, 101),
	(9, 24, 102),
	(9, 24, 103),
	(9, 24, 105),
	(9, 24, 106),
	(9, 24, 107),
	(9, 24, 111),
	(9, 24, 112),
	(9, 25, 101),
	(9, 25, 102),
	(9, 25, 103),
	(9, 25, 105),
	(9, 25, 106),
	(9, 25, 107),
	(9, 25, 111),
	(9, 25, 112),
	(9, 26, 101),
	(9, 26, 102),
	(9, 26, 103),
	(9, 26, 105),
	(9, 26, 106),
	(9, 26, 107),
	(9, 26, 111),
	(9, 26, 112),
	(9, 27, 101),
	(9, 27, 102),
	(9, 27, 103),
	(9, 27, 105),
	(9, 27, 106),
	(9, 27, 107),
	(9, 27, 111),
	(9, 27, 112),
	(9, 28, 101),
	(9, 28, 102),
	(9, 28, 103),
	(9, 28, 105),
	(9, 28, 106),
	(9, 28, 107),
	(9, 28, 111),
	(9, 28, 112),
	(9, 29, 101),
	(9, 29, 102),
	(9, 29, 103),
	(9, 29, 105),
	(9, 29, 106),
	(9, 29, 107),
	(9, 29, 111),
	(9, 29, 112),
	(9, 30, 101),
	(9, 30, 102),
	(9, 30, 103),
	(9, 30, 105),
	(9, 30, 106),
	(9, 30, 107),
	(9, 30, 111),
	(9, 30, 112),
	(10, 1, 101),
	(10, 1, 102),
	(10, 1, 103),
	(10, 1, 105),
	(10, 1, 106),
	(10, 1, 107),
	(10, 1, 111),
	(10, 1, 112),
	(10, 2, 101),
	(10, 2, 102),
	(10, 2, 103),
	(10, 2, 105),
	(10, 2, 106),
	(10, 2, 107),
	(10, 2, 111),
	(10, 2, 112),
	(10, 3, 101),
	(10, 3, 102),
	(10, 3, 103),
	(10, 3, 105),
	(10, 3, 106),
	(10, 3, 107),
	(10, 3, 111),
	(10, 3, 112),
	(10, 4, 101),
	(10, 4, 102),
	(10, 4, 103),
	(10, 4, 105),
	(10, 4, 106),
	(10, 4, 107),
	(10, 4, 111),
	(10, 4, 112),
	(10, 5, 101),
	(10, 5, 102),
	(10, 5, 103),
	(10, 5, 105),
	(10, 5, 106),
	(10, 5, 107),
	(10, 5, 111),
	(10, 5, 112),
	(10, 6, 101),
	(10, 6, 102),
	(10, 6, 103),
	(10, 6, 105),
	(10, 6, 106),
	(10, 6, 107),
	(10, 6, 111),
	(10, 6, 112),
	(10, 7, 101),
	(10, 7, 102),
	(10, 7, 103),
	(10, 7, 105),
	(10, 7, 106),
	(10, 7, 107),
	(10, 7, 111),
	(10, 7, 112),
	(10, 8, 101),
	(10, 8, 102),
	(10, 8, 103),
	(10, 8, 105),
	(10, 8, 106),
	(10, 8, 107),
	(10, 8, 111),
	(10, 8, 112),
	(10, 9, 101),
	(10, 9, 102),
	(10, 9, 103),
	(10, 9, 105),
	(10, 9, 106),
	(10, 9, 107),
	(10, 9, 111),
	(10, 9, 112),
	(10, 10, 101),
	(10, 10, 102),
	(10, 10, 103),
	(10, 10, 105),
	(10, 10, 106),
	(10, 10, 107),
	(10, 10, 111),
	(10, 10, 112),
	(10, 11, 101),
	(10, 11, 102),
	(10, 11, 103),
	(10, 11, 105),
	(10, 11, 106),
	(10, 11, 107),
	(10, 11, 111),
	(10, 11, 112),
	(10, 12, 101),
	(10, 12, 102),
	(10, 12, 103),
	(10, 12, 105),
	(10, 12, 106),
	(10, 12, 107),
	(10, 12, 111),
	(10, 12, 112),
	(10, 13, 101),
	(10, 13, 102),
	(10, 13, 103),
	(10, 13, 105),
	(10, 13, 106),
	(10, 13, 107),
	(10, 13, 111),
	(10, 13, 112),
	(10, 14, 101),
	(10, 14, 102),
	(10, 14, 103),
	(10, 14, 105),
	(10, 14, 106),
	(10, 14, 107),
	(10, 14, 111),
	(10, 14, 112),
	(10, 15, 101),
	(10, 15, 102),
	(10, 15, 103),
	(10, 15, 105),
	(10, 15, 106),
	(10, 15, 107),
	(10, 15, 111),
	(10, 15, 112),
	(10, 16, 101),
	(10, 16, 102),
	(10, 16, 103),
	(10, 16, 105),
	(10, 16, 106),
	(10, 16, 107),
	(10, 16, 111),
	(10, 16, 112),
	(10, 17, 101),
	(10, 17, 102),
	(10, 17, 103),
	(10, 17, 105),
	(10, 17, 106),
	(10, 17, 107),
	(10, 17, 111),
	(10, 17, 112),
	(10, 18, 101),
	(10, 18, 102),
	(10, 18, 103),
	(10, 18, 105),
	(10, 18, 106),
	(10, 18, 107),
	(10, 18, 111),
	(10, 18, 112),
	(10, 19, 101),
	(10, 19, 102),
	(10, 19, 103),
	(10, 19, 105),
	(10, 19, 106),
	(10, 19, 107),
	(10, 19, 111),
	(10, 19, 112),
	(10, 20, 101),
	(10, 20, 102),
	(10, 20, 103),
	(10, 20, 105),
	(10, 20, 106),
	(10, 20, 107),
	(10, 20, 111),
	(10, 20, 112),
	(10, 21, 101),
	(10, 21, 102),
	(10, 21, 103),
	(10, 21, 105),
	(10, 21, 106),
	(10, 21, 107),
	(10, 21, 111),
	(10, 21, 112),
	(10, 22, 101),
	(10, 22, 102),
	(10, 22, 103),
	(10, 22, 105),
	(10, 22, 106),
	(10, 22, 107),
	(10, 22, 111),
	(10, 22, 112),
	(10, 23, 101),
	(10, 23, 102),
	(10, 23, 103),
	(10, 23, 105),
	(10, 23, 106),
	(10, 23, 107),
	(10, 23, 111),
	(10, 23, 112),
	(10, 24, 101),
	(10, 24, 102),
	(10, 24, 103),
	(10, 24, 105),
	(10, 24, 106),
	(10, 24, 107),
	(10, 24, 111),
	(10, 24, 112),
	(10, 25, 101),
	(10, 25, 102),
	(10, 25, 103),
	(10, 25, 105),
	(10, 25, 106),
	(10, 25, 107),
	(10, 25, 111),
	(10, 25, 112),
	(10, 26, 101),
	(10, 26, 102),
	(10, 26, 103),
	(10, 26, 105),
	(10, 26, 106),
	(10, 26, 107),
	(10, 26, 111),
	(10, 26, 112),
	(10, 27, 101),
	(10, 27, 102),
	(10, 27, 103),
	(10, 27, 105),
	(10, 27, 106),
	(10, 27, 107),
	(10, 27, 111),
	(10, 27, 112),
	(10, 28, 101),
	(10, 28, 102),
	(10, 28, 103),
	(10, 28, 105),
	(10, 28, 106),
	(10, 28, 107),
	(10, 28, 111),
	(10, 28, 112),
	(10, 29, 101),
	(10, 29, 102),
	(10, 29, 103),
	(10, 29, 105),
	(10, 29, 106),
	(10, 29, 107),
	(10, 29, 111),
	(10, 29, 112),
	(10, 30, 101),
	(10, 30, 102),
	(10, 30, 103),
	(10, 30, 105),
	(10, 30, 106),
	(10, 30, 107),
	(10, 30, 111),
	(10, 30, 112),
	(10, 31, 101),
	(10, 31, 102),
	(10, 31, 103),
	(10, 31, 105),
	(10, 31, 106),
	(10, 31, 107),
	(10, 31, 111),
	(10, 31, 112),
	(11, 1, 101),
	(11, 1, 102),
	(11, 1, 103),
	(11, 1, 105),
	(11, 1, 106),
	(11, 1, 107),
	(11, 1, 111),
	(11, 1, 112),
	(11, 2, 101),
	(11, 2, 102),
	(11, 2, 103),
	(11, 2, 105),
	(11, 2, 106),
	(11, 2, 107),
	(11, 2, 111),
	(11, 2, 112),
	(11, 3, 101),
	(11, 3, 102),
	(11, 3, 103),
	(11, 3, 105),
	(11, 3, 106),
	(11, 3, 107),
	(11, 3, 111),
	(11, 3, 112),
	(11, 4, 101),
	(11, 4, 102),
	(11, 4, 103),
	(11, 4, 105),
	(11, 4, 106),
	(11, 4, 107),
	(11, 4, 111),
	(11, 4, 112),
	(11, 5, 101),
	(11, 5, 102),
	(11, 5, 103),
	(11, 5, 105),
	(11, 5, 106),
	(11, 5, 107),
	(11, 5, 111),
	(11, 5, 112),
	(11, 6, 101),
	(11, 6, 102),
	(11, 6, 103),
	(11, 6, 105),
	(11, 6, 106),
	(11, 6, 107),
	(11, 6, 111),
	(11, 6, 112),
	(11, 7, 101),
	(11, 7, 102),
	(11, 7, 103),
	(11, 7, 105),
	(11, 7, 106),
	(11, 7, 107),
	(11, 7, 111),
	(11, 7, 112),
	(11, 8, 101),
	(11, 8, 102),
	(11, 8, 103),
	(11, 8, 105),
	(11, 8, 106),
	(11, 8, 107),
	(11, 8, 111),
	(11, 8, 112),
	(11, 9, 101),
	(11, 9, 102),
	(11, 9, 103),
	(11, 9, 105),
	(11, 9, 106),
	(11, 9, 107),
	(11, 9, 111),
	(11, 9, 112),
	(11, 10, 101),
	(11, 10, 102),
	(11, 10, 103),
	(11, 10, 105),
	(11, 10, 106),
	(11, 10, 107),
	(11, 10, 111),
	(11, 10, 112),
	(11, 11, 101),
	(11, 11, 102),
	(11, 11, 103),
	(11, 11, 105),
	(11, 11, 106),
	(11, 11, 107),
	(11, 11, 111),
	(11, 11, 112),
	(11, 12, 101),
	(11, 12, 102),
	(11, 12, 103),
	(11, 12, 105),
	(11, 12, 106),
	(11, 12, 107),
	(11, 12, 111),
	(11, 12, 112),
	(11, 13, 101),
	(11, 13, 102),
	(11, 13, 103),
	(11, 13, 105),
	(11, 13, 106),
	(11, 13, 107),
	(11, 13, 111),
	(11, 13, 112),
	(11, 14, 101),
	(11, 14, 102),
	(11, 14, 103),
	(11, 14, 105),
	(11, 14, 106),
	(11, 14, 107),
	(11, 14, 111),
	(11, 14, 112),
	(11, 15, 101),
	(11, 15, 102),
	(11, 15, 103),
	(11, 15, 105),
	(11, 15, 106),
	(11, 15, 107),
	(11, 15, 111),
	(11, 15, 112),
	(11, 16, 101),
	(11, 16, 102),
	(11, 16, 103),
	(11, 16, 105),
	(11, 16, 106),
	(11, 16, 107),
	(11, 16, 111),
	(11, 16, 112),
	(11, 17, 101),
	(11, 17, 102),
	(11, 17, 103),
	(11, 17, 105),
	(11, 17, 106),
	(11, 17, 107),
	(11, 17, 111),
	(11, 17, 112),
	(11, 18, 101),
	(11, 18, 102),
	(11, 18, 103),
	(11, 18, 105),
	(11, 18, 106),
	(11, 18, 107),
	(11, 18, 111),
	(11, 18, 112),
	(11, 19, 101),
	(11, 19, 102),
	(11, 19, 103),
	(11, 19, 105),
	(11, 19, 106),
	(11, 19, 107),
	(11, 19, 111),
	(11, 19, 112),
	(11, 20, 101),
	(11, 20, 102),
	(11, 20, 103),
	(11, 20, 105),
	(11, 20, 106),
	(11, 20, 107),
	(11, 20, 111),
	(11, 20, 112),
	(11, 21, 101),
	(11, 21, 102),
	(11, 21, 103),
	(11, 21, 105),
	(11, 21, 106),
	(11, 21, 107),
	(11, 21, 111),
	(11, 21, 112),
	(11, 22, 101),
	(11, 22, 102),
	(11, 22, 103),
	(11, 22, 105),
	(11, 22, 106),
	(11, 22, 107),
	(11, 22, 111),
	(11, 22, 112),
	(11, 23, 101),
	(11, 23, 102),
	(11, 23, 103),
	(11, 23, 105),
	(11, 23, 106),
	(11, 23, 107),
	(11, 23, 111),
	(11, 23, 112),
	(11, 24, 101),
	(11, 24, 102),
	(11, 24, 103),
	(11, 24, 105),
	(11, 24, 106),
	(11, 24, 107),
	(11, 24, 111),
	(11, 24, 112),
	(11, 25, 101),
	(11, 25, 102),
	(11, 25, 103),
	(11, 25, 105),
	(11, 25, 106),
	(11, 25, 107),
	(11, 25, 111),
	(11, 25, 112),
	(11, 26, 101),
	(11, 26, 102),
	(11, 26, 103),
	(11, 26, 105),
	(11, 26, 106),
	(11, 26, 107),
	(11, 26, 111),
	(11, 26, 112),
	(11, 27, 101),
	(11, 27, 102),
	(11, 27, 103),
	(11, 27, 105),
	(11, 27, 106),
	(11, 27, 107),
	(11, 27, 111),
	(11, 27, 112),
	(11, 28, 101),
	(11, 28, 102),
	(11, 28, 103),
	(11, 28, 105),
	(11, 28, 106),
	(11, 28, 107),
	(11, 28, 111),
	(11, 28, 112),
	(11, 29, 101),
	(11, 29, 102),
	(11, 29, 103),
	(11, 29, 105),
	(11, 29, 106),
	(11, 29, 107),
	(11, 29, 111),
	(11, 29, 112),
	(11, 30, 101),
	(11, 30, 102),
	(11, 30, 103),
	(11, 30, 105),
	(11, 30, 106),
	(11, 30, 107),
	(11, 30, 111),
	(11, 30, 112),
	(12, 1, 101),
	(12, 1, 102),
	(12, 1, 103),
	(12, 1, 105),
	(12, 1, 106),
	(12, 1, 107),
	(12, 1, 111),
	(12, 1, 112),
	(12, 2, 101),
	(12, 2, 102),
	(12, 2, 103),
	(12, 2, 105),
	(12, 2, 106),
	(12, 2, 107),
	(12, 2, 111),
	(12, 2, 112),
	(12, 3, 101),
	(12, 3, 102),
	(12, 3, 103),
	(12, 3, 105),
	(12, 3, 106),
	(12, 3, 107),
	(12, 3, 111),
	(12, 3, 112),
	(12, 4, 101),
	(12, 4, 102),
	(12, 4, 103),
	(12, 4, 105),
	(12, 4, 106),
	(12, 4, 107),
	(12, 4, 111),
	(12, 4, 112),
	(12, 5, 101),
	(12, 5, 102),
	(12, 5, 103),
	(12, 5, 105),
	(12, 5, 106),
	(12, 5, 107),
	(12, 5, 111),
	(12, 5, 112),
	(12, 6, 101),
	(12, 6, 102),
	(12, 6, 103),
	(12, 6, 105),
	(12, 6, 106),
	(12, 6, 107),
	(12, 6, 111),
	(12, 6, 112),
	(12, 7, 101),
	(12, 7, 102),
	(12, 7, 103),
	(12, 7, 105),
	(12, 7, 106),
	(12, 7, 107),
	(12, 7, 111),
	(12, 7, 112),
	(12, 8, 101),
	(12, 8, 102),
	(12, 8, 103),
	(12, 8, 105),
	(12, 8, 106),
	(12, 8, 107),
	(12, 8, 111),
	(12, 8, 112),
	(12, 9, 101),
	(12, 9, 102),
	(12, 9, 103),
	(12, 9, 105),
	(12, 9, 106),
	(12, 9, 107),
	(12, 9, 111),
	(12, 9, 112),
	(12, 10, 101),
	(12, 10, 102),
	(12, 10, 103),
	(12, 10, 105),
	(12, 10, 106),
	(12, 10, 107),
	(12, 10, 111),
	(12, 10, 112),
	(12, 11, 101),
	(12, 11, 102),
	(12, 11, 103),
	(12, 11, 105),
	(12, 11, 106),
	(12, 11, 107),
	(12, 11, 111),
	(12, 11, 112),
	(12, 12, 101),
	(12, 12, 102),
	(12, 12, 103),
	(12, 12, 105),
	(12, 12, 106),
	(12, 12, 107),
	(12, 12, 111),
	(12, 12, 112),
	(12, 13, 101),
	(12, 13, 102),
	(12, 13, 103),
	(12, 13, 105),
	(12, 13, 106),
	(12, 13, 107),
	(12, 13, 111),
	(12, 13, 112),
	(12, 14, 101),
	(12, 14, 102),
	(12, 14, 103),
	(12, 14, 105),
	(12, 14, 106),
	(12, 14, 107),
	(12, 14, 111),
	(12, 14, 112),
	(12, 15, 101),
	(12, 15, 102),
	(12, 15, 103),
	(12, 15, 105),
	(12, 15, 106),
	(12, 15, 107),
	(12, 15, 111),
	(12, 15, 112),
	(12, 16, 101),
	(12, 16, 102),
	(12, 16, 103),
	(12, 16, 105),
	(12, 16, 106),
	(12, 16, 107),
	(12, 16, 111),
	(12, 16, 112),
	(12, 17, 101),
	(12, 17, 102),
	(12, 17, 103),
	(12, 17, 105),
	(12, 17, 106),
	(12, 17, 107),
	(12, 17, 111),
	(12, 17, 112),
	(12, 18, 101),
	(12, 18, 102),
	(12, 18, 103),
	(12, 18, 105),
	(12, 18, 106),
	(12, 18, 107),
	(12, 18, 111),
	(12, 18, 112),
	(12, 19, 101),
	(12, 19, 102),
	(12, 19, 103),
	(12, 19, 105),
	(12, 19, 106),
	(12, 19, 107),
	(12, 19, 111),
	(12, 19, 112),
	(12, 20, 101),
	(12, 20, 102),
	(12, 20, 103),
	(12, 20, 105),
	(12, 20, 106),
	(12, 20, 107),
	(12, 20, 111),
	(12, 20, 112),
	(12, 21, 101),
	(12, 21, 102),
	(12, 21, 103),
	(12, 21, 105),
	(12, 21, 106),
	(12, 21, 107),
	(12, 21, 111),
	(12, 21, 112),
	(12, 22, 101),
	(12, 22, 102),
	(12, 22, 103),
	(12, 22, 105),
	(12, 22, 106),
	(12, 22, 107),
	(12, 22, 111),
	(12, 22, 112),
	(12, 23, 101),
	(12, 23, 102),
	(12, 23, 103),
	(12, 23, 105),
	(12, 23, 106),
	(12, 23, 107),
	(12, 23, 111),
	(12, 23, 112),
	(12, 24, 101),
	(12, 24, 102),
	(12, 24, 103),
	(12, 24, 105),
	(12, 24, 106),
	(12, 24, 107),
	(12, 24, 111),
	(12, 24, 112),
	(12, 25, 101),
	(12, 25, 102),
	(12, 25, 103),
	(12, 25, 105),
	(12, 25, 106),
	(12, 25, 107),
	(12, 25, 111),
	(12, 25, 112),
	(12, 26, 101),
	(12, 26, 102),
	(12, 26, 103),
	(12, 26, 105),
	(12, 26, 106),
	(12, 26, 107),
	(12, 26, 111),
	(12, 26, 112),
	(12, 27, 101),
	(12, 27, 102),
	(12, 27, 103),
	(12, 27, 105),
	(12, 27, 106),
	(12, 27, 107),
	(12, 27, 111),
	(12, 27, 112),
	(12, 28, 101),
	(12, 28, 102),
	(12, 28, 103),
	(12, 28, 105),
	(12, 28, 106),
	(12, 28, 107),
	(12, 28, 111),
	(12, 28, 112),
	(12, 29, 101),
	(12, 29, 102),
	(12, 29, 103),
	(12, 29, 105),
	(12, 29, 106),
	(12, 29, 107),
	(12, 29, 111),
	(12, 29, 112),
	(12, 30, 101),
	(12, 30, 102),
	(12, 30, 103),
	(12, 30, 105),
	(12, 30, 106),
	(12, 30, 107),
	(12, 30, 111),
	(12, 30, 112),
	(12, 31, 101),
	(12, 31, 102),
	(12, 31, 103),
	(12, 31, 105),
	(12, 31, 106),
	(12, 31, 107),
	(12, 31, 111),
	(12, 31, 112);
/*!40000 ALTER TABLE `seq_month_day_element_leap_yr` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_db_v4.seq_month_day_leap_yr
CREATE TABLE IF NOT EXISTS `seq_month_day_leap_yr` (
  `mm` int(11) NOT NULL,
  `dd` int(11) NOT NULL,
  PRIMARY KEY (`mm`,`dd`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_db_v4.seq_month_day_leap_yr: ~366 rows (approximately)
/*!40000 ALTER TABLE `seq_month_day_leap_yr` DISABLE KEYS */;
INSERT INTO `seq_month_day_leap_yr` (`mm`, `dd`) VALUES
	(1, 1),
	(1, 2),
	(1, 3),
	(1, 4),
	(1, 5),
	(1, 6),
	(1, 7),
	(1, 8),
	(1, 9),
	(1, 10),
	(1, 11),
	(1, 12),
	(1, 13),
	(1, 14),
	(1, 15),
	(1, 16),
	(1, 17),
	(1, 18),
	(1, 19),
	(1, 20),
	(1, 21),
	(1, 22),
	(1, 23),
	(1, 24),
	(1, 25),
	(1, 26),
	(1, 27),
	(1, 28),
	(1, 29),
	(1, 30),
	(1, 31),
	(2, 1),
	(2, 2),
	(2, 3),
	(2, 4),
	(2, 5),
	(2, 6),
	(2, 7),
	(2, 8),
	(2, 9),
	(2, 10),
	(2, 11),
	(2, 12),
	(2, 13),
	(2, 14),
	(2, 15),
	(2, 16),
	(2, 17),
	(2, 18),
	(2, 19),
	(2, 20),
	(2, 21),
	(2, 22),
	(2, 23),
	(2, 24),
	(2, 25),
	(2, 26),
	(2, 27),
	(2, 28),
	(2, 29),
	(3, 1),
	(3, 2),
	(3, 3),
	(3, 4),
	(3, 5),
	(3, 6),
	(3, 7),
	(3, 8),
	(3, 9),
	(3, 10),
	(3, 11),
	(3, 12),
	(3, 13),
	(3, 14),
	(3, 15),
	(3, 16),
	(3, 17),
	(3, 18),
	(3, 19),
	(3, 20),
	(3, 21),
	(3, 22),
	(3, 23),
	(3, 24),
	(3, 25),
	(3, 26),
	(3, 27),
	(3, 28),
	(3, 29),
	(3, 30),
	(3, 31),
	(4, 1),
	(4, 2),
	(4, 3),
	(4, 4),
	(4, 5),
	(4, 6),
	(4, 7),
	(4, 8),
	(4, 9),
	(4, 10),
	(4, 11),
	(4, 12),
	(4, 13),
	(4, 14),
	(4, 15),
	(4, 16),
	(4, 17),
	(4, 18),
	(4, 19),
	(4, 20),
	(4, 21),
	(4, 22),
	(4, 23),
	(4, 24),
	(4, 25),
	(4, 26),
	(4, 27),
	(4, 28),
	(4, 29),
	(4, 30),
	(5, 1),
	(5, 2),
	(5, 3),
	(5, 4),
	(5, 5),
	(5, 6),
	(5, 7),
	(5, 8),
	(5, 9),
	(5, 10),
	(5, 11),
	(5, 12),
	(5, 13),
	(5, 14),
	(5, 15),
	(5, 16),
	(5, 17),
	(5, 18),
	(5, 19),
	(5, 20),
	(5, 21),
	(5, 22),
	(5, 23),
	(5, 24),
	(5, 25),
	(5, 26),
	(5, 27),
	(5, 28),
	(5, 29),
	(5, 30),
	(5, 31),
	(6, 1),
	(6, 2),
	(6, 3),
	(6, 4),
	(6, 5),
	(6, 6),
	(6, 7),
	(6, 8),
	(6, 9),
	(6, 10),
	(6, 11),
	(6, 12),
	(6, 13),
	(6, 14),
	(6, 15),
	(6, 16),
	(6, 17),
	(6, 18),
	(6, 19),
	(6, 20),
	(6, 21),
	(6, 22),
	(6, 23),
	(6, 24),
	(6, 25),
	(6, 26),
	(6, 27),
	(6, 28),
	(6, 29),
	(6, 30),
	(7, 1),
	(7, 2),
	(7, 3),
	(7, 4),
	(7, 5),
	(7, 6),
	(7, 7),
	(7, 8),
	(7, 9),
	(7, 10),
	(7, 11),
	(7, 12),
	(7, 13),
	(7, 14),
	(7, 15),
	(7, 16),
	(7, 17),
	(7, 18),
	(7, 19),
	(7, 20),
	(7, 21),
	(7, 22),
	(7, 23),
	(7, 24),
	(7, 25),
	(7, 26),
	(7, 27),
	(7, 28),
	(7, 29),
	(7, 30),
	(7, 31),
	(8, 1),
	(8, 2),
	(8, 3),
	(8, 4),
	(8, 5),
	(8, 6),
	(8, 7),
	(8, 8),
	(8, 9),
	(8, 10),
	(8, 11),
	(8, 12),
	(8, 13),
	(8, 14),
	(8, 15),
	(8, 16),
	(8, 17),
	(8, 18),
	(8, 19),
	(8, 20),
	(8, 21),
	(8, 22),
	(8, 23),
	(8, 24),
	(8, 25),
	(8, 26),
	(8, 27),
	(8, 28),
	(8, 29),
	(8, 30),
	(8, 31),
	(9, 1),
	(9, 2),
	(9, 3),
	(9, 4),
	(9, 5),
	(9, 6),
	(9, 7),
	(9, 8),
	(9, 9),
	(9, 10),
	(9, 11),
	(9, 12),
	(9, 13),
	(9, 14),
	(9, 15),
	(9, 16),
	(9, 17),
	(9, 18),
	(9, 19),
	(9, 20),
	(9, 21),
	(9, 22),
	(9, 23),
	(9, 24),
	(9, 25),
	(9, 26),
	(9, 27),
	(9, 28),
	(9, 29),
	(9, 30),
	(10, 1),
	(10, 2),
	(10, 3),
	(10, 4),
	(10, 5),
	(10, 6),
	(10, 7),
	(10, 8),
	(10, 9),
	(10, 10),
	(10, 11),
	(10, 12),
	(10, 13),
	(10, 14),
	(10, 15),
	(10, 16),
	(10, 17),
	(10, 18),
	(10, 19),
	(10, 20),
	(10, 21),
	(10, 22),
	(10, 23),
	(10, 24),
	(10, 25),
	(10, 26),
	(10, 27),
	(10, 28),
	(10, 29),
	(10, 30),
	(10, 31),
	(11, 1),
	(11, 2),
	(11, 3),
	(11, 4),
	(11, 5),
	(11, 6),
	(11, 7),
	(11, 8),
	(11, 9),
	(11, 10),
	(11, 11),
	(11, 12),
	(11, 13),
	(11, 14),
	(11, 15),
	(11, 16),
	(11, 17),
	(11, 18),
	(11, 19),
	(11, 20),
	(11, 21),
	(11, 22),
	(11, 23),
	(11, 24),
	(11, 25),
	(11, 26),
	(11, 27),
	(11, 28),
	(11, 29),
	(11, 30),
	(12, 1),
	(12, 2),
	(12, 3),
	(12, 4),
	(12, 5),
	(12, 6),
	(12, 7),
	(12, 8),
	(12, 9),
	(12, 10),
	(12, 11),
	(12, 12),
	(12, 13),
	(12, 14),
	(12, 15),
	(12, 16),
	(12, 17),
	(12, 18),
	(12, 19),
	(12, 20),
	(12, 21),
	(12, 22),
	(12, 23),
	(12, 24),
	(12, 25),
	(12, 26),
	(12, 27),
	(12, 28),
	(12, 29),
	(12, 30),
	(12, 31);
/*!40000 ALTER TABLE `seq_month_day_leap_yr` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_db_v4.seq_month_day_synoptime
CREATE TABLE IF NOT EXISTS `seq_month_day_synoptime` (
  `mm` int(11) NOT NULL,
  `dd` int(11) NOT NULL,
  `hh` int(11) NOT NULL,
  PRIMARY KEY (`mm`,`dd`,`hh`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- Dumping data for table mariadb_climsoft_db_v4.seq_month_day_synoptime: ~2,920 rows (approximately)
/*!40000 ALTER TABLE `seq_month_day_synoptime` DISABLE KEYS */;
INSERT INTO `seq_month_day_synoptime` (`mm`, `dd`, `hh`) VALUES
	(1, 1, 0),
	(1, 1, 3),
	(1, 1, 6),
	(1, 1, 9),
	(1, 1, 12),
	(1, 1, 15),
	(1, 1, 18),
	(1, 1, 21),
	(1, 2, 0),
	(1, 2, 3),
	(1, 2, 6),
	(1, 2, 9),
	(1, 2, 12),
	(1, 2, 15),
	(1, 2, 18),
	(1, 2, 21),
	(1, 3, 0),
	(1, 3, 3),
	(1, 3, 6),
	(1, 3, 9),
	(1, 3, 12),
	(1, 3, 15),
	(1, 3, 18),
	(1, 3, 21),
	(1, 4, 0),
	(1, 4, 3),
	(1, 4, 6),
	(1, 4, 9),
	(1, 4, 12),
	(1, 4, 15),
	(1, 4, 18),
	(1, 4, 21),
	(1, 5, 0),
	(1, 5, 3),
	(1, 5, 6),
	(1, 5, 9),
	(1, 5, 12),
	(1, 5, 15),
	(1, 5, 18),
	(1, 5, 21),
	(1, 6, 0),
	(1, 6, 3),
	(1, 6, 6),
	(1, 6, 9),
	(1, 6, 12),
	(1, 6, 15),
	(1, 6, 18),
	(1, 6, 21),
	(1, 7, 0),
	(1, 7, 3),
	(1, 7, 6),
	(1, 7, 9),
	(1, 7, 12),
	(1, 7, 15),
	(1, 7, 18),
	(1, 7, 21),
	(1, 8, 0),
	(1, 8, 3),
	(1, 8, 6),
	(1, 8, 9),
	(1, 8, 12),
	(1, 8, 15),
	(1, 8, 18),
	(1, 8, 21),
	(1, 9, 0),
	(1, 9, 3),
	(1, 9, 6),
	(1, 9, 9),
	(1, 9, 12),
	(1, 9, 15),
	(1, 9, 18),
	(1, 9, 21),
	(1, 10, 0),
	(1, 10, 3),
	(1, 10, 6),
	(1, 10, 9),
	(1, 10, 12),
	(1, 10, 15),
	(1, 10, 18),
	(1, 10, 21),
	(1, 11, 0),
	(1, 11, 3),
	(1, 11, 6),
	(1, 11, 9),
	(1, 11, 12),
	(1, 11, 15),
	(1, 11, 18),
	(1, 11, 21),
	(1, 12, 0),
	(1, 12, 3),
	(1, 12, 6),
	(1, 12, 9),
	(1, 12, 12),
	(1, 12, 15),
	(1, 12, 18),
	(1, 12, 21),
	(1, 13, 0),
	(1, 13, 3),
	(1, 13, 6),
	(1, 13, 9),
	(1, 13, 12),
	(1, 13, 15),
	(1, 13, 18),
	(1, 13, 21),
	(1, 14, 0),
	(1, 14, 3),
	(1, 14, 6),
	(1, 14, 9),
	(1, 14, 12),
	(1, 14, 15),
	(1, 14, 18),
	(1, 14, 21),
	(1, 15, 0),
	(1, 15, 3),
	(1, 15, 6),
	(1, 15, 9),
	(1, 15, 12),
	(1, 15, 15),
	(1, 15, 18),
	(1, 15, 21),
	(1, 16, 0),
	(1, 16, 3),
	(1, 16, 6),
	(1, 16, 9),
	(1, 16, 12),
	(1, 16, 15),
	(1, 16, 18),
	(1, 16, 21),
	(1, 17, 0),
	(1, 17, 3),
	(1, 17, 6),
	(1, 17, 9),
	(1, 17, 12),
	(1, 17, 15),
	(1, 17, 18),
	(1, 17, 21),
	(1, 18, 0),
	(1, 18, 3),
	(1, 18, 6),
	(1, 18, 9),
	(1, 18, 12),
	(1, 18, 15),
	(1, 18, 18),
	(1, 18, 21),
	(1, 19, 0),
	(1, 19, 3),
	(1, 19, 6),
	(1, 19, 9),
	(1, 19, 12),
	(1, 19, 15),
	(1, 19, 18),
	(1, 19, 21),
	(1, 20, 0),
	(1, 20, 3),
	(1, 20, 6),
	(1, 20, 9),
	(1, 20, 12),
	(1, 20, 15),
	(1, 20, 18),
	(1, 20, 21),
	(1, 21, 0),
	(1, 21, 3),
	(1, 21, 6),
	(1, 21, 9),
	(1, 21, 12),
	(1, 21, 15),
	(1, 21, 18),
	(1, 21, 21),
	(1, 22, 0),
	(1, 22, 3),
	(1, 22, 6),
	(1, 22, 9),
	(1, 22, 12),
	(1, 22, 15),
	(1, 22, 18),
	(1, 22, 21),
	(1, 23, 0),
	(1, 23, 3),
	(1, 23, 6),
	(1, 23, 9),
	(1, 23, 12),
	(1, 23, 15),
	(1, 23, 18),
	(1, 23, 21),
	(1, 24, 0),
	(1, 24, 3),
	(1, 24, 6),
	(1, 24, 9),
	(1, 24, 12),
	(1, 24, 15),
	(1, 24, 18),
	(1, 24, 21),
	(1, 25, 0),
	(1, 25, 3),
	(1, 25, 6),
	(1, 25, 9),
	(1, 25, 12),
	(1, 25, 15),
	(1, 25, 18),
	(1, 25, 21),
	(1, 26, 0),
	(1, 26, 3),
	(1, 26, 6),
	(1, 26, 9),
	(1, 26, 12),
	(1, 26, 15),
	(1, 26, 18),
	(1, 26, 21),
	(1, 27, 0),
	(1, 27, 3),
	(1, 27, 6),
	(1, 27, 9),
	(1, 27, 12),
	(1, 27, 15),
	(1, 27, 18),
	(1, 27, 21),
	(1, 28, 0),
	(1, 28, 3),
	(1, 28, 6),
	(1, 28, 9),
	(1, 28, 12),
	(1, 28, 15),
	(1, 28, 18),
	(1, 28, 21),
	(1, 29, 0),
	(1, 29, 3),
	(1, 29, 6),
	(1, 29, 9),
	(1, 29, 12),
	(1, 29, 15),
	(1, 29, 18),
	(1, 29, 21),
	(1, 30, 0),
	(1, 30, 3),
	(1, 30, 6),
	(1, 30, 9),
	(1, 30, 12),
	(1, 30, 15),
	(1, 30, 18),
	(1, 30, 21),
	(1, 31, 0),
	(1, 31, 3),
	(1, 31, 6),
	(1, 31, 9),
	(1, 31, 12),
	(1, 31, 15),
	(1, 31, 18),
	(1, 31, 21),
	(2, 1, 0),
	(2, 1, 3),
	(2, 1, 6),
	(2, 1, 9),
	(2, 1, 12),
	(2, 1, 15),
	(2, 1, 18),
	(2, 1, 21),
	(2, 2, 0),
	(2, 2, 3),
	(2, 2, 6),
	(2, 2, 9),
	(2, 2, 12),
	(2, 2, 15),
	(2, 2, 18),
	(2, 2, 21),
	(2, 3, 0),
	(2, 3, 3),
	(2, 3, 6),
	(2, 3, 9),
	(2, 3, 12),
	(2, 3, 15),
	(2, 3, 18),
	(2, 3, 21),
	(2, 4, 0),
	(2, 4, 3),
	(2, 4, 6),
	(2, 4, 9),
	(2, 4, 12),
	(2, 4, 15),
	(2, 4, 18),
	(2, 4, 21),
	(2, 5, 0),
	(2, 5, 3),
	(2, 5, 6),
	(2, 5, 9),
	(2, 5, 12),
	(2, 5, 15),
	(2, 5, 18),
	(2, 5, 21),
	(2, 6, 0),
	(2, 6, 3),
	(2, 6, 6),
	(2, 6, 9),
	(2, 6, 12),
	(2, 6, 15),
	(2, 6, 18),
	(2, 6, 21),
	(2, 7, 0),
	(2, 7, 3),
	(2, 7, 6),
	(2, 7, 9),
	(2, 7, 12),
	(2, 7, 15),
	(2, 7, 18),
	(2, 7, 21),
	(2, 8, 0),
	(2, 8, 3),
	(2, 8, 6),
	(2, 8, 9),
	(2, 8, 12),
	(2, 8, 15),
	(2, 8, 18),
	(2, 8, 21),
	(2, 9, 0),
	(2, 9, 3),
	(2, 9, 6),
	(2, 9, 9),
	(2, 9, 12),
	(2, 9, 15),
	(2, 9, 18),
	(2, 9, 21),
	(2, 10, 0),
	(2, 10, 3),
	(2, 10, 6),
	(2, 10, 9),
	(2, 10, 12),
	(2, 10, 15),
	(2, 10, 18),
	(2, 10, 21),
	(2, 11, 0),
	(2, 11, 3),
	(2, 11, 6),
	(2, 11, 9),
	(2, 11, 12),
	(2, 11, 15),
	(2, 11, 18),
	(2, 11, 21),
	(2, 12, 0),
	(2, 12, 3),
	(2, 12, 6),
	(2, 12, 9),
	(2, 12, 12),
	(2, 12, 15),
	(2, 12, 18),
	(2, 12, 21),
	(2, 13, 0),
	(2, 13, 3),
	(2, 13, 6),
	(2, 13, 9),
	(2, 13, 12),
	(2, 13, 15),
	(2, 13, 18),
	(2, 13, 21),
	(2, 14, 0),
	(2, 14, 3),
	(2, 14, 6),
	(2, 14, 9),
	(2, 14, 12),
	(2, 14, 15),
	(2, 14, 18),
	(2, 14, 21),
	(2, 15, 0),
	(2, 15, 3),
	(2, 15, 6),
	(2, 15, 9),
	(2, 15, 12),
	(2, 15, 15),
	(2, 15, 18),
	(2, 15, 21),
	(2, 16, 0),
	(2, 16, 3),
	(2, 16, 6),
	(2, 16, 9),
	(2, 16, 12),
	(2, 16, 15),
	(2, 16, 18),
	(2, 16, 21),
	(2, 17, 0),
	(2, 17, 3),
	(2, 17, 6),
	(2, 17, 9),
	(2, 17, 12),
	(2, 17, 15),
	(2, 17, 18),
	(2, 17, 21),
	(2, 18, 0),
	(2, 18, 3),
	(2, 18, 6),
	(2, 18, 9),
	(2, 18, 12),
	(2, 18, 15),
	(2, 18, 18),
	(2, 18, 21),
	(2, 19, 0),
	(2, 19, 3),
	(2, 19, 6),
	(2, 19, 9),
	(2, 19, 12),
	(2, 19, 15),
	(2, 19, 18),
	(2, 19, 21),
	(2, 20, 0),
	(2, 20, 3),
	(2, 20, 6),
	(2, 20, 9),
	(2, 20, 12),
	(2, 20, 15),
	(2, 20, 18),
	(2, 20, 21),
	(2, 21, 0),
	(2, 21, 3),
	(2, 21, 6),
	(2, 21, 9),
	(2, 21, 12),
	(2, 21, 15),
	(2, 21, 18),
	(2, 21, 21),
	(2, 22, 0),
	(2, 22, 3),
	(2, 22, 6),
	(2, 22, 9),
	(2, 22, 12),
	(2, 22, 15),
	(2, 22, 18),
	(2, 22, 21),
	(2, 23, 0),
	(2, 23, 3),
	(2, 23, 6),
	(2, 23, 9),
	(2, 23, 12),
	(2, 23, 15),
	(2, 23, 18),
	(2, 23, 21),
	(2, 24, 0),
	(2, 24, 3),
	(2, 24, 6),
	(2, 24, 9),
	(2, 24, 12),
	(2, 24, 15),
	(2, 24, 18),
	(2, 24, 21),
	(2, 25, 0),
	(2, 25, 3),
	(2, 25, 6),
	(2, 25, 9),
	(2, 25, 12),
	(2, 25, 15),
	(2, 25, 18),
	(2, 25, 21),
	(2, 26, 0),
	(2, 26, 3),
	(2, 26, 6),
	(2, 26, 9),
	(2, 26, 12),
	(2, 26, 15),
	(2, 26, 18),
	(2, 26, 21),
	(2, 27, 0),
	(2, 27, 3),
	(2, 27, 6),
	(2, 27, 9),
	(2, 27, 12),
	(2, 27, 15),
	(2, 27, 18),
	(2, 27, 21),
	(2, 28, 0),
	(2, 28, 3),
	(2, 28, 6),
	(2, 28, 9),
	(2, 28, 12),
	(2, 28, 15),
	(2, 28, 18),
	(2, 28, 21),
	(3, 1, 0),
	(3, 1, 3),
	(3, 1, 6),
	(3, 1, 9),
	(3, 1, 12),
	(3, 1, 15),
	(3, 1, 18),
	(3, 1, 21),
	(3, 2, 0),
	(3, 2, 3),
	(3, 2, 6),
	(3, 2, 9),
	(3, 2, 12),
	(3, 2, 15),
	(3, 2, 18),
	(3, 2, 21),
	(3, 3, 0),
	(3, 3, 3),
	(3, 3, 6),
	(3, 3, 9),
	(3, 3, 12),
	(3, 3, 15),
	(3, 3, 18),
	(3, 3, 21),
	(3, 4, 0),
	(3, 4, 3),
	(3, 4, 6),
	(3, 4, 9),
	(3, 4, 12),
	(3, 4, 15),
	(3, 4, 18),
	(3, 4, 21),
	(3, 5, 0),
	(3, 5, 3),
	(3, 5, 6),
	(3, 5, 9),
	(3, 5, 12),
	(3, 5, 15),
	(3, 5, 18),
	(3, 5, 21),
	(3, 6, 0),
	(3, 6, 3),
	(3, 6, 6),
	(3, 6, 9),
	(3, 6, 12),
	(3, 6, 15),
	(3, 6, 18),
	(3, 6, 21),
	(3, 7, 0),
	(3, 7, 3),
	(3, 7, 6),
	(3, 7, 9),
	(3, 7, 12),
	(3, 7, 15),
	(3, 7, 18),
	(3, 7, 21),
	(3, 8, 0),
	(3, 8, 3),
	(3, 8, 6),
	(3, 8, 9),
	(3, 8, 12),
	(3, 8, 15),
	(3, 8, 18),
	(3, 8, 21),
	(3, 9, 0),
	(3, 9, 3),
	(3, 9, 6),
	(3, 9, 9),
	(3, 9, 12),
	(3, 9, 15),
	(3, 9, 18),
	(3, 9, 21),
	(3, 10, 0),
	(3, 10, 3),
	(3, 10, 6),
	(3, 10, 9),
	(3, 10, 12),
	(3, 10, 15),
	(3, 10, 18),
	(3, 10, 21),
	(3, 11, 0),
	(3, 11, 3),
	(3, 11, 6),
	(3, 11, 9),
	(3, 11, 12),
	(3, 11, 15),
	(3, 11, 18),
	(3, 11, 21),
	(3, 12, 0),
	(3, 12, 3),
	(3, 12, 6),
	(3, 12, 9),
	(3, 12, 12),
	(3, 12, 15),
	(3, 12, 18),
	(3, 12, 21),
	(3, 13, 0),
	(3, 13, 3),
	(3, 13, 6),
	(3, 13, 9),
	(3, 13, 12),
	(3, 13, 15),
	(3, 13, 18),
	(3, 13, 21),
	(3, 14, 0),
	(3, 14, 3),
	(3, 14, 6),
	(3, 14, 9),
	(3, 14, 12),
	(3, 14, 15),
	(3, 14, 18),
	(3, 14, 21),
	(3, 15, 0),
	(3, 15, 3),
	(3, 15, 6),
	(3, 15, 9),
	(3, 15, 12),
	(3, 15, 15),
	(3, 15, 18),
	(3, 15, 21),
	(3, 16, 0),
	(3, 16, 3),
	(3, 16, 6),
	(3, 16, 9),
	(3, 16, 12),
	(3, 16, 15),
	(3, 16, 18),
	(3, 16, 21),
	(3, 17, 0),
	(3, 17, 3),
	(3, 17, 6),
	(3, 17, 9),
	(3, 17, 12),
	(3, 17, 15),
	(3, 17, 18),
	(3, 17, 21),
	(3, 18, 0),
	(3, 18, 3),
	(3, 18, 6),
	(3, 18, 9),
	(3, 18, 12),
	(3, 18, 15),
	(3, 18, 18),
	(3, 18, 21),
	(3, 19, 0),
	(3, 19, 3),
	(3, 19, 6),
	(3, 19, 9),
	(3, 19, 12),
	(3, 19, 15),
	(3, 19, 18),
	(3, 19, 21),
	(3, 20, 0),
	(3, 20, 3),
	(3, 20, 6),
	(3, 20, 9),
	(3, 20, 12),
	(3, 20, 15),
	(3, 20, 18),
	(3, 20, 21),
	(3, 21, 0),
	(3, 21, 3),
	(3, 21, 6),
	(3, 21, 9),
	(3, 21, 12),
	(3, 21, 15),
	(3, 21, 18),
	(3, 21, 21),
	(3, 22, 0),
	(3, 22, 3),
	(3, 22, 6),
	(3, 22, 9),
	(3, 22, 12),
	(3, 22, 15),
	(3, 22, 18),
	(3, 22, 21),
	(3, 23, 0),
	(3, 23, 3),
	(3, 23, 6),
	(3, 23, 9),
	(3, 23, 12),
	(3, 23, 15),
	(3, 23, 18),
	(3, 23, 21),
	(3, 24, 0),
	(3, 24, 3),
	(3, 24, 6),
	(3, 24, 9),
	(3, 24, 12),
	(3, 24, 15),
	(3, 24, 18),
	(3, 24, 21),
	(3, 25, 0),
	(3, 25, 3),
	(3, 25, 6),
	(3, 25, 9),
	(3, 25, 12),
	(3, 25, 15),
	(3, 25, 18),
	(3, 25, 21),
	(3, 26, 0),
	(3, 26, 3),
	(3, 26, 6),
	(3, 26, 9),
	(3, 26, 12),
	(3, 26, 15),
	(3, 26, 18),
	(3, 26, 21),
	(3, 27, 0),
	(3, 27, 3),
	(3, 27, 6),
	(3, 27, 9),
	(3, 27, 12),
	(3, 27, 15),
	(3, 27, 18),
	(3, 27, 21),
	(3, 28, 0),
	(3, 28, 3),
	(3, 28, 6),
	(3, 28, 9),
	(3, 28, 12),
	(3, 28, 15),
	(3, 28, 18),
	(3, 28, 21),
	(3, 29, 0),
	(3, 29, 3),
	(3, 29, 6),
	(3, 29, 9),
	(3, 29, 12),
	(3, 29, 15),
	(3, 29, 18),
	(3, 29, 21),
	(3, 30, 0),
	(3, 30, 3),
	(3, 30, 6),
	(3, 30, 9),
	(3, 30, 12),
	(3, 30, 15),
	(3, 30, 18),
	(3, 30, 21),
	(3, 31, 0),
	(3, 31, 3),
	(3, 31, 6),
	(3, 31, 9),
	(3, 31, 12),
	(3, 31, 15),
	(3, 31, 18),
	(3, 31, 21),
	(4, 1, 0),
	(4, 1, 3),
	(4, 1, 6),
	(4, 1, 9),
	(4, 1, 12),
	(4, 1, 15),
	(4, 1, 18),
	(4, 1, 21),
	(4, 2, 0),
	(4, 2, 3),
	(4, 2, 6),
	(4, 2, 9),
	(4, 2, 12),
	(4, 2, 15),
	(4, 2, 18),
	(4, 2, 21),
	(4, 3, 0),
	(4, 3, 3),
	(4, 3, 6),
	(4, 3, 9),
	(4, 3, 12),
	(4, 3, 15),
	(4, 3, 18),
	(4, 3, 21),
	(4, 4, 0),
	(4, 4, 3),
	(4, 4, 6),
	(4, 4, 9),
	(4, 4, 12),
	(4, 4, 15),
	(4, 4, 18),
	(4, 4, 21),
	(4, 5, 0),
	(4, 5, 3),
	(4, 5, 6),
	(4, 5, 9),
	(4, 5, 12),
	(4, 5, 15),
	(4, 5, 18),
	(4, 5, 21),
	(4, 6, 0),
	(4, 6, 3),
	(4, 6, 6),
	(4, 6, 9),
	(4, 6, 12),
	(4, 6, 15),
	(4, 6, 18),
	(4, 6, 21),
	(4, 7, 0),
	(4, 7, 3),
	(4, 7, 6),
	(4, 7, 9),
	(4, 7, 12),
	(4, 7, 15),
	(4, 7, 18),
	(4, 7, 21),
	(4, 8, 0),
	(4, 8, 3),
	(4, 8, 6),
	(4, 8, 9),
	(4, 8, 12),
	(4, 8, 15),
	(4, 8, 18),
	(4, 8, 21),
	(4, 9, 0),
	(4, 9, 3),
	(4, 9, 6),
	(4, 9, 9),
	(4, 9, 12),
	(4, 9, 15),
	(4, 9, 18),
	(4, 9, 21),
	(4, 10, 0),
	(4, 10, 3),
	(4, 10, 6),
	(4, 10, 9),
	(4, 10, 12),
	(4, 10, 15),
	(4, 10, 18),
	(4, 10, 21),
	(4, 11, 0),
	(4, 11, 3),
	(4, 11, 6),
	(4, 11, 9),
	(4, 11, 12),
	(4, 11, 15),
	(4, 11, 18),
	(4, 11, 21),
	(4, 12, 0),
	(4, 12, 3),
	(4, 12, 6),
	(4, 12, 9),
	(4, 12, 12),
	(4, 12, 15),
	(4, 12, 18),
	(4, 12, 21),
	(4, 13, 0),
	(4, 13, 3),
	(4, 13, 6),
	(4, 13, 9),
	(4, 13, 12),
	(4, 13, 15),
	(4, 13, 18),
	(4, 13, 21),
	(4, 14, 0),
	(4, 14, 3),
	(4, 14, 6),
	(4, 14, 9),
	(4, 14, 12),
	(4, 14, 15),
	(4, 14, 18),
	(4, 14, 21),
	(4, 15, 0),
	(4, 15, 3),
	(4, 15, 6),
	(4, 15, 9),
	(4, 15, 12),
	(4, 15, 15),
	(4, 15, 18),
	(4, 15, 21),
	(4, 16, 0),
	(4, 16, 3),
	(4, 16, 6),
	(4, 16, 9),
	(4, 16, 12),
	(4, 16, 15),
	(4, 16, 18),
	(4, 16, 21),
	(4, 17, 0),
	(4, 17, 3),
	(4, 17, 6),
	(4, 17, 9),
	(4, 17, 12),
	(4, 17, 15),
	(4, 17, 18),
	(4, 17, 21),
	(4, 18, 0),
	(4, 18, 3),
	(4, 18, 6),
	(4, 18, 9),
	(4, 18, 12),
	(4, 18, 15),
	(4, 18, 18),
	(4, 18, 21),
	(4, 19, 0),
	(4, 19, 3),
	(4, 19, 6),
	(4, 19, 9),
	(4, 19, 12),
	(4, 19, 15),
	(4, 19, 18),
	(4, 19, 21),
	(4, 20, 0),
	(4, 20, 3),
	(4, 20, 6),
	(4, 20, 9),
	(4, 20, 12),
	(4, 20, 15),
	(4, 20, 18),
	(4, 20, 21),
	(4, 21, 0),
	(4, 21, 3),
	(4, 21, 6),
	(4, 21, 9),
	(4, 21, 12),
	(4, 21, 15),
	(4, 21, 18),
	(4, 21, 21),
	(4, 22, 0),
	(4, 22, 3),
	(4, 22, 6),
	(4, 22, 9),
	(4, 22, 12),
	(4, 22, 15),
	(4, 22, 18),
	(4, 22, 21),
	(4, 23, 0),
	(4, 23, 3),
	(4, 23, 6),
	(4, 23, 9),
	(4, 23, 12),
	(4, 23, 15),
	(4, 23, 18),
	(4, 23, 21),
	(4, 24, 0),
	(4, 24, 3),
	(4, 24, 6),
	(4, 24, 9),
	(4, 24, 12),
	(4, 24, 15),
	(4, 24, 18),
	(4, 24, 21),
	(4, 25, 0),
	(4, 25, 3),
	(4, 25, 6),
	(4, 25, 9),
	(4, 25, 12),
	(4, 25, 15),
	(4, 25, 18),
	(4, 25, 21),
	(4, 26, 0),
	(4, 26, 3),
	(4, 26, 6),
	(4, 26, 9),
	(4, 26, 12),
	(4, 26, 15),
	(4, 26, 18),
	(4, 26, 21),
	(4, 27, 0),
	(4, 27, 3),
	(4, 27, 6),
	(4, 27, 9),
	(4, 27, 12),
	(4, 27, 15),
	(4, 27, 18),
	(4, 27, 21),
	(4, 28, 0),
	(4, 28, 3),
	(4, 28, 6),
	(4, 28, 9),
	(4, 28, 12),
	(4, 28, 15),
	(4, 28, 18),
	(4, 28, 21),
	(4, 29, 0),
	(4, 29, 3),
	(4, 29, 6),
	(4, 29, 9),
	(4, 29, 12),
	(4, 29, 15),
	(4, 29, 18),
	(4, 29, 21),
	(4, 30, 0),
	(4, 30, 3),
	(4, 30, 6),
	(4, 30, 9),
	(4, 30, 12),
	(4, 30, 15),
	(4, 30, 18),
	(4, 30, 21),
	(5, 1, 0),
	(5, 1, 3),
	(5, 1, 6),
	(5, 1, 9),
	(5, 1, 12),
	(5, 1, 15),
	(5, 1, 18),
	(5, 1, 21),
	(5, 2, 0),
	(5, 2, 3),
	(5, 2, 6),
	(5, 2, 9),
	(5, 2, 12),
	(5, 2, 15),
	(5, 2, 18),
	(5, 2, 21),
	(5, 3, 0),
	(5, 3, 3),
	(5, 3, 6),
	(5, 3, 9),
	(5, 3, 12),
	(5, 3, 15),
	(5, 3, 18),
	(5, 3, 21),
	(5, 4, 0),
	(5, 4, 3),
	(5, 4, 6),
	(5, 4, 9),
	(5, 4, 12),
	(5, 4, 15),
	(5, 4, 18),
	(5, 4, 21),
	(5, 5, 0),
	(5, 5, 3),
	(5, 5, 6),
	(5, 5, 9),
	(5, 5, 12),
	(5, 5, 15),
	(5, 5, 18),
	(5, 5, 21),
	(5, 6, 0),
	(5, 6, 3),
	(5, 6, 6),
	(5, 6, 9),
	(5, 6, 12),
	(5, 6, 15),
	(5, 6, 18),
	(5, 6, 21),
	(5, 7, 0),
	(5, 7, 3),
	(5, 7, 6),
	(5, 7, 9),
	(5, 7, 12),
	(5, 7, 15),
	(5, 7, 18),
	(5, 7, 21),
	(5, 8, 0),
	(5, 8, 3),
	(5, 8, 6),
	(5, 8, 9),
	(5, 8, 12),
	(5, 8, 15),
	(5, 8, 18),
	(5, 8, 21),
	(5, 9, 0),
	(5, 9, 3),
	(5, 9, 6),
	(5, 9, 9),
	(5, 9, 12),
	(5, 9, 15),
	(5, 9, 18),
	(5, 9, 21),
	(5, 10, 0),
	(5, 10, 3),
	(5, 10, 6),
	(5, 10, 9),
	(5, 10, 12),
	(5, 10, 15),
	(5, 10, 18),
	(5, 10, 21),
	(5, 11, 0),
	(5, 11, 3),
	(5, 11, 6),
	(5, 11, 9),
	(5, 11, 12),
	(5, 11, 15),
	(5, 11, 18),
	(5, 11, 21),
	(5, 12, 0),
	(5, 12, 3),
	(5, 12, 6),
	(5, 12, 9),
	(5, 12, 12),
	(5, 12, 15),
	(5, 12, 18),
	(5, 12, 21),
	(5, 13, 0),
	(5, 13, 3),
	(5, 13, 6),
	(5, 13, 9),
	(5, 13, 12),
	(5, 13, 15),
	(5, 13, 18),
	(5, 13, 21),
	(5, 14, 0),
	(5, 14, 3),
	(5, 14, 6),
	(5, 14, 9),
	(5, 14, 12),
	(5, 14, 15),
	(5, 14, 18),
	(5, 14, 21),
	(5, 15, 0),
	(5, 15, 3),
	(5, 15, 6),
	(5, 15, 9),
	(5, 15, 12),
	(5, 15, 15),
	(5, 15, 18),
	(5, 15, 21),
	(5, 16, 0),
	(5, 16, 3),
	(5, 16, 6),
	(5, 16, 9),
	(5, 16, 12),
	(5, 16, 15),
	(5, 16, 18),
	(5, 16, 21),
	(5, 17, 0),
	(5, 17, 3),
	(5, 17, 6),
	(5, 17, 9),
	(5, 17, 12),
	(5, 17, 15),
	(5, 17, 18),
	(5, 17, 21),
	(5, 18, 0),
	(5, 18, 3),
	(5, 18, 6),
	(5, 18, 9),
	(5, 18, 12),
	(5, 18, 15),
	(5, 18, 18),
	(5, 18, 21),
	(5, 19, 0),
	(5, 19, 3),
	(5, 19, 6),
	(5, 19, 9),
	(5, 19, 12),
	(5, 19, 15),
	(5, 19, 18),
	(5, 19, 21),
	(5, 20, 0),
	(5, 20, 3),
	(5, 20, 6),
	(5, 20, 9),
	(5, 20, 12),
	(5, 20, 15),
	(5, 20, 18),
	(5, 20, 21),
	(5, 21, 0),
	(5, 21, 3),
	(5, 21, 6),
	(5, 21, 9),
	(5, 21, 12),
	(5, 21, 15),
	(5, 21, 18),
	(5, 21, 21),
	(5, 22, 0),
	(5, 22, 3),
	(5, 22, 6),
	(5, 22, 9),
	(5, 22, 12),
	(5, 22, 15),
	(5, 22, 18),
	(5, 22, 21),
	(5, 23, 0),
	(5, 23, 3),
	(5, 23, 6),
	(5, 23, 9),
	(5, 23, 12),
	(5, 23, 15),
	(5, 23, 18),
	(5, 23, 21),
	(5, 24, 0),
	(5, 24, 3),
	(5, 24, 6),
	(5, 24, 9),
	(5, 24, 12),
	(5, 24, 15),
	(5, 24, 18),
	(5, 24, 21),
	(5, 25, 0),
	(5, 25, 3),
	(5, 25, 6),
	(5, 25, 9),
	(5, 25, 12),
	(5, 25, 15),
	(5, 25, 18),
	(5, 25, 21),
	(5, 26, 0),
	(5, 26, 3),
	(5, 26, 6),
	(5, 26, 9),
	(5, 26, 12),
	(5, 26, 15),
	(5, 26, 18),
	(5, 26, 21),
	(5, 27, 0),
	(5, 27, 3),
	(5, 27, 6),
	(5, 27, 9),
	(5, 27, 12),
	(5, 27, 15),
	(5, 27, 18),
	(5, 27, 21),
	(5, 28, 0),
	(5, 28, 3),
	(5, 28, 6),
	(5, 28, 9),
	(5, 28, 12),
	(5, 28, 15),
	(5, 28, 18),
	(5, 28, 21),
	(5, 29, 0),
	(5, 29, 3),
	(5, 29, 6),
	(5, 29, 9),
	(5, 29, 12),
	(5, 29, 15),
	(5, 29, 18),
	(5, 29, 21),
	(5, 30, 0),
	(5, 30, 3),
	(5, 30, 6),
	(5, 30, 9),
	(5, 30, 12),
	(5, 30, 15),
	(5, 30, 18),
	(5, 30, 21),
	(5, 31, 0),
	(5, 31, 3),
	(5, 31, 6),
	(5, 31, 9),
	(5, 31, 12),
	(5, 31, 15),
	(5, 31, 18),
	(5, 31, 21),
	(6, 1, 0),
	(6, 1, 3),
	(6, 1, 6),
	(6, 1, 9),
	(6, 1, 12),
	(6, 1, 15),
	(6, 1, 18),
	(6, 1, 21),
	(6, 2, 0),
	(6, 2, 3),
	(6, 2, 6),
	(6, 2, 9),
	(6, 2, 12),
	(6, 2, 15),
	(6, 2, 18),
	(6, 2, 21),
	(6, 3, 0),
	(6, 3, 3),
	(6, 3, 6),
	(6, 3, 9),
	(6, 3, 12),
	(6, 3, 15),
	(6, 3, 18),
	(6, 3, 21),
	(6, 4, 0),
	(6, 4, 3),
	(6, 4, 6),
	(6, 4, 9),
	(6, 4, 12),
	(6, 4, 15),
	(6, 4, 18),
	(6, 4, 21),
	(6, 5, 0),
	(6, 5, 3),
	(6, 5, 6),
	(6, 5, 9),
	(6, 5, 12),
	(6, 5, 15),
	(6, 5, 18),
	(6, 5, 21),
	(6, 6, 0),
	(6, 6, 3),
	(6, 6, 6),
	(6, 6, 9),
	(6, 6, 12),
	(6, 6, 15),
	(6, 6, 18),
	(6, 6, 21),
	(6, 7, 0),
	(6, 7, 3),
	(6, 7, 6),
	(6, 7, 9),
	(6, 7, 12),
	(6, 7, 15),
	(6, 7, 18),
	(6, 7, 21),
	(6, 8, 0),
	(6, 8, 3),
	(6, 8, 6),
	(6, 8, 9),
	(6, 8, 12),
	(6, 8, 15),
	(6, 8, 18),
	(6, 8, 21),
	(6, 9, 0),
	(6, 9, 3),
	(6, 9, 6),
	(6, 9, 9),
	(6, 9, 12),
	(6, 9, 15),
	(6, 9, 18),
	(6, 9, 21),
	(6, 10, 0),
	(6, 10, 3),
	(6, 10, 6),
	(6, 10, 9),
	(6, 10, 12),
	(6, 10, 15),
	(6, 10, 18),
	(6, 10, 21),
	(6, 11, 0),
	(6, 11, 3),
	(6, 11, 6),
	(6, 11, 9),
	(6, 11, 12),
	(6, 11, 15),
	(6, 11, 18),
	(6, 11, 21),
	(6, 12, 0),
	(6, 12, 3),
	(6, 12, 6),
	(6, 12, 9),
	(6, 12, 12),
	(6, 12, 15),
	(6, 12, 18),
	(6, 12, 21),
	(6, 13, 0),
	(6, 13, 3),
	(6, 13, 6),
	(6, 13, 9),
	(6, 13, 12),
	(6, 13, 15),
	(6, 13, 18),
	(6, 13, 21),
	(6, 14, 0),
	(6, 14, 3),
	(6, 14, 6),
	(6, 14, 9),
	(6, 14, 12),
	(6, 14, 15),
	(6, 14, 18),
	(6, 14, 21),
	(6, 15, 0),
	(6, 15, 3),
	(6, 15, 6),
	(6, 15, 9),
	(6, 15, 12),
	(6, 15, 15),
	(6, 15, 18),
	(6, 15, 21),
	(6, 16, 0),
	(6, 16, 3),
	(6, 16, 6),
	(6, 16, 9),
	(6, 16, 12),
	(6, 16, 15),
	(6, 16, 18),
	(6, 16, 21),
	(6, 17, 0),
	(6, 17, 3),
	(6, 17, 6),
	(6, 17, 9),
	(6, 17, 12),
	(6, 17, 15),
	(6, 17, 18),
	(6, 17, 21),
	(6, 18, 0),
	(6, 18, 3),
	(6, 18, 6),
	(6, 18, 9),
	(6, 18, 12),
	(6, 18, 15),
	(6, 18, 18),
	(6, 18, 21),
	(6, 19, 0),
	(6, 19, 3),
	(6, 19, 6),
	(6, 19, 9),
	(6, 19, 12),
	(6, 19, 15),
	(6, 19, 18),
	(6, 19, 21),
	(6, 20, 0),
	(6, 20, 3),
	(6, 20, 6),
	(6, 20, 9),
	(6, 20, 12),
	(6, 20, 15),
	(6, 20, 18),
	(6, 20, 21),
	(6, 21, 0),
	(6, 21, 3),
	(6, 21, 6),
	(6, 21, 9),
	(6, 21, 12),
	(6, 21, 15),
	(6, 21, 18),
	(6, 21, 21),
	(6, 22, 0),
	(6, 22, 3),
	(6, 22, 6),
	(6, 22, 9),
	(6, 22, 12),
	(6, 22, 15),
	(6, 22, 18),
	(6, 22, 21),
	(6, 23, 0),
	(6, 23, 3),
	(6, 23, 6),
	(6, 23, 9),
	(6, 23, 12),
	(6, 23, 15),
	(6, 23, 18),
	(6, 23, 21),
	(6, 24, 0),
	(6, 24, 3),
	(6, 24, 6),
	(6, 24, 9),
	(6, 24, 12),
	(6, 24, 15),
	(6, 24, 18),
	(6, 24, 21),
	(6, 25, 0),
	(6, 25, 3),
	(6, 25, 6),
	(6, 25, 9),
	(6, 25, 12),
	(6, 25, 15),
	(6, 25, 18),
	(6, 25, 21),
	(6, 26, 0),
	(6, 26, 3),
	(6, 26, 6),
	(6, 26, 9),
	(6, 26, 12),
	(6, 26, 15),
	(6, 26, 18),
	(6, 26, 21),
	(6, 27, 0),
	(6, 27, 3),
	(6, 27, 6),
	(6, 27, 9),
	(6, 27, 12),
	(6, 27, 15),
	(6, 27, 18),
	(6, 27, 21),
	(6, 28, 0),
	(6, 28, 3),
	(6, 28, 6),
	(6, 28, 9),
	(6, 28, 12),
	(6, 28, 15),
	(6, 28, 18),
	(6, 28, 21),
	(6, 29, 0),
	(6, 29, 3),
	(6, 29, 6),
	(6, 29, 9),
	(6, 29, 12),
	(6, 29, 15),
	(6, 29, 18),
	(6, 29, 21),
	(6, 30, 0),
	(6, 30, 3),
	(6, 30, 6),
	(6, 30, 9),
	(6, 30, 12),
	(6, 30, 15),
	(6, 30, 18),
	(6, 30, 21),
	(7, 1, 0),
	(7, 1, 3),
	(7, 1, 6),
	(7, 1, 9),
	(7, 1, 12),
	(7, 1, 15),
	(7, 1, 18),
	(7, 1, 21),
	(7, 2, 0),
	(7, 2, 3),
	(7, 2, 6),
	(7, 2, 9),
	(7, 2, 12),
	(7, 2, 15),
	(7, 2, 18),
	(7, 2, 21),
	(7, 3, 0),
	(7, 3, 3),
	(7, 3, 6),
	(7, 3, 9),
	(7, 3, 12),
	(7, 3, 15),
	(7, 3, 18),
	(7, 3, 21),
	(7, 4, 0),
	(7, 4, 3),
	(7, 4, 6),
	(7, 4, 9),
	(7, 4, 12),
	(7, 4, 15),
	(7, 4, 18),
	(7, 4, 21),
	(7, 5, 0),
	(7, 5, 3),
	(7, 5, 6),
	(7, 5, 9),
	(7, 5, 12),
	(7, 5, 15),
	(7, 5, 18),
	(7, 5, 21),
	(7, 6, 0),
	(7, 6, 3),
	(7, 6, 6),
	(7, 6, 9),
	(7, 6, 12),
	(7, 6, 15),
	(7, 6, 18),
	(7, 6, 21),
	(7, 7, 0),
	(7, 7, 3),
	(7, 7, 6),
	(7, 7, 9),
	(7, 7, 12),
	(7, 7, 15),
	(7, 7, 18),
	(7, 7, 21),
	(7, 8, 0),
	(7, 8, 3),
	(7, 8, 6),
	(7, 8, 9),
	(7, 8, 12),
	(7, 8, 15),
	(7, 8, 18),
	(7, 8, 21),
	(7, 9, 0),
	(7, 9, 3),
	(7, 9, 6),
	(7, 9, 9),
	(7, 9, 12),
	(7, 9, 15),
	(7, 9, 18),
	(7, 9, 21),
	(7, 10, 0),
	(7, 10, 3),
	(7, 10, 6),
	(7, 10, 9),
	(7, 10, 12),
	(7, 10, 15),
	(7, 10, 18),
	(7, 10, 21),
	(7, 11, 0),
	(7, 11, 3),
	(7, 11, 6),
	(7, 11, 9),
	(7, 11, 12),
	(7, 11, 15),
	(7, 11, 18),
	(7, 11, 21),
	(7, 12, 0),
	(7, 12, 3),
	(7, 12, 6),
	(7, 12, 9),
	(7, 12, 12),
	(7, 12, 15),
	(7, 12, 18),
	(7, 12, 21),
	(7, 13, 0),
	(7, 13, 3),
	(7, 13, 6),
	(7, 13, 9),
	(7, 13, 12),
	(7, 13, 15),
	(7, 13, 18),
	(7, 13, 21),
	(7, 14, 0),
	(7, 14, 3),
	(7, 14, 6),
	(7, 14, 9),
	(7, 14, 12),
	(7, 14, 15),
	(7, 14, 18),
	(7, 14, 21),
	(7, 15, 0),
	(7, 15, 3),
	(7, 15, 6),
	(7, 15, 9),
	(7, 15, 12),
	(7, 15, 15),
	(7, 15, 18),
	(7, 15, 21),
	(7, 16, 0),
	(7, 16, 3),
	(7, 16, 6),
	(7, 16, 9),
	(7, 16, 12),
	(7, 16, 15),
	(7, 16, 18),
	(7, 16, 21),
	(7, 17, 0),
	(7, 17, 3),
	(7, 17, 6),
	(7, 17, 9),
	(7, 17, 12),
	(7, 17, 15),
	(7, 17, 18),
	(7, 17, 21),
	(7, 18, 0),
	(7, 18, 3),
	(7, 18, 6),
	(7, 18, 9),
	(7, 18, 12),
	(7, 18, 15),
	(7, 18, 18),
	(7, 18, 21),
	(7, 19, 0),
	(7, 19, 3),
	(7, 19, 6),
	(7, 19, 9),
	(7, 19, 12),
	(7, 19, 15),
	(7, 19, 18),
	(7, 19, 21),
	(7, 20, 0),
	(7, 20, 3),
	(7, 20, 6),
	(7, 20, 9),
	(7, 20, 12),
	(7, 20, 15),
	(7, 20, 18),
	(7, 20, 21),
	(7, 21, 0),
	(7, 21, 3),
	(7, 21, 6),
	(7, 21, 9),
	(7, 21, 12),
	(7, 21, 15),
	(7, 21, 18),
	(7, 21, 21),
	(7, 22, 0),
	(7, 22, 3),
	(7, 22, 6),
	(7, 22, 9),
	(7, 22, 12),
	(7, 22, 15),
	(7, 22, 18),
	(7, 22, 21),
	(7, 23, 0),
	(7, 23, 3),
	(7, 23, 6),
	(7, 23, 9),
	(7, 23, 12),
	(7, 23, 15),
	(7, 23, 18),
	(7, 23, 21),
	(7, 24, 0),
	(7, 24, 3),
	(7, 24, 6),
	(7, 24, 9),
	(7, 24, 12),
	(7, 24, 15),
	(7, 24, 18),
	(7, 24, 21),
	(7, 25, 0),
	(7, 25, 3),
	(7, 25, 6),
	(7, 25, 9),
	(7, 25, 12),
	(7, 25, 15),
	(7, 25, 18),
	(7, 25, 21),
	(7, 26, 0),
	(7, 26, 3),
	(7, 26, 6),
	(7, 26, 9),
	(7, 26, 12),
	(7, 26, 15),
	(7, 26, 18),
	(7, 26, 21),
	(7, 27, 0),
	(7, 27, 3),
	(7, 27, 6),
	(7, 27, 9),
	(7, 27, 12),
	(7, 27, 15),
	(7, 27, 18),
	(7, 27, 21),
	(7, 28, 0),
	(7, 28, 3),
	(7, 28, 6),
	(7, 28, 9),
	(7, 28, 12),
	(7, 28, 15),
	(7, 28, 18),
	(7, 28, 21),
	(7, 29, 0),
	(7, 29, 3),
	(7, 29, 6),
	(7, 29, 9),
	(7, 29, 12),
	(7, 29, 15),
	(7, 29, 18),
	(7, 29, 21),
	(7, 30, 0),
	(7, 30, 3),
	(7, 30, 6),
	(7, 30, 9),
	(7, 30, 12),
	(7, 30, 15),
	(7, 30, 18),
	(7, 30, 21),
	(7, 31, 0),
	(7, 31, 3),
	(7, 31, 6),
	(7, 31, 9),
	(7, 31, 12),
	(7, 31, 15),
	(7, 31, 18),
	(7, 31, 21),
	(8, 1, 0),
	(8, 1, 3),
	(8, 1, 6),
	(8, 1, 9),
	(8, 1, 12),
	(8, 1, 15),
	(8, 1, 18),
	(8, 1, 21),
	(8, 2, 0),
	(8, 2, 3),
	(8, 2, 6),
	(8, 2, 9),
	(8, 2, 12),
	(8, 2, 15),
	(8, 2, 18),
	(8, 2, 21),
	(8, 3, 0),
	(8, 3, 3),
	(8, 3, 6),
	(8, 3, 9),
	(8, 3, 12),
	(8, 3, 15),
	(8, 3, 18),
	(8, 3, 21),
	(8, 4, 0),
	(8, 4, 3),
	(8, 4, 6),
	(8, 4, 9),
	(8, 4, 12),
	(8, 4, 15),
	(8, 4, 18),
	(8, 4, 21),
	(8, 5, 0),
	(8, 5, 3),
	(8, 5, 6),
	(8, 5, 9),
	(8, 5, 12),
	(8, 5, 15),
	(8, 5, 18),
	(8, 5, 21),
	(8, 6, 0),
	(8, 6, 3),
	(8, 6, 6),
	(8, 6, 9),
	(8, 6, 12),
	(8, 6, 15),
	(8, 6, 18),
	(8, 6, 21),
	(8, 7, 0),
	(8, 7, 3),
	(8, 7, 6),
	(8, 7, 9),
	(8, 7, 12),
	(8, 7, 15),
	(8, 7, 18),
	(8, 7, 21),
	(8, 8, 0),
	(8, 8, 3),
	(8, 8, 6),
	(8, 8, 9),
	(8, 8, 12),
	(8, 8, 15),
	(8, 8, 18),
	(8, 8, 21),
	(8, 9, 0),
	(8, 9, 3),
	(8, 9, 6),
	(8, 9, 9),
	(8, 9, 12),
	(8, 9, 15),
	(8, 9, 18),
	(8, 9, 21),
	(8, 10, 0),
	(8, 10, 3),
	(8, 10, 6),
	(8, 10, 9),
	(8, 10, 12),
	(8, 10, 15),
	(8, 10, 18),
	(8, 10, 21),
	(8, 11, 0),
	(8, 11, 3),
	(8, 11, 6),
	(8, 11, 9),
	(8, 11, 12),
	(8, 11, 15),
	(8, 11, 18),
	(8, 11, 21),
	(8, 12, 0),
	(8, 12, 3),
	(8, 12, 6),
	(8, 12, 9),
	(8, 12, 12),
	(8, 12, 15),
	(8, 12, 18),
	(8, 12, 21),
	(8, 13, 0),
	(8, 13, 3),
	(8, 13, 6),
	(8, 13, 9),
	(8, 13, 12),
	(8, 13, 15),
	(8, 13, 18),
	(8, 13, 21),
	(8, 14, 0),
	(8, 14, 3),
	(8, 14, 6),
	(8, 14, 9),
	(8, 14, 12),
	(8, 14, 15),
	(8, 14, 18),
	(8, 14, 21),
	(8, 15, 0),
	(8, 15, 3),
	(8, 15, 6),
	(8, 15, 9),
	(8, 15, 12),
	(8, 15, 15),
	(8, 15, 18),
	(8, 15, 21),
	(8, 16, 0),
	(8, 16, 3),
	(8, 16, 6),
	(8, 16, 9),
	(8, 16, 12),
	(8, 16, 15),
	(8, 16, 18),
	(8, 16, 21),
	(8, 17, 0),
	(8, 17, 3),
	(8, 17, 6),
	(8, 17, 9),
	(8, 17, 12),
	(8, 17, 15),
	(8, 17, 18),
	(8, 17, 21),
	(8, 18, 0),
	(8, 18, 3),
	(8, 18, 6),
	(8, 18, 9),
	(8, 18, 12),
	(8, 18, 15),
	(8, 18, 18),
	(8, 18, 21),
	(8, 19, 0),
	(8, 19, 3),
	(8, 19, 6),
	(8, 19, 9),
	(8, 19, 12),
	(8, 19, 15),
	(8, 19, 18),
	(8, 19, 21),
	(8, 20, 0),
	(8, 20, 3),
	(8, 20, 6),
	(8, 20, 9),
	(8, 20, 12),
	(8, 20, 15),
	(8, 20, 18),
	(8, 20, 21),
	(8, 21, 0),
	(8, 21, 3),
	(8, 21, 6),
	(8, 21, 9),
	(8, 21, 12),
	(8, 21, 15),
	(8, 21, 18),
	(8, 21, 21),
	(8, 22, 0),
	(8, 22, 3),
	(8, 22, 6),
	(8, 22, 9),
	(8, 22, 12),
	(8, 22, 15),
	(8, 22, 18),
	(8, 22, 21),
	(8, 23, 0),
	(8, 23, 3),
	(8, 23, 6),
	(8, 23, 9),
	(8, 23, 12),
	(8, 23, 15),
	(8, 23, 18),
	(8, 23, 21),
	(8, 24, 0),
	(8, 24, 3),
	(8, 24, 6),
	(8, 24, 9),
	(8, 24, 12),
	(8, 24, 15),
	(8, 24, 18),
	(8, 24, 21),
	(8, 25, 0),
	(8, 25, 3),
	(8, 25, 6),
	(8, 25, 9),
	(8, 25, 12),
	(8, 25, 15),
	(8, 25, 18),
	(8, 25, 21),
	(8, 26, 0),
	(8, 26, 3),
	(8, 26, 6),
	(8, 26, 9),
	(8, 26, 12),
	(8, 26, 15),
	(8, 26, 18),
	(8, 26, 21),
	(8, 27, 0),
	(8, 27, 3),
	(8, 27, 6),
	(8, 27, 9),
	(8, 27, 12),
	(8, 27, 15),
	(8, 27, 18),
	(8, 27, 21),
	(8, 28, 0),
	(8, 28, 3),
	(8, 28, 6),
	(8, 28, 9),
	(8, 28, 12),
	(8, 28, 15),
	(8, 28, 18),
	(8, 28, 21),
	(8, 29, 0),
	(8, 29, 3),
	(8, 29, 6),
	(8, 29, 9),
	(8, 29, 12),
	(8, 29, 15),
	(8, 29, 18),
	(8, 29, 21),
	(8, 30, 0),
	(8, 30, 3),
	(8, 30, 6),
	(8, 30, 9),
	(8, 30, 12),
	(8, 30, 15),
	(8, 30, 18),
	(8, 30, 21),
	(8, 31, 0),
	(8, 31, 3),
	(8, 31, 6),
	(8, 31, 9),
	(8, 31, 12),
	(8, 31, 15),
	(8, 31, 18),
	(8, 31, 21),
	(9, 1, 0),
	(9, 1, 3),
	(9, 1, 6),
	(9, 1, 9),
	(9, 1, 12),
	(9, 1, 15),
	(9, 1, 18),
	(9, 1, 21),
	(9, 2, 0),
	(9, 2, 3),
	(9, 2, 6),
	(9, 2, 9),
	(9, 2, 12),
	(9, 2, 15),
	(9, 2, 18),
	(9, 2, 21),
	(9, 3, 0),
	(9, 3, 3),
	(9, 3, 6),
	(9, 3, 9),
	(9, 3, 12),
	(9, 3, 15),
	(9, 3, 18),
	(9, 3, 21),
	(9, 4, 0),
	(9, 4, 3),
	(9, 4, 6),
	(9, 4, 9),
	(9, 4, 12),
	(9, 4, 15),
	(9, 4, 18),
	(9, 4, 21),
	(9, 5, 0),
	(9, 5, 3),
	(9, 5, 6),
	(9, 5, 9),
	(9, 5, 12),
	(9, 5, 15),
	(9, 5, 18),
	(9, 5, 21),
	(9, 6, 0),
	(9, 6, 3),
	(9, 6, 6),
	(9, 6, 9),
	(9, 6, 12),
	(9, 6, 15),
	(9, 6, 18),
	(9, 6, 21),
	(9, 7, 0),
	(9, 7, 3),
	(9, 7, 6),
	(9, 7, 9),
	(9, 7, 12),
	(9, 7, 15),
	(9, 7, 18),
	(9, 7, 21),
	(9, 8, 0),
	(9, 8, 3),
	(9, 8, 6),
	(9, 8, 9),
	(9, 8, 12),
	(9, 8, 15),
	(9, 8, 18),
	(9, 8, 21),
	(9, 9, 0),
	(9, 9, 3),
	(9, 9, 6),
	(9, 9, 9),
	(9, 9, 12),
	(9, 9, 15),
	(9, 9, 18),
	(9, 9, 21),
	(9, 10, 0),
	(9, 10, 3),
	(9, 10, 6),
	(9, 10, 9),
	(9, 10, 12),
	(9, 10, 15),
	(9, 10, 18),
	(9, 10, 21),
	(9, 11, 0),
	(9, 11, 3),
	(9, 11, 6),
	(9, 11, 9),
	(9, 11, 12),
	(9, 11, 15),
	(9, 11, 18),
	(9, 11, 21),
	(9, 12, 0),
	(9, 12, 3),
	(9, 12, 6),
	(9, 12, 9),
	(9, 12, 12),
	(9, 12, 15),
	(9, 12, 18),
	(9, 12, 21),
	(9, 13, 0),
	(9, 13, 3),
	(9, 13, 6),
	(9, 13, 9),
	(9, 13, 12),
	(9, 13, 15),
	(9, 13, 18),
	(9, 13, 21),
	(9, 14, 0),
	(9, 14, 3),
	(9, 14, 6),
	(9, 14, 9),
	(9, 14, 12),
	(9, 14, 15),
	(9, 14, 18),
	(9, 14, 21),
	(9, 15, 0),
	(9, 15, 3),
	(9, 15, 6),
	(9, 15, 9),
	(9, 15, 12),
	(9, 15, 15),
	(9, 15, 18),
	(9, 15, 21),
	(9, 16, 0),
	(9, 16, 3),
	(9, 16, 6),
	(9, 16, 9),
	(9, 16, 12),
	(9, 16, 15),
	(9, 16, 18),
	(9, 16, 21),
	(9, 17, 0),
	(9, 17, 3),
	(9, 17, 6),
	(9, 17, 9),
	(9, 17, 12),
	(9, 17, 15),
	(9, 17, 18),
	(9, 17, 21),
	(9, 18, 0),
	(9, 18, 3),
	(9, 18, 6),
	(9, 18, 9),
	(9, 18, 12),
	(9, 18, 15),
	(9, 18, 18),
	(9, 18, 21),
	(9, 19, 0),
	(9, 19, 3),
	(9, 19, 6),
	(9, 19, 9),
	(9, 19, 12),
	(9, 19, 15),
	(9, 19, 18),
	(9, 19, 21),
	(9, 20, 0),
	(9, 20, 3),
	(9, 20, 6),
	(9, 20, 9),
	(9, 20, 12),
	(9, 20, 15),
	(9, 20, 18),
	(9, 20, 21),
	(9, 21, 0),
	(9, 21, 3),
	(9, 21, 6),
	(9, 21, 9),
	(9, 21, 12),
	(9, 21, 15),
	(9, 21, 18),
	(9, 21, 21),
	(9, 22, 0),
	(9, 22, 3),
	(9, 22, 6),
	(9, 22, 9),
	(9, 22, 12),
	(9, 22, 15),
	(9, 22, 18),
	(9, 22, 21),
	(9, 23, 0),
	(9, 23, 3),
	(9, 23, 6),
	(9, 23, 9),
	(9, 23, 12),
	(9, 23, 15),
	(9, 23, 18),
	(9, 23, 21),
	(9, 24, 0),
	(9, 24, 3),
	(9, 24, 6),
	(9, 24, 9),
	(9, 24, 12),
	(9, 24, 15),
	(9, 24, 18),
	(9, 24, 21),
	(9, 25, 0),
	(9, 25, 3),
	(9, 25, 6),
	(9, 25, 9),
	(9, 25, 12),
	(9, 25, 15),
	(9, 25, 18),
	(9, 25, 21),
	(9, 26, 0),
	(9, 26, 3),
	(9, 26, 6),
	(9, 26, 9),
	(9, 26, 12),
	(9, 26, 15),
	(9, 26, 18),
	(9, 26, 21),
	(9, 27, 0),
	(9, 27, 3),
	(9, 27, 6),
	(9, 27, 9),
	(9, 27, 12),
	(9, 27, 15),
	(9, 27, 18),
	(9, 27, 21),
	(9, 28, 0),
	(9, 28, 3),
	(9, 28, 6),
	(9, 28, 9),
	(9, 28, 12),
	(9, 28, 15),
	(9, 28, 18),
	(9, 28, 21),
	(9, 29, 0),
	(9, 29, 3),
	(9, 29, 6),
	(9, 29, 9),
	(9, 29, 12),
	(9, 29, 15),
	(9, 29, 18),
	(9, 29, 21),
	(9, 30, 0),
	(9, 30, 3),
	(9, 30, 6),
	(9, 30, 9),
	(9, 30, 12),
	(9, 30, 15),
	(9, 30, 18),
	(9, 30, 21),
	(10, 1, 0),
	(10, 1, 3),
	(10, 1, 6),
	(10, 1, 9),
	(10, 1, 12),
	(10, 1, 15),
	(10, 1, 18),
	(10, 1, 21),
	(10, 2, 0),
	(10, 2, 3),
	(10, 2, 6),
	(10, 2, 9),
	(10, 2, 12),
	(10, 2, 15),
	(10, 2, 18),
	(10, 2, 21),
	(10, 3, 0),
	(10, 3, 3),
	(10, 3, 6),
	(10, 3, 9),
	(10, 3, 12),
	(10, 3, 15),
	(10, 3, 18),
	(10, 3, 21),
	(10, 4, 0),
	(10, 4, 3),
	(10, 4, 6),
	(10, 4, 9),
	(10, 4, 12),
	(10, 4, 15),
	(10, 4, 18),
	(10, 4, 21),
	(10, 5, 0),
	(10, 5, 3),
	(10, 5, 6),
	(10, 5, 9),
	(10, 5, 12),
	(10, 5, 15),
	(10, 5, 18),
	(10, 5, 21),
	(10, 6, 0),
	(10, 6, 3),
	(10, 6, 6),
	(10, 6, 9),
	(10, 6, 12),
	(10, 6, 15),
	(10, 6, 18),
	(10, 6, 21),
	(10, 7, 0),
	(10, 7, 3),
	(10, 7, 6),
	(10, 7, 9),
	(10, 7, 12),
	(10, 7, 15),
	(10, 7, 18),
	(10, 7, 21),
	(10, 8, 0),
	(10, 8, 3),
	(10, 8, 6),
	(10, 8, 9),
	(10, 8, 12),
	(10, 8, 15),
	(10, 8, 18),
	(10, 8, 21),
	(10, 9, 0),
	(10, 9, 3),
	(10, 9, 6),
	(10, 9, 9),
	(10, 9, 12),
	(10, 9, 15),
	(10, 9, 18),
	(10, 9, 21),
	(10, 10, 0),
	(10, 10, 3),
	(10, 10, 6),
	(10, 10, 9),
	(10, 10, 12),
	(10, 10, 15),
	(10, 10, 18),
	(10, 10, 21),
	(10, 11, 0),
	(10, 11, 3),
	(10, 11, 6),
	(10, 11, 9),
	(10, 11, 12),
	(10, 11, 15),
	(10, 11, 18),
	(10, 11, 21),
	(10, 12, 0),
	(10, 12, 3),
	(10, 12, 6),
	(10, 12, 9),
	(10, 12, 12),
	(10, 12, 15),
	(10, 12, 18),
	(10, 12, 21),
	(10, 13, 0),
	(10, 13, 3),
	(10, 13, 6),
	(10, 13, 9),
	(10, 13, 12),
	(10, 13, 15),
	(10, 13, 18),
	(10, 13, 21),
	(10, 14, 0),
	(10, 14, 3),
	(10, 14, 6),
	(10, 14, 9),
	(10, 14, 12),
	(10, 14, 15),
	(10, 14, 18),
	(10, 14, 21),
	(10, 15, 0),
	(10, 15, 3),
	(10, 15, 6),
	(10, 15, 9),
	(10, 15, 12),
	(10, 15, 15),
	(10, 15, 18),
	(10, 15, 21),
	(10, 16, 0),
	(10, 16, 3),
	(10, 16, 6),
	(10, 16, 9),
	(10, 16, 12),
	(10, 16, 15),
	(10, 16, 18),
	(10, 16, 21),
	(10, 17, 0),
	(10, 17, 3),
	(10, 17, 6),
	(10, 17, 9),
	(10, 17, 12),
	(10, 17, 15),
	(10, 17, 18),
	(10, 17, 21),
	(10, 18, 0),
	(10, 18, 3),
	(10, 18, 6),
	(10, 18, 9),
	(10, 18, 12),
	(10, 18, 15),
	(10, 18, 18),
	(10, 18, 21),
	(10, 19, 0),
	(10, 19, 3),
	(10, 19, 6),
	(10, 19, 9),
	(10, 19, 12),
	(10, 19, 15),
	(10, 19, 18),
	(10, 19, 21),
	(10, 20, 0),
	(10, 20, 3),
	(10, 20, 6),
	(10, 20, 9),
	(10, 20, 12),
	(10, 20, 15),
	(10, 20, 18),
	(10, 20, 21),
	(10, 21, 0),
	(10, 21, 3),
	(10, 21, 6),
	(10, 21, 9),
	(10, 21, 12),
	(10, 21, 15),
	(10, 21, 18),
	(10, 21, 21),
	(10, 22, 0),
	(10, 22, 3),
	(10, 22, 6),
	(10, 22, 9),
	(10, 22, 12),
	(10, 22, 15),
	(10, 22, 18),
	(10, 22, 21),
	(10, 23, 0),
	(10, 23, 3),
	(10, 23, 6),
	(10, 23, 9),
	(10, 23, 12),
	(10, 23, 15),
	(10, 23, 18),
	(10, 23, 21),
	(10, 24, 0),
	(10, 24, 3),
	(10, 24, 6),
	(10, 24, 9),
	(10, 24, 12),
	(10, 24, 15),
	(10, 24, 18),
	(10, 24, 21),
	(10, 25, 0),
	(10, 25, 3),
	(10, 25, 6),
	(10, 25, 9),
	(10, 25, 12),
	(10, 25, 15),
	(10, 25, 18),
	(10, 25, 21),
	(10, 26, 0),
	(10, 26, 3),
	(10, 26, 6),
	(10, 26, 9),
	(10, 26, 12),
	(10, 26, 15),
	(10, 26, 18),
	(10, 26, 21),
	(10, 27, 0),
	(10, 27, 3),
	(10, 27, 6),
	(10, 27, 9),
	(10, 27, 12),
	(10, 27, 15),
	(10, 27, 18),
	(10, 27, 21),
	(10, 28, 0),
	(10, 28, 3),
	(10, 28, 6),
	(10, 28, 9),
	(10, 28, 12),
	(10, 28, 15),
	(10, 28, 18),
	(10, 28, 21),
	(10, 29, 0),
	(10, 29, 3),
	(10, 29, 6),
	(10, 29, 9),
	(10, 29, 12),
	(10, 29, 15),
	(10, 29, 18),
	(10, 29, 21),
	(10, 30, 0),
	(10, 30, 3),
	(10, 30, 6),
	(10, 30, 9),
	(10, 30, 12),
	(10, 30, 15),
	(10, 30, 18),
	(10, 30, 21),
	(10, 31, 0),
	(10, 31, 3),
	(10, 31, 6),
	(10, 31, 9),
	(10, 31, 12),
	(10, 31, 15),
	(10, 31, 18),
	(10, 31, 21),
	(11, 1, 0),
	(11, 1, 3),
	(11, 1, 6),
	(11, 1, 9),
	(11, 1, 12),
	(11, 1, 15),
	(11, 1, 18),
	(11, 1, 21),
	(11, 2, 0),
	(11, 2, 3),
	(11, 2, 6),
	(11, 2, 9),
	(11, 2, 12),
	(11, 2, 15),
	(11, 2, 18),
	(11, 2, 21),
	(11, 3, 0),
	(11, 3, 3),
	(11, 3, 6),
	(11, 3, 9),
	(11, 3, 12),
	(11, 3, 15),
	(11, 3, 18),
	(11, 3, 21),
	(11, 4, 0),
	(11, 4, 3),
	(11, 4, 6),
	(11, 4, 9),
	(11, 4, 12),
	(11, 4, 15),
	(11, 4, 18),
	(11, 4, 21),
	(11, 5, 0),
	(11, 5, 3),
	(11, 5, 6),
	(11, 5, 9),
	(11, 5, 12),
	(11, 5, 15),
	(11, 5, 18),
	(11, 5, 21),
	(11, 6, 0),
	(11, 6, 3),
	(11, 6, 6),
	(11, 6, 9),
	(11, 6, 12),
	(11, 6, 15),
	(11, 6, 18),
	(11, 6, 21),
	(11, 7, 0),
	(11, 7, 3),
	(11, 7, 6),
	(11, 7, 9),
	(11, 7, 12),
	(11, 7, 15),
	(11, 7, 18),
	(11, 7, 21),
	(11, 8, 0),
	(11, 8, 3),
	(11, 8, 6),
	(11, 8, 9),
	(11, 8, 12),
	(11, 8, 15),
	(11, 8, 18),
	(11, 8, 21),
	(11, 9, 0),
	(11, 9, 3),
	(11, 9, 6),
	(11, 9, 9),
	(11, 9, 12),
	(11, 9, 15),
	(11, 9, 18),
	(11, 9, 21),
	(11, 10, 0),
	(11, 10, 3),
	(11, 10, 6),
	(11, 10, 9),
	(11, 10, 12),
	(11, 10, 15),
	(11, 10, 18),
	(11, 10, 21),
	(11, 11, 0),
	(11, 11, 3),
	(11, 11, 6),
	(11, 11, 9),
	(11, 11, 12),
	(11, 11, 15),
	(11, 11, 18),
	(11, 11, 21),
	(11, 12, 0),
	(11, 12, 3),
	(11, 12, 6),
	(11, 12, 9),
	(11, 12, 12),
	(11, 12, 15),
	(11, 12, 18),
	(11, 12, 21),
	(11, 13, 0),
	(11, 13, 3),
	(11, 13, 6),
	(11, 13, 9),
	(11, 13, 12),
	(11, 13, 15),
	(11, 13, 18),
	(11, 13, 21),
	(11, 14, 0),
	(11, 14, 3),
	(11, 14, 6),
	(11, 14, 9),
	(11, 14, 12),
	(11, 14, 15),
	(11, 14, 18),
	(11, 14, 21),
	(11, 15, 0),
	(11, 15, 3),
	(11, 15, 6),
	(11, 15, 9),
	(11, 15, 12),
	(11, 15, 15),
	(11, 15, 18),
	(11, 15, 21),
	(11, 16, 0),
	(11, 16, 3),
	(11, 16, 6),
	(11, 16, 9),
	(11, 16, 12),
	(11, 16, 15),
	(11, 16, 18),
	(11, 16, 21),
	(11, 17, 0),
	(11, 17, 3),
	(11, 17, 6),
	(11, 17, 9),
	(11, 17, 12),
	(11, 17, 15),
	(11, 17, 18),
	(11, 17, 21),
	(11, 18, 0),
	(11, 18, 3),
	(11, 18, 6),
	(11, 18, 9),
	(11, 18, 12),
	(11, 18, 15),
	(11, 18, 18),
	(11, 18, 21),
	(11, 19, 0),
	(11, 19, 3),
	(11, 19, 6),
	(11, 19, 9),
	(11, 19, 12),
	(11, 19, 15),
	(11, 19, 18),
	(11, 19, 21),
	(11, 20, 0),
	(11, 20, 3),
	(11, 20, 6),
	(11, 20, 9),
	(11, 20, 12),
	(11, 20, 15),
	(11, 20, 18),
	(11, 20, 21),
	(11, 21, 0),
	(11, 21, 3),
	(11, 21, 6),
	(11, 21, 9),
	(11, 21, 12),
	(11, 21, 15),
	(11, 21, 18),
	(11, 21, 21),
	(11, 22, 0),
	(11, 22, 3),
	(11, 22, 6),
	(11, 22, 9),
	(11, 22, 12),
	(11, 22, 15),
	(11, 22, 18),
	(11, 22, 21),
	(11, 23, 0),
	(11, 23, 3),
	(11, 23, 6),
	(11, 23, 9),
	(11, 23, 12),
	(11, 23, 15),
	(11, 23, 18),
	(11, 23, 21),
	(11, 24, 0),
	(11, 24, 3),
	(11, 24, 6),
	(11, 24, 9),
	(11, 24, 12),
	(11, 24, 15),
	(11, 24, 18),
	(11, 24, 21),
	(11, 25, 0),
	(11, 25, 3),
	(11, 25, 6),
	(11, 25, 9),
	(11, 25, 12),
	(11, 25, 15),
	(11, 25, 18),
	(11, 25, 21),
	(11, 26, 0),
	(11, 26, 3),
	(11, 26, 6),
	(11, 26, 9),
	(11, 26, 12),
	(11, 26, 15),
	(11, 26, 18),
	(11, 26, 21),
	(11, 27, 0),
	(11, 27, 3),
	(11, 27, 6),
	(11, 27, 9),
	(11, 27, 12),
	(11, 27, 15),
	(11, 27, 18),
	(11, 27, 21),
	(11, 28, 0),
	(11, 28, 3),
	(11, 28, 6),
	(11, 28, 9),
	(11, 28, 12),
	(11, 28, 15),
	(11, 28, 18),
	(11, 28, 21),
	(11, 29, 0),
	(11, 29, 3),
	(11, 29, 6),
	(11, 29, 9),
	(11, 29, 12),
	(11, 29, 15),
	(11, 29, 18),
	(11, 29, 21),
	(11, 30, 0),
	(11, 30, 3),
	(11, 30, 6),
	(11, 30, 9),
	(11, 30, 12),
	(11, 30, 15),
	(11, 30, 18),
	(11, 30, 21),
	(12, 1, 0),
	(12, 1, 3),
	(12, 1, 6),
	(12, 1, 9),
	(12, 1, 12),
	(12, 1, 15),
	(12, 1, 18),
	(12, 1, 21),
	(12, 2, 0),
	(12, 2, 3),
	(12, 2, 6),
	(12, 2, 9),
	(12, 2, 12),
	(12, 2, 15),
	(12, 2, 18),
	(12, 2, 21),
	(12, 3, 0),
	(12, 3, 3),
	(12, 3, 6),
	(12, 3, 9),
	(12, 3, 12),
	(12, 3, 15),
	(12, 3, 18),
	(12, 3, 21),
	(12, 4, 0),
	(12, 4, 3),
	(12, 4, 6),
	(12, 4, 9),
	(12, 4, 12),
	(12, 4, 15),
	(12, 4, 18),
	(12, 4, 21),
	(12, 5, 0),
	(12, 5, 3),
	(12, 5, 6),
	(12, 5, 9),
	(12, 5, 12),
	(12, 5, 15),
	(12, 5, 18),
	(12, 5, 21),
	(12, 6, 0),
	(12, 6, 3),
	(12, 6, 6),
	(12, 6, 9),
	(12, 6, 12),
	(12, 6, 15),
	(12, 6, 18),
	(12, 6, 21),
	(12, 7, 0),
	(12, 7, 3),
	(12, 7, 6),
	(12, 7, 9),
	(12, 7, 12),
	(12, 7, 15),
	(12, 7, 18),
	(12, 7, 21),
	(12, 8, 0),
	(12, 8, 3),
	(12, 8, 6),
	(12, 8, 9),
	(12, 8, 12),
	(12, 8, 15),
	(12, 8, 18),
	(12, 8, 21),
	(12, 9, 0),
	(12, 9, 3),
	(12, 9, 6),
	(12, 9, 9),
	(12, 9, 12),
	(12, 9, 15),
	(12, 9, 18),
	(12, 9, 21),
	(12, 10, 0),
	(12, 10, 3),
	(12, 10, 6),
	(12, 10, 9),
	(12, 10, 12),
	(12, 10, 15),
	(12, 10, 18),
	(12, 10, 21),
	(12, 11, 0),
	(12, 11, 3),
	(12, 11, 6),
	(12, 11, 9),
	(12, 11, 12),
	(12, 11, 15),
	(12, 11, 18),
	(12, 11, 21),
	(12, 12, 0),
	(12, 12, 3),
	(12, 12, 6),
	(12, 12, 9),
	(12, 12, 12),
	(12, 12, 15),
	(12, 12, 18),
	(12, 12, 21),
	(12, 13, 0),
	(12, 13, 3),
	(12, 13, 6),
	(12, 13, 9),
	(12, 13, 12),
	(12, 13, 15),
	(12, 13, 18),
	(12, 13, 21),
	(12, 14, 0),
	(12, 14, 3),
	(12, 14, 6),
	(12, 14, 9),
	(12, 14, 12),
	(12, 14, 15),
	(12, 14, 18),
	(12, 14, 21),
	(12, 15, 0),
	(12, 15, 3),
	(12, 15, 6),
	(12, 15, 9),
	(12, 15, 12),
	(12, 15, 15),
	(12, 15, 18),
	(12, 15, 21),
	(12, 16, 0),
	(12, 16, 3),
	(12, 16, 6),
	(12, 16, 9),
	(12, 16, 12),
	(12, 16, 15),
	(12, 16, 18),
	(12, 16, 21),
	(12, 17, 0),
	(12, 17, 3),
	(12, 17, 6),
	(12, 17, 9),
	(12, 17, 12),
	(12, 17, 15),
	(12, 17, 18),
	(12, 17, 21),
	(12, 18, 0),
	(12, 18, 3),
	(12, 18, 6),
	(12, 18, 9),
	(12, 18, 12),
	(12, 18, 15),
	(12, 18, 18),
	(12, 18, 21),
	(12, 19, 0),
	(12, 19, 3),
	(12, 19, 6),
	(12, 19, 9),
	(12, 19, 12),
	(12, 19, 15),
	(12, 19, 18),
	(12, 19, 21),
	(12, 20, 0),
	(12, 20, 3),
	(12, 20, 6),
	(12, 20, 9),
	(12, 20, 12),
	(12, 20, 15),
	(12, 20, 18),
	(12, 20, 21),
	(12, 21, 0),
	(12, 21, 3),
	(12, 21, 6),
	(12, 21, 9),
	(12, 21, 12),
	(12, 21, 15),
	(12, 21, 18),
	(12, 21, 21),
	(12, 22, 0),
	(12, 22, 3),
	(12, 22, 6),
	(12, 22, 9),
	(12, 22, 12),
	(12, 22, 15),
	(12, 22, 18),
	(12, 22, 21),
	(12, 23, 0),
	(12, 23, 3),
	(12, 23, 6),
	(12, 23, 9),
	(12, 23, 12),
	(12, 23, 15),
	(12, 23, 18),
	(12, 23, 21),
	(12, 24, 0),
	(12, 24, 3),
	(12, 24, 6),
	(12, 24, 9),
	(12, 24, 12),
	(12, 24, 15),
	(12, 24, 18),
	(12, 24, 21),
	(12, 25, 0),
	(12, 25, 3),
	(12, 25, 6),
	(12, 25, 9),
	(12, 25, 12),
	(12, 25, 15),
	(12, 25, 18),
	(12, 25, 21),
	(12, 26, 0),
	(12, 26, 3),
	(12, 26, 6),
	(12, 26, 9),
	(12, 26, 12),
	(12, 26, 15),
	(12, 26, 18),
	(12, 26, 21),
	(12, 27, 0),
	(12, 27, 3),
	(12, 27, 6),
	(12, 27, 9),
	(12, 27, 12),
	(12, 27, 15),
	(12, 27, 18),
	(12, 27, 21),
	(12, 28, 0),
	(12, 28, 3),
	(12, 28, 6),
	(12, 28, 9),
	(12, 28, 12),
	(12, 28, 15),
	(12, 28, 18),
	(12, 28, 21),
	(12, 29, 0),
	(12, 29, 3),
	(12, 29, 6),
	(12, 29, 9),
	(12, 29, 12),
	(12, 29, 15),
	(12, 29, 18),
	(12, 29, 21),
	(12, 30, 0),
	(12, 30, 3),
	(12, 30, 6),
	(12, 30, 9),
	(12, 30, 12),
	(12, 30, 15),
	(12, 30, 18),
	(12, 30, 21),
	(12, 31, 0),
	(12, 31, 3),
	(12, 31, 6),
	(12, 31, 9),
	(12, 31, 12),
	(12, 31, 15),
	(12, 31, 18),
	(12, 31, 21);
/*!40000 ALTER TABLE `seq_month_day_synoptime` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_db_v4.seq_month_day_synoptime_leap_yr
CREATE TABLE IF NOT EXISTS `seq_month_day_synoptime_leap_yr` (
  `mm` int(11) NOT NULL,
  `dd` int(11) NOT NULL,
  `hh` int(11) NOT NULL,
  PRIMARY KEY (`mm`,`dd`,`hh`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- Dumping data for table mariadb_climsoft_db_v4.seq_month_day_synoptime_leap_yr: ~2,928 rows (approximately)
/*!40000 ALTER TABLE `seq_month_day_synoptime_leap_yr` DISABLE KEYS */;
INSERT INTO `seq_month_day_synoptime_leap_yr` (`mm`, `dd`, `hh`) VALUES
	(1, 1, 0),
	(1, 1, 3),
	(1, 1, 6),
	(1, 1, 9),
	(1, 1, 12),
	(1, 1, 15),
	(1, 1, 18),
	(1, 1, 21),
	(1, 2, 0),
	(1, 2, 3),
	(1, 2, 6),
	(1, 2, 9),
	(1, 2, 12),
	(1, 2, 15),
	(1, 2, 18),
	(1, 2, 21),
	(1, 3, 0),
	(1, 3, 3),
	(1, 3, 6),
	(1, 3, 9),
	(1, 3, 12),
	(1, 3, 15),
	(1, 3, 18),
	(1, 3, 21),
	(1, 4, 0),
	(1, 4, 3),
	(1, 4, 6),
	(1, 4, 9),
	(1, 4, 12),
	(1, 4, 15),
	(1, 4, 18),
	(1, 4, 21),
	(1, 5, 0),
	(1, 5, 3),
	(1, 5, 6),
	(1, 5, 9),
	(1, 5, 12),
	(1, 5, 15),
	(1, 5, 18),
	(1, 5, 21),
	(1, 6, 0),
	(1, 6, 3),
	(1, 6, 6),
	(1, 6, 9),
	(1, 6, 12),
	(1, 6, 15),
	(1, 6, 18),
	(1, 6, 21),
	(1, 7, 0),
	(1, 7, 3),
	(1, 7, 6),
	(1, 7, 9),
	(1, 7, 12),
	(1, 7, 15),
	(1, 7, 18),
	(1, 7, 21),
	(1, 8, 0),
	(1, 8, 3),
	(1, 8, 6),
	(1, 8, 9),
	(1, 8, 12),
	(1, 8, 15),
	(1, 8, 18),
	(1, 8, 21),
	(1, 9, 0),
	(1, 9, 3),
	(1, 9, 6),
	(1, 9, 9),
	(1, 9, 12),
	(1, 9, 15),
	(1, 9, 18),
	(1, 9, 21),
	(1, 10, 0),
	(1, 10, 3),
	(1, 10, 6),
	(1, 10, 9),
	(1, 10, 12),
	(1, 10, 15),
	(1, 10, 18),
	(1, 10, 21),
	(1, 11, 0),
	(1, 11, 3),
	(1, 11, 6),
	(1, 11, 9),
	(1, 11, 12),
	(1, 11, 15),
	(1, 11, 18),
	(1, 11, 21),
	(1, 12, 0),
	(1, 12, 3),
	(1, 12, 6),
	(1, 12, 9),
	(1, 12, 12),
	(1, 12, 15),
	(1, 12, 18),
	(1, 12, 21),
	(1, 13, 0),
	(1, 13, 3),
	(1, 13, 6),
	(1, 13, 9),
	(1, 13, 12),
	(1, 13, 15),
	(1, 13, 18),
	(1, 13, 21),
	(1, 14, 0),
	(1, 14, 3),
	(1, 14, 6),
	(1, 14, 9),
	(1, 14, 12),
	(1, 14, 15),
	(1, 14, 18),
	(1, 14, 21),
	(1, 15, 0),
	(1, 15, 3),
	(1, 15, 6),
	(1, 15, 9),
	(1, 15, 12),
	(1, 15, 15),
	(1, 15, 18),
	(1, 15, 21),
	(1, 16, 0),
	(1, 16, 3),
	(1, 16, 6),
	(1, 16, 9),
	(1, 16, 12),
	(1, 16, 15),
	(1, 16, 18),
	(1, 16, 21),
	(1, 17, 0),
	(1, 17, 3),
	(1, 17, 6),
	(1, 17, 9),
	(1, 17, 12),
	(1, 17, 15),
	(1, 17, 18),
	(1, 17, 21),
	(1, 18, 0),
	(1, 18, 3),
	(1, 18, 6),
	(1, 18, 9),
	(1, 18, 12),
	(1, 18, 15),
	(1, 18, 18),
	(1, 18, 21),
	(1, 19, 0),
	(1, 19, 3),
	(1, 19, 6),
	(1, 19, 9),
	(1, 19, 12),
	(1, 19, 15),
	(1, 19, 18),
	(1, 19, 21),
	(1, 20, 0),
	(1, 20, 3),
	(1, 20, 6),
	(1, 20, 9),
	(1, 20, 12),
	(1, 20, 15),
	(1, 20, 18),
	(1, 20, 21),
	(1, 21, 0),
	(1, 21, 3),
	(1, 21, 6),
	(1, 21, 9),
	(1, 21, 12),
	(1, 21, 15),
	(1, 21, 18),
	(1, 21, 21),
	(1, 22, 0),
	(1, 22, 3),
	(1, 22, 6),
	(1, 22, 9),
	(1, 22, 12),
	(1, 22, 15),
	(1, 22, 18),
	(1, 22, 21),
	(1, 23, 0),
	(1, 23, 3),
	(1, 23, 6),
	(1, 23, 9),
	(1, 23, 12),
	(1, 23, 15),
	(1, 23, 18),
	(1, 23, 21),
	(1, 24, 0),
	(1, 24, 3),
	(1, 24, 6),
	(1, 24, 9),
	(1, 24, 12),
	(1, 24, 15),
	(1, 24, 18),
	(1, 24, 21),
	(1, 25, 0),
	(1, 25, 3),
	(1, 25, 6),
	(1, 25, 9),
	(1, 25, 12),
	(1, 25, 15),
	(1, 25, 18),
	(1, 25, 21),
	(1, 26, 0),
	(1, 26, 3),
	(1, 26, 6),
	(1, 26, 9),
	(1, 26, 12),
	(1, 26, 15),
	(1, 26, 18),
	(1, 26, 21),
	(1, 27, 0),
	(1, 27, 3),
	(1, 27, 6),
	(1, 27, 9),
	(1, 27, 12),
	(1, 27, 15),
	(1, 27, 18),
	(1, 27, 21),
	(1, 28, 0),
	(1, 28, 3),
	(1, 28, 6),
	(1, 28, 9),
	(1, 28, 12),
	(1, 28, 15),
	(1, 28, 18),
	(1, 28, 21),
	(1, 29, 0),
	(1, 29, 3),
	(1, 29, 6),
	(1, 29, 9),
	(1, 29, 12),
	(1, 29, 15),
	(1, 29, 18),
	(1, 29, 21),
	(1, 30, 0),
	(1, 30, 3),
	(1, 30, 6),
	(1, 30, 9),
	(1, 30, 12),
	(1, 30, 15),
	(1, 30, 18),
	(1, 30, 21),
	(1, 31, 0),
	(1, 31, 3),
	(1, 31, 6),
	(1, 31, 9),
	(1, 31, 12),
	(1, 31, 15),
	(1, 31, 18),
	(1, 31, 21),
	(2, 1, 0),
	(2, 1, 3),
	(2, 1, 6),
	(2, 1, 9),
	(2, 1, 12),
	(2, 1, 15),
	(2, 1, 18),
	(2, 1, 21),
	(2, 2, 0),
	(2, 2, 3),
	(2, 2, 6),
	(2, 2, 9),
	(2, 2, 12),
	(2, 2, 15),
	(2, 2, 18),
	(2, 2, 21),
	(2, 3, 0),
	(2, 3, 3),
	(2, 3, 6),
	(2, 3, 9),
	(2, 3, 12),
	(2, 3, 15),
	(2, 3, 18),
	(2, 3, 21),
	(2, 4, 0),
	(2, 4, 3),
	(2, 4, 6),
	(2, 4, 9),
	(2, 4, 12),
	(2, 4, 15),
	(2, 4, 18),
	(2, 4, 21),
	(2, 5, 0),
	(2, 5, 3),
	(2, 5, 6),
	(2, 5, 9),
	(2, 5, 12),
	(2, 5, 15),
	(2, 5, 18),
	(2, 5, 21),
	(2, 6, 0),
	(2, 6, 3),
	(2, 6, 6),
	(2, 6, 9),
	(2, 6, 12),
	(2, 6, 15),
	(2, 6, 18),
	(2, 6, 21),
	(2, 7, 0),
	(2, 7, 3),
	(2, 7, 6),
	(2, 7, 9),
	(2, 7, 12),
	(2, 7, 15),
	(2, 7, 18),
	(2, 7, 21),
	(2, 8, 0),
	(2, 8, 3),
	(2, 8, 6),
	(2, 8, 9),
	(2, 8, 12),
	(2, 8, 15),
	(2, 8, 18),
	(2, 8, 21),
	(2, 9, 0),
	(2, 9, 3),
	(2, 9, 6),
	(2, 9, 9),
	(2, 9, 12),
	(2, 9, 15),
	(2, 9, 18),
	(2, 9, 21),
	(2, 10, 0),
	(2, 10, 3),
	(2, 10, 6),
	(2, 10, 9),
	(2, 10, 12),
	(2, 10, 15),
	(2, 10, 18),
	(2, 10, 21),
	(2, 11, 0),
	(2, 11, 3),
	(2, 11, 6),
	(2, 11, 9),
	(2, 11, 12),
	(2, 11, 15),
	(2, 11, 18),
	(2, 11, 21),
	(2, 12, 0),
	(2, 12, 3),
	(2, 12, 6),
	(2, 12, 9),
	(2, 12, 12),
	(2, 12, 15),
	(2, 12, 18),
	(2, 12, 21),
	(2, 13, 0),
	(2, 13, 3),
	(2, 13, 6),
	(2, 13, 9),
	(2, 13, 12),
	(2, 13, 15),
	(2, 13, 18),
	(2, 13, 21),
	(2, 14, 0),
	(2, 14, 3),
	(2, 14, 6),
	(2, 14, 9),
	(2, 14, 12),
	(2, 14, 15),
	(2, 14, 18),
	(2, 14, 21),
	(2, 15, 0),
	(2, 15, 3),
	(2, 15, 6),
	(2, 15, 9),
	(2, 15, 12),
	(2, 15, 15),
	(2, 15, 18),
	(2, 15, 21),
	(2, 16, 0),
	(2, 16, 3),
	(2, 16, 6),
	(2, 16, 9),
	(2, 16, 12),
	(2, 16, 15),
	(2, 16, 18),
	(2, 16, 21),
	(2, 17, 0),
	(2, 17, 3),
	(2, 17, 6),
	(2, 17, 9),
	(2, 17, 12),
	(2, 17, 15),
	(2, 17, 18),
	(2, 17, 21),
	(2, 18, 0),
	(2, 18, 3),
	(2, 18, 6),
	(2, 18, 9),
	(2, 18, 12),
	(2, 18, 15),
	(2, 18, 18),
	(2, 18, 21),
	(2, 19, 0),
	(2, 19, 3),
	(2, 19, 6),
	(2, 19, 9),
	(2, 19, 12),
	(2, 19, 15),
	(2, 19, 18),
	(2, 19, 21),
	(2, 20, 0),
	(2, 20, 3),
	(2, 20, 6),
	(2, 20, 9),
	(2, 20, 12),
	(2, 20, 15),
	(2, 20, 18),
	(2, 20, 21),
	(2, 21, 0),
	(2, 21, 3),
	(2, 21, 6),
	(2, 21, 9),
	(2, 21, 12),
	(2, 21, 15),
	(2, 21, 18),
	(2, 21, 21),
	(2, 22, 0),
	(2, 22, 3),
	(2, 22, 6),
	(2, 22, 9),
	(2, 22, 12),
	(2, 22, 15),
	(2, 22, 18),
	(2, 22, 21),
	(2, 23, 0),
	(2, 23, 3),
	(2, 23, 6),
	(2, 23, 9),
	(2, 23, 12),
	(2, 23, 15),
	(2, 23, 18),
	(2, 23, 21),
	(2, 24, 0),
	(2, 24, 3),
	(2, 24, 6),
	(2, 24, 9),
	(2, 24, 12),
	(2, 24, 15),
	(2, 24, 18),
	(2, 24, 21),
	(2, 25, 0),
	(2, 25, 3),
	(2, 25, 6),
	(2, 25, 9),
	(2, 25, 12),
	(2, 25, 15),
	(2, 25, 18),
	(2, 25, 21),
	(2, 26, 0),
	(2, 26, 3),
	(2, 26, 6),
	(2, 26, 9),
	(2, 26, 12),
	(2, 26, 15),
	(2, 26, 18),
	(2, 26, 21),
	(2, 27, 0),
	(2, 27, 3),
	(2, 27, 6),
	(2, 27, 9),
	(2, 27, 12),
	(2, 27, 15),
	(2, 27, 18),
	(2, 27, 21),
	(2, 28, 0),
	(2, 28, 3),
	(2, 28, 6),
	(2, 28, 9),
	(2, 28, 12),
	(2, 28, 15),
	(2, 28, 18),
	(2, 28, 21),
	(2, 29, 0),
	(2, 29, 3),
	(2, 29, 6),
	(2, 29, 9),
	(2, 29, 12),
	(2, 29, 15),
	(2, 29, 18),
	(2, 29, 21),
	(3, 1, 0),
	(3, 1, 3),
	(3, 1, 6),
	(3, 1, 9),
	(3, 1, 12),
	(3, 1, 15),
	(3, 1, 18),
	(3, 1, 21),
	(3, 2, 0),
	(3, 2, 3),
	(3, 2, 6),
	(3, 2, 9),
	(3, 2, 12),
	(3, 2, 15),
	(3, 2, 18),
	(3, 2, 21),
	(3, 3, 0),
	(3, 3, 3),
	(3, 3, 6),
	(3, 3, 9),
	(3, 3, 12),
	(3, 3, 15),
	(3, 3, 18),
	(3, 3, 21),
	(3, 4, 0),
	(3, 4, 3),
	(3, 4, 6),
	(3, 4, 9),
	(3, 4, 12),
	(3, 4, 15),
	(3, 4, 18),
	(3, 4, 21),
	(3, 5, 0),
	(3, 5, 3),
	(3, 5, 6),
	(3, 5, 9),
	(3, 5, 12),
	(3, 5, 15),
	(3, 5, 18),
	(3, 5, 21),
	(3, 6, 0),
	(3, 6, 3),
	(3, 6, 6),
	(3, 6, 9),
	(3, 6, 12),
	(3, 6, 15),
	(3, 6, 18),
	(3, 6, 21),
	(3, 7, 0),
	(3, 7, 3),
	(3, 7, 6),
	(3, 7, 9),
	(3, 7, 12),
	(3, 7, 15),
	(3, 7, 18),
	(3, 7, 21),
	(3, 8, 0),
	(3, 8, 3),
	(3, 8, 6),
	(3, 8, 9),
	(3, 8, 12),
	(3, 8, 15),
	(3, 8, 18),
	(3, 8, 21),
	(3, 9, 0),
	(3, 9, 3),
	(3, 9, 6),
	(3, 9, 9),
	(3, 9, 12),
	(3, 9, 15),
	(3, 9, 18),
	(3, 9, 21),
	(3, 10, 0),
	(3, 10, 3),
	(3, 10, 6),
	(3, 10, 9),
	(3, 10, 12),
	(3, 10, 15),
	(3, 10, 18),
	(3, 10, 21),
	(3, 11, 0),
	(3, 11, 3),
	(3, 11, 6),
	(3, 11, 9),
	(3, 11, 12),
	(3, 11, 15),
	(3, 11, 18),
	(3, 11, 21),
	(3, 12, 0),
	(3, 12, 3),
	(3, 12, 6),
	(3, 12, 9),
	(3, 12, 12),
	(3, 12, 15),
	(3, 12, 18),
	(3, 12, 21),
	(3, 13, 0),
	(3, 13, 3),
	(3, 13, 6),
	(3, 13, 9),
	(3, 13, 12),
	(3, 13, 15),
	(3, 13, 18),
	(3, 13, 21),
	(3, 14, 0),
	(3, 14, 3),
	(3, 14, 6),
	(3, 14, 9),
	(3, 14, 12),
	(3, 14, 15),
	(3, 14, 18),
	(3, 14, 21),
	(3, 15, 0),
	(3, 15, 3),
	(3, 15, 6),
	(3, 15, 9),
	(3, 15, 12),
	(3, 15, 15),
	(3, 15, 18),
	(3, 15, 21),
	(3, 16, 0),
	(3, 16, 3),
	(3, 16, 6),
	(3, 16, 9),
	(3, 16, 12),
	(3, 16, 15),
	(3, 16, 18),
	(3, 16, 21),
	(3, 17, 0),
	(3, 17, 3),
	(3, 17, 6),
	(3, 17, 9),
	(3, 17, 12),
	(3, 17, 15),
	(3, 17, 18),
	(3, 17, 21),
	(3, 18, 0),
	(3, 18, 3),
	(3, 18, 6),
	(3, 18, 9),
	(3, 18, 12),
	(3, 18, 15),
	(3, 18, 18),
	(3, 18, 21),
	(3, 19, 0),
	(3, 19, 3),
	(3, 19, 6),
	(3, 19, 9),
	(3, 19, 12),
	(3, 19, 15),
	(3, 19, 18),
	(3, 19, 21),
	(3, 20, 0),
	(3, 20, 3),
	(3, 20, 6),
	(3, 20, 9),
	(3, 20, 12),
	(3, 20, 15),
	(3, 20, 18),
	(3, 20, 21),
	(3, 21, 0),
	(3, 21, 3),
	(3, 21, 6),
	(3, 21, 9),
	(3, 21, 12),
	(3, 21, 15),
	(3, 21, 18),
	(3, 21, 21),
	(3, 22, 0),
	(3, 22, 3),
	(3, 22, 6),
	(3, 22, 9),
	(3, 22, 12),
	(3, 22, 15),
	(3, 22, 18),
	(3, 22, 21),
	(3, 23, 0),
	(3, 23, 3),
	(3, 23, 6),
	(3, 23, 9),
	(3, 23, 12),
	(3, 23, 15),
	(3, 23, 18),
	(3, 23, 21),
	(3, 24, 0),
	(3, 24, 3),
	(3, 24, 6),
	(3, 24, 9),
	(3, 24, 12),
	(3, 24, 15),
	(3, 24, 18),
	(3, 24, 21),
	(3, 25, 0),
	(3, 25, 3),
	(3, 25, 6),
	(3, 25, 9),
	(3, 25, 12),
	(3, 25, 15),
	(3, 25, 18),
	(3, 25, 21),
	(3, 26, 0),
	(3, 26, 3),
	(3, 26, 6),
	(3, 26, 9),
	(3, 26, 12),
	(3, 26, 15),
	(3, 26, 18),
	(3, 26, 21),
	(3, 27, 0),
	(3, 27, 3),
	(3, 27, 6),
	(3, 27, 9),
	(3, 27, 12),
	(3, 27, 15),
	(3, 27, 18),
	(3, 27, 21),
	(3, 28, 0),
	(3, 28, 3),
	(3, 28, 6),
	(3, 28, 9),
	(3, 28, 12),
	(3, 28, 15),
	(3, 28, 18),
	(3, 28, 21),
	(3, 29, 0),
	(3, 29, 3),
	(3, 29, 6),
	(3, 29, 9),
	(3, 29, 12),
	(3, 29, 15),
	(3, 29, 18),
	(3, 29, 21),
	(3, 30, 0),
	(3, 30, 3),
	(3, 30, 6),
	(3, 30, 9),
	(3, 30, 12),
	(3, 30, 15),
	(3, 30, 18),
	(3, 30, 21),
	(3, 31, 0),
	(3, 31, 3),
	(3, 31, 6),
	(3, 31, 9),
	(3, 31, 12),
	(3, 31, 15),
	(3, 31, 18),
	(3, 31, 21),
	(4, 1, 0),
	(4, 1, 3),
	(4, 1, 6),
	(4, 1, 9),
	(4, 1, 12),
	(4, 1, 15),
	(4, 1, 18),
	(4, 1, 21),
	(4, 2, 0),
	(4, 2, 3),
	(4, 2, 6),
	(4, 2, 9),
	(4, 2, 12),
	(4, 2, 15),
	(4, 2, 18),
	(4, 2, 21),
	(4, 3, 0),
	(4, 3, 3),
	(4, 3, 6),
	(4, 3, 9),
	(4, 3, 12),
	(4, 3, 15),
	(4, 3, 18),
	(4, 3, 21),
	(4, 4, 0),
	(4, 4, 3),
	(4, 4, 6),
	(4, 4, 9),
	(4, 4, 12),
	(4, 4, 15),
	(4, 4, 18),
	(4, 4, 21),
	(4, 5, 0),
	(4, 5, 3),
	(4, 5, 6),
	(4, 5, 9),
	(4, 5, 12),
	(4, 5, 15),
	(4, 5, 18),
	(4, 5, 21),
	(4, 6, 0),
	(4, 6, 3),
	(4, 6, 6),
	(4, 6, 9),
	(4, 6, 12),
	(4, 6, 15),
	(4, 6, 18),
	(4, 6, 21),
	(4, 7, 0),
	(4, 7, 3),
	(4, 7, 6),
	(4, 7, 9),
	(4, 7, 12),
	(4, 7, 15),
	(4, 7, 18),
	(4, 7, 21),
	(4, 8, 0),
	(4, 8, 3),
	(4, 8, 6),
	(4, 8, 9),
	(4, 8, 12),
	(4, 8, 15),
	(4, 8, 18),
	(4, 8, 21),
	(4, 9, 0),
	(4, 9, 3),
	(4, 9, 6),
	(4, 9, 9),
	(4, 9, 12),
	(4, 9, 15),
	(4, 9, 18),
	(4, 9, 21),
	(4, 10, 0),
	(4, 10, 3),
	(4, 10, 6),
	(4, 10, 9),
	(4, 10, 12),
	(4, 10, 15),
	(4, 10, 18),
	(4, 10, 21),
	(4, 11, 0),
	(4, 11, 3),
	(4, 11, 6),
	(4, 11, 9),
	(4, 11, 12),
	(4, 11, 15),
	(4, 11, 18),
	(4, 11, 21),
	(4, 12, 0),
	(4, 12, 3),
	(4, 12, 6),
	(4, 12, 9),
	(4, 12, 12),
	(4, 12, 15),
	(4, 12, 18),
	(4, 12, 21),
	(4, 13, 0),
	(4, 13, 3),
	(4, 13, 6),
	(4, 13, 9),
	(4, 13, 12),
	(4, 13, 15),
	(4, 13, 18),
	(4, 13, 21),
	(4, 14, 0),
	(4, 14, 3),
	(4, 14, 6),
	(4, 14, 9),
	(4, 14, 12),
	(4, 14, 15),
	(4, 14, 18),
	(4, 14, 21),
	(4, 15, 0),
	(4, 15, 3),
	(4, 15, 6),
	(4, 15, 9),
	(4, 15, 12),
	(4, 15, 15),
	(4, 15, 18),
	(4, 15, 21),
	(4, 16, 0),
	(4, 16, 3),
	(4, 16, 6),
	(4, 16, 9),
	(4, 16, 12),
	(4, 16, 15),
	(4, 16, 18),
	(4, 16, 21),
	(4, 17, 0),
	(4, 17, 3),
	(4, 17, 6),
	(4, 17, 9),
	(4, 17, 12),
	(4, 17, 15),
	(4, 17, 18),
	(4, 17, 21),
	(4, 18, 0),
	(4, 18, 3),
	(4, 18, 6),
	(4, 18, 9),
	(4, 18, 12),
	(4, 18, 15),
	(4, 18, 18),
	(4, 18, 21),
	(4, 19, 0),
	(4, 19, 3),
	(4, 19, 6),
	(4, 19, 9),
	(4, 19, 12),
	(4, 19, 15),
	(4, 19, 18),
	(4, 19, 21),
	(4, 20, 0),
	(4, 20, 3),
	(4, 20, 6),
	(4, 20, 9),
	(4, 20, 12),
	(4, 20, 15),
	(4, 20, 18),
	(4, 20, 21),
	(4, 21, 0),
	(4, 21, 3),
	(4, 21, 6),
	(4, 21, 9),
	(4, 21, 12),
	(4, 21, 15),
	(4, 21, 18),
	(4, 21, 21),
	(4, 22, 0),
	(4, 22, 3),
	(4, 22, 6),
	(4, 22, 9),
	(4, 22, 12),
	(4, 22, 15),
	(4, 22, 18),
	(4, 22, 21),
	(4, 23, 0),
	(4, 23, 3),
	(4, 23, 6),
	(4, 23, 9),
	(4, 23, 12),
	(4, 23, 15),
	(4, 23, 18),
	(4, 23, 21),
	(4, 24, 0),
	(4, 24, 3),
	(4, 24, 6),
	(4, 24, 9),
	(4, 24, 12),
	(4, 24, 15),
	(4, 24, 18),
	(4, 24, 21),
	(4, 25, 0),
	(4, 25, 3),
	(4, 25, 6),
	(4, 25, 9),
	(4, 25, 12),
	(4, 25, 15),
	(4, 25, 18),
	(4, 25, 21),
	(4, 26, 0),
	(4, 26, 3),
	(4, 26, 6),
	(4, 26, 9),
	(4, 26, 12),
	(4, 26, 15),
	(4, 26, 18),
	(4, 26, 21),
	(4, 27, 0),
	(4, 27, 3),
	(4, 27, 6),
	(4, 27, 9),
	(4, 27, 12),
	(4, 27, 15),
	(4, 27, 18),
	(4, 27, 21),
	(4, 28, 0),
	(4, 28, 3),
	(4, 28, 6),
	(4, 28, 9),
	(4, 28, 12),
	(4, 28, 15),
	(4, 28, 18),
	(4, 28, 21),
	(4, 29, 0),
	(4, 29, 3),
	(4, 29, 6),
	(4, 29, 9),
	(4, 29, 12),
	(4, 29, 15),
	(4, 29, 18),
	(4, 29, 21),
	(4, 30, 0),
	(4, 30, 3),
	(4, 30, 6),
	(4, 30, 9),
	(4, 30, 12),
	(4, 30, 15),
	(4, 30, 18),
	(4, 30, 21),
	(5, 1, 0),
	(5, 1, 3),
	(5, 1, 6),
	(5, 1, 9),
	(5, 1, 12),
	(5, 1, 15),
	(5, 1, 18),
	(5, 1, 21),
	(5, 2, 0),
	(5, 2, 3),
	(5, 2, 6),
	(5, 2, 9),
	(5, 2, 12),
	(5, 2, 15),
	(5, 2, 18),
	(5, 2, 21),
	(5, 3, 0),
	(5, 3, 3),
	(5, 3, 6),
	(5, 3, 9),
	(5, 3, 12),
	(5, 3, 15),
	(5, 3, 18),
	(5, 3, 21),
	(5, 4, 0),
	(5, 4, 3),
	(5, 4, 6),
	(5, 4, 9),
	(5, 4, 12),
	(5, 4, 15),
	(5, 4, 18),
	(5, 4, 21),
	(5, 5, 0),
	(5, 5, 3),
	(5, 5, 6),
	(5, 5, 9),
	(5, 5, 12),
	(5, 5, 15),
	(5, 5, 18),
	(5, 5, 21),
	(5, 6, 0),
	(5, 6, 3),
	(5, 6, 6),
	(5, 6, 9),
	(5, 6, 12),
	(5, 6, 15),
	(5, 6, 18),
	(5, 6, 21),
	(5, 7, 0),
	(5, 7, 3),
	(5, 7, 6),
	(5, 7, 9),
	(5, 7, 12),
	(5, 7, 15),
	(5, 7, 18),
	(5, 7, 21),
	(5, 8, 0),
	(5, 8, 3),
	(5, 8, 6),
	(5, 8, 9),
	(5, 8, 12),
	(5, 8, 15),
	(5, 8, 18),
	(5, 8, 21),
	(5, 9, 0),
	(5, 9, 3),
	(5, 9, 6),
	(5, 9, 9),
	(5, 9, 12),
	(5, 9, 15),
	(5, 9, 18),
	(5, 9, 21),
	(5, 10, 0),
	(5, 10, 3),
	(5, 10, 6),
	(5, 10, 9),
	(5, 10, 12),
	(5, 10, 15),
	(5, 10, 18),
	(5, 10, 21),
	(5, 11, 0),
	(5, 11, 3),
	(5, 11, 6),
	(5, 11, 9),
	(5, 11, 12),
	(5, 11, 15),
	(5, 11, 18),
	(5, 11, 21),
	(5, 12, 0),
	(5, 12, 3),
	(5, 12, 6),
	(5, 12, 9),
	(5, 12, 12),
	(5, 12, 15),
	(5, 12, 18),
	(5, 12, 21),
	(5, 13, 0),
	(5, 13, 3),
	(5, 13, 6),
	(5, 13, 9),
	(5, 13, 12),
	(5, 13, 15),
	(5, 13, 18),
	(5, 13, 21),
	(5, 14, 0),
	(5, 14, 3),
	(5, 14, 6),
	(5, 14, 9),
	(5, 14, 12),
	(5, 14, 15),
	(5, 14, 18),
	(5, 14, 21),
	(5, 15, 0),
	(5, 15, 3),
	(5, 15, 6),
	(5, 15, 9),
	(5, 15, 12),
	(5, 15, 15),
	(5, 15, 18),
	(5, 15, 21),
	(5, 16, 0),
	(5, 16, 3),
	(5, 16, 6),
	(5, 16, 9),
	(5, 16, 12),
	(5, 16, 15),
	(5, 16, 18),
	(5, 16, 21),
	(5, 17, 0),
	(5, 17, 3),
	(5, 17, 6),
	(5, 17, 9),
	(5, 17, 12),
	(5, 17, 15),
	(5, 17, 18),
	(5, 17, 21),
	(5, 18, 0),
	(5, 18, 3),
	(5, 18, 6),
	(5, 18, 9),
	(5, 18, 12),
	(5, 18, 15),
	(5, 18, 18),
	(5, 18, 21),
	(5, 19, 0),
	(5, 19, 3),
	(5, 19, 6),
	(5, 19, 9),
	(5, 19, 12),
	(5, 19, 15),
	(5, 19, 18),
	(5, 19, 21),
	(5, 20, 0),
	(5, 20, 3),
	(5, 20, 6),
	(5, 20, 9),
	(5, 20, 12),
	(5, 20, 15),
	(5, 20, 18),
	(5, 20, 21),
	(5, 21, 0),
	(5, 21, 3),
	(5, 21, 6),
	(5, 21, 9),
	(5, 21, 12),
	(5, 21, 15),
	(5, 21, 18),
	(5, 21, 21),
	(5, 22, 0),
	(5, 22, 3),
	(5, 22, 6),
	(5, 22, 9),
	(5, 22, 12),
	(5, 22, 15),
	(5, 22, 18),
	(5, 22, 21),
	(5, 23, 0),
	(5, 23, 3),
	(5, 23, 6),
	(5, 23, 9),
	(5, 23, 12),
	(5, 23, 15),
	(5, 23, 18),
	(5, 23, 21),
	(5, 24, 0),
	(5, 24, 3),
	(5, 24, 6),
	(5, 24, 9),
	(5, 24, 12),
	(5, 24, 15),
	(5, 24, 18),
	(5, 24, 21),
	(5, 25, 0),
	(5, 25, 3),
	(5, 25, 6),
	(5, 25, 9),
	(5, 25, 12),
	(5, 25, 15),
	(5, 25, 18),
	(5, 25, 21),
	(5, 26, 0),
	(5, 26, 3),
	(5, 26, 6),
	(5, 26, 9),
	(5, 26, 12),
	(5, 26, 15),
	(5, 26, 18),
	(5, 26, 21),
	(5, 27, 0),
	(5, 27, 3),
	(5, 27, 6),
	(5, 27, 9),
	(5, 27, 12),
	(5, 27, 15),
	(5, 27, 18),
	(5, 27, 21),
	(5, 28, 0),
	(5, 28, 3),
	(5, 28, 6),
	(5, 28, 9),
	(5, 28, 12),
	(5, 28, 15),
	(5, 28, 18),
	(5, 28, 21),
	(5, 29, 0),
	(5, 29, 3),
	(5, 29, 6),
	(5, 29, 9),
	(5, 29, 12),
	(5, 29, 15),
	(5, 29, 18),
	(5, 29, 21),
	(5, 30, 0),
	(5, 30, 3),
	(5, 30, 6),
	(5, 30, 9),
	(5, 30, 12),
	(5, 30, 15),
	(5, 30, 18),
	(5, 30, 21),
	(5, 31, 0),
	(5, 31, 3),
	(5, 31, 6),
	(5, 31, 9),
	(5, 31, 12),
	(5, 31, 15),
	(5, 31, 18),
	(5, 31, 21),
	(6, 1, 0),
	(6, 1, 3),
	(6, 1, 6),
	(6, 1, 9),
	(6, 1, 12),
	(6, 1, 15),
	(6, 1, 18),
	(6, 1, 21),
	(6, 2, 0),
	(6, 2, 3),
	(6, 2, 6),
	(6, 2, 9),
	(6, 2, 12),
	(6, 2, 15),
	(6, 2, 18),
	(6, 2, 21),
	(6, 3, 0),
	(6, 3, 3),
	(6, 3, 6),
	(6, 3, 9),
	(6, 3, 12),
	(6, 3, 15),
	(6, 3, 18),
	(6, 3, 21),
	(6, 4, 0),
	(6, 4, 3),
	(6, 4, 6),
	(6, 4, 9),
	(6, 4, 12),
	(6, 4, 15),
	(6, 4, 18),
	(6, 4, 21),
	(6, 5, 0),
	(6, 5, 3),
	(6, 5, 6),
	(6, 5, 9),
	(6, 5, 12),
	(6, 5, 15),
	(6, 5, 18),
	(6, 5, 21),
	(6, 6, 0),
	(6, 6, 3),
	(6, 6, 6),
	(6, 6, 9),
	(6, 6, 12),
	(6, 6, 15),
	(6, 6, 18),
	(6, 6, 21),
	(6, 7, 0),
	(6, 7, 3),
	(6, 7, 6),
	(6, 7, 9),
	(6, 7, 12),
	(6, 7, 15),
	(6, 7, 18),
	(6, 7, 21),
	(6, 8, 0),
	(6, 8, 3),
	(6, 8, 6),
	(6, 8, 9),
	(6, 8, 12),
	(6, 8, 15),
	(6, 8, 18),
	(6, 8, 21),
	(6, 9, 0),
	(6, 9, 3),
	(6, 9, 6),
	(6, 9, 9),
	(6, 9, 12),
	(6, 9, 15),
	(6, 9, 18),
	(6, 9, 21),
	(6, 10, 0),
	(6, 10, 3),
	(6, 10, 6),
	(6, 10, 9),
	(6, 10, 12),
	(6, 10, 15),
	(6, 10, 18),
	(6, 10, 21),
	(6, 11, 0),
	(6, 11, 3),
	(6, 11, 6),
	(6, 11, 9),
	(6, 11, 12),
	(6, 11, 15),
	(6, 11, 18),
	(6, 11, 21),
	(6, 12, 0),
	(6, 12, 3),
	(6, 12, 6),
	(6, 12, 9),
	(6, 12, 12),
	(6, 12, 15),
	(6, 12, 18),
	(6, 12, 21),
	(6, 13, 0),
	(6, 13, 3),
	(6, 13, 6),
	(6, 13, 9),
	(6, 13, 12),
	(6, 13, 15),
	(6, 13, 18),
	(6, 13, 21),
	(6, 14, 0),
	(6, 14, 3),
	(6, 14, 6),
	(6, 14, 9),
	(6, 14, 12),
	(6, 14, 15),
	(6, 14, 18),
	(6, 14, 21),
	(6, 15, 0),
	(6, 15, 3),
	(6, 15, 6),
	(6, 15, 9),
	(6, 15, 12),
	(6, 15, 15),
	(6, 15, 18),
	(6, 15, 21),
	(6, 16, 0),
	(6, 16, 3),
	(6, 16, 6),
	(6, 16, 9),
	(6, 16, 12),
	(6, 16, 15),
	(6, 16, 18),
	(6, 16, 21),
	(6, 17, 0),
	(6, 17, 3),
	(6, 17, 6),
	(6, 17, 9),
	(6, 17, 12),
	(6, 17, 15),
	(6, 17, 18),
	(6, 17, 21),
	(6, 18, 0),
	(6, 18, 3),
	(6, 18, 6),
	(6, 18, 9),
	(6, 18, 12),
	(6, 18, 15),
	(6, 18, 18),
	(6, 18, 21),
	(6, 19, 0),
	(6, 19, 3),
	(6, 19, 6),
	(6, 19, 9),
	(6, 19, 12),
	(6, 19, 15),
	(6, 19, 18),
	(6, 19, 21),
	(6, 20, 0),
	(6, 20, 3),
	(6, 20, 6),
	(6, 20, 9),
	(6, 20, 12),
	(6, 20, 15),
	(6, 20, 18),
	(6, 20, 21),
	(6, 21, 0),
	(6, 21, 3),
	(6, 21, 6),
	(6, 21, 9),
	(6, 21, 12),
	(6, 21, 15),
	(6, 21, 18),
	(6, 21, 21),
	(6, 22, 0),
	(6, 22, 3),
	(6, 22, 6),
	(6, 22, 9),
	(6, 22, 12),
	(6, 22, 15),
	(6, 22, 18),
	(6, 22, 21),
	(6, 23, 0),
	(6, 23, 3),
	(6, 23, 6),
	(6, 23, 9),
	(6, 23, 12),
	(6, 23, 15),
	(6, 23, 18),
	(6, 23, 21),
	(6, 24, 0),
	(6, 24, 3),
	(6, 24, 6),
	(6, 24, 9),
	(6, 24, 12),
	(6, 24, 15),
	(6, 24, 18),
	(6, 24, 21),
	(6, 25, 0),
	(6, 25, 3),
	(6, 25, 6),
	(6, 25, 9),
	(6, 25, 12),
	(6, 25, 15),
	(6, 25, 18),
	(6, 25, 21),
	(6, 26, 0),
	(6, 26, 3),
	(6, 26, 6),
	(6, 26, 9),
	(6, 26, 12),
	(6, 26, 15),
	(6, 26, 18),
	(6, 26, 21),
	(6, 27, 0),
	(6, 27, 3),
	(6, 27, 6),
	(6, 27, 9),
	(6, 27, 12),
	(6, 27, 15),
	(6, 27, 18),
	(6, 27, 21),
	(6, 28, 0),
	(6, 28, 3),
	(6, 28, 6),
	(6, 28, 9),
	(6, 28, 12),
	(6, 28, 15),
	(6, 28, 18),
	(6, 28, 21),
	(6, 29, 0),
	(6, 29, 3),
	(6, 29, 6),
	(6, 29, 9),
	(6, 29, 12),
	(6, 29, 15),
	(6, 29, 18),
	(6, 29, 21),
	(6, 30, 0),
	(6, 30, 3),
	(6, 30, 6),
	(6, 30, 9),
	(6, 30, 12),
	(6, 30, 15),
	(6, 30, 18),
	(6, 30, 21),
	(7, 1, 0),
	(7, 1, 3),
	(7, 1, 6),
	(7, 1, 9),
	(7, 1, 12),
	(7, 1, 15),
	(7, 1, 18),
	(7, 1, 21),
	(7, 2, 0),
	(7, 2, 3),
	(7, 2, 6),
	(7, 2, 9),
	(7, 2, 12),
	(7, 2, 15),
	(7, 2, 18),
	(7, 2, 21),
	(7, 3, 0),
	(7, 3, 3),
	(7, 3, 6),
	(7, 3, 9),
	(7, 3, 12),
	(7, 3, 15),
	(7, 3, 18),
	(7, 3, 21),
	(7, 4, 0),
	(7, 4, 3),
	(7, 4, 6),
	(7, 4, 9),
	(7, 4, 12),
	(7, 4, 15),
	(7, 4, 18),
	(7, 4, 21),
	(7, 5, 0),
	(7, 5, 3),
	(7, 5, 6),
	(7, 5, 9),
	(7, 5, 12),
	(7, 5, 15),
	(7, 5, 18),
	(7, 5, 21),
	(7, 6, 0),
	(7, 6, 3),
	(7, 6, 6),
	(7, 6, 9),
	(7, 6, 12),
	(7, 6, 15),
	(7, 6, 18),
	(7, 6, 21),
	(7, 7, 0),
	(7, 7, 3),
	(7, 7, 6),
	(7, 7, 9),
	(7, 7, 12),
	(7, 7, 15),
	(7, 7, 18),
	(7, 7, 21),
	(7, 8, 0),
	(7, 8, 3),
	(7, 8, 6),
	(7, 8, 9),
	(7, 8, 12),
	(7, 8, 15),
	(7, 8, 18),
	(7, 8, 21),
	(7, 9, 0),
	(7, 9, 3),
	(7, 9, 6),
	(7, 9, 9),
	(7, 9, 12),
	(7, 9, 15),
	(7, 9, 18),
	(7, 9, 21),
	(7, 10, 0),
	(7, 10, 3),
	(7, 10, 6),
	(7, 10, 9),
	(7, 10, 12),
	(7, 10, 15),
	(7, 10, 18),
	(7, 10, 21),
	(7, 11, 0),
	(7, 11, 3),
	(7, 11, 6),
	(7, 11, 9),
	(7, 11, 12),
	(7, 11, 15),
	(7, 11, 18),
	(7, 11, 21),
	(7, 12, 0),
	(7, 12, 3),
	(7, 12, 6),
	(7, 12, 9),
	(7, 12, 12),
	(7, 12, 15),
	(7, 12, 18),
	(7, 12, 21),
	(7, 13, 0),
	(7, 13, 3),
	(7, 13, 6),
	(7, 13, 9),
	(7, 13, 12),
	(7, 13, 15),
	(7, 13, 18),
	(7, 13, 21),
	(7, 14, 0),
	(7, 14, 3),
	(7, 14, 6),
	(7, 14, 9),
	(7, 14, 12),
	(7, 14, 15),
	(7, 14, 18),
	(7, 14, 21),
	(7, 15, 0),
	(7, 15, 3),
	(7, 15, 6),
	(7, 15, 9),
	(7, 15, 12),
	(7, 15, 15),
	(7, 15, 18),
	(7, 15, 21),
	(7, 16, 0),
	(7, 16, 3),
	(7, 16, 6),
	(7, 16, 9),
	(7, 16, 12),
	(7, 16, 15),
	(7, 16, 18),
	(7, 16, 21),
	(7, 17, 0),
	(7, 17, 3),
	(7, 17, 6),
	(7, 17, 9),
	(7, 17, 12),
	(7, 17, 15),
	(7, 17, 18),
	(7, 17, 21),
	(7, 18, 0),
	(7, 18, 3),
	(7, 18, 6),
	(7, 18, 9),
	(7, 18, 12),
	(7, 18, 15),
	(7, 18, 18),
	(7, 18, 21),
	(7, 19, 0),
	(7, 19, 3),
	(7, 19, 6),
	(7, 19, 9),
	(7, 19, 12),
	(7, 19, 15),
	(7, 19, 18),
	(7, 19, 21),
	(7, 20, 0),
	(7, 20, 3),
	(7, 20, 6),
	(7, 20, 9),
	(7, 20, 12),
	(7, 20, 15),
	(7, 20, 18),
	(7, 20, 21),
	(7, 21, 0),
	(7, 21, 3),
	(7, 21, 6),
	(7, 21, 9),
	(7, 21, 12),
	(7, 21, 15),
	(7, 21, 18),
	(7, 21, 21),
	(7, 22, 0),
	(7, 22, 3),
	(7, 22, 6),
	(7, 22, 9),
	(7, 22, 12),
	(7, 22, 15),
	(7, 22, 18),
	(7, 22, 21),
	(7, 23, 0),
	(7, 23, 3),
	(7, 23, 6),
	(7, 23, 9),
	(7, 23, 12),
	(7, 23, 15),
	(7, 23, 18),
	(7, 23, 21),
	(7, 24, 0),
	(7, 24, 3),
	(7, 24, 6),
	(7, 24, 9),
	(7, 24, 12),
	(7, 24, 15),
	(7, 24, 18),
	(7, 24, 21),
	(7, 25, 0),
	(7, 25, 3),
	(7, 25, 6),
	(7, 25, 9),
	(7, 25, 12),
	(7, 25, 15),
	(7, 25, 18),
	(7, 25, 21),
	(7, 26, 0),
	(7, 26, 3),
	(7, 26, 6),
	(7, 26, 9),
	(7, 26, 12),
	(7, 26, 15),
	(7, 26, 18),
	(7, 26, 21),
	(7, 27, 0),
	(7, 27, 3),
	(7, 27, 6),
	(7, 27, 9),
	(7, 27, 12),
	(7, 27, 15),
	(7, 27, 18),
	(7, 27, 21),
	(7, 28, 0),
	(7, 28, 3),
	(7, 28, 6),
	(7, 28, 9),
	(7, 28, 12),
	(7, 28, 15),
	(7, 28, 18),
	(7, 28, 21),
	(7, 29, 0),
	(7, 29, 3),
	(7, 29, 6),
	(7, 29, 9),
	(7, 29, 12),
	(7, 29, 15),
	(7, 29, 18),
	(7, 29, 21),
	(7, 30, 0),
	(7, 30, 3),
	(7, 30, 6),
	(7, 30, 9),
	(7, 30, 12),
	(7, 30, 15),
	(7, 30, 18),
	(7, 30, 21),
	(7, 31, 0),
	(7, 31, 3),
	(7, 31, 6),
	(7, 31, 9),
	(7, 31, 12),
	(7, 31, 15),
	(7, 31, 18),
	(7, 31, 21),
	(8, 1, 0),
	(8, 1, 3),
	(8, 1, 6),
	(8, 1, 9),
	(8, 1, 12),
	(8, 1, 15),
	(8, 1, 18),
	(8, 1, 21),
	(8, 2, 0),
	(8, 2, 3),
	(8, 2, 6),
	(8, 2, 9),
	(8, 2, 12),
	(8, 2, 15),
	(8, 2, 18),
	(8, 2, 21),
	(8, 3, 0),
	(8, 3, 3),
	(8, 3, 6),
	(8, 3, 9),
	(8, 3, 12),
	(8, 3, 15),
	(8, 3, 18),
	(8, 3, 21),
	(8, 4, 0),
	(8, 4, 3),
	(8, 4, 6),
	(8, 4, 9),
	(8, 4, 12),
	(8, 4, 15),
	(8, 4, 18),
	(8, 4, 21),
	(8, 5, 0),
	(8, 5, 3),
	(8, 5, 6),
	(8, 5, 9),
	(8, 5, 12),
	(8, 5, 15),
	(8, 5, 18),
	(8, 5, 21),
	(8, 6, 0),
	(8, 6, 3),
	(8, 6, 6),
	(8, 6, 9),
	(8, 6, 12),
	(8, 6, 15),
	(8, 6, 18),
	(8, 6, 21),
	(8, 7, 0),
	(8, 7, 3),
	(8, 7, 6),
	(8, 7, 9),
	(8, 7, 12),
	(8, 7, 15),
	(8, 7, 18),
	(8, 7, 21),
	(8, 8, 0),
	(8, 8, 3),
	(8, 8, 6),
	(8, 8, 9),
	(8, 8, 12),
	(8, 8, 15),
	(8, 8, 18),
	(8, 8, 21),
	(8, 9, 0),
	(8, 9, 3),
	(8, 9, 6),
	(8, 9, 9),
	(8, 9, 12),
	(8, 9, 15),
	(8, 9, 18),
	(8, 9, 21),
	(8, 10, 0),
	(8, 10, 3),
	(8, 10, 6),
	(8, 10, 9),
	(8, 10, 12),
	(8, 10, 15),
	(8, 10, 18),
	(8, 10, 21),
	(8, 11, 0),
	(8, 11, 3),
	(8, 11, 6),
	(8, 11, 9),
	(8, 11, 12),
	(8, 11, 15),
	(8, 11, 18),
	(8, 11, 21),
	(8, 12, 0),
	(8, 12, 3),
	(8, 12, 6),
	(8, 12, 9),
	(8, 12, 12),
	(8, 12, 15),
	(8, 12, 18),
	(8, 12, 21),
	(8, 13, 0),
	(8, 13, 3),
	(8, 13, 6),
	(8, 13, 9),
	(8, 13, 12),
	(8, 13, 15),
	(8, 13, 18),
	(8, 13, 21),
	(8, 14, 0),
	(8, 14, 3),
	(8, 14, 6),
	(8, 14, 9),
	(8, 14, 12),
	(8, 14, 15),
	(8, 14, 18),
	(8, 14, 21),
	(8, 15, 0),
	(8, 15, 3),
	(8, 15, 6),
	(8, 15, 9),
	(8, 15, 12),
	(8, 15, 15),
	(8, 15, 18),
	(8, 15, 21),
	(8, 16, 0),
	(8, 16, 3),
	(8, 16, 6),
	(8, 16, 9),
	(8, 16, 12),
	(8, 16, 15),
	(8, 16, 18),
	(8, 16, 21),
	(8, 17, 0),
	(8, 17, 3),
	(8, 17, 6),
	(8, 17, 9),
	(8, 17, 12),
	(8, 17, 15),
	(8, 17, 18),
	(8, 17, 21),
	(8, 18, 0),
	(8, 18, 3),
	(8, 18, 6),
	(8, 18, 9),
	(8, 18, 12),
	(8, 18, 15),
	(8, 18, 18),
	(8, 18, 21),
	(8, 19, 0),
	(8, 19, 3),
	(8, 19, 6),
	(8, 19, 9),
	(8, 19, 12),
	(8, 19, 15),
	(8, 19, 18),
	(8, 19, 21),
	(8, 20, 0),
	(8, 20, 3),
	(8, 20, 6),
	(8, 20, 9),
	(8, 20, 12),
	(8, 20, 15),
	(8, 20, 18),
	(8, 20, 21),
	(8, 21, 0),
	(8, 21, 3),
	(8, 21, 6),
	(8, 21, 9),
	(8, 21, 12),
	(8, 21, 15),
	(8, 21, 18),
	(8, 21, 21),
	(8, 22, 0),
	(8, 22, 3),
	(8, 22, 6),
	(8, 22, 9),
	(8, 22, 12),
	(8, 22, 15),
	(8, 22, 18),
	(8, 22, 21),
	(8, 23, 0),
	(8, 23, 3),
	(8, 23, 6),
	(8, 23, 9),
	(8, 23, 12),
	(8, 23, 15),
	(8, 23, 18),
	(8, 23, 21),
	(8, 24, 0),
	(8, 24, 3),
	(8, 24, 6),
	(8, 24, 9),
	(8, 24, 12),
	(8, 24, 15),
	(8, 24, 18),
	(8, 24, 21),
	(8, 25, 0),
	(8, 25, 3),
	(8, 25, 6),
	(8, 25, 9),
	(8, 25, 12),
	(8, 25, 15),
	(8, 25, 18),
	(8, 25, 21),
	(8, 26, 0),
	(8, 26, 3),
	(8, 26, 6),
	(8, 26, 9),
	(8, 26, 12),
	(8, 26, 15),
	(8, 26, 18),
	(8, 26, 21),
	(8, 27, 0),
	(8, 27, 3),
	(8, 27, 6),
	(8, 27, 9),
	(8, 27, 12),
	(8, 27, 15),
	(8, 27, 18),
	(8, 27, 21),
	(8, 28, 0),
	(8, 28, 3),
	(8, 28, 6),
	(8, 28, 9),
	(8, 28, 12),
	(8, 28, 15),
	(8, 28, 18),
	(8, 28, 21),
	(8, 29, 0),
	(8, 29, 3),
	(8, 29, 6),
	(8, 29, 9),
	(8, 29, 12),
	(8, 29, 15),
	(8, 29, 18),
	(8, 29, 21),
	(8, 30, 0),
	(8, 30, 3),
	(8, 30, 6),
	(8, 30, 9),
	(8, 30, 12),
	(8, 30, 15),
	(8, 30, 18),
	(8, 30, 21),
	(8, 31, 0),
	(8, 31, 3),
	(8, 31, 6),
	(8, 31, 9),
	(8, 31, 12),
	(8, 31, 15),
	(8, 31, 18),
	(8, 31, 21),
	(9, 1, 0),
	(9, 1, 3),
	(9, 1, 6),
	(9, 1, 9),
	(9, 1, 12),
	(9, 1, 15),
	(9, 1, 18),
	(9, 1, 21),
	(9, 2, 0),
	(9, 2, 3),
	(9, 2, 6),
	(9, 2, 9),
	(9, 2, 12),
	(9, 2, 15),
	(9, 2, 18),
	(9, 2, 21),
	(9, 3, 0),
	(9, 3, 3),
	(9, 3, 6),
	(9, 3, 9),
	(9, 3, 12),
	(9, 3, 15),
	(9, 3, 18),
	(9, 3, 21),
	(9, 4, 0),
	(9, 4, 3),
	(9, 4, 6),
	(9, 4, 9),
	(9, 4, 12),
	(9, 4, 15),
	(9, 4, 18),
	(9, 4, 21),
	(9, 5, 0),
	(9, 5, 3),
	(9, 5, 6),
	(9, 5, 9),
	(9, 5, 12),
	(9, 5, 15),
	(9, 5, 18),
	(9, 5, 21),
	(9, 6, 0),
	(9, 6, 3),
	(9, 6, 6),
	(9, 6, 9),
	(9, 6, 12),
	(9, 6, 15),
	(9, 6, 18),
	(9, 6, 21),
	(9, 7, 0),
	(9, 7, 3),
	(9, 7, 6),
	(9, 7, 9),
	(9, 7, 12),
	(9, 7, 15),
	(9, 7, 18),
	(9, 7, 21),
	(9, 8, 0),
	(9, 8, 3),
	(9, 8, 6),
	(9, 8, 9),
	(9, 8, 12),
	(9, 8, 15),
	(9, 8, 18),
	(9, 8, 21),
	(9, 9, 0),
	(9, 9, 3),
	(9, 9, 6),
	(9, 9, 9),
	(9, 9, 12),
	(9, 9, 15),
	(9, 9, 18),
	(9, 9, 21),
	(9, 10, 0),
	(9, 10, 3),
	(9, 10, 6),
	(9, 10, 9),
	(9, 10, 12),
	(9, 10, 15),
	(9, 10, 18),
	(9, 10, 21),
	(9, 11, 0),
	(9, 11, 3),
	(9, 11, 6),
	(9, 11, 9),
	(9, 11, 12),
	(9, 11, 15),
	(9, 11, 18),
	(9, 11, 21),
	(9, 12, 0),
	(9, 12, 3),
	(9, 12, 6),
	(9, 12, 9),
	(9, 12, 12),
	(9, 12, 15),
	(9, 12, 18),
	(9, 12, 21),
	(9, 13, 0),
	(9, 13, 3),
	(9, 13, 6),
	(9, 13, 9),
	(9, 13, 12),
	(9, 13, 15),
	(9, 13, 18),
	(9, 13, 21),
	(9, 14, 0),
	(9, 14, 3),
	(9, 14, 6),
	(9, 14, 9),
	(9, 14, 12),
	(9, 14, 15),
	(9, 14, 18),
	(9, 14, 21),
	(9, 15, 0),
	(9, 15, 3),
	(9, 15, 6),
	(9, 15, 9),
	(9, 15, 12),
	(9, 15, 15),
	(9, 15, 18),
	(9, 15, 21),
	(9, 16, 0),
	(9, 16, 3),
	(9, 16, 6),
	(9, 16, 9),
	(9, 16, 12),
	(9, 16, 15),
	(9, 16, 18),
	(9, 16, 21),
	(9, 17, 0),
	(9, 17, 3),
	(9, 17, 6),
	(9, 17, 9),
	(9, 17, 12),
	(9, 17, 15),
	(9, 17, 18),
	(9, 17, 21),
	(9, 18, 0),
	(9, 18, 3),
	(9, 18, 6),
	(9, 18, 9),
	(9, 18, 12),
	(9, 18, 15),
	(9, 18, 18),
	(9, 18, 21),
	(9, 19, 0),
	(9, 19, 3),
	(9, 19, 6),
	(9, 19, 9),
	(9, 19, 12),
	(9, 19, 15),
	(9, 19, 18),
	(9, 19, 21),
	(9, 20, 0),
	(9, 20, 3),
	(9, 20, 6),
	(9, 20, 9),
	(9, 20, 12),
	(9, 20, 15),
	(9, 20, 18),
	(9, 20, 21),
	(9, 21, 0),
	(9, 21, 3),
	(9, 21, 6),
	(9, 21, 9),
	(9, 21, 12),
	(9, 21, 15),
	(9, 21, 18),
	(9, 21, 21),
	(9, 22, 0),
	(9, 22, 3),
	(9, 22, 6),
	(9, 22, 9),
	(9, 22, 12),
	(9, 22, 15),
	(9, 22, 18),
	(9, 22, 21),
	(9, 23, 0),
	(9, 23, 3),
	(9, 23, 6),
	(9, 23, 9),
	(9, 23, 12),
	(9, 23, 15),
	(9, 23, 18),
	(9, 23, 21),
	(9, 24, 0),
	(9, 24, 3),
	(9, 24, 6),
	(9, 24, 9),
	(9, 24, 12),
	(9, 24, 15),
	(9, 24, 18),
	(9, 24, 21),
	(9, 25, 0),
	(9, 25, 3),
	(9, 25, 6),
	(9, 25, 9),
	(9, 25, 12),
	(9, 25, 15),
	(9, 25, 18),
	(9, 25, 21),
	(9, 26, 0),
	(9, 26, 3),
	(9, 26, 6),
	(9, 26, 9),
	(9, 26, 12),
	(9, 26, 15),
	(9, 26, 18),
	(9, 26, 21),
	(9, 27, 0),
	(9, 27, 3),
	(9, 27, 6),
	(9, 27, 9),
	(9, 27, 12),
	(9, 27, 15),
	(9, 27, 18),
	(9, 27, 21),
	(9, 28, 0),
	(9, 28, 3),
	(9, 28, 6),
	(9, 28, 9),
	(9, 28, 12),
	(9, 28, 15),
	(9, 28, 18),
	(9, 28, 21),
	(9, 29, 0),
	(9, 29, 3),
	(9, 29, 6),
	(9, 29, 9),
	(9, 29, 12),
	(9, 29, 15),
	(9, 29, 18),
	(9, 29, 21),
	(9, 30, 0),
	(9, 30, 3),
	(9, 30, 6),
	(9, 30, 9),
	(9, 30, 12),
	(9, 30, 15),
	(9, 30, 18),
	(9, 30, 21),
	(10, 1, 0),
	(10, 1, 3),
	(10, 1, 6),
	(10, 1, 9),
	(10, 1, 12),
	(10, 1, 15),
	(10, 1, 18),
	(10, 1, 21),
	(10, 2, 0),
	(10, 2, 3),
	(10, 2, 6),
	(10, 2, 9),
	(10, 2, 12),
	(10, 2, 15),
	(10, 2, 18),
	(10, 2, 21),
	(10, 3, 0),
	(10, 3, 3),
	(10, 3, 6),
	(10, 3, 9),
	(10, 3, 12),
	(10, 3, 15),
	(10, 3, 18),
	(10, 3, 21),
	(10, 4, 0),
	(10, 4, 3),
	(10, 4, 6),
	(10, 4, 9),
	(10, 4, 12),
	(10, 4, 15),
	(10, 4, 18),
	(10, 4, 21),
	(10, 5, 0),
	(10, 5, 3),
	(10, 5, 6),
	(10, 5, 9),
	(10, 5, 12),
	(10, 5, 15),
	(10, 5, 18),
	(10, 5, 21),
	(10, 6, 0),
	(10, 6, 3),
	(10, 6, 6),
	(10, 6, 9),
	(10, 6, 12),
	(10, 6, 15),
	(10, 6, 18),
	(10, 6, 21),
	(10, 7, 0),
	(10, 7, 3),
	(10, 7, 6),
	(10, 7, 9),
	(10, 7, 12),
	(10, 7, 15),
	(10, 7, 18),
	(10, 7, 21),
	(10, 8, 0),
	(10, 8, 3),
	(10, 8, 6),
	(10, 8, 9),
	(10, 8, 12),
	(10, 8, 15),
	(10, 8, 18),
	(10, 8, 21),
	(10, 9, 0),
	(10, 9, 3),
	(10, 9, 6),
	(10, 9, 9),
	(10, 9, 12),
	(10, 9, 15),
	(10, 9, 18),
	(10, 9, 21),
	(10, 10, 0),
	(10, 10, 3),
	(10, 10, 6),
	(10, 10, 9),
	(10, 10, 12),
	(10, 10, 15),
	(10, 10, 18),
	(10, 10, 21),
	(10, 11, 0),
	(10, 11, 3),
	(10, 11, 6),
	(10, 11, 9),
	(10, 11, 12),
	(10, 11, 15),
	(10, 11, 18),
	(10, 11, 21),
	(10, 12, 0),
	(10, 12, 3),
	(10, 12, 6),
	(10, 12, 9),
	(10, 12, 12),
	(10, 12, 15),
	(10, 12, 18),
	(10, 12, 21),
	(10, 13, 0),
	(10, 13, 3),
	(10, 13, 6),
	(10, 13, 9),
	(10, 13, 12),
	(10, 13, 15),
	(10, 13, 18),
	(10, 13, 21),
	(10, 14, 0),
	(10, 14, 3),
	(10, 14, 6),
	(10, 14, 9),
	(10, 14, 12),
	(10, 14, 15),
	(10, 14, 18),
	(10, 14, 21),
	(10, 15, 0),
	(10, 15, 3),
	(10, 15, 6),
	(10, 15, 9),
	(10, 15, 12),
	(10, 15, 15),
	(10, 15, 18),
	(10, 15, 21),
	(10, 16, 0),
	(10, 16, 3),
	(10, 16, 6),
	(10, 16, 9),
	(10, 16, 12),
	(10, 16, 15),
	(10, 16, 18),
	(10, 16, 21),
	(10, 17, 0),
	(10, 17, 3),
	(10, 17, 6),
	(10, 17, 9),
	(10, 17, 12),
	(10, 17, 15),
	(10, 17, 18),
	(10, 17, 21),
	(10, 18, 0),
	(10, 18, 3),
	(10, 18, 6),
	(10, 18, 9),
	(10, 18, 12),
	(10, 18, 15),
	(10, 18, 18),
	(10, 18, 21),
	(10, 19, 0),
	(10, 19, 3),
	(10, 19, 6),
	(10, 19, 9),
	(10, 19, 12),
	(10, 19, 15),
	(10, 19, 18),
	(10, 19, 21),
	(10, 20, 0),
	(10, 20, 3),
	(10, 20, 6),
	(10, 20, 9),
	(10, 20, 12),
	(10, 20, 15),
	(10, 20, 18),
	(10, 20, 21),
	(10, 21, 0),
	(10, 21, 3),
	(10, 21, 6),
	(10, 21, 9),
	(10, 21, 12),
	(10, 21, 15),
	(10, 21, 18),
	(10, 21, 21),
	(10, 22, 0),
	(10, 22, 3),
	(10, 22, 6),
	(10, 22, 9),
	(10, 22, 12),
	(10, 22, 15),
	(10, 22, 18),
	(10, 22, 21),
	(10, 23, 0),
	(10, 23, 3),
	(10, 23, 6),
	(10, 23, 9),
	(10, 23, 12),
	(10, 23, 15),
	(10, 23, 18),
	(10, 23, 21),
	(10, 24, 0),
	(10, 24, 3),
	(10, 24, 6),
	(10, 24, 9),
	(10, 24, 12),
	(10, 24, 15),
	(10, 24, 18),
	(10, 24, 21),
	(10, 25, 0),
	(10, 25, 3),
	(10, 25, 6),
	(10, 25, 9),
	(10, 25, 12),
	(10, 25, 15),
	(10, 25, 18),
	(10, 25, 21),
	(10, 26, 0),
	(10, 26, 3),
	(10, 26, 6),
	(10, 26, 9),
	(10, 26, 12),
	(10, 26, 15),
	(10, 26, 18),
	(10, 26, 21),
	(10, 27, 0),
	(10, 27, 3),
	(10, 27, 6),
	(10, 27, 9),
	(10, 27, 12),
	(10, 27, 15),
	(10, 27, 18),
	(10, 27, 21),
	(10, 28, 0),
	(10, 28, 3),
	(10, 28, 6),
	(10, 28, 9),
	(10, 28, 12),
	(10, 28, 15),
	(10, 28, 18),
	(10, 28, 21),
	(10, 29, 0),
	(10, 29, 3),
	(10, 29, 6),
	(10, 29, 9),
	(10, 29, 12),
	(10, 29, 15),
	(10, 29, 18),
	(10, 29, 21),
	(10, 30, 0),
	(10, 30, 3),
	(10, 30, 6),
	(10, 30, 9),
	(10, 30, 12),
	(10, 30, 15),
	(10, 30, 18),
	(10, 30, 21),
	(10, 31, 0),
	(10, 31, 3),
	(10, 31, 6),
	(10, 31, 9),
	(10, 31, 12),
	(10, 31, 15),
	(10, 31, 18),
	(10, 31, 21),
	(11, 1, 0),
	(11, 1, 3),
	(11, 1, 6),
	(11, 1, 9),
	(11, 1, 12),
	(11, 1, 15),
	(11, 1, 18),
	(11, 1, 21),
	(11, 2, 0),
	(11, 2, 3),
	(11, 2, 6),
	(11, 2, 9),
	(11, 2, 12),
	(11, 2, 15),
	(11, 2, 18),
	(11, 2, 21),
	(11, 3, 0),
	(11, 3, 3),
	(11, 3, 6),
	(11, 3, 9),
	(11, 3, 12),
	(11, 3, 15),
	(11, 3, 18),
	(11, 3, 21),
	(11, 4, 0),
	(11, 4, 3),
	(11, 4, 6),
	(11, 4, 9),
	(11, 4, 12),
	(11, 4, 15),
	(11, 4, 18),
	(11, 4, 21),
	(11, 5, 0),
	(11, 5, 3),
	(11, 5, 6),
	(11, 5, 9),
	(11, 5, 12),
	(11, 5, 15),
	(11, 5, 18),
	(11, 5, 21),
	(11, 6, 0),
	(11, 6, 3),
	(11, 6, 6),
	(11, 6, 9),
	(11, 6, 12),
	(11, 6, 15),
	(11, 6, 18),
	(11, 6, 21),
	(11, 7, 0),
	(11, 7, 3),
	(11, 7, 6),
	(11, 7, 9),
	(11, 7, 12),
	(11, 7, 15),
	(11, 7, 18),
	(11, 7, 21),
	(11, 8, 0),
	(11, 8, 3),
	(11, 8, 6),
	(11, 8, 9),
	(11, 8, 12),
	(11, 8, 15),
	(11, 8, 18),
	(11, 8, 21),
	(11, 9, 0),
	(11, 9, 3),
	(11, 9, 6),
	(11, 9, 9),
	(11, 9, 12),
	(11, 9, 15),
	(11, 9, 18),
	(11, 9, 21),
	(11, 10, 0),
	(11, 10, 3),
	(11, 10, 6),
	(11, 10, 9),
	(11, 10, 12),
	(11, 10, 15),
	(11, 10, 18),
	(11, 10, 21),
	(11, 11, 0),
	(11, 11, 3),
	(11, 11, 6),
	(11, 11, 9),
	(11, 11, 12),
	(11, 11, 15),
	(11, 11, 18),
	(11, 11, 21),
	(11, 12, 0),
	(11, 12, 3),
	(11, 12, 6),
	(11, 12, 9),
	(11, 12, 12),
	(11, 12, 15),
	(11, 12, 18),
	(11, 12, 21),
	(11, 13, 0),
	(11, 13, 3),
	(11, 13, 6),
	(11, 13, 9),
	(11, 13, 12),
	(11, 13, 15),
	(11, 13, 18),
	(11, 13, 21),
	(11, 14, 0),
	(11, 14, 3),
	(11, 14, 6),
	(11, 14, 9),
	(11, 14, 12),
	(11, 14, 15),
	(11, 14, 18),
	(11, 14, 21),
	(11, 15, 0),
	(11, 15, 3),
	(11, 15, 6),
	(11, 15, 9),
	(11, 15, 12),
	(11, 15, 15),
	(11, 15, 18),
	(11, 15, 21),
	(11, 16, 0),
	(11, 16, 3),
	(11, 16, 6),
	(11, 16, 9),
	(11, 16, 12),
	(11, 16, 15),
	(11, 16, 18),
	(11, 16, 21),
	(11, 17, 0),
	(11, 17, 3),
	(11, 17, 6),
	(11, 17, 9),
	(11, 17, 12),
	(11, 17, 15),
	(11, 17, 18),
	(11, 17, 21),
	(11, 18, 0),
	(11, 18, 3),
	(11, 18, 6),
	(11, 18, 9),
	(11, 18, 12),
	(11, 18, 15),
	(11, 18, 18),
	(11, 18, 21),
	(11, 19, 0),
	(11, 19, 3),
	(11, 19, 6),
	(11, 19, 9),
	(11, 19, 12),
	(11, 19, 15),
	(11, 19, 18),
	(11, 19, 21),
	(11, 20, 0),
	(11, 20, 3),
	(11, 20, 6),
	(11, 20, 9),
	(11, 20, 12),
	(11, 20, 15),
	(11, 20, 18),
	(11, 20, 21),
	(11, 21, 0),
	(11, 21, 3),
	(11, 21, 6),
	(11, 21, 9),
	(11, 21, 12),
	(11, 21, 15),
	(11, 21, 18),
	(11, 21, 21),
	(11, 22, 0),
	(11, 22, 3),
	(11, 22, 6),
	(11, 22, 9),
	(11, 22, 12),
	(11, 22, 15),
	(11, 22, 18),
	(11, 22, 21),
	(11, 23, 0),
	(11, 23, 3),
	(11, 23, 6),
	(11, 23, 9),
	(11, 23, 12),
	(11, 23, 15),
	(11, 23, 18),
	(11, 23, 21),
	(11, 24, 0),
	(11, 24, 3),
	(11, 24, 6),
	(11, 24, 9),
	(11, 24, 12),
	(11, 24, 15),
	(11, 24, 18),
	(11, 24, 21),
	(11, 25, 0),
	(11, 25, 3),
	(11, 25, 6),
	(11, 25, 9),
	(11, 25, 12),
	(11, 25, 15),
	(11, 25, 18),
	(11, 25, 21),
	(11, 26, 0),
	(11, 26, 3),
	(11, 26, 6),
	(11, 26, 9),
	(11, 26, 12),
	(11, 26, 15),
	(11, 26, 18),
	(11, 26, 21),
	(11, 27, 0),
	(11, 27, 3),
	(11, 27, 6),
	(11, 27, 9),
	(11, 27, 12),
	(11, 27, 15),
	(11, 27, 18),
	(11, 27, 21),
	(11, 28, 0),
	(11, 28, 3),
	(11, 28, 6),
	(11, 28, 9),
	(11, 28, 12),
	(11, 28, 15),
	(11, 28, 18),
	(11, 28, 21),
	(11, 29, 0),
	(11, 29, 3),
	(11, 29, 6),
	(11, 29, 9),
	(11, 29, 12),
	(11, 29, 15),
	(11, 29, 18),
	(11, 29, 21),
	(11, 30, 0),
	(11, 30, 3),
	(11, 30, 6),
	(11, 30, 9),
	(11, 30, 12),
	(11, 30, 15),
	(11, 30, 18),
	(11, 30, 21),
	(12, 1, 0),
	(12, 1, 3),
	(12, 1, 6),
	(12, 1, 9),
	(12, 1, 12),
	(12, 1, 15),
	(12, 1, 18),
	(12, 1, 21),
	(12, 2, 0),
	(12, 2, 3),
	(12, 2, 6),
	(12, 2, 9),
	(12, 2, 12),
	(12, 2, 15),
	(12, 2, 18),
	(12, 2, 21),
	(12, 3, 0),
	(12, 3, 3),
	(12, 3, 6),
	(12, 3, 9),
	(12, 3, 12),
	(12, 3, 15),
	(12, 3, 18),
	(12, 3, 21),
	(12, 4, 0),
	(12, 4, 3),
	(12, 4, 6),
	(12, 4, 9),
	(12, 4, 12),
	(12, 4, 15),
	(12, 4, 18),
	(12, 4, 21),
	(12, 5, 0),
	(12, 5, 3),
	(12, 5, 6),
	(12, 5, 9),
	(12, 5, 12),
	(12, 5, 15),
	(12, 5, 18),
	(12, 5, 21),
	(12, 6, 0),
	(12, 6, 3),
	(12, 6, 6),
	(12, 6, 9),
	(12, 6, 12),
	(12, 6, 15),
	(12, 6, 18),
	(12, 6, 21),
	(12, 7, 0),
	(12, 7, 3),
	(12, 7, 6),
	(12, 7, 9),
	(12, 7, 12),
	(12, 7, 15),
	(12, 7, 18),
	(12, 7, 21),
	(12, 8, 0),
	(12, 8, 3),
	(12, 8, 6),
	(12, 8, 9),
	(12, 8, 12),
	(12, 8, 15),
	(12, 8, 18),
	(12, 8, 21),
	(12, 9, 0),
	(12, 9, 3),
	(12, 9, 6),
	(12, 9, 9),
	(12, 9, 12),
	(12, 9, 15),
	(12, 9, 18),
	(12, 9, 21),
	(12, 10, 0),
	(12, 10, 3),
	(12, 10, 6),
	(12, 10, 9),
	(12, 10, 12),
	(12, 10, 15),
	(12, 10, 18),
	(12, 10, 21),
	(12, 11, 0),
	(12, 11, 3),
	(12, 11, 6),
	(12, 11, 9),
	(12, 11, 12),
	(12, 11, 15),
	(12, 11, 18),
	(12, 11, 21),
	(12, 12, 0),
	(12, 12, 3),
	(12, 12, 6),
	(12, 12, 9),
	(12, 12, 12),
	(12, 12, 15),
	(12, 12, 18),
	(12, 12, 21),
	(12, 13, 0),
	(12, 13, 3),
	(12, 13, 6),
	(12, 13, 9),
	(12, 13, 12),
	(12, 13, 15),
	(12, 13, 18),
	(12, 13, 21),
	(12, 14, 0),
	(12, 14, 3),
	(12, 14, 6),
	(12, 14, 9),
	(12, 14, 12),
	(12, 14, 15),
	(12, 14, 18),
	(12, 14, 21),
	(12, 15, 0),
	(12, 15, 3),
	(12, 15, 6),
	(12, 15, 9),
	(12, 15, 12),
	(12, 15, 15),
	(12, 15, 18),
	(12, 15, 21),
	(12, 16, 0),
	(12, 16, 3),
	(12, 16, 6),
	(12, 16, 9),
	(12, 16, 12),
	(12, 16, 15),
	(12, 16, 18),
	(12, 16, 21),
	(12, 17, 0),
	(12, 17, 3),
	(12, 17, 6),
	(12, 17, 9),
	(12, 17, 12),
	(12, 17, 15),
	(12, 17, 18),
	(12, 17, 21),
	(12, 18, 0),
	(12, 18, 3),
	(12, 18, 6),
	(12, 18, 9),
	(12, 18, 12),
	(12, 18, 15),
	(12, 18, 18),
	(12, 18, 21),
	(12, 19, 0),
	(12, 19, 3),
	(12, 19, 6),
	(12, 19, 9),
	(12, 19, 12),
	(12, 19, 15),
	(12, 19, 18),
	(12, 19, 21),
	(12, 20, 0),
	(12, 20, 3),
	(12, 20, 6),
	(12, 20, 9),
	(12, 20, 12),
	(12, 20, 15),
	(12, 20, 18),
	(12, 20, 21),
	(12, 21, 0),
	(12, 21, 3),
	(12, 21, 6),
	(12, 21, 9),
	(12, 21, 12),
	(12, 21, 15),
	(12, 21, 18),
	(12, 21, 21),
	(12, 22, 0),
	(12, 22, 3),
	(12, 22, 6),
	(12, 22, 9),
	(12, 22, 12),
	(12, 22, 15),
	(12, 22, 18),
	(12, 22, 21),
	(12, 23, 0),
	(12, 23, 3),
	(12, 23, 6),
	(12, 23, 9),
	(12, 23, 12),
	(12, 23, 15),
	(12, 23, 18),
	(12, 23, 21),
	(12, 24, 0),
	(12, 24, 3),
	(12, 24, 6),
	(12, 24, 9),
	(12, 24, 12),
	(12, 24, 15),
	(12, 24, 18),
	(12, 24, 21),
	(12, 25, 0),
	(12, 25, 3),
	(12, 25, 6),
	(12, 25, 9),
	(12, 25, 12),
	(12, 25, 15),
	(12, 25, 18),
	(12, 25, 21),
	(12, 26, 0),
	(12, 26, 3),
	(12, 26, 6),
	(12, 26, 9),
	(12, 26, 12),
	(12, 26, 15),
	(12, 26, 18),
	(12, 26, 21),
	(12, 27, 0),
	(12, 27, 3),
	(12, 27, 6),
	(12, 27, 9),
	(12, 27, 12),
	(12, 27, 15),
	(12, 27, 18),
	(12, 27, 21),
	(12, 28, 0),
	(12, 28, 3),
	(12, 28, 6),
	(12, 28, 9),
	(12, 28, 12),
	(12, 28, 15),
	(12, 28, 18),
	(12, 28, 21),
	(12, 29, 0),
	(12, 29, 3),
	(12, 29, 6),
	(12, 29, 9),
	(12, 29, 12),
	(12, 29, 15),
	(12, 29, 18),
	(12, 29, 21),
	(12, 30, 0),
	(12, 30, 3),
	(12, 30, 6),
	(12, 30, 9),
	(12, 30, 12),
	(12, 30, 15),
	(12, 30, 18),
	(12, 30, 21),
	(12, 31, 0),
	(12, 31, 3),
	(12, 31, 6),
	(12, 31, 9),
	(12, 31, 12),
	(12, 31, 15),
	(12, 31, 18),
	(12, 31, 21);
/*!40000 ALTER TABLE `seq_month_day_synoptime_leap_yr` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_db_v4.seq_year
CREATE TABLE IF NOT EXISTS `seq_year` (
  `yyyy` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_db_v4.seq_year: ~1 rows (approximately)
/*!40000 ALTER TABLE `seq_year` DISABLE KEYS */;
INSERT INTO `seq_year` (`yyyy`) VALUES
	(2001);
/*!40000 ALTER TABLE `seq_year` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_db_v4.ss
CREATE TABLE IF NOT EXISTS `ss` (
  `Cols` int(11) NOT NULL,
  `Element_abbreviation` varchar(20) DEFAULT NULL,
  `Element_Name` varchar(20) DEFAULT NULL,
  `Element_Details` varchar(25) DEFAULT NULL,
  `Climsoft_Element` varchar(6) DEFAULT NULL,
  `Bufr_Element` varchar(6) DEFAULT NULL,
  `unit` varchar(15) DEFAULT NULL,
  `lower_limit` varchar(10) DEFAULT NULL,
  `upper_limit` varchar(10) DEFAULT NULL,
  `obsv` varchar(25) DEFAULT NULL,
  UNIQUE KEY `identification` (`Cols`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- Dumping data for table mariadb_climsoft_db_v4.ss: ~0 rows (approximately)
/*!40000 ALTER TABLE `ss` DISABLE KEYS */;
/*!40000 ALTER TABLE `ss` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_db_v4.station
CREATE TABLE IF NOT EXISTS `station` (
  `stationId` varchar(255) NOT NULL,
  `stationName` varchar(255) DEFAULT NULL,
  `wmoid` varchar(20) DEFAULT NULL,
  `icaoid` varchar(20) DEFAULT NULL,
  `latitude` double(11,6) DEFAULT NULL,
  `qualifier` varchar(20) DEFAULT NULL,
  `longitude` double(11,6) DEFAULT NULL,
  `elevation` varchar(255) DEFAULT NULL,
  `geoLocationMethod` varchar(255) DEFAULT NULL,
  `geoLocationAccuracy` float(11,6) DEFAULT NULL,
  `openingDatetime` varchar(50) DEFAULT NULL,
  `closingDatetime` varchar(50) DEFAULT NULL,
  `country` varchar(50) DEFAULT NULL,
  `authority` varchar(255) DEFAULT NULL,
  `adminRegion` varchar(255) DEFAULT NULL,
  `drainageBasin` varchar(255) DEFAULT NULL,
  `wacaSelection` tinyint(4) DEFAULT '0',
  `cptSelection` tinyint(4) DEFAULT '0',
  `stationOperational` tinyint(4) DEFAULT '0',
  PRIMARY KEY (`stationId`),
  KEY `StationStationId` (`stationId`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_db_v4.station: ~0 rows (approximately)
/*!40000 ALTER TABLE `station` DISABLE KEYS */;
/*!40000 ALTER TABLE `station` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_db_v4.stationelement
CREATE TABLE IF NOT EXISTS `stationelement` (
  `recordedFrom` varchar(255) DEFAULT NULL,
  `describedBy` bigint(20) DEFAULT NULL,
  `recordedWith` varchar(255) DEFAULT NULL,
  `instrumentcode` varchar(6) DEFAULT NULL,
  `scheduledFor` varchar(255) DEFAULT NULL,
  `height` float(6,2) DEFAULT NULL,
  `beginDate` varchar(50) DEFAULT NULL,
  `endDate` varchar(50) DEFAULT NULL,
  UNIQUE KEY `stationElementIdentification` (`recordedFrom`,`describedBy`,`recordedWith`,`beginDate`),
  KEY `obsElementobservationInitial` (`describedBy`),
  KEY `stationobservationInitial` (`recordedFrom`),
  KEY `FK_mysql_climsoft_db_v4_elementRecordedWith` (`recordedWith`),
  KEY `FK_mysql_climsoft_db_v4_elementScheduledFor` (`scheduledFor`),
  CONSTRAINT `FK_mysql_climsoft_db_v4_elementDescribedBy` FOREIGN KEY (`describedBy`) REFERENCES `obselement` (`elementId`),
  CONSTRAINT `FK_mysql_climsoft_db_v4_elementRecordedWith` FOREIGN KEY (`recordedWith`) REFERENCES `instrument` (`instrumentId`),
  CONSTRAINT `FK_mysql_climsoft_db_v4_elementScheduledFor` FOREIGN KEY (`scheduledFor`) REFERENCES `obsscheduleclass` (`scheduleClass`),
  CONSTRAINT `FK_mysql_climsoft_db_v4_staionRecordedFrom` FOREIGN KEY (`recordedFrom`) REFERENCES `station` (`stationId`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_db_v4.stationelement: ~0 rows (approximately)
/*!40000 ALTER TABLE `stationelement` DISABLE KEYS */;
/*!40000 ALTER TABLE `stationelement` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_db_v4.stationidalias
CREATE TABLE IF NOT EXISTS `stationidalias` (
  `idAlias` varchar(255) DEFAULT NULL,
  `refersTo` varchar(255) DEFAULT NULL,
  `belongsTo` varchar(255) DEFAULT NULL,
  `idAliasBeginDate` varchar(50) DEFAULT NULL,
  `idAliasEndDate` varchar(50) DEFAULT NULL,
  UNIQUE KEY `stationid_alias_identification` (`idAlias`),
  KEY `stationstationidAlias` (`belongsTo`),
  CONSTRAINT `FK_mysql_climsoft_db_v4_station_stationIdAlias` FOREIGN KEY (`belongsTo`) REFERENCES `station` (`stationId`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_db_v4.stationidalias: ~0 rows (approximately)
/*!40000 ALTER TABLE `stationidalias` DISABLE KEYS */;
/*!40000 ALTER TABLE `stationidalias` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_db_v4.stationlocationhistory
CREATE TABLE IF NOT EXISTS `stationlocationhistory` (
  `belongsTo` varchar(255) DEFAULT NULL,
  `stationType` varchar(255) DEFAULT NULL,
  `geoLocationMethod` varchar(255) DEFAULT NULL,
  `geoLocationAccuracy` float(11,6) DEFAULT NULL,
  `openingDatetime` varchar(50) DEFAULT NULL,
  `closingDatetime` varchar(50) DEFAULT NULL,
  `latitude` double(11,6) DEFAULT NULL,
  `longitude` double(11,6) DEFAULT NULL,
  `elevation` bigint(20) DEFAULT NULL,
  `authority` varchar(255) DEFAULT NULL,
  `adminRegion` varchar(255) DEFAULT NULL,
  `drainageBasin` varchar(255) DEFAULT NULL,
  UNIQUE KEY `history` (`belongsTo`,`openingDatetime`),
  CONSTRAINT `FK_mysql_climsoft_db_v4_station_stationLocationHistory` FOREIGN KEY (`belongsTo`) REFERENCES `station` (`stationId`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_db_v4.stationlocationhistory: ~0 rows (approximately)
/*!40000 ALTER TABLE `stationlocationhistory` DISABLE KEYS */;
/*!40000 ALTER TABLE `stationlocationhistory` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_db_v4.stationnetworkdefinition
CREATE TABLE IF NOT EXISTS `stationnetworkdefinition` (
  `networkAbbreviation` varchar(255) NOT NULL DEFAULT '',
  `networkFullName` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`networkAbbreviation`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_db_v4.stationnetworkdefinition: ~0 rows (approximately)
/*!40000 ALTER TABLE `stationnetworkdefinition` DISABLE KEYS */;
/*!40000 ALTER TABLE `stationnetworkdefinition` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_db_v4.stationqualifier
CREATE TABLE IF NOT EXISTS `stationqualifier` (
  `qualifier` varchar(255) DEFAULT NULL,
  `qualifierBeginDate` varchar(50) DEFAULT NULL,
  `qualifierEndDate` varchar(50) DEFAULT NULL,
  `stationTimeZone` int(11) DEFAULT '0',
  `stationNetworkType` varchar(255) DEFAULT NULL,
  `belongsTo` varchar(255) DEFAULT NULL,
  UNIQUE KEY `stationid_qualifier_identification` (`qualifier`,`qualifierBeginDate`,`qualifierEndDate`,`belongsTo`),
  KEY `stationQualifierIdentification` (`belongsTo`),
  CONSTRAINT `FK_mysql_climsoft_db_v4_station_qualifier` FOREIGN KEY (`belongsTo`) REFERENCES `station` (`stationId`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_db_v4.stationqualifier: ~0 rows (approximately)
/*!40000 ALTER TABLE `stationqualifier` DISABLE KEYS */;
/*!40000 ALTER TABLE `stationqualifier` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_db_v4.synopfeature
CREATE TABLE IF NOT EXISTS `synopfeature` (
  `abbreviation` varchar(255) NOT NULL,
  `description` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`abbreviation`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_db_v4.synopfeature: ~0 rows (approximately)
/*!40000 ALTER TABLE `synopfeature` DISABLE KEYS */;
/*!40000 ALTER TABLE `synopfeature` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_db_v4.tblproducts
CREATE TABLE IF NOT EXISTS `tblproducts` (
  `productId` varchar(10) NOT NULL,
  `productName` varchar(50) DEFAULT NULL,
  `prDetails` varchar(50) DEFAULT NULL,
  `prCategory` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`productId`),
  KEY `productId` (`productId`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_db_v4.tblproducts: ~22 rows (approximately)
/*!40000 ALTER TABLE `tblproducts` DISABLE KEYS */;
INSERT INTO `tblproducts` (`productId`, `productName`, `prDetails`, `prCategory`) VALUES
	('0', 'Minutes', 'Minutes observations', 'Data'),
	('01', 'Inventory', 'Details of Data Records', 'Inventory'),
	('02', 'Hourly', 'Summaries of Hourly Observations', 'Data'),
	('03', 'Daily', 'Summaries of Daily Observation', 'Data'),
	('04', 'Pentad', '5 Days Summeries', 'Data'),
	('05', 'Dekadal', '10 Days Summaries', 'Data'),
	('06', 'Monthly', 'Monthly Summaries', 'Data'),
	('07', 'Annual', 'Annual Summaries', 'Data'),
	('08', 'Means', 'Long Term Means', 'Data'),
	('09', 'Extremes', 'Long Term', 'Data'),
	('10', 'WindRose', 'Wind Rose Picture', 'Graphics'),
	('11', 'TimeSeries', 'Time Series Chart', 'Graphics'),
	('12', 'Histograms', 'Histogram Chart', 'Graphics'),
	('13', 'Instat', 'Daily Data for Instat', 'Output for other Applications'),
	('14', 'Rclimdex', 'Daily Data for Rclimdex', 'Output for other Applications'),
	('15', 'CPT', 'Data for CPT', 'Output for other Applications'),
	('16', 'GeoCLIM Monthly', 'Monthly Data for GeoCLIM', 'Output for other Applications'),
	('17', 'GeoCLIM Dekadal', 'Dekadal Data for Geoclim', 'Output for other Applications'),
	('18', 'GeoCLIM Daily', 'Daily Data for Geoclim', 'Output for other Applications'),
	('19', 'ACMADBulletin', 'ACMAD Dekadal Bulletin', 'Summaries'),
	('20', 'CLIMAT', 'CLIMAT Messages', 'Messages'),
	('21', 'Missing Data', 'Inventory of Missing Data', 'Inventory');
/*!40000 ALTER TABLE `tblproducts` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_db_v4.tdcf_indicators
CREATE TABLE IF NOT EXISTS `tdcf_indicators` (
  `CREX_Edition` int(11) DEFAULT '0',
  `CREX_Table` int(11) DEFAULT '0',
  `BUFR_Table` int(11) DEFAULT '0',
  `Local_Table` int(11) DEFAULT '0',
  `Data_Category` int(11) DEFAULT '0',
  `Data_SubCategory` int(11) DEFAULT '0',
  `Originating_Centre` int(11) DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_db_v4.tdcf_indicators: ~0 rows (approximately)
/*!40000 ALTER TABLE `tdcf_indicators` DISABLE KEYS */;
/*!40000 ALTER TABLE `tdcf_indicators` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_db_v4.testing_aws
CREATE TABLE IF NOT EXISTS `testing_aws` (
  `Cols` int(11) NOT NULL,
  `Element_abbreviation` varchar(20) DEFAULT NULL,
  `Element_Name` varchar(20) DEFAULT NULL,
  `Element_Details` varchar(25) DEFAULT NULL,
  `Climsoft_Element` varchar(6) DEFAULT NULL,
  `Bufr_Element` varchar(6) DEFAULT NULL,
  `unit` varchar(15) DEFAULT NULL,
  `lower_limit` varchar(10) DEFAULT NULL,
  `upper_limit` varchar(10) DEFAULT NULL,
  `obsv` varchar(25) DEFAULT NULL,
  UNIQUE KEY `identification` (`Cols`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- Dumping data for table mariadb_climsoft_db_v4.testing_aws: ~0 rows (approximately)
/*!40000 ALTER TABLE `testing_aws` DISABLE KEYS */;
/*!40000 ALTER TABLE `testing_aws` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_db_v4.testing_aws1
CREATE TABLE IF NOT EXISTS `testing_aws1` (
  `Cols` int(11) NOT NULL,
  `Element_abbreviation` varchar(20) DEFAULT NULL,
  `Element_Name` varchar(20) DEFAULT NULL,
  `Element_Details` varchar(25) DEFAULT NULL,
  `Climsoft_Element` varchar(6) DEFAULT NULL,
  `Bufr_Element` varchar(6) DEFAULT NULL,
  `unit` varchar(15) DEFAULT NULL,
  `lower_limit` varchar(10) DEFAULT NULL,
  `upper_limit` varchar(10) DEFAULT NULL,
  `obsv` varchar(25) DEFAULT NULL,
  UNIQUE KEY `identification` (`Cols`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- Dumping data for table mariadb_climsoft_db_v4.testing_aws1: ~0 rows (approximately)
/*!40000 ALTER TABLE `testing_aws1` DISABLE KEYS */;
/*!40000 ALTER TABLE `testing_aws1` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_db_v4.tm_307073
CREATE TABLE IF NOT EXISTS `tm_307073` (
  `order` double DEFAULT NULL,
  `Bufr_Template` varchar(255) DEFAULT NULL,
  `CREX_Template` varchar(255) DEFAULT NULL,
  `Sequence_Descriptor1` varchar(255) DEFAULT NULL,
  `Sequence_Descriptor0` varchar(255) DEFAULT NULL,
  `Bufr_Element` varchar(255) DEFAULT NULL,
  `Crex_Element` varchar(255) DEFAULT NULL,
  `Climsoft_Element` varchar(255) DEFAULT NULL,
  `Element_Name` varchar(255) DEFAULT NULL,
  `Crex_Unit` varchar(255) DEFAULT NULL,
  `Crex_Scale` varchar(255) DEFAULT NULL,
  `Crex_DataWidth` varchar(255) DEFAULT NULL,
  `Bufr_Unit` varchar(255) DEFAULT NULL,
  `Bufr_Scale` double DEFAULT NULL,
  `Bufr_RefValue` double DEFAULT NULL,
  `Bufr_DataWidth_Bits` double DEFAULT NULL,
  `Selected` tinyint(4) DEFAULT NULL,
  `Observation` varchar(255) DEFAULT NULL,
  `Crex_Data` varchar(255) DEFAULT NULL,
  `Bufr_Data` varchar(255) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_db_v4.tm_307073: ~183 rows (approximately)
/*!40000 ALTER TABLE `tm_307073` DISABLE KEYS */;
INSERT INTO `tm_307073` (`order`, `Bufr_Template`, `CREX_Template`, `Sequence_Descriptor1`, `Sequence_Descriptor0`, `Bufr_Element`, `Crex_Element`, `Climsoft_Element`, `Element_Name`, `Crex_Unit`, `Crex_Scale`, `Crex_DataWidth`, `Bufr_Unit`, `Bufr_Scale`, `Bufr_RefValue`, `Bufr_DataWidth_Bits`, `Selected`, `Observation`, `Crex_Data`, `Bufr_Data`) VALUES
	(128, '', '', '', '008053', '008053', 'B08053', '210_ds', 'Day of occurrence qualifier', 'Code table', '0', '1', 'Code table', 0, 0, 2, 1, '', '', ''),
	(129, '', '', '', '004003', '004003', 'B04003', '210_D', 'Day', 'Day', '0', '2', 'Day', 0, 0, 6, 1, '', '', ''),
	(130, '', '', '', '013052', '013052', 'B13052', '210', 'Highest daily amount of precipitation', 'kg m-2', '1', '5', 'kg m-2', 1, -1, 14, 1, '', '', ''),
	(131, '', '', '', '007032', '007032', 'B07032', 'precip_ht_cancel', 'Height of sensor above local ground (or deck of marine platform) (see Note 5)', 'm', '2', '5', 'm', 2, 0, 16, 1, '', '', ''),
	(132, '', '', '307072', '004001', '004001', 'B04001', 'Normal_beginyear', 'Year', 'Year', '0', '4', 'Year', 0, 0, 12, 1, '', '', ''),
	(133, '', '', '', '004001', '004001', 'B04001', 'Normal_endyear', 'Year', 'Year', '0', '4', 'Year', 0, 0, 12, 1, '', '', ''),
	(134, '', '', '', '004002', '004002', 'B04002', 'Normal_month', 'Month', 'Month', '0', '2', 'Month', 0, 0, 4, 1, '', '', ''),
	(135, '', '', '', '004003', '004003', 'B04003', 'Normal_day', 'Day', 'Day', '0', '2', 'Day', 0, 0, 6, 1, '', '', ''),
	(136, '', '', '', '004004', '004004', 'B04004', 'Normal_hour', 'Hour', 'Hour', '0', '2', 'Hour', 0, 0, 5, 1, '', '', ''),
	(137, '', '', '', '004074', '004074', 'B04074', 'Sdisp', 'Short time period or displacement', 'Hour', '0', '2', 'Hour', 0, -128, 8, 1, '', '', ''),
	(138, '', '', '', '004022', '004022', 'B04022', 'Normal_Tdisp', 'Time period or displacement', 'Month', '0', '4', 'Month', 0, -1024, 11, 1, '', '', ''),
	(139, '', '', '', '008023', '008023', 'B08023', 'Sts_04', 'First order statistics (=4; mean value)', 'Code table', '0', '2', 'Code table', 0, 0, 6, 1, '', '', ''),
	(140, '', '', '', '010004', '010004', 'B10004', '106_N', 'Pressure', 'Pa', ' -1', '5', 'Pa', -1, 0, 14, 1, '', '', ''),
	(141, '', '', '', '010051', '010051', 'B10051', '107_N', 'Pressure reduced to mean sea level', 'Pa', '-1', '5', 'Pa', -1, 0, 14, 1, '', '', ''),
	(142, '', '', '', '007004', '007004', 'B07004', '301_N', 'Pressure standard level', 'Pa', '-1', '5', 'Pa', -1, 0, 14, 1, '', '', ''),
	(143, '', '', '', '010009', '010009', 'B10009', '185_N', 'Geopotential height', 'gpm', '0', '5', 'gpm', 0, -1000, 17, 1, '', '', ''),
	(144, '', '', '', '007032', '007032', 'B07032', 'temp_ht', 'Height of sensor above local ground (or deck of marine platform) (see Note 5)', 'm', '2', '5', 'm', 2, 0, 16, 1, '', '', ''),
	(145, '', '', '', '012101', '012101', 'B12101', '101_N', 'Temperature/dry-bulb temperature', '°C', '2', '4', 'K', 2, 0, 16, 1, '', '', ''),
	(146, '', '', '', '002051', '002051', 'B02051', 'station_type', 'Indicator to specify observing method for extreme temperatures', 'Code table', '0', '2', 'Code table', 0, 0, 4, 1, '', '', ''),
	(1, '307073', 'D07073', '307071', '301090', '001001', 'B01001', 'wmo_block', 'WMO block number', 'Numeric', '0', '2', 'Numeric', 0, 0, 7, 1, '', '', ''),
	(37, NULL, NULL, NULL, NULL, '008050', 'B08050', 'Qualifier_04', 'Qualifier for number of missing values in calculation of statistic vapour pressure', 'Code table', '0', '2', 'Code table', 0, 0, 4, 1, '', '', ''),
	(38, NULL, NULL, NULL, NULL, '008020', 'B08020', '281_ds', 'Total number of missing days for vapour pressure', 'Numeric', '0', '5', 'Numeric', 0, 0, 16, 1, '', '', ''),
	(39, NULL, NULL, NULL, NULL, '008050', 'B08050', 'Qualifier_07', 'Qualifier for number of missing values in calculation of statistic maximum temperature', 'Code table', '0', '2', 'Code table', 0, 0, 4, 1, '', '', ''),
	(40, NULL, NULL, NULL, NULL, '008020', 'B08020', '201_ds', 'Total number of missing days for maximum temperature', 'Numeric', '0', '5', 'Numeric', 0, 0, 16, 1, '', '', ''),
	(41, NULL, NULL, NULL, NULL, '008050', 'B08050', 'Qualifier_08', 'Qualifier for number of missing values in calculation of statistic minumum temperature', 'Code table', '0', '2', 'Code table', 0, 0, 4, 1, '', '', ''),
	(42, NULL, NULL, NULL, NULL, '008020', 'B08020', '202_ds', 'Total number of missing days for minimum temperature', 'Numeric', '0', '5', 'Numeric', 0, 0, 16, 1, '', '', ''),
	(43, '', '', '', '014032', '014032', 'B14032', '268', 'Total sunshine', 'Hour', '0', '4', 'Hour', 0, 0, 10, 1, '', '', ''),
	(44, '', '', '', '014033', '014033', 'B14033', 'sh_N_P', 'Total sunshine in percentage of Normal', '%', '0', '3', '%', 0, 0, 9, 1, '', '', ''),
	(45, '', '', '', '008050', '008050', 'B08050', 'Qualifier_06', 'Qualifier for number of missing values in calculation of statistic', 'Code table', '0', '2', 'Code table', 0, 0, 4, 1, '', '', ''),
	(46, '', '', '', '008020', '008020', 'B08020', '268_ds', 'Total number of missing entities (with respect to accumulation or average)', 'Numeric', '0', '5', 'Numeric', 0, 0, 16, 1, '', '', ''),
	(47, '', '', '', '102018', '102018', 'R02018', '', 'Replicate 2 descriptors 18 times', '', '', '', '', NULL, NULL, NULL, 0, '', '', ''),
	(48, '', '', '', NULL, '008052', 'B08052', 'Condition_00', 'Condition for which number of days of occurrence follows for wind >=10 m/s2', 'Code table ', '0', '2', 'Code table', 0, 0, 5, 1, '', '', ''),
	(49, '', '', '', NULL, '008022', 'B08022', 'ff10', 'Total number (with respect to accumulation or average) for', 'Numeric', '0', '5', 'Numeric', 0, 0, 16, 1, '', '', ''),
	(50, NULL, NULL, NULL, NULL, '008052', 'B08052', 'Condition_01', 'Condition for which number of days of occurrence follows for wind >=20 m/s2', 'Code table ', '0', '2', 'Code table', 0, 0, 5, 1, '', '', ''),
	(51, NULL, NULL, NULL, NULL, '008022', 'B08022', 'ff20', 'Total number (with respect to accumulation or average) for', 'Numeric', '0', '5', 'Numeric', 0, 0, 16, 1, '', '', ''),
	(52, NULL, NULL, NULL, NULL, '008052', 'B08052', 'Condition_02', 'Condition for which number of days of occurrence follows for wind >=30 m/s2', 'Code table ', '0', '2', 'Code table', 0, 0, 5, 1, '', '', ''),
	(53, NULL, NULL, NULL, NULL, '008022', 'B08022', 'ff30', 'Total number (with respect to accumulation or average) for', 'Numeric', '0', '5', 'Numeric', 0, 0, 16, 1, '', '', ''),
	(54, NULL, NULL, NULL, NULL, '008052', 'B08052', 'Condition_03', 'Condition for which number of days of occurrence follows for  Tx < 0\' C', 'Code table ', '0', '2', 'Code table', 0, 0, 5, 1, '', '', ''),
	(55, NULL, NULL, NULL, NULL, '008022', 'B08022', 'Tx0', 'Total number (with respect to accumulation or average) for ', 'Numeric', '0', '5', 'Numeric', 0, 0, 16, 1, '', '', ''),
	(56, NULL, NULL, NULL, NULL, '008052', 'B08052', 'Condition_04', 'Condition for which number of days of occurrence follows for Tx >= 25\' C', 'Code table ', '0', '2', 'Code table', 0, 0, 5, 1, '', '', ''),
	(57, NULL, NULL, NULL, NULL, '008022', 'B08022', 'Tx25', 'Total number (with respect to accumulation or average) for', 'Numeric', '0', '5', 'Numeric', 0, 0, 16, 1, '', '', ''),
	(58, NULL, NULL, NULL, NULL, '008052', 'B08052', 'Condition_05', 'Condition for which number of days of occurrence follows for Tx >= 30\' C', 'Code table ', '0', '2', 'Code table', 0, 0, 5, 1, '', '', ''),
	(59, NULL, NULL, NULL, NULL, '008022', 'B08022', 'Tx30', 'Total number (with respect to accumulation or average) for', 'Numeric', '0', '5', 'Numeric', 0, 0, 16, 1, '', '', ''),
	(60, NULL, NULL, NULL, NULL, '008052', 'B08052', 'Condition_06', 'Condition for which number of days of occurrence follows for Tx >= 35\' C', 'Code table ', '0', '2', 'Code table', 0, 0, 5, 1, '', '', ''),
	(61, NULL, NULL, NULL, NULL, '008022', 'B08022', 'Tx35', 'Total number (with respect to accumulation or average) for', 'Numeric', '0', '5', 'Numeric', 0, 0, 16, 1, '', '', ''),
	(62, NULL, NULL, NULL, NULL, '008052', 'B08052', 'Condition_07', 'Condition for which number of days of occurrence follows for Tx >= 40\' C', 'Code table ', '0', '2', 'Code table', 0, 0, 5, 1, '', '', ''),
	(63, NULL, NULL, NULL, NULL, '008022', 'B08022', 'Tx40', 'Total number (with respect to accumulation or average) for', 'Numeric', '0', '5', 'Numeric', 0, 0, 16, 1, '', '', ''),
	(64, NULL, NULL, NULL, NULL, '008052', 'B08052', 'Condition_08', 'Condition for which number of days of occurrence follows for Tn < 0\' C', 'Code table ', '0', '2', 'Code table', 0, 0, 5, 1, '', '', ''),
	(65, NULL, NULL, NULL, NULL, '008022', 'B08022', 'Tn0', 'Total number (with respect to accumulation or average) for', 'Numeric', '0', '5', 'Numeric', 0, 0, 16, 1, '', '', ''),
	(66, NULL, NULL, NULL, NULL, '008052', 'B08052', 'Condition_16', 'Condition for which number of days of occurrence follows for snow depth > 0.0 m', 'Code table ', '0', '2', 'Code table', 0, 0, 5, 1, '', '', ''),
	(67, NULL, NULL, NULL, NULL, '008022', 'B08022', 'ss0', 'Total number (with respect to accumulation or average) for snow depth > 0.00 m', 'Numeric', '0', '5', 'Numeric', 0, 0, 16, 1, '', '', ''),
	(68, NULL, NULL, NULL, NULL, '008052', 'B08052', 'Condition_17', 'Condition for which number of days of occurrence follows for snow depth > 0.01 m', 'Code table ', '0', '2', 'Code table', 0, 0, 5, 1, '', '', ''),
	(69, NULL, NULL, NULL, NULL, '008022', 'B08022', 'ss1', 'Total number (with respect to accumulation or average) for snow depth > 0.01 m', 'Numeric', '0', '5', 'Numeric', 0, 0, 16, 1, '', '', ''),
	(70, NULL, NULL, NULL, NULL, '008052', 'B08052', 'Condition_18', 'Condition for which number of days of occurrence follows for snow depth > 0.10 m', 'Code table ', '0', '2', 'Code table', 0, 0, 5, 1, '', '', ''),
	(71, NULL, NULL, NULL, NULL, '008022', 'B08022', 'ss10', 'Total number (with respect to accumulation or average) for snow depth > 0.10 m', 'Numeric', '0', '5', 'Numeric', 0, 0, 16, 1, '', '', ''),
	(72, NULL, NULL, NULL, NULL, '008052', 'B08052', 'Condition_19', 'Condition for which number of days of occurrence follows for snow depth > 0.50 m', 'Code table ', '0', '2', 'Code table', 0, 0, 5, 1, '', '', ''),
	(73, NULL, NULL, NULL, NULL, '008022', 'B08022', 'ss50', 'Total number (with respect to accumulation or average) for snow depth > 0.50 m', 'Numeric', '0', '5', 'Numeric', 0, 0, 16, 1, '', '', ''),
	(74, NULL, NULL, NULL, NULL, '008052', 'B08052', 'Condition_20', 'Condition for which number of days of occurrence follows for visbility < 50 m', 'Code table ', '0', '2', 'Code table', 0, 0, 5, 1, '', '', ''),
	(75, NULL, NULL, NULL, NULL, '008022', 'B08022', 'VV50', 'Total number (with respect to accumulation or average) for', 'Numeric', '0', '5', 'Numeric', 0, 0, 16, 1, '', '', ''),
	(76, NULL, NULL, NULL, NULL, '008052', 'B08052', 'Condition_21', 'Condition for which number of days of occurrence follows for < 100 m', 'Code table ', '0', '2', 'Code table', 0, 0, 5, 1, '', '', ''),
	(77, NULL, NULL, NULL, NULL, '008022', 'B08022', 'VV100', 'Total number (with respect to accumulation or average) for', 'Numeric', '0', '5', 'Numeric', 0, 0, 16, 1, '', '', ''),
	(78, NULL, NULL, NULL, NULL, '008052', 'B08052', 'Condition_22', 'Condition for which number of days of occurrence follows for < 1000 m', 'Code table ', '0', '2', 'Code table', 0, 0, 5, 1, '', '', ''),
	(79, NULL, NULL, NULL, NULL, '008022', 'B08022', 'VV1000', 'Total number (with respect to accumulation or average) for', 'Numeric', '0', '5', 'Numeric', 0, 0, 16, 1, '', '', ''),
	(80, NULL, NULL, NULL, NULL, '008052', 'B08052', 'Condition_23', 'Condition for which number of days of occurrence follows for hail', 'Code table ', '0', '2', 'Code table', 0, 0, 5, 1, '', '', ''),
	(81, NULL, NULL, NULL, NULL, '008022', 'B08022', 'DDgr', 'Total number (with respect to accumulation or average) for', 'Numeric', '0', '5', 'Numeric', 0, 0, 16, 1, '', '', ''),
	(82, NULL, NULL, NULL, NULL, '008052', 'B08052', 'Condition_24', 'Condition for which number of days of occurrence follows for thunderstorm', 'Code table ', '0', '2', 'Code table', 0, 0, 5, 1, '', '', ''),
	(83, NULL, NULL, NULL, NULL, '008022', 'B08022', 'DDts', 'Total number (with respect to accumulation or average) for', 'Numeric', '0', '5', 'Numeric', 0, 0, 16, 1, '', '', ''),
	(84, '', '', '', '007032', '007032', 'B07032', 'temp_ht', 'Height of sensor above local ground (or deck of marine platform) (see Note 5)', 'm', '2', '5', 'm', 2, 0, 16, 1, '', '', ''),
	(85, '', '', '', '008053', '008053', 'B08053', '205_ds', 'Day of occurrence qualifier', 'Code table', '0', '1', 'Code table', 0, 0, 2, 1, '', '', ''),
	(86, '', '', '', '004003', '004003', 'B04003', '205', 'Day', 'Day', '0', '2', 'Day', 0, 0, 6, 1, '', '', ''),
	(87, '', '', '', '012152', '012152', 'B12152', '204', 'Highest daily mean temperature', '°C', '2', '4', 'K', 2, 0, 16, 1, '', '', ''),
	(88, '', '', '', '008053', '008053', 'B08053', '207_ds', 'Day of occurrence qualifier', 'Code table', '0', '1', 'Code table', 0, 0, 2, 1, '', '', ''),
	(89, '', '', '', '004003', '004003', 'B04003', '207', 'Day', 'Day', '0', '2', 'Day', 0, 0, 6, 1, '', '', ''),
	(90, '', '', '', '012153', '012153', 'B12153', '206', 'Lowest daily mean temperature', '°C', '2', '4', 'K', 2, 0, 16, 1, '', '', ''),
	(91, '', '', '', '008053', '008053', 'B08053', '101_xds', 'Day of occurrence qualifier', 'Code table', '0', '1', 'Code table', 0, 0, 2, 1, '', '', ''),
	(92, '', '', '', '004003', '004003', 'B04003', '101_xD', 'Day', 'Day', '0', '2', 'Day', 0, 0, 6, 1, '', '', ''),
	(93, '', '', '', '008023', '008023', 'B08023', 'Sts_02', 'First order statistics (=2; maximum value)', 'Code table', '0', '2', 'Code table', 0, 0, 6, 1, '', '', ''),
	(94, '', '', '', '012101', '012101', 'B12101', '101_x', 'Temperature/dry-bulb temperature', '°C', '2', '4', 'K', 2, 0, 16, 1, '', '', ''),
	(95, '', '', '', '008053', '008053', 'B08053', '101_nds', 'Day of occurrence qualifier', 'Code table', '0', '1', 'Code table', 0, 0, 2, 1, '', '', ''),
	(96, '', '', '', '004003', '004003', 'B04003', '101_nD', 'Day', 'Day', '0', '2', 'Day', 0, 0, 6, 1, '', '', ''),
	(97, '', '', '', '008023', '008023', 'B08023', 'Sts_03', 'First order statistics (=3; minimum value)', 'Code table', '0', '2', 'Code table', 0, 0, 6, 1, '', '', ''),
	(98, '', '', '', '012101', '012101', 'B12101', '101_n', 'Temperature/dry-bulb temperature', '°C', '2', '4', 'K', 2, 0, 16, 1, '', '', ''),
	(99, '', '', '', '008023', '008023', 'B08023', 'Sts_cancel', 'First order statistics (Set to missing to cancel the previous value)', 'Code table', '0', '2', 'Code table', 0, 0, 6, 1, '', '', ''),
	(100, '', '', '', '007032', '007032', 'B07032', 'w_ht', 'Height of sensor above local ground (or deck of marine platform) (see Note 5)', 'm', '2', '5', 'm', 2, 0, 16, 1, '', '', ''),
	(101, '', '', '', '002002', '002002', 'B02002', 'w_I', 'Type of instrumentation for wind measurement', 'Flag table', '0', '2', 'Flag table', 0, 0, 4, 1, '', '', ''),
	(102, '', '', '', '008053', '008053', 'B08053', '58_ds', 'Day of occurrence qualifier', 'Code table', '0', '1', 'Code table', 0, 0, 2, 1, '', '', ''),
	(103, '', '', '', '004003', '004003', 'B04003', '58_D', 'Day', 'Day', '0', '2', 'Day', 0, 0, 6, 1, '', '', ''),
	(104, '', '', '', '011046', '011046', 'B11046', '58', 'Maximum instantaneous wind speed', 'm s-1', '1', '4', 'm s-1', 1, 0, 12, 1, '', '', ''),
	(105, '', '', '', '008053', '008053', 'B08053', 'ds_cancel', 'Day of occurrence qualifier', 'Code table', '0', '1', 'Code table', 0, 0, 2, 1, '', '', ''),
	(106, '', '', '', '004003', '004003', 'B04003', 'precip_datetime_day', 'Day', 'Day', '0', '2', 'Day', 0, 0, 6, 1, '', '', ''),
	(107, '', '', '', '004004', '004004', 'B04004', 'precip_datetime_hour', 'Hour', 'Hour', '0', '2', 'Hour', 0, 0, 5, 1, '', '', ''),
	(108, '', '', '', '004023', '004023', 'B04023', 'Tdisp', 'Time period or displacement', 'Day', '0', '4', 'Day', 0, -1024, 11, 1, '', '', ''),
	(109, '', '', '', '007032', '007032', 'B07032', 'precip_ht', 'Height of sensor above local ground (or deck of marine platform) (see Note 5)', 'm', '2', '5', 'm', 2, 0, 16, 1, '', '', ''),
	(110, '', '', '', '013060', '013060', 'B13060', '208', 'Total accumulated precipitation', 'kg m-2', '1', '5', 'kg m-2', 1, -1, 17, 1, '', '', ''),
	(111, '', '', '', '013051', '013051', 'B13051', 'precip_fr', 'Frequency group, precipitation', 'Code table', '0', '2', 'Code table', 0, 0, 4, 1, '', '', ''),
	(112, '', '', '', '004053', '004053', 'B04053', '208_ds', 'Number of days with precipitation equal to or more than 1 mm', 'Numeric', '0', '2', 'Numeric', 0, 0, 6, 1, '', '', ''),
	(113, '', '', '', '008050', '008050', 'B08050', 'Qualifier_05', 'Qualifier for number of missing values in calculation of statistic', 'Code table', '0', '2', 'Code table', 0, 0, 4, 1, '', '', ''),
	(21, '', '', '', '007032', '007032', 'B07032', 'temp_ht', 'Height of sensor above local ground (or deck of marine platform) (see Note 5)', 'm', '2', '5', 'm', 2, 0, 16, 1, '', '', ''),
	(22, '', '', '', '012101', '012101', 'B12101', '203', 'Temperature/dry-bulb temperature', '°C', '2', '4', 'K', 2, 0, 16, 1, '', '', ''),
	(23, '', '', '', '002051', '002051', 'B02051', 'station_type', 'Indicator to specify observing method for extreme temperatures', 'Code table', '0', '2', 'Code table', 0, 0, 4, 1, '', '', ''),
	(24, '', '', '', '004051', '004051', 'B04051', 'GxGx', 'Principal time of daily reading of maximum temperature', 'Hour ', '0', '2', 'Hour', 0, 0, 5, 1, '', '', ''),
	(25, '', '', '', '012118', '012118', 'B12118', '201', 'Maximum temperature at height specified, past 24 hours', '°C', '2', '4', 'K', 2, 0, 16, 1, '', '', ''),
	(26, '', '', '', '004052', '004052', 'B04052', 'GnGn', 'Principal time of daily reading of minimum temperature', 'Hour ', '0', '2', 'Hour', 0, 0, 5, 1, '', '', ''),
	(27, '', '', '', '012119', '012119', 'B12119', '202', 'Minimum  temperature at height specified, past 24 hours', '°C', '2', '4', 'K', 2, 0, 16, 1, '', '', ''),
	(28, '', '', '', '013004', '013004', 'B13004', '281', 'Vapour pressure', 'Pa', '-1', '4', 'Pa', -1, 0, 10, 1, '', '', ''),
	(29, '', '', '', '008023', '008023', 'B08023', 'Sts_cancel', 'First order statistics (Set to missing to cancel the previous value)', 'Code table', '0', '2', 'Code table', 0, 0, 6, 1, '', '', ''),
	(30, '', '', '', '012151', '012151', 'B12151', '101_STD', 'Standard deviation of daily mean temperature', '°C', '2', '4', 'K', 2, 0, 12, 1, '', '', ''),
	(31, '', '', '', '007032', '007032', 'B07032', 'temp_ht_cancel', 'Height of sensor above local ground (set to missing to cancel the previous value)', 'm', '2', '5', 'm', 2, 0, 16, 1, '', '', ''),
	(32, '', '', '', '102005', '102005', 'R02005', '', 'Replicate 2 descriptors 5 times', '', '', '', '', NULL, NULL, NULL, 0, '', '', ''),
	(33, '', '', '', NULL, '008050', 'B08050', 'Qualifier_01', 'Qualifier for number of missing values in calculation of statistic pressure', 'Code table', '0', '2', 'Code table', 0, 0, 4, 1, '', '', ''),
	(34, '', '', '', NULL, '008020', 'B08020', '299_ds', 'Total number of missing days for pressure', 'Numeric', '0', '5', 'Numeric', 0, 0, 16, 1, '', '', ''),
	(35, NULL, NULL, NULL, NULL, '008050', 'B08050', 'Qualifier_02', 'Qualifier for number of missing values in calculation of statistic temperature', 'Code table', '0', '2', 'Code table', 0, 0, 4, 1, '', '', ''),
	(36, NULL, NULL, NULL, NULL, '008020', 'B08020', '203_ds', 'Total number of missing days for temperature', 'Numeric', '0', '5', 'Numeric', 0, 0, 16, 1, '', '', ''),
	(114, '', '', '', '008020', '008020', 'B08020', 'precip_cancel', 'Total number of missing entities (with respect to accumulation or average)', 'Numeric', '0', '5', 'Numeric', 0, 0, 16, 1, '', '', ''),
	(115, '', '', '', '102006', '102006', 'R02006', '', 'Replicate 2 descriptors 6 times', '', '', '', '', NULL, NULL, NULL, 0, '', '', ''),
	(116, '', '', '', NULL, '008052', 'B08052', 'Condition_10', 'Condition for which number of days of occurrence for precipiation  >=1.0 kg/m2', 'Code table ', '0', '2', 'Code table', 0, 0, 5, 1, '', '', ''),
	(117, '', '', '', NULL, '008022', 'B08022', 'RR1', 'Total number of days for precipiation >= 1.0 kg/m2', 'Numeric', '0', '5', 'Numeric', 0, 0, 16, 1, '', '', ''),
	(118, NULL, NULL, NULL, NULL, '008052', 'B08052', 'Condition_11', 'Condition for which number of days of occurrence for precipiation  >=5.0 kg/m2', 'Code table ', '0', '2', 'Code table', 0, 0, 5, 1, '', '', ''),
	(119, NULL, NULL, NULL, NULL, '008022', 'B08022', 'RR5', 'Total number of days for precipiation >= 5.0 kg/m2', 'Numeric', '0', '5', 'Numeric', 0, 0, 16, 1, '', '', ''),
	(120, NULL, NULL, NULL, NULL, '008052', 'B08052', 'Condition_12', 'Condition for which number of days of occurrence for precipiation  >=10.0 kg/m2', 'Code table ', '0', '2', 'Code table', 0, 0, 5, 1, '', '', ''),
	(121, NULL, NULL, NULL, NULL, '008022', 'B08022', 'RR10', 'Total number of days for precipiation >= 10.0 kg/m2', 'Numeric', '0', '5', 'Numeric', 0, 0, 16, 1, '', '', ''),
	(122, NULL, NULL, NULL, NULL, '008052', 'B08052', 'Condition_13', 'Condition for which number of days of occurrence for precipiation  >=50.0 kg/m2', 'Code table ', '0', '2', 'Code table', 0, 0, 5, 1, '', '', ''),
	(123, NULL, NULL, NULL, NULL, '008022', 'B08022', 'RR10', 'Total number of days for precipiation >= 50.0 kg/m2', 'Numeric', '0', '5', 'Numeric', 0, 0, 16, 1, '', '', ''),
	(124, NULL, NULL, NULL, NULL, '008052', 'B08052', 'Condition_14', 'Condition for which number of days of occurrence for precipiation  >=100.0 kg/m2', 'Code table ', '0', '2', 'Code table', 0, 0, 5, 1, '', '', ''),
	(125, NULL, NULL, NULL, NULL, '008022', 'B08022', 'RR100', 'Total number of days for precipiation >= 100.0 kg/m2', 'Numeric', '0', '5', 'Numeric', 0, 0, 16, 1, '', '', ''),
	(126, NULL, NULL, NULL, NULL, '008052', 'B08052', 'Condition_15', 'Condition for which number of days of occurrence for precipiation  >=150.0 kg/m2', 'Code table ', '0', '2', 'Code table', 0, 0, 5, 1, '', '', ''),
	(127, NULL, NULL, NULL, NULL, '008022', 'B08022', 'RR150', 'Total number of days for precipiation >= 150.0 kg/m2', 'Numeric', '0', '5', 'Numeric', 0, 0, 16, 1, '', '', ''),
	(2, '', '', '', '', '001002', 'B01002', 'wmo_number', 'WMO station number', 'Numeric', '0', '3', 'Numeric', 0, 0, 10, 1, '', '', ''),
	(3, '', '', '', '', '001015', 'B01015', 'station_name', 'Station or site name', 'Character', '0', '20', 'CCITT IA5', 0, 0, 160, 1, '', '', ''),
	(4, '', '', '', '', '002001', 'B02001', 'station_type', 'Type of station', 'Code table', '0', '1', 'Code table', 0, 0, 2, 1, '', '', ''),
	(5, '', '', '', '', '004001', 'B04001', 'datetime_year', 'Year', 'Year', '0', '4', 'Year', 0, 0, 12, 1, '', '', ''),
	(6, '', '', '', '', '004002', 'B04002', 'datetime_month', 'Month', 'Month', '0', '2', 'Month', 0, 0, 4, 1, '', '', ''),
	(7, '', '', '', '', '004003', 'B04003', 'datetime_day', 'Day', 'Day', '0', '2', 'Day', 0, 0, 6, 1, '', '', ''),
	(8, '', '', '', '', '004004', 'B04004', 'datetime_hour', 'Hour', 'Hour', '0', '2', 'Hour', 0, 0, 5, 1, '', '', ''),
	(9, '', '', '', '', '004005', 'B04005', 'datetime_minute', 'Minute', 'Minute', '0', '2', 'Minute', 0, 0, 6, 1, '', '', ''),
	(10, '', '', '', '', '005001', 'B05001', 'station_deglatitude', 'Latitude (high accuracy)', 'Degree', '5', '7', 'Degree', 5, -9000000, 25, 1, '', '', ''),
	(11, '', '', '', '', '006001', 'B06001', 'station_deglongitude', 'Longitude (high accuracy)', 'Degree', '5', '8', 'Degree', 5, -18000000, 26, 1, '', '', ''),
	(12, '', '', '', '', '007030', 'B07030', 'station_elevation', 'Height of station ground above mean sea level (see Note 3)', 'm', '1', '5', 'm', 1, -4000, 17, 1, '', '', ''),
	(13, '', '', '', '', '007031', 'B07031', 'baro_ht_msl', 'Height of barometer above mean sea level (see Note 4)', 'm', '1', '5', 'm', 1, -4000, 17, 1, '', '', ''),
	(14, '', '', '', '004074', '004074', 'B04074', 'Sdisp', 'Short time period or displacement', 'Hour', '0', '2', 'Hour', 0, -128, 8, 1, '', '', ''),
	(15, '', '', '', '004023', '004023', 'B04023', 'Tdisp', 'Time period or displacement', 'Day', '0', '4', 'Day', 0, -1024, 11, 1, '', '', ''),
	(16, '', '', '', '008023', '008023', 'B08023', 'Sts_04', 'First order statistics (=4; mean value)', 'Code table', '0', '2', 'Code table', 0, 0, 6, 1, '', '', ''),
	(17, '', '', '', '010004', '010004', 'B10004', '299', 'Pressure', 'Pa', ' -1', '5', 'Pa', -1, 0, 14, 1, '', '', ''),
	(18, '', '', '', '010051', '010051', 'B10051', '107', 'Pressure reduced to mean sea level', 'Pa', '-1', '5', 'Pa', -1, 0, 14, 1, '', '', ''),
	(19, '', '', '', '007004', '007004', 'B07004', '301', 'Pressure at standard level', 'Pa', '-1', '5', 'Pa', -1, 0, 14, 1, '', '', ''),
	(20, '', '', '', '010009', '010009', 'B10009', '185', 'Geopotential height', 'gpm', '0', '5', 'gpm', 0, -1000, 17, 1, '', '', ''),
	(147, '', '', '', '004051', '004051', 'B04051', 'GxGx', 'Principal time of daily reading of maximum temperature', 'Hour ', '0', '2', 'Hour', 0, 0, 5, 1, '', '', ''),
	(148, '', '', '', '012118', '012118', 'B12118', '2_N', 'Maximum temperature at height specified, past 24 hours', '°C', '2', '4', 'K', 2, 0, 16, 1, '', '', ''),
	(149, '', '', '', '004052', '004052', 'B04052', 'GnGn', 'Principal time of daily reading of minimum temperature', 'Hour ', '0', '2', 'Hour', 0, 0, 5, 1, '', '', ''),
	(150, '', '', '', '012119', '012119', 'B12119', '3_N', 'Minimum  temperature at height specified, past 24 hours', '°C', '2', '4', 'K', 2, 0, 16, 1, '', '', ''),
	(151, '', '', '', '013004', '013004', 'B13004', '91_N', 'Vapour pressure', 'Pa', '-1', '4', 'Pa', -1, 0, 10, 1, '', '', ''),
	(152, '', '', '', '012151', '012151', 'B12151', 'STD_N', 'Standard deviation of daily mean temperature', '°C', '2', '4', 'K', 2, 0, 12, 1, '', '', ''),
	(153, '', '', '', '007032', '007032', 'B07032', 'temp_ht_cancel', 'Height of sensor above local ground (set to missing to cancel the previous value)', 'm', '2', '5', 'm', 2, 0, 16, 1, '', '', ''),
	(154, '', '', '', '014032', '014032', 'B14032', '532_N', 'Total sunshine', 'Hour', '0', '4', 'Hour', 0, 0, 10, 1, '', '', ''),
	(155, '', '', '', '008023', '008023', 'B08023', 'Sts_cancel', 'First order statistics (Set to missing to cancel the previous value)', 'Code table', '0', '2', 'Code table', 0, 0, 6, 1, '', '', ''),
	(156, '', '', '', '004001', '004001', 'B04001', 'precip_beginyear_N', 'Year', 'Year', '0', '4', 'Year', 0, 0, 12, 1, '', '', ''),
	(157, '', '', '', '004001', '004001', 'B04001', 'precip_endyear_N', 'Year', 'Year', '0', '4', 'Year', 0, 0, 12, 1, '', '', ''),
	(158, '', '', '', '004002', '004002', 'B04002', 'precip_month_N', 'Month', 'Month', '0', '2', 'Month', 0, 0, 4, 1, '', '', ''),
	(159, '', '', '', '004003', '004003', 'B04003', 'precip_day_N', 'Day', 'Day', '0', '2', 'Day', 0, 0, 6, 1, '', '', ''),
	(160, '', '', '', '004004', '004004', 'B04004', 'precip_hour_N', 'Hour', 'Hour', '0', '2', 'Hour', 0, 0, 5, 1, '', '', ''),
	(161, '', '', '', '004022', '004022', 'B04022', 'precip_P_N', 'Time period or displacement', 'Month', '0', '4', 'Month', 0, -1024, 11, 1, '', '', ''),
	(162, '', '', '', '007032', '007032', 'B07032', 'precip_ht', 'Height of sensor above local ground (or deck of marine platform) (see Note 5)', 'm', '2', '5', 'm', 2, 0, 16, 1, '', '', ''),
	(163, '', '', '', '008023', '008023', 'B08023', 'Sts_04', 'First order statistics (=4; mean value)', 'Code table', '0', '2', 'Code table', 0, 0, 6, 1, '', '', ''),
	(164, '', '', '', '013060', '013060', 'B13060', '5_N', 'Total accumulated precipitation', 'kg m-2', '1', '5', 'kg m-2', 1, -1, 17, 1, '', '', ''),
	(165, '', '', '', '004053', '004053', 'B04053', '208_ds', 'Number of days with precipitation equal to or more than 1 mm', 'Numeric', '0', '2', 'Numeric', 0, 0, 6, 1, '', '', ''),
	(166, '', '', '', '008023', '008023', 'B08023', 'Sts_cancel', 'First order statistics (Set to missing to cancel the previous value)', 'Code table', '0', '2', 'Code table', 0, 0, 6, 1, '', '', ''),
	(167, '', '', '', '102008', '102008', 'R02008', '', 'Replicate 2 descriptors 8 times', '', '', '', '', NULL, NULL, NULL, 0, '', '', ''),
	(168, '', '', '', NULL, '008050', 'B08050', 'Qualifier_01', 'Qualifier for number of missing years for pressure', 'Code table', '0', '2', 'Code table', 0, 0, 4, 1, '', '', ''),
	(169, '', '', '', NULL, '008020', 'B08020', '106_Y', 'Total number of missing years for pressure', 'Numeric', '0', '5', 'Numeric', 0, 0, 16, 1, '', '', ''),
	(170, NULL, NULL, NULL, NULL, '008050', 'B08050', 'Qualifier_02', 'Qualifier for number of missing years for temperature', 'Code table', '0', '2', 'Code table', 0, 0, 4, 1, '', '', ''),
	(171, NULL, NULL, NULL, NULL, '008020', 'B08020', '101_Y', 'Total number of missing years for temperature', 'Numeric', '0', '5', 'Numeric', 0, 0, 16, 1, '', '', ''),
	(172, NULL, NULL, NULL, NULL, '008050', 'B08050', 'Qualifier_03', 'Qualifier for number of missing years for extreme temperatures', 'Code table', '0', '2', 'Code table', 0, 0, 4, 1, '', '', ''),
	(173, NULL, NULL, NULL, NULL, '008020', 'B08020', '203_Y', 'Total number of missing years for extreme temperatures', 'Numeric', '0', '5', 'Numeric', 0, 0, 16, 1, '', '', ''),
	(174, NULL, NULL, NULL, NULL, '008050', 'B08050', 'Qualifier_04', 'Qualifier for number of missing years for vapour pressure', 'Code table', '0', '2', 'Code table', 0, 0, 4, 1, '', '', ''),
	(175, NULL, NULL, NULL, NULL, '008020', 'B08020', '91_Y', 'Total number of missing years for vapour pressure', 'Numeric', '0', '5', 'Numeric', 0, 0, 16, 1, '', '', ''),
	(176, NULL, NULL, NULL, NULL, '008050', 'B08050', 'Qualifier_05', 'Qualifier for number of missing years for precipitation', 'Code table', '0', '2', 'Code table', 0, 0, 4, 1, '', '', ''),
	(177, NULL, NULL, NULL, NULL, '008020', 'B08020', '5_Y', 'Total number of missing years for precipitation', 'Numeric', '0', '5', 'Numeric', 0, 0, 16, 1, '', '', ''),
	(178, NULL, NULL, NULL, NULL, '008050', 'B08050', 'Qualifier_06', 'Qualifier for number of missing years for sunshine duration', 'Code table', '0', '2', 'Code table', 0, 0, 4, 1, '', '', ''),
	(179, NULL, NULL, NULL, NULL, '008020', 'B08020', '532_Y', 'Total number of missing years for sunshine duration', 'Numeric', '0', '5', 'Numeric', 0, 0, 16, 1, '', '', ''),
	(180, NULL, NULL, NULL, NULL, '008050', 'B08050', 'Qualifier_07', 'Qualifier for number of missing years for maximum temperature', 'Code table', '0', '2', 'Code table', 0, 0, 4, 1, '', '', ''),
	(181, NULL, NULL, NULL, NULL, '008020', 'B08020', '2_Y', 'Total number of missing years for maximum temperature', 'Numeric', '0', '5', 'Numeric', 0, 0, 16, 1, '', '', ''),
	(182, NULL, NULL, NULL, NULL, '008050', 'B08050', 'Qualifier_08', 'Qualifier for number of missing years years for minimum temperature', 'Code table', '0', '2', 'Code table', 0, 0, 4, 1, '', '', ''),
	(183, NULL, NULL, NULL, NULL, '008020', 'B08020', '3_Y', 'Total number of missing years for minimum temperature', 'Numeric', '0', '5', 'Numeric', 0, 0, 16, 1, '', '', '');
/*!40000 ALTER TABLE `tm_307073` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_db_v4.tm_307080
CREATE TABLE IF NOT EXISTS `tm_307080` (
  `order` int(11) DEFAULT '0',
  `Bufr_Template` varchar(50) DEFAULT NULL,
  `Crex_Template` varchar(50) DEFAULT NULL,
  `Sequence_Descriptor1` varchar(50) DEFAULT NULL,
  `Sequence_Descriptor0` varchar(50) DEFAULT NULL,
  `Bufr_Element` varchar(50) DEFAULT NULL,
  `Crex_Element` varchar(255) DEFAULT NULL,
  `Climsoft_Element` varchar(255) DEFAULT NULL,
  `Element_Name` varchar(255) DEFAULT NULL,
  `synop_code` varchar(255) DEFAULT NULL,
  `unit` varchar(255) DEFAULT NULL,
  `scale` varchar(255) DEFAULT NULL,
  `width` varchar(255) DEFAULT NULL,
  `units_length_scale` varchar(255) DEFAULT NULL,
  `data_type` varchar(255) DEFAULT NULL,
  `selected` tinyint(4) DEFAULT NULL,
  `observation` varchar(255) DEFAULT NULL,
  `Crex_Data` varchar(255) DEFAULT NULL,
  `Bufr_Data` varchar(50) DEFAULT NULL,
  KEY `synop_code` (`synop_code`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_db_v4.tm_307080: ~161 rows (approximately)
/*!40000 ALTER TABLE `tm_307080` DISABLE KEYS */;
INSERT INTO `tm_307080` (`order`, `Bufr_Template`, `Crex_Template`, `Sequence_Descriptor1`, `Sequence_Descriptor0`, `Bufr_Element`, `Crex_Element`, `Climsoft_Element`, `Element_Name`, `synop_code`, `unit`, `scale`, `width`, `units_length_scale`, `data_type`, `selected`, `observation`, `Crex_Data`, `Bufr_Data`) VALUES
	(21, NULL, NULL, 'D02035', 'D02032', '007032', 'B07032', 'Temp_SH', 'Height of sensor above local ground (for temperature and humidity measurement)', '', 'm', '2', '5', 'm, 2, 5', 'Temperature and humidity', 1, '1.25', '00125', NULL),
	(24, NULL, NULL, '', '', '013003', 'B13003', '105', 'Relative humidity', '', '%', '0', '3', '%, 0, 3', 'Temperature and humidity', 1, '1', '001', NULL),
	(27, NULL, NULL, '', 'D02034', '007032', 'B07032', 'R24_SH', 'Height of sensor above local ground (for precipitation measurement)', '', 'M', '2', '5', '', 'Precipitation', 1, '0.25', '00025', NULL),
	(29, NULL, NULL, '', 'B07032', '007032', 'B07032', 'Cancel_SH', 'Height of sensor above local ground (set to missing to cancel the previous table)', '', 'M', '2', '5', '', '', 1, '', '/////', NULL),
	(84, NULL, NULL, 'B08002', '', '008002', 'B08002', 'vert_sig_cancel', 'Vertical significance (set to missing to cancel the previous value)    ', '', 'Code Table', '0', '2', '', '', 1, '', '//', NULL),
	(96, NULL, NULL, 'B20101', '', '020101', 'B20101', '701', 'Locust (Acridian) name', '', 'Code Table', '0', '2', '', '', 0, '', '//', NULL),
	(97, NULL, NULL, 'B20102', '', '020102', 'B20102', '702', 'Locust (Maturity) colour', '', 'Code Table', '0', '2', '', '', 0, '', '//', NULL),
	(98, NULL, NULL, 'B20103', '', '020103', 'B20103', '704', 'Stage of development of locusts', '', 'Code Table', '0', '2', '', '', 0, '', '//', NULL),
	(99, NULL, NULL, 'B20104', '', '020104', 'B20104', '705', 'Organization state of swam or band of locusts', '', 'Code Table', '0', '2', '', '', 0, '', '//', NULL),
	(100, NULL, NULL, 'B20105', '', '020105', 'B20105', '706', 'Size of swam or band of locusts and duration of passage of time', '', 'Code Table', '0', '2', '', '', 0, '', '//', NULL),
	(105, NULL, NULL, '', '', '004024', 'B04024', 'ww_TP', 'Time period in hours', '', 'Hour', '0', '4', '', '', 1, '-3', '-0003', NULL),
	(108, NULL, NULL, '', 'R01002', '201002', 'R01002', '', 'Replicate 1 descriptors 2 times', '', '', '', '', '', 'Sunshine', 0, '', '', NULL),
	(109, NULL, NULL, '', 'D02039', '004024', 'B04024', 'SSS_TP', 'Time period in hours', '', 'Hour', '0', '4', 'Hour, 0, 4', 'Sunshine', 1, '-24', '-0024', NULL),
	(51, NULL, NULL, '', '', '008002', 'B08002', '131', 'Vertical significance', '', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '', '//', NULL),
	(135, NULL, NULL, '', '', '011043', 'B11043', '59', 'Maximum wind gust direction', '', 'Degree True', '0', '3', '', '', 1, '', '///', NULL),
	(136, NULL, NULL, '', '', '011041', 'B11041', '58', 'Maximum wind gust speed', '', 'M s-1', '1', '4', '', '', 1, '', '////', NULL),
	(137, NULL, NULL, '', '', '004025', 'B04025', 'w2_TP', 'Time period in minutes   ', '', 'Minute', '0', '4', '', '', 1, '', '////', NULL),
	(138, NULL, NULL, '', '', '011043', 'B11043', '591', 'Maximum wind gust direction', '', 'Degree True', '0', '3', '', '', 1, '', '///', NULL),
	(139, NULL, NULL, '', '', '011041', 'B11041', '581', 'Maximum wind gust speed', '', 'Minute', '1', '4', '', '', 1, '', '////', NULL),
	(140, NULL, NULL, '', 'B07032', '007032', 'B07032', 'evap_SH', 'Height of sensor above local ground (for evaporation measurement)', '', 'M', '2', '5', '', '', 1, '0.25', '00025', NULL),
	(141, NULL, NULL, 'D02044', 'B04024', '004024', 'B04024', 'evap_TP', 'Time period in hours              =  - 24', '', 'Hour', '0', '4', 'Hour, 0, 4', 'Evaporation', 1, '-24', '-0024', NULL),
	(111, NULL, NULL, '', '', '004024', 'B04024', 'SS_TP', 'Time period or displacement in hours', '', 'Hour', '0', '4', '', '', 1, '-1', '-0001', NULL),
	(113, NULL, NULL, '', 'D02040', '007032', 'B07032', 'RR_SH', 'Height of sensor above local ground (for precipiation measurement)', '', 'M', '2', '5', '', 'Precipitation', 1, '0.25', '00025', NULL),
	(114, NULL, NULL, '', '', 'R02002', 'R02002', '', 'Replicate next 2 descriptors 2 times', '', '', '', '', '', 'Precipitation ', 0, '', '', NULL),
	(116, NULL, NULL, '', '', '013011', 'B13011', '5', 'Total precipitation RRR', '', 'kg m-2', '1', '5', 'kg m-2, 1, 5', 'Precipitation ', 1, '1', '00001', NULL),
	(119, NULL, NULL, '', 'D02041', '007032', 'B07032', 'xt_SH', 'Height of sensor above local ground (for temperature measurement)', '', 'm', '2', '5', 'm, 2, 5', 'Extreme temperatures', 1, '1.25', '00125', NULL),
	(120, NULL, NULL, '', '', '004024', 'B04024', 'xt_TP', 'Time period or displacement                         ', '', 'Hour', '0', '4', '', '', 1, '-12', '-0012', NULL),
	(121, NULL, NULL, '', '', '004024', 'B04024', '', 'Time period or displacement (see Notes 1 and 2)                      ', '', 'Hour', '0', '4', '', '', 1, '', '////', NULL),
	(123, NULL, NULL, '', '', '004024', 'B04024', 'nt_TP', 'Time period or displacement                         ', '', 'Hour', '0', '4', '', '', 1, '-12', '-0012', NULL),
	(124, NULL, NULL, '', '', '004024', 'B04024', '', 'Time period or displacement (see Notes 2)                      ', '', 'Hour', '0', '4', '', '', 1, '', '////', NULL),
	(154, NULL, NULL, '', 'B14004', '014004', 'B14004', '533_1', 'Short-wave radiation, integrated over period specified ', '', 'J m-2', '-3', '4', '', '', 1, '', '////', NULL),
	(155, NULL, NULL, '', 'B14016', '014016', 'B14016', '136_1', 'Net radiation, integrated over period specified', '', 'J m-2', '-4', '5', '', '', 1, '', '/////', NULL),
	(156, NULL, NULL, '', 'B14028', '014028', 'B14028', '133_1', 'Global solar radiation (high accuracy), integrated over period specified', '', 'J m-2', '-2', '5', '', '', 1, '', '/////', NULL),
	(157, NULL, NULL, '', 'B14029', '014029', 'B14029', '97_1', 'Diffuse solar radiation (high accuracy), integrated over period specified', '', 'J m-2', '-2', '5', '', '', 1, '', '/////', NULL),
	(158, NULL, NULL, '', 'B14030', '014030', 'B14030', '139_1', 'Direct solar radiation (high accuracy), integrated over period specified', '', 'J m-2', '-2', '5', '', '', 1, '', '/////', NULL),
	(159, NULL, NULL, 'D02046', 'B04024', '004024', 'B04024', 'tempc_t', 'Time period or displacement                         ', '', 'Hour', '0', '4', '', '', 1, '', '////', NULL),
	(160, NULL, NULL, '', 'B04024', '004024', 'B04024', 'tempc1_t', 'Time period or displacement (see Note 3)       ', '', 'Hour', '0', '4', '', '', 1, '', '////', NULL),
	(89, NULL, NULL, '', 'B07021', '007021', 'B07021', '665', 'Elevation angle (set to missing to cancel the previous value)', '', 'Degree', '2', '5', '', '', 1, '', '/////', NULL),
	(92, NULL, NULL, '', 'B12113', '012113', 'B12113', '585', 'Ground minimum temperature past 12 hrs', '', 'Degree', '2', '3', '', '', 1, '', '///', NULL),
	(93, NULL, NULL, 'B12122', '', '012122', 'B12122', '85', 'Ground minimum temperature of the preceeding night', '', '\'C', '2', '4', '', '', 0, '1', '0010', NULL),
	(94, NULL, NULL, 'B13056', '', '013056', 'B13056', '505', 'Character and Intensity of precipitation', '', 'Code Table', '0', '2', '', '', 0, '1', '01', NULL),
	(95, NULL, NULL, 'B13057', '', '013057', 'B13057', '506', 'Time of beginning or end of precipitation', '', 'Code Table', '0', '2', '', '', 0, '9', '09', NULL),
	(126, NULL, NULL, '', 'D02042', '007032', 'B07032', 'w_SH', 'Height of sensor above local ground (for wind measurement)', '', 'M', '2', '5', '', '', 1, '10', '01000', NULL),
	(128, NULL, NULL, '', '', '008021', 'B08021', 'w_TS', 'Time significance (= 2 (time averaged))', '', 'Code table', '0', '2', '', '', 1, '2', '02', NULL),
	(129, NULL, NULL, '', '', '004025', 'B04025', 'w_TP', 'Time period (= - 10 minutes, or number of minutes after a significant change of wind)', '', 'Minute', '0', '4', '', '', 1, '-10', '-0010', NULL),
	(132, NULL, NULL, '', '', '008021', 'B08021', 'w1_TS', 'Time significance (= missing value)', '', 'Code table', '0', '2', '', '', 1, '', '//', NULL),
	(133, NULL, NULL, '', '', '203002', 'R03002', '', 'Replicate next 3 descriptors 2 times', '', '', '', '', '', '', 0, '', '', NULL),
	(134, NULL, NULL, '', '', '004025', 'B04025', 'w1_TP', 'Time period in minutes   ', '', 'Minute', '0', '4', '', '', 1, '', '////', NULL),
	(37, NULL, NULL, '', 'R01000', NULL, NULL, '', 'Delayed replication of the next 1 descriptor', '', '', '', '', '', '', 0, '', '', NULL),
	(38, NULL, NULL, '', 'B31001', '031001', 'B31001', 'cloud_rep1', 'Delayed descriptor replication factor', '', '', '0', '4', '', 'Cloud data', 1, '1', '0001', NULL),
	(39, NULL, NULL, '', 'D02005', '008002', 'B08002', '119', 'Vertical significance', '', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 1, '1', '01', NULL),
	(43, NULL, NULL, '', '', '008002', 'B08002', '123', 'Vertical significance', '', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '', '//', NULL),
	(47, NULL, NULL, '', '', '008002', 'B08002', '127', 'Vertical significance', '', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '', '//', NULL),
	(144, NULL, NULL, 'R01002', '', NULL, '', '', 'Replication the 1 descriptor 2 times ', '', '', '', '', '', '', 0, '', '', NULL),
	(145, NULL, NULL, 'D02045', 'B04024', '004024', 'B04024', 'rad_TP', 'Time period or displacement', '', 'Hour', '0', '4', '', '', 1, '', '////', NULL),
	(146, NULL, NULL, '', 'B14002', '014002', 'B14002', '536', 'Long-wave radiation, integrated over period specified ', '', 'J m-2', '-3', '4', '', '', 1, '', '////', NULL),
	(147, NULL, NULL, '', 'B14004', '014004', 'B14004', '533', 'Short-wave radiation, integrated over period specified ', '', 'J m-2', '-3', '4', '', '', 1, '', '////', NULL),
	(148, NULL, NULL, '', 'B14016', '014016', 'B14016', '136', 'Net radiation, integrated over period specified', '', 'J m-2', '-4', '5', '', '', 1, '', '/////', NULL),
	(149, NULL, NULL, '', 'B14028', '014028', 'B14028', '133', 'Global solar radiation (high accuracy), integrated over period specified', '', 'J m-2', '-2', '5', '', '', 1, '', '/////', NULL),
	(150, NULL, NULL, '', 'B14029', '014029', 'B14029', '97', 'Diffuse solar radiation (high accuracy), integrated over period specified', '', 'J m-2', '-2', '5', '', '', 1, '', '/////', NULL),
	(151, NULL, NULL, '', 'B14030', '014030', 'B14030', '139', 'Direct solar radiation (high accuracy), integrated over period specified', '', 'J m-2', '-2', '5', '', '', 1, '', '/////', NULL),
	(152, NULL, NULL, '', 'B04024', '004024', 'B04024', 'rad1_TP', 'Time period or displacement', '', 'Hour', '0', '4', '', '', 1, '', '////', NULL),
	(153, NULL, NULL, '', 'B14002', '014002', 'B14002', '536_1', 'Long-wave radiation, integrated over period specified ', '', 'J m-2', '-3', '4', '', '', 1, '', '////', NULL),
	(3, NULL, NULL, '', '', '001015', 'B01015', 'station_name', 'Station or site name', '', 'Character', '0', '20', 'Character, 0, 20', 'station identification', 1, 'DAGORETTI CORNER METEOROLOGICAL STATION', 'DAGORETTI CORNER MET', NULL),
	(5, NULL, NULL, '', 'D01011', '004001', 'B04001', 'datetime_year', 'Year', '', 'Year', '0', '4', 'Year, 0, 4', 'station identification', 1, '2000', '2000', NULL),
	(6, NULL, NULL, '', '', '004002', 'B04002', 'datetime_month', 'Month', '', 'Month', '0', '2', 'Month, 0, 2', 'station identification', 1, '01', '01', NULL),
	(10, NULL, NULL, '', 'D01021', '005001', 'B05001', 'station_deglatitude', 'Latitude (high accuracy)', '', 'Degree', '5', '7', 'Degree, 2, 4', 'station identification', 1, '-1.3', '-0000130', NULL),
	(11, NULL, NULL, '', '', '006001', 'B06001', 'station_deglongitude', 'Longitude (high accuracy)', '', 'Degree', '5', '8', 'Degree, 2, 5', 'station identification', 1, '36.75', '00003675', NULL),
	(12, NULL, NULL, '', 'B07030', '007030', 'B07030', 'station_elevation', 'Height of station ground above mean sea level', '', 'M', '1', '5', 'm, 1, 6', 'station identification', 1, '1798', '17980', NULL),
	(55, NULL, NULL, NULL, 'R05000', '205000', 'R05000', '', 'Delayed replication of 5 descriptors  ', '', '', '', '', '', '', 0, '', '', NULL),
	(56, NULL, NULL, NULL, 'B31001', '031001', 'B31001', 'cloud_rep2', 'Delayed descriptor replication factor', '', 'Numeric', '0', '4', '', '', 1, '0', '0000', NULL),
	(57, NULL, NULL, 'D02036', 'B08002', '008002', 'B08002', '611', 'Vertical Significance', '', 'Code table', '0', '2', 'Code table', '', 0, '', '//', NULL),
	(60, NULL, NULL, '', 'B20014', '020014', 'B20014', '614', 'Height of top of cloud', '', 'm', '-1', '4', '', '', 0, '', '////', NULL),
	(62, NULL, NULL, '', 'B08002', '008002', 'B08002', '621', 'Vertical Significance', '', 'Code table', '0', '2', 'Code table', '', 0, '', '//', NULL),
	(65, NULL, NULL, '', 'B20014', '020014', 'B20014', '624', 'Height of top of cloud', '', 'm', '-1', '4', '', '', 0, '', '////', NULL),
	(67, NULL, NULL, '', 'B08002', '008002', 'B08002', '631', 'Vertical Significance', '', 'Code table', '0', '2', 'Code table', '', 0, '', '//', NULL),
	(70, NULL, NULL, '', 'B20014', '020014', 'B20014', '634', 'Height of top of cloud', '', 'm', '-1', '4', '', '', 0, '', '////', NULL),
	(72, NULL, NULL, '', 'B08002', '008002', 'B08002', '641', 'Vertical Significance', '', 'Code table', '0', '2', 'Code table', '', 0, '', '//', NULL),
	(75, NULL, NULL, '', 'B20014', '020014', 'B20014', '644', 'Height of top of cloud', '', 'm', '-1', '4', '', '', 0, '', '////', NULL),
	(77, NULL, NULL, 'R02003', '', NULL, '', 'cloud_drift_rep', 'Replication factor of 2 descriptor  for 3 times', '', '', '', '', '', '', 0, '', '', NULL),
	(78, NULL, NULL, 'D02047', 'B08002', '008002', 'B08002', '651', 'Vertical Significance =7 (low cloud) =8 (middle cloud) =9 (high cloud)', '', 'Code table', '0', '2', '', '', 1, '', '//', NULL),
	(80, NULL, NULL, '', 'B08002', '008002', 'B08002', '653', 'Vertical Significance =7 (low cloud) =8 (middle cloud) =9 (high cloud)', '', 'Code Table', '0', '2', '', '', 1, '', '//', NULL),
	(82, NULL, NULL, '', 'B08002', '008002', 'B08002', '655', 'Vertical Significance =7 (low cloud) =8 (middle cloud) =9 (high cloud)', '', 'Code Table', '0', '2', '', '', 1, '', '//', NULL),
	(13, NULL, NULL, '', 'B07031', '007031', 'B07031', 'station_pressure_height', 'Height of barometer above mean sea level', '', 'M', '1', '5', 'm, 1, 6', 'station identification', 1, '1799', '17990', NULL),
	(4, NULL, NULL, '', '', '002001', 'B02001', 'station_qualifier', 'Type of station                                             ', '(ix)', 'Code table', '0', '1', 'Code table, 0, 1', 'station identification', 1, '1', '1', NULL),
	(17, NULL, NULL, '', '', '010063', 'B10063', 'a', 'Characteristic of pressure tendency', 'a', 'Code table', '0', '2', 'Code table, 0, 2', 'Pressure data', 1, '15', '15', NULL),
	(19, NULL, NULL, '', 'B07004', '007004', 'B07004', '301', 'Pressure (standard level) ', 'a3', 'Pa', '-1', '5', 'Pa, –1, 5', 'Pressure data', 1, '1', '00000', NULL),
	(53, NULL, NULL, '', '', '020012', 'B20012', '129', 'Cloud type', 'C', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '', '//', NULL),
	(87, NULL, NULL, '', 'B20012', '020012', 'B20012', '663', 'Cloud type ', 'C', 'Code Table', '0', '2', '', '', 1, '', '//', NULL),
	(41, NULL, NULL, '', '', '020012', 'B20012', '117', 'Cloud type', 'C', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 1, '1', '01', NULL),
	(45, NULL, NULL, '', '', '020012', 'B20012', '121', 'Cloud type', 'C', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '', '//', NULL),
	(49, NULL, NULL, '', '', '020012', 'B20012', '125', 'Cloud type', 'C', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '', '//', NULL),
	(59, NULL, NULL, '', 'B20012', '020012', 'B20012', '613', 'Cloud type', 'C', 'Code table', '0', '2', '', '', 0, '', '//', NULL),
	(64, NULL, NULL, '', 'B20012', '020012', 'B20012', '623', 'Cloud type', 'C', 'Code table', '0', '2', '', '', 0, '', '//', NULL),
	(69, NULL, NULL, '', 'B20012', '020012', 'B20012', '633', 'Cloud type', 'C', 'Code table', '0', '2', '', '', 0, '', '//', NULL),
	(74, NULL, NULL, '', 'B20012', '020012', 'B20012', '643', 'Cloud type', 'C', 'Code table', '0', '2', '', '', 0, '', '//', NULL),
	(36, NULL, NULL, '', '', '020012', 'B20012', '171', 'Cloud type (low clouds CH)', 'CH', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 1, '1', '01', NULL),
	(34, NULL, NULL, '', '', '020012', 'B20012', '169', 'Cloud type (low clouds CL)', 'CL ', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 1, '1', '01', NULL),
	(31, NULL, NULL, '', '', '008002', 'B08002', '115', 'Vertical significance', 'CL CM CH', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 1, '1', '01', NULL),
	(35, NULL, NULL, '', '', '020012', 'B20012', '170', 'Cloud type (low clouds CM)', 'CM', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 1, '1', '01', NULL),
	(61, NULL, NULL, '', 'B20017', '020017', 'B20017', '615', 'Cloud top description', 'Ct', 'Code table', '0', '2', 'Code table, 0', '', 0, '', '//', NULL),
	(66, NULL, NULL, '', 'B20017', '020017', 'B20017', '625', 'Cloud top description', 'Ct', 'Code table', '0', '2', 'Code table, 0', '', 0, '', '//', NULL),
	(71, NULL, NULL, '', 'B20017', '020017', 'B20017', '635', 'Cloud top description', 'Ct', 'Code table', '0', '2', 'Code table, 0', '', 0, '', '//', NULL),
	(76, NULL, NULL, '', 'B20017', '020017', 'B20017', '645', 'Cloud top description', 'Ct', 'Code table', '0', '2', 'Code table, 0', '', 0, '', '//', NULL),
	(85, NULL, NULL, 'D02048', 'B05021', '005021', 'B05021', '661', 'Bearing or azimuth', 'Da', 'Degree', '2', '5', '', '', 1, '', '/////', NULL),
	(88, NULL, NULL, '', 'B05021', '005021', 'B05021', '664', 'Bearing or azimuth (set to missing to cancel the previous value) ', 'Da', 'Degree', '2', '5', '', '', 1, '', '/////', NULL),
	(130, NULL, NULL, '', '', '011001', 'B11001', '112', 'Wind direction', 'dd', 'Degree true', '0', '3', '', '', 1, '1', '000', NULL),
	(101, NULL, NULL, 'B20106', '', '020106', 'B20106', '707', 'Locust population density', 'dL', 'Code Table', '0', '2', '', '', 0, '', '//', NULL),
	(102, NULL, NULL, 'B20107', '', '020107', 'B20107', '708', 'Direction of movements of locust swarm', 'DL', 'Code Table', '0', '2', '', '', 0, '', '//', NULL),
	(83, NULL, NULL, '', 'B20054', '020054', 'B20054', '656', 'True  direction from which clouds are moving', 'DL, DM, DH', 'Degree', '0', '3', '', '', 1, '', '///', NULL),
	(79, NULL, NULL, '', 'B20054', '020054', 'B20054', '652', 'True  direction from which clouds are moving', 'DL, DM, DH', 'Degree', '0', '3', '', '', 1, '', '///', NULL),
	(81, NULL, NULL, '', 'B20054', '020054', 'B20054', '654', 'True  direction from which clouds are moving', 'DL, DM, DH', 'Degree', '0', '3', '', '', 1, '', '///', NULL),
	(90, NULL, NULL, 'D02037', 'B20062', '020062', 'B20062', '51', 'State of ground (with or without snow)', 'E or E’', 'Code Table', '0', '2', '', '', 1, '', '//', NULL),
	(86, NULL, NULL, '', 'B07021', '007021', 'B07021', '662', 'Elevation angle ', 'eC', 'Degree', '2', '5', '', '', 1, '', '/////', NULL),
	(143, NULL, NULL, '', 'B13033', '013033', 'B13033', '18', 'Evaporation /evapotranspiration', 'EEE ', 'kg m-2', '1', '4', 'kg m-2, 1, 4', 'Evaporation', 1, '1', '0001', NULL),
	(131, NULL, NULL, '', '', '011002', 'B11002', '111', 'Wind speed ', 'ff', 'M s-1', '1', '4', '', '', 1, '1', '0010', NULL),
	(8, NULL, NULL, '', 'D01012', '004004', 'B04004', 'datetime_hour', 'Hour', 'GG', 'Hour', '0', '2', 'Hour, 0, 2', 'station identification', 1, '03', '03', NULL),
	(9, NULL, NULL, '', '', '004005', 'B04005', 'datetime_minute', 'Minute', 'gg', 'Minute', '0', '2', 'Minute, 0, 2', 'station identification', 1, '00', '00', NULL),
	(33, NULL, NULL, '', '', '020013', 'B20013', '192', 'Height of base of cloud', 'h', 'm', '-1', '4', 'm, –1, 4', 'Cloud data', 1, '1', '0000', NULL),
	(20, NULL, NULL, '', 'B10009', '010009', 'B10009', '185', 'Geopotential height of the standard level', 'hhh', 'gpm', '0', '5', 'gpm, 0, 5', 'Pressure data', 1, '1', '00001', NULL),
	(54, NULL, NULL, '', '', '020013', 'B20013', '130', 'Height of base of cloud', 'hshs  ', 'm', '-1', '4', 'm, -1, 4', 'Cloud data', 0, '', '////', NULL),
	(42, NULL, NULL, '', '', '020013', 'B20013', '118', 'Height of base of cloud', 'hshs  ', 'm', '-1', '4', 'm, -1, 4', 'Cloud data', 1, '1', '0000', NULL),
	(46, NULL, NULL, '', '', '020013', 'B20013', '122', 'Height of base of cloud', 'hshs  ', 'm', '-1', '4', 'm, -1, 4', 'Cloud data', 0, '', '////', NULL),
	(50, NULL, NULL, '', '', '020013', 'B20013', '126', 'Height of base of cloud', 'hshs  ', 'm', '-1', '4', 'm, -1, 4', 'Cloud data', 0, '', '////', NULL),
	(142, NULL, NULL, '', 'B02004', '002004', 'B02004', 'evap_I', 'Type of instrument for evaporation or crop for evapotranspiration', 'iE', 'Code table', '0', '2', 'Code table, 0, 2', 'Evaporation', 1, '1', '01', NULL),
	(1, '307080', 'D07080', 'D01090', 'D01004', '001001', 'B01001', 'station_WMO_bloc', 'WMO block number', 'II', 'Numeric', '0', '2', 'Numeric, 0, 2', 'station identification', 1, '63', '63', NULL),
	(2, NULL, NULL, '', '', '001002', 'B01002', 'station_WMO_number', 'WMO station number                                   ', 'iii', 'Numeric', '0', '3', 'Numeric, 0, 3', 'station identification', 1, '741', '741', NULL),
	(127, NULL, NULL, '', '', '002002', 'B02002', 'w_I', 'Type of instrumentation for wind measurement', 'iw', 'Flag table', '0', '2', '', '', 1, '14', '14', NULL),
	(25, NULL, NULL, '', 'D02033', '007032', 'B07032', 'Vis_SH', 'Height of sensor above local ground (for visibility measurement)', 'm', 'm', '2', '5', 'm, 2, 5', 'Temperature and humidity', 1, '1.5', '00150', NULL),
	(30, NULL, NULL, '', 'D02004', '020010', 'B20010', '114', 'Cloud cover (total)', 'N ', '%', '0', '3', '%, 0, 3', 'Cloud data', 1, '1', '013', NULL),
	(32, NULL, NULL, '', '', '020011', 'B20011', '168', 'Cloud amount (of low or middle clouds)', 'Nh ', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 1, '1', '01', NULL),
	(58, NULL, NULL, '', 'B20011', '020011', 'B20011', '612', 'Clound amount', 'Nh', 'Code table', '0', '2', '', '', 0, '', '//', NULL),
	(63, NULL, NULL, '', 'B20011', '020011', 'B20011', '622', 'Clound amount', 'Nh', 'Code table', '0', '2', '', '', 0, '', '//', NULL),
	(68, NULL, NULL, '', 'B20011', '020011', 'B20011', '632', 'Clound amount', 'Nh', 'Code table', '0', '2', '', '', 0, '', '//', NULL),
	(73, NULL, NULL, '', 'B20011', '020011', 'B20011', '642', 'Clound amount', 'Nh', 'Code table', '0', '2', '', '', 0, '', '//', NULL),
	(52, NULL, NULL, '', '', '020011', 'B20011', '128', 'Cloud amount', 'Ns ', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '', '//', NULL),
	(40, NULL, NULL, '', '', '020011', 'B20011', '116', 'Cloud amount', 'Ns ', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 1, '1', '01', NULL),
	(44, NULL, NULL, '', '', '020011', 'B20011', '120', 'Cloud amount', 'Ns ', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '', '//', NULL),
	(48, NULL, NULL, '', '', '020011', 'B20011', '124', 'Cloud amount', 'Ns ', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '', '//', NULL),
	(14, NULL, NULL, 'D02031', 'D02001', '010004', 'B10004', '106', 'Pressure', 'P0P0P0P0', 'Pa', '1', '5', 'Pa, –1, 5', 'Pressure data', 1, '1', '00001', NULL),
	(18, NULL, NULL, '', 'B10062', '010062', 'B10062', '399', '24-hour pressure change', 'p24p24p24', 'Pa', '-1', '4', 'Pa, –1, 4', 'Pressure data', 1, '1', '0000', NULL),
	(16, NULL, NULL, '', '', '010061', 'B10061', 'ppp', '3-hour pressure change', 'ppp', 'Pa', '-1', '4', 'Pa, –1, 4', 'Pressure data', 1, '', '////', NULL),
	(15, NULL, NULL, '', '', '010051', 'B10051', '107', 'Pressure reduced to mean sea level', 'PPPP', 'Pa', '1', '5', 'Pa, –1, 5', 'Pressure data', 1, '', '/////', NULL),
	(28, NULL, NULL, '', '', '013023', 'B13023', '5', 'Total precipitation Past 24 Hrs', 'R24R24R24R24', 'Kg M^2', '1', '5', '', 'Precipitation', 1, '1', '00001', NULL),
	(118, NULL, NULL, '', '', '013011', 'B13011', '174', 'Total precipitation', 'RRR', 'kgm-2', '1', '5', '', '', 1, '1', '00001', NULL),
	(161, NULL, NULL, '', 'B12049', '012049', 'B12049', '94', 'Temperature change over period specified', 'sndT', '\'C', '0', '2', '', '', 1, '', '//', NULL),
	(23, NULL, NULL, '', '', '012103', 'B12103', '103', 'Dew-point temperature (scale 2)', 'snTdTdTd', '°C', '2', '4', '°C, 2, 4', 'Temperature and humidity', 1, '1', '0010', NULL),
	(125, NULL, NULL, '', '', '012112', 'B12112', '3', 'Minimum temperature (scale 2) at height and over period specified ', 'snTnTnTn', '\'C', '2', '4', '', '', 1, '', '////', NULL),
	(22, NULL, NULL, '', '', '012101', 'B12101', '101', 'Temperature/Dry bulb (scale 2) at height and over period specified', 'snTTT', '°C', '2', '4', '°C, 2, 4', 'Temperature and humidity', 1, '1', '0010', NULL),
	(122, NULL, NULL, '', '', '012111', 'B12111', '2', 'Maximum temperature (scale 2) at height and over period specified', 'snTxTxTx', '\'C', '2', '4', '', '', 1, '', '////', NULL),
	(112, NULL, NULL, '', '', '014031', 'B14031', '132', 'Total sunshine in minutes (2nd replication)', 'SS', 'Minute', '0', '4', '', '', 1, '1', '0001', NULL),
	(110, NULL, NULL, '', '', '014031', 'B14031', '532', 'Total sunshine ', 'SSS', 'Minute', '0', '4', 'Minute, 0, 4', 'Sunshine', 1, '60', '0006', NULL),
	(91, NULL, NULL, '', 'B13013', '013013', 'B13013', '50', 'Total snow depth', 'sss', 'M', '2', '5', '', '', 1, '', '/////', NULL),
	(115, NULL, NULL, '', '', '004024', 'B04024', 'tR_TP', 'Time period in hours', 'tR', 'Hour', '0', '4', 'Hour, 0, 4', 'Precipitation ', 1, '-3', '-0003', NULL),
	(117, NULL, NULL, '', '', '004024', 'B04024', 'tr_TP', 'Time period or displacement', 'tr', 'Hour', '0', '4', '', '', 1, '-3', '-0003', NULL),
	(103, NULL, NULL, 'B20108', '', '020108', 'B20108', '710', 'Extent of vegetation', 've', 'Code Table', '0', '2', '', '', 0, '', '//', NULL),
	(26, NULL, NULL, '', '', '020001', 'B20001', '110', 'Horizontal Visibility', 'VV', 'm', '-1', '4', 'm, –1, 4', 'Visibility  ', 1, '1', '0000', NULL),
	(106, NULL, NULL, '', '', '020004', 'B20004', '197', 'Past weather (1) ', 'W1', 'Code table', '0', '2', '', '', 1, '1', '01', NULL),
	(107, NULL, NULL, '', '', '020005', 'B20005', '193', 'Past weather (2) ', 'W2', 'Code table', '0', '2', '', '', 1, '1', '01', NULL),
	(104, NULL, NULL, 'D02043', 'D02038', '020003', 'B20003', '167', 'Present weather ', 'ww', 'Code table', '0', '3', '', '', 1, '1', '001', NULL),
	(7, NULL, NULL, '', '', '004003', 'B04003', 'datetime_day', 'Day', 'YY', 'Day', '0', '2', 'Day, 0, 2', 'station identification', 1, '01', '01', NULL);
/*!40000 ALTER TABLE `tm_307080` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_db_v4.tm_307081
CREATE TABLE IF NOT EXISTS `tm_307081` (
  `Nos` int(11) DEFAULT '0',
  `Bufr_Template` varchar(50) DEFAULT NULL,
  `Crex_Template` varchar(50) DEFAULT NULL,
  `Sequence_Descriptor1` varchar(50) DEFAULT NULL,
  `Sequence_Descriptor0` varchar(50) DEFAULT NULL,
  `Bufr_Element` varchar(50) DEFAULT NULL,
  `Crex_Element` varchar(255) DEFAULT NULL,
  `Climsoft_Element` varchar(255) DEFAULT NULL,
  `Element_Name` varchar(255) DEFAULT NULL,
  `synop_code` varchar(255) DEFAULT NULL,
  `unit` varchar(255) DEFAULT NULL,
  `scale` varchar(255) DEFAULT NULL,
  `width` varchar(255) DEFAULT NULL,
  `units_length_scale` varchar(255) DEFAULT NULL,
  `data_type` varchar(255) DEFAULT NULL,
  `selected` tinyint(4) DEFAULT NULL,
  `Observation` varchar(255) DEFAULT NULL,
  `Crex_Data` varchar(255) DEFAULT NULL,
  `Bufr_Data` varchar(50) DEFAULT NULL,
  KEY `synop_code` (`synop_code`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_db_v4.tm_307081: ~161 rows (approximately)
/*!40000 ALTER TABLE `tm_307081` DISABLE KEYS */;
INSERT INTO `tm_307081` (`Nos`, `Bufr_Template`, `Crex_Template`, `Sequence_Descriptor1`, `Sequence_Descriptor0`, `Bufr_Element`, `Crex_Element`, `Climsoft_Element`, `Element_Name`, `synop_code`, `unit`, `scale`, `width`, `units_length_scale`, `data_type`, `selected`, `Observation`, `Crex_Data`, `Bufr_Data`) VALUES
	(96, NULL, NULL, 'B20101', '', '020101', 'B20101', '701', 'Locust (Acridian) name', '', 'Code Table', '0', '2', '', '', 1, '', '//', NULL),
	(97, NULL, NULL, 'B20102', '', '020102', 'B20102', '702', 'Locust (Maturity) colour', '', 'Code Table', '0', '2', '', '', 1, '', '//', NULL),
	(98, NULL, NULL, 'B20103', '', '020103', 'B20103', '704', 'Stage of development of locusts', '', 'Code Table', '0', '2', '', '', 1, '', '//', NULL),
	(99, NULL, NULL, 'B20104', '', '020104', 'B20104', '705', 'Organization state of swam or band of locusts', '', 'Code Table', '0', '2', '', '', 1, '', '//', NULL),
	(100, NULL, NULL, 'B20105', '', '020105', 'B20105', '706', 'Size of swam or band of locusts and duration of passage of time', '', 'Code Table', '0', '2', '', '', 1, '', '//', NULL),
	(105, NULL, NULL, '', '', '004024', 'B04024', 'ww_TP', 'Time period in hours', '', 'Hour', '0', '4', '', '', 1, '-3', '-0003', NULL),
	(108, NULL, NULL, '', 'R01002', '201002', 'R01002', '', 'Replicate 1 descriptors 2 times', '', '', '', '', '', 'Sunshine', 0, '', '', NULL),
	(109, NULL, NULL, '', 'D02039', '004024', 'B04024', 'SSS_TP', 'Time period in hours', '', 'Hour', '0', '4', 'Hour, 0, 4', 'Sunshine', 1, '-24', '-0024', NULL),
	(51, NULL, NULL, '', '', '008002', 'B08002', '131', 'Vertical significance', '', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '', '//', NULL),
	(135, NULL, NULL, '', '', '011043', 'B11043', '59', 'Maximum wind gust direction', '', 'Degree True', '0', '3', '', '', 1, '', '///', NULL),
	(136, NULL, NULL, '', '', '011041', 'B11041', '58', 'Maximum wind gust speed', '', 'M s-1', '1', '4', '', '', 1, '', '////', NULL),
	(137, NULL, NULL, '', '', '004025', 'B04025', 'w2_TP', 'Time period in minutes   ', '', 'Minute', '0', '4', '', '', 1, '', '////', NULL),
	(138, NULL, NULL, '', '', '011043', 'B11043', '591', 'Maximum wind gust direction', '', 'Degree True', '0', '3', '', '', 1, '', '///', NULL),
	(139, NULL, NULL, '', '', '011041', 'B11041', '581', 'Maximum wind gust speed', '', 'Minute', '1', '4', '', '', 1, '', '////', NULL),
	(140, NULL, NULL, '', 'B07032', '007032', 'B07032', 'evap_SH', 'Height of sensor above local ground (for evaporation measurement)', '', 'M', '2', '5', '', '', 1, '0.25', '00025', NULL),
	(141, NULL, NULL, 'D02044', 'B04024', '004024', 'B04024', 'evap_TP', 'Time period in hours              =  - 24', '', 'Hour', '0', '4', 'Hour, 0, 4', 'Evaporation', 1, '-24', '-0024', NULL),
	(111, NULL, NULL, '', '', '004024', 'B04024', 'SS_TP', 'Time period or displacement in hours', '', 'Hour', '0', '4', '', '', 1, '-1', '-0001', NULL),
	(113, NULL, NULL, '', 'D02040', '007032', 'B07032', 'RR_SH', 'Height of sensor above local ground (for precipiation measurement)', '', 'M', '2', '5', '', 'Precipitation', 1, '0.25', '00025', NULL),
	(114, NULL, NULL, '', '', 'R02002', 'R02002', '', 'Replicate next 2 descriptors 2 times', '', '', '', '', '', 'Precipitation ', 0, '', '', NULL),
	(116, NULL, NULL, '', '', '013011', 'B13011', '5', 'Total precipitation RRR', '', 'kg m-2', '1', '5', 'kg m-2, 1, 5', 'Precipitation ', 1, '1', '00001', NULL),
	(119, NULL, NULL, '', 'D02041', '007032', 'B07032', 'xt_SH', 'Height of sensor above local ground (for temperature measurement)', '', 'm', '2', '5', 'm, 2, 5', 'Extreme temperatures', 1, '1.25', '00125', NULL),
	(120, NULL, NULL, '', '', '004024', 'B04024', 'xt_TP', 'Time period or displacement                         ', '', 'Hour', '0', '4', '', '', 1, '-12', '-0012', NULL),
	(121, NULL, NULL, '', '', '004024', 'B04024', 'xt0_TP', 'Time period or displacement (see Notes 1 and 2)                      ', '', 'Hour', '0', '4', '', '', 1, '', '////', NULL),
	(123, NULL, NULL, '', '', '004024', 'B04024', 'nt_TP', 'Time period or displacement                         ', '', 'Hour', '0', '4', '', '', 1, '-12', '-0012', NULL),
	(124, NULL, NULL, '', '', '004024', 'B04024', 'nt0_TP', 'Time period or displacement (see Notes 2)                      ', '', 'Hour', '0', '4', '', '', 1, '', '////', NULL),
	(65, NULL, NULL, '', 'B20014', '020014', 'B20014', '624', 'Height of top of cloud', '', 'm', '-1', '4', '', '', 0, '', '////', NULL),
	(126, NULL, NULL, '', 'D02042', '007032', 'B07032', 'w_SH', 'Height of sensor above local ground (for wind measurement)', '', 'M', '2', '5', '', '', 1, '10', '01000', NULL),
	(128, NULL, NULL, '', '', '008021', 'B08021', 'w_TS', 'Time significance (= 2 (time averaged))', '', 'Code table', '0', '2', '', '', 1, '2', '02', NULL),
	(129, NULL, NULL, '', '', '004025', 'B04025', 'w_TP', 'Time period (= - 10 minutes, or number of minutes after a significant change of wind)', '', 'Minute', '0', '4', '', '', 1, '-10', '-0010', NULL),
	(132, NULL, NULL, '', '', '008021', 'B08021', 'w1_TS', 'Time significance (= missing value)', '', 'Code table', '0', '2', '', '', 1, '', '//', NULL),
	(133, NULL, NULL, '', '', '203002', 'R03002', '', 'Replicate next 3 descriptors 2 times', '', '', '', '', '', '', 0, '', '', NULL),
	(134, NULL, NULL, '', '', '004025', 'B04025', 'w1_TP', 'Time period in minutes   ', '', 'Minute', '0', '4', '', '', 1, '', '////', NULL),
	(37, NULL, NULL, '', 'R01000', '101000', 'R01000', '', 'Delayed replication of the next 1 descriptor', '', '', '', '', '', '', 0, '', '', NULL),
	(38, NULL, NULL, '', 'B31001', '031001', 'B31001', 'cloud_rep1', 'Delayed descriptor replication factor', '', '', '0', '4', '', 'Cloud data', 1, '1', '0001', NULL),
	(39, NULL, NULL, '', 'D02005', '008002', 'B08002', '119', 'Vertical significance', '', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 1, '1', '01', NULL),
	(43, NULL, NULL, '', '', '008002', 'B08002', '123', 'Vertical significance', '', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '', '//', NULL),
	(47, NULL, NULL, '', '', '008002', 'B08002', '127', 'Vertical significance', '', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '', '//', NULL),
	(144, NULL, NULL, 'R01002', '', '101002', 'R01002', '', 'Replication the 1 descriptor 2 times ', '', '', '', '', '', '', 0, '', '', NULL),
	(145, NULL, NULL, 'D02045', 'B04024', '004024', 'B04024', 'rad1_TP', 'Time period or displacement', '', 'Hour', '0', '4', '', '', 1, '', '////', NULL),
	(146, NULL, NULL, '', 'B14002', '014002', 'B14002', '536', 'Long-wave radiation, integrated over period specified ', '', 'J m-2', '-3', '4', '', '', 1, '', '////', NULL),
	(147, NULL, NULL, '', 'B14004', '014004', 'B14004', '533', 'Short-wave radiation, integrated over period specified ', '', 'J m-2', '-3', '4', '', '', 1, '', '////', NULL),
	(148, NULL, NULL, '', 'B14016', '014016', 'B14016', '46_1', 'Net radiation, integrated over period specified', '', 'J m-2', '-4', '5', '', '', 1, '', '/////', NULL),
	(149, NULL, NULL, '', 'B14028', '014028', 'B14028', '133', 'Global solar radiation (high accuracy), integrated over period specified', '', 'J m-2', '-2', '5', '', '', 1, '', '/////', NULL),
	(150, NULL, NULL, '', 'B14029', '014029', 'B14029', '97', 'Diffuse solar radiation (high accuracy), integrated over period specified', '', 'J m-2', '-2', '5', '', '', 1, '', '/////', NULL),
	(151, NULL, NULL, '', 'B14030', '014030', 'B14030', '139', 'Direct solar radiation (high accuracy), integrated over period specified', '', 'J m-2', '-2', '5', '', '', 1, '', '/////', NULL),
	(152, NULL, NULL, '', 'B04024', '004024', 'B04024', 'rad2_TP', 'Time period or displacement', '', 'Hour', '0', '4', '', '', 1, '', '////', NULL),
	(153, NULL, NULL, '', 'B14002', '014002', 'B14002', '536_1', 'Long-wave radiation, integrated over period specified ', '', 'J m-2', '-3', '4', '', '', 1, '', '////', NULL),
	(3, NULL, NULL, '', '', '001015', 'B01015', 'station_name', 'Station or site name', '', 'Character', '0', '20', 'Character, 0, 20', 'station identification', 1, 'DAGORETTI CORNER METEOROLOGICAL STATION', 'DAGORETTI CORNER MET', NULL),
	(5, NULL, NULL, '', 'D01011', '004001', 'B04001', 'datetime_year', 'Year', '', 'Year', '0', '4', 'Year, 0, 4', 'station identification', 1, '2000', '2000', NULL),
	(6, NULL, NULL, '', '', '004002', 'B04002', 'datetime_month', 'Month', '', 'Month', '0', '2', 'Month, 0, 2', 'station identification', 1, '01', '01', NULL),
	(10, NULL, NULL, '', 'D01021', '005001', 'B05001', 'station_deglatitude', 'Latitude (high accuracy)', '', 'Degree', '5', '7', 'Degree, 2, 4', 'station identification', 1, '-1.3', '-0000130', NULL),
	(11, NULL, NULL, '', '', '006001', 'B06001', 'station_deglongitude', 'Longitude (high accuracy)', '', 'Degree', '5', '8', 'Degree, 2, 5', 'station identification', 1, '36.75', '00003675', NULL),
	(12, NULL, NULL, '', 'B07030', '007030', 'B07030', 'station_elevation', 'Height of station ground above mean sea level', '', 'M', '1', '5', 'm, 1, 6', 'station identification', 1, '1798', '17980', NULL),
	(55, NULL, NULL, NULL, 'R05000', '205000', 'R05000', '', 'Delayed replication of 5 descriptors  ', '', '', '', '', '', '', 0, '', '', NULL),
	(56, NULL, NULL, NULL, 'B31001', '031001', 'B31001', 'cloud_rep2', 'Delayed descriptor replication factor', '', 'Numeric', '0', '4', '', '', 1, '0', '0000', NULL),
	(57, NULL, NULL, 'D02036', 'B08002', '008002', 'B08002', '611', 'Vertical Significance', '', 'Code table', '0', '2', 'Code table', '', 0, '', '//', NULL),
	(60, NULL, NULL, '', 'B20014', '020014', 'B20014', '614', 'Height of top of cloud', '', 'm', '-1', '4', '', '', 0, '', '////', NULL),
	(62, NULL, NULL, '', 'B08002', '008002', 'B08002', '621', 'Vertical Significance', '', 'Code table', '0', '2', 'Code table', '', 0, '', '//', NULL),
	(21, NULL, NULL, 'D02035', 'D02032', '007032', 'B07032', 'Temp_SH', 'Height of sensor above local ground (for temperature and humidity measurement)', '', 'm', '2', '5', 'm, 2, 5', 'Temperature and humidity', 1, '1.25', '00125', NULL),
	(24, NULL, NULL, '', '', '013003', 'B13003', '105', 'Relative humidity', '', '%', '0', '3', '%, 0, 3', 'Temperature and humidity', 1, '1', '001', NULL),
	(27, NULL, NULL, '', 'D02034', '007032', 'B07032', 'R24_SH', 'Height of sensor above local ground (for precipitation measurement)', '', 'M', '2', '5', '', 'Precipitation', 1, '0.25', '00025', NULL),
	(29, NULL, NULL, '', 'B07032', '007032', 'B07032', 'Cancel_SH', 'Height of sensor above local ground (set to missing to cancel the previous table)', '', 'M', '2', '5', '', '', 1, '', '/////', NULL),
	(84, NULL, NULL, 'B08002', '', '008002', 'B08002', 'vert_sig_cancel', 'Vertical significance (set to missing to cancel the previous value)    ', '', 'Code Table', '0', '2', '', '', 1, '', '//', NULL),
	(154, NULL, NULL, '', 'B14004', '014004', 'B14004', '533_1', 'Short-wave radiation, integrated over period specified ', '', 'J m-2', '-3', '4', '', '', 1, '', '////', NULL),
	(155, NULL, NULL, '', 'B14016', '014016', 'B14016', '46', 'Net radiation, integrated over period specified', '', 'J m-2', '-4', '5', '', '', 1, '', '/////', NULL),
	(156, NULL, NULL, '', 'B14028', '014028', 'B14028', '133_1', 'Global solar radiation (high accuracy), integrated over period specified', '', 'J m-2', '-2', '5', '', '', 1, '', '/////', NULL),
	(157, NULL, NULL, '', 'B14029', '014029', 'B14029', '97_1', 'Diffuse solar radiation (high accuracy), integrated over period specified', '', 'J m-2', '-2', '5', '', '', 1, '', '/////', NULL),
	(158, NULL, NULL, '', 'B14030', '014030', 'B14030', '139_1', 'Direct solar radiation (high accuracy), integrated over period specified', '', 'J m-2', '-2', '5', '', '', 1, '', '/////', NULL),
	(159, NULL, NULL, 'D02046', 'B04024', '004024', 'B04024', 'tempc_t', 'Time period or displacement                         ', '', 'Hour', '0', '4', '', '', 1, '', '////', NULL),
	(160, NULL, NULL, '', 'B04024', '004024', 'B04024', 'tempc1_t', 'Time period or displacement (see Note 3)       ', '', 'Hour', '0', '4', '', '', 1, '', '////', NULL),
	(89, NULL, NULL, '', 'B07021', '007021', 'B07021', '665', 'Elevation angle (set to missing to cancel the previous value)', '', 'Degree', '2', '5', '', '', 1, '', '/////', NULL),
	(92, NULL, NULL, '', 'B12113', '012113', 'B12113', '585', 'Ground minimum temperature past 12 hrs', '', 'Degree', '2', '3', '', '', 1, '', '///', NULL),
	(93, NULL, NULL, 'B12122', '', '012122', 'B12122', '85', 'Ground minimum temperature of the preceeding night', '', '\'C', '2', '4', '', '', 1, '1', '0010', NULL),
	(94, NULL, NULL, 'B13056', '', '013056', 'B13056', '505', 'Character and Intensity of precipitation', '', 'Code Table', '0', '2', '', '', 1, '1', '01', NULL),
	(95, NULL, NULL, 'B13057', '', '013057', 'B13057', '506', 'Time of beginning or end of precipitation', '', 'Code Table', '0', '2', '', '', 1, '9', '09', NULL),
	(67, NULL, NULL, '', 'B08002', '008002', 'B08002', '631', 'Vertical Significance', '', 'Code table', '0', '2', 'Code table', '', 0, '', '//', NULL),
	(70, NULL, NULL, '', 'B20014', '020014', 'B20014', '634', 'Height of top of cloud', '', 'm', '-1', '4', '', '', 0, '', '////', NULL),
	(72, NULL, NULL, '', 'B08002', '008002', 'B08002', '641', 'Vertical Significance', '', 'Code table', '0', '2', 'Code table', '', 0, '', '//', NULL),
	(75, NULL, NULL, '', 'B20014', '020014', 'B20014', '644', 'Height of top of cloud', '', 'm', '-1', '4', '', '', 0, '', '////', NULL),
	(77, NULL, NULL, 'R02003', '', '102003', 'R02003', 'cloud_drift_rep', 'Replication factor of 2 descriptor  for 3 times', '', '', '', '', '', '', 0, '', '', NULL),
	(78, NULL, NULL, 'D02047', 'B08002', '008002', 'B08002', '651', 'Vertical Significance =7 (low cloud) =8 (middle cloud) =9 (high cloud)', '', 'Code table', '0', '2', '', '', 1, '', '//', NULL),
	(80, NULL, NULL, '', 'B08002', '008002', 'B08002', '653', 'Vertical Significance =7 (low cloud) =8 (middle cloud) =9 (high cloud)', '', 'Code Table', '0', '2', '', '', 1, '', '//', NULL),
	(82, NULL, NULL, '', 'B08002', '008002', 'B08002', '655', 'Vertical Significance =7 (low cloud) =8 (middle cloud) =9 (high cloud)', '', 'Code Table', '0', '2', '', '', 1, '', '//', NULL),
	(13, NULL, NULL, '', 'B07031', '007031', 'B07031', 'station_pressure_height', 'Height of barometer above mean sea level', '', 'M', '1', '5', 'm, 1, 6', 'station identification', 1, '1799', '17990', NULL),
	(4, NULL, NULL, '', '', '002001', 'B02001', 'station_qualifier', 'Type of station                                             ', '(ix)', 'Code table', '0', '1', 'Code table, 0, 1', 'station identification', 1, '1', '1', NULL),
	(17, NULL, NULL, '', '', '010063', 'B10063', '814', 'Characteristic of pressure tendency', 'a', 'Code table', '0', '2', 'Code table, 0, 2', 'Pressure data', 1, '15', '15', NULL),
	(19, NULL, NULL, '', 'B07004', '007004', 'B07004', '301', 'Pressure (standard level) ', 'a3', 'Pa', '-1', '5', 'Pa, –1, 5', 'Pressure data', 1, '1', '00000', NULL),
	(53, NULL, NULL, '', '', '020012', 'B20012', '129', 'Cloud type', 'C', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '', '//', NULL),
	(41, NULL, NULL, '', '', '020012', 'B20012', '117', 'Cloud type', 'C', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 1, '1', '01', NULL),
	(45, NULL, NULL, '', '', '020012', 'B20012', '121', 'Cloud type', 'C', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '', '//', NULL),
	(49, NULL, NULL, '', '', '020012', 'B20012', '125', 'Cloud type', 'C', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '', '//', NULL),
	(59, NULL, NULL, '', 'B20012', '020012', 'B20012', '613', 'Cloud type', 'C', 'Code table', '0', '2', '', '', 0, '', '//', NULL),
	(64, NULL, NULL, '', 'B20012', '020012', 'B20012', '623', 'Cloud type', 'C', 'Code table', '0', '2', '', '', 0, '', '//', NULL),
	(87, NULL, NULL, '', 'B20012', '020012', 'B20012', '663', 'Cloud type ', 'C', 'Code Table', '0', '2', '', '', 1, '', '//', NULL),
	(69, NULL, NULL, '', 'B20012', '020012', 'B20012', '633', 'Cloud type', 'C', 'Code table', '0', '2', '', '', 0, '', '//', NULL),
	(74, NULL, NULL, '', 'B20012', '020012', 'B20012', '643', 'Cloud type', 'C', 'Code table', '0', '2', '', '', 0, '', '//', NULL),
	(36, NULL, NULL, '', '', '020012', 'B20012', '171', 'Cloud type (low clouds CH)', 'CH', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 1, '1', '01', NULL),
	(34, NULL, NULL, '', '', '020012', 'B20012', '169', 'Cloud type (low clouds CL)', 'CL ', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 1, '1', '01', NULL),
	(31, NULL, NULL, '', '', '008002', 'B08002', '115', 'Vertical significance', 'CL CM CH', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 1, '1', '01', NULL),
	(35, NULL, NULL, '', '', '020012', 'B20012', '170', 'Cloud type (low clouds CM)', 'CM', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 1, '1', '01', NULL),
	(66, NULL, NULL, '', 'B20017', '020017', 'B20017', '625', 'Cloud top description', 'Ct', 'Code table', '0', '2', 'Code table, 0', '', 0, '', '//', NULL),
	(61, NULL, NULL, '', 'B20017', '020017', 'B20017', '615', 'Cloud top description', 'Ct', 'Code table', '0', '2', 'Code table, 0', '', 0, '', '//', NULL),
	(71, NULL, NULL, '', 'B20017', '020017', 'B20017', '635', 'Cloud top description', 'Ct', 'Code table', '0', '2', 'Code table, 0', '', 0, '', '//', NULL),
	(76, NULL, NULL, '', 'B20017', '020017', 'B20017', '645', 'Cloud top description', 'Ct', 'Code table', '0', '2', 'Code table, 0', '', 0, '', '//', NULL),
	(85, NULL, NULL, 'D02048', 'B05021', '005021', 'B05021', '661', 'Bearing or azimuth', 'Da', 'Degree', '2', '5', '', '', 1, '', '/////', NULL),
	(88, NULL, NULL, '', 'B05021', '005021', 'B05021', '664', 'Bearing or azimuth (set to missing to cancel the previous value) ', 'Da', 'Degree', '2', '5', '', '', 1, '', '/////', NULL),
	(130, NULL, NULL, '', '', '011001', 'B11001', '112', 'Wind direction', 'dd', 'Degree true', '0', '3', '', '', 1, '1', '000', NULL),
	(101, NULL, NULL, 'B20106', '', '020106', 'B20106', '707', 'Locust population density', 'dL', 'Code Table', '0', '2', '', '', 1, '', '//', NULL),
	(102, NULL, NULL, 'B20107', '', '020107', 'B20107', '708', 'Direction of movements of locust swarm', 'DL', 'Code Table', '0', '2', '', '', 1, '', '//', NULL),
	(83, NULL, NULL, '', 'B20054', '020054', 'B20054', '656', 'True  direction from which clouds are moving', 'DL, DM, DH', 'Degree', '0', '3', '', '', 1, '', '///', NULL),
	(79, NULL, NULL, '', 'B20054', '020054', 'B20054', '652', 'True  direction from which clouds are moving', 'DL, DM, DH', 'Degree', '0', '3', '', '', 1, '', '///', NULL),
	(81, NULL, NULL, '', 'B20054', '020054', 'B20054', '654', 'True  direction from which clouds are moving', 'DL, DM, DH', 'Degree', '0', '3', '', '', 1, '', '///', NULL),
	(90, NULL, NULL, 'D02037', 'B20062', '020062', 'B20062', '51', 'State of ground (with or without snow)', 'E or E’', 'Code Table', '0', '2', '', '', 1, '', '//', NULL),
	(86, NULL, NULL, '', 'B07021', '007021', 'B07021', '662', 'Elevation angle ', 'eC', 'Degree', '2', '5', '', '', 1, '', '/////', NULL),
	(143, NULL, NULL, '', 'B13033', '013033', 'B13033', '18', 'Evaporation /evapotranspiration', 'EEE ', 'kg m-2', '1', '4', 'kg m-2, 1, 4', 'Evaporation', 1, '1', '0001', NULL),
	(131, NULL, NULL, '', '', '011002', 'B11002', '111', 'Wind speed ', 'ff', 'M s-1', '1', '4', '', '', 1, '1', '0010', NULL),
	(8, NULL, NULL, '', 'D01012', '004004', 'B04004', 'datetime_hour', 'Hour', 'GG', 'Hour', '0', '2', 'Hour, 0, 2', 'station identification', 1, '03', '03', NULL),
	(9, NULL, NULL, '', '', '004005', 'B04005', 'datetime_minute', 'Minute', 'gg', 'Minute', '0', '2', 'Minute, 0, 2', 'station identification', 1, '00', '00', NULL),
	(33, NULL, NULL, '', '', '020013', 'B20013', '192', 'Height of base of cloud', 'h', 'm', '-1', '4', 'm, –1, 4', 'Cloud data', 1, '1', '0000', NULL),
	(20, NULL, NULL, '', 'B10009', '010009', 'B10009', '185', 'Geopotential height of the standard level', 'hhh', 'gpm', '0', '5', 'gpm, 0, 5', 'Pressure data', 1, '1', '00001', NULL),
	(42, NULL, NULL, '', '', '020013', 'B20013', '118', 'Height of base of cloud', 'hshs  ', 'm', '-1', '4', 'm, -1, 4', 'Cloud data', 1, '1', '0000', NULL),
	(46, NULL, NULL, '', '', '020013', 'B20013', '122', 'Height of base of cloud', 'hshs  ', 'm', '-1', '4', 'm, -1, 4', 'Cloud data', 0, '', '////', NULL),
	(50, NULL, NULL, '', '', '020013', 'B20013', '126', 'Height of base of cloud', 'hshs  ', 'm', '-1', '4', 'm, -1, 4', 'Cloud data', 0, '', '////', NULL),
	(54, NULL, NULL, '', '', '020013', 'B20013', '130', 'Height of base of cloud', 'hshs  ', 'm', '-1', '4', 'm, -1, 4', 'Cloud data', 0, '', '////', NULL),
	(142, NULL, NULL, '', 'B02004', '002004', 'B02004', 'evap_I', 'Type of instrument for evaporation or crop for evapotranspiration', 'iE', 'Code table', '0', '2', 'Code table, 0, 2', 'Evaporation', 1, '1', '01', NULL),
	(1, '307081', 'D07081', 'D01090', 'D01004', '001001', 'B01001', 'station_WMO_bloc', 'WMO block number', 'II', 'Numeric', '0', '2', 'Numeric, 0, 2', 'station identification', 1, '63', '63', NULL),
	(2, NULL, NULL, '', '', '001002', 'B01002', 'station_WMO_number', 'WMO station number                                   ', 'iii', 'Numeric', '0', '3', 'Numeric, 0, 3', 'station identification', 1, '741', '741', NULL),
	(127, NULL, NULL, '', '', '002002', 'B02002', 'w_I', 'Type of instrumentation for wind measurement', 'iw', 'Flag table', '0', '2', '', '', 1, '14', '14', NULL),
	(25, NULL, NULL, '', 'D02033', '007032', 'B07032', 'Vis_SH', 'Height of sensor above local ground (for visibility measurement)', 'm', 'm', '2', '5', 'm, 2, 5', 'Temperature and humidity', 1, '1.5', '00150', NULL),
	(30, NULL, NULL, '', 'D02004', '020010', 'B20010', '114', 'Cloud cover (total)', 'N ', '%', '0', '3', '%, 0, 3', 'Cloud data', 1, '1', '013', NULL),
	(32, NULL, NULL, '', '', '020011', 'B20011', '168', 'Cloud amount (of low or middle clouds)', 'Nh ', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 1, '1', '01', NULL),
	(58, NULL, NULL, '', 'B20011', '020011', 'B20011', '612', 'Clound amount', 'Nh', 'Code table', '0', '2', '', '', 0, '', '//', NULL),
	(63, NULL, NULL, '', 'B20011', '020011', 'B20011', '622', 'Clound amount', 'Nh', 'Code table', '0', '2', '', '', 0, '', '//', NULL),
	(68, NULL, NULL, '', 'B20011', '020011', 'B20011', '632', 'Clound amount', 'Nh', 'Code table', '0', '2', '', '', 0, '', '//', NULL),
	(73, NULL, NULL, '', 'B20011', '020011', 'B20011', '642', 'Clound amount', 'Nh', 'Code table', '0', '2', '', '', 0, '', '//', NULL),
	(52, NULL, NULL, '', '', '020011', 'B20011', '128', 'Cloud amount', 'Ns ', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '', '//', NULL),
	(40, NULL, NULL, '', '', '020011', 'B20011', '116', 'Cloud amount', 'Ns ', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 1, '1', '01', NULL),
	(44, NULL, NULL, '', '', '020011', 'B20011', '120', 'Cloud amount', 'Ns ', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '', '//', NULL),
	(48, NULL, NULL, '', '', '020011', 'B20011', '124', 'Cloud amount', 'Ns ', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '', '//', NULL),
	(14, NULL, NULL, 'D02031', 'D02001', '010004', 'B10004', '106', 'Pressure', 'P0P0P0P0', 'Pa', '1', '5', 'Pa, –1, 5', 'Pressure data', 1, '1', '00001', NULL),
	(18, NULL, NULL, '', 'B10062', '010062', 'B10062', '399', '24-hour pressure change', 'p24p24p24', 'Pa', '-1', '4', 'Pa, –1, 4', 'Pressure data', 1, '1', '0000', NULL),
	(16, NULL, NULL, '', '', '010061', 'B10061', '400', '3-hour pressure change', 'ppp', 'Pa', '-1', '4', 'Pa, –1, 4', 'Pressure data', 1, '', '////', NULL),
	(15, NULL, NULL, '', '', '010051', 'B10051', '107', 'Pressure reduced to mean sea level', 'PPPP', 'Pa', '1', '5', 'Pa, –1, 5', 'Pressure data', 1, '', '/////', NULL),
	(28, NULL, NULL, '', '', '013023', 'B13023', '5', 'Total precipitation Past 24 Hrs', 'R24R24R24R24', 'Kg M^2', '1', '5', '', 'Precipitation', 1, '1', '00001', NULL),
	(118, NULL, NULL, '', '', '013011', 'B13011', '174', 'Total precipitation', 'RRR', 'kgm-2', '1', '5', '', '', 1, '1', '00001', NULL),
	(161, NULL, NULL, '', 'B12049', '012049', 'B12049', '94', 'Temperature change over period specified', 'sndT', '\'C', '0', '2', '', '', 1, '', '//', NULL),
	(23, NULL, NULL, '', '', '012103', 'B12103', '103', 'Dew-point temperature (scale 2)', 'snTdTdTd', '°C', '2', '4', '°C, 2, 4', 'Temperature and humidity', 1, '1', '0010', NULL),
	(125, NULL, NULL, '', '', '012112', 'B12112', '3', 'Minimum temperature (scale 2) at height and over period specified ', 'snTnTnTn', '\'C', '2', '4', '', '', 1, '', '////', NULL),
	(22, NULL, NULL, '', '', '012101', 'B12101', '101', 'Temperature/Dry bulb (scale 2) at height and over period specified', 'snTTT', '°C', '2', '4', '°C, 2, 4', 'Temperature and humidity', 1, '1', '0010', NULL),
	(122, NULL, NULL, '', '', '012111', 'B12111', '2', 'Maximum temperature (scale 2) at height and over period specified', 'snTxTxTx', '\'C', '2', '4', '', '', 1, '', '////', NULL),
	(112, NULL, NULL, '', '', '014031', 'B14031', '132', 'Total sunshine in minutes (2nd replication)', 'SS', 'Minute', '0', '4', '', '', 1, '1', '0001', NULL),
	(110, NULL, NULL, '', '', '014031', 'B14031', '84', 'Total sunshine ', 'SSS', 'Minute', '0', '4', 'Minute, 0, 4', 'Sunshine', 1, '60', '0006', NULL),
	(91, NULL, NULL, '', 'B13013', '013013', 'B13013', '50', 'Total snow depth', 'sss', 'M', '2', '5', '', '', 1, '', '/////', NULL),
	(115, NULL, NULL, '', '', '004024', 'B04024', 'tR_TP', 'Time period in hours', 'tR', 'Hour', '0', '4', 'Hour, 0, 4', 'Precipitation ', 1, '-3', '-0003', NULL),
	(117, NULL, NULL, '', '', '004024', 'B04024', 'tr_TP', 'Time period or displacement', 'tr', 'Hour', '0', '4', '', '', 1, '-3', '-0003', NULL),
	(103, NULL, NULL, 'B20108', '', '020108', 'B20108', '710', 'Extent of vegetation', 've', 'Code Table', '0', '2', '', '', 1, '', '//', NULL),
	(26, NULL, NULL, '', '', '020001', 'B20001', '110', 'Horizontal Visibility', 'VV', 'm', '-1', '4', 'm, –1, 4', 'Visibility  ', 1, '1', '0000', NULL),
	(106, NULL, NULL, '', '', '020004', 'B20004', '197', 'Past weather (1) ', 'W1', 'Code table', '0', '2', '', '', 1, '1', '01', NULL),
	(107, NULL, NULL, '', '', '020005', 'B20005', '193', 'Past weather (2) ', 'W2', 'Code table', '0', '2', '', '', 1, '1', '01', NULL),
	(104, NULL, NULL, 'D02043', 'D02038', '020003', 'B20003', '167', 'Present weather ', 'ww', 'Code table', '0', '3', '', '', 1, '1', '001', NULL),
	(7, NULL, NULL, '', '', '004003', 'B04003', 'datetime_day', 'Day', 'YY', 'Day', '0', '2', 'Day, 0, 2', 'station identification', 1, '01', '01', NULL);
/*!40000 ALTER TABLE `tm_307081` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_db_v4.tm_307082
CREATE TABLE IF NOT EXISTS `tm_307082` (
  `order` int(11) DEFAULT '0',
  `Bufr_Template` varchar(50) DEFAULT NULL,
  `Crex_Template` varchar(50) DEFAULT NULL,
  `Sequence_Descriptor1` varchar(50) DEFAULT NULL,
  `Sequence_Descriptor0` varchar(50) DEFAULT NULL,
  `Bufr_Element` varchar(50) DEFAULT NULL,
  `Crex_Element` varchar(255) DEFAULT NULL,
  `Climsoft_Element` varchar(255) DEFAULT NULL,
  `Element_Name` varchar(255) DEFAULT NULL,
  `synop_code` varchar(255) DEFAULT NULL,
  `unit` varchar(255) DEFAULT NULL,
  `scale` varchar(255) DEFAULT NULL,
  `width` varchar(255) DEFAULT NULL,
  `units_length_scale` varchar(255) DEFAULT NULL,
  `data_type` varchar(255) DEFAULT NULL,
  `selected` tinyint(4) DEFAULT NULL,
  `observation` varchar(255) DEFAULT NULL,
  `Crex_Data` varchar(255) DEFAULT NULL,
  `Bufr_Data` varchar(50) DEFAULT NULL,
  KEY `synop_code` (`synop_code`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_db_v4.tm_307082: ~162 rows (approximately)
/*!40000 ALTER TABLE `tm_307082` DISABLE KEYS */;
INSERT INTO `tm_307082` (`order`, `Bufr_Template`, `Crex_Template`, `Sequence_Descriptor1`, `Sequence_Descriptor0`, `Bufr_Element`, `Crex_Element`, `Climsoft_Element`, `Element_Name`, `synop_code`, `unit`, `scale`, `width`, `units_length_scale`, `data_type`, `selected`, `observation`, `Crex_Data`, `Bufr_Data`) VALUES
	(94, NULL, NULL, 'B12121', NULL, '012121', 'B12121', NULL, 'Ground minimum temperature', NULL, 'Deg \'C', '2', '4', NULL, NULL, 1, NULL, NULL, NULL),
	(21, NULL, NULL, 'D02035', 'D02032', '007032', 'B07032', 'Temp_SH', 'Height of sensor above local ground (for temperature and humidity measurement)', '', 'm', '2', '5', 'm, 2, 5', 'Temperature and humidity', 1, '1.25', '00125', NULL),
	(24, NULL, NULL, '', '', '013003', 'B13003', '105', 'Relative humidity', '', '%', '0', '3', '%, 0, 3', 'Temperature and humidity', 1, '1', '001', NULL),
	(27, NULL, NULL, '', 'D02034', '007032', 'B07032', 'R24_SH', 'Height of sensor above local ground (for precipitation measurement)', '', 'M', '2', '5', '', 'Precipitation', 1, '0.25', '00025', NULL),
	(29, NULL, NULL, '', 'B07032', '007032', 'B07032', 'Cancel_SH', 'Height of sensor above local ground (set to missing to cancel the previous table)', '', 'M', '2', '5', '', '', 1, '', '/////', NULL),
	(84, NULL, NULL, 'B08002', '', '008002', 'B08002', 'vert_sig_cancel', 'Vertical significance (set to missing to cancel the previous value)    ', '', 'Code Table', '0', '2', '', '', 1, '', '//', NULL),
	(155, NULL, NULL, '', 'B14004', '014004', 'B14004', '533_1', 'Short-wave radiation, integrated over period specified ', '', 'J m-2', '-3', '4', '', '', 1, '', '////', NULL),
	(156, NULL, NULL, '', 'B14016', '014016', 'B14016', '136_1', 'Net radiation, integrated over period specified', '', 'J m-2', '-4', '5', '', '', 1, '', '/////', NULL),
	(157, NULL, NULL, '', 'B14028', '014028', 'B14028', '133_1', 'Global solar radiation (high accuracy), integrated over period specified', '', 'J m-2', '-2', '5', '', '', 1, '', '/////', NULL),
	(158, NULL, NULL, '', 'B14029', '014029', 'B14029', '97_1', 'Diffuse solar radiation (high accuracy), integrated over period specified', '', 'J m-2', '-2', '5', '', '', 1, '', '/////', NULL),
	(159, NULL, NULL, '', 'B14030', '014030', 'B14030', '139_1', 'Direct solar radiation (high accuracy), integrated over period specified', '', 'J m-2', '-2', '5', '', '', 1, '', '/////', NULL),
	(160, NULL, NULL, 'D02046', 'B04024', '004024', 'B04024', 'tempc_t', 'Time period or displacement                         ', '', 'Hour', '0', '4', '', '', 1, '', '////', NULL),
	(161, NULL, NULL, '', 'B04024', '004024', 'B04024', 'tempc1_t', 'Time period or displacement (see Note 3)       ', '', 'Hour', '0', '4', '', '', 1, '', '////', NULL),
	(89, NULL, NULL, '', 'B07021', '007021', 'B07021', '665', 'Elevation angle (set to missing to cancel the previous value)', '', 'Degree', '2', '5', '', '', 1, '', '/////', NULL),
	(92, NULL, NULL, '', 'B12113', '012113', 'B12113', '585', 'Ground minimum temperature past 12 hrs', '', 'Degree', '2', '3', '', '', 1, '', '///', NULL),
	(94, NULL, NULL, 'B12122', '', '012122', 'B12122', '85', 'Ground minimum temperature of the preceeding night', '', 'Deg \'C', '2', '4', '', '', 1, '1', '0010', NULL),
	(95, NULL, NULL, 'B13056', '', '013056', 'B13056', '505', 'Character and Intensity of precipitation', '', 'Code Table', '0', '2', '', '', 0, '1', '01', NULL),
	(96, NULL, NULL, 'B13057', '', '013057', 'B13057', '506', 'Time of beginning or end of precipitation', '', 'Code Table', '0', '2', '', '', 0, '9', '09', NULL),
	(97, NULL, NULL, 'B20101', '', '020101', 'B20101', '701', 'Locust (Acridian) name', '', 'Code Table', '0', '2', '', '', 0, '', '//', NULL),
	(98, NULL, NULL, 'B20102', '', '020102', 'B20102', '702', 'Locust (Maturity) colour', '', 'Code Table', '0', '2', '', '', 0, '', '//', NULL),
	(99, NULL, NULL, 'B20103', '', '020103', 'B20103', '704', 'Stage of development of locusts', '', 'Code Table', '0', '2', '', '', 0, '', '//', NULL),
	(100, NULL, NULL, 'B20104', '', '020104', 'B20104', '705', 'Organization state of swam or band of locusts', '', 'Code Table', '0', '2', '', '', 0, '', '//', NULL),
	(101, NULL, NULL, 'B20105', '', '020105', 'B20105', '706', 'Size of swam or band of locusts and duration of passage of time', '', 'Code Table', '0', '2', '', '', 0, '', '//', NULL),
	(106, NULL, NULL, '', '', '004024', 'B04024', 'ww_TP', 'Time period in hours', '', 'Hour', '0', '4', '', '', 1, '-3', '-0003', NULL),
	(109, NULL, NULL, '', 'R01002', '201002', 'R01002', '', 'Replicate 1 descriptors 2 times', '', '', '', '', '', 'Sunshine', 0, '', '', NULL),
	(110, NULL, NULL, '', 'D02039', '004024', 'B04024', 'SSS_TP', 'Time period in hours', '', 'Hour', '0', '4', 'Hour, 0, 4', 'Sunshine', 1, '-24', '-0024', NULL),
	(51, NULL, NULL, '', '', '008002', 'B08002', '131', 'Vertical significance', '', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '', '//', NULL),
	(136, NULL, NULL, '', '', '011043', 'B11043', '59', 'Maximum wind gust direction', '', 'Degree True', '0', '3', '', '', 1, '', '///', NULL),
	(137, NULL, NULL, '', '', '011041', 'B11041', '58', 'Maximum wind gust speed', '', 'M s-1', '1', '4', '', '', 1, '', '////', NULL),
	(138, NULL, NULL, '', '', '004025', 'B04025', 'w2_TP', 'Time period in minutes   ', '', 'Minute', '0', '4', '', '', 1, '', '////', NULL),
	(139, NULL, NULL, '', '', '011043', 'B11043', '591', 'Maximum wind gust direction', '', 'Degree True', '0', '3', '', '', 1, '', '///', NULL),
	(140, NULL, NULL, '', '', '011041', 'B11041', '581', 'Maximum wind gust speed', '', 'Minute', '1', '4', '', '', 1, '', '////', NULL),
	(141, NULL, NULL, '', 'B07032', '007032', 'B07032', 'evap_SH', 'Height of sensor above local ground (for evaporation measurement)', '', 'M', '2', '5', '', '', 1, '0.25', '00025', NULL),
	(142, NULL, NULL, 'D02044', 'B04024', '004024', 'B04024', 'evap_TP', 'Time period in hours              =  - 24', '', 'Hour', '0', '4', 'Hour, 0, 4', 'Evaporation', 1, '-24', '-0024', NULL),
	(112, NULL, NULL, '', '', '004024', 'B04024', 'SS_TP', 'Time period or displacement in hours', '', 'Hour', '0', '4', '', '', 1, '-1', '-0001', NULL),
	(114, NULL, NULL, '', 'D02040', '007032', 'B07032', 'RR_SH', 'Height of sensor above local ground (for precipiation measurement)', '', 'M', '2', '5', '', 'Precipitation', 1, '0.25', '00025', NULL),
	(115, NULL, NULL, '', '', 'R02002', 'R02002', '', 'Replicate next 2 descriptors 2 times', '', '', '', '', '', 'Precipitation ', 0, '', '', NULL),
	(117, NULL, NULL, '', '', '013011', 'B13011', '5', 'Total precipitation RRR', '', 'kg m-2', '1', '5', 'kg m-2, 1, 5', 'Precipitation ', 1, '1', '00001', NULL),
	(120, NULL, NULL, '', 'D02041', '007032', 'B07032', 'xt_SH', 'Height of sensor above local ground (for temperature measurement)', '', 'm', '2', '5', 'm, 2, 5', 'Extreme temperatures', 1, '1.25', '00125', NULL),
	(121, NULL, NULL, '', '', '004024', 'B04024', 'xt_TP', 'Time period or displacement                         ', '', 'Hour', '0', '4', '', '', 1, '-12', '-0012', NULL),
	(122, NULL, NULL, '', '', '004024', 'B04024', '', 'Time period or displacement (see Notes 1 and 2)                      ', '', 'Hour', '0', '4', '', '', 1, '', '////', NULL),
	(124, NULL, NULL, '', '', '004024', 'B04024', 'nt_TP', 'Time period or displacement                         ', '', 'Hour', '0', '4', '', '', 1, '-12', '-0012', NULL),
	(125, NULL, NULL, '', '', '004024', 'B04024', '', 'Time period or displacement (see Notes 2)                      ', '', 'Hour', '0', '4', '', '', 1, '', '////', NULL),
	(127, NULL, NULL, '', 'D02042', '007032', 'B07032', 'w_SH', 'Height of sensor above local ground (for wind measurement)', '', 'M', '2', '5', '', '', 1, '10', '01000', NULL),
	(129, NULL, NULL, '', '', '008021', 'B08021', 'w_TS', 'Time significance (= 2 (time averaged))', '', 'Code table', '0', '2', '', '', 1, '2', '02', NULL),
	(130, NULL, NULL, '', '', '004025', 'B04025', 'w_TP', 'Time period (= - 10 minutes, or number of minutes after a significant change of wind)', '', 'Minute', '0', '4', '', '', 1, '-10', '-0010', NULL),
	(133, NULL, NULL, '', '', '008021', 'B08021', 'w1_TS', 'Time significance (= missing value)', '', 'Code table', '0', '2', '', '', 1, '', '//', NULL),
	(134, NULL, NULL, '', '', '203002', 'R03002', '', 'Replicate next 3 descriptors 2 times', '', '', '', '', '', '', 0, '', '', NULL),
	(135, NULL, NULL, '', '', '004025', 'B04025', 'w1_TP', 'Time period in minutes   ', '', 'Minute', '0', '4', '', '', 1, '', '////', NULL),
	(37, NULL, NULL, '', 'R01000', NULL, NULL, '', 'Delayed replication of the next 1 descriptor', '', '', '', '', '', '', 0, '', '', NULL),
	(38, NULL, NULL, '', 'B31001', '031001', 'B31001', 'cloud_rep1', 'Delayed descriptor replication factor', '', '', '0', '4', '', 'Cloud data', 1, '1', '0001', NULL),
	(39, NULL, NULL, '', 'D02005', '008002', 'B08002', '119', 'Vertical significance', '', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 1, '1', '01', NULL),
	(43, NULL, NULL, '', '', '008002', 'B08002', '123', 'Vertical significance', '', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '', '//', NULL),
	(47, NULL, NULL, '', '', '008002', 'B08002', '127', 'Vertical significance', '', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '', '//', NULL),
	(145, NULL, NULL, 'R01002', '', NULL, '', '', 'Replication the 1 descriptor 2 times ', '', '', '', '', '', '', 0, '', '', NULL),
	(146, NULL, NULL, 'D02045', 'B04024', '004024', 'B04024', 'rad_TP', 'Time period or displacement', '', 'Hour', '0', '4', '', '', 1, '', '////', NULL),
	(147, NULL, NULL, '', 'B14002', '014002', 'B14002', '536', 'Long-wave radiation, integrated over period specified ', '', 'J m-2', '-3', '4', '', '', 1, '', '////', NULL),
	(148, NULL, NULL, '', 'B14004', '014004', 'B14004', '533', 'Short-wave radiation, integrated over period specified ', '', 'J m-2', '-3', '4', '', '', 1, '', '////', NULL),
	(149, NULL, NULL, '', 'B14016', '014016', 'B14016', '136', 'Net radiation, integrated over period specified', '', 'J m-2', '-4', '5', '', '', 1, '', '/////', NULL),
	(150, NULL, NULL, '', 'B14028', '014028', 'B14028', '133', 'Global solar radiation (high accuracy), integrated over period specified', '', 'J m-2', '-2', '5', '', '', 1, '', '/////', NULL),
	(151, NULL, NULL, '', 'B14029', '014029', 'B14029', '97', 'Diffuse solar radiation (high accuracy), integrated over period specified', '', 'J m-2', '-2', '5', '', '', 1, '', '/////', NULL),
	(152, NULL, NULL, '', 'B14030', '014030', 'B14030', '139', 'Direct solar radiation (high accuracy), integrated over period specified', '', 'J m-2', '-2', '5', '', '', 1, '', '/////', NULL),
	(153, NULL, NULL, '', 'B04024', '004024', 'B04024', 'rad1_TP', 'Time period or displacement', '', 'Hour', '0', '4', '', '', 1, '', '////', NULL),
	(154, NULL, NULL, '', 'B14002', '014002', 'B14002', '536_1', 'Long-wave radiation, integrated over period specified ', '', 'J m-2', '-3', '4', '', '', 1, '', '////', NULL),
	(3, NULL, NULL, '', '', '001015', 'B01015', 'station_name', 'Station or site name', '', 'Character', '0', '20', 'Character, 0, 20', 'station identification', 1, 'DAGORETTI CORNER METEOROLOGICAL STATION', 'DAGORETTI CORNER MET', NULL),
	(5, NULL, NULL, '', 'D01011', '004001', 'B04001', 'datetime_year', 'Year', '', 'Year', '0', '4', 'Year, 0, 4', 'station identification', 1, '2000', '2000', NULL),
	(6, NULL, NULL, '', '', '004002', 'B04002', 'datetime_month', 'Month', '', 'Month', '0', '2', 'Month, 0, 2', 'station identification', 1, '01', '01', NULL),
	(10, NULL, NULL, '', 'D01021', '005001', 'B05001', 'station_deglatitude', 'Latitude (high accuracy)', '', 'Degree', '5', '7', 'Degree, 2, 4', 'station identification', 1, '-1.3', '-0000130', NULL),
	(11, NULL, NULL, '', '', '006001', 'B06001', 'station_deglongitude', 'Longitude (high accuracy)', '', 'Degree', '5', '8', 'Degree, 2, 5', 'station identification', 1, '36.75', '00003675', NULL),
	(12, NULL, NULL, '', 'B07030', '007030', 'B07030', 'station_elevation', 'Height of station ground above mean sea level', '', 'M', '1', '5', 'm, 1, 6', 'station identification', 1, '1798', '17980', NULL),
	(55, NULL, NULL, NULL, 'R05000', '205000', 'R05000', '', 'Delayed replication of 5 descriptors  ', '', '', '', '', '', '', 0, '', '', NULL),
	(56, NULL, NULL, NULL, 'B31001', '031001', 'B31001', 'cloud_rep2', 'Delayed descriptor replication factor', '', 'Numeric', '0', '4', '', '', 1, '0', '0000', NULL),
	(57, NULL, NULL, 'D02036', 'B08002', '008002', 'B08002', '611', 'Vertical Significance', '', 'Code table', '0', '2', 'Code table', '', 0, '', '//', NULL),
	(60, NULL, NULL, '', 'B20014', '020014', 'B20014', '614', 'Height of top of cloud', '', 'm', '-1', '4', '', '', 0, '', '////', NULL),
	(62, NULL, NULL, '', 'B08002', '008002', 'B08002', '621', 'Vertical Significance', '', 'Code table', '0', '2', 'Code table', '', 0, '', '//', NULL),
	(65, NULL, NULL, '', 'B20014', '020014', 'B20014', '624', 'Height of top of cloud', '', 'm', '-1', '4', '', '', 0, '', '////', NULL),
	(67, NULL, NULL, '', 'B08002', '008002', 'B08002', '631', 'Vertical Significance', '', 'Code table', '0', '2', 'Code table', '', 0, '', '//', NULL),
	(70, NULL, NULL, '', 'B20014', '020014', 'B20014', '634', 'Height of top of cloud', '', 'm', '-1', '4', '', '', 0, '', '////', NULL),
	(72, NULL, NULL, '', 'B08002', '008002', 'B08002', '641', 'Vertical Significance', '', 'Code table', '0', '2', 'Code table', '', 0, '', '//', NULL),
	(75, NULL, NULL, '', 'B20014', '020014', 'B20014', '644', 'Height of top of cloud', '', 'm', '-1', '4', '', '', 0, '', '////', NULL),
	(77, NULL, NULL, 'R02003', '', NULL, '', 'cloud_drift_rep', 'Replication factor of 2 descriptor  for 3 times', '', '', '', '', '', '', 0, '', '', NULL),
	(78, NULL, NULL, 'D02047', 'B08002', '008002', 'B08002', '651', 'Vertical Significance =7 (low cloud) =8 (middle cloud) =9 (high cloud)', '', 'Code table', '0', '2', '', '', 1, '', '//', NULL),
	(80, NULL, NULL, '', 'B08002', '008002', 'B08002', '653', 'Vertical Significance =7 (low cloud) =8 (middle cloud) =9 (high cloud)', '', 'Code Table', '0', '2', '', '', 1, '', '//', NULL),
	(82, NULL, NULL, '', 'B08002', '008002', 'B08002', '655', 'Vertical Significance =7 (low cloud) =8 (middle cloud) =9 (high cloud)', '', 'Code Table', '0', '2', '', '', 1, '', '//', NULL),
	(13, NULL, NULL, '', 'B07031', '007031', 'B07031', 'station_pressure_height', 'Height of barometer above mean sea level', '', 'M', '1', '5', 'm, 1, 6', 'station identification', 1, '1799', '17990', NULL),
	(4, NULL, NULL, '', '', '002001', 'B02001', 'station_qualifier', 'Type of station                                             ', '(ix)', 'Code table', '0', '1', 'Code table, 0, 1', 'station identification', 1, '1', '1', NULL),
	(17, NULL, NULL, '', '', '010063', 'B10063', 'a', 'Characteristic of pressure tendency', 'a', 'Code table', '0', '2', 'Code table, 0, 2', 'Pressure data', 1, '15', '15', NULL),
	(19, NULL, NULL, '', 'B07004', '007004', 'B07004', '301', 'Pressure (standard level) ', 'a3', 'Pa', '-1', '5', 'Pa, –1, 5', 'Pressure data', 1, '1', '00000', NULL),
	(87, NULL, NULL, '', 'B20012', '020012', 'B20012', '663', 'Cloud type ', 'C', 'Code Table', '0', '2', '', '', 1, '', '//', NULL),
	(53, NULL, NULL, '', '', '020012', 'B20012', '129', 'Cloud type', 'C', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '', '//', NULL),
	(41, NULL, NULL, '', '', '020012', 'B20012', '117', 'Cloud type', 'C', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 1, '1', '01', NULL),
	(45, NULL, NULL, '', '', '020012', 'B20012', '121', 'Cloud type', 'C', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '', '//', NULL),
	(49, NULL, NULL, '', '', '020012', 'B20012', '125', 'Cloud type', 'C', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '', '//', NULL),
	(59, NULL, NULL, '', 'B20012', '020012', 'B20012', '613', 'Cloud type', 'C', 'Code table', '0', '2', '', '', 0, '', '//', NULL),
	(64, NULL, NULL, '', 'B20012', '020012', 'B20012', '623', 'Cloud type', 'C', 'Code table', '0', '2', '', '', 0, '', '//', NULL),
	(69, NULL, NULL, '', 'B20012', '020012', 'B20012', '633', 'Cloud type', 'C', 'Code table', '0', '2', '', '', 0, '', '//', NULL),
	(74, NULL, NULL, '', 'B20012', '020012', 'B20012', '643', 'Cloud type', 'C', 'Code table', '0', '2', '', '', 0, '', '//', NULL),
	(36, NULL, NULL, '', '', '020012', 'B20012', '171', 'Cloud type (low clouds CH)', 'CH', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 1, '1', '01', NULL),
	(34, NULL, NULL, '', '', '020012', 'B20012', '169', 'Cloud type (low clouds CL)', 'CL ', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 1, '1', '01', NULL),
	(31, NULL, NULL, '', '', '008002', 'B08002', '115', 'Vertical significance', 'CL CM CH', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 1, '1', '01', NULL),
	(35, NULL, NULL, '', '', '020012', 'B20012', '170', 'Cloud type (low clouds CM)', 'CM', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 1, '1', '01', NULL),
	(61, NULL, NULL, '', 'B20017', '020017', 'B20017', '615', 'Cloud top description', 'Ct', 'Code table', '0', '2', 'Code table, 0', '', 0, '', '//', NULL),
	(66, NULL, NULL, '', 'B20017', '020017', 'B20017', '625', 'Cloud top description', 'Ct', 'Code table', '0', '2', 'Code table, 0', '', 0, '', '//', NULL),
	(71, NULL, NULL, '', 'B20017', '020017', 'B20017', '635', 'Cloud top description', 'Ct', 'Code table', '0', '2', 'Code table, 0', '', 0, '', '//', NULL),
	(76, NULL, NULL, '', 'B20017', '020017', 'B20017', '645', 'Cloud top description', 'Ct', 'Code table', '0', '2', 'Code table, 0', '', 0, '', '//', NULL),
	(85, NULL, NULL, 'D02048', 'B05021', '005021', 'B05021', '661', 'Bearing or azimuth', 'Da', 'Degree', '2', '5', '', '', 1, '', '/////', NULL),
	(88, NULL, NULL, '', 'B05021', '005021', 'B05021', '664', 'Bearing or azimuth (set to missing to cancel the previous value) ', 'Da', 'Degree', '2', '5', '', '', 1, '', '/////', NULL),
	(131, NULL, NULL, '', '', '011001', 'B11001', '112', 'Wind direction', 'dd', 'Degree true', '0', '3', '', '', 1, '1', '000', NULL),
	(102, NULL, NULL, 'B20106', '', '020106', 'B20106', '707', 'Locust population density', 'dL', 'Code Table', '0', '2', '', '', 0, '', '//', NULL),
	(103, NULL, NULL, 'B20107', '', '020107', 'B20107', '708', 'Direction of movements of locust swarm', 'DL', 'Code Table', '0', '2', '', '', 0, '', '//', NULL),
	(83, NULL, NULL, '', 'B20054', '020054', 'B20054', '656', 'True  direction from which clouds are moving', 'DL, DM, DH', 'Degree', '0', '3', '', '', 1, '', '///', NULL),
	(79, NULL, NULL, '', 'B20054', '020054', 'B20054', '652', 'True  direction from which clouds are moving', 'DL, DM, DH', 'Degree', '0', '3', '', '', 1, '', '///', NULL),
	(81, NULL, NULL, '', 'B20054', '020054', 'B20054', '654', 'True  direction from which clouds are moving', 'DL, DM, DH', 'Degree', '0', '3', '', '', 1, '', '///', NULL),
	(90, NULL, NULL, 'D02037', 'B20062', '020062', 'B20062', '51', 'State of ground (with or without snow)', 'E or E’', 'Code Table', '0', '2', '', '', 1, '', '//', NULL),
	(86, NULL, NULL, '', 'B07021', '007021', 'B07021', '662', 'Elevation angle ', 'eC', 'Degree', '2', '5', '', '', 1, '', '/////', NULL),
	(144, NULL, NULL, '', 'B13033', '013033', 'B13033', '18', 'Evaporation /evapotranspiration', 'EEE ', 'kg m-2', '1', '4', 'kg m-2, 1, 4', 'Evaporation', 1, '1', '0001', NULL),
	(132, NULL, NULL, '', '', '011002', 'B11002', '111', 'Wind speed ', 'ff', 'M s-1', '1', '4', '', '', 1, '1', '0010', NULL),
	(8, NULL, NULL, '', 'D01012', '004004', 'B04004', 'datetime_hour', 'Hour', 'GG', 'Hour', '0', '2', 'Hour, 0, 2', 'station identification', 1, '03', '03', NULL),
	(9, NULL, NULL, '', '', '004005', 'B04005', 'datetime_minute', 'Minute', 'gg', 'Minute', '0', '2', 'Minute, 0, 2', 'station identification', 1, '00', '00', NULL),
	(33, NULL, NULL, '', '', '020013', 'B20013', '192', 'Height of base of cloud', 'h', 'm', '-1', '4', 'm, –1, 4', 'Cloud data', 1, '1', '0000', NULL),
	(20, NULL, NULL, '', 'B10009', '010009', 'B10009', '185', 'Geopotential height of the standard level', 'hhh', 'gpm', '0', '5', 'gpm, 0, 5', 'Pressure data', 1, '1', '00001', NULL),
	(54, NULL, NULL, '', '', '020013', 'B20013', '130', 'Height of base of cloud', 'hshs  ', 'm', '-1', '4', 'm, -1, 4', 'Cloud data', 0, '', '////', NULL),
	(42, NULL, NULL, '', '', '020013', 'B20013', '118', 'Height of base of cloud', 'hshs  ', 'm', '-1', '4', 'm, -1, 4', 'Cloud data', 1, '1', '0000', NULL),
	(46, NULL, NULL, '', '', '020013', 'B20013', '122', 'Height of base of cloud', 'hshs  ', 'm', '-1', '4', 'm, -1, 4', 'Cloud data', 0, '', '////', NULL),
	(50, NULL, NULL, '', '', '020013', 'B20013', '126', 'Height of base of cloud', 'hshs  ', 'm', '-1', '4', 'm, -1, 4', 'Cloud data', 0, '', '////', NULL),
	(143, NULL, NULL, '', 'B02004', '002004', 'B02004', 'evap_I', 'Type of instrument for evaporation or crop for evapotranspiration', 'iE', 'Code table', '0', '2', 'Code table, 0, 2', 'Evaporation', 1, '1', '01', NULL),
	(1, '307082', 'D07082', 'D01090', 'D01004', '001001', 'B01001', 'station_WMO_bloc', 'WMO block number', 'II', 'Numeric', '0', '2', 'Numeric, 0, 2', 'station identification', 1, '63', '63', NULL),
	(2, NULL, NULL, '', '', '001002', 'B01002', 'station_WMO_number', 'WMO station number                                   ', 'iii', 'Numeric', '0', '3', 'Numeric, 0, 3', 'station identification', 1, '741', '741', NULL),
	(128, NULL, NULL, '', '', '002002', 'B02002', 'w_I', 'Type of instrumentation for wind measurement', 'iw', 'Flag table', '0', '2', '', '', 1, '14', '14', NULL),
	(25, NULL, NULL, '', 'D02033', '007032', 'B07032', 'Vis_SH', 'Height of sensor above local ground (for visibility measurement)', 'm', 'm', '2', '5', 'm, 2, 5', 'Temperature and humidity', 1, '1.5', '00150', NULL),
	(30, NULL, NULL, '', 'D02004', '020010', 'B20010', '114', 'Cloud cover (total)', 'N ', '%', '0', '3', '%, 0, 3', 'Cloud data', 1, '1', '013', NULL),
	(32, NULL, NULL, '', '', '020011', 'B20011', '168', 'Cloud amount (of low or middle clouds)', 'Nh ', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 1, '1', '01', NULL),
	(58, NULL, NULL, '', 'B20011', '020011', 'B20011', '612', 'Clound amount', 'Nh', 'Code table', '0', '2', '', '', 0, '', '//', NULL),
	(63, NULL, NULL, '', 'B20011', '020011', 'B20011', '622', 'Clound amount', 'Nh', 'Code table', '0', '2', '', '', 0, '', '//', NULL),
	(68, NULL, NULL, '', 'B20011', '020011', 'B20011', '632', 'Clound amount', 'Nh', 'Code table', '0', '2', '', '', 0, '', '//', NULL),
	(73, NULL, NULL, '', 'B20011', '020011', 'B20011', '642', 'Clound amount', 'Nh', 'Code table', '0', '2', '', '', 0, '', '//', NULL),
	(52, NULL, NULL, '', '', '020011', 'B20011', '128', 'Cloud amount', 'Ns ', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '', '//', NULL),
	(40, NULL, NULL, '', '', '020011', 'B20011', '116', 'Cloud amount', 'Ns ', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 1, '1', '01', NULL),
	(44, NULL, NULL, '', '', '020011', 'B20011', '120', 'Cloud amount', 'Ns ', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '', '//', NULL),
	(48, NULL, NULL, '', '', '020011', 'B20011', '124', 'Cloud amount', 'Ns ', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '', '//', NULL),
	(14, NULL, NULL, 'D02031', 'D02001', '010004', 'B10004', '106', 'Pressure', 'P0P0P0P0', 'Pa', '1', '5', 'Pa, –1, 5', 'Pressure data', 1, '1', '00001', NULL),
	(18, NULL, NULL, '', 'B10062', '010062', 'B10062', '399', '24-hour pressure change', 'p24p24p24', 'Pa', '-1', '4', 'Pa, –1, 4', 'Pressure data', 1, '1', '0000', NULL),
	(16, NULL, NULL, '', '', '010061', 'B10061', 'ppp', '3-hour pressure change', 'ppp', 'Pa', '-1', '4', 'Pa, –1, 4', 'Pressure data', 1, '', '////', NULL),
	(15, NULL, NULL, '', '', '010051', 'B10051', '107', 'Pressure reduced to mean sea level', 'PPPP', 'Pa', '1', '5', 'Pa, –1, 5', 'Pressure data', 1, '', '/////', NULL),
	(28, NULL, NULL, '', '', '013023', 'B13023', '5', 'Total precipitation Past 24 Hrs', 'R24R24R24R24', 'Kg M^2', '1', '5', '', 'Precipitation', 1, '1', '00001', NULL),
	(119, NULL, NULL, '', '', '013011', 'B13011', '174', 'Total precipitation', 'RRR', 'kgm-2', '1', '5', '', '', 1, '1', '00001', NULL),
	(162, NULL, NULL, '', 'B12049', '012049', 'B12049', '94', 'Temperature change over period specified', 'sndT', '\'C', '0', '2', '', '', 1, '', '//', NULL),
	(23, NULL, NULL, '', '', '012103', 'B12103', '103', 'Dew-point temperature (scale 2)', 'snTdTdTd', '°C', '2', '4', '°C, 2, 4', 'Temperature and humidity', 1, '1', '0010', NULL),
	(126, NULL, NULL, '', '', '012112', 'B12112', '3', 'Minimum temperature (scale 2) at height and over period specified ', 'snTnTnTn', '\'C', '2', '4', '', '', 1, '', '////', NULL),
	(22, NULL, NULL, '', '', '012101', 'B12101', '101', 'Temperature/Dry bulb (scale 2) at height and over period specified', 'snTTT', '°C', '2', '4', '°C, 2, 4', 'Temperature and humidity', 1, '1', '0010', NULL),
	(123, NULL, NULL, '', '', '012111', 'B12111', '2', 'Maximum temperature (scale 2) at height and over period specified', 'snTxTxTx', '\'C', '2', '4', '', '', 1, '', '////', NULL),
	(113, NULL, NULL, '', '', '014031', 'B14031', '132', 'Total sunshine in minutes (2nd replication)', 'SS', 'Minute', '0', '4', '', '', 1, '1', '0001', NULL),
	(91, NULL, NULL, '', 'B13013', '013013', 'B13013', '50', 'Total snow depth', 'sss', 'M', '2', '5', '', '', 1, '', '/////', NULL),
	(111, NULL, NULL, '', '', '014031', 'B14031', '532', 'Total sunshine ', 'SSS', 'Minute', '0', '4', 'Minute, 0, 4', 'Sunshine', 1, '60', '0006', NULL),
	(116, NULL, NULL, '', '', '004024', 'B04024', 'tR_TP', 'Time period in hours', 'tR', 'Hour', '0', '4', 'Hour, 0, 4', 'Precipitation ', 1, '-3', '-0003', NULL),
	(118, NULL, NULL, '', '', '004024', 'B04024', 'tr_TP', 'Time period or displacement', 'tr', 'Hour', '0', '4', '', '', 1, '-3', '-0003', NULL),
	(104, NULL, NULL, 'B20108', '', '020108', 'B20108', '710', 'Extent of vegetation', 've', 'Code Table', '0', '2', '', '', 0, '', '//', NULL),
	(26, NULL, NULL, '', '', '020001', 'B20001', '110', 'Horizontal Visibility', 'VV', 'm', '-1', '4', 'm, –1, 4', 'Visibility  ', 1, '1', '0000', NULL),
	(107, NULL, NULL, '', '', '020004', 'B20004', '197', 'Past weather (1) ', 'W1', 'Code table', '0', '2', '', '', 1, '1', '01', NULL),
	(108, NULL, NULL, '', '', '020005', 'B20005', '193', 'Past weather (2) ', 'W2', 'Code table', '0', '2', '', '', 1, '1', '01', NULL),
	(105, NULL, NULL, 'D02043', 'D02038', '020003', 'B20003', '167', 'Present weather ', 'ww', 'Code table', '0', '3', '', '', 0, '1', '001', NULL),
	(7, NULL, NULL, '', '', '004003', 'B04003', 'datetime_day', 'Day', 'YY', 'Day', '0', '2', 'Day, 0, 2', 'station identification', 1, '01', '01', NULL);
/*!40000 ALTER TABLE `tm_307082` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_db_v4.tm_307083
CREATE TABLE IF NOT EXISTS `tm_307083` (
  `order` int(11) DEFAULT '0',
  `Bufr_Template` varchar(50) DEFAULT NULL,
  `Crex_Template` varchar(50) DEFAULT NULL,
  `Sequence_Descriptor1` varchar(50) DEFAULT NULL,
  `Sequence_Descriptor0` varchar(50) DEFAULT NULL,
  `Bufr_Element` varchar(50) DEFAULT NULL,
  `Crex_Element` varchar(255) DEFAULT NULL,
  `Climsoft_Element` varchar(255) DEFAULT NULL,
  `Element_Name` varchar(255) DEFAULT NULL,
  `synop_code` varchar(255) DEFAULT NULL,
  `unit` varchar(255) DEFAULT NULL,
  `scale` varchar(255) DEFAULT NULL,
  `width` varchar(255) DEFAULT NULL,
  `units_length_scale` varchar(255) DEFAULT NULL,
  `data_type` varchar(255) DEFAULT NULL,
  `selected` tinyint(4) DEFAULT NULL,
  `observation` varchar(255) DEFAULT NULL,
  `Crex_Data` varchar(255) DEFAULT NULL,
  `Bufr_Data` varchar(50) DEFAULT NULL,
  KEY `synop_code` (`synop_code`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_db_v4.tm_307083: ~162 rows (approximately)
/*!40000 ALTER TABLE `tm_307083` DISABLE KEYS */;
INSERT INTO `tm_307083` (`order`, `Bufr_Template`, `Crex_Template`, `Sequence_Descriptor1`, `Sequence_Descriptor0`, `Bufr_Element`, `Crex_Element`, `Climsoft_Element`, `Element_Name`, `synop_code`, `unit`, `scale`, `width`, `units_length_scale`, `data_type`, `selected`, `observation`, `Crex_Data`, `Bufr_Data`) VALUES
	(94, NULL, NULL, 'B12121', NULL, '012121', 'B12121', NULL, 'Ground minimum temperature', NULL, 'Deg \'C', '2', '4', NULL, NULL, 1, NULL, NULL, NULL),
	(21, NULL, NULL, 'D02035', 'D02032', '007032', 'B07032', 'Temp_SH', 'Height of sensor above local ground (for temperature and humidity measurement)', '', 'm', '2', '5', 'm, 2, 5', 'Temperature and humidity', 1, '1.25', '00125', NULL),
	(24, NULL, NULL, '', '', '013003', 'B13003', '105', 'Relative humidity', '', '%', '0', '3', '%, 0, 3', 'Temperature and humidity', 1, '1', '001', NULL),
	(27, NULL, NULL, '', 'D02034', '007032', 'B07032', 'R24_SH', 'Height of sensor above local ground (for precipitation measurement)', '', 'M', '2', '5', '', 'Precipitation', 1, '0.25', '00025', NULL),
	(29, NULL, NULL, '', 'B07032', '007032', 'B07032', 'Cancel_SH', 'Height of sensor above local ground (set to missing to cancel the previous table)', '', 'M', '2', '5', '', '', 1, '', '/////', NULL),
	(84, NULL, NULL, 'B08002', '', '008002', 'B08002', 'vert_sig_cancel', 'Vertical significance (set to missing to cancel the previous value)    ', '', 'Code Table', '0', '2', '', '', 1, '', '//', NULL),
	(155, NULL, NULL, '', 'B14004', '014004', 'B14004', '533_1', 'Short-wave radiation, integrated over period specified ', '', 'J m-2', '-3', '4', '', '', 1, '', '////', NULL),
	(156, NULL, NULL, '', 'B14016', '014016', 'B14016', '136_1', 'Net radiation, integrated over period specified', '', 'J m-2', '-4', '5', '', '', 1, '', '/////', NULL),
	(157, NULL, NULL, '', 'B14028', '014028', 'B14028', '133_1', 'Global solar radiation (high accuracy), integrated over period specified', '', 'J m-2', '-2', '5', '', '', 1, '', '/////', NULL),
	(158, NULL, NULL, '', 'B14029', '014029', 'B14029', '97_1', 'Diffuse solar radiation (high accuracy), integrated over period specified', '', 'J m-2', '-2', '5', '', '', 1, '', '/////', NULL),
	(159, NULL, NULL, '', 'B14030', '014030', 'B14030', '139_1', 'Direct solar radiation (high accuracy), integrated over period specified', '', 'J m-2', '-2', '5', '', '', 1, '', '/////', NULL),
	(160, NULL, NULL, 'D02046', 'B04024', '004024', 'B04024', 'tempc_t', 'Time period or displacement                         ', '', 'Hour', '0', '4', '', '', 1, '', '////', NULL),
	(161, NULL, NULL, '', 'B04024', '004024', 'B04024', 'tempc1_t', 'Time period or displacement (see Note 3)       ', '', 'Hour', '0', '4', '', '', 1, '', '////', NULL),
	(89, NULL, NULL, '', 'B07021', '007021', 'B07021', '665', 'Elevation angle (set to missing to cancel the previous value)', '', 'Degree', '2', '5', '', '', 1, '', '/////', NULL),
	(92, NULL, NULL, '', 'B12113', '012113', 'B12113', '585', 'Ground minimum temperature past 12 hrs', '', 'Degree', '2', '3', '', '', 1, '', '///', NULL),
	(94, NULL, NULL, 'B12122', '', '012122', 'B12122', '85', 'Ground minimum temperature of the preceeding night', '', 'Deg \'C', '2', '4', '', '', 0, '1', '0010', NULL),
	(95, NULL, NULL, 'B13056', '', '013056', 'B13056', '505', 'Character and Intensity of precipitation', '', 'Code Table', '0', '2', '', '', 0, '1', '01', NULL),
	(96, NULL, NULL, 'B13057', '', '013057', 'B13057', '506', 'Time of beginning or end of precipitation', '', 'Code Table', '0', '2', '', '', 0, '9', '09', NULL),
	(97, NULL, NULL, 'B20101', '', '020101', 'B20101', '701', 'Locust (Acridian) name', '', 'Code Table', '0', '2', '', '', 0, '', '//', NULL),
	(98, NULL, NULL, 'B20102', '', '020102', 'B20102', '702', 'Locust (Maturity) colour', '', 'Code Table', '0', '2', '', '', 0, '', '//', NULL),
	(99, NULL, NULL, 'B20103', '', '020103', 'B20103', '704', 'Stage of development of locusts', '', 'Code Table', '0', '2', '', '', 0, '', '//', NULL),
	(100, NULL, NULL, 'B20104', '', '020104', 'B20104', '705', 'Organization state of swam or band of locusts', '', 'Code Table', '0', '2', '', '', 0, '', '//', NULL),
	(101, NULL, NULL, 'B20105', '', '020105', 'B20105', '706', 'Size of swam or band of locusts and duration of passage of time', '', 'Code Table', '0', '2', '', '', 0, '', '//', NULL),
	(106, NULL, NULL, '', '', '004024', 'B04024', 'ww_TP', 'Time period in hours', '', 'Hour', '0', '4', '', '', 1, '-3', '-0003', NULL),
	(109, NULL, NULL, '', 'R01002', '201002', 'R01002', '', 'Replicate 1 descriptors 2 times', '', '', '', '', '', 'Sunshine', 0, '', '', NULL),
	(110, NULL, NULL, '', 'D02039', '004024', 'B04024', 'SSS_TP', 'Time period in hours', '', 'Hour', '0', '4', 'Hour, 0, 4', 'Sunshine', 1, '-24', '-0024', NULL),
	(51, NULL, NULL, '', '', '008002', 'B08002', '131', 'Vertical significance', '', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '', '//', NULL),
	(136, NULL, NULL, '', '', '011043', 'B11043', '59', 'Maximum wind gust direction', '', 'Degree True', '0', '3', '', '', 1, '', '///', NULL),
	(137, NULL, NULL, '', '', '011041', 'B11041', '58', 'Maximum wind gust speed', '', 'M s-1', '1', '4', '', '', 1, '', '////', NULL),
	(138, NULL, NULL, '', '', '004025', 'B04025', 'w2_TP', 'Time period in minutes   ', '', 'Minute', '0', '4', '', '', 1, '', '////', NULL),
	(139, NULL, NULL, '', '', '011043', 'B11043', '591', 'Maximum wind gust direction', '', 'Degree True', '0', '3', '', '', 1, '', '///', NULL),
	(140, NULL, NULL, '', '', '011041', 'B11041', '581', 'Maximum wind gust speed', '', 'Minute', '1', '4', '', '', 1, '', '////', NULL),
	(141, NULL, NULL, '', 'B07032', '007032', 'B07032', 'evap_SH', 'Height of sensor above local ground (for evaporation measurement)', '', 'M', '2', '5', '', '', 1, '0.25', '00025', NULL),
	(142, NULL, NULL, 'D02044', 'B04024', '004024', 'B04024', 'evap_TP', 'Time period in hours              =  - 24', '', 'Hour', '0', '4', 'Hour, 0, 4', 'Evaporation', 1, '-24', '-0024', NULL),
	(112, NULL, NULL, '', '', '004024', 'B04024', 'SS_TP', 'Time period or displacement in hours', '', 'Hour', '0', '4', '', '', 1, '-1', '-0001', NULL),
	(114, NULL, NULL, '', 'D02040', '007032', 'B07032', 'RR_SH', 'Height of sensor above local ground (for precipiation measurement)', '', 'M', '2', '5', '', 'Precipitation', 1, '0.25', '00025', NULL),
	(115, NULL, NULL, '', '', 'R02002', 'R02002', '', 'Replicate next 2 descriptors 2 times', '', '', '', '', '', 'Precipitation ', 0, '', '', NULL),
	(117, NULL, NULL, '', '', '013011', 'B13011', '5', 'Total precipitation RRR', '', 'kg m-2', '1', '5', 'kg m-2, 1, 5', 'Precipitation ', 1, '1', '00001', NULL),
	(120, NULL, NULL, '', 'D02041', '007032', 'B07032', 'xt_SH', 'Height of sensor above local ground (for temperature measurement)', '', 'm', '2', '5', 'm, 2, 5', 'Extreme temperatures', 1, '1.25', '00125', NULL),
	(121, NULL, NULL, '', '', '004024', 'B04024', 'xt_TP', 'Time period or displacement                         ', '', 'Hour', '0', '4', '', '', 1, '-12', '-0012', NULL),
	(122, NULL, NULL, '', '', '004024', 'B04024', '', 'Time period or displacement (see Notes 1 and 2)                      ', '', 'Hour', '0', '4', '', '', 1, '', '////', NULL),
	(124, NULL, NULL, '', '', '004024', 'B04024', 'nt_TP', 'Time period or displacement                         ', '', 'Hour', '0', '4', '', '', 1, '-12', '-0012', NULL),
	(125, NULL, NULL, '', '', '004024', 'B04024', '', 'Time period or displacement (see Notes 2)                      ', '', 'Hour', '0', '4', '', '', 1, '', '////', NULL),
	(127, NULL, NULL, '', 'D02042', '007032', 'B07032', 'w_SH', 'Height of sensor above local ground (for wind measurement)', '', 'M', '2', '5', '', '', 1, '10', '01000', NULL),
	(129, NULL, NULL, '', '', '008021', 'B08021', 'w_TS', 'Time significance (= 2 (time averaged))', '', 'Code table', '0', '2', '', '', 1, '2', '02', NULL),
	(130, NULL, NULL, '', '', '004025', 'B04025', 'w_TP', 'Time period (= - 10 minutes, or number of minutes after a significant change of wind)', '', 'Minute', '0', '4', '', '', 1, '-10', '-0010', NULL),
	(133, NULL, NULL, '', '', '008021', 'B08021', 'w1_TS', 'Time significance (= missing value)', '', 'Code table', '0', '2', '', '', 1, '', '//', NULL),
	(134, NULL, NULL, '', '', '203002', 'R03002', '', 'Replicate next 3 descriptors 2 times', '', '', '', '', '', '', 0, '', '', NULL),
	(135, NULL, NULL, '', '', '004025', 'B04025', 'w1_TP', 'Time period in minutes   ', '', 'Minute', '0', '4', '', '', 1, '', '////', NULL),
	(37, NULL, NULL, '', 'R01000', NULL, NULL, '', 'Delayed replication of the next 1 descriptor', '', '', '', '', '', '', 0, '', '', NULL),
	(38, NULL, NULL, '', 'B31001', '031001', 'B31001', 'cloud_rep1', 'Delayed descriptor replication factor', '', '', '0', '4', '', 'Cloud data', 1, '1', '0001', NULL),
	(39, NULL, NULL, '', 'D02005', '008002', 'B08002', '119', 'Vertical significance', '', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 1, '1', '01', NULL),
	(43, NULL, NULL, '', '', '008002', 'B08002', '123', 'Vertical significance', '', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '', '//', NULL),
	(47, NULL, NULL, '', '', '008002', 'B08002', '127', 'Vertical significance', '', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '', '//', NULL),
	(145, NULL, NULL, 'R01002', '', NULL, '', '', 'Replication the 1 descriptor 2 times ', '', '', '', '', '', '', 0, '', '', NULL),
	(146, NULL, NULL, 'D02045', 'B04024', '004024', 'B04024', 'rad_TP', 'Time period or displacement', '', 'Hour', '0', '4', '', '', 1, '', '////', NULL),
	(147, NULL, NULL, '', 'B14002', '014002', 'B14002', '536', 'Long-wave radiation, integrated over period specified ', '', 'J m-2', '-3', '4', '', '', 1, '', '////', NULL),
	(148, NULL, NULL, '', 'B14004', '014004', 'B14004', '533', 'Short-wave radiation, integrated over period specified ', '', 'J m-2', '-3', '4', '', '', 1, '', '////', NULL),
	(149, NULL, NULL, '', 'B14016', '014016', 'B14016', '136', 'Net radiation, integrated over period specified', '', 'J m-2', '-4', '5', '', '', 1, '', '/////', NULL),
	(150, NULL, NULL, '', 'B14028', '014028', 'B14028', '133', 'Global solar radiation (high accuracy), integrated over period specified', '', 'J m-2', '-2', '5', '', '', 1, '', '/////', NULL),
	(151, NULL, NULL, '', 'B14029', '014029', 'B14029', '97', 'Diffuse solar radiation (high accuracy), integrated over period specified', '', 'J m-2', '-2', '5', '', '', 1, '', '/////', NULL),
	(152, NULL, NULL, '', 'B14030', '014030', 'B14030', '139', 'Direct solar radiation (high accuracy), integrated over period specified', '', 'J m-2', '-2', '5', '', '', 1, '', '/////', NULL),
	(153, NULL, NULL, '', 'B04024', '004024', 'B04024', 'rad1_TP', 'Time period or displacement', '', 'Hour', '0', '4', '', '', 1, '', '////', NULL),
	(154, NULL, NULL, '', 'B14002', '014002', 'B14002', '536_1', 'Long-wave radiation, integrated over period specified ', '', 'J m-2', '-3', '4', '', '', 1, '', '////', NULL),
	(3, NULL, NULL, '', '', '001015', 'B01015', 'station_name', 'Station or site name', '', 'Character', '0', '20', 'Character, 0, 20', 'station identification', 1, 'DAGORETTI CORNER METEOROLOGICAL STATION', 'DAGORETTI CORNER MET', NULL),
	(5, NULL, NULL, '', 'D01011', '004001', 'B04001', 'datetime_year', 'Year', '', 'Year', '0', '4', 'Year, 0, 4', 'station identification', 1, '2000', '2000', NULL),
	(6, NULL, NULL, '', '', '004002', 'B04002', 'datetime_month', 'Month', '', 'Month', '0', '2', 'Month, 0, 2', 'station identification', 1, '01', '01', NULL),
	(10, NULL, NULL, '', 'D01021', '005001', 'B05001', 'station_deglatitude', 'Latitude (high accuracy)', '', 'Degree', '5', '7', 'Degree, 2, 4', 'station identification', 1, '-1.3', '-0000130', NULL),
	(11, NULL, NULL, '', '', '006001', 'B06001', 'station_deglongitude', 'Longitude (high accuracy)', '', 'Degree', '5', '8', 'Degree, 2, 5', 'station identification', 1, '36.75', '00003675', NULL),
	(12, NULL, NULL, '', 'B07030', '007030', 'B07030', 'station_elevation', 'Height of station ground above mean sea level', '', 'M', '1', '5', 'm, 1, 6', 'station identification', 1, '1798', '17980', NULL),
	(55, NULL, NULL, NULL, 'R05000', '205000', 'R05000', '', 'Delayed replication of 5 descriptors  ', '', '', '', '', '', '', 0, '', '', NULL),
	(56, NULL, NULL, NULL, 'B31001', '031001', 'B31001', 'cloud_rep2', 'Delayed descriptor replication factor', '', 'Numeric', '0', '4', '', '', 1, '0', '0000', NULL),
	(57, NULL, NULL, 'D02036', 'B08002', '008002', 'B08002', '611', 'Vertical Significance', '', 'Code table', '0', '2', 'Code table', '', 0, '', '//', NULL),
	(60, NULL, NULL, '', 'B20014', '020014', 'B20014', '614', 'Height of top of cloud', '', 'm', '-1', '4', '', '', 0, '', '////', NULL),
	(62, NULL, NULL, '', 'B08002', '008002', 'B08002', '621', 'Vertical Significance', '', 'Code table', '0', '2', 'Code table', '', 0, '', '//', NULL),
	(65, NULL, NULL, '', 'B20014', '020014', 'B20014', '624', 'Height of top of cloud', '', 'm', '-1', '4', '', '', 0, '', '////', NULL),
	(67, NULL, NULL, '', 'B08002', '008002', 'B08002', '631', 'Vertical Significance', '', 'Code table', '0', '2', 'Code table', '', 0, '', '//', NULL),
	(70, NULL, NULL, '', 'B20014', '020014', 'B20014', '634', 'Height of top of cloud', '', 'm', '-1', '4', '', '', 0, '', '////', NULL),
	(72, NULL, NULL, '', 'B08002', '008002', 'B08002', '641', 'Vertical Significance', '', 'Code table', '0', '2', 'Code table', '', 0, '', '//', NULL),
	(75, NULL, NULL, '', 'B20014', '020014', 'B20014', '644', 'Height of top of cloud', '', 'm', '-1', '4', '', '', 0, '', '////', NULL),
	(77, NULL, NULL, 'R02003', '', NULL, '', 'cloud_drift_rep', 'Replication factor of 2 descriptor  for 3 times', '', '', '', '', '', '', 0, '', '', NULL),
	(78, NULL, NULL, 'D02047', 'B08002', '008002', 'B08002', '651', 'Vertical Significance =7 (low cloud) =8 (middle cloud) =9 (high cloud)', '', 'Code table', '0', '2', '', '', 1, '', '//', NULL),
	(80, NULL, NULL, '', 'B08002', '008002', 'B08002', '653', 'Vertical Significance =7 (low cloud) =8 (middle cloud) =9 (high cloud)', '', 'Code Table', '0', '2', '', '', 1, '', '//', NULL),
	(82, NULL, NULL, '', 'B08002', '008002', 'B08002', '655', 'Vertical Significance =7 (low cloud) =8 (middle cloud) =9 (high cloud)', '', 'Code Table', '0', '2', '', '', 1, '', '//', NULL),
	(13, NULL, NULL, '', 'B07031', '007031', 'B07031', 'station_pressure_height', 'Height of barometer above mean sea level', '', 'M', '1', '5', 'm, 1, 6', 'station identification', 1, '1799', '17990', NULL),
	(4, NULL, NULL, '', '', '002001', 'B02001', 'station_qualifier', 'Type of station                                             ', '(ix)', 'Code table', '0', '1', 'Code table, 0, 1', 'station identification', 1, '1', '1', NULL),
	(17, NULL, NULL, '', '', '010063', 'B10063', 'a', 'Characteristic of pressure tendency', 'a', 'Code table', '0', '2', 'Code table, 0, 2', 'Pressure data', 1, '15', '15', NULL),
	(19, NULL, NULL, '', 'B07004', '007004', 'B07004', '301', 'Pressure (standard level) ', 'a3', 'Pa', '-1', '5', 'Pa, –1, 5', 'Pressure data', 1, '1', '00000', NULL),
	(87, NULL, NULL, '', 'B20012', '020012', 'B20012', '663', 'Cloud type ', 'C', 'Code Table', '0', '2', '', '', 1, '', '//', NULL),
	(53, NULL, NULL, '', '', '020012', 'B20012', '129', 'Cloud type', 'C', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '', '//', NULL),
	(41, NULL, NULL, '', '', '020012', 'B20012', '117', 'Cloud type', 'C', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 1, '1', '01', NULL),
	(45, NULL, NULL, '', '', '020012', 'B20012', '121', 'Cloud type', 'C', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '', '//', NULL),
	(49, NULL, NULL, '', '', '020012', 'B20012', '125', 'Cloud type', 'C', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '', '//', NULL),
	(59, NULL, NULL, '', 'B20012', '020012', 'B20012', '613', 'Cloud type', 'C', 'Code table', '0', '2', '', '', 0, '', '//', NULL),
	(64, NULL, NULL, '', 'B20012', '020012', 'B20012', '623', 'Cloud type', 'C', 'Code table', '0', '2', '', '', 0, '', '//', NULL),
	(69, NULL, NULL, '', 'B20012', '020012', 'B20012', '633', 'Cloud type', 'C', 'Code table', '0', '2', '', '', 0, '', '//', NULL),
	(74, NULL, NULL, '', 'B20012', '020012', 'B20012', '643', 'Cloud type', 'C', 'Code table', '0', '2', '', '', 0, '', '//', NULL),
	(36, NULL, NULL, '', '', '020012', 'B20012', '171', 'Cloud type (low clouds CH)', 'CH', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 1, '1', '01', NULL),
	(34, NULL, NULL, '', '', '020012', 'B20012', '169', 'Cloud type (low clouds CL)', 'CL ', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 1, '1', '01', NULL),
	(31, NULL, NULL, '', '', '008002', 'B08002', '115', 'Vertical significance', 'CL CM CH', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 1, '1', '01', NULL),
	(35, NULL, NULL, '', '', '020012', 'B20012', '170', 'Cloud type (low clouds CM)', 'CM', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 1, '1', '01', NULL),
	(61, NULL, NULL, '', 'B20017', '020017', 'B20017', '615', 'Cloud top description', 'Ct', 'Code table', '0', '2', 'Code table, 0', '', 0, '', '//', NULL),
	(66, NULL, NULL, '', 'B20017', '020017', 'B20017', '625', 'Cloud top description', 'Ct', 'Code table', '0', '2', 'Code table, 0', '', 0, '', '//', NULL),
	(71, NULL, NULL, '', 'B20017', '020017', 'B20017', '635', 'Cloud top description', 'Ct', 'Code table', '0', '2', 'Code table, 0', '', 0, '', '//', NULL),
	(76, NULL, NULL, '', 'B20017', '020017', 'B20017', '645', 'Cloud top description', 'Ct', 'Code table', '0', '2', 'Code table, 0', '', 0, '', '//', NULL),
	(85, NULL, NULL, 'D02048', 'B05021', '005021', 'B05021', '661', 'Bearing or azimuth', 'Da', 'Degree', '2', '5', '', '', 1, '', '/////', NULL),
	(88, NULL, NULL, '', 'B05021', '005021', 'B05021', '664', 'Bearing or azimuth (set to missing to cancel the previous value) ', 'Da', 'Degree', '2', '5', '', '', 1, '', '/////', NULL),
	(131, NULL, NULL, '', '', '011001', 'B11001', '112', 'Wind direction', 'dd', 'Degree true', '0', '3', '', '', 1, '1', '000', NULL),
	(102, NULL, NULL, 'B20106', '', '020106', 'B20106', '707', 'Locust population density', 'dL', 'Code Table', '0', '2', '', '', 0, '', '//', NULL),
	(103, NULL, NULL, 'B20107', '', '020107', 'B20107', '708', 'Direction of movements of locust swarm', 'DL', 'Code Table', '0', '2', '', '', 0, '', '//', NULL),
	(83, NULL, NULL, '', 'B20054', '020054', 'B20054', '656', 'True  direction from which clouds are moving', 'DL, DM, DH', 'Degree', '0', '3', '', '', 1, '', '///', NULL),
	(79, NULL, NULL, '', 'B20054', '020054', 'B20054', '652', 'True  direction from which clouds are moving', 'DL, DM, DH', 'Degree', '0', '3', '', '', 1, '', '///', NULL),
	(81, NULL, NULL, '', 'B20054', '020054', 'B20054', '654', 'True  direction from which clouds are moving', 'DL, DM, DH', 'Degree', '0', '3', '', '', 1, '', '///', NULL),
	(90, NULL, NULL, 'D02037', 'B20062', '020062', 'B20062', '51', 'State of ground (with or without snow)', 'E or E’', 'Code Table', '0', '2', '', '', 1, '', '//', NULL),
	(86, NULL, NULL, '', 'B07021', '007021', 'B07021', '662', 'Elevation angle ', 'eC', 'Degree', '2', '5', '', '', 1, '', '/////', NULL),
	(144, NULL, NULL, '', 'B13033', '013033', 'B13033', '18', 'Evaporation /evapotranspiration', 'EEE ', 'kg m-2', '1', '4', 'kg m-2, 1, 4', 'Evaporation', 1, '1', '0001', NULL),
	(132, NULL, NULL, '', '', '011002', 'B11002', '111', 'Wind speed ', 'ff', 'M s-1', '1', '4', '', '', 1, '1', '0010', NULL),
	(8, NULL, NULL, '', 'D01012', '004004', 'B04004', 'datetime_hour', 'Hour', 'GG', 'Hour', '0', '2', 'Hour, 0, 2', 'station identification', 1, '03', '03', NULL),
	(9, NULL, NULL, '', '', '004005', 'B04005', 'datetime_minute', 'Minute', 'gg', 'Minute', '0', '2', 'Minute, 0, 2', 'station identification', 1, '00', '00', NULL),
	(33, NULL, NULL, '', '', '020013', 'B20013', '192', 'Height of base of cloud', 'h', 'm', '-1', '4', 'm, –1, 4', 'Cloud data', 1, '1', '0000', NULL),
	(20, NULL, NULL, '', 'B10009', '010009', 'B10009', '185', 'Geopotential height of the standard level', 'hhh', 'gpm', '0', '5', 'gpm, 0, 5', 'Pressure data', 1, '1', '00001', NULL),
	(54, NULL, NULL, '', '', '020013', 'B20013', '130', 'Height of base of cloud', 'hshs  ', 'm', '-1', '4', 'm, -1, 4', 'Cloud data', 0, '', '////', NULL),
	(42, NULL, NULL, '', '', '020013', 'B20013', '118', 'Height of base of cloud', 'hshs  ', 'm', '-1', '4', 'm, -1, 4', 'Cloud data', 1, '1', '0000', NULL),
	(46, NULL, NULL, '', '', '020013', 'B20013', '122', 'Height of base of cloud', 'hshs  ', 'm', '-1', '4', 'm, -1, 4', 'Cloud data', 0, '', '////', NULL),
	(50, NULL, NULL, '', '', '020013', 'B20013', '126', 'Height of base of cloud', 'hshs  ', 'm', '-1', '4', 'm, -1, 4', 'Cloud data', 0, '', '////', NULL),
	(143, NULL, NULL, '', 'B02004', '002004', 'B02004', 'evap_I', 'Type of instrument for evaporation or crop for evapotranspiration', 'iE', 'Code table', '0', '2', 'Code table, 0, 2', 'Evaporation', 1, '1', '01', NULL),
	(1, '307083', 'D07083', 'D01090', 'D01004', '001001', 'B01001', 'station_WMO_bloc', 'WMO block number', 'II', 'Numeric', '0', '2', 'Numeric, 0, 2', 'station identification', 1, '63', '63', NULL),
	(2, NULL, NULL, '', '', '001002', 'B01002', 'station_WMO_number', 'WMO station number                                   ', 'iii', 'Numeric', '0', '3', 'Numeric, 0, 3', 'station identification', 1, '741', '741', NULL),
	(128, NULL, NULL, '', '', '002002', 'B02002', 'w_I', 'Type of instrumentation for wind measurement', 'iw', 'Flag table', '0', '2', '', '', 1, '14', '14', NULL),
	(25, NULL, NULL, '', 'D02033', '007032', 'B07032', 'Vis_SH', 'Height of sensor above local ground (for visibility measurement)', 'm', 'm', '2', '5', 'm, 2, 5', 'Temperature and humidity', 1, '1.5', '00150', NULL),
	(30, NULL, NULL, '', 'D02004', '020010', 'B20010', '114', 'Cloud cover (total)', 'N ', '%', '0', '3', '%, 0, 3', 'Cloud data', 1, '1', '013', NULL),
	(32, NULL, NULL, '', '', '020011', 'B20011', '168', 'Cloud amount (of low or middle clouds)', 'Nh ', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 1, '1', '01', NULL),
	(58, NULL, NULL, '', 'B20011', '020011', 'B20011', '612', 'Clound amount', 'Nh', 'Code table', '0', '2', '', '', 0, '', '//', NULL),
	(63, NULL, NULL, '', 'B20011', '020011', 'B20011', '622', 'Clound amount', 'Nh', 'Code table', '0', '2', '', '', 0, '', '//', NULL),
	(68, NULL, NULL, '', 'B20011', '020011', 'B20011', '632', 'Clound amount', 'Nh', 'Code table', '0', '2', '', '', 0, '', '//', NULL),
	(73, NULL, NULL, '', 'B20011', '020011', 'B20011', '642', 'Clound amount', 'Nh', 'Code table', '0', '2', '', '', 0, '', '//', NULL),
	(52, NULL, NULL, '', '', '020011', 'B20011', '128', 'Cloud amount', 'Ns ', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '', '//', NULL),
	(40, NULL, NULL, '', '', '020011', 'B20011', '116', 'Cloud amount', 'Ns ', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 1, '1', '01', NULL),
	(44, NULL, NULL, '', '', '020011', 'B20011', '120', 'Cloud amount', 'Ns ', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '', '//', NULL),
	(48, NULL, NULL, '', '', '020011', 'B20011', '124', 'Cloud amount', 'Ns ', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '', '//', NULL),
	(14, NULL, NULL, 'D02031', 'D02001', '010004', 'B10004', '106', 'Pressure', 'P0P0P0P0', 'Pa', '1', '5', 'Pa, –1, 5', 'Pressure data', 1, '1', '00001', NULL),
	(18, NULL, NULL, '', 'B10062', '010062', 'B10062', '399', '24-hour pressure change', 'p24p24p24', 'Pa', '-1', '4', 'Pa, –1, 4', 'Pressure data', 1, '1', '0000', NULL),
	(16, NULL, NULL, '', '', '010061', 'B10061', 'ppp', '3-hour pressure change', 'ppp', 'Pa', '-1', '4', 'Pa, –1, 4', 'Pressure data', 1, '', '////', NULL),
	(15, NULL, NULL, '', '', '010051', 'B10051', '107', 'Pressure reduced to mean sea level', 'PPPP', 'Pa', '1', '5', 'Pa, –1, 5', 'Pressure data', 1, '', '/////', NULL),
	(28, NULL, NULL, '', '', '013023', 'B13023', '5', 'Total precipitation Past 24 Hrs', 'R24R24R24R24', 'Kg M^2', '1', '5', '', 'Precipitation', 1, '1', '00001', NULL),
	(119, NULL, NULL, '', '', '013011', 'B13011', '174', 'Total precipitation', 'RRR', 'kgm-2', '1', '5', '', '', 1, '1', '00001', NULL),
	(162, NULL, NULL, '', 'B12049', '012049', 'B12049', '94', 'Temperature change over period specified', 'sndT', '\'C', '0', '2', '', '', 1, '', '//', NULL),
	(23, NULL, NULL, '', '', '012103', 'B12103', '103', 'Dew-point temperature (scale 2)', 'snTdTdTd', '°C', '2', '4', '°C, 2, 4', 'Temperature and humidity', 1, '1', '0010', NULL),
	(126, NULL, NULL, '', '', '012112', 'B12112', '3', 'Minimum temperature (scale 2) at height and over period specified ', 'snTnTnTn', '\'C', '2', '4', '', '', 1, '', '////', NULL),
	(22, NULL, NULL, '', '', '012101', 'B12101', '101', 'Temperature/Dry bulb (scale 2) at height and over period specified', 'snTTT', '°C', '2', '4', '°C, 2, 4', 'Temperature and humidity', 1, '1', '0010', NULL),
	(123, NULL, NULL, '', '', '012111', 'B12111', '2', 'Maximum temperature (scale 2) at height and over period specified', 'snTxTxTx', '\'C', '2', '4', '', '', 1, '', '////', NULL),
	(113, NULL, NULL, '', '', '014031', 'B14031', '132', 'Total sunshine in minutes (2nd replication)', 'SS', 'Minute', '0', '4', '', '', 1, '1', '0001', NULL),
	(91, NULL, NULL, '', 'B13013', '013013', 'B13013', '50', 'Total snow depth', 'sss', 'M', '2', '5', '', '', 1, '', '/////', NULL),
	(111, NULL, NULL, '', '', '014031', 'B14031', '532', 'Total sunshine ', 'SSS', 'Minute', '0', '4', 'Minute, 0, 4', 'Sunshine', 1, '60', '0006', NULL),
	(116, NULL, NULL, '', '', '004024', 'B04024', 'tR_TP', 'Time period in hours', 'tR', 'Hour', '0', '4', 'Hour, 0, 4', 'Precipitation ', 1, '-3', '-0003', NULL),
	(118, NULL, NULL, '', '', '004024', 'B04024', 'tr_TP', 'Time period or displacement', 'tr', 'Hour', '0', '4', '', '', 1, '-3', '-0003', NULL),
	(104, NULL, NULL, 'B20108', '', '020108', 'B20108', '710', 'Extent of vegetation', 've', 'Code Table', '0', '2', '', '', 0, '', '//', NULL),
	(26, NULL, NULL, '', '', '020001', 'B20001', '110', 'Horizontal Visibility', 'VV', 'm', '-1', '4', 'm, –1, 4', 'Visibility  ', 1, '1', '0000', NULL),
	(107, NULL, NULL, '', '', '020004', 'B20004', '197', 'Past weather (1) ', 'W1', 'Code table', '0', '2', '', '', 1, '1', '01', NULL),
	(108, NULL, NULL, '', '', '020005', 'B20005', '193', 'Past weather (2) ', 'W2', 'Code table', '0', '2', '', '', 1, '1', '01', NULL),
	(105, NULL, NULL, 'D02043', 'D02038', '020003', 'B20003', '167', 'Present weather ', 'ww', 'Code table', '0', '3', '', '', 0, '1', '001', NULL),
	(7, NULL, NULL, '', '', '004003', 'B04003', 'datetime_day', 'Day', 'YY', 'Day', '0', '2', 'Day, 0, 2', 'station identification', 1, '01', '01', NULL);
/*!40000 ALTER TABLE `tm_307083` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_db_v4.tm_307084
CREATE TABLE IF NOT EXISTS `tm_307084` (
  `order` int(11) DEFAULT '0',
  `Bufr_Template` varchar(50) DEFAULT NULL,
  `Crex_Template` varchar(50) DEFAULT NULL,
  `Sequence_Descriptor1` varchar(50) DEFAULT NULL,
  `Sequence_Descriptor0` varchar(50) DEFAULT NULL,
  `Bufr_Element` varchar(50) DEFAULT NULL,
  `Crex_Element` varchar(255) DEFAULT NULL,
  `Climsoft_Element` varchar(255) DEFAULT NULL,
  `Element_Name` varchar(255) DEFAULT NULL,
  `synop_code` varchar(255) DEFAULT NULL,
  `unit` varchar(255) DEFAULT NULL,
  `scale` varchar(255) DEFAULT NULL,
  `width` varchar(255) DEFAULT NULL,
  `units_length_scale` varchar(255) DEFAULT NULL,
  `data_type` varchar(255) DEFAULT NULL,
  `selected` tinyint(4) DEFAULT NULL,
  `observation` varchar(255) DEFAULT NULL,
  `Crex_Data` varchar(255) DEFAULT NULL,
  `Bufr_Data` varchar(50) DEFAULT NULL,
  KEY `synop_code` (`synop_code`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_db_v4.tm_307084: ~165 rows (approximately)
/*!40000 ALTER TABLE `tm_307084` DISABLE KEYS */;
INSERT INTO `tm_307084` (`order`, `Bufr_Template`, `Crex_Template`, `Sequence_Descriptor1`, `Sequence_Descriptor0`, `Bufr_Element`, `Crex_Element`, `Climsoft_Element`, `Element_Name`, `synop_code`, `unit`, `scale`, `width`, `units_length_scale`, `data_type`, `selected`, `observation`, `Crex_Data`, `Bufr_Data`) VALUES
	(93, NULL, NULL, 'B20055', NULL, '020055', 'B20055', NULL, 'State of sky in the tropics', NULL, 'Code table', '0', '2', NULL, NULL, 1, NULL, NULL, NULL),
	(94, NULL, NULL, 'R01000', NULL, '101000', 'R01000', NULL, 'Delayed replication factor of 1 descriptor', NULL, NULL, NULL, NULL, NULL, NULL, 1, NULL, NULL, NULL),
	(99, NULL, NULL, 'B31001', NULL, '031001', 'B31001', NULL, 'Delayed descriptor replication factor', NULL, 'Numeric', '0', '4', NULL, NULL, 1, NULL, NULL, NULL),
	(96, NULL, NULL, 'C05001', NULL, '205001', 'C05001', NULL, 'Character field of 1 character', NULL, NULL, NULL, NULL, NULL, NULL, 1, NULL, NULL, NULL),
	(21, NULL, NULL, 'D02035', 'D02032', '007032', 'B07032', 'Temp_SH', 'Height of sensor above local ground (for temperature and humidity measurement)', '', 'm', '2', '5', 'm, 2, 5', 'Temperature and humidity', 1, '1.25', '00125', NULL),
	(24, NULL, NULL, '', '', '013003', 'B13003', '105', 'Relative humidity', '', '%', '0', '3', '%, 0, 3', 'Temperature and humidity', 1, '1', '001', NULL),
	(27, NULL, NULL, '', 'D02034', '007032', 'B07032', 'R24_SH', 'Height of sensor above local ground (for precipitation measurement)', '', 'M', '2', '5', '', 'Precipitation', 1, '0.25', '00025', NULL),
	(29, NULL, NULL, '', 'B07032', '007032', 'B07032', 'Cancel_SH', 'Height of sensor above local ground (set to missing to cancel the previous table)', '', 'M', '2', '5', '', '', 1, '', '/////', NULL),
	(84, NULL, NULL, 'B08002', '', '008002', 'B08002', 'vert_sig_cancel', 'Vertical significance (set to missing to cancel the previous value)    ', '', 'Code Table', '0', '2', '', '', 1, '', '//', NULL),
	(158, NULL, NULL, '', 'B14004', '014004', 'B14004', '533_1', 'Short-wave radiation, integrated over period specified ', '', 'J m-2', '-3', '4', '', '', 1, '', '////', NULL),
	(159, NULL, NULL, '', 'B14016', '014016', 'B14016', '136_1', 'Net radiation, integrated over period specified', '', 'J m-2', '-4', '5', '', '', 1, '', '/////', NULL),
	(160, NULL, NULL, '', 'B14028', '014028', 'B14028', '133_1', 'Global solar radiation (high accuracy), integrated over period specified', '', 'J m-2', '-2', '5', '', '', 1, '', '/////', NULL),
	(161, NULL, NULL, '', 'B14029', '014029', 'B14029', '97_1', 'Diffuse solar radiation (high accuracy), integrated over period specified', '', 'J m-2', '-2', '5', '', '', 1, '', '/////', NULL),
	(162, NULL, NULL, '', 'B14030', '014030', 'B14030', '139_1', 'Direct solar radiation (high accuracy), integrated over period specified', '', 'J m-2', '-2', '5', '', '', 1, '', '/////', NULL),
	(163, NULL, NULL, 'D02046', 'B04024', '004024', 'B04024', 'tempc_t', 'Time period or displacement                         ', '', 'Hour', '0', '4', '', '', 1, '', '////', NULL),
	(164, NULL, NULL, '', 'B04024', '004024', 'B04024', 'tempc1_t', 'Time period or displacement (see Note 3)       ', '', 'Hour', '0', '4', '', '', 1, '', '////', NULL),
	(89, NULL, NULL, '', 'B07021', '007021', 'B07021', '665', 'Elevation angle (set to missing to cancel the previous value)', '', 'Degree', '2', '5', '', '', 1, '', '/////', NULL),
	(92, NULL, NULL, '', 'B12113', '012113', 'B12113', '585', 'Ground minimum temperature past 12 hrs', '', 'Degree', '2', '3', '', '', 1, '', '///', NULL),
	(97, NULL, NULL, 'B12122', '', '012122', 'B12122', '85', 'Ground minimum temperature of the preceeding night', '', '\'C', '2', '4', '', '', 1, '1', '0010', NULL),
	(98, NULL, NULL, 'B13056', '', '013056', 'B13056', '505', 'Character and Intensity of precipitation', '', 'Code Table', '0', '2', '', '', 0, '1', '01', NULL),
	(99, NULL, NULL, 'B13057', '', '013057', 'B13057', '506', 'Time of beginning or end of precipitation', '', 'Code Table', '0', '2', '', '', 0, '9', '09', NULL),
	(100, NULL, NULL, 'B20101', '', '020101', 'B20101', '701', 'Locust (Acridian) name', '', 'Code Table', '0', '2', '', '', 0, '', '//', NULL),
	(101, NULL, NULL, 'B20102', '', '020102', 'B20102', '702', 'Locust (Maturity) colour', '', 'Code Table', '0', '2', '', '', 0, '', '//', NULL),
	(102, NULL, NULL, 'B20103', '', '020103', 'B20103', '704', 'Stage of development of locusts', '', 'Code Table', '0', '2', '', '', 0, '', '//', NULL),
	(103, NULL, NULL, 'B20104', '', '020104', 'B20104', '705', 'Organization state of swam or band of locusts', '', 'Code Table', '0', '2', '', '', 0, '', '//', NULL),
	(104, NULL, NULL, 'B20105', '', '020105', 'B20105', '706', 'Size of swam or band of locusts and duration of passage of time', '', 'Code Table', '0', '2', '', '', 0, '', '//', NULL),
	(109, NULL, NULL, '', '', '004024', 'B04024', 'ww_TP', 'Time period in hours', '', 'Hour', '0', '4', '', '', 1, '-3', '-0003', NULL),
	(112, NULL, NULL, '', 'R01002', '201002', 'R01002', '', 'Replicate 1 descriptors 2 times', '', '', '', '', '', 'Sunshine', 0, '', '', NULL),
	(113, NULL, NULL, '', 'D02039', '004024', 'B04024', 'SSS_TP', 'Time period in hours', '', 'Hour', '0', '4', 'Hour, 0, 4', 'Sunshine', 1, '-24', '-0024', NULL),
	(51, NULL, NULL, '', '', '008002', 'B08002', '131', 'Vertical significance', '', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '', '//', NULL),
	(139, NULL, NULL, '', '', '011043', 'B11043', '59', 'Maximum wind gust direction', '', 'Degree True', '0', '3', '', '', 1, '', '///', NULL),
	(140, NULL, NULL, '', '', '011041', 'B11041', '58', 'Maximum wind gust speed', '', 'M s-1', '1', '4', '', '', 1, '', '////', NULL),
	(141, NULL, NULL, '', '', '004025', 'B04025', 'w2_TP', 'Time period in minutes   ', '', 'Minute', '0', '4', '', '', 1, '', '////', NULL),
	(142, NULL, NULL, '', '', '011043', 'B11043', '591', 'Maximum wind gust direction', '', 'Degree True', '0', '3', '', '', 1, '', '///', NULL),
	(143, NULL, NULL, '', '', '011041', 'B11041', '581', 'Maximum wind gust speed', '', 'Minute', '1', '4', '', '', 1, '', '////', NULL),
	(144, NULL, NULL, '', 'B07032', '007032', 'B07032', 'evap_SH', 'Height of sensor above local ground (for evaporation measurement)', '', 'M', '2', '5', '', '', 1, '0.25', '00025', NULL),
	(145, NULL, NULL, 'D02044', 'B04024', '004024', 'B04024', 'evap_TP', 'Time period in hours              =  - 24', '', 'Hour', '0', '4', 'Hour, 0, 4', 'Evaporation', 1, '-24', '-0024', NULL),
	(115, NULL, NULL, '', '', '004024', 'B04024', 'SS_TP', 'Time period or displacement in hours', '', 'Hour', '0', '4', '', '', 1, '-1', '-0001', NULL),
	(117, NULL, NULL, '', 'D02040', '007032', 'B07032', 'RR_SH', 'Height of sensor above local ground (for precipiation measurement)', '', 'M', '2', '5', '', 'Precipitation', 1, '0.25', '00025', NULL),
	(118, NULL, NULL, '', '', 'R02002', 'R02002', '', 'Replicate next 2 descriptors 2 times', '', '', '', '', '', 'Precipitation ', 0, '', '', NULL),
	(120, NULL, NULL, '', '', '013011', 'B13011', '5', 'Total precipitation RRR', '', 'kg m-2', '1', '5', 'kg m-2, 1, 5', 'Precipitation ', 1, '1', '00001', NULL),
	(123, NULL, NULL, '', 'D02041', '007032', 'B07032', 'xt_SH', 'Height of sensor above local ground (for temperature measurement)', '', 'm', '2', '5', 'm, 2, 5', 'Extreme temperatures', 1, '1.25', '00125', NULL),
	(124, NULL, NULL, '', '', '004024', 'B04024', 'xt_TP', 'Time period or displacement                         ', '', 'Hour', '0', '4', '', '', 1, '-12', '-0012', NULL),
	(125, NULL, NULL, '', '', '004024', 'B04024', '', 'Time period or displacement (see Notes 1 and 2)                      ', '', 'Hour', '0', '4', '', '', 1, '', '////', NULL),
	(127, NULL, NULL, '', '', '004024', 'B04024', 'nt_TP', 'Time period or displacement                         ', '', 'Hour', '0', '4', '', '', 1, '-12', '-0012', NULL),
	(128, NULL, NULL, '', '', '004024', 'B04024', '', 'Time period or displacement (see Notes 2)                      ', '', 'Hour', '0', '4', '', '', 1, '', '////', NULL),
	(130, NULL, NULL, '', 'D02042', '007032', 'B07032', 'w_SH', 'Height of sensor above local ground (for wind measurement)', '', 'M', '2', '5', '', '', 1, '10', '01000', NULL),
	(132, NULL, NULL, '', '', '008021', 'B08021', 'w_TS', 'Time significance (= 2 (time averaged))', '', 'Code table', '0', '2', '', '', 1, '2', '02', NULL),
	(133, NULL, NULL, '', '', '004025', 'B04025', 'w_TP', 'Time period (= - 10 minutes, or number of minutes after a significant change of wind)', '', 'Minute', '0', '4', '', '', 1, '-10', '-0010', NULL),
	(136, NULL, NULL, '', '', '008021', 'B08021', 'w1_TS', 'Time significance (= missing value)', '', 'Code table', '0', '2', '', '', 1, '', '//', NULL),
	(137, NULL, NULL, '', '', '203002', 'R03002', '', 'Replicate next 3 descriptors 2 times', '', '', '', '', '', '', 0, '', '', NULL),
	(138, NULL, NULL, '', '', '004025', 'B04025', 'w1_TP', 'Time period in minutes   ', '', 'Minute', '0', '4', '', '', 1, '', '////', NULL),
	(37, NULL, NULL, '', 'R01000', NULL, NULL, '', 'Delayed replication of the next 1 descriptor', '', '', '', '', '', '', 0, '', '', NULL),
	(38, NULL, NULL, '', 'B31001', '031001', 'B31001', 'cloud_rep1', 'Delayed descriptor replication factor', '', '', '0', '4', '', 'Cloud data', 1, '1', '0001', NULL),
	(39, NULL, NULL, '', 'D02005', '008002', 'B08002', '119', 'Vertical significance', '', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 1, '1', '01', NULL),
	(43, NULL, NULL, '', '', '008002', 'B08002', '123', 'Vertical significance', '', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '', '//', NULL),
	(47, NULL, NULL, '', '', '008002', 'B08002', '127', 'Vertical significance', '', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '', '//', NULL),
	(148, NULL, NULL, 'R01002', '', NULL, '', '', 'Replication the 1 descriptor 2 times ', '', '', '', '', '', '', 0, '', '', NULL),
	(149, NULL, NULL, 'D02045', 'B04024', '004024', 'B04024', 'rad_TP', 'Time period or displacement', '', 'Hour', '0', '4', '', '', 1, '', '////', NULL),
	(150, NULL, NULL, '', 'B14002', '014002', 'B14002', '536', 'Long-wave radiation, integrated over period specified ', '', 'J m-2', '-3', '4', '', '', 1, '', '////', NULL),
	(151, NULL, NULL, '', 'B14004', '014004', 'B14004', '533', 'Short-wave radiation, integrated over period specified ', '', 'J m-2', '-3', '4', '', '', 1, '', '////', NULL),
	(152, NULL, NULL, '', 'B14016', '014016', 'B14016', '136', 'Net radiation, integrated over period specified', '', 'J m-2', '-4', '5', '', '', 1, '', '/////', NULL),
	(153, NULL, NULL, '', 'B14028', '014028', 'B14028', '133', 'Global solar radiation (high accuracy), integrated over period specified', '', 'J m-2', '-2', '5', '', '', 1, '', '/////', NULL),
	(154, NULL, NULL, '', 'B14029', '014029', 'B14029', '97', 'Diffuse solar radiation (high accuracy), integrated over period specified', '', 'J m-2', '-2', '5', '', '', 1, '', '/////', NULL),
	(155, NULL, NULL, '', 'B14030', '014030', 'B14030', '139', 'Direct solar radiation (high accuracy), integrated over period specified', '', 'J m-2', '-2', '5', '', '', 1, '', '/////', NULL),
	(156, NULL, NULL, '', 'B04024', '004024', 'B04024', 'rad1_TP', 'Time period or displacement', '', 'Hour', '0', '4', '', '', 1, '', '////', NULL),
	(157, NULL, NULL, '', 'B14002', '014002', 'B14002', '536_1', 'Long-wave radiation, integrated over period specified ', '', 'J m-2', '-3', '4', '', '', 1, '', '////', NULL),
	(3, NULL, NULL, '', '', '001015', 'B01015', 'station_name', 'Station or site name', '', 'Character', '0', '20', 'Character, 0, 20', 'station identification', 1, 'DAGORETTI CORNER METEOROLOGICAL STATION', 'DAGORETTI CORNER MET', NULL),
	(5, NULL, NULL, '', 'D01011', '004001', 'B04001', 'datetime_year', 'Year', '', 'Year', '0', '4', 'Year, 0, 4', 'station identification', 1, '2000', '2000', NULL),
	(6, NULL, NULL, '', '', '004002', 'B04002', 'datetime_month', 'Month', '', 'Month', '0', '2', 'Month, 0, 2', 'station identification', 1, '01', '01', NULL),
	(10, NULL, NULL, '', 'D01021', '005001', 'B05001', 'station_deglatitude', 'Latitude (high accuracy)', '', 'Degree', '5', '7', 'Degree, 2, 4', 'station identification', 1, '-1.3', '-0000130', NULL),
	(11, NULL, NULL, '', '', '006001', 'B06001', 'station_deglongitude', 'Longitude (high accuracy)', '', 'Degree', '5', '8', 'Degree, 2, 5', 'station identification', 1, '36.75', '00003675', NULL),
	(12, NULL, NULL, '', 'B07030', '007030', 'B07030', 'station_elevation', 'Height of station ground above mean sea level', '', 'M', '1', '5', 'm, 1, 6', 'station identification', 1, '1798', '17980', NULL),
	(55, NULL, NULL, NULL, 'R05000', '205000', 'R05000', '', 'Delayed replication of 5 descriptors  ', '', '', '', '', '', '', 0, '', '', NULL),
	(56, NULL, NULL, NULL, 'B31001', '031001', 'B31001', 'cloud_rep2', 'Delayed descriptor replication factor', '', 'Numeric', '0', '4', '', '', 1, '0', '0000', NULL),
	(57, NULL, NULL, 'D02036', 'B08002', '008002', 'B08002', '611', 'Vertical Significance', '', 'Code table', '0', '2', 'Code table', '', 0, '', '//', NULL),
	(60, NULL, NULL, '', 'B20014', '020014', 'B20014', '614', 'Height of top of cloud', '', 'm', '-1', '4', '', '', 0, '', '////', NULL),
	(62, NULL, NULL, '', 'B08002', '008002', 'B08002', '621', 'Vertical Significance', '', 'Code table', '0', '2', 'Code table', '', 0, '', '//', NULL),
	(65, NULL, NULL, '', 'B20014', '020014', 'B20014', '624', 'Height of top of cloud', '', 'm', '-1', '4', '', '', 0, '', '////', NULL),
	(67, NULL, NULL, '', 'B08002', '008002', 'B08002', '631', 'Vertical Significance', '', 'Code table', '0', '2', 'Code table', '', 0, '', '//', NULL),
	(70, NULL, NULL, '', 'B20014', '020014', 'B20014', '634', 'Height of top of cloud', '', 'm', '-1', '4', '', '', 0, '', '////', NULL),
	(72, NULL, NULL, '', 'B08002', '008002', 'B08002', '641', 'Vertical Significance', '', 'Code table', '0', '2', 'Code table', '', 0, '', '//', NULL),
	(75, NULL, NULL, '', 'B20014', '020014', 'B20014', '644', 'Height of top of cloud', '', 'm', '-1', '4', '', '', 0, '', '////', NULL),
	(77, NULL, NULL, 'R02003', '', NULL, '', 'cloud_drift_rep', 'Replication factor of 2 descriptor  for 3 times', '', '', '', '', '', '', 0, '', '', NULL),
	(78, NULL, NULL, 'D02047', 'B08002', '008002', 'B08002', '651', 'Vertical Significance =7 (low cloud) =8 (middle cloud) =9 (high cloud)', '', 'Code table', '0', '2', '', '', 1, '', '//', NULL),
	(80, NULL, NULL, '', 'B08002', '008002', 'B08002', '653', 'Vertical Significance =7 (low cloud) =8 (middle cloud) =9 (high cloud)', '', 'Code Table', '0', '2', '', '', 1, '', '//', NULL),
	(82, NULL, NULL, '', 'B08002', '008002', 'B08002', '655', 'Vertical Significance =7 (low cloud) =8 (middle cloud) =9 (high cloud)', '', 'Code Table', '0', '2', '', '', 1, '', '//', NULL),
	(13, NULL, NULL, '', 'B07031', '007031', 'B07031', 'station_pressure_height', 'Height of barometer above mean sea level', '', 'M', '1', '5', 'm, 1, 6', 'station identification', 1, '1799', '17990', NULL),
	(4, NULL, NULL, '', '', '002001', 'B02001', 'station_qualifier', 'Type of station                                             ', '(ix)', 'Code table', '0', '1', 'Code table, 0, 1', 'station identification', 1, '1', '1', NULL),
	(17, NULL, NULL, '', '', '010063', 'B10063', 'a', 'Characteristic of pressure tendency', 'a', 'Code table', '0', '2', 'Code table, 0, 2', 'Pressure data', 1, '15', '15', NULL),
	(19, NULL, NULL, '', 'B07004', '007004', 'B07004', '301', 'Pressure (standard level) ', 'a3', 'Pa', '-1', '5', 'Pa, –1, 5', 'Pressure data', 1, '1', '00000', NULL),
	(87, NULL, NULL, '', 'B20012', '020012', 'B20012', '663', 'Cloud type ', 'C', 'Code Table', '0', '2', '', '', 1, '', '//', NULL),
	(53, NULL, NULL, '', '', '020012', 'B20012', '129', 'Cloud type', 'C', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '', '//', NULL),
	(41, NULL, NULL, '', '', '020012', 'B20012', '117', 'Cloud type', 'C', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 1, '1', '01', NULL),
	(45, NULL, NULL, '', '', '020012', 'B20012', '121', 'Cloud type', 'C', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '', '//', NULL),
	(49, NULL, NULL, '', '', '020012', 'B20012', '125', 'Cloud type', 'C', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '', '//', NULL),
	(59, NULL, NULL, '', 'B20012', '020012', 'B20012', '613', 'Cloud type', 'C', 'Code table', '0', '2', '', '', 0, '', '//', NULL),
	(64, NULL, NULL, '', 'B20012', '020012', 'B20012', '623', 'Cloud type', 'C', 'Code table', '0', '2', '', '', 0, '', '//', NULL),
	(69, NULL, NULL, '', 'B20012', '020012', 'B20012', '633', 'Cloud type', 'C', 'Code table', '0', '2', '', '', 0, '', '//', NULL),
	(74, NULL, NULL, '', 'B20012', '020012', 'B20012', '643', 'Cloud type', 'C', 'Code table', '0', '2', '', '', 0, '', '//', NULL),
	(36, NULL, NULL, '', '', '020012', 'B20012', '171', 'Cloud type (low clouds CH)', 'CH', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 1, '1', '01', NULL),
	(34, NULL, NULL, '', '', '020012', 'B20012', '169', 'Cloud type (low clouds CL)', 'CL ', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 1, '1', '01', NULL),
	(31, NULL, NULL, '', '', '008002', 'B08002', '115', 'Vertical significance', 'CL CM CH', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 1, '1', '01', NULL),
	(35, NULL, NULL, '', '', '020012', 'B20012', '170', 'Cloud type (low clouds CM)', 'CM', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 1, '1', '01', NULL),
	(61, NULL, NULL, '', 'B20017', '020017', 'B20017', '615', 'Cloud top description', 'Ct', 'Code table', '0', '2', 'Code table, 0', '', 0, '', '//', NULL),
	(66, NULL, NULL, '', 'B20017', '020017', 'B20017', '625', 'Cloud top description', 'Ct', 'Code table', '0', '2', 'Code table, 0', '', 0, '', '//', NULL),
	(71, NULL, NULL, '', 'B20017', '020017', 'B20017', '635', 'Cloud top description', 'Ct', 'Code table', '0', '2', 'Code table, 0', '', 0, '', '//', NULL),
	(76, NULL, NULL, '', 'B20017', '020017', 'B20017', '645', 'Cloud top description', 'Ct', 'Code table', '0', '2', 'Code table, 0', '', 0, '', '//', NULL),
	(85, NULL, NULL, 'D02048', 'B05021', '005021', 'B05021', '661', 'Bearing or azimuth', 'Da', 'Degree', '2', '5', '', '', 1, '', '/////', NULL),
	(88, NULL, NULL, '', 'B05021', '005021', 'B05021', '664', 'Bearing or azimuth (set to missing to cancel the previous value) ', 'Da', 'Degree', '2', '5', '', '', 1, '', '/////', NULL),
	(134, NULL, NULL, '', '', '011001', 'B11001', '112', 'Wind direction', 'dd', 'Degree true', '0', '3', '', '', 1, '1', '000', NULL),
	(105, NULL, NULL, 'B20106', '', '020106', 'B20106', '707', 'Locust population density', 'dL', 'Code Table', '0', '2', '', '', 0, '', '//', NULL),
	(106, NULL, NULL, 'B20107', '', '020107', 'B20107', '708', 'Direction of movements of locust swarm', 'DL', 'Code Table', '0', '2', '', '', 0, '', '//', NULL),
	(83, NULL, NULL, '', 'B20054', '020054', 'B20054', '656', 'True  direction from which clouds are moving', 'DL, DM, DH', 'Degree', '0', '3', '', '', 1, '', '///', NULL),
	(79, NULL, NULL, '', 'B20054', '020054', 'B20054', '652', 'True  direction from which clouds are moving', 'DL, DM, DH', 'Degree', '0', '3', '', '', 1, '', '///', NULL),
	(81, NULL, NULL, '', 'B20054', '020054', 'B20054', '654', 'True  direction from which clouds are moving', 'DL, DM, DH', 'Degree', '0', '3', '', '', 1, '', '///', NULL),
	(90, NULL, NULL, 'D02037', 'B20062', '020062', 'B20062', '51', 'State of ground (with or without snow)', 'E or E’', 'Code Table', '0', '2', '', '', 1, '', '//', NULL),
	(86, NULL, NULL, '', 'B07021', '007021', 'B07021', '662', 'Elevation angle ', 'eC', 'Degree', '2', '5', '', '', 1, '', '/////', NULL),
	(147, NULL, NULL, '', 'B13033', '013033', 'B13033', '18', 'Evaporation /evapotranspiration', 'EEE ', 'kg m-2', '1', '4', 'kg m-2, 1, 4', 'Evaporation', 1, '1', '0001', NULL),
	(135, NULL, NULL, '', '', '011002', 'B11002', '111', 'Wind speed ', 'ff', 'M s-1', '1', '4', '', '', 1, '1', '0010', NULL),
	(8, NULL, NULL, '', 'D01012', '004004', 'B04004', 'datetime_hour', 'Hour', 'GG', 'Hour', '0', '2', 'Hour, 0, 2', 'station identification', 1, '03', '03', NULL),
	(9, NULL, NULL, '', '', '004005', 'B04005', 'datetime_minute', 'Minute', 'gg', 'Minute', '0', '2', 'Minute, 0, 2', 'station identification', 1, '00', '00', NULL),
	(33, NULL, NULL, '', '', '020013', 'B20013', '192', 'Height of base of cloud', 'h', 'm', '-1', '4', 'm, –1, 4', 'Cloud data', 1, '1', '0000', NULL),
	(20, NULL, NULL, '', 'B10009', '010009', 'B10009', '185', 'Geopotential height of the standard level', 'hhh', 'gpm', '0', '5', 'gpm, 0, 5', 'Pressure data', 1, '1', '00001', NULL),
	(54, NULL, NULL, '', '', '020013', 'B20013', '130', 'Height of base of cloud', 'hshs  ', 'm', '-1', '4', 'm, -1, 4', 'Cloud data', 0, '', '////', NULL),
	(42, NULL, NULL, '', '', '020013', 'B20013', '118', 'Height of base of cloud', 'hshs  ', 'm', '-1', '4', 'm, -1, 4', 'Cloud data', 1, '1', '0000', NULL),
	(46, NULL, NULL, '', '', '020013', 'B20013', '122', 'Height of base of cloud', 'hshs  ', 'm', '-1', '4', 'm, -1, 4', 'Cloud data', 0, '', '////', NULL),
	(50, NULL, NULL, '', '', '020013', 'B20013', '126', 'Height of base of cloud', 'hshs  ', 'm', '-1', '4', 'm, -1, 4', 'Cloud data', 0, '', '////', NULL),
	(146, NULL, NULL, '', 'B02004', '002004', 'B02004', 'evap_I', 'Type of instrument for evaporation or crop for evapotranspiration', 'iE', 'Code table', '0', '2', 'Code table, 0, 2', 'Evaporation', 1, '1', '01', NULL),
	(1, '307084', 'D07084', 'D01090', 'D01004', '001001', 'B01001', 'station_WMO_bloc', 'WMO block number', 'II', 'Numeric', '0', '2', 'Numeric, 0, 2', 'station identification', 1, '63', '63', NULL),
	(2, NULL, NULL, '', '', '001002', 'B01002', 'station_WMO_number', 'WMO station number                                   ', 'iii', 'Numeric', '0', '3', 'Numeric, 0, 3', 'station identification', 1, '741', '741', NULL),
	(131, NULL, NULL, '', '', '002002', 'B02002', 'w_I', 'Type of instrumentation for wind measurement', 'iw', 'Flag table', '0', '2', '', '', 1, '14', '14', NULL),
	(25, NULL, NULL, '', 'D02033', '007032', 'B07032', 'Vis_SH', 'Height of sensor above local ground (for visibility measurement)', 'm', 'm', '2', '5', 'm, 2, 5', 'Temperature and humidity', 1, '1.5', '00150', NULL),
	(30, NULL, NULL, '', 'D02004', '020010', 'B20010', '114', 'Cloud cover (total)', 'N ', '%', '0', '3', '%, 0, 3', 'Cloud data', 1, '1', '013', NULL),
	(32, NULL, NULL, '', '', '020011', 'B20011', '168', 'Cloud amount (of low or middle clouds)', 'Nh ', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 1, '1', '01', NULL),
	(58, NULL, NULL, '', 'B20011', '020011', 'B20011', '612', 'Clound amount', 'Nh', 'Code table', '0', '2', '', '', 0, '', '//', NULL),
	(63, NULL, NULL, '', 'B20011', '020011', 'B20011', '622', 'Clound amount', 'Nh', 'Code table', '0', '2', '', '', 0, '', '//', NULL),
	(68, NULL, NULL, '', 'B20011', '020011', 'B20011', '632', 'Clound amount', 'Nh', 'Code table', '0', '2', '', '', 0, '', '//', NULL),
	(73, NULL, NULL, '', 'B20011', '020011', 'B20011', '642', 'Clound amount', 'Nh', 'Code table', '0', '2', '', '', 0, '', '//', NULL),
	(52, NULL, NULL, '', '', '020011', 'B20011', '128', 'Cloud amount', 'Ns ', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '', '//', NULL),
	(40, NULL, NULL, '', '', '020011', 'B20011', '116', 'Cloud amount', 'Ns ', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 1, '1', '01', NULL),
	(44, NULL, NULL, '', '', '020011', 'B20011', '120', 'Cloud amount', 'Ns ', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '', '//', NULL),
	(48, NULL, NULL, '', '', '020011', 'B20011', '124', 'Cloud amount', 'Ns ', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '', '//', NULL),
	(14, NULL, NULL, 'D02031', 'D02001', '010004', 'B10004', '106', 'Pressure', 'P0P0P0P0', 'Pa', '1', '5', 'Pa, –1, 5', 'Pressure data', 1, '1', '00001', NULL),
	(18, NULL, NULL, '', 'B10062', '010062', 'B10062', '399', '24-hour pressure change', 'p24p24p24', 'Pa', '-1', '4', 'Pa, –1, 4', 'Pressure data', 1, '1', '0000', NULL),
	(16, NULL, NULL, '', '', '010061', 'B10061', 'ppp', '3-hour pressure change', 'ppp', 'Pa', '-1', '4', 'Pa, –1, 4', 'Pressure data', 1, '', '////', NULL),
	(15, NULL, NULL, '', '', '010051', 'B10051', '107', 'Pressure reduced to mean sea level', 'PPPP', 'Pa', '1', '5', 'Pa, –1, 5', 'Pressure data', 1, '', '/////', NULL),
	(28, NULL, NULL, '', '', '013023', 'B13023', '5', 'Total precipitation Past 24 Hrs', 'R24R24R24R24', 'Kg M^2', '1', '5', '', 'Precipitation', 1, '1', '00001', NULL),
	(122, NULL, NULL, '', '', '013011', 'B13011', '174', 'Total precipitation', 'RRR', 'kgm-2', '1', '5', '', '', 1, '1', '00001', NULL),
	(165, NULL, NULL, '', 'B12049', '012049', 'B12049', '94', 'Temperature change over period specified', 'sndT', '\'C', '0', '2', '', '', 1, '', '//', NULL),
	(23, NULL, NULL, '', '', '012103', 'B12103', '103', 'Dew-point temperature (scale 2)', 'snTdTdTd', '°C', '2', '4', '°C, 2, 4', 'Temperature and humidity', 1, '1', '0010', NULL),
	(129, NULL, NULL, '', '', '012112', 'B12112', '3', 'Minimum temperature (scale 2) at height and over period specified ', 'snTnTnTn', '\'C', '2', '4', '', '', 1, '', '////', NULL),
	(22, NULL, NULL, '', '', '012101', 'B12101', '101', 'Temperature/Dry bulb (scale 2) at height and over period specified', 'snTTT', '°C', '2', '4', '°C, 2, 4', 'Temperature and humidity', 1, '1', '0010', NULL),
	(126, NULL, NULL, '', '', '012111', 'B12111', '2', 'Maximum temperature (scale 2) at height and over period specified', 'snTxTxTx', '\'C', '2', '4', '', '', 1, '', '////', NULL),
	(116, NULL, NULL, '', '', '014031', 'B14031', '132', 'Total sunshine in minutes (2nd replication)', 'SS', 'Minute', '0', '4', '', '', 1, '1', '0001', NULL),
	(91, NULL, NULL, '', 'B13013', '013013', 'B13013', '50', 'Total snow depth', 'sss', 'M', '2', '5', '', '', 1, '', '/////', NULL),
	(114, NULL, NULL, '', '', '014031', 'B14031', '532', 'Total sunshine ', 'SSS', 'Minute', '0', '4', 'Minute, 0, 4', 'Sunshine', 1, '60', '0006', NULL),
	(119, NULL, NULL, '', '', '004024', 'B04024', 'tR_TP', 'Time period in hours', 'tR', 'Hour', '0', '4', 'Hour, 0, 4', 'Precipitation ', 1, '-3', '-0003', NULL),
	(121, NULL, NULL, '', '', '004024', 'B04024', 'tr_TP', 'Time period or displacement', 'tr', 'Hour', '0', '4', '', '', 1, '-3', '-0003', NULL),
	(107, NULL, NULL, 'B20108', '', '020108', 'B20108', '710', 'Extent of vegetation', 've', 'Code Table', '0', '2', '', '', 0, '', '//', NULL),
	(26, NULL, NULL, '', '', '020001', 'B20001', '110', 'Horizontal Visibility', 'VV', 'm', '-1', '4', 'm, –1, 4', 'Visibility  ', 1, '1', '0000', NULL),
	(110, NULL, NULL, '', '', '020004', 'B20004', '197', 'Past weather (1) ', 'W1', 'Code table', '0', '2', '', '', 1, '1', '01', NULL),
	(111, NULL, NULL, '', '', '020005', 'B20005', '193', 'Past weather (2) ', 'W2', 'Code table', '0', '2', '', '', 1, '1', '01', NULL),
	(108, NULL, NULL, 'D02043', 'D02038', '020003', 'B20003', '167', 'Present weather ', 'ww', 'Code table', '0', '3', '', '', 1, '1', '001', NULL),
	(7, NULL, NULL, '', '', '004003', 'B04003', 'datetime_day', 'Day', 'YY', 'Day', '0', '2', 'Day, 0, 2', 'station identification', 1, '01', '01', NULL);
/*!40000 ALTER TABLE `tm_307084` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_db_v4.tm_307086
CREATE TABLE IF NOT EXISTS `tm_307086` (
  `order` int(11) DEFAULT '0',
  `Bufr_Template` varchar(50) DEFAULT NULL,
  `Crex_Template` varchar(50) DEFAULT NULL,
  `Sequence_Descriptor1` varchar(50) DEFAULT NULL,
  `Sequence_Descriptor0` varchar(50) DEFAULT NULL,
  `Bufr_Element` varchar(50) DEFAULT NULL,
  `Crex_Element` varchar(255) DEFAULT NULL,
  `Climsoft_Element` varchar(255) DEFAULT NULL,
  `Element_Name` varchar(255) DEFAULT NULL,
  `synop_code` varchar(255) DEFAULT NULL,
  `unit` varchar(255) DEFAULT NULL,
  `scale` varchar(255) DEFAULT NULL,
  `width` varchar(255) DEFAULT NULL,
  `units_length_scale` varchar(255) DEFAULT NULL,
  `data_type` varchar(255) DEFAULT NULL,
  `selected` tinyint(4) DEFAULT NULL,
  `observation` varchar(255) DEFAULT NULL,
  `Crex_Data` varchar(255) DEFAULT NULL,
  `Bufr_Data` varchar(50) DEFAULT NULL,
  KEY `synop_code` (`synop_code`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_db_v4.tm_307086: ~177 rows (approximately)
/*!40000 ALTER TABLE `tm_307086` DISABLE KEYS */;
INSERT INTO `tm_307086` (`order`, `Bufr_Template`, `Crex_Template`, `Sequence_Descriptor1`, `Sequence_Descriptor0`, `Bufr_Element`, `Crex_Element`, `Climsoft_Element`, `Element_Name`, `synop_code`, `unit`, `scale`, `width`, `units_length_scale`, `data_type`, `selected`, `observation`, `Crex_Data`, `Bufr_Data`) VALUES
	(93, NULL, NULL, 'D02066', NULL, '020023', 'B20023', NULL, 'Other weather phenomena 1=dust/sand whirl, 9=Funnel clouds not touching surface 10 = funnel clouds touching surface, 12 = Water-spout', NULL, 'Flag table', '0', '6', NULL, NULL, 1, NULL, NULL, NULL),
	(94, NULL, NULL, NULL, NULL, '020024', 'B20024', NULL, 'Intensity of phenomena', NULL, 'Code table', '0', '1', NULL, NULL, 1, NULL, NULL, NULL),
	(100, NULL, NULL, NULL, NULL, '020025', 'B20025', NULL, 'Obscuration', NULL, 'Flag table', '0', '7', NULL, NULL, 1, NULL, NULL, NULL),
	(101, NULL, NULL, NULL, NULL, '020026', 'B20026', NULL, 'Character of obscuration', NULL, 'Code table', '0', '2', NULL, NULL, 1, NULL, NULL, NULL),
	(102, NULL, NULL, NULL, NULL, '020027', 'B20027', NULL, 'Phenomena occurrence', NULL, 'Flag table', '0', '3', NULL, NULL, 1, NULL, NULL, NULL),
	(103, NULL, NULL, NULL, NULL, '020040', 'B20040', NULL, 'Evolution of drift snow', NULL, 'Code table', '0', '2', NULL, NULL, 1, NULL, NULL, NULL),
	(96, NULL, NULL, NULL, NULL, '020054', 'B20054', NULL, 'True direction from which a phenomenon or clouds are moving', NULL, 'Degree true', '0', '3', NULL, NULL, 1, NULL, NULL, NULL),
	(104, NULL, NULL, NULL, NULL, '020066', 'B20066', NULL, 'Maximum diameter of hailstones', NULL, 'm', '3', '3', NULL, NULL, 1, NULL, NULL, NULL),
	(107, NULL, NULL, NULL, NULL, '020067', 'B20067', NULL, 'Diameter of deposit', NULL, 'm', '3', '3', NULL, NULL, 1, NULL, NULL, NULL),
	(97, NULL, NULL, NULL, NULL, '020023', 'B20023', NULL, 'Other weather phenomena', NULL, 'Flag table', '0', '6', NULL, NULL, 1, NULL, NULL, NULL),
	(95, NULL, NULL, NULL, NULL, '020027', 'B20027', NULL, 'Phenomena occurrence', NULL, 'Flag table', '0', '3', NULL, NULL, 1, NULL, NULL, NULL),
	(108, NULL, NULL, NULL, NULL, '020027', 'B20027', NULL, 'Phenomena occurrence', NULL, 'Flag table', '0', '3', NULL, NULL, 1, NULL, NULL, NULL),
	(105, NULL, NULL, NULL, NULL, '020027', 'B20027', NULL, 'Phenomena occurrence', NULL, 'Flag table', '0', '3', NULL, NULL, 1, NULL, NULL, NULL),
	(98, NULL, NULL, NULL, NULL, '020027', 'B20027', NULL, 'Phenomena occurrence', NULL, 'Flag table', '0', '3', NULL, NULL, 1, NULL, NULL, NULL),
	(99, NULL, NULL, NULL, NULL, '020054', 'B20054', NULL, 'True direction from which a phenomenon or clouds are moving', NULL, 'Degree true', '0', '3', NULL, NULL, 1, NULL, NULL, NULL),
	(106, NULL, NULL, NULL, NULL, '020021', 'B20021', NULL, 'Type of precipitation', NULL, 'Flag table', '0', '10', NULL, NULL, 1, NULL, NULL, NULL),
	(21, NULL, NULL, 'D02035', 'D02032', '007032', 'B07032', 'Temp_SH', 'Height of sensor above local ground (for temperature and humidity measurement)', '', 'm', '2', '5', 'm, 2, 5', 'Temperature and humidity', 1, '1.25', '00125', NULL),
	(24, NULL, NULL, '', '', '013003', 'B13003', '105', 'Relative humidity', '', '%', '0', '3', '%, 0, 3', 'Temperature and humidity', 1, '1', '001', NULL),
	(27, NULL, NULL, '', 'D02034', '007032', 'B07032', 'R24_SH', 'Height of sensor above local ground (for precipitation measurement)', '', 'M', '2', '5', '', 'Precipitation', 1, '0.25', '00025', NULL),
	(29, NULL, NULL, '', 'B07032', '007032', 'B07032', 'Cancel_SH', 'Height of sensor above local ground (set to missing to cancel the previous table)', '', 'M', '2', '5', '', '', 1, '', '/////', NULL),
	(84, NULL, NULL, 'B08002', '', '008002', 'B08002', 'vert_sig_cancel', 'Vertical significance (set to missing to cancel the previous value)    ', '', 'Code Table', '0', '2', '', '', 1, '', '//', NULL),
	(170, NULL, NULL, '', 'B14004', '014004', 'B14004', '533_1', 'Short-wave radiation, integrated over period specified ', '', 'J m-2', '-3', '4', '', '', 1, '', '////', NULL),
	(171, NULL, NULL, '', 'B14016', '014016', 'B14016', '136_1', 'Net radiation, integrated over period specified', '', 'J m-2', '-4', '5', '', '', 1, '', '/////', NULL),
	(172, NULL, NULL, '', 'B14028', '014028', 'B14028', '133_1', 'Global solar radiation (high accuracy), integrated over period specified', '', 'J m-2', '-2', '5', '', '', 1, '', '/////', NULL),
	(173, NULL, NULL, '', 'B14029', '014029', 'B14029', '97_1', 'Diffuse solar radiation (high accuracy), integrated over period specified', '', 'J m-2', '-2', '5', '', '', 1, '', '/////', NULL),
	(174, NULL, NULL, '', 'B14030', '014030', 'B14030', '139_1', 'Direct solar radiation (high accuracy), integrated over period specified', '', 'J m-2', '-2', '5', '', '', 1, '', '/////', NULL),
	(175, NULL, NULL, 'D02046', 'B04024', '004024', 'B04024', 'tempc_t', 'Time period or displacement                         ', '', 'Hour', '0', '4', '', '', 1, '', '////', NULL),
	(176, NULL, NULL, '', 'B04024', '004024', 'B04024', 'tempc1_t', 'Time period or displacement (see Note 3)       ', '', 'Hour', '0', '4', '', '', 1, '', '////', NULL),
	(89, NULL, NULL, '', 'B07021', '007021', 'B07021', '665', 'Elevation angle (set to missing to cancel the previous value)', '', 'Degree', '2', '5', '', '', 1, '', '/////', NULL),
	(92, NULL, NULL, '', 'B12113', '012113', 'B12113', '585', 'Ground minimum temperature past 12 hrs', '', 'Degree', '2', '3', '', '', 1, '', '///', NULL),
	(109, NULL, NULL, 'B12122', '', '012122', 'B12122', '85', 'Ground minimum temperature of the preceeding night', '', '\'C', '2', '4', '', '', 1, '1', '0010', NULL),
	(110, NULL, NULL, 'B13056', '', '013056', 'B13056', '505', 'Character and Intensity of precipitation', '', 'Code Table', '0', '2', '', '', 1, '1', '01', NULL),
	(111, NULL, NULL, 'B13057', '', '013057', 'B13057', '506', 'Time of beginning or end of precipitation', '', 'Code Table', '0', '2', '', '', 0, '9', '09', NULL),
	(112, NULL, NULL, 'B20101', '', '020101', 'B20101', '701', 'Locust (Acridian) name', '', 'Code Table', '0', '2', '', '', 0, '', '//', NULL),
	(113, NULL, NULL, 'B20102', '', '020102', 'B20102', '702', 'Locust (Maturity) colour', '', 'Code Table', '0', '2', '', '', 0, '', '//', NULL),
	(114, NULL, NULL, 'B20103', '', '020103', 'B20103', '704', 'Stage of development of locusts', '', 'Code Table', '0', '2', '', '', 0, '', '//', NULL),
	(115, NULL, NULL, 'B20104', '', '020104', 'B20104', '705', 'Organization state of swam or band of locusts', '', 'Code Table', '0', '2', '', '', 0, '', '//', NULL),
	(116, NULL, NULL, 'B20105', '', '020105', 'B20105', '706', 'Size of swam or band of locusts and duration of passage of time', '', 'Code Table', '0', '2', '', '', 0, '', '//', NULL),
	(121, NULL, NULL, '', '', '004024', 'B04024', 'ww_TP', 'Time period in hours', '', 'Hour', '0', '4', '', '', 1, '-3', '-0003', NULL),
	(124, NULL, NULL, '', 'R01002', '201002', 'R01002', '', 'Replicate 1 descriptors 2 times', '', '', '', '', '', 'Sunshine', 0, '', '', NULL),
	(125, NULL, NULL, '', 'D02039', '004024', 'B04024', 'SSS_TP', 'Time period in hours', '', 'Hour', '0', '4', 'Hour, 0, 4', 'Sunshine', 1, '-24', '-0024', NULL),
	(51, NULL, NULL, '', '', '008002', 'B08002', '131', 'Vertical significance', '', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '', '//', NULL),
	(151, NULL, NULL, '', '', '011043', 'B11043', '59', 'Maximum wind gust direction', '', 'Degree True', '0', '3', '', '', 1, '', '///', NULL),
	(152, NULL, NULL, '', '', '011041', 'B11041', '58', 'Maximum wind gust speed', '', 'M s-1', '1', '4', '', '', 1, '', '////', NULL),
	(153, NULL, NULL, '', '', '004025', 'B04025', 'w2_TP', 'Time period in minutes   ', '', 'Minute', '0', '4', '', '', 1, '', '////', NULL),
	(154, NULL, NULL, '', '', '011043', 'B11043', '591', 'Maximum wind gust direction', '', 'Degree True', '0', '3', '', '', 1, '', '///', NULL),
	(155, NULL, NULL, '', '', '011041', 'B11041', '581', 'Maximum wind gust speed', '', 'Minute', '1', '4', '', '', 1, '', '////', NULL),
	(156, NULL, NULL, '', 'B07032', '007032', 'B07032', 'evap_SH', 'Height of sensor above local ground (for evaporation measurement)', '', 'M', '2', '5', '', '', 1, '0.25', '00025', NULL),
	(157, NULL, NULL, 'D02044', 'B04024', '004024', 'B04024', 'evap_TP', 'Time period in hours              =  - 24', '', 'Hour', '0', '4', 'Hour, 0, 4', 'Evaporation', 1, '-24', '-0024', NULL),
	(127, NULL, NULL, '', '', '004024', 'B04024', 'SS_TP', 'Time period or displacement in hours', '', 'Hour', '0', '4', '', '', 1, '-1', '-0001', NULL),
	(129, NULL, NULL, '', 'D02040', '007032', 'B07032', 'RR_SH', 'Height of sensor above local ground (for precipiation measurement)', '', 'M', '2', '5', '', 'Precipitation', 1, '0.25', '00025', NULL),
	(130, NULL, NULL, '', '', 'R02002', 'R02002', '', 'Replicate next 2 descriptors 2 times', '', '', '', '', '', 'Precipitation ', 0, '', '', NULL),
	(132, NULL, NULL, '', '', '013011', 'B13011', '5', 'Total precipitation RRR', '', 'kg m-2', '1', '5', 'kg m-2, 1, 5', 'Precipitation ', 1, '1', '00001', NULL),
	(135, NULL, NULL, '', 'D02041', '007032', 'B07032', 'xt_SH', 'Height of sensor above local ground (for temperature measurement)', '', 'm', '2', '5', 'm, 2, 5', 'Extreme temperatures', 1, '1.25', '00125', NULL),
	(136, NULL, NULL, '', '', '004024', 'B04024', 'xt_TP', 'Time period or displacement                         ', '', 'Hour', '0', '4', '', '', 1, '-12', '-0012', NULL),
	(137, NULL, NULL, '', '', '004024', 'B04024', '', 'Time period or displacement (see Notes 1 and 2)                      ', '', 'Hour', '0', '4', '', '', 1, '', '////', NULL),
	(139, NULL, NULL, '', '', '004024', 'B04024', 'nt_TP', 'Time period or displacement                         ', '', 'Hour', '0', '4', '', '', 1, '-12', '-0012', NULL),
	(140, NULL, NULL, '', '', '004024', 'B04024', '', 'Time period or displacement (see Notes 2)                      ', '', 'Hour', '0', '4', '', '', 1, '', '////', NULL),
	(142, NULL, NULL, '', 'D02042', '007032', 'B07032', 'w_SH', 'Height of sensor above local ground (for wind measurement)', '', 'M', '2', '5', '', '', 1, '10', '01000', NULL),
	(144, NULL, NULL, '', '', '008021', 'B08021', 'w_TS', 'Time significance (= 2 (time averaged))', '', 'Code table', '0', '2', '', '', 1, '2', '02', NULL),
	(145, NULL, NULL, '', '', '004025', 'B04025', 'w_TP', 'Time period (= - 10 minutes, or number of minutes after a significant change of wind)', '', 'Minute', '0', '4', '', '', 1, '-10', '-0010', NULL),
	(148, NULL, NULL, '', '', '008021', 'B08021', 'w1_TS', 'Time significance (= missing value)', '', 'Code table', '0', '2', '', '', 1, '', '//', NULL),
	(149, NULL, NULL, '', '', '203002', 'R03002', '', 'Replicate next 3 descriptors 2 times', '', '', '', '', '', '', 0, '', '', NULL),
	(150, NULL, NULL, '', '', '004025', 'B04025', 'w1_TP', 'Time period in minutes   ', '', 'Minute', '0', '4', '', '', 1, '', '////', NULL),
	(37, NULL, NULL, '', 'R01000', NULL, NULL, '', 'Delayed replication of the next 1 descriptor', '', '', '', '', '', '', 0, '', '', NULL),
	(38, NULL, NULL, '', 'B31001', '031001', 'B31001', 'cloud_rep1', 'Delayed descriptor replication factor', '', '', '0', '4', '', 'Cloud data', 1, '1', '0001', NULL),
	(39, NULL, NULL, '', 'D02005', '008002', 'B08002', '119', 'Vertical significance', '', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 1, '1', '01', NULL),
	(43, NULL, NULL, '', '', '008002', 'B08002', '123', 'Vertical significance', '', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '', '//', NULL),
	(47, NULL, NULL, '', '', '008002', 'B08002', '127', 'Vertical significance', '', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '', '//', NULL),
	(160, NULL, NULL, 'R01002', '', NULL, '', '', 'Replication the 1 descriptor 2 times ', '', '', '', '', '', '', 0, '', '', NULL),
	(161, NULL, NULL, 'D02045', 'B04024', '004024', 'B04024', 'rad_TP', 'Time period or displacement', '', 'Hour', '0', '4', '', '', 1, '', '////', NULL),
	(162, NULL, NULL, '', 'B14002', '014002', 'B14002', '536', 'Long-wave radiation, integrated over period specified ', '', 'J m-2', '-3', '4', '', '', 1, '', '////', NULL),
	(163, NULL, NULL, '', 'B14004', '014004', 'B14004', '533', 'Short-wave radiation, integrated over period specified ', '', 'J m-2', '-3', '4', '', '', 1, '', '////', NULL),
	(164, NULL, NULL, '', 'B14016', '014016', 'B14016', '136', 'Net radiation, integrated over period specified', '', 'J m-2', '-4', '5', '', '', 1, '', '/////', NULL),
	(165, NULL, NULL, '', 'B14028', '014028', 'B14028', '133', 'Global solar radiation (high accuracy), integrated over period specified', '', 'J m-2', '-2', '5', '', '', 1, '', '/////', NULL),
	(166, NULL, NULL, '', 'B14029', '014029', 'B14029', '97', 'Diffuse solar radiation (high accuracy), integrated over period specified', '', 'J m-2', '-2', '5', '', '', 1, '', '/////', NULL),
	(167, NULL, NULL, '', 'B14030', '014030', 'B14030', '139', 'Direct solar radiation (high accuracy), integrated over period specified', '', 'J m-2', '-2', '5', '', '', 1, '', '/////', NULL),
	(168, NULL, NULL, '', 'B04024', '004024', 'B04024', 'rad1_TP', 'Time period or displacement', '', 'Hour', '0', '4', '', '', 1, '', '////', NULL),
	(169, NULL, NULL, '', 'B14002', '014002', 'B14002', '536_1', 'Long-wave radiation, integrated over period specified ', '', 'J m-2', '-3', '4', '', '', 1, '', '////', NULL),
	(3, NULL, NULL, '', '', '001015', 'B01015', 'station_name', 'Station or site name', '', 'Character', '0', '20', 'Character, 0, 20', 'station identification', 1, 'DAGORETTI CORNER METEOROLOGICAL STATION', 'DAGORETTI CORNER MET', NULL),
	(5, NULL, NULL, '', 'D01011', '004001', 'B04001', 'datetime_year', 'Year', '', 'Year', '0', '4', 'Year, 0, 4', 'station identification', 1, '2000', '2000', NULL),
	(6, NULL, NULL, '', '', '004002', 'B04002', 'datetime_month', 'Month', '', 'Month', '0', '2', 'Month, 0, 2', 'station identification', 1, '01', '01', NULL),
	(10, NULL, NULL, '', 'D01021', '005001', 'B05001', 'station_deglatitude', 'Latitude (high accuracy)', '', 'Degree', '5', '7', 'Degree, 2, 4', 'station identification', 1, '-1.3', '-0000130', NULL),
	(11, NULL, NULL, '', '', '006001', 'B06001', 'station_deglongitude', 'Longitude (high accuracy)', '', 'Degree', '5', '8', 'Degree, 2, 5', 'station identification', 1, '36.75', '00003675', NULL),
	(12, NULL, NULL, '', 'B07030', '007030', 'B07030', 'station_elevation', 'Height of station ground above mean sea level', '', 'M', '1', '5', 'm, 1, 6', 'station identification', 1, '1798', '17980', NULL),
	(55, NULL, NULL, NULL, 'R05000', '205000', 'R05000', '', 'Delayed replication of 5 descriptors  ', '', '', '', '', '', '', 0, '', '', NULL),
	(56, NULL, NULL, NULL, 'B31001', '031001', 'B31001', 'cloud_rep2', 'Delayed descriptor replication factor', '', 'Numeric', '0', '4', '', '', 1, '0', '0000', NULL),
	(57, NULL, NULL, 'D02036', 'B08002', '008002', 'B08002', '611', 'Vertical Significance', '', 'Code table', '0', '2', 'Code table', '', 0, '', '//', NULL),
	(60, NULL, NULL, '', 'B20014', '020014', 'B20014', '614', 'Height of top of cloud', '', 'm', '-1', '4', '', '', 0, '', '////', NULL),
	(62, NULL, NULL, '', 'B08002', '008002', 'B08002', '621', 'Vertical Significance', '', 'Code table', '0', '2', 'Code table', '', 0, '', '//', NULL),
	(65, NULL, NULL, '', 'B20014', '020014', 'B20014', '624', 'Height of top of cloud', '', 'm', '-1', '4', '', '', 0, '', '////', NULL),
	(67, NULL, NULL, '', 'B08002', '008002', 'B08002', '631', 'Vertical Significance', '', 'Code table', '0', '2', 'Code table', '', 0, '', '//', NULL),
	(70, NULL, NULL, '', 'B20014', '020014', 'B20014', '634', 'Height of top of cloud', '', 'm', '-1', '4', '', '', 0, '', '////', NULL),
	(72, NULL, NULL, '', 'B08002', '008002', 'B08002', '641', 'Vertical Significance', '', 'Code table', '0', '2', 'Code table', '', 0, '', '//', NULL),
	(75, NULL, NULL, '', 'B20014', '020014', 'B20014', '644', 'Height of top of cloud', '', 'm', '-1', '4', '', '', 0, '', '////', NULL),
	(77, NULL, NULL, 'R02003', '', NULL, '', 'cloud_drift_rep', 'Replication factor of 2 descriptor  for 3 times', '', '', '', '', '', '', 0, '', '', NULL),
	(78, NULL, NULL, 'D02047', 'B08002', '008002', 'B08002', '651', 'Vertical Significance =7 (low cloud) =8 (middle cloud) =9 (high cloud)', '', 'Code table', '0', '2', '', '', 1, '', '//', NULL),
	(80, NULL, NULL, '', 'B08002', '008002', 'B08002', '653', 'Vertical Significance =7 (low cloud) =8 (middle cloud) =9 (high cloud)', '', 'Code Table', '0', '2', '', '', 1, '', '//', NULL),
	(82, NULL, NULL, '', 'B08002', '008002', 'B08002', '655', 'Vertical Significance =7 (low cloud) =8 (middle cloud) =9 (high cloud)', '', 'Code Table', '0', '2', '', '', 1, '', '//', NULL),
	(13, NULL, NULL, '', 'B07031', '007031', 'B07031', 'station_pressure_height', 'Height of barometer above mean sea level', '', 'M', '1', '5', 'm, 1, 6', 'station identification', 1, '1799', '17990', NULL),
	(4, NULL, NULL, '', '', '002001', 'B02001', 'station_qualifier', 'Type of station                                             ', '(ix)', 'Code table', '0', '1', 'Code table, 0, 1', 'station identification', 1, '1', '1', NULL),
	(17, NULL, NULL, '', '', '010063', 'B10063', 'a', 'Characteristic of pressure tendency', 'a', 'Code table', '0', '2', 'Code table, 0, 2', 'Pressure data', 1, '15', '15', NULL),
	(19, NULL, NULL, '', 'B07004', '007004', 'B07004', '301', 'Pressure (standard level) ', 'a3', 'Pa', '-1', '5', 'Pa, –1, 5', 'Pressure data', 1, '1', '00000', NULL),
	(87, NULL, NULL, '', 'B20012', '020012', 'B20012', '663', 'Cloud type ', 'C', 'Code Table', '0', '2', '', '', 1, '', '//', NULL),
	(53, NULL, NULL, '', '', '020012', 'B20012', '129', 'Cloud type', 'C', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '', '//', NULL),
	(41, NULL, NULL, '', '', '020012', 'B20012', '117', 'Cloud type', 'C', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 1, '1', '01', NULL),
	(45, NULL, NULL, '', '', '020012', 'B20012', '121', 'Cloud type', 'C', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '', '//', NULL),
	(49, NULL, NULL, '', '', '020012', 'B20012', '125', 'Cloud type', 'C', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '', '//', NULL),
	(59, NULL, NULL, '', 'B20012', '020012', 'B20012', '613', 'Cloud type', 'C', 'Code table', '0', '2', '', '', 0, '', '//', NULL),
	(64, NULL, NULL, '', 'B20012', '020012', 'B20012', '623', 'Cloud type', 'C', 'Code table', '0', '2', '', '', 0, '', '//', NULL),
	(69, NULL, NULL, '', 'B20012', '020012', 'B20012', '633', 'Cloud type', 'C', 'Code table', '0', '2', '', '', 0, '', '//', NULL),
	(74, NULL, NULL, '', 'B20012', '020012', 'B20012', '643', 'Cloud type', 'C', 'Code table', '0', '2', '', '', 0, '', '//', NULL),
	(36, NULL, NULL, '', '', '020012', 'B20012', '171', 'Cloud type (low clouds CH)', 'CH', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 1, '1', '01', NULL),
	(34, NULL, NULL, '', '', '020012', 'B20012', '169', 'Cloud type (low clouds CL)', 'CL ', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 1, '1', '01', NULL),
	(31, NULL, NULL, '', '', '008002', 'B08002', '115', 'Vertical significance', 'CL CM CH', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 1, '1', '01', NULL),
	(35, NULL, NULL, '', '', '020012', 'B20012', '170', 'Cloud type (low clouds CM)', 'CM', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 1, '1', '01', NULL),
	(61, NULL, NULL, '', 'B20017', '020017', 'B20017', '615', 'Cloud top description', 'Ct', 'Code table', '0', '2', 'Code table, 0', '', 0, '', '//', NULL),
	(66, NULL, NULL, '', 'B20017', '020017', 'B20017', '625', 'Cloud top description', 'Ct', 'Code table', '0', '2', 'Code table, 0', '', 0, '', '//', NULL),
	(71, NULL, NULL, '', 'B20017', '020017', 'B20017', '635', 'Cloud top description', 'Ct', 'Code table', '0', '2', 'Code table, 0', '', 0, '', '//', NULL),
	(76, NULL, NULL, '', 'B20017', '020017', 'B20017', '645', 'Cloud top description', 'Ct', 'Code table', '0', '2', 'Code table, 0', '', 0, '', '//', NULL),
	(85, NULL, NULL, 'D02048', 'B05021', '005021', 'B05021', '661', 'Bearing or azimuth', 'Da', 'Degree', '2', '5', '', '', 1, '', '/////', NULL),
	(88, NULL, NULL, '', 'B05021', '005021', 'B05021', '664', 'Bearing or azimuth (set to missing to cancel the previous value) ', 'Da', 'Degree', '2', '5', '', '', 1, '', '/////', NULL),
	(146, NULL, NULL, '', '', '011001', 'B11001', '112', 'Wind direction', 'dd', 'Degree true', '0', '3', '', '', 1, '1', '000', NULL),
	(117, NULL, NULL, 'B20106', '', '020106', 'B20106', '707', 'Locust population density', 'dL', 'Code Table', '0', '2', '', '', 0, '', '//', NULL),
	(118, NULL, NULL, 'B20107', '', '020107', 'B20107', '708', 'Direction of movements of locust swarm', 'DL', 'Code Table', '0', '2', '', '', 0, '', '//', NULL),
	(83, NULL, NULL, '', 'B20054', '020054', 'B20054', '656', 'True  direction from which clouds are moving', 'DL, DM, DH', 'Degree', '0', '3', '', '', 1, '', '///', NULL),
	(79, NULL, NULL, '', 'B20054', '020054', 'B20054', '652', 'True  direction from which clouds are moving', 'DL, DM, DH', 'Degree', '0', '3', '', '', 1, '', '///', NULL),
	(81, NULL, NULL, '', 'B20054', '020054', 'B20054', '654', 'True  direction from which clouds are moving', 'DL, DM, DH', 'Degree', '0', '3', '', '', 1, '', '///', NULL),
	(90, NULL, NULL, 'D02037', 'B20062', '020062', 'B20062', '51', 'State of ground (with or without snow)', 'E or E’', 'Code Table', '0', '2', '', '', 1, '', '//', NULL),
	(86, NULL, NULL, '', 'B07021', '007021', 'B07021', '662', 'Elevation angle ', 'eC', 'Degree', '2', '5', '', '', 1, '', '/////', NULL),
	(159, NULL, NULL, '', 'B13033', '013033', 'B13033', '18', 'Evaporation /evapotranspiration', 'EEE ', 'kg m-2', '1', '4', 'kg m-2, 1, 4', 'Evaporation', 1, '1', '0001', NULL),
	(147, NULL, NULL, '', '', '011002', 'B11002', '111', 'Wind speed ', 'ff', 'M s-1', '1', '4', '', '', 1, '1', '0010', NULL),
	(8, NULL, NULL, '', 'D01012', '004004', 'B04004', 'datetime_hour', 'Hour', 'GG', 'Hour', '0', '2', 'Hour, 0, 2', 'station identification', 1, '03', '03', NULL),
	(9, NULL, NULL, '', '', '004005', 'B04005', 'datetime_minute', 'Minute', 'gg', 'Minute', '0', '2', 'Minute, 0, 2', 'station identification', 1, '00', '00', NULL),
	(33, NULL, NULL, '', '', '020013', 'B20013', '192', 'Height of base of cloud', 'h', 'm', '-1', '4', 'm, –1, 4', 'Cloud data', 1, '1', '0000', NULL),
	(20, NULL, NULL, '', 'B10009', '010009', 'B10009', '185', 'Geopotential height of the standard level', 'hhh', 'gpm', '0', '5', 'gpm, 0, 5', 'Pressure data', 1, '1', '00001', NULL),
	(54, NULL, NULL, '', '', '020013', 'B20013', '130', 'Height of base of cloud', 'hshs  ', 'm', '-1', '4', 'm, -1, 4', 'Cloud data', 0, '', '////', NULL),
	(42, NULL, NULL, '', '', '020013', 'B20013', '118', 'Height of base of cloud', 'hshs  ', 'm', '-1', '4', 'm, -1, 4', 'Cloud data', 1, '1', '0000', NULL),
	(46, NULL, NULL, '', '', '020013', 'B20013', '122', 'Height of base of cloud', 'hshs  ', 'm', '-1', '4', 'm, -1, 4', 'Cloud data', 0, '', '////', NULL),
	(50, NULL, NULL, '', '', '020013', 'B20013', '126', 'Height of base of cloud', 'hshs  ', 'm', '-1', '4', 'm, -1, 4', 'Cloud data', 0, '', '////', NULL),
	(158, NULL, NULL, '', 'B02004', '002004', 'B02004', 'evap_I', 'Type of instrument for evaporation or crop for evapotranspiration', 'iE', 'Code table', '0', '2', 'Code table, 0, 2', 'Evaporation', 1, '1', '01', NULL),
	(1, '307086', 'D07086', 'D01090', 'D01004', '001001', 'B01001', 'station_WMO_bloc', 'WMO block number', 'II', 'Numeric', '0', '2', 'Numeric, 0, 2', 'station identification', 1, '63', '63', NULL),
	(2, NULL, NULL, '', '', '001002', 'B01002', 'station_WMO_number', 'WMO station number                                   ', 'iii', 'Numeric', '0', '3', 'Numeric, 0, 3', 'station identification', 1, '741', '741', NULL),
	(143, NULL, NULL, '', '', '002002', 'B02002', 'w_I', 'Type of instrumentation for wind measurement', 'iw', 'Flag table', '0', '2', '', '', 1, '14', '14', NULL),
	(25, NULL, NULL, '', 'D02033', '007032', 'B07032', 'Vis_SH', 'Height of sensor above local ground (for visibility measurement)', 'm', 'm', '2', '5', 'm, 2, 5', 'Temperature and humidity', 1, '1.5', '00150', NULL),
	(30, NULL, NULL, '', 'D02004', '020010', 'B20010', '114', 'Cloud cover (total)', 'N ', '%', '0', '3', '%, 0, 3', 'Cloud data', 1, '1', '013', NULL),
	(32, NULL, NULL, '', '', '020011', 'B20011', '168', 'Cloud amount (of low or middle clouds)', 'Nh ', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 1, '1', '01', NULL),
	(58, NULL, NULL, '', 'B20011', '020011', 'B20011', '612', 'Clound amount', 'Nh', 'Code table', '0', '2', '', '', 0, '', '//', NULL),
	(63, NULL, NULL, '', 'B20011', '020011', 'B20011', '622', 'Clound amount', 'Nh', 'Code table', '0', '2', '', '', 0, '', '//', NULL),
	(68, NULL, NULL, '', 'B20011', '020011', 'B20011', '632', 'Clound amount', 'Nh', 'Code table', '0', '2', '', '', 0, '', '//', NULL),
	(73, NULL, NULL, '', 'B20011', '020011', 'B20011', '642', 'Clound amount', 'Nh', 'Code table', '0', '2', '', '', 0, '', '//', NULL),
	(52, NULL, NULL, '', '', '020011', 'B20011', '128', 'Cloud amount', 'Ns ', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '', '//', NULL),
	(40, NULL, NULL, '', '', '020011', 'B20011', '116', 'Cloud amount', 'Ns ', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 1, '1', '01', NULL),
	(44, NULL, NULL, '', '', '020011', 'B20011', '120', 'Cloud amount', 'Ns ', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '', '//', NULL),
	(48, NULL, NULL, '', '', '020011', 'B20011', '124', 'Cloud amount', 'Ns ', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '', '//', NULL),
	(14, NULL, NULL, 'D02031', 'D02001', '010004', 'B10004', '106', 'Pressure', 'P0P0P0P0', 'Pa', '1', '5', 'Pa, –1, 5', 'Pressure data', 1, '1', '00001', NULL),
	(18, NULL, NULL, '', 'B10062', '010062', 'B10062', '399', '24-hour pressure change', 'p24p24p24', 'Pa', '-1', '4', 'Pa, –1, 4', 'Pressure data', 1, '1', '0000', NULL),
	(16, NULL, NULL, '', '', '010061', 'B10061', 'ppp', '3-hour pressure change', 'ppp', 'Pa', '-1', '4', 'Pa, –1, 4', 'Pressure data', 1, '', '////', NULL),
	(15, NULL, NULL, '', '', '010051', 'B10051', '107', 'Pressure reduced to mean sea level', 'PPPP', 'Pa', '1', '5', 'Pa, –1, 5', 'Pressure data', 1, '', '/////', NULL),
	(28, NULL, NULL, '', '', '013023', 'B13023', '5', 'Total precipitation Past 24 Hrs', 'R24R24R24R24', 'Kg M^2', '1', '5', '', 'Precipitation', 1, '1', '00001', NULL),
	(134, NULL, NULL, '', '', '013011', 'B13011', '174', 'Total precipitation', 'RRR', 'kgm-2', '1', '5', '', '', 1, '1', '00001', NULL),
	(177, NULL, NULL, '', 'B12049', '012049', 'B12049', '94', 'Temperature change over period specified', 'sndT', '\'C', '0', '2', '', '', 1, '', '//', NULL),
	(23, NULL, NULL, '', '', '012103', 'B12103', '103', 'Dew-point temperature (scale 2)', 'snTdTdTd', '°C', '2', '4', '°C, 2, 4', 'Temperature and humidity', 1, '1', '0010', NULL),
	(141, NULL, NULL, '', '', '012112', 'B12112', '3', 'Minimum temperature (scale 2) at height and over period specified ', 'snTnTnTn', '\'C', '2', '4', '', '', 1, '', '////', NULL),
	(22, NULL, NULL, '', '', '012101', 'B12101', '101', 'Temperature/Dry bulb (scale 2) at height and over period specified', 'snTTT', '°C', '2', '4', '°C, 2, 4', 'Temperature and humidity', 1, '1', '0010', NULL),
	(138, NULL, NULL, '', '', '012111', 'B12111', '2', 'Maximum temperature (scale 2) at height and over period specified', 'snTxTxTx', '\'C', '2', '4', '', '', 1, '', '////', NULL),
	(128, NULL, NULL, '', '', '014031', 'B14031', '132', 'Total sunshine in minutes (2nd replication)', 'SS', 'Minute', '0', '4', '', '', 1, '1', '0001', NULL),
	(91, NULL, NULL, '', 'B13013', '013013', 'B13013', '50', 'Total snow depth', 'sss', 'M', '2', '5', '', '', 1, '', '/////', NULL),
	(126, NULL, NULL, '', '', '014031', 'B14031', '532', 'Total sunshine ', 'SSS', 'Minute', '0', '4', 'Minute, 0, 4', 'Sunshine', 1, '60', '0006', NULL),
	(131, NULL, NULL, '', '', '004024', 'B04024', 'tR_TP', 'Time period in hours', 'tR', 'Hour', '0', '4', 'Hour, 0, 4', 'Precipitation ', 1, '-3', '-0003', NULL),
	(133, NULL, NULL, '', '', '004024', 'B04024', 'tr_TP', 'Time period or displacement', 'tr', 'Hour', '0', '4', '', '', 1, '-3', '-0003', NULL),
	(119, NULL, NULL, 'B20108', '', '020108', 'B20108', '710', 'Extent of vegetation', 've', 'Code Table', '0', '2', '', '', 0, '', '//', NULL),
	(26, NULL, NULL, '', '', '020001', 'B20001', '110', 'Horizontal Visibility', 'VV', 'm', '-1', '4', 'm, –1, 4', 'Visibility  ', 1, '1', '0000', NULL),
	(122, NULL, NULL, '', '', '020004', 'B20004', '197', 'Past weather (1) ', 'W1', 'Code table', '0', '2', '', '', 1, '1', '01', NULL),
	(123, NULL, NULL, '', '', '020005', 'B20005', '193', 'Past weather (2) ', 'W2', 'Code table', '0', '2', '', '', 1, '1', '01', NULL),
	(120, NULL, NULL, 'D02043', 'D02038', '020003', 'B20003', '167', 'Present weather ', 'ww', 'Code table', '0', '3', '', '', 1, '1', '001', NULL),
	(7, NULL, NULL, '', '', '004003', 'B04003', 'datetime_day', 'Day', 'YY', 'Day', '0', '2', 'Day, 0, 2', 'station identification', 1, '01', '01', NULL);
/*!40000 ALTER TABLE `tm_307086` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_db_v4.tm_307089
CREATE TABLE IF NOT EXISTS `tm_307089` (
  `order` int(11) DEFAULT '0',
  `Bufr_Template` varchar(50) DEFAULT NULL,
  `Crex_Template` varchar(50) DEFAULT NULL,
  `Sequence_Descriptor1` varchar(10) DEFAULT NULL,
  `Sequence_Descriptor0` varchar(10) DEFAULT NULL,
  `Bufr_Element` varchar(50) DEFAULT NULL,
  `Crex_Element` varchar(255) DEFAULT NULL,
  `Climsoft_Element` varchar(50) DEFAULT NULL,
  `Element_Name` varchar(255) DEFAULT NULL,
  `synop_code` varchar(50) DEFAULT NULL,
  `unit` varchar(50) DEFAULT NULL,
  `scale` varchar(50) DEFAULT NULL,
  `width` varchar(50) DEFAULT NULL,
  `units_length_scale` varchar(255) DEFAULT NULL,
  `data_type` varchar(255) DEFAULT NULL,
  `selected` tinyint(4) DEFAULT NULL,
  `observation` varchar(100) DEFAULT NULL,
  `crex` varchar(25) DEFAULT NULL,
  `Crex_Data` varchar(255) DEFAULT NULL,
  `Bufr_Data` varchar(50) DEFAULT NULL,
  KEY `synop_code` (`Element_Name`),
  KEY `synop_code1` (`synop_code`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_db_v4.tm_307089: ~79 rows (approximately)
/*!40000 ALTER TABLE `tm_307089` DISABLE KEYS */;
INSERT INTO `tm_307089` (`order`, `Bufr_Template`, `Crex_Template`, `Sequence_Descriptor1`, `Sequence_Descriptor0`, `Bufr_Element`, `Crex_Element`, `Climsoft_Element`, `Element_Name`, `synop_code`, `unit`, `scale`, `width`, `units_length_scale`, `data_type`, `selected`, `observation`, `crex`, `Crex_Data`, `Bufr_Data`) VALUES
	(16, NULL, NULL, NULL, NULL, '010061', 'B10061', 'ppp', '3 hour pressure change', NULL, 'Pa', '–1', '4', 'Pa, –1, 4', 'Pressure data', 1, '/', '////', NULL, NULL),
	(19, NULL, NULL, NULL, 'B07004', '007004', 'B07004', '301', 'a3 - Pressure standard level', NULL, 'Pa', '–1', '5', 'Pa, –1, 5', 'Pressure data', 1, '1', '00000', NULL, NULL),
	(37, NULL, NULL, NULL, NULL, '020012', 'B20012', '117', 'C', NULL, 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '1', '01', NULL, NULL),
	(33, NULL, NULL, NULL, NULL, '020012', 'B20012', '171', 'CH', NULL, 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 1, '1', '01', NULL, NULL),
	(17, NULL, NULL, NULL, NULL, '010063', 'B10063', 'a', 'Characteristic of 3 hour pressure tendancy', NULL, 'Code table', '0', '2', 'Code table, 0, 2', 'Pressure data', 1, '/', '//', NULL, NULL),
	(31, NULL, NULL, NULL, NULL, '020012', 'B20012', '169', 'CL ', NULL, 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 1, '1', '01', NULL, NULL),
	(44, NULL, NULL, NULL, NULL, '020011', 'B20011', '124', 'Cloud amount   Ns', NULL, 'Code table', '0', '2', NULL, NULL, 0, '1', '01', NULL, NULL),
	(48, NULL, NULL, NULL, NULL, '020011', 'B20011', '128', 'Cloud amount Ns', NULL, 'Code table', '0', '2', NULL, NULL, 0, '1', '01', NULL, NULL),
	(41, NULL, NULL, NULL, NULL, '020012', 'B20012', '121', 'Cloud type    C', NULL, 'Code table', '0', '2', NULL, NULL, 0, '1', '01', NULL, NULL),
	(45, NULL, NULL, NULL, NULL, '020012', 'B20012', '125', 'Cloud type  C', NULL, 'Code table', '0', '2', NULL, NULL, 0, '1', '01', NULL, NULL),
	(49, NULL, NULL, NULL, NULL, '020012', 'B20012', '129', 'Cloud type C', NULL, 'Code table', '0', '2', NULL, NULL, 0, '1', '01', NULL, NULL),
	(40, NULL, NULL, NULL, NULL, '020011', 'B20011', '120', 'Clound amount  Nh', NULL, 'Code table', '0', '2', NULL, NULL, 0, '1', '01', NULL, NULL),
	(32, NULL, NULL, NULL, NULL, '020012', 'B20012', '170', 'CM', NULL, 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 1, '1', '01', NULL, NULL),
	(77, NULL, NULL, 'B11001', 'B11001', '011001', 'B11001', '112', 'dd ', NULL, 'Degree true', '0', '3', 'Degree true, 0, 3', 'Wind data', 1, '1', '000', NULL, NULL),
	(34, NULL, NULL, 'R01000', 'R01000', '101000', 'R01000', 'element_cloud_rep', 'Delayed replication of the next 1 descriptor ', NULL, NULL, '0', '4', NULL, 'Cloud data', 1, '1', '0001', NULL, NULL),
	(57, NULL, NULL, NULL, 'B13033', '013033', 'B13033', '18', 'EEE ', NULL, 'kg m-2', '1', '4', 'kg m-2, 1, 4', 'Evaporation', 1, '1', '0001', NULL, NULL),
	(78, NULL, NULL, 'B11002', 'B11002', '011002', 'B11002', '111', 'ff   ', NULL, 'm s-1', '1', '4', 'm s-1, 1, 4', 'Wind data', 1, '', '////', NULL, NULL),
	(8, NULL, NULL, NULL, 'D01012', '004004', 'B04004', 'datetime_hour', 'GG', NULL, 'Hour', '0', '2', 'Hour, 0, 2', 'station identification', 1, '06', '06', NULL, NULL),
	(9, NULL, NULL, NULL, NULL, '004005', 'B04005', 'datetime_minute', 'gg', NULL, 'Minute', '0', '2', 'Minute, 0, 2', 'station identification', 1, '00', '00', NULL, NULL),
	(30, NULL, NULL, NULL, NULL, '020013', 'B20013', '192', 'h', NULL, 'm', '-1', '4', 'm, –1, 4', 'Cloud data', 1, '1', '0000', NULL, NULL),
	(13, NULL, NULL, NULL, 'B07031', '007031', 'B07031', 'station_pressure_height', 'Height of barometer above msl                  ', NULL, 'm', '1', '5', 'm, 1, 6', 'station identification', 1, '1799', '17990', NULL, NULL),
	(42, NULL, NULL, NULL, NULL, '020013', 'B20013', '122', 'Height of base of cloud', NULL, 'm', '-1', '4', NULL, NULL, 0, '1', '0000', NULL, NULL),
	(46, NULL, NULL, NULL, NULL, '020013', 'B20013', '126', 'Height of base of cloud   hshs', NULL, 'm', '-1', '4', NULL, NULL, 0, '1', '0000', NULL, NULL),
	(50, NULL, NULL, NULL, NULL, '020013', 'B20013', '130', 'Height of base of cloud  hshs', NULL, 'm', '-1', '4', NULL, NULL, 0, '1', '0000', NULL, NULL),
	(21, NULL, NULL, 'D02032', 'B07032', '007032', 'B07032', 'temp_SH', 'Height of sensor above local ground ', NULL, 'm', '2', '5', 'm, 2, 5', 'Temperature and humidity', 1, '1.25', '00125', NULL, NULL),
	(25, NULL, NULL, 'D02033', 'B07032', '007032', 'B07032', 'Vis_SH', 'Height of sensor above local ground', NULL, 'm', '2', '5', 'm, 2, 5', 'Temperature and humidity', 1, '1.5', '00150', NULL, NULL),
	(68, NULL, NULL, 'B07032', 'B07032', '007032', 'B07032', 'xt_SH', 'Height of sensor above local ground', NULL, 'm', '2', '5', 'm, 2, 5', 'Extreme temperatures', 1, '1.25', '00125', NULL, NULL),
	(73, NULL, NULL, 'B07032', 'B07032', '007032', 'B07032', 'w_SH', 'Height of sensor above local ground', NULL, 'm', '2', '5', 'm, 2, 5', 'Wind data', 1, '10', '01000', NULL, NULL),
	(12, NULL, NULL, NULL, 'B07030', '007030', 'B07030', 'station_elevation', 'Height of station ground above msl          ', NULL, 'm', '1', '5', 'm, 1, 6', 'station identification', 1, '1798', '17980', NULL, NULL),
	(20, NULL, NULL, NULL, 'B10009', '010009', 'B10009', '185', 'hhh - Geopotential height of the standard level', NULL, 'gpm', '0', '5', 'gpm, 0, 5', 'Pressure data', 1, '1', '00001', NULL, NULL),
	(38, NULL, NULL, NULL, NULL, '020013', 'B20013', '118', 'hshs  ', NULL, 'm', '-1', '4', 'm, -1, 4', 'Cloud data', 0, '1', '0000', NULL, NULL),
	(56, NULL, NULL, NULL, 'B02004', '002004', 'B02004', 'evap_I', 'iE', NULL, 'Code table', '0', '2', 'Code table, 0, 2', 'Evaporation', 1, '1', '01', NULL, NULL),
	(74, NULL, NULL, 'B02002', 'B02002', '002002', 'B02002', 'w_I', 'iw', NULL, 'Flag table', '0', '2', 'Flag table, 0, 2', 'Wind data', 1, '14', '14', NULL, NULL),
	(10, NULL, NULL, NULL, 'D01021', '005001', 'B05001', 'station_deglatitude', 'Latitude (high accuracy)                          ', NULL, 'Degree', '2', '4', 'Degree, 2, 4', 'station identification', 1, '-1.3', '-0130', NULL, NULL),
	(11, NULL, NULL, NULL, NULL, '006001', 'B06001', 'station_deglongitude', 'Longitude (high accuracy)                       ', NULL, 'Degree', '2', '5', 'Degree, 2, 5', 'station identification', 1, '36.75', '03675', NULL, NULL),
	(6, NULL, NULL, NULL, NULL, '004002', 'B04002', 'datetime_month', 'Month', NULL, 'Month', '0', '2', 'Month, 0, 2', 'station identification', 1, '01', '01', NULL, NULL),
	(27, NULL, NULL, 'D02004', 'D02004', '020010', 'B20010', '114', 'N ', NULL, '%', '0', '3', '%, 0, 3', 'Cloud data', 1, '1', '013', NULL, NULL),
	(29, NULL, NULL, NULL, NULL, '020011', 'B20011', '168', 'Nh ', NULL, 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 1, '1', '01', NULL, NULL),
	(36, NULL, NULL, NULL, NULL, '020011', 'B20011', '116', 'Ns ', NULL, 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '1', '01', NULL, NULL),
	(18, NULL, NULL, NULL, 'B10062', '010062', 'B10062', '399', 'p24p24p24 - 24 hour pressure change', NULL, 'Pa', '–1', '4', 'Pa, –1, 4', 'Pressure data', 1, '1', '0000', NULL, NULL),
	(14, NULL, NULL, 'D02031', 'D02001', '010004', 'B10004', '106', 'PoPoPoPo -', NULL, 'Pa', '1', '5', 'Pa, –1, 5', 'Pressure data', 1, '1', '00001', NULL, NULL),
	(15, NULL, NULL, NULL, NULL, '010051', 'B10051', '107', 'PPPP - Pressure', NULL, 'Pa', '1', '5', 'Pa, –1, 5', 'Pressure data', 1, '1', '00001', NULL, NULL),
	(51, NULL, NULL, 'D02038', 'B20003', '020003', 'B20003', '167', 'Present weather  ww', NULL, 'Code table', '0', '3', 'Code table, 0, 3', 'Present and past weather', 1, '1', '001', NULL, NULL),
	(24, NULL, NULL, NULL, 'B13003', '013003', 'B13003', '105', 'Relative humidity', NULL, '%', '0', '3', '%, 0, 3', 'Temperature and humidity', 1, '1', '001', NULL, NULL),
	(58, NULL, NULL, 'R02002', 'R02002', '102002', 'R02002', NULL, 'Replicate next 2 descriptors 2 times', NULL, NULL, NULL, NULL, NULL, 'Sunshine', 1, '/', '', NULL, NULL),
	(63, NULL, NULL, 'R02002', 'R02002', '102002', 'R02002', NULL, 'Replicate next 2 descriptors 2 times', NULL, NULL, '0', '0', NULL, 'Precipitation ', 1, '/', '/', NULL, NULL),
	(65, NULL, NULL, 'B13011', 'B13011', '013011', 'B13011', '5', 'RRR ', NULL, 'kg m-2', '1', '5', 'kg m-2, 1, 5', 'Precipitation ', 1, '1', '00001', NULL, NULL),
	(23, NULL, NULL, NULL, 'B12103', '012103', 'B12103', '103', 'snTdTdTd', NULL, '°C', '2', '4', '°C, 2, 4', 'Temperature and humidity', 1, '1', '0010', NULL, NULL),
	(72, NULL, NULL, 'B12112', 'B12112', '012112', 'B12112', '3', 'snTnTnTn', NULL, '°C', '1', '4', ' °C, 2, 4', 'Extreme temperatures', 0, '', '////', NULL, NULL),
	(22, NULL, NULL, NULL, 'B12101', '012101', 'B12101', '101', 'snTTT', NULL, '°C', '2', '4', '°C, 2, 4', 'Temperature and humidity', 1, '1', '0010', NULL, NULL),
	(70, NULL, NULL, 'B12111', 'B12111', '012111', 'B12111', '2', 'snTxTxTx ', NULL, '°C', '1', '4', '°C, 2, 4', 'Extreme temperatures', 0, '', '////', NULL, NULL),
	(60, NULL, NULL, NULL, 'B14031', '014031', 'B14031', '532', 'SSS', NULL, 'Minute', '0', '4', 'Minute, 0, 4', 'Sunshine', 1, '60', '0006', NULL, NULL),
	(3, NULL, NULL, NULL, NULL, '001015', 'B01015', 'station_name', 'Station or site name', NULL, 'Character', '0', '20', 'Character, 0, 20', 'station identification', 0, 'DAGORETTI CORNER', 'DAGORETTI CORNER    ', NULL, NULL),
	(52, NULL, NULL, NULL, 'B04024', '004024', 'B04024', 'ww_t', 'Time period                    ', NULL, 'Hour', '0', '4', 'Hour, 0, 4', 'Present and past weather', 1, '-6', '-0006', NULL, NULL),
	(76, NULL, NULL, 'B04025', 'B04025', '004025', 'B04025', 'w_TS', 'Time period', NULL, 'Minute', '0', '4', 'Minute, 0, 4', 'Wind data', 1, '2', '0002', NULL, NULL),
	(59, NULL, NULL, 'D02039', 'B04024', '004024', 'B04024', 'SSS_t', 'Time period in hours    ', NULL, 'Hour', '0', '4', 'Hour, 0, 4', 'Sunshine', 1, '-24', '-0024', NULL, NULL),
	(69, NULL, NULL, 'B04024', 'B04024', '004024', 'B04024', 'xt_tx', 'Time period in hours ', NULL, 'Hour', '0', '4', 'Hour, 0, 4', 'Extreme temperatures', 1, '-12', '-0012', NULL, NULL),
	(71, NULL, NULL, 'B04024', 'B04024', '004024', 'B04024', 'xt_tm', 'Time period in hours ', NULL, 'Hour', '0', '4', 'Hour, 0, 4', 'Extreme temperatures', 1, '-12', '-0012', NULL, NULL),
	(55, NULL, NULL, 'D02044', 'B04024', '004024', 'B04024', 'evap_t', 'Time period in hours              =  - 24', NULL, 'Hour', '0', '4', 'Hour, 0, 4', 'Evaporation', 1, '-24', '-0024', NULL, NULL),
	(61, NULL, NULL, NULL, 'B04024', '004024', 'B04024', 'SS_t', 'Time period or displacement', NULL, 'Hour', '0', '4', NULL, NULL, 1, '-1', '-0001', NULL, NULL),
	(66, NULL, NULL, NULL, NULL, '004024', 'B04024', 'tr_t', 'Time period or displacement  tr', NULL, 'Hour', '0', '4', NULL, NULL, 1, '-3', '-0003', NULL, NULL),
	(79, NULL, NULL, 'B08021', 'B08021', '008021', 'B08021', 'ffdd_TS', 'Time significance', NULL, 'Code table', '0', '2', 'Code table, 0, 2', 'Wind data', 1, '/', '//', NULL, NULL),
	(75, NULL, NULL, 'B08021', 'B08021', '008021', 'B08021', 'w_T', 'Time significance           ', NULL, 'Code table', '0', '2', 'Code table, 0, 2', 'Wind data', 1, '2', '02', NULL, NULL),
	(67, NULL, NULL, NULL, NULL, '013011', 'B13011', '174', 'Total precipitation  RRR', NULL, 'kgm-2', '1', '5', NULL, NULL, 1, '1', '00001', NULL, NULL),
	(62, NULL, NULL, NULL, 'B14031', '014031', 'B14031', '132', 'Total sunshine in minutes (2nd replication)   SS', NULL, 'Minute', '0', '4', NULL, NULL, 1, '1', '0001', NULL, NULL),
	(64, NULL, NULL, 'B04024', 'B04024', '004024', 'B04024', 'tR_t', 'tR ', NULL, 'Hour', '0', '4', 'Hour, 0, 4', 'Precipitation ', 1, '-12', '-0012', NULL, NULL),
	(4, NULL, NULL, NULL, NULL, '002001', 'B02001', 'station_qualifier', 'Type of station ix', NULL, 'Code table', '0', '1', 'Code table, 0, 1', 'station identification', 1, '1', '1', NULL, NULL),
	(35, NULL, NULL, 'D02005', 'D02005', '008002', 'B08002', '119', 'Vertical significance', NULL, 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '1', '01', NULL, NULL),
	(39, NULL, NULL, NULL, NULL, '008002', 'B08002', '123', 'Vertical Significance', NULL, 'Code table', '0', '2', 'Code table', NULL, 0, '1', '01', NULL, NULL),
	(43, NULL, NULL, NULL, NULL, '008002', 'B08002', '127', 'Vertical significance', NULL, 'Code table', '0', '2', NULL, NULL, 0, '1', '01', NULL, NULL),
	(47, NULL, NULL, NULL, NULL, '008002', 'B08002', '131', 'Vertical significance', NULL, 'Code table', '0', '2', NULL, NULL, 0, '1', '01', NULL, NULL),
	(28, NULL, NULL, NULL, NULL, '008002', 'B08002', '115', 'Vertical significance CL CM CH', NULL, 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 1, '1', '01', NULL, NULL),
	(26, NULL, NULL, NULL, 'B20001', '020001', 'B20001', '110', 'VV', NULL, 'm', '-1', '4', 'm, –1, 4', 'Visibility  ', 1, '1', '0000', NULL, NULL),
	(53, NULL, NULL, NULL, 'B20004', '020004', 'B20004', '197', 'W1 ', NULL, 'Code table', '0', '2', 'Code table, 0, 2', 'Present and past weather', 1, '1', '01', NULL, NULL),
	(54, NULL, NULL, NULL, 'B20005', '020005', 'B20005', '193', 'W2 ', NULL, 'Code table', '0', '2', 'Code table, 0, 2', 'Present and past weather', 1, '1', '01', NULL, NULL),
	(1, '307089', 'D07089', 'D01090', 'D01004', '001001', 'B01001', 'station_WMO_bloc', 'WMO Block number II', NULL, 'Numeric', '0', '2', 'Numeric, 0, 2', 'station identification', 1, '63', '63', NULL, NULL),
	(2, NULL, NULL, NULL, NULL, '001002', 'B01002', 'station_WMO_number', 'WMO Station number iii', NULL, 'Numeric', '0', '3', 'Numeric, 0, 3', 'station identification', 1, '741', '741', NULL, NULL),
	(5, NULL, NULL, NULL, 'D01011', '004001', 'B04001', 'datetime_year', 'Year', NULL, 'Year', '0', '4', 'Year, 0, 4', 'station identification', 1, '2009', '2009', NULL, NULL),
	(7, NULL, NULL, NULL, NULL, '004003', 'B04003', 'datetime_day', 'YY', NULL, 'Day', '0', '2', 'Day, 0, 2', 'station identification', 1, '01', '01', NULL, NULL);
/*!40000 ALTER TABLE `tm_307089` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_db_v4.tm_307091
CREATE TABLE IF NOT EXISTS `tm_307091` (
  `Rec` int(11) NOT NULL DEFAULT '0',
  `Bufr_Template` varchar(50) DEFAULT NULL,
  `CREX_Template` varchar(50) DEFAULT NULL,
  `Sequence_Descriptor1` varchar(255) DEFAULT NULL,
  `Sequence_Descriptor0` varchar(255) DEFAULT NULL,
  `Bufr_Element` varchar(255) DEFAULT NULL,
  `Crex_Element` varchar(50) DEFAULT NULL,
  `Climsoft_Element` varchar(50) DEFAULT NULL,
  `Element_Name` varchar(255) DEFAULT NULL,
  `Crex_Unit` varchar(25) DEFAULT NULL,
  `Crex_Scale` varchar(25) DEFAULT NULL,
  `Crex_DataWidth` varchar(25) DEFAULT NULL,
  `Bufr_Unit` varchar(255) DEFAULT NULL,
  `Bufr_Scale` int(11) DEFAULT NULL,
  `Bufr_RefValue` bigint(20) DEFAULT NULL,
  `Bufr_DataWidth_Bits` int(11) DEFAULT NULL,
  `Selected` tinyint(4) DEFAULT NULL,
  `Observation` varchar(255) DEFAULT NULL,
  `Crex_Data` varchar(30) DEFAULT NULL,
  `Bufr_Data` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`Rec`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- Dumping data for table mariadb_climsoft_db_v4.tm_307091: ~188 rows (approximately)
/*!40000 ALTER TABLE `tm_307091` DISABLE KEYS */;
INSERT INTO `tm_307091` (`Rec`, `Bufr_Template`, `CREX_Template`, `Sequence_Descriptor1`, `Sequence_Descriptor0`, `Bufr_Element`, `Crex_Element`, `Climsoft_Element`, `Element_Name`, `Crex_Unit`, `Crex_Scale`, `Crex_DataWidth`, `Bufr_Unit`, `Bufr_Scale`, `Bufr_RefValue`, `Bufr_DataWidth_Bits`, `Selected`, `Observation`, `Crex_Data`, `Bufr_Data`) VALUES
	(1, '307091', 'D07091', '301089', '001101', '001101', 'B01101', 'station_state_id', 'State identifier', 'Code table', '0', '3', 'Code table', 0, 0, 10, 1, NULL, NULL, '1111111111'),
	(2, NULL, NULL, NULL, '001102', '001102', 'B01102', 'station_National_number', 'National station number', 'Numeric', '0', '9', 'Numeric', 0, 0, 30, 1, '', NULL, '111111111111111111111111111111'),
	(3, NULL, NULL, '301090', '301004', '001001', 'B01001', 'station_WMO_bloc', 'WMO block number', 'Numeric', '0', '2', 'Numeric', 0, 0, 7, 1, '63', NULL, '0011111'),
	(4, NULL, NULL, NULL, NULL, '001002', 'B01002', 'station_WMO_number', 'WMO station number', 'Numeric', '0', '3', 'Numeric', 0, 0, 10, 1, '999', NULL, '0111100111'),
	(5, NULL, NULL, NULL, NULL, '001015', 'B01015', 'station_name', 'Station or site name', 'Character', '0', '20', 'CCITT IA5', 0, 0, 160, 1, NULL, NULL, '1111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111'),
	(6, NULL, NULL, NULL, NULL, '002001', 'B02001', 'station_qualifier', 'Type of station', 'Code table', '0', '1', 'Code table', 0, 0, 2, 1, NULL, NULL, '1'),
	(7, NULL, NULL, NULL, '301011', '004001', 'B04001', 'datetime_year', 'Year', 'Year', '0', '4', 'Year', 0, 0, 12, 1, '2017', NULL, '001111100001'),
	(8, NULL, NULL, NULL, NULL, '004002', 'B04002', 'datetime_month', 'Month', 'Month', '0', '2', 'Month', 0, 0, 4, 1, '2', NULL, '0000'),
	(9, NULL, NULL, NULL, NULL, '004003', 'B04003', 'datetime_day', 'Day', 'Day', '0', '2', 'Day', 0, 0, 6, 1, '10', NULL, '000010'),
	(10, NULL, NULL, NULL, '301012', '004004', 'B04004', 'datetime_hour', 'Hour', 'Hour', '0', '2', 'Hour', 0, 0, 5, 1, '17', NULL, '00001'),
	(11, NULL, NULL, NULL, NULL, '004005', 'B04005', 'datetime_minute', 'Minute', 'Minute', '0', '2', 'Minute', 0, 0, 6, 1, '0', NULL, '000000'),
	(12, NULL, NULL, NULL, '301021', '005001', 'B05001', 'station_deglatitude', 'Latitude (high accuracy)', 'Degree', '5', '7', 'Degree', 5, -9000000, 25, 1, NULL, NULL, '1111111111111111111111111'),
	(13, NULL, NULL, NULL, NULL, '006001', 'B06001', 'station_deglongitude', 'Longitude (high accuracy)', 'Degree', '5', '8', 'Degree', 5, -18000000, 26, 1, NULL, NULL, '11111111111111111111111111'),
	(14, NULL, NULL, NULL, '007030', '007030', 'B07030', 'station_elevation', 'Height of station ground above mean sea level (see Note 3)', 'm', '1', '5', 'm', 1, -4000, 17, 1, NULL, NULL, '11111111111111111'),
	(15, NULL, NULL, NULL, '007031', '007031', 'B07031', 'station_pressure_height', 'Height of barometer above mean sea level (see Note 4)', 'm', '1', '5', 'm', 1, -4000, 17, 1, '', NULL, '11111111111111111'),
	(16, NULL, NULL, '008010', '008010', '008010', 'B08010', NULL, 'Surface qualifier (temperature data)', 'Code table', '0', '2', 'Code table', 0, 0, 5, 1, '3', NULL, '00001'),
	(17, NULL, NULL, '301091', '002180', '002180', 'B02180', NULL, 'Main present weather detecting system ', 'Code table', '0', '2', 'Code table', 0, 0, 4, 1, '14', NULL, '0110'),
	(18, NULL, NULL, NULL, '002181', '002181', 'B02181', NULL, 'Supplementary present weather sensor', 'Flag table', '0', '7', 'Flag table', 0, 0, 21, 1, '', NULL, '111111111111111111111'),
	(19, NULL, NULL, NULL, '002182', '002182', 'B02182', NULL, 'Visibility measurement system ', 'Code table', '0', '2', 'Code table', 0, 0, 4, 1, '14', NULL, '0110'),
	(20, NULL, NULL, NULL, '002183', '002183', 'B02183', NULL, 'Cloud detection system', 'Code table', '0', '2', 'Code table', 0, 0, 4, 1, '14', NULL, '0110'),
	(21, NULL, NULL, NULL, '002184', '002184', 'B02184', NULL, 'Type of lightning detection sensor', 'Code table', '0', '2', 'Code table', 0, 0, 4, 1, '14', NULL, '0110'),
	(22, NULL, NULL, NULL, '002179', '002179', 'B02179', NULL, 'Type of sky condition algorithm ', 'Code table', '0', '2', 'Code table', 0, 0, 4, 1, '3', NULL, '0001'),
	(23, NULL, NULL, NULL, '002186', '002186', 'B02186', NULL, 'Capability to detect precipitation phenomena', 'Flag table', '0', '10', 'Flag table', 0, 0, 30, 1, '', NULL, '111111111111111111111110000000'),
	(24, NULL, NULL, NULL, '002187', '002187', 'B02187', NULL, 'Capability to detect other weather phenomena', 'Flag table', '0', '6', 'Flag table', 0, 0, 18, 1, '', NULL, '111111111111111111'),
	(25, NULL, NULL, NULL, '002188', '002188', 'B02188', NULL, 'Capability to detect obscuration', 'Flag table', '0', '7', 'Flag table', 0, 0, 21, 1, '', NULL, '111111111111111111111'),
	(26, NULL, NULL, NULL, '002189', '002189', 'B02189', NULL, 'Capability to discriminate lightning strikes', 'Flag table', '0', '4', 'Flag table', 0, 0, 12, 1, '', NULL, '111111111111'),
	(27, NULL, NULL, '302001', '010004', '010004', 'B10004', NULL, 'Pressure', 'Pa', ' -1', '5', 'Pa', -1, 0, 14, 1, '', NULL, '11111111111111'),
	(28, NULL, NULL, NULL, '010051', '010051', 'B10051', NULL, 'Pressure reduced to mean sea level', 'Pa', '-1', '5', 'Pa', -1, 0, 14, 1, '1009.688', NULL, '00000000100101'),
	(29, NULL, NULL, NULL, '010061', '010061', 'B10061', NULL, '3-hour pressure change', 'Pa', '-1', '4', 'Pa', -1, -500, 10, 1, '-0.06750488', NULL, '0011110100'),
	(30, NULL, NULL, NULL, '010063', '010063', 'B10063', NULL, 'Characteristic of pressure tendency', 'Code table', '0', '2', 'Code table', 0, 0, 4, 1, '5', NULL, '0001'),
	(31, NULL, NULL, '007004', '007004', '007004', 'B07004', NULL, 'Pressure (standard level)', 'Pa', '-1', '5', 'Pa', -1, 0, 14, 1, '1014.939', NULL, '00000000100101'),
	(32, NULL, NULL, '010009', '010009', '010009', 'B10009', NULL, 'Geopotential height of the standard level', 'gpm', '0', '5', 'gpm', 0, -1000, 17, 1, '', NULL, '11111111111111111'),
	(33, NULL, NULL, '302072', '007032', '007032', 'B07032', NULL, 'Height of sensor above local ground (or deck of marine platform) (see Note 5)', 'm', '2', '5', 'm', 2, 0, 16, 1, '', NULL, '1111111111111111'),
	(34, NULL, NULL, NULL, '007033', '007033', 'B07033', NULL, 'Height of sensor above water surface (see Note 6)', 'm', '1', '4', 'm', 1, 0, 12, 1, '', NULL, '111111111111'),
	(35, NULL, NULL, NULL, '012101', '012101', 'B12101', NULL, 'Temperature/dry-bulb temperature', '°C', '2', '4', 'K', 2, 0, 16, 1, '28.5', NULL, '0011010111010101'),
	(36, NULL, NULL, NULL, '012103', '012103', 'B12103', '885', 'Dew-point temperature', '°C', '2', '4', 'K', 2, 0, 16, 1, '18.3', NULL, '0011000111011001'),
	(37, NULL, NULL, NULL, '013003', '013003', 'B13003', NULL, 'Relative humidity', '%', '0', '3', '%', 0, 0, 7, 1, '0.75', NULL, '0000001'),
	(38, NULL, NULL, '103000', '103000', '103000', 'R03000', NULL, 'Delayed replication of 3 descriptors', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL),
	(39, NULL, NULL, '031000', '031000', '031000', 'B31000', NULL, 'Short delayed descriptor replication factor', 'Numeric', '0', '4', 'Numeric', 0, 0, 1, 1, '', NULL, '1'),
	(40, NULL, NULL, '101005', '101005', '101005', 'R01005', NULL, 'Replication of 1 descriptor 5 times', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL),
	(41, NULL, NULL, '307063', '007061', '007061', 'B07061', NULL, 'Depth below land surface', 'm', '2', '5', 'm', 2, 0, 14, 1, '', NULL, '11111111111111'),
	(42, NULL, NULL, NULL, '012130', '012130', 'B12130', NULL, 'Soil temperature', '°C', '2', '4', 'K', 2, 0, 16, 1, '', NULL, '1111111111111111'),
	(43, NULL, NULL, NULL, '007061', '007061', 'B07061', NULL, 'Depth below land surface', 'm', '2', '5', 'm', 2, 0, 14, 1, '', NULL, '11111111111111'),
	(44, NULL, NULL, NULL, '012130', '012130', 'B12130', NULL, 'Soil temperature', '°C', '2', '4', 'K', 2, 0, 16, 1, '', NULL, '1111111111111111'),
	(45, NULL, NULL, NULL, '007061', '007061', 'B07061', NULL, 'Depth below land surface', 'm', '2', '5', 'm', 2, 0, 14, 1, '', NULL, '11111111111111'),
	(46, NULL, NULL, NULL, '012130', '012130', 'B12130', NULL, 'Soil temperature', '°C', '2', '4', 'K', 2, 0, 16, 1, '', NULL, '1111111111111111'),
	(47, NULL, NULL, NULL, '007061', '007061', 'B07061', NULL, 'Depth below land surface', 'm', '2', '5', 'm', 2, 0, 14, 1, '', NULL, '11111111111111'),
	(48, NULL, NULL, NULL, '012130', '012130', 'B12130', NULL, 'Soil temperature', '°C', '2', '4', 'K', 2, 0, 16, 1, '', NULL, '1111111111111111'),
	(49, NULL, NULL, NULL, '007061', '007061', 'B07061', NULL, 'Depth below land surface', 'm', '2', '5', 'm', 2, 0, 14, 1, '', NULL, '11111111111111'),
	(50, NULL, NULL, NULL, '012130', '012130', 'B12130', NULL, 'Soil temperature', '°C', '2', '4', 'K', 2, 0, 16, 1, '', NULL, '1111111111111111'),
	(51, NULL, NULL, '101000', '101000', '101000', 'R01000', NULL, 'Delayed replication of 1 descriptor', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL),
	(52, NULL, NULL, '031000', '031000', '031000', 'B31000', NULL, 'Short delayed descriptor replication factor', 'Numeric', '0', '4', 'Numeric', 0, 0, 1, 1, '', NULL, '1'),
	(53, NULL, NULL, '302069', '007032', '007032', 'B07032', NULL, 'Height of sensor above local ground (or deck of marine platform) (see Note 5)', 'm', '2', '5', 'm', 2, 0, 16, 1, '', NULL, '1111111111111111'),
	(54, NULL, NULL, NULL, '007033', '007033', 'B07033', NULL, 'Height of sensor above water surface (see Note 6)', 'm', '1', '4', 'm', 1, 0, 12, 1, '', NULL, '111111111111'),
	(55, NULL, NULL, NULL, '033041', '033041', 'B33041', NULL, 'Attribute of following value', 'Code table', '0', '1', 'Code table', 0, 0, 2, 1, '3', NULL, '01'),
	(56, NULL, NULL, NULL, '020001', '020001', 'B20001', NULL, 'Horizontal visibility', 'm', '-1', '4', 'm', -1, 0, 13, 1, '0', NULL, '0000000000000'),
	(57, NULL, NULL, '007032', '007032', '007032', 'B07032', NULL, 'Height of sensor above local ground (or deck of marine platform) (see Note 5)', 'm', '2', '5', 'm', 2, 0, 16, 1, '', NULL, '1111111111111111'),
	(58, NULL, NULL, '007033', '007033', '007033', 'B07033', NULL, 'Height of sensor above water surface (see Note 6)', 'm', '1', '4', 'm', 1, 0, 12, 1, '', NULL, '111111111111'),
	(59, NULL, NULL, '105000', '105000', '105000', 'R05000', NULL, 'Delayed replication of 5 descriptors  ', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL),
	(60, NULL, NULL, '031000', '031000', '031000', 'B31000', NULL, 'Short delayed descriptor replication factor', 'Numeric', '0', '4', 'Numeric', 0, 0, 1, 1, '', NULL, '1'),
	(61, NULL, NULL, NULL, NULL, '020031', 'B20031', NULL, 'Ice deposit (thickness)', 'm', '2', '3', 'm', 2, 0, 7, 1, '', NULL, '1111111'),
	(62, NULL, NULL, NULL, NULL, '020032', 'B20032', NULL, 'Rate of ice accretion', 'Code table', '0', '1', 'Code table', 0, 0, 3, 1, '7', NULL, '011'),
	(63, NULL, NULL, NULL, NULL, '002038', 'B02038', NULL, 'Method of sea surface temperature measurement', 'Code table', '0', '2', 'Code table', 0, 0, 4, 1, '15', NULL, '0111'),
	(64, NULL, NULL, NULL, NULL, '022043', 'B22043', NULL, 'Sea/water temperature (scale 2)', 'K', '2', '5', 'K', 2, 0, 15, 1, '', NULL, '111111111111111'),
	(65, NULL, NULL, '302021', NULL, '022001', 'B22001', NULL, 'Direction of waves', 'Degree true', '0', '3', 'Degree true', 0, 0, 9, 1, '', NULL, '111111111'),
	(66, NULL, NULL, NULL, NULL, '022011', 'B22011', NULL, 'Period of waves', 's', '0', '2', 's', 0, 0, 6, 1, '', NULL, '111111'),
	(67, NULL, NULL, NULL, NULL, '022021', 'B22021', NULL, 'Height of waves', 'm', '1', '4', 'm', 1, 0, 10, 1, '', NULL, '1111111111'),
	(68, NULL, NULL, '101000', '101000', '101000', 'R01000', NULL, 'Delayed replication of 1 descriptor', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL),
	(69, NULL, NULL, '031000', '031000', '031000', 'B31000', NULL, 'Short delayed descriptor replication factor', 'Numeric', '0', '4', 'Numeric', 0, 0, 1, 1, '', NULL, '1'),
	(70, NULL, NULL, '302078', NULL, '002176', 'B02176', NULL, 'Method of state of ground measurement ', 'Code table', '0', '2', 'Code table', 0, 0, 4, 1, '14', NULL, '0110'),
	(71, NULL, NULL, NULL, NULL, '020062', 'B20062', NULL, 'State of the ground (with or without snow)', 'Code table', '0', '2', 'Code table', 0, 0, 5, 1, '32', NULL, '00000'),
	(72, NULL, NULL, NULL, NULL, '002177', 'B02177', NULL, 'Method of snow depth measurement ', 'Code table', '0', '2', 'Code table', 0, 0, 4, 1, '15', NULL, '0111'),
	(73, NULL, NULL, NULL, NULL, '013013', 'B13013', NULL, 'Total snow depth', 'm', '2', '5', 'm', 2, -2, 16, 1, '0', NULL, '0000000000000000'),
	(74, NULL, NULL, '101000', '101000', '101000', 'R01000', NULL, 'Delayed replication of 1 descriptor', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL),
	(75, NULL, NULL, '031000', '031000', '031000', 'B31000', NULL, 'Short delayed descriptor replication factor', 'Numeric', '0', '4', 'Numeric', 0, 0, 1, 1, '', NULL, '1'),
	(76, NULL, NULL, '302073', NULL, '020010', 'B20010', NULL, 'Cloud cover (total) (see Note 5)', '%', '0', '3', '%', 0, 0, 7, 1, '', NULL, '1111111'),
	(77, NULL, NULL, NULL, NULL, '105004', 'R05004', NULL, 'Replication of 5 descriptor 4 times', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL),
	(78, NULL, NULL, NULL, NULL, '008002', 'B08002', NULL, 'Vertical significance (surface observations)', 'Code table', '0', '2', 'Code table', 0, 0, 6, 1, '62', NULL, '011110'),
	(79, NULL, NULL, NULL, NULL, '020011', 'B20011', NULL, 'Cloud amount', 'Code table', '0', '2', 'Code table', 0, 0, 4, 1, NULL, NULL, '1111'),
	(80, NULL, NULL, NULL, NULL, '020012', 'B20012', NULL, 'Cloud type', 'Code table', '0', '2', 'Code table', 0, 0, 6, 1, NULL, NULL, '111111'),
	(81, NULL, NULL, NULL, NULL, '033041', 'B33041', NULL, 'Attribute of following value', 'Code table', '0', '1', 'Code table', 0, 0, 2, 1, '3', NULL, '01'),
	(82, NULL, NULL, NULL, NULL, '020013', 'B20013', NULL, 'Height of base of cloud', 'm', '-1', '4', 'm', -1, -40, 11, 1, '', NULL, '11111111111'),
	(83, NULL, NULL, NULL, NULL, '008002', 'B08002', NULL, 'Vertical significance (surface observations)', 'Code table', '0', '2', 'Code table', 0, 0, 6, 1, '62', NULL, '011110'),
	(84, NULL, NULL, NULL, NULL, '020011', 'B20011', NULL, 'Cloud amount', 'Code table', '0', '2', 'Code table', 0, 0, 4, 1, NULL, NULL, '1111'),
	(85, NULL, NULL, NULL, NULL, '020012', 'B20012', NULL, 'Cloud type', 'Code table', '0', '2', 'Code table', 0, 0, 6, 1, NULL, NULL, '111111'),
	(86, NULL, NULL, NULL, NULL, '033041', 'B33041', NULL, 'Attribute of following value', 'Code table', '0', '1', 'Code table', 0, 0, 2, 1, '3', NULL, '01'),
	(87, NULL, NULL, NULL, NULL, '033041', 'B33041', NULL, 'Attribute of following value', 'Code table', '0', '1', 'Code table', 0, 0, 2, 1, '3', NULL, '01'),
	(88, NULL, NULL, NULL, NULL, '008002', 'B08002', NULL, 'Vertical significance (surface observations)', 'Code table', '0', '2', 'Code table', 0, 0, 6, 1, '62', NULL, '011110'),
	(89, NULL, NULL, NULL, NULL, '020011', 'B20011', NULL, 'Cloud amount', 'Code table', '0', '2', 'Code table', 0, 0, 4, 1, NULL, NULL, '1111'),
	(90, NULL, NULL, NULL, NULL, '020012', 'B20012', NULL, 'Cloud type', 'Code table', '0', '2', 'Code table', 0, 0, 6, 1, NULL, NULL, '111111'),
	(91, NULL, NULL, NULL, NULL, '033041', 'B33041', NULL, 'Attribute of following value', 'Code table', '0', '1', 'Code table', 0, 0, 2, 1, '3', NULL, '01'),
	(92, NULL, NULL, NULL, NULL, '033041', 'B33041', NULL, 'Attribute of following value', 'Code table', '0', '1', 'Code table', 0, 0, 2, 1, '3', NULL, '01'),
	(93, NULL, NULL, NULL, NULL, '008002', 'B08002', NULL, 'Vertical significance (surface observations)', 'Code table', '0', '2', 'Code table', 0, 0, 6, 1, '62', NULL, '011110'),
	(94, NULL, NULL, NULL, NULL, '020011', 'B20011', NULL, 'Cloud amount', 'Code table', '0', '2', 'Code table', 0, 0, 4, 1, NULL, NULL, '1111'),
	(95, NULL, NULL, NULL, NULL, '020012', 'B20012', NULL, 'Cloud type', 'Code table', '0', '2', 'Code table', 0, 0, 6, 1, NULL, NULL, '111111'),
	(96, NULL, NULL, NULL, NULL, '033041', 'B33041', NULL, 'Attribute of following value', 'Code table', '0', '1', 'Code table', 0, 0, 2, 1, '3', NULL, '01'),
	(97, NULL, NULL, NULL, NULL, '033041', 'B33041', NULL, 'Attribute of following value', 'Code table', '0', '1', 'Code table', 0, 0, 2, 1, '3', NULL, '01'),
	(98, NULL, NULL, '101000', '101000', '101000', 'R01000', NULL, 'Delayed replication of 1 descriptor', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL),
	(99, NULL, NULL, '031000', '031000', '031000', 'B31000', NULL, 'Short delayed descriptor replication factor', 'Numeric', '0', '4', 'Numeric', 0, 0, 1, 1, '', NULL, '1'),
	(100, NULL, NULL, '302074', NULL, '020003', 'B20003', NULL, 'Present weather', 'Code table', '0', '3', 'Code table', 0, 0, 9, 1, NULL, NULL, '111111111'),
	(101, NULL, NULL, NULL, NULL, '004025', 'B04025', NULL, 'Time period or displacement', 'Minute', '0', '4', 'Minute', 0, -2048, 12, 1, '', NULL, '111111111111'),
	(102, NULL, NULL, NULL, NULL, '020004', 'B20004', NULL, 'Past weather (1) ', 'Code table', '0', '2', 'Code table', 0, 0, 5, 1, NULL, NULL, '11111'),
	(103, NULL, NULL, NULL, NULL, '020005', 'B20005', NULL, 'Past weather (2)', 'Code table', '0', '2', 'Code table', 0, 0, 5, 1, NULL, NULL, '11111'),
	(104, NULL, NULL, '101000', '101000', '101000', 'R01000', NULL, 'Delayed replication of 1 descriptor', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL),
	(105, NULL, NULL, '031000', '031000', '031000', 'B31000', NULL, 'Short delayed descriptor replication factor', 'Numeric', '0', '4', 'Numeric', 0, 0, 1, 1, '', NULL, '1'),
	(106, NULL, NULL, '302175', NULL, '008021', 'B08021', NULL, 'Time significance (= 2 (time averaged))', 'Code table', '0', '2', 'Code table', 0, 0, 5, 1, '2', NULL, '00000'),
	(107, NULL, NULL, NULL, NULL, '004025', 'B04025', NULL, 'Time period or displacement', 'Minute', '0', '4', 'Minute', 0, -2048, 12, 1, '', NULL, '111111111111'),
	(108, NULL, NULL, NULL, NULL, '013155', 'B13155', NULL, 'Intensity of precipitation (high accuracy)', 'mmh-1', '1', '5', 'kg/m-2s-1', 5, -1, 16, 1, '-2.121421', NULL, '1111111111111111'),
	(109, NULL, NULL, NULL, NULL, '013058', 'B13058', NULL, 'Size of precipitating element', 'mm', '4', '3', 'm', 4, 0, 7, 1, '', NULL, '1111111'),
	(110, NULL, NULL, NULL, NULL, '008021', 'B08021', NULL, 'Time significance (= 2 (time averaged))', 'Code table', '0', '2', 'Code table', 0, 0, 5, 1, '2', NULL, '00000'),
	(111, NULL, NULL, '102000', '102000', '102000', 'R02000', NULL, 'Delayed replication of 2 descriptors', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL),
	(112, NULL, NULL, '031000', '031000', '031000', 'B31000', NULL, 'Short delayed descriptor replication factor', 'Numeric', '0', '4', 'Numeric', 0, 0, 1, 1, '', NULL, '1'),
	(113, NULL, NULL, '004025', NULL, '004025', 'B04025', NULL, 'Time period or displacement', 'Minute', '0', '4', 'Minute', 0, -2048, 12, 1, '', NULL, '111111111111'),
	(114, NULL, NULL, '302076', NULL, '020021', 'B20021', NULL, 'Type of precipitation', 'Flag table', '0', '10', 'Flag table', 0, 0, 30, 1, '', NULL, '111111111111111111111111111111'),
	(115, NULL, NULL, NULL, NULL, '020022', 'B20022', NULL, 'Character of precipitation', 'Code table', '0', '2', 'Code table', 0, 0, 4, 1, NULL, NULL, '1111'),
	(116, NULL, NULL, NULL, NULL, '026020', 'B26020', NULL, 'Duration of precipitation', 'Minute', '0', '4', 'Minute', 0, 0, 11, 1, '', NULL, '11111111111'),
	(117, NULL, NULL, NULL, NULL, '020023', 'B20023', NULL, 'Other weather phenomena', 'Flag table', '0', '6', 'Flag table', 0, 0, 18, 1, '', NULL, '111111111111111111'),
	(118, NULL, NULL, NULL, NULL, '020024', 'B20024', NULL, 'Intensity of phenomena', 'Code table', '0', '1', 'Code table', 0, 0, 3, 1, NULL, NULL, '111'),
	(119, NULL, NULL, NULL, NULL, '020025', 'B20025', NULL, 'Obscuration', 'Flag table', '0', '7', 'Flag table', 0, 0, 21, 1, '', NULL, '111111111111111111111'),
	(120, NULL, NULL, NULL, NULL, '020026', 'B20026', NULL, 'Character of obscuration', 'Code table', '0', '2', 'Code table', 0, 0, 4, 1, '15', NULL, '0111'),
	(121, NULL, NULL, '302071', '007032', '007032', 'B07032', NULL, 'Height of sensor above local ground (or deck of marine platform) (see Note 5)', 'm', '2', '5', 'm', 2, 0, 16, 1, '', NULL, '1111111111111111'),
	(122, NULL, NULL, NULL, '007033', '007033', 'B07033', NULL, 'Height of sensor above water surface (see Note 6)', 'm', '1', '4', 'm', 1, 0, 12, 1, '', NULL, '111111111111'),
	(123, NULL, NULL, NULL, '008021', '008021', 'B08021', NULL, 'Time significance (= 2 (time averaged))', 'Code table', '0', '2', 'Code table', 0, 0, 5, 1, '2', NULL, '00000'),
	(124, NULL, NULL, NULL, '004025', '004025', 'B04025', NULL, 'Time period or displacement', 'Minute', '0', '4', 'Minute', 0, -2048, 12, 1, '', NULL, '111111111111'),
	(125, NULL, NULL, NULL, '011001', '011001', 'B11001', NULL, 'Wind direction', 'Degree true', '0', '3', 'Degree true', 0, 0, 9, 1, '138', NULL, '000001010'),
	(126, NULL, NULL, NULL, '011002', '011002', 'B11002', NULL, 'Wind speed', 'm s-1', '1', '4', 'm s-1', 1, 0, 12, 1, '4.028', NULL, '000000001000'),
	(127, NULL, NULL, NULL, '008021', '008021', 'B08021', NULL, 'Time significance (= 2 (time averaged))', 'Code table', '0', '2', 'Code table', 0, 0, 5, 1, '2', NULL, '00000'),
	(128, NULL, NULL, NULL, '103002', '103002', 'R03002', NULL, 'Replicate next 3 descriptors 2 times', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL),
	(129, NULL, NULL, NULL, '004025', '004025', 'B04025', NULL, 'Time period or displacement', 'Minute', '0', '4', 'Minute', 0, -2048, 12, 1, '-10', NULL, '001111110110'),
	(130, NULL, NULL, NULL, '011043', '011043', 'B11043', '887', 'Maximum wind gust direction', 'Degree true', '0', '3', 'Degree true', 0, 0, 9, 1, '', NULL, '111111111'),
	(131, NULL, NULL, NULL, '011041', '011041', 'B11041', '886', 'Maximum wind gust speed', 'm s-1', '1', '4', 'm s-1', 1, 0, 12, 1, '', NULL, '111111111111'),
	(132, NULL, NULL, NULL, '004025', '004025', 'B04025', NULL, 'Time period or displacement', 'Minute', '0', '4', 'Minute', 0, -2048, 12, 1, '', NULL, '111111111111'),
	(133, NULL, NULL, NULL, '011043', '011043', 'B11043', '887', 'Maximum wind gust direction', 'Degree true', '0', '3', 'Degree true', 0, 0, 9, 1, '', NULL, '111111111'),
	(134, NULL, NULL, NULL, '011041', '011041', 'B11041', '886', 'Maximum wind gust speed', 'm s-1', '1', '4', 'm s-1', 1, 0, 12, 1, '', NULL, '111111111111'),
	(135, NULL, NULL, NULL, '004025', '004025', 'B04025', NULL, 'Time period or displacement', 'Minute', '0', '4', 'Minute', 0, -2048, 12, 1, '-10', NULL, '001111110110'),
	(136, NULL, NULL, NULL, '011016', '011016', 'B11016', NULL, 'Extreme counterclockwise wind direction of a variable wind', 'Degree true', '0', '3', 'Degree true', 0, 0, 9, 1, '', NULL, '111111111'),
	(137, NULL, NULL, NULL, '011017', '011017', 'B11017', NULL, 'Extreme clockwise wind direction of a variable wind', 'Degree true', '0', '3', 'Degree true', 0, 0, 9, 1, '', NULL, '111111111'),
	(138, NULL, NULL, '302077', '007032', '007032', 'B07032', NULL, 'Height of sensor above local ground (or deck of marine platform) (see Note 5)', 'm', '2', '5', 'm', 2, 0, 16, 1, '', NULL, '1111111111111111'),
	(139, NULL, NULL, NULL, '007033', '007033', 'B07033', NULL, 'Height of sensor above water surface (see Note 6)', 'm', '1', '4', 'm', 1, 0, 12, 1, '', NULL, '111111111111'),
	(140, NULL, NULL, NULL, '004025', '004025', 'B04025', NULL, 'Time period or displacement', 'Minute', '0', '4', 'Minute', 0, -2048, 12, 1, '', NULL, '111111111111'),
	(141, NULL, NULL, NULL, '012111', '012111', 'B12111', NULL, 'Maximum temperature (scale 2) at height and over period specified', '°C', '2', '4', 'K', 2, 0, 16, 1, '28.84937', NULL, '0011010111111000'),
	(142, NULL, NULL, NULL, '012112', '012112', 'B12112', NULL, 'Minimum temperature (scale 2) at height and over period specified', '°C', '2', '4', 'K', 2, 0, 16, 1, '17.79975', NULL, '0011000110100111'),
	(143, NULL, NULL, NULL, '007032', '007032', 'B07032', NULL, 'Height of sensor above local ground (or deck of marine platform) (see Note 5)', 'm', '2', '5', 'm', 2, 0, 16, 1, '', NULL, '1111111111111111'),
	(144, NULL, NULL, NULL, '004025', '004025', 'B04025', NULL, 'Time period or displacement', 'Minute', '0', '4', 'Minute', 0, -2048, 12, 1, '', NULL, '111111111111'),
	(145, NULL, NULL, NULL, '012112', '012112', 'B12112', NULL, 'Minimum temperature (scale 2) at height and over period specified', '°C', '2', '4', 'K', 2, 0, 16, 1, '17.79975', NULL, '0011000110100111'),
	(146, NULL, NULL, '007033', '007033', '007033', 'B07033', NULL, 'Height of sensor above water surface (see Note 6)', 'm', '1', '4', 'm', 1, 0, 12, 1, '', NULL, '111111111111'),
	(147, NULL, NULL, '101000', '101000', '101000', 'R01000', NULL, 'Delayed replication of 1 descriptor', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL),
	(148, NULL, NULL, '031000', '031000', '031000', 'B31000', NULL, 'Short delayed descriptor replication factor', 'Numeric', '0', '4', 'Numeric', 0, 0, 1, 1, '', NULL, '1'),
	(149, NULL, NULL, '302079', NULL, '007032', 'B07032', NULL, 'Height of sensor above local ground (or deck of marine platform) (see Note 5)', 'm', '2', '5', 'm', 2, 0, 16, 1, '', NULL, '1111111111111111'),
	(150, NULL, NULL, NULL, NULL, '002175', 'B02175', NULL, 'Method of precipitation measurement ', 'Code table', '0', '2', 'Code table', 0, 0, 4, 1, '1', NULL, '0001'),
	(151, NULL, NULL, NULL, NULL, '002178', 'B02178', NULL, 'Method of liquid content measurement of precipitation', 'Code table', '0', '2', 'Code table', 0, 0, 4, 1, '4', NULL, '0000'),
	(152, NULL, NULL, NULL, NULL, '004025', 'B04025', NULL, 'Time period or displacement', 'Minute', '0', '4', 'Minute', 0, -2048, 12, 1, '', NULL, '111111111111'),
	(153, NULL, NULL, NULL, NULL, '013011', 'B13011', NULL, 'Total precipitation/total water equivalent', 'kg m-2', '1', '5', 'kg m-2', 1, -1, 14, 1, '0', NULL, '00000000000001'),
	(154, NULL, NULL, '007032', '007032', '007032', 'B07032', NULL, 'Height of sensor above local ground (or deck of marine platform) (see Note 5)', 'm', '2', '5', 'm', 2, 0, 16, 1, '', NULL, '1111111111111111'),
	(155, NULL, NULL, '101000', '101000', '101000', 'R01000', NULL, 'Delayed replication of 1 descriptor', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL),
	(156, NULL, NULL, '031000', '031000', '031000', 'B31000', NULL, 'Short delayed descriptor replication factor', 'Numeric', '0', '4', 'Numeric', 0, 0, 1, 1, '', NULL, '1'),
	(157, NULL, NULL, '302080', NULL, '002185', 'B02185', NULL, 'Method of evaporation measurement', 'Code table', '0', '2', 'Code table', 0, 0, 4, 1, '14', NULL, '0110'),
	(158, NULL, NULL, NULL, NULL, '004025', 'B04025', NULL, 'Time period or displacement', 'Minute', '0', '4', 'Minute', 0, -2048, 12, 1, '', NULL, '111111111111'),
	(159, NULL, NULL, NULL, NULL, '013033', 'B13033', NULL, 'Evaporation/evapotranspiration', 'kg m-2', '1', '4', 'kg m-2', 1, 0, 10, 1, '', NULL, '1111111111'),
	(160, NULL, NULL, '101000', '101000', '101000', 'R01000', NULL, 'Delayed replication of 1 descriptor', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL),
	(161, NULL, NULL, '031000', '031000', '031000', 'B31000', NULL, 'Short delayed descriptor replication factor', 'Numeric', '0', '4', 'Numeric', 0, 0, 1, 1, '', NULL, '1'),
	(162, NULL, NULL, '302081', NULL, '004025', 'B04025', NULL, 'Time period or displacement', 'Minute', '0', '4', 'Minute', 0, -2048, 12, 1, '', NULL, '111111111111'),
	(163, NULL, NULL, NULL, NULL, '014031', 'B14031', NULL, 'Total sunshine', 'Minute', '0', '4', 'Minute', 0, 0, 11, 1, '0', NULL, '00000000000'),
	(164, NULL, NULL, '101000', '101000', '101000', 'R01000', NULL, 'Delayed replication of 1 descriptor', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL),
	(165, NULL, NULL, '031000', '031000', '031000', 'B31000', NULL, 'Short delayed descriptor replication factor', 'Numeric', '0', '4', 'Numeric', 0, 0, 1, 1, '', NULL, '1'),
	(166, NULL, NULL, '302082', NULL, '004025', 'B04025', NULL, 'Time period or displacement', 'Minute', '0', '4', 'Minute', 0, -2048, 12, 1, '', NULL, '111111111111'),
	(167, NULL, NULL, NULL, NULL, '014002', 'B14002', NULL, 'Long-wave radiation, integrated over period specified', 'J m-2', '-3', '4', 'J m-2', -3, -2048, 12, 1, '', NULL, '111111111111'),
	(168, NULL, NULL, NULL, NULL, '014004', 'B14004', NULL, 'Short-wave radiation, integrated over period specified', 'J m-2', '-3', '4', 'J m-2', -3, -2048, 12, 1, '', NULL, '111111111111'),
	(169, NULL, NULL, NULL, NULL, '014016', 'B14016', NULL, 'Net radiation, integrated over period specified', 'J m-2', '-4', '5', 'J m-2', -4, -16384, 15, 1, '', NULL, '111111111111111'),
	(170, NULL, NULL, NULL, NULL, '014028', 'B14028', NULL, 'Global solar radiation (high accuracy), integrated over period specified', 'J m-2', '-2', '5', 'J m-2', -2, 0, 16, 1, '0', NULL, '0000000000000000'),
	(171, NULL, NULL, NULL, NULL, '014029', 'B14029', NULL, 'Diffuse solar radiation (high accuracy), integrated over period specified', 'J m-2', '-2', '5', 'J m-2', -2, 0, 16, 1, '', NULL, '1111111111111111'),
	(172, NULL, NULL, NULL, NULL, '014030', 'B14030', NULL, 'Direct solar radiation (high accuracy), integrated over period specified', 'J m-2', '-2', '5', 'J m-2', -2, 0, 16, 1, '', NULL, '1111111111111111'),
	(173, NULL, NULL, '102000', '102000', '102000', 'R02000', NULL, 'Delayed replication of 2 descriptors', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL),
	(174, NULL, NULL, '031000', '031000', '031000', 'B31000', NULL, 'Short delayed descriptor replication factor', 'Numeric', '0', '4', 'Numeric', 0, 0, 1, 1, '', NULL, '1'),
	(175, NULL, NULL, '004025', NULL, '004025', 'B04025', NULL, 'Time period or displacement', 'Minute', '0', '4', 'Minute', 0, -2048, 12, 1, '', NULL, '111111111111'),
	(176, NULL, NULL, '013059', NULL, '013059', 'B13059', NULL, 'Number of flashes (thunderstorm)', 'Numeric', '0', '3', 'Numeric', 0, 0, 7, 1, '', NULL, '1111111'),
	(177, NULL, NULL, '101000', '101000', '101000', 'R01000', NULL, 'Delayed replication of 1 descriptor', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL),
	(178, NULL, NULL, '031000', '031000', '031000', 'B31000', NULL, 'Short delayed descriptor replication factor', 'Numeric', '0', '4', 'Numeric', 0, 0, 1, 1, '', NULL, '1'),
	(179, NULL, NULL, '302083', NULL, '004025', 'B04025', NULL, 'Time period or displacement', 'Minute', '0', '4', 'Minute', 0, -2048, 12, 1, '', NULL, '111111111111'),
	(180, NULL, NULL, NULL, NULL, '008023', 'B08023', NULL, 'First order statistics', 'Code table', '0', '2', 'Code table', 0, 0, 6, 1, '63', NULL, '011111'),
	(181, NULL, NULL, NULL, NULL, '010004', 'B10004', NULL, 'Pressure', 'Pa', ' -1', '5', 'Pa', -1, 0, 14, 1, '', NULL, '11111111111111'),
	(182, NULL, NULL, NULL, NULL, '011001', 'B11001', NULL, 'Wind direction', 'Degree true', '0', '3', 'Degree true', 0, 0, 9, 1, '138', NULL, '000001010'),
	(183, NULL, NULL, NULL, NULL, '011002', 'B11002', NULL, 'Wind speed', 'm s-1', '1', '4', 'm s-1', 1, 0, 12, 1, '4.028', NULL, '000000001000'),
	(184, NULL, NULL, NULL, NULL, '012101', 'B12101', NULL, 'Temperature/dry-bulb temperature', '°C', '2', '4', 'K', 2, 0, 16, 1, '', NULL, '1111111111111111'),
	(185, NULL, NULL, NULL, NULL, '013003', 'B13003', NULL, 'Relative humidity', '%', '0', '3', '%', 0, 0, 7, 1, '0.75', NULL, '0000001'),
	(186, NULL, NULL, NULL, NULL, '008023', 'B08023', NULL, 'First order statistics', 'Code table', '0', '2', 'Code table', 0, 0, 6, 1, '63', NULL, '011111'),
	(187, NULL, NULL, '033005', '033005', '033005', 'B33005', NULL, 'Quality information (AWS data)', 'Flag table', '0', '10', 'Flag table', 0, 0, 30, 1, '', NULL, '111111111111111111111111111111'),
	(188, NULL, NULL, '033006', '033006', '033006', 'B33006', NULL, 'Internal measurement status information (AWS)', 'Code table', '0', '1', 'Code table', 0, 0, 3, 1, '0', NULL, '000');
/*!40000 ALTER TABLE `tm_307091` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_db_v4.tm_307092
CREATE TABLE IF NOT EXISTS `tm_307092` (
  `order` int(11) DEFAULT '0',
  `Bufr_Template` varchar(50) DEFAULT NULL,
  `CREX_Template` varchar(50) DEFAULT NULL,
  `Sequence_Descriptor1` varchar(255) DEFAULT NULL,
  `Sequence_Descriptor0` varchar(255) DEFAULT NULL,
  `Bufr_Element` varchar(255) DEFAULT NULL,
  `Crex_Element` varchar(50) DEFAULT NULL,
  `Climsoft_Element` varchar(50) DEFAULT NULL,
  `Element_Name` varchar(255) DEFAULT NULL,
  `Crex_Unit` varchar(25) DEFAULT NULL,
  `Crex_Scale` varchar(25) DEFAULT NULL,
  `Crex_DataWidth` varchar(25) DEFAULT NULL,
  `Bufr_Unit` varchar(255) DEFAULT NULL,
  `Bufr_Scale` int(11) DEFAULT NULL,
  `Bufr_RefValue` bigint(20) DEFAULT NULL,
  `Bufr_DataWidth_Bits` int(11) DEFAULT NULL,
  `Selected` tinyint(4) DEFAULT NULL,
  `Observation` varchar(255) DEFAULT NULL,
  `Crex_Data` varchar(30) DEFAULT NULL,
  `Bufr_Data` varchar(255) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_db_v4.tm_307092: ~134 rows (approximately)
/*!40000 ALTER TABLE `tm_307092` DISABLE KEYS */;
INSERT INTO `tm_307092` (`order`, `Bufr_Template`, `CREX_Template`, `Sequence_Descriptor1`, `Sequence_Descriptor0`, `Bufr_Element`, `Crex_Element`, `Climsoft_Element`, `Element_Name`, `Crex_Unit`, `Crex_Scale`, `Crex_DataWidth`, `Bufr_Unit`, `Bufr_Scale`, `Bufr_RefValue`, `Bufr_DataWidth_Bits`, `Selected`, `Observation`, `Crex_Data`, `Bufr_Data`) VALUES
	(119, NULL, NULL, '102000', '102000', '102000', 'R02000', NULL, 'Delayed replication of 2 descriptors', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL),
	(120, NULL, NULL, '031000', '031000', '031000', 'B31000', NULL, 'Short delayed descriptor replication factor', 'Numeric', '0', '4', 'Numeric', 0, 0, 1, 0, NULL, NULL, NULL),
	(121, NULL, NULL, '302083', NULL, '004025', 'B04025', NULL, 'Time period or displacement', 'Minute', '0', '4', 'Minute', 0, -2048, 12, 0, NULL, NULL, NULL),
	(122, NULL, NULL, '013059', NULL, '013059', 'B13059', NULL, 'Number of flashes (thunderstorm)', 'Numeric', '0', '3', 'Numeric', 0, 0, 7, 0, NULL, NULL, NULL),
	(123, NULL, NULL, '101000', '101000', '101000', 'R01000', NULL, 'Delayed replication of 1 descriptor', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL),
	(124, NULL, NULL, '031000', '031000', '031000', 'B31000', NULL, 'Short delayed descriptor replication factor', 'Numeric', '0', '4', 'Numeric', 0, 0, 1, 0, NULL, NULL, NULL),
	(125, NULL, NULL, '302083', NULL, '004025', 'B04025', NULL, 'Time period or displacement', 'Minute', '0', '4', 'Minute', 0, -2048, 12, 0, NULL, NULL, NULL),
	(126, NULL, NULL, NULL, NULL, '008023', 'B08023', NULL, 'First order statistics', 'Code table', '0', '2', 'Code table', 0, 0, 6, 0, NULL, NULL, NULL),
	(127, NULL, NULL, NULL, NULL, '010004', 'B10004', NULL, 'Pressure', 'Pa', ' -1', '5', 'Pa', -1, 0, 14, 0, NULL, NULL, NULL),
	(128, NULL, NULL, NULL, NULL, '011001', 'B11001', NULL, 'Wind direction', 'Degree true', '0', '3', 'Degree true', 0, 0, 9, 0, NULL, NULL, NULL),
	(129, NULL, NULL, NULL, NULL, '011002', 'B11002', NULL, 'Wind speed', 'm s-1', '1', '4', 'm s-1', 1, 0, 12, 0, NULL, NULL, NULL),
	(130, NULL, NULL, NULL, NULL, '012101', 'B12101', NULL, 'Temperature/dry-bulb temperature', '°C', '2', '4', 'K', 2, 0, 16, 0, NULL, NULL, NULL),
	(131, NULL, NULL, NULL, NULL, '013003', 'B13003', NULL, 'Relative humidity', '%', '0', '3', '%', 0, 0, 7, 0, NULL, NULL, NULL),
	(132, NULL, NULL, NULL, NULL, '008023', 'B08023', NULL, 'First order statistics', 'Code table', '0', '2', 'Code table', 0, 0, 6, 0, NULL, NULL, NULL),
	(133, NULL, NULL, '033005', '033005', '033005', 'B33005', NULL, 'Quality information (AWS data)', 'Flag table', '0', '10', 'Flag table', 0, 0, 30, 0, NULL, NULL, NULL),
	(134, NULL, NULL, '033006', '033006', '033006', 'B33006', NULL, 'Internal measurement status information (AWS)', 'Code table', '0', '1', 'Code table', 0, 0, 3, 0, NULL, NULL, NULL),
	(1, '307092', 'D07092', '301089', '001101', '001101', 'B01101', 'station_state_id', 'State identifier', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL),
	(2, NULL, NULL, NULL, '001102', '001102', 'B01102', 'station_National_number', 'National station number', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL),
	(3, NULL, NULL, '301090', '301004', '001001', 'B01001', 'station_WMO_bloc', 'WMO block number', 'Numeric', '0', '2', 'Numeric', 0, 0, 7, 0, NULL, NULL, NULL),
	(4, NULL, NULL, NULL, NULL, '001002', 'B01002', 'station_WMO_number', 'WMO station number', 'Numeric', '0', '3', 'Numeric', 0, 0, 10, 0, NULL, NULL, NULL),
	(5, NULL, NULL, NULL, NULL, '001015', 'B01015', 'station_name', 'Station or site name', 'Character', '0', '20', 'CCITT IA5', 0, 0, 160, 0, NULL, NULL, NULL),
	(6, NULL, NULL, NULL, NULL, '002001', 'B02001', 'station_qualifier', 'Type of station', 'Code table', '0', '1', 'Code table', 0, 0, 2, 0, NULL, NULL, NULL),
	(7, NULL, NULL, NULL, '301011', '004001', 'B04001', 'datetime_year', 'Year', 'Year', '0', '4', 'Year', 0, 0, 12, 0, NULL, NULL, NULL),
	(8, NULL, NULL, NULL, NULL, '004002', 'B04002', 'datetime_month', 'Month', 'Month', '0', '2', 'Month', 0, 0, 4, 0, NULL, NULL, NULL),
	(9, NULL, NULL, NULL, NULL, '004003', 'B04003', 'datetime_day', 'Day', 'Day', '0', '2', 'Day', 0, 0, 6, 0, NULL, NULL, NULL),
	(10, NULL, NULL, NULL, '301012', '004004', 'B04004', 'datetime_hour', 'Hour', 'Hour', '0', '2', 'Hour', 0, 0, 5, 0, NULL, NULL, NULL),
	(11, NULL, NULL, NULL, NULL, '004005', 'B04005', 'datetime_minute', 'Minute', 'Minute', '0', '2', 'Minute', 0, 0, 6, 0, NULL, NULL, NULL),
	(12, NULL, NULL, NULL, '301021', '005001', 'B05001', 'station_deglatitude', 'Latitude (high accuracy)', 'Degree', '5', '7', 'Degree', 5, -9000000, 25, 0, NULL, NULL, NULL),
	(13, NULL, NULL, NULL, NULL, '006001', 'B06001', 'station_deglongitude', 'Longitude (high accuracy)', 'Degree', '5', '8', 'Degree', 5, -18000000, 26, 0, NULL, NULL, NULL),
	(14, NULL, NULL, NULL, '007030', '007030', 'B07030', 'station_elevation', 'Height of station ground above mean sea level (see Note 3)', 'm', '1', '5', 'm', 1, -4000, 17, 0, NULL, NULL, NULL),
	(15, NULL, NULL, NULL, '007031', '007031', 'B07031', 'station_pressure_height', 'Height of barometer above mean sea level (see Note 4)', 'm', '1', '5', 'm', 1, -4000, 17, 0, NULL, NULL, NULL),
	(16, NULL, NULL, '008010', '008010', '008010', 'B08010', NULL, 'Surface qualifier (temperature data)', 'Code table', '0', '2', 'Code table', 0, 0, 5, 0, NULL, NULL, NULL),
	(17, NULL, NULL, '301091', '002180', '002180', 'B02180', NULL, 'Main present weather detecting system ', 'Code table', '0', '2', 'Code table', 0, 0, 4, 0, NULL, NULL, NULL),
	(18, NULL, NULL, NULL, '002181', '002181', 'B02181', NULL, 'Supplementary present weather sensor', 'Flag table', '0', '7', 'Flag table', 0, 0, 21, 0, NULL, NULL, NULL),
	(19, NULL, NULL, NULL, '002182', '002182', 'B02182', NULL, 'Visibility measurement system ', 'Code table', '0', '2', 'Code table', 0, 0, 4, 0, NULL, NULL, NULL),
	(20, NULL, NULL, NULL, '002183', '002183', 'B02183', NULL, 'Cloud detection system', 'Code table', '0', '2', 'Code table', 0, 0, 4, 0, NULL, NULL, NULL),
	(21, NULL, NULL, NULL, '002184', '002184', 'B02184', NULL, 'Type of lightning detection sensor', 'Code table', '0', '2', 'Code table', 0, 0, 4, 0, NULL, NULL, NULL),
	(22, NULL, NULL, NULL, '002179', '002179', 'B02179', NULL, 'Type of sky condition algorithm ', 'Code table', '0', '2', 'Code table', 0, 0, 4, 0, NULL, NULL, NULL),
	(23, NULL, NULL, NULL, '002186', '002186', 'B02186', NULL, 'Capability to detect precipitation phenomena', 'Flag table', '0', '10', 'Flag table', 0, 0, 30, 0, NULL, NULL, NULL),
	(24, NULL, NULL, NULL, '002187', '002187', 'B02187', NULL, 'Capability to detect other weather phenomena', 'Flag table', '0', '6', 'Flag table', 0, 0, 18, 0, NULL, NULL, NULL),
	(25, NULL, NULL, NULL, '002188', '002188', 'B02188', NULL, 'Capability to detect obscuration', 'Flag table', '0', '7', 'Flag table', 0, 0, 21, 0, NULL, NULL, NULL),
	(26, NULL, NULL, NULL, '002189', '002189', 'B02189', NULL, 'Capability to discriminate lightning strikes', 'Flag table', '0', '4', 'Flag table', 0, 0, 12, 0, NULL, NULL, NULL),
	(27, NULL, NULL, '004015', '004015', '004015', 'B04015', NULL, 'Time increment', 'Minute', '0', '4', 'Minute', 0, -2048, 12, 0, NULL, NULL, NULL),
	(28, NULL, NULL, '004065', '004065', '004065', 'B04065', NULL, 'Short time increment', 'Minute', '0', '2', 'Minute', 0, -128, 8, 0, NULL, NULL, NULL),
	(29, NULL, NULL, '125000', '125000', '125000', 'R25000', NULL, 'Delayed replication of 25 descriptors', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL),
	(30, NULL, NULL, '031001', '031001', '031001', 'B31001', NULL, 'Delayed descriptor replication factor', 'Numeric', '0', '4', 'Numeric', 0, 0, 8, 0, NULL, NULL, NULL),
	(31, NULL, NULL, '010004', NULL, '010004', 'B10004', '884', 'Pressure', 'Pa', ' -1', '5', 'Pa', -1, 0, 14, 0, NULL, NULL, NULL),
	(32, NULL, NULL, '302070', NULL, '007032', 'B07032', NULL, 'Height of sensor above local ground (or deck of marine platform) (see Note 5)', 'm', '2', '5', 'm', 2, 0, 16, 0, NULL, NULL, NULL),
	(33, NULL, NULL, NULL, NULL, '007033', 'B07033', NULL, 'Height of sensor above water surface (see Note 6)', 'm', '1', '4', 'm', 1, 0, 12, 0, NULL, NULL, NULL),
	(34, NULL, NULL, NULL, NULL, '011001', 'B11001', '895', 'Wind direction', 'Degree true', '0', '3', 'Degree true', 0, 0, 9, 0, NULL, NULL, NULL),
	(35, NULL, NULL, NULL, NULL, '011002', 'B11002', '897', 'Wind speed', 'm s-1', '1', '4', 'm s-1', 1, 0, 12, 0, NULL, NULL, NULL),
	(36, NULL, NULL, NULL, NULL, '011043', 'B11043', '887', 'Maximum wind gust direction', 'Degree true', '0', '3', 'Degree true', 0, 0, 9, 0, NULL, NULL, NULL),
	(37, NULL, NULL, NULL, NULL, '011041', 'B11041', '886', 'Maximum wind gust speed', 'm s-1', '1', '4', 'm s-1', 1, 0, 12, 0, NULL, NULL, NULL),
	(38, NULL, NULL, NULL, NULL, '011016', 'B11016', NULL, 'Extreme counterclockwise wind direction of a variable wind', 'Degree true', '0', '3', 'Degree true', 0, 0, 9, 0, NULL, NULL, NULL),
	(39, NULL, NULL, NULL, NULL, '011017', 'B11017', NULL, 'Extreme clockwise wind direction of a variable wind', 'Degree true', '0', '3', 'Degree true', 0, 0, 9, 0, NULL, NULL, NULL),
	(40, NULL, NULL, '302072', NULL, '007032', 'B07032', NULL, 'Height of sensor above local ground (or deck of marine platform) (see Note 5)', 'm', '2', '5', 'm', 2, 0, 16, 0, NULL, NULL, NULL),
	(41, NULL, NULL, NULL, NULL, '007033', 'B07033', NULL, 'Height of sensor above water surface (see Note 6)', 'm', '1', '4', 'm', 1, 0, 12, 0, NULL, NULL, NULL),
	(42, NULL, NULL, NULL, NULL, '012101', 'B12101', '881', 'Temperature/dry-bulb temperature', '°C', '2', '4', 'K', 2, 0, 16, 0, NULL, NULL, NULL),
	(43, NULL, NULL, NULL, NULL, '012103', 'B12103', '885', 'Dew-point temperature', '°C', '2', '4', 'K', 2, 0, 16, 0, NULL, NULL, NULL),
	(44, NULL, NULL, NULL, NULL, '013003', 'B13003', '893', 'Relative humidity', '%', '0', '3', '%', 0, 0, 7, 0, NULL, NULL, NULL),
	(45, NULL, NULL, '007032', NULL, '007032', 'B07032', NULL, 'Height of sensor above local ground (or deck of marine platform) (see Note 5)', 'm', '2', '5', 'm', 2, 0, 16, 0, NULL, NULL, NULL),
	(46, NULL, NULL, '012101', NULL, '012101', 'B12101', '881', 'Temperature/dry-bulb temperature', '°C', '2', '4', 'K', 2, 0, 16, 0, NULL, NULL, NULL),
	(47, NULL, NULL, '103000', NULL, '103000', 'R03000', NULL, 'Delayed replication of 3 descriptors', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL),
	(48, NULL, NULL, '031000', NULL, '031000', 'B31000', NULL, 'Short delayed descriptor replication factor', 'Numeric', '0', '4', 'Numeric', 0, 0, 1, 0, NULL, NULL, NULL),
	(49, NULL, NULL, '101005', NULL, '101005', 'R01005', NULL, 'Replication of 1 descriptor 5 times', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL),
	(50, NULL, NULL, '307063', NULL, '007061', 'B07061', NULL, 'Depth below land surface', 'm', '2', '5', 'm', 2, 0, 14, 0, NULL, NULL, NULL),
	(51, NULL, NULL, NULL, NULL, '012130', 'B12130', NULL, 'Soil temperature', '°C', '2', '4', 'K', 2, 0, 16, 0, NULL, NULL, NULL),
	(52, NULL, NULL, '007061', NULL, '007061', 'B07061', NULL, 'Depth below land surface', 'm', '2', '5', 'm', 2, 0, 14, 0, NULL, NULL, NULL),
	(53, NULL, NULL, '101000', NULL, '101000', 'R01000', NULL, 'Delayed replication of 1 descriptor', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL),
	(54, NULL, NULL, '031000', NULL, '031000', 'B31000', NULL, 'Short delayed descriptor replication factor', 'Numeric', '0', '4', 'Numeric', 0, 0, 1, 0, NULL, NULL, NULL),
	(55, NULL, NULL, '302069', NULL, '007032', 'B07032', NULL, 'Height of sensor above local ground (or deck of marine platform) (see Note 5)', 'm', '2', '5', 'm', 2, 0, 16, 0, NULL, NULL, NULL),
	(56, NULL, NULL, NULL, NULL, '007033', 'B07033', NULL, 'Height of sensor above water surface (see Note 6)', 'm', '1', '4', 'm', 1, 0, 12, 0, NULL, NULL, NULL),
	(57, NULL, NULL, NULL, NULL, '033041', 'B33041', NULL, 'Attribute of following value', 'Code table', '0', '1', 'Code table', 0, 0, 2, 0, NULL, NULL, NULL),
	(58, NULL, NULL, NULL, NULL, '020001', 'B20001', NULL, 'Horizontal visibility', 'm', '-1', '4', 'm', -1, 0, 13, 0, NULL, NULL, NULL),
	(59, NULL, NULL, '007032', NULL, '007032', 'B07032', NULL, 'Height of sensor above local ground (or deck of marine platform) (see Note 5)', 'm', '2', '5', 'm', 2, 0, 16, 0, NULL, NULL, NULL),
	(60, NULL, NULL, '007033', NULL, '007033', 'B07033', NULL, 'Height of sensor above water surface (see Note 6)', 'm', '1', '4', 'm', 1, 0, 12, 0, NULL, NULL, NULL),
	(61, NULL, NULL, '101000', NULL, '101000', 'R01000', NULL, 'Delayed replication of 1 descriptor', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL),
	(62, NULL, NULL, '031000', NULL, '031000', 'B31000', NULL, 'Short delayed descriptor replication factor', 'Numeric', '0', '4', 'Numeric', 0, 0, 1, 0, NULL, NULL, NULL),
	(63, NULL, NULL, '302073', NULL, '020010', 'B20010', NULL, 'Cloud cover (total) (see Note 5)', '%', '0', '3', '%', 0, 0, 7, 0, NULL, NULL, NULL),
	(64, NULL, NULL, NULL, NULL, '105004', 'R05004', NULL, 'Replication of 5 descriptor 4 times', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL),
	(65, NULL, NULL, NULL, NULL, '008002', 'B08002', NULL, 'Vertical significance (surface observations)', 'Code table', '0', '2', 'Code table', 0, 0, 6, 0, NULL, NULL, NULL),
	(66, NULL, NULL, NULL, NULL, '020011', 'B20011', NULL, 'Cloud amount', 'Code table', '0', '2', 'Code table', 0, 0, 4, 0, NULL, NULL, NULL),
	(67, NULL, NULL, NULL, NULL, '020012', 'B20012', NULL, 'Cloud type', 'Code table', '0', '2', 'Code table', 0, 0, 6, 0, NULL, NULL, NULL),
	(68, NULL, NULL, NULL, NULL, '033041', 'B33041', NULL, 'Attribute of following value', 'Code table', '0', '1', 'Code table', 0, 0, 2, 0, NULL, NULL, NULL),
	(69, NULL, NULL, NULL, NULL, '020013', 'B20013', NULL, 'Height of base of cloud', 'm', '-1', '4', 'm', -1, -40, 11, 0, NULL, NULL, NULL),
	(70, NULL, NULL, '101000', NULL, '101000', 'R01000', NULL, 'Delayed replication of 1 descriptor', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL),
	(71, NULL, NULL, '031000', NULL, '031000', 'B31000', NULL, 'Short delayed descriptor replication factor', 'Numeric', '0', '4', 'Numeric', 0, 0, 1, 0, NULL, NULL, NULL),
	(72, NULL, NULL, '302076', NULL, '020021', 'B20021', NULL, 'Type of precipitation', 'Flag table', '0', '10', 'Flag table', 0, 0, 30, 0, NULL, NULL, NULL),
	(73, NULL, NULL, NULL, NULL, '020022', 'B20022', NULL, 'Character of precipitation', 'Code table', '0', '2', 'Code table', 0, 0, 4, 0, NULL, NULL, NULL),
	(74, NULL, NULL, NULL, NULL, '026020', 'B26020', NULL, 'Duration of precipitation', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL),
	(75, NULL, NULL, NULL, NULL, '020023', 'B20023', NULL, 'Other weather phenomena', 'Flag table', '0', '6', 'Flag table', 0, 0, 18, 0, NULL, NULL, NULL),
	(76, NULL, NULL, NULL, NULL, '020024', 'B20024', NULL, 'Intensity of phenomena', 'Code table', '0', '1', 'Code table', 0, 0, 3, 0, NULL, NULL, NULL),
	(77, NULL, NULL, NULL, NULL, '020025', 'B20025', NULL, 'Obscuration', 'Flag table', '0', '7', 'Flag table', 0, 0, 21, 0, NULL, NULL, NULL),
	(78, NULL, NULL, NULL, NULL, '020026', 'B20026', NULL, 'Character of obscuration', 'Code table', '0', '2', 'Code table', 0, 0, 4, 0, NULL, NULL, NULL),
	(79, NULL, NULL, '102000', NULL, '102000', 'R02000', NULL, 'Delayed replication of 2 descriptors', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL),
	(80, NULL, NULL, '031000', NULL, '031000', 'B31000', NULL, 'Short delayed descriptor replication factor', 'Numeric', '0', '4', 'Numeric', 0, 0, 1, 0, NULL, NULL, NULL),
	(81, NULL, NULL, '013155', NULL, '013155', 'B13155', NULL, 'Itensity of precipitation (high accuracy)', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL),
	(82, NULL, NULL, '013058', NULL, '013058', 'B13058', NULL, 'Size of precipitating element', 'mm', '4', '3', 'm', 4, 0, 7, 0, NULL, NULL, NULL),
	(83, NULL, NULL, '102000', '102000', '102000', 'R02000', NULL, 'Delayed replication of 2 descriptors', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL),
	(84, NULL, NULL, '031000', '031000', '031000', 'B31000', NULL, 'Short delayed descriptor replication factor', 'Numeric', '0', '4', 'Numeric', 0, 0, 1, 0, NULL, NULL, NULL),
	(85, NULL, NULL, '020031', NULL, '020031', 'B20031', NULL, 'Ice deposit (thickness)', 'm', '2', '3', 'm', 2, 0, 7, 0, NULL, NULL, NULL),
	(86, NULL, NULL, '020032', NULL, '020032', 'B20032', NULL, 'Rate of ice accretion', 'Code table', '0', '1', 'Code table', 0, 0, 3, 0, NULL, NULL, NULL),
	(87, NULL, NULL, '101000', '101000', '101000', 'R01000', NULL, 'Delayed replication of 1 descriptor', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL),
	(88, NULL, NULL, '031000', '031000', '031000', 'B31000', NULL, 'Short delayed descriptor replication factor', 'Numeric', '0', '4', 'Numeric', 0, 0, 1, 0, NULL, NULL, NULL),
	(89, NULL, NULL, '302078', NULL, '002176', 'B02176', NULL, 'Method of state of ground measurement ', 'Code table', '0', '2', 'Code table', 0, 0, 4, 0, NULL, NULL, NULL),
	(90, NULL, NULL, NULL, NULL, '020062', 'B20062', NULL, 'State of the ground (with or without snow)', 'Code table', '0', '2', 'Code table', 0, 0, 5, 0, NULL, NULL, NULL),
	(91, NULL, NULL, NULL, NULL, '002177', 'B02177', NULL, 'Method of snow depth measurement ', 'Code table', '0', '2', 'Code table', 0, 0, 4, 0, NULL, NULL, NULL),
	(92, NULL, NULL, NULL, NULL, '013013', 'B13013', NULL, 'Total snow depth', 'm', '2', '5', 'm', 2, -2, 16, 0, NULL, NULL, NULL),
	(93, NULL, NULL, '102000', '102000', '102000', 'R02000', NULL, 'Delayed replication of 2 descriptors', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL),
	(94, NULL, NULL, '031000', '031000', '031000', 'B31000', NULL, 'Short delayed descriptor replication factor', 'Numeric', '0', '4', 'Numeric', 0, 0, 1, 0, NULL, NULL, NULL),
	(95, NULL, NULL, '302079', NULL, '007032', 'B07032', NULL, 'Height of sensor above local ground (or deck of marine platform) (see Note 5)', 'm', '2', '5', 'm', 2, 0, 16, 0, NULL, NULL, NULL),
	(96, NULL, NULL, NULL, NULL, '002175', 'B02175', NULL, 'Method of precipitation measurement ', 'Code table', '0', '2', 'Code table', 0, 0, 4, 0, NULL, NULL, NULL),
	(97, NULL, NULL, NULL, NULL, '002178', 'B02178', NULL, 'Method of liquid content measurement of precipitation', 'Code table', '0', '2', 'Code table', 0, 0, 4, 0, NULL, NULL, NULL),
	(98, NULL, NULL, NULL, NULL, '004025', 'B04025', NULL, 'Time period or displacement', 'Minute', '0', '4', 'Minute', 0, -2048, 12, 0, NULL, NULL, NULL),
	(99, NULL, NULL, NULL, NULL, '013011', 'B13011', NULL, 'Total precipitation/total water equivalent', 'kg m-2', '1', '5', 'kg m-2', 1, -1, 14, 0, NULL, NULL, NULL),
	(100, NULL, NULL, '007032', '007032', '007032', 'B07032', NULL, 'Height of sensor above local ground (or deck of marine platform) (see Note 5)', 'm', '2', '5', 'm', 2, 0, 16, 0, NULL, NULL, NULL),
	(101, NULL, NULL, '101000', '101000', '101000', 'R01000', NULL, 'Delayed replication of 1 descriptor', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL),
	(102, NULL, NULL, '031000', '031000', '031000', 'B31000', NULL, 'Short delayed descriptor replication factor', 'Numeric', '0', '4', 'Numeric', 0, 0, 1, 0, NULL, NULL, NULL),
	(103, NULL, NULL, '302080', NULL, '002185', 'B02185', NULL, 'Method of evaporation measurement', 'Code table', '0', '2', 'Code table', 0, 0, 4, 0, NULL, NULL, NULL),
	(104, NULL, NULL, NULL, NULL, '004025', 'B04025', NULL, 'Time period or displacement', 'Minute', '0', '4', 'Minute', 0, -2048, 12, 0, NULL, NULL, NULL),
	(105, NULL, NULL, NULL, NULL, '013033', 'B13033', NULL, 'Evaporation/evapotranspiration', 'kg m-2', '1', '4', 'kg m-2', 1, 0, 10, 0, NULL, NULL, NULL),
	(106, NULL, NULL, '101000', '101000', '101000', 'R01000', NULL, 'Delayed replication of 1 descriptor', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL),
	(107, NULL, NULL, '031000', '031000', '031000', 'B31000', NULL, 'Short delayed descriptor replication factor', 'Numeric', '0', '4', 'Numeric', 0, 0, 1, 0, NULL, NULL, NULL),
	(108, NULL, NULL, '302081', NULL, '004025', 'B04025', NULL, 'Time period or displacement', 'Minute', '0', '4', 'Minute', 0, -2048, 12, 0, NULL, NULL, NULL),
	(109, NULL, NULL, NULL, NULL, '014031', 'B14031', NULL, 'Total sunshine', 'Minute', '0', '4', 'Minute', 0, 0, 11, 0, NULL, NULL, NULL),
	(110, NULL, NULL, '101000', '101000', '101000', 'R01000', NULL, 'Delayed replication of 1 descriptor', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL),
	(111, NULL, NULL, '031000', '031000', '031000', 'B31000', NULL, 'Short delayed descriptor replication factor', 'Numeric', '0', '4', 'Numeric', 0, 0, 1, 0, NULL, NULL, NULL),
	(112, NULL, NULL, '302082', NULL, '004025', 'B04025', NULL, 'Time period or displacement', 'Minute', '0', '4', 'Minute', 0, -2048, 12, 0, NULL, NULL, NULL),
	(113, NULL, NULL, NULL, NULL, '014002', 'B14002', NULL, 'Long-wave radiation, integrated over period specified', 'J m-2', '-3', '4', 'J m-2', -3, -2048, 12, 0, NULL, NULL, NULL),
	(114, NULL, NULL, NULL, NULL, '014004', 'B14004', NULL, 'Short-wave radiation, integrated over period specified', 'J m-2', '-3', '4', 'J m-2', -3, -2048, 12, 0, NULL, NULL, NULL),
	(115, NULL, NULL, NULL, NULL, '014016', 'B14016', NULL, 'Net radiation, integrated over period specified', 'J m-2', '-4', '5', 'J m-2', -4, -16384, 15, 0, NULL, NULL, NULL),
	(116, NULL, NULL, NULL, NULL, '014028', 'B14028', NULL, 'Global solar radiation (high accuracy), integrated over period specified', 'J m-2', '-2', '5', 'J m-2', -2, 0, 16, 0, NULL, NULL, NULL),
	(117, NULL, NULL, NULL, NULL, '014029', 'B14029', NULL, 'Diffuse solar radiation (high accuracy), integrated over period specified', 'J m-2', '-2', '5', 'J m-2', -2, 0, 16, 0, NULL, NULL, NULL),
	(118, NULL, NULL, NULL, NULL, '014030', 'B14030', NULL, 'Direct solar radiation (high accuracy), integrated over period specified', 'J m-2', '-2', '5', 'J m-2', -2, 0, 16, 0, NULL, NULL, NULL);
/*!40000 ALTER TABLE `tm_307092` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_db_v4.tm_309052
CREATE TABLE IF NOT EXISTS `tm_309052` (
  `order` int(11) DEFAULT '0',
  `Bufr_Template` varchar(50) DEFAULT NULL,
  `CREX_Template` varchar(50) DEFAULT NULL,
  `Sequence_Descriptor1` varchar(255) DEFAULT NULL,
  `Sequence_Descriptor0` varchar(255) DEFAULT NULL,
  `Bufr_Element` varchar(255) DEFAULT NULL,
  `Crex_Element` varchar(50) DEFAULT NULL,
  `Climsoft_Element` varchar(50) DEFAULT NULL,
  `Element_Name` varchar(255) DEFAULT NULL,
  `Crex_Unit` varchar(25) DEFAULT NULL,
  `Crex_Scale` varchar(25) DEFAULT NULL,
  `Crex_DataWidth` varchar(25) DEFAULT NULL,
  `Bufr_Unit` varchar(255) DEFAULT NULL,
  `Bufr_Scale` int(11) DEFAULT NULL,
  `Bufr_RefValue` bigint(20) DEFAULT NULL,
  `Bufr_DataWidth_Bits` int(11) DEFAULT NULL,
  `Selected` tinyint(4) DEFAULT NULL,
  `Observation` varchar(255) DEFAULT NULL,
  `Crex_Data` varchar(30) DEFAULT NULL,
  `Bufr_Data` varchar(255) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_db_v4.tm_309052: ~49 rows (approximately)
/*!40000 ALTER TABLE `tm_309052` DISABLE KEYS */;
INSERT INTO `tm_309052` (`order`, `Bufr_Template`, `CREX_Template`, `Sequence_Descriptor1`, `Sequence_Descriptor0`, `Bufr_Element`, `Crex_Element`, `Climsoft_Element`, `Element_Name`, `Crex_Unit`, `Crex_Scale`, `Crex_DataWidth`, `Bufr_Unit`, `Bufr_Scale`, `Bufr_RefValue`, `Bufr_DataWidth_Bits`, `Selected`, `Observation`, `Crex_Data`, `Bufr_Data`) VALUES
	(32, NULL, NULL, NULL, '008042', '008042', 'B08042', '312', 'Extended vertical sounding significance', 'Flag table', '0', '6', 'Flag table', 0, 0, 18, 1, NULL, NULL, NULL),
	(33, NULL, NULL, NULL, '007004', '007004', 'B07004', '301', 'Pressure', 'Pa', '-1', '5', 'Pa', -1, 0, 14, 1, NULL, NULL, NULL),
	(34, NULL, NULL, NULL, '010009', '010009', 'B10009', '302', 'Geopotential height', 'gpm', '0', '5', 'gpm', 0, -1000, 17, 1, NULL, NULL, NULL),
	(35, NULL, NULL, NULL, '005015', '005015', 'B05015', '309', 'Latitude displacement (high accuracy)', 'Degree', '5', '7', 'Degree', 5, -9000000, 25, 1, NULL, NULL, NULL),
	(36, NULL, NULL, NULL, '006015', '006015', 'B06015', '310', 'Longitude displacement (high accuracy)', 'Degree', '5', '8', 'Degree', 5, -18000000, 26, 1, NULL, NULL, NULL),
	(37, NULL, NULL, NULL, '012101', '012101', 'B12101', '303', 'Temperature/dry-bulb temperature (scale 2)', '°C', '2', '4', 'K', 2, 0, 16, 1, NULL, NULL, NULL),
	(38, NULL, NULL, NULL, '012103', '012103', 'B12103', '304', 'Dew-point temperature (scale 2)', '°C', '2', '4', 'K', 2, 0, 16, 1, NULL, NULL, NULL),
	(39, NULL, NULL, NULL, '011001', '011001', 'B11001', '305', 'Wind direction', 'Degree true', '0', '3', 'Degree true', 0, 0, 9, 1, NULL, NULL, NULL),
	(40, NULL, NULL, NULL, '011002', '011002', 'B11002', '306', 'Wind speed', 'm s-1', '1', '4', 'm s-1', 1, 0, 12, 1, NULL, NULL, NULL),
	(41, NULL, NULL, '101000', '101000', '101000', 'R01000', NULL, 'Delayed replication of 1 descriptor', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL),
	(42, NULL, NULL, '031001', '031001', '031001', 'B31001', 'rep2', 'Delayed descriptor replication factor', 'Numeric', '0', '4', 'Numeric', 0, 0, 8, 1, NULL, NULL, NULL),
	(43, NULL, NULL, '303051', '004086', '004086', 'B04086', '311', 'Long time period or displacement (since launch time)', 'Second', '0', '5', 'Second', 0, -8192, 15, 1, NULL, NULL, NULL),
	(44, NULL, NULL, NULL, '008042', '008042', 'B08042', '312', 'Extended vertical sounding significance', 'Flag table', '0', '6', 'Flag table', 0, 0, 18, 1, NULL, NULL, NULL),
	(45, NULL, NULL, NULL, '007004', '007004', 'B07004', '301', 'Pressure', 'Pa', '-1', '5', 'Pa', -1, 0, 14, 1, NULL, NULL, NULL),
	(46, NULL, NULL, NULL, '005015', '005015', 'B05015', '309', 'Latitude displacement (high accuracy)', 'Degree', '5', '7', 'Degree', 5, -9000000, 25, 1, NULL, NULL, NULL),
	(21, NULL, NULL, '302049', '008002', '008002', 'B08002', '611', 'Vertical significance (surface observations)', 'Code table', '0', '2', 'Code table', 0, 0, 6, 1, NULL, NULL, NULL),
	(22, NULL, NULL, NULL, '020011', '020011', 'B20011', '632', 'Cloud amount (of low or middle clouds Nh)', 'Code table', '0', '2', 'Code table', 0, 0, 4, 1, NULL, NULL, NULL),
	(23, NULL, NULL, NULL, '020013', '020013', 'B20013', '130', 'Height of base of cloud', 'm', '-1', '4', 'm', -1, -40, 11, 1, NULL, NULL, NULL),
	(47, NULL, NULL, NULL, '006015', '006015', 'B06015', '310', 'Longitude displacement (high accuracy)', 'Degree', '5', '8', 'Degree', 5, -18000000, 26, 1, NULL, NULL, NULL),
	(48, NULL, NULL, NULL, '011061', '011061', 'B11061', '307', 'Absolute wind shear in 1 km layer below', 'm s-1', '1', '4', 'm s-1', 1, 0, 12, 1, NULL, NULL, NULL),
	(49, NULL, NULL, NULL, '011062', '011062', 'B11062', '308', 'Absolute wind shear in 1 km layer above', 'm s-1', '1', '4', 'm s-1', 1, 0, 12, 1, NULL, NULL, NULL),
	(1, '309052', 'D09052', '301111', '301001', '001001', 'B01001', 'station_WMO_bloc', 'WMO block number', 'Numeric', '0', '2', 'Numeric', 0, 0, 7, 1, NULL, NULL, NULL),
	(2, NULL, NULL, NULL, NULL, '001002', 'B01002', 'station_WMO_number', 'WMO station number', 'Numeric', '0', '3', 'Numeric', 0, 0, 10, 1, NULL, NULL, NULL),
	(3, NULL, NULL, NULL, '001011', '001011', 'B01011', 'mobil_id', 'Ship or mobile land station identifier', 'Character', '0', '9', 'CCITT IA5', 0, 0, 72, 1, NULL, NULL, NULL),
	(4, NULL, NULL, NULL, '002011', '002011', 'B02011', 'sode_type', 'Radiosonde type', 'Code table', '0', '3', 'Code table', 0, 0, 8, 1, NULL, NULL, NULL),
	(5, NULL, NULL, NULL, '002013', '002013', 'B02013', 'solar_corr', 'Solar and infrared radiation correction', 'Code table', '0', '2', 'Code table', 0, 0, 4, 1, NULL, NULL, NULL),
	(6, NULL, NULL, NULL, '002014', '002014', 'B02014', 'track_tech', 'Tracking technique/status of system used', 'Code table', '0', '3', 'Code table', 0, 0, 7, 1, NULL, NULL, NULL),
	(7, NULL, NULL, NULL, '002003', '002003', 'B02003', 'instr_type', 'Type of measuring equipment used', 'Code table', '0', '2', 'Code table', 0, 0, 4, 1, NULL, NULL, NULL),
	(8, NULL, NULL, '301113', '008021', '008021', 'B08021', 'w_TS', 'Time significance   ( = 18 (launch time))', 'Code table', '0', '2', 'Code table', 0, 0, 5, 1, NULL, NULL, NULL),
	(9, NULL, NULL, NULL, '301011', '004001', 'B04001', 'datetime_year', 'Year', 'Year', '0', '4', 'Year', 0, 0, 12, 1, NULL, NULL, NULL),
	(10, NULL, NULL, NULL, NULL, '004002', 'B04002', 'datetime_month', 'Month', 'Month', '0', '2', 'Month', 0, 0, 4, 1, NULL, NULL, NULL),
	(11, NULL, NULL, NULL, NULL, '004003', 'B04003', 'datetime_day', 'Day', 'Day', '0', '2', 'Day', 0, 0, 6, 1, NULL, NULL, NULL),
	(12, NULL, NULL, NULL, '301013', '004004', 'B04004', 'datetime_hour', 'Hour', 'Hour', '0', '2', 'Hour', 0, 0, 5, 1, NULL, NULL, NULL),
	(13, NULL, NULL, NULL, NULL, '004005', 'B04005', 'datetime_minute', 'Minute', 'Minute', '0', '2', 'Minute', 0, 0, 6, 1, NULL, NULL, NULL),
	(14, NULL, NULL, NULL, NULL, '004006', 'B04006', 'datetime_second', 'Second', 'Second', '0', '2', 'Second', 0, 0, 6, 1, NULL, NULL, NULL),
	(15, NULL, NULL, '301114', '301021', '005001', 'B05001', 'station_deglatitude', 'Latitude (high accuracy)', 'Degree', '5', '7', 'Degree', 5, -9000000, 25, 1, NULL, NULL, NULL),
	(16, NULL, NULL, NULL, NULL, '006001', 'B06001', 'station_deglongitude', 'Longitude (high accuracy)', 'Degree', '5', '8', 'Degree', 5, -18000000, 26, 1, NULL, NULL, NULL),
	(17, NULL, NULL, NULL, '007030', '007030', 'B07030', 'station_elevation', 'Height of station ground above mean sea level (see Note 3)', 'm', '1', '5', 'm', 1, -4000, 17, 1, NULL, NULL, NULL),
	(18, NULL, NULL, NULL, '007031', '007031', 'B07031', 'station_pressure_height', 'Height of barometer above mean sea level (see Note 4)', 'm', '1', '5', 'm', 1, -4000, 17, 1, NULL, NULL, NULL),
	(19, NULL, NULL, NULL, '007007', '007007', 'B07007', 'release_ht', 'Height of release of sonde above mean sea level', 'm', '0', '6', 'm', 0, -1000, 17, 1, NULL, NULL, NULL),
	(20, NULL, NULL, NULL, '033024', '033024', 'B33024', 'mobil_ht', 'Station elevation quality mark (for mobile stations)', 'Code table', '0', '2', 'Code table', 0, 0, 4, 1, NULL, NULL, NULL),
	(24, NULL, NULL, NULL, '020012', '020012', 'B20012', '663', 'Cloud type (low clouds CL)', 'Code table', '0', '2', 'Code table', 0, 0, 6, 1, NULL, NULL, NULL),
	(25, NULL, NULL, NULL, '020012', '020012', 'B20012', '664', 'Cloud type (middle clouds CM)', 'Code table', '0', '2', 'Code table', 0, 0, 6, 1, NULL, NULL, NULL),
	(26, NULL, NULL, NULL, '020012', '020012', 'B20012', '665', 'Cloud type (high clouds CH)', 'Code table', '0', '2', 'Code table', 0, 0, 6, 1, NULL, NULL, NULL),
	(27, NULL, NULL, NULL, '008002', '008002', 'B08002', '612', 'Vertical significance ( = missing value)', 'Code table', '0', '2', 'Code table', 0, 0, 6, 1, NULL, NULL, NULL),
	(28, NULL, NULL, '022043', '022043', '022043', 'B22043', 'sst', 'Sea/water temperature', 'K', '2', '5', 'K', 2, 0, 15, 1, NULL, NULL, NULL),
	(29, NULL, NULL, '101000', '101000', '101000', 'R01000', NULL, 'Delayed replication of 1 descriptor', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL),
	(30, NULL, NULL, '031002', '031002', '031002', 'B31002', 'rep1', 'Extended delayed descriptor replication factor', 'Numeric', '0', '4', 'Numeric', 0, 0, 16, 1, NULL, NULL, NULL),
	(31, NULL, NULL, '303054', '004086', '004086', 'B04086', '311', 'Long time period or displacement (since launch time)', 'Second', '0', '5', 'Second', 0, -8192, 15, 1, NULL, NULL, NULL);
/*!40000 ALTER TABLE `tm_309052` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_db_v4.userrecords
CREATE TABLE IF NOT EXISTS `userrecords` (
  `username` varchar(255) NOT NULL DEFAULT '',
  `recsexpt` int(11) DEFAULT NULL,
  `recsdone` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`username`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_db_v4.userrecords: ~0 rows (approximately)
/*!40000 ALTER TABLE `userrecords` DISABLE KEYS */;
/*!40000 ALTER TABLE `userrecords` ENABLE KEYS */;


-- Dumping database structure for mariadb_climsoft_test_db_v4
CREATE DATABASE IF NOT EXISTS `mariadb_climsoft_test_db_v4` /*!40100 DEFAULT CHARACTER SET latin1 */;
USE `mariadb_climsoft_test_db_v4`;


-- Dumping structure for table mariadb_climsoft_test_db_v4.abc
CREATE TABLE IF NOT EXISTS `abc` (
  `No` int(11) NOT NULL,
  `Element_abbreviation` text NOT NULL,
  `Element_Name` text NOT NULL,
  `Element_Details` text NOT NULL,
  `Climsoft_Element` text NOT NULL,
  `Bufr_Element` text NOT NULL,
  `unit` text NOT NULL,
  `lower_limit` text NOT NULL,
  `upper_limit` text NOT NULL,
  `obsv` text NOT NULL,
  UNIQUE KEY `identification` (`No`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_test_db_v4.abc: ~0 rows (approximately)
/*!40000 ALTER TABLE `abc` DISABLE KEYS */;
/*!40000 ALTER TABLE `abc` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_test_db_v4.acquisitiontype
CREATE TABLE IF NOT EXISTS `acquisitiontype` (
  `code` int(11) NOT NULL DEFAULT '0',
  `description` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`code`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_test_db_v4.acquisitiontype: ~0 rows (approximately)
/*!40000 ALTER TABLE `acquisitiontype` DISABLE KEYS */;
/*!40000 ALTER TABLE `acquisitiontype` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_test_db_v4.aws1
CREATE TABLE IF NOT EXISTS `aws1` (
  `No` int(11) NOT NULL,
  `Element_abbreviation` text NOT NULL,
  `Element_Name` text NOT NULL,
  `Element_Details` text NOT NULL,
  `Climsoft_Element` text NOT NULL,
  `Bufr_Element` text NOT NULL,
  `unit` text NOT NULL,
  `lower_limit` text NOT NULL,
  `upper_limit` text NOT NULL,
  `obsv` text NOT NULL,
  UNIQUE KEY `identification` (`No`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_test_db_v4.aws1: ~0 rows (approximately)
/*!40000 ALTER TABLE `aws1` DISABLE KEYS */;
/*!40000 ALTER TABLE `aws1` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_test_db_v4.aws_basestation
CREATE TABLE IF NOT EXISTS `aws_basestation` (
  `ftpId` varchar(50) NOT NULL,
  `inputFolder` varchar(20) NOT NULL,
  `ftpMode` varchar(10) DEFAULT NULL,
  `userName` varchar(15) NOT NULL,
  `password` varchar(15) NOT NULL,
  PRIMARY KEY (`ftpId`),
  UNIQUE KEY `ftpId_UNIQUE` (`ftpId`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- Dumping data for table mariadb_climsoft_test_db_v4.aws_basestation: ~1 rows (approximately)
/*!40000 ALTER TABLE `aws_basestation` DISABLE KEYS */;
INSERT INTO `aws_basestation` (`ftpId`, `inputFolder`, `ftpMode`, `userName`, `password`) VALUES
	('', '', 'FTP', '', '');
/*!40000 ALTER TABLE `aws_basestation` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_test_db_v4.aws_elements
CREATE TABLE IF NOT EXISTS `aws_elements` (
  `aws_element` varchar(50) NOT NULL,
  `climsoft_element` varchar(50) NOT NULL,
  `element_description` varchar(50) NOT NULL,
  PRIMARY KEY (`aws_element`,`climsoft_element`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_test_db_v4.aws_elements: ~12 rows (approximately)
/*!40000 ALTER TABLE `aws_elements` DISABLE KEYS */;
INSERT INTO `aws_elements` (`aws_element`, `climsoft_element`, `element_description`) VALUES
	('Amb T Inst', '881', 'AWS Ambient temperature\r'),
	('DP', '885', 'AWS Dewpoint\r'),
	('Gnd T Inst', '900', 'AWS Soil temperature 30 cm\r'),
	('H Inst', '893', 'AWS Relative Humidity\r'),
	('Leaf', '899', 'AWS Leaf wetness\r'),
	('Pres Inst', '884', 'AWS Pressure Inst\r'),
	('Rain', '892', 'AWS Precip 15 minute total\r'),
	('Sun', '894', 'AWS Solar Radiation\r'),
	('Sun 15min', '888', 'AWS Sunshine Duration 15 min\r'),
	('WB', '901', 'AWS Wetbulb\r'),
	('Wnd Dir', '895', 'Wnd Direction mean\r'),
	('Wnd Spd', '897', 'AWS Wnd Speed mean\r');
/*!40000 ALTER TABLE `aws_elements` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_test_db_v4.aws_malawi1
CREATE TABLE IF NOT EXISTS `aws_malawi1` (
  `Cols` int(11) NOT NULL,
  `Element_abbreviation` varchar(50) DEFAULT NULL,
  `Element_Name` varchar(50) DEFAULT NULL,
  `Element_Details` varchar(50) DEFAULT NULL,
  `Climsoft_Element` varchar(6) DEFAULT NULL,
  `Bufr_Element` varchar(6) DEFAULT NULL,
  `unit` varchar(15) DEFAULT NULL,
  `lower_limit` varchar(50) DEFAULT NULL,
  `upper_limit` varchar(50) DEFAULT NULL,
  `obsv` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`Cols`),
  KEY `Identification` (`Element_Name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- Dumping data for table mariadb_climsoft_test_db_v4.aws_malawi1: ~14 rows (approximately)
/*!40000 ALTER TABLE `aws_malawi1` DISABLE KEYS */;
INSERT INTO `aws_malawi1` (`Cols`, `Element_abbreviation`, `Element_Name`, `Element_Details`, `Climsoft_Element`, `Bufr_Element`, `unit`, `lower_limit`, `upper_limit`, `obsv`) VALUES
	(1, 'Date/time', 'Date', 'Date ddmmyy', NULL, NULL, NULL, NULL, NULL, '30/04/13'),
	(2, 'PRECIP', 'Rainfall', 'Rain cummulative', '892', '013011', 'mm', '0', NULL, ' 0'),
	(3, 'WDDR', 'WindDirection', 'Wind Direction', '895', '011001', 'deg', '0', '360', ' 145.066'),
	(4, 'WDSPD', 'WindSpeed', 'Wind Speed Average', '897', NULL, 'ms-1', NULL, NULL, ' 3.3802'),
	(5, 'WDGUSTSPD', 'WindSpeed', 'Wind Speed Average', '896', '11041', 'ms-1', NULL, NULL, ' 3.3802'),
	(6, 'CONDCTVTY', 'Conductivity', 'Electrical Conductivity', '1003', NULL, 'mS/cm', NULL, NULL, ' 145.066'),
	(7, 'VAPPRESS', 'VapourPress', 'Vapour Pressure', '916', NULL, 'kPa', NULL, NULL, ' 26.5028'),
	(8, 'TEMP', 'AirTemp', 'Air temperature', '881', '012103', 'dec', NULL, NULL, ' 26.5028'),
	(9, 'RH', 'RelativeHumidity', 'Relative Humidity', '893', '013003', '%', '0', '100', ' 66.6466'),
	(10, 'PRESS', 'Pressure', 'Pressure', '884', '010004', 'kPa', NULL, NULL, ' 957.366'),
	(11, 'SOLRD', 'SolarRadiation', 'Solar Radiation', '894', '014028', 'W/m^2', NULL, NULL, ' 406.52'),
	(12, 'WATRDPTH', 'WaterDepth', 'Water Depth', '1001', '', 'mm', NULL, NULL, ' 406.52'),
	(13, 'WATRTEMP', 'WaterTemp', 'Water Temperature', '1002', NULL, 'deg', NULL, NULL, ' 406.52'),
	(14, 'SOILMOIST', 'SoilMoisture', 'Soil Moisture', '915', NULL, 'm^3/m^3', NULL, NULL, ' 406.52');
/*!40000 ALTER TABLE `aws_malawi1` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_test_db_v4.aws_malawi12
CREATE TABLE IF NOT EXISTS `aws_malawi12` (
  `No` int(11) NOT NULL,
  `Element_abbreviation` text NOT NULL,
  `Element_Name` text NOT NULL,
  `Element_Details` text NOT NULL,
  `Climsoft_Element` text NOT NULL,
  `Bufr_Element` text NOT NULL,
  `unit` text NOT NULL,
  `lower_limit` text NOT NULL,
  `upper_limit` text NOT NULL,
  `obsv` text NOT NULL,
  UNIQUE KEY `identification` (`No`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- Dumping data for table mariadb_climsoft_test_db_v4.aws_malawi12: ~0 rows (approximately)
/*!40000 ALTER TABLE `aws_malawi12` DISABLE KEYS */;
/*!40000 ALTER TABLE `aws_malawi12` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_test_db_v4.aws_mss
CREATE TABLE IF NOT EXISTS `aws_mss` (
  `ftpId` varchar(50) NOT NULL,
  `inputFolder` varchar(20) NOT NULL,
  `userName` varchar(15) NOT NULL,
  `ftpMode` varchar(10) DEFAULT NULL,
  `password` varchar(15) DEFAULT NULL,
  PRIMARY KEY (`ftpId`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- Dumping data for table mariadb_climsoft_test_db_v4.aws_mss: ~1 rows (approximately)
/*!40000 ALTER TABLE `aws_mss` DISABLE KEYS */;
INSERT INTO `aws_mss` (`ftpId`, `inputFolder`, `userName`, `ftpMode`, `password`) VALUES
	('localhost', 'input', 'ftp', 'FTP', 'ftp');
/*!40000 ALTER TABLE `aws_mss` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_test_db_v4.aws_process_parameters
CREATE TABLE IF NOT EXISTS `aws_process_parameters` (
  `RetrieveInterval` int(11) NOT NULL DEFAULT '60',
  `HourOffset` int(11) NOT NULL DEFAULT '10',
  `RetrievePeriod` int(11) NOT NULL DEFAULT '1',
  `RetrieveTimeout` int(11) NOT NULL DEFAULT '20',
  `DelinputFile` tinyint(4) NOT NULL DEFAULT '1',
  `UTCDiff` tinyint(2) unsigned zerofill NOT NULL DEFAULT '00',
  PRIMARY KEY (`RetrieveInterval`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- Dumping data for table mariadb_climsoft_test_db_v4.aws_process_parameters: ~1 rows (approximately)
/*!40000 ALTER TABLE `aws_process_parameters` DISABLE KEYS */;
INSERT INTO `aws_process_parameters` (`RetrieveInterval`, `HourOffset`, `RetrievePeriod`, `RetrieveTimeout`, `DelinputFile`, `UTCDiff`) VALUES
	(60, 10, 2, 10, 0, 00);
/*!40000 ALTER TABLE `aws_process_parameters` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_test_db_v4.aws_rwanda1
CREATE TABLE IF NOT EXISTS `aws_rwanda1` (
  `Cols` int(11) DEFAULT '0',
  `Element_abbreviation` varchar(50) DEFAULT NULL,
  `Element_Name` varchar(50) DEFAULT NULL,
  `Element_Details` varchar(50) DEFAULT NULL,
  `Climsoft_Element` varchar(6) DEFAULT NULL,
  `Bufr_Element` varchar(6) DEFAULT NULL,
  `unit` varchar(15) DEFAULT NULL,
  `lower_limit` varchar(50) DEFAULT NULL,
  `upper_limit` varchar(50) DEFAULT NULL,
  `obsv` varchar(50) DEFAULT NULL,
  KEY `identification` (`Element_Name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- Dumping data for table mariadb_climsoft_test_db_v4.aws_rwanda1: ~152 rows (approximately)
/*!40000 ALTER TABLE `aws_rwanda1` DISABLE KEYS */;
INSERT INTO `aws_rwanda1` (`Cols`, `Element_abbreviation`, `Element_Name`, `Element_Details`, `Climsoft_Element`, `Bufr_Element`, `unit`, `lower_limit`, `upper_limit`, `obsv`) VALUES
	(13, 'AP_Ave', 'AP_Ave', NULL, '884', '010004', 'Hpa', NULL, NULL, NULL),
	(14, 'AP_Max', 'AP_Max', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(12, 'AP_Min', 'AP_Min', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(16, 'AP_Perc', 'AP_Perc', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(15, 'AP_StdDV', 'AP_StdDV', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(8, 'AT_Ave', 'AT_Ave', NULL, '881', '012101', '°C', NULL, NULL, NULL),
	(9, 'AT_Max', 'AT_Max', NULL, '882', '012111', '°C', NULL, NULL, NULL),
	(7, 'AT_Min', 'AT_Min', NULL, '883', '012112', '°C', NULL, NULL, NULL),
	(11, 'AT_Perc', 'AT_Perc', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(10, 'AT_StdV', 'AT_StdV', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(24, 'BAT_Inst', 'BAT_Inst', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(25, 'BAT_Perc', 'BAT_Perc', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(1, 'Date/time', 'Date/time', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(18, 'RAD_Ave', 'RAD_Ave', NULL, '894', '014028', 'J', NULL, NULL, NULL),
	(19, 'RAD_Max', 'RAD_Max', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(17, 'RAD_Min', 'RAD_Min', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(21, 'RAD_Perc', 'RAD_Perc', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(20, 'RAD_StdDV', 'RAD_StdDV', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(23, 'RAIN_Perc', 'RAIN_Perc', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(22, 'RAIN_Tot', 'RAIN_Tot', NULL, '892', '013011', 'mm', NULL, NULL, NULL),
	(3, 'RH_Ave', 'RH_Ave', NULL, '893', '013003', '%', NULL, NULL, NULL),
	(4, 'RH_Max', 'RH_Max', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(2, 'RH_Min', 'RH_Min', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(6, 'RH_Perc', 'RH_Perc', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(5, 'RH_StdV', 'RH_StdV', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(26, 'TX_Inst', 'TX_Inst', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(27, 'TX_Perc', 'TX_Perc', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(37, 'WDR_CalmPerc', 'WDR_CalmPerc', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(38, 'WDR_Perc', 'WDR_Perc', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(33, 'WDR_PrevDir', 'WDR_PrevDir', NULL, '895', '011001', 'Deg', NULL, NULL, NULL),
	(34, 'WDR_RisDir', 'WDR_RisDir', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(35, 'WDR_RisVel', 'WDR_RisVel', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(36, 'WDR_StdDevDir', 'WDR_StdDevDir', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(29, 'WSD_Ave', 'WSD_Ave', NULL, '897', '011002', 'Knots', NULL, NULL, NULL),
	(30, 'WSD_Max', 'WSD_Max', NULL, '886', '011041', 'Knots', NULL, NULL, NULL),
	(28, 'WSD_Min', 'WSD_Min', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(32, 'WSD_Perc', 'WSD_Perc', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(31, 'WSD_StdDev', 'WSD_StdDev', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(13, 'AP_Ave', 'AP_Ave', NULL, '884', '010004', 'Hpa', NULL, NULL, NULL),
	(14, 'AP_Max', 'AP_Max', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(12, 'AP_Min', 'AP_Min', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(16, 'AP_Perc', 'AP_Perc', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(15, 'AP_StdDV', 'AP_StdDV', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(8, 'AT_Ave', 'AT_Ave', NULL, '881', '012101', '°C', NULL, NULL, NULL),
	(9, 'AT_Max', 'AT_Max', NULL, '882', '012111', '°C', NULL, NULL, NULL),
	(7, 'AT_Min', 'AT_Min', NULL, '883', '012112', '°C', NULL, NULL, NULL),
	(11, 'AT_Perc', 'AT_Perc', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(10, 'AT_StdV', 'AT_StdV', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(24, 'BAT_Inst', 'BAT_Inst', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(25, 'BAT_Perc', 'BAT_Perc', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(1, 'Date/time', 'Date/time', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(18, 'RAD_Ave', 'RAD_Ave', NULL, '894', '014028', 'J', NULL, NULL, NULL),
	(19, 'RAD_Max', 'RAD_Max', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(17, 'RAD_Min', 'RAD_Min', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(21, 'RAD_Perc', 'RAD_Perc', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(20, 'RAD_StdDV', 'RAD_StdDV', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(23, 'RAIN_Perc', 'RAIN_Perc', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(22, 'RAIN_Tot', 'RAIN_Tot', NULL, '892', '013011', 'mm', NULL, NULL, NULL),
	(3, 'RH_Ave', 'RH_Ave', NULL, '893', '013003', '%', NULL, NULL, NULL),
	(4, 'RH_Max', 'RH_Max', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(2, 'RH_Min', 'RH_Min', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(6, 'RH_Perc', 'RH_Perc', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(5, 'RH_StdV', 'RH_StdV', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(26, 'TX_Inst', 'TX_Inst', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(27, 'TX_Perc', 'TX_Perc', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(37, 'WDR_CalmPerc', 'WDR_CalmPerc', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(38, 'WDR_Perc', 'WDR_Perc', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(33, 'WDR_PrevDir', 'WDR_PrevDir', NULL, '895', '011001', 'Deg', NULL, NULL, NULL),
	(34, 'WDR_RisDir', 'WDR_RisDir', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(35, 'WDR_RisVel', 'WDR_RisVel', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(36, 'WDR_StdDevDir', 'WDR_StdDevDir', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(29, 'WSD_Ave', 'WSD_Ave', NULL, '897', '011002', 'Knots', NULL, NULL, NULL),
	(30, 'WSD_Max', 'WSD_Max', NULL, '886', '011041', 'Knots', NULL, NULL, NULL),
	(28, 'WSD_Min', 'WSD_Min', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(32, 'WSD_Perc', 'WSD_Perc', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(31, 'WSD_StdDev', 'WSD_StdDev', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(13, 'AP_Ave', 'AP_Ave', NULL, '884', '010004', 'Hpa', NULL, NULL, NULL),
	(14, 'AP_Max', 'AP_Max', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(12, 'AP_Min', 'AP_Min', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(16, 'AP_Perc', 'AP_Perc', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(15, 'AP_StdDV', 'AP_StdDV', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(8, 'AT_Ave', 'AT_Ave', NULL, '881', '012101', '°C', NULL, NULL, NULL),
	(9, 'AT_Max', 'AT_Max', NULL, '882', '012111', '°C', NULL, NULL, NULL),
	(7, 'AT_Min', 'AT_Min', NULL, '883', '012112', '°C', NULL, NULL, NULL),
	(11, 'AT_Perc', 'AT_Perc', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(10, 'AT_StdV', 'AT_StdV', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(24, 'BAT_Inst', 'BAT_Inst', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(25, 'BAT_Perc', 'BAT_Perc', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(1, 'Date/time', 'Date/time', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(18, 'RAD_Ave', 'RAD_Ave', NULL, '894', '014028', 'J', NULL, NULL, NULL),
	(19, 'RAD_Max', 'RAD_Max', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(17, 'RAD_Min', 'RAD_Min', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(21, 'RAD_Perc', 'RAD_Perc', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(20, 'RAD_StdDV', 'RAD_StdDV', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(23, 'RAIN_Perc', 'RAIN_Perc', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(22, 'RAIN_Tot', 'RAIN_Tot', NULL, '892', '013011', 'mm', NULL, NULL, NULL),
	(3, 'RH_Ave', 'RH_Ave', NULL, '893', '013003', '%', NULL, NULL, NULL),
	(4, 'RH_Max', 'RH_Max', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(2, 'RH_Min', 'RH_Min', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(6, 'RH_Perc', 'RH_Perc', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(5, 'RH_StdV', 'RH_StdV', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(26, 'TX_Inst', 'TX_Inst', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(27, 'TX_Perc', 'TX_Perc', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(37, 'WDR_CalmPerc', 'WDR_CalmPerc', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(38, 'WDR_Perc', 'WDR_Perc', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(33, 'WDR_PrevDir', 'WDR_PrevDir', NULL, '895', '011001', 'Deg', NULL, NULL, NULL),
	(34, 'WDR_RisDir', 'WDR_RisDir', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(35, 'WDR_RisVel', 'WDR_RisVel', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(36, 'WDR_StdDevDir', 'WDR_StdDevDir', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(29, 'WSD_Ave', 'WSD_Ave', NULL, '897', '011002', 'Knots', NULL, NULL, NULL),
	(30, 'WSD_Max', 'WSD_Max', NULL, '886', '011041', 'Knots', NULL, NULL, NULL),
	(28, 'WSD_Min', 'WSD_Min', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(32, 'WSD_Perc', 'WSD_Perc', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(31, 'WSD_StdDev', 'WSD_StdDev', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(13, 'AP_Ave', 'AP_Ave', NULL, '884', '010004', 'Hpa', NULL, NULL, NULL),
	(14, 'AP_Max', 'AP_Max', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(12, 'AP_Min', 'AP_Min', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(16, 'AP_Perc', 'AP_Perc', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(15, 'AP_StdDV', 'AP_StdDV', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(8, 'AT_Ave', 'AT_Ave', NULL, '881', '012101', '°C', NULL, NULL, NULL),
	(9, 'AT_Max', 'AT_Max', NULL, '882', '012111', '°C', NULL, NULL, NULL),
	(7, 'AT_Min', 'AT_Min', NULL, '883', '012112', '°C', NULL, NULL, NULL),
	(11, 'AT_Perc', 'AT_Perc', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(10, 'AT_StdV', 'AT_StdV', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(24, 'BAT_Inst', 'BAT_Inst', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(25, 'BAT_Perc', 'BAT_Perc', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(1, 'Date/time', 'Date/time', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(18, 'RAD_Ave', 'RAD_Ave', NULL, '894', '014028', 'J', NULL, NULL, NULL),
	(19, 'RAD_Max', 'RAD_Max', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(17, 'RAD_Min', 'RAD_Min', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(21, 'RAD_Perc', 'RAD_Perc', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(20, 'RAD_StdDV', 'RAD_StdDV', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(23, 'RAIN_Perc', 'RAIN_Perc', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(22, 'RAIN_Tot', 'RAIN_Tot', NULL, '892', '013011', 'mm', NULL, NULL, NULL),
	(3, 'RH_Ave', 'RH_Ave', NULL, '893', '013003', '%', NULL, NULL, NULL),
	(4, 'RH_Max', 'RH_Max', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(2, 'RH_Min', 'RH_Min', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(6, 'RH_Perc', 'RH_Perc', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(5, 'RH_StdV', 'RH_StdV', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(26, 'TX_Inst', 'TX_Inst', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(27, 'TX_Perc', 'TX_Perc', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(37, 'WDR_CalmPerc', 'WDR_CalmPerc', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(38, 'WDR_Perc', 'WDR_Perc', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(33, 'WDR_PrevDir', 'WDR_PrevDir', NULL, '895', '011001', 'Deg', NULL, NULL, NULL),
	(34, 'WDR_RisDir', 'WDR_RisDir', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(35, 'WDR_RisVel', 'WDR_RisVel', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(36, 'WDR_StdDevDir', 'WDR_StdDevDir', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(29, 'WSD_Ave', 'WSD_Ave', NULL, '897', '011002', 'Knots', NULL, NULL, NULL),
	(30, 'WSD_Max', 'WSD_Max', NULL, '886', '011041', 'Knots', NULL, NULL, NULL),
	(28, 'WSD_Min', 'WSD_Min', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(32, 'WSD_Perc', 'WSD_Perc', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(31, 'WSD_StdDev', 'WSD_StdDev', NULL, NULL, NULL, NULL, NULL, NULL, NULL);
/*!40000 ALTER TABLE `aws_rwanda1` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_test_db_v4.aws_rwanda4
CREATE TABLE IF NOT EXISTS `aws_rwanda4` (
  `Cols` int(11) NOT NULL,
  `Element_Name` varchar(20) DEFAULT NULL,
  `Element_Abbreviation` varchar(20) DEFAULT NULL,
  `Element_Details` varchar(25) DEFAULT NULL,
  `Climsoft_Element` varchar(6) DEFAULT NULL,
  `Bufr_Element` varchar(6) DEFAULT NULL,
  `unit` varchar(15) DEFAULT NULL,
  `lower_limit` varchar(10) DEFAULT NULL,
  `upper_limit` varchar(10) DEFAULT NULL,
  `obsv` varchar(25) DEFAULT NULL,
  PRIMARY KEY (`Cols`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- Dumping data for table mariadb_climsoft_test_db_v4.aws_rwanda4: ~48 rows (approximately)
/*!40000 ALTER TABLE `aws_rwanda4` DISABLE KEYS */;
INSERT INTO `aws_rwanda4` (`Cols`, `Element_Name`, `Element_Abbreviation`, `Element_Details`, `Climsoft_Element`, `Bufr_Element`, `unit`, `lower_limit`, `upper_limit`, `obsv`) VALUES
	(1, 'date/time', 'Date/time', 'Date and time', NULL, NULL, NULL, NULL, NULL, '10-22-2015'),
	(2, 'RHMin', 'RHMIN', 'RELATIVE Humidity Minimum', NULL, NULL, NULL, NULL, NULL, '10-22-2015'),
	(3, 'RHAve', 'RHAVG', 'RELATIVE Humidity Average', '893', '13003', '%', NULL, NULL, '10-22-2015'),
	(4, 'RHMax', 'RHMAX', 'RELATIVE Humidity Maximum', NULL, NULL, NULL, NULL, NULL, '10-22-2015'),
	(5, 'StdDev', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '10-22-2015'),
	(6, 'RHValidDataPerc', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '10-22-2015'),
	(7, 'TempMin', 'TMIN', 'Minimum Temperature', '883', '12112', NULL, NULL, NULL, '10-22-2015'),
	(8, 'TempAve', 'TVG', 'Average Temperature', '881', '12101', '\'C', NULL, NULL, '10-22-2015'),
	(9, 'TempMax', 'TMAX', 'Maximum Temperature', '882', '12111', NULL, NULL, NULL, '10-22-2015'),
	(10, 'TempStdDev', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '10-22-2015'),
	(11, 'TempValidDataPerc', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '10-22-2015'),
	(12, 'PRESMin', 'PRESMIN', 'Minimum Pressure', NULL, NULL, NULL, NULL, NULL, '10-22-2015'),
	(13, 'PRESAve', 'PRESAVG', 'Average Pressure', '884', '30200', 'hPa', NULL, NULL, '10-22-2015'),
	(14, 'PRESMax', 'PRESMAX', 'Maximum Pressure', NULL, NULL, NULL, NULL, NULL, '10-22-2015'),
	(15, 'PRESStdDev', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '10-22-2015'),
	(16, 'PRESValidDataPerc', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '10-22-2015'),
	(17, 'RADMin', 'RADMIN', 'Global Radiation Minimum', NULL, NULL, 'W/m2', NULL, NULL, '10-22-2015'),
	(18, 'RADAve', 'RADAVG', 'Global Radiation Average', '894', '14028', 'W/m2', NULL, NULL, '10-22-2015'),
	(19, 'RADMax', 'RADMAX', 'Global Radiation Maximum', NULL, NULL, 'W/m2', NULL, NULL, '10-22-2015'),
	(20, 'RADStdDev', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '10-22-2015'),
	(21, 'RADValidDataPerc', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '10-22-2015'),
	(22, 'PRECTot', 'PRECTOT', 'Total Precipitation', '892', '13011', 'mm', NULL, NULL, '10-22-2015'),
	(23, 'PRECValidDataPerc', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '10-22-2015'),
	(24, 'PWInst', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '10-22-2015'),
	(25, 'PWValidDataPerc', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '10-22-2015'),
	(26, 'TempInst', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '10-22-2015'),
	(27, 'TempValidDataPerc', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '10-22-2015'),
	(28, 'WSPMin', 'WSPMIN', 'Minimum Wind speed', NULL, NULL, NULL, NULL, NULL, '10-22-2015'),
	(29, 'WSPAve', 'WSPAVG', 'Average Wind speed', '897', '11002', 'm/s', NULL, NULL, '10-22-2015'),
	(30, 'WSPMax', 'WSMAX', 'Maximum Wind speed', NULL, NULL, NULL, NULL, NULL, '10-22-2015'),
	(31, 'WSPStdDev', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '10-22-2015'),
	(32, 'WSPValidDataPerc', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '10-22-2015'),
	(33, 'WDPrevDir', 'WDPR', 'Wind Direction', '895', '11001', NULL, NULL, NULL, '10-22-2015'),
	(34, 'WDRisDir', 'WDR', NULL, NULL, NULL, NULL, NULL, NULL, '10-22-2015'),
	(35, 'WDRisVel', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '10-22-2015'),
	(36, 'WDStdDevDir', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '10-22-2015'),
	(37, 'WDCalmPerc', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '10-22-2015'),
	(38, 'WDValidDataPerc', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '10-22-2015'),
	(39, 'TempSoilMin', 'TSMIN', 'Minimum Soil Temperature', NULL, NULL, '\'C', NULL, NULL, '10-22-2015'),
	(40, 'TempSoilAve', 'TSAVG', 'Average Soil Temperature', '900', '12130', '\'C', NULL, NULL, '10-22-2015'),
	(41, 'TempSoilMax', 'TSMAX', 'Maximum Soil Temperature', NULL, NULL, '\'C', NULL, NULL, '10-22-2015'),
	(42, 'TempSoliStdDev', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '10-22-2015'),
	(43, 'TempSoiValidDataPerc', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '10-22-2015'),
	(44, 'Temp10mMin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '10-22-2015'),
	(45, 'Temp10mAve', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '10-22-2015'),
	(46, 'Temp10mMax', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '10-22-2015'),
	(47, 'Temp10mStdDev', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '10-22-2015'),
	(48, 'Temp10mValidDataPerc', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '10-22-2015');
/*!40000 ALTER TABLE `aws_rwanda4` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_test_db_v4.aws_sasscal1
CREATE TABLE IF NOT EXISTS `aws_sasscal1` (
  `Cols` int(11) NOT NULL DEFAULT '0',
  `Element_Abbreviation` varchar(50) DEFAULT NULL,
  `Element_Name` varchar(50) DEFAULT NULL,
  `Element_Details` varchar(50) DEFAULT NULL,
  `Climsoft_Element` varchar(6) DEFAULT NULL,
  `Bufr_Element` varchar(6) DEFAULT NULL,
  `unit` varchar(15) DEFAULT NULL,
  `lower_limit` varchar(50) DEFAULT NULL,
  `upper_limit` varchar(50) DEFAULT NULL,
  `obsv` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`Cols`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- Dumping data for table mariadb_climsoft_test_db_v4.aws_sasscal1: ~12 rows (approximately)
/*!40000 ALTER TABLE `aws_sasscal1` DISABLE KEYS */;
INSERT INTO `aws_sasscal1` (`Cols`, `Element_Abbreviation`, `Element_Name`, `Element_Details`, `Climsoft_Element`, `Bufr_Element`, `unit`, `lower_limit`, `upper_limit`, `obsv`) VALUES
	(0, NULL, NULL, NULL, NULL, NULL, '11', NULL, NULL, NULL),
	(1, 'Station', 'Station', 'Station', NULL, NULL, NULL, NULL, NULL, 'Mahenene'),
	(2, 'Date/time', 'Date/time', 'Date/time', NULL, NULL, NULL, NULL, NULL, '20/03/2014 21:00:00'),
	(3, 'AT', 'Air_Temp', 'Air Temperature', '881', '012101', '\'C', NULL, NULL, '19.4'),
	(4, 'PRECIP', 'Precip', 'Precipitation', '892', '013011', 'mm', NULL, NULL, '0.0'),
	(5, 'WINDSPD', 'Wind_Speed', 'Wind Speed', '897', '011002', 'm/s', NULL, NULL, '1.2'),
	(6, 'WINDSPDX', 'Wind_Speed_Max', 'Wind Speed Maximum', '886', '011041', 'm/s', NULL, NULL, '2.2'),
	(7, 'WINDDIR', 'Wind_Direction', 'Wind Direction', '895', '011001', 'Deg', NULL, NULL, '169'),
	(8, 'RH', 'RH', 'Relative Humidity', '893', '013003', '%', NULL, NULL, '59.5'),
	(9, 'BPAR', 'BP_mbar_Avg', 'Pressure', '884', '010004', 'Hpa', NULL, NULL, '891'),
	(10, 'SOLRD', 'Solar_Rad', 'Solar Radiation', '894', '014028', 'MJ/s', NULL, NULL, '0.08'),
	(11, 'SUNHRS', 'Sun_Hrs', 'Sunshine Hours', '893', '013003', 'hrs', NULL, NULL, '0.0');
/*!40000 ALTER TABLE `aws_sasscal1` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_test_db_v4.aws_sites
CREATE TABLE IF NOT EXISTS `aws_sites` (
  `SiteID` varchar(20) NOT NULL,
  `SiteName` varchar(50) DEFAULT NULL,
  `InputFile` varchar(50) DEFAULT NULL,
  `FilePrefix` varchar(50) DEFAULT NULL,
  `chkPrefix` tinyint(1) DEFAULT '0',
  `DataStructure` varchar(50) DEFAULT NULL,
  `MissingDataFlag` varchar(10) DEFAULT NULL,
  `awsServerIP` varchar(50) DEFAULT NULL,
  `OperationalStatus` tinyint(1) unsigned zerofill NOT NULL DEFAULT '0',
  `GTSEncode` varchar(20) DEFAULT NULL,
  `GTSHeader` varchar(20) DEFAULT NULL,
  PRIMARY KEY (`SiteID`),
  UNIQUE KEY `SiteID_UNIQUE` (`SiteID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- Dumping data for table mariadb_climsoft_test_db_v4.aws_sites: ~0 rows (approximately)
/*!40000 ALTER TABLE `aws_sites` DISABLE KEYS */;
/*!40000 ALTER TABLE `aws_sites` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_test_db_v4.aws_stations
CREATE TABLE IF NOT EXISTS `aws_stations` (
  `aws_id` varchar(50) NOT NULL,
  `national_id` varchar(50) NOT NULL,
  `station_name` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`aws_id`,`national_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_test_db_v4.aws_stations: ~0 rows (approximately)
/*!40000 ALTER TABLE `aws_stations` DISABLE KEYS */;
/*!40000 ALTER TABLE `aws_stations` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_test_db_v4.aws_structures
CREATE TABLE IF NOT EXISTS `aws_structures` (
  `strID` int(11) NOT NULL AUTO_INCREMENT,
  `strName` varchar(20) NOT NULL,
  `data_delimiter` varchar(10) NOT NULL,
  `hdrRows` int(11) NOT NULL,
  `txtQualifier` varchar(5) DEFAULT NULL,
  PRIMARY KEY (`strName`),
  UNIQUE KEY `strID_UNIQUE` (`strID`)
) ENGINE=InnoDB AUTO_INCREMENT=35 DEFAULT CHARSET=utf8;

-- Dumping data for table mariadb_climsoft_test_db_v4.aws_structures: ~6 rows (approximately)
/*!40000 ALTER TABLE `aws_structures` DISABLE KEYS */;
INSERT INTO `aws_structures` (`strID`, `strName`, `data_delimiter`, `hdrRows`, `txtQualifier`) VALUES
	(11, 'aws_malawi1', 'tab', 3, '"'),
	(14, 'aws_rwanda4', 'tab', 3, NULL),
	(19, 'aws_sasscal1', 'comma', 1, '"'),
	(34, 'aws_tahmo', 'comma', 2, '"'),
	(5, 'aws_toa5_bw1', 'comma', 4, '"'),
	(18, 'aws_toa5_mg2', 'comma', 4, '');
/*!40000 ALTER TABLE `aws_structures` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_test_db_v4.aws_tahmo
CREATE TABLE IF NOT EXISTS `aws_tahmo` (
  `Cols` int(11) NOT NULL,
  `Element_abbreviation` varchar(50) DEFAULT NULL,
  `Element_Name` varchar(50) DEFAULT NULL,
  `Element_Details` varchar(50) DEFAULT NULL,
  `Climsoft_Element` varchar(6) DEFAULT NULL,
  `Bufr_Element` varchar(6) DEFAULT NULL,
  `unit` varchar(15) DEFAULT NULL,
  `lower_limit` varchar(50) DEFAULT NULL,
  `upper_limit` varchar(50) DEFAULT NULL,
  `obsv` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`Cols`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_test_db_v4.aws_tahmo: ~14 rows (approximately)
/*!40000 ALTER TABLE `aws_tahmo` DISABLE KEYS */;
INSERT INTO `aws_tahmo` (`Cols`, `Element_abbreviation`, `Element_Name`, `Element_Details`, `Climsoft_Element`, `Bufr_Element`, `unit`, `lower_limit`, `upper_limit`, `obsv`) VALUES
	(1, 'Date/time', 'DateTime', 'Date and Time', NULL, NULL, NULL, NULL, NULL, '2016-08-02 08:50'),
	(2, 'PRECIP', 'Rainfall', 'Rain cummulative', '892', '013011', 'mm', '0', NULL, '0'),
	(3, 'WDDR', 'WindDirection', 'Wind Direction', '895', '011001', 'deg', '0', '360', '324'),
	(4, 'WDSPD', 'WindSpeed', 'Wind Speed Average', '897', '', 'm/s', NULL, NULL, '1.8'),
	(5, 'WDGUSTSPD', 'WindSpeed', 'Wind Speed Average', '886', '011041', 'm/s', NULL, NULL, '2.6'),
	(6, 'CONDCTVTY', 'Conductivity', 'Electrical Conductivity', '919', NULL, 'mS/cm', NULL, NULL, NULL),
	(7, 'VAPPRESS', 'VapourPress', 'Vapour Pressure', '916', NULL, 'kPa', NULL, NULL, '1.72'),
	(8, 'TEMP', 'AirTemp', 'Air temperature', '881', '012103', 'dec \'c', NULL, NULL, '26.5'),
	(9, 'RH', 'RelativeHumidity', 'Relative Humidity', '893', '013003', '0.01%', '0', '1', '0.5'),
	(10, 'PRESS', 'Pressure', 'Pressure', '884', '010004', 'kPa', NULL, NULL, NULL),
	(11, 'SOLRD', 'SolarRadiation', 'Solar Radiation', '894', '014028', 'W/m^2', NULL, NULL, '0'),
	(12, 'WATRDPTH', 'WaterDepth', 'Water Depth', '918', NULL, 'mm', NULL, NULL, '1467'),
	(13, 'WATRTEMP', 'WaterTemp', 'Water Temperature', '917', NULL, 'deg \'c', NULL, NULL, '21.5'),
	(14, 'SOILMOIST', 'SoilMoisture', 'Soil Moisture', '915', NULL, 'm^3/m^3', NULL, NULL, NULL);
/*!40000 ALTER TABLE `aws_tahmo` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_test_db_v4.aws_toa5_bw1
CREATE TABLE IF NOT EXISTS `aws_toa5_bw1` (
  `Cols` int(11) DEFAULT '0',
  `Element_Abbreviation` varchar(50) DEFAULT NULL,
  `Element_Name` varchar(50) DEFAULT NULL,
  `Element_Details` varchar(50) DEFAULT NULL,
  `Climsoft_Element` varchar(6) DEFAULT NULL,
  `Bufr_Element` varchar(6) DEFAULT NULL,
  `unit` varchar(15) DEFAULT NULL,
  `lower_limit` varchar(50) DEFAULT NULL,
  `upper_limit` varchar(50) DEFAULT NULL,
  `obsv` varchar(50) DEFAULT NULL,
  UNIQUE KEY `identification` (`Element_Abbreviation`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- Dumping data for table mariadb_climsoft_test_db_v4.aws_toa5_bw1: ~16 rows (approximately)
/*!40000 ALTER TABLE `aws_toa5_bw1` DISABLE KEYS */;
INSERT INTO `aws_toa5_bw1` (`Cols`, `Element_Abbreviation`, `Element_Name`, `Element_Details`, `Climsoft_Element`, `Bufr_Element`, `unit`, `lower_limit`, `upper_limit`, `obsv`) VALUES
	(1, 'Date/time', 'date/time', 'Datetime', NULL, NULL, NULL, NULL, NULL, NULL),
	(2, 'RECORD', 'record', 'Record number', NULL, NULL, NULL, NULL, NULL, NULL),
	(3, 'BATTV', 'BattV_Avg', 'Battery Power', NULL, NULL, NULL, NULL, NULL, NULL),
	(4, 'BATT24V', 'Batt24V_Avg', 'Daily Average Battery Power', NULL, NULL, NULL, NULL, NULL, NULL),
	(5, 'TRACKERWM', 'TrackerWM_Avg', 'Tracker', NULL, NULL, NULL, NULL, NULL, NULL),
	(6, 'SHADOWWM', 'ShadowWM_Avg', 'Shadow', NULL, NULL, NULL, NULL, NULL, NULL),
	(7, 'SUNWM', 'SunWM_Avg', 'Sloar Radiation', '894', '014028', 'W/m2', NULL, NULL, NULL),
	(8, 'WSV', 'WS_ms_S_WVT', 'Wind Speed Average', '897', '011002', 'Knots', NULL, NULL, NULL),
	(9, 'WINDDIRD', 'WindDir_D1_WVT', 'Wind Direction Average', '895', '011001', 'Deg', NULL, NULL, NULL),
	(10, 'WINDDIRS', 'WindDir_SD1_WVT', 'Wind Gust Direction', '887', NULL, NULL, NULL, NULL, NULL),
	(11, 'WSX', 'WS_ms_Max', 'Wind Gust Speed', '886', '011041', 'Knots', NULL, NULL, NULL),
	(12, 'AIRTC', 'AirTc_Avg', 'Air Temperature', '881', '012101', '°C', NULL, NULL, NULL),
	(13, 'RH', 'RH', 'Relative Humidity', '893', '013003', '%', NULL, NULL, NULL),
	(14, 'BPAR', 'BP_mbar_Avg', 'Pressure', '884', '010004', 'Hpa', NULL, NULL, NULL),
	(15, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL),
	(15, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
/*!40000 ALTER TABLE `aws_toa5_bw1` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_test_db_v4.aws_toa5_mg2
CREATE TABLE IF NOT EXISTS `aws_toa5_mg2` (
  `Cols` bigint(20) NOT NULL,
  `Element_Abbreviation` varchar(50) DEFAULT NULL,
  `Element_Name` varchar(50) DEFAULT NULL,
  `Element_Details` varchar(50) DEFAULT NULL,
  `Climsoft_Element` varchar(6) DEFAULT NULL,
  `Bufr_Element` varchar(6) DEFAULT NULL,
  `unit` varchar(15) DEFAULT NULL,
  `lower_limit` varchar(50) DEFAULT NULL,
  `upper_limit` varchar(50) DEFAULT NULL,
  `obsv` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`Cols`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- Dumping data for table mariadb_climsoft_test_db_v4.aws_toa5_mg2: ~140 rows (approximately)
/*!40000 ALTER TABLE `aws_toa5_mg2` DISABLE KEYS */;
INSERT INTO `aws_toa5_mg2` (`Cols`, `Element_Abbreviation`, `Element_Name`, `Element_Details`, `Climsoft_Element`, `Bufr_Element`, `unit`, `lower_limit`, `upper_limit`, `obsv`) VALUES
	(1, 'Date/time', 'Date/time', 'Date and time', NULL, NULL, NULL, NULL, NULL, '01/12/2015 11:00'),
	(2, 'RECORD', 'RECORD', 'Record number', NULL, NULL, NULL, NULL, NULL, '348577'),
	(3, 'AirTemp_1m', 'AirTemp_1m', 'Air Temperature at 1 metre', '881', '012103', '\'C', NULL, NULL, '20.29727'),
	(4, 'AirTemp_1m_Err', 'AirTemp_1m_Err', 'Air Temperature at 1 metre error', NULL, NULL, NULL, NULL, NULL, '0'),
	(5, 'TEMP_MAX_24HR', 'TEMP_MAX_24HR', 'TEMP MAX for 24HR', '882', '012111', '\'C', NULL, NULL, '28.84937'),
	(6, 'TEMP_MAX_24HR_AT', 'TEMP_MAX_24HR_AT', 'TEMP MAX for 24HR Time', NULL, NULL, NULL, NULL, NULL, '30/11/2014 10:12'),
	(7, 'TEMP_MAX_24HR_Err', 'TEMP_MAX_24HR_Err', 'TEMP MAX for 24HR Error', NULL, NULL, NULL, NULL, NULL, '0'),
	(8, 'TEMP_MIN_24HR', 'TEMP_MIN_24HR', 'TEMP MIN for 24HR', '883', '012112', '\'C', NULL, NULL, '17.79975'),
	(9, 'TEMP_MIN_24HR_AT', 'TEMP_MIN_24HR_AT', 'TEMP MIN for 24HR Time', NULL, NULL, NULL, NULL, NULL, '30/11/2014 01:16'),
	(10, 'TEMP_MIN_24HR_Err', 'TEMP_MIN_24HR_Err', 'TEMP MIN for 24HR Error', NULL, NULL, NULL, NULL, NULL, '0'),
	(11, 'DB_1m', 'DB_1m', 'Dry bulb, 1 minute average', NULL, NULL, NULL, NULL, NULL, '20.29727'),
	(12, 'DB_1m_Err', 'DB_1m_Err', 'Binary Quality Flags', NULL, NULL, NULL, NULL, NULL, '0'),
	(13, 'DB2_1m', 'DB2_1m', 'DB2_1m', NULL, NULL, NULL, NULL, NULL, NULL),
	(14, 'DB2_1m_Err', 'DB2_1m_Err', 'DB2_1m_Err', NULL, NULL, NULL, NULL, NULL, '1024'),
	(15, 'WB_1m', 'WB_1m', 'WB_1m', NULL, NULL, NULL, NULL, NULL, NULL),
	(16, 'WB_1m_Err', 'WB_1m_Err', 'WB_1m_Err', NULL, NULL, NULL, NULL, NULL, '1024'),
	(17, 'GRA_1m', 'GRA_1m', 'GRA_1m', NULL, NULL, NULL, NULL, NULL, NULL),
	(18, 'GRA_1m_Err', 'GRA_1m_Err', 'GRA_1m_Err', NULL, NULL, NULL, NULL, NULL, '1024'),
	(19, 'CON_1m', 'CON_1m', 'CON_1m', NULL, NULL, NULL, NULL, NULL, NULL),
	(20, 'CON_1m_Err', 'CON_1m_Err', 'CON_1m_Err', NULL, NULL, NULL, NULL, NULL, '1024'),
	(21, 'S10_1m', 'S10_1m', 'S10_1m', NULL, '012130', '\'C', NULL, '', NULL),
	(22, 'S10_1m_Err', 'S10_1m_Err', 'S10_1m_Err', NULL, NULL, NULL, NULL, NULL, '1024'),
	(23, 'S30_1m', 'S30_1m', 'S30_1m', NULL, NULL, NULL, NULL, NULL, NULL),
	(24, 'S30_1m_Err', 'S30_1m_Err', 'S30_1m_Err', NULL, NULL, NULL, NULL, NULL, '1024'),
	(25, 'S100_1m', 'S100_1m', 'S100_1m', NULL, NULL, NULL, NULL, NULL, NULL),
	(26, 'S100_1m_Err', 'S100_1m_Err', 'S100_1m_Err', NULL, NULL, NULL, NULL, NULL, '1024'),
	(27, 'RH_1m', 'RH_1m', 'Relative humidity, 1 min average', '893', '013003', '%', NULL, NULL, '85.4'),
	(28, 'RH_1m_Err', 'RH_1m_Err', 'Binary Quality Flags', NULL, NULL, NULL, NULL, NULL, '0'),
	(29, 'RHT_1m', 'RHT_1m', 'Temperature from RH sensor', NULL, NULL, NULL, NULL, NULL, '19.9338'),
	(30, 'RHT_1m_Err', 'RHT_1m_Err', 'Binary Quality Flags', NULL, NULL, NULL, NULL, NULL, '0'),
	(31, 'DewPT_WB_1m', 'DewPT_WB_1m', 'DewPT_WB_1m', NULL, NULL, NULL, NULL, NULL, NULL),
	(32, 'DewPT_WB_1m_Err', 'DewPT_WB_1m_Err', 'DewPT_WB_1m_Err', NULL, NULL, NULL, NULL, NULL, '1281'),
	(33, 'DewPT_RH_1m', 'DewPT_RH_1m', 'Dew-point (calculated from RH sensor) ', '885', '012103', '°C', NULL, NULL, '17.76225'),
	(34, 'DewPT_RH_1m_Err', 'DewPT_RH_1m_Err', 'Binary Quality Flags', NULL, NULL, NULL, NULL, NULL, '0'),
	(35, 'RH_DBWB_1m', 'RH_DBWB_1m', 'RH_DBWB_1m', NULL, NULL, NULL, NULL, NULL, NULL),
	(36, 'RH_DBWB_1m_Err', 'RH_DBWB_1m_Err', 'RH_DBWB_1m_Err', NULL, NULL, NULL, NULL, NULL, '1024'),
	(37, 'WS_1m', 'WS_1m', 'Wind speed, 1 min average', NULL, NULL, 'Knots', NULL, NULL, '3.38'),
	(38, 'WS_1m_Err', 'WS_1m_Err', 'Binary Quality Flags', NULL, NULL, NULL, NULL, NULL, '0'),
	(39, 'WD_1m', 'WD_1m', 'Wind direction, 1 min average', NULL, NULL, 'Degree', NULL, NULL, '54.84'),
	(40, 'WD_1m_Err', 'WD_1m_Err', 'Binary Quality Flags', NULL, NULL, NULL, NULL, NULL, '0'),
	(41, 'WS_2m', 'WS_2m', 'Wind Speed at 2m', NULL, NULL, NULL, NULL, NULL, '3.738'),
	(42, 'WS_2m_Err', 'WS_2m_Err', 'Wind Speed at 2m error', NULL, NULL, NULL, NULL, NULL, '0'),
	(43, 'WD_2m', 'WD_2m', 'Wind Direction at 2m', NULL, NULL, NULL, NULL, NULL, '60.15'),
	(44, 'WD_2m_Err', 'WD_2m_Err', 'Wind Direction at 2m error', NULL, NULL, NULL, NULL, NULL, '0'),
	(45, 'WS_10m', 'WS_10m', 'Wind Speed at 10m', '897', '011002', 'Knots', NULL, NULL, '4.028'),
	(46, 'WS_10m_Err', 'WS_10m_Err', 'Wind Speed at 10m error', NULL, NULL, NULL, NULL, NULL, '0'),
	(47, 'WD_10m', 'WD_10m', 'Wind Direction at 10m', '895', '011001', 'Degree', NULL, NULL, '56.13'),
	(48, 'WD_10m_Err', 'WD_10m_Err', 'Wind Direction at 10m error', NULL, NULL, NULL, NULL, NULL, '0'),
	(49, 'MAXGust', 'MAXGust', 'Maximum wind gust speed', NULL, NULL, NULL, NULL, NULL, '4.167'),
	(50, 'MaxGust_TIME', 'MaxGust_TIME', 'Time of above', NULL, NULL, NULL, NULL, NULL, '30/11/2014 13:59'),
	(51, 'MaxGust_WD', 'MaxGust_WD', 'Maximum wind gust direction', NULL, NULL, 'Degree', NULL, NULL, '54.06'),
	(52, 'MAXGust_10m', 'MAXGust_10m', 'Maximum wind gust speed at 10m', '886', '011041', 'Knots', NULL, NULL, '6.3'),
	(53, 'MaxGust_TIME_10m', 'MaxGust_TIME_10m', 'MaxGust TIME at 10m', NULL, NULL, NULL, NULL, NULL, '30/11/2014 13:57'),
	(54, 'MaxGust_WD_10m', 'MaxGust_WD_10m', 'MaxGust direction at 10m', '887', '011043', 'Knots', NULL, NULL, '60.25'),
	(55, 'MAXGust_60m', 'MAXGust_60m', 'MaxGust speed at 60m', NULL, NULL, NULL, NULL, NULL, '15.08'),
	(56, 'MaxGust_TIME_60m', 'MaxGust_TIME_60m', 'MaxGust tIME at 60m', NULL, NULL, NULL, NULL, NULL, '30/11/2014 13:22'),
	(57, 'MaxGust_WD_60m', 'MaxGust_WD_60m', 'MaxGust direction at 60m', NULL, NULL, NULL, NULL, NULL, '284.9'),
	(58, 'MostBacked_2m', 'MostBacked_2m', 'MostBacked at 2m', NULL, NULL, NULL, NULL, NULL, '17.5'),
	(59, 'MostVeered_2m', 'MostVeered_2m', 'MostVeered at 2m', NULL, NULL, NULL, NULL, NULL, '110.4'),
	(60, 'MostBacked_10m', 'MostBacked_10m', 'Most backed direction over past 10 mins', NULL, NULL, 'Degree', NULL, NULL, '14'),
	(61, 'MostVeered_10m', 'MostVeered_10m', 'Most veered direction over past 10 mins', NULL, NULL, 'Degree', NULL, NULL, '110.4'),
	(62, 'MD_WS_10m', 'MD_WS_10m', 'MD WS 10m', NULL, NULL, NULL, NULL, NULL, NULL),
	(63, 'MD_WS_10m', 'MD_WS_10m', 'MD WS 10m', NULL, NULL, NULL, NULL, NULL, NULL),
	(64, 'MD_WS_10m_Err', 'MD_WS_10m_Err', 'MD WS 10m error', NULL, NULL, NULL, NULL, NULL, '257'),
	(65, 'MD_WD_10m_Err', 'MD_WD_10m_Err', 'MD WD 10m error', NULL, NULL, NULL, NULL, NULL, '257'),
	(66, 'MD_MAXGust_10m', 'MD_MAXGust_10m', 'MD MAXGust speed at 10m', NULL, NULL, NULL, NULL, NULL, NULL),
	(67, 'MD_MAXGust_WD_10m', 'MD_MAXGust_WD_10m', 'MD MAXGust direction at 10m', NULL, NULL, NULL, NULL, NULL, NULL),
	(68, 'MD_MAXGust_TIME_10m', 'MD_MAXGust_TIME_10m', 'MD MAXGust tIME at 10m', NULL, NULL, NULL, NULL, NULL, '13/12/1921 20:45'),
	(69, 'MD_MAXGust_10m_Err', 'MD_MAXGust_10m_Err', 'MD MAXGust 10m error', NULL, NULL, NULL, NULL, NULL, '257'),
	(70, 'MD_MAXGust_WD_10m_Err', 'MD_MAXGust_WD_10m_Err', 'MD MAXGust WD 10m error', NULL, NULL, NULL, NULL, NULL, '257'),
	(71, 'MD_MAXGust_TIME_10m_Err', 'MD_MAXGust_TIME_10m_Err', 'MD MAXGust TIME 10m error', NULL, NULL, NULL, NULL, NULL, '257'),
	(72, 'RAIN_mm_1m', 'RAIN_mm_1m', 'Total rain over 1 min', '892', '013011', 'mm', NULL, NULL, '0'),
	(73, 'RAIN_mm_1m_Err', 'RAIN_mm_1m_Err', 'Binary Quality Flags', NULL, NULL, NULL, NULL, NULL, '0'),
	(74, 'RAIN_SINCE_0850', 'RAIN_SINCE_0850', 'RAIN SINCE 0850', NULL, NULL, NULL, NULL, NULL, '4'),
	(75, 'RAIN_SINCE_0850_Err', 'RAIN_SINCE_0850_Err', 'RAIN SINCE 0850_Err', NULL, NULL, NULL, NULL, NULL, '0'),
	(76, 'SNOW_1m', 'SNOW_1m', 'SNOW_1m', NULL, '013013', 'mm', NULL, NULL, '0'),
	(77, 'SNOW_1m_Err', 'SNOW_1m_Err', 'SNOW_1m_Err', NULL, NULL, NULL, NULL, NULL, '1024'),
	(78, 'CLOUD_1st_1m', 'CLOUD_1st_1m', 'CLOUD_1st_1m', NULL, NULL, NULL, NULL, NULL, '-2147483648'),
	(79, 'CLOUD_1st_1m_Err', 'CLOUD_1st_1m_Err', 'CLOUD_1st_1m_Err', NULL, NULL, NULL, NULL, NULL, '1024'),
	(80, 'CLOUD_2nd_1m', 'CLOUD_2nd_1m', 'CLOUD_2nd_1m', NULL, NULL, NULL, NULL, NULL, '-2147483648'),
	(81, 'CLOUD_2nd_1m_Err', 'CLOUD_2nd_1m_Err', 'CLOUD_2nd_1m_Err', NULL, NULL, NULL, NULL, NULL, '1024'),
	(82, 'CLOUD_3rd_1m', 'CLOUD_3rd_1m', 'CLOUD_3rd_1m', NULL, NULL, NULL, NULL, NULL, '-2147483648'),
	(83, 'CLOUD_3rd_1m_Err', 'CLOUD_3rd_1m_Err', 'CLOUD_3rd_1m_Err', NULL, NULL, NULL, NULL, NULL, '1024'),
	(84, 'CLOUD30s_1st_1m', 'CLOUD30s_1st_1m', 'CLOUD30s_1st_1m', NULL, NULL, NULL, NULL, NULL, '-2147483648'),
	(85, 'CLOUD30s_1st_1m_Err', 'CLOUD30s_1st_1m_Err', 'CLOUD30s_1st_1m_Err', NULL, NULL, NULL, NULL, NULL, '1024'),
	(86, 'CLOUD30s_2nd_1m', 'CLOUD30s_2nd_1m', 'CLOUD30s_2nd_1m', NULL, NULL, NULL, NULL, NULL, '-2147483648'),
	(87, 'CLOUD30s_2nd_1m_Err', 'CLOUD30s_2nd_1m_Err', 'CLOUD30s_2nd_1m_Err', NULL, NULL, NULL, NULL, NULL, '1024'),
	(88, 'CLOUD30s_3rd_1m', 'CLOUD30s_3rd_1m', 'CLOUD30s_3rd_1m', NULL, NULL, NULL, NULL, NULL, '-2147483648'),
	(89, 'CLOUD30s_3rd_1m_Err', 'CLOUD30s_3rd_1m_Err', 'CLOUD30s_3rd_1m_Err', NULL, NULL, NULL, NULL, NULL, '1024'),
	(90, 'CLOUD_VertVis_1m', 'CLOUD_VertVis_1m', 'CLOUD_VertVis_1m', NULL, NULL, NULL, NULL, NULL, '0'),
	(91, 'VIZ_1m', 'VIZ_1m', 'Visibility at 1m', NULL, '020001', 'm', NULL, NULL, '0'),
	(92, 'VIZ_1m_Err', 'VIZ_1m_Err', 'Visibility at 1m error', NULL, NULL, NULL, NULL, NULL, '1024'),
	(93, 'MD_VIZ_10m', 'MD_VIZ_10m', 'MD visibility at 10m', NULL, NULL, NULL, NULL, NULL, '0'),
	(94, 'MD_VIZ_10m_Err', 'MD_VIZ_10m_Err', 'MD visibility at 10m error', NULL, NULL, NULL, NULL, NULL, '0'),
	(95, 'PW_Code_1m', 'PW_Code_1m', 'PW Code 1m', NULL, NULL, NULL, NULL, NULL, '0'),
	(96, 'BP_1m', 'BP_1m', 'Barometric Pressure, 1 min average', '884', '010004', 'HPa', NULL, NULL, '867.04'),
	(97, 'BP_1m_Err', 'BP_1m_Err', 'Binary Quality Flags', NULL, NULL, NULL, NULL, NULL, '0'),
	(98, 'BP_QNH_1m', 'BP_QNH_1m', 'QNH, 1 min average', '891', '007004', 'HPa', NULL, NULL, '1014.939'),
	(99, 'BP_QNH_1m_Err', 'BP_QNH_1m_Err', 'Binary Quality Flags', NULL, NULL, NULL, NULL, NULL, '0'),
	(100, 'BP_QFF_1m', 'BP_QFF_1m', 'QFF, 1 min average', '890', '010051', 'HPa', NULL, NULL, '1009.688'),
	(101, 'BP_QFF_1m_Err', 'BP_QFF_1m_Err', 'Binary Quality Flags', NULL, NULL, NULL, NULL, NULL, '0'),
	(102, 'BP_QFE_1m', 'BP_QFE_1m', 'QFE, 1 min average', '889', NULL, 'HPa', NULL, NULL, '867.2416'),
	(103, 'BP_QFE_1m_Err', 'BP_QFE_1m_Err', 'Binary Quality Flags', NULL, NULL, NULL, NULL, NULL, '0'),
	(104, 'BP_QNHinHg_1m', 'BP_QNHinHg_1m', 'QNH, inches of mercury, 1 min average', NULL, NULL, NULL, NULL, NULL, '29.96'),
	(105, 'BP_QNHinHg_1m_Err', 'BP_QNHinHg_1m_Err', 'Binary Quality Flags', NULL, NULL, NULL, NULL, NULL, '0'),
	(106, 'BP_QFEinHg_1m', 'BP_QFEinHg_1m', 'QFE, inches of mercury, 1 min average', NULL, NULL, NULL, NULL, NULL, '25.6'),
	(107, 'BP_QFEinHg_1m_Err', 'BP_QFEinHg_1m_Err', 'Binary Quality Flags', NULL, NULL, NULL, NULL, NULL, '0'),
	(108, 'BP_Difference_3hr', 'BP_Difference_3hr', '3-hour pressure change', NULL, '010061', 'HPa', NULL, NULL, '-0.06750488'),
	(109, 'BP_Characteristic_3hr', 'BP_Characteristic_3hr', 'Pressure trend', NULL, '010063', 'HPa', NULL, NULL, '5'),
	(110, 'WET_1m', 'WET_1m', 'WET_1m', NULL, NULL, NULL, NULL, NULL, '0'),
	(111, 'WET_1m_Err', 'WET_1m_Err', 'WET_1m_Err', NULL, NULL, NULL, NULL, NULL, '1024'),
	(112, 'RAD_1m', 'RAD_1m', 'RAD_1m', NULL, '014028', 'Joules', NULL, NULL, '0'),
	(113, 'RAD_1m_Err', 'RAD_1m_Err', 'RAD_1m_Err', NULL, NULL, NULL, NULL, NULL, '1024'),
	(114, 'SUN_1m', 'SUN_1m', 'SUN_1m', NULL, '014031', 'Joules', NULL, NULL, '0'),
	(115, 'SUN_1m_Err', 'SUN_1m_Err', 'SUN_1m_Err', NULL, NULL, NULL, NULL, NULL, '1024'),
	(116, 'SunnySUN_1m', 'SunnySUN_1m', 'SunnySUN_1m', NULL, NULL, NULL, NULL, NULL, '0'),
	(117, 'SunnySUN_1m_Err', 'SunnySUN_1m_Err', 'SunnySUN_1m_Err', NULL, NULL, NULL, NULL, NULL, '1024'),
	(118, 'SunnyRAD_1m', 'SunnyRAD_1m', 'SunnyRAD_1m', NULL, NULL, NULL, NULL, NULL, '0'),
	(119, 'SunnyRAD_1m_Err', 'SunnyRAD_1m_Err', 'SunnyRAD_1m_Err', NULL, NULL, NULL, NULL, NULL, '1024'),
	(120, 'TEMP_MAX_24HR_AT_ERR', 'TEMP_MAX_24HR_AT_ERR', 'TEMP MAX for 24HR AT error', NULL, NULL, NULL, NULL, NULL, '0'),
	(121, 'TEMP_MIN_24HR_AT_ERR', 'TEMP_MIN_24HR_AT_ERR', 'TEMP MIN for 24HR AT error', NULL, NULL, NULL, NULL, NULL, '0'),
	(122, 'BP_Difference_3hr_Err', 'BP_Difference_3hr_Err', 'Binary Quality Flags', NULL, NULL, NULL, NULL, NULL, '0'),
	(123, 'BP_Characteristic_3hr_Err', 'BP_Characteristic_3hr_Err', 'Binary Quality Flags', NULL, NULL, NULL, NULL, NULL, '0'),
	(124, 'PW_Code_1m_Err', 'PW_Code_1m_Err', 'PW_Code_1m_Err', NULL, NULL, NULL, NULL, NULL, '1024'),
	(125, 'PW_Precipitation_1m', 'PW_Precipitation_1m', 'PW_Precipitation_1m', NULL, NULL, NULL, NULL, NULL, '0'),
	(126, 'PW_Precipitation_1m_Err', 'PW_Precipitation_1m_Err', 'PW_Precipitation_1m_Err', NULL, NULL, NULL, NULL, NULL, '1024'),
	(127, 'MAXGust_Err', 'MAXGust_Err', 'Binary Quality Flags', NULL, NULL, NULL, NULL, NULL, '0'),
	(128, 'MAXGust_10m_Err', 'MAXGust_10m_Err', 'MAXGust speed at 10m Err', NULL, NULL, NULL, NULL, NULL, '0'),
	(129, 'MAXGust_60m_Err', 'MAXGust_60m_Err', 'MAXGust speed at 60m_Err', NULL, NULL, NULL, NULL, NULL, '0'),
	(130, 'MaxGust_TIME_Err', 'MaxGust_TIME_Err', 'MaxGust TIME error', NULL, NULL, NULL, NULL, NULL, '0'),
	(131, 'MaxGust_TIME_10m_Err', 'MaxGust_TIME_10m_Err', 'MaxGust time at 10m error', NULL, NULL, NULL, NULL, NULL, '0'),
	(132, 'MaxGust_TIME_60m_Err', 'MaxGust_TIME_60m_Err', 'MaxGust time at 60m error', NULL, NULL, NULL, NULL, NULL, '0'),
	(133, 'MaxGust_WD_Err', 'MaxGust_WD_Err', 'MaxGust WD error', NULL, NULL, NULL, NULL, NULL, '0'),
	(134, 'MaxGust_WD_10m_Err', 'MaxGust_WD_10m_Err', 'MaxGust_WD_10m_Err', NULL, NULL, NULL, NULL, NULL, '0'),
	(135, 'MaxGust_WD_60m_Err', 'MaxGust_WD_60m_Err', 'MaxGust WD at 60m eror', NULL, NULL, NULL, NULL, NULL, '0'),
	(136, 'MostBacked_2m_Err', 'MostBacked_2m_Err', 'MostBacked at 2m error', NULL, NULL, NULL, NULL, NULL, '0'),
	(137, 'MostBacked_10m_Err', 'MostBacked_10m_Err', 'MostBacked at 10m error', NULL, NULL, NULL, NULL, NULL, '0'),
	(138, 'MostVeered_2m_Err', 'MostVeered_2m_Err', 'MostVeered at 2m error', NULL, NULL, NULL, NULL, NULL, '0'),
	(139, 'MostVeered_10m_Err', 'MostVeered_10m_Err', 'MostVeered at 10m error', NULL, NULL, NULL, NULL, NULL, '0'),
	(140, 'CLOUD_VertVis_1m_Err', 'CLOUD_VertVis_1m_Err', 'CLOUD VertVis at 1m error', NULL, NULL, NULL, NULL, NULL, '1024');
/*!40000 ALTER TABLE `aws_toa5_mg2` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_test_db_v4.bufr_crex_data
CREATE TABLE IF NOT EXISTS `bufr_crex_data` (
  `nos` int(11) DEFAULT '0',
  `Bufr_Template` varchar(50) DEFAULT NULL,
  `Crex_Template` varchar(50) DEFAULT NULL,
  `Sequence_Descriptor1` varchar(50) DEFAULT NULL,
  `Sequence_Descriptor0` varchar(50) DEFAULT NULL,
  `Bufr_Element` varchar(50) DEFAULT NULL,
  `Crex_Element` varchar(255) DEFAULT NULL,
  `Climsoft_Element` varchar(255) DEFAULT NULL,
  `Element_Name` varchar(255) DEFAULT NULL,
  `Crex_Unit` varchar(25) DEFAULT NULL,
  `Crex_Scale` varchar(25) NOT NULL,
  `Crex_DataWidth` varchar(25) NOT NULL,
  `Bufr_Unit` varchar(255) NOT NULL,
  `Bufr_Scale` varchar(25) NOT NULL DEFAULT '0',
  `Bufr_RefValue` varchar(50) DEFAULT '0',
  `Bufr_DataWidth_Bits` varchar(50) DEFAULT '0',
  `selected` tinyint(4) DEFAULT NULL,
  `Observation` varchar(255) DEFAULT NULL,
  `Crex_Data` varchar(30) DEFAULT NULL,
  `Bufr_Data` varchar(255) DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_test_db_v4.bufr_crex_data: ~308 rows (approximately)
/*!40000 ALTER TABLE `bufr_crex_data` DISABLE KEYS */;
INSERT INTO `bufr_crex_data` (`nos`, `Bufr_Template`, `Crex_Template`, `Sequence_Descriptor1`, `Sequence_Descriptor0`, `Bufr_Element`, `Crex_Element`, `Climsoft_Element`, `Element_Name`, `Crex_Unit`, `Crex_Scale`, `Crex_DataWidth`, `Bufr_Unit`, `Bufr_Scale`, `Bufr_RefValue`, `Bufr_DataWidth_Bits`, `selected`, `Observation`, `Crex_Data`, `Bufr_Data`) VALUES
	(1, '307081', 'D07081', 'D01090', 'D01004', '001001', 'B01001', 'station_WMO_bloc', 'WMO block number', 'Numeric', '0', '2', 'Numeric', '0', '0', '7', 1, '63', '', '0111111'),
	(2, NULL, NULL, '', '', '001002', 'B01002', 'station_WMO_number', 'WMO station number                                   ', 'Numeric', '0', '3', 'Numeric', '0', '0', '10', 1, '741', '', '1011100101'),
	(3, NULL, NULL, '', '', '001015', 'B01015', 'station_name', 'Station or site name', 'Character', '0', '20', 'CCITT IA5', '0', '0', '160', 1, 'DAGORETTI CORNER MET', '', '0100010001000001010001110100111101010010010001010101010001010100010010010010000001000011010011110101001001001110010001010101001000100000010011010100010101010100'),
	(4, NULL, NULL, '', '', '002001', 'B02001', 'station_qualifier', 'Type of station                                             ', 'Code table', '0', '1', 'Code table', '0', '0', '2', 1, '1', '', '01'),
	(5, NULL, NULL, '', 'D01011', '004001', 'B04001', 'datetime_year', 'Year', 'Year', '0', '4', 'Year', '0', '0', '12', 1, '2017', '', '011111100001'),
	(6, NULL, NULL, '', '', '004002', 'B04002', 'datetime_month', 'Month', 'Month', '0', '2', 'Month', '0', '0', '4', 1, '12', '', '1100'),
	(7, NULL, NULL, '', '', '004003', 'B04003', 'datetime_day', 'Day', 'Day', '0', '2', 'Day', '0', '0', '6', 1, '12', '', '001100'),
	(8, NULL, NULL, '', 'D01012', '004004', 'B04004', 'datetime_hour', 'Hour', 'Hour', '0', '2', 'Hour', '0', '0', '5', 1, '6', '', '00110'),
	(9, NULL, NULL, '', '', '004005', 'B04005', 'datetime_minute', 'Minute', 'Minute', '0', '2', 'Minute', '0', '0', '6', 1, '00', '', '000000'),
	(10, NULL, NULL, '', 'D01021', '005001', 'B05001', 'station_deglatitude', 'Latitude (high accuracy)', 'Degree', '5', '7', 'Degree', '5', '-9000000', '25', 1, '-1.3', '', '0100001110101100001110000'),
	(11, NULL, NULL, '', '', '006001', 'B06001', 'station_deglongitude', 'Longitude (high accuracy)', 'Degree', '5', '8', 'Degree', '5', '-18000000', '26', 1, '36.75', '', '01010010101011101111111000'),
	(12, NULL, NULL, '', 'B07030', '007030', 'B07030', 'station_elevation', 'Height of station ground above mean sea level', 'm', '1', '5', 'm', '1', '-4000', '17', 1, '1798', '', '00101010111011100'),
	(13, NULL, NULL, '', 'B07031', '007031', 'B07031', 'station_pressure_height', 'Height of barometer above mean sea level', 'm', '1', '5', 'm', '1', '-4000', '17', 1, '1.25', '', '00000111110101100'),
	(14, NULL, NULL, 'D02031', 'D02001', '010004', 'B10004', '106', 'Pressure', 'Pa', ' -1', '5', 'Pa', '-1', '0', '14', 1, '876100', '', '10001000111001'),
	(15, NULL, NULL, '', '', '010051', 'B10051', '107', 'Pressure reduced to mean sea level', 'Pa', '-1', '5', 'Pa', '-1', '0', '14', 1, '1073700', '', '10100111110001'),
	(16, NULL, NULL, '', '', '010061', 'B10061', '400', '3-hour pressure change', 'Pa', '-1', '4', 'Pa', '-1', '-500', '10', 1, '200', '', '1000001000'),
	(17, NULL, NULL, '', '', '010063', 'B10063', '814', 'Characteristic of pressure tendency', 'Code table', '0', '2', 'Code table', '0', '0', '4', 1, '4', '', '0100'),
	(18, NULL, NULL, '', 'B10062', '010062', 'B10062', '399', '24-hour pressure change', 'Pa', '-1', '4', 'Pa', '-1', '-1000', '11', 1, '300', '', '01111101011'),
	(19, NULL, NULL, '', 'B07004', '007004', 'B07004', '301', 'Pressure (standard level) ', 'Pa', '-1', '5', 'Pa', '-1', '0', '14', 1, '85000', '', '10000100110100'),
	(20, NULL, NULL, '', 'B10009', '010009', 'B10009', '185', 'Geopotential height of the standard level', 'gpm', '0', '5', 'gpm', '0', '-1000', '17', 1, '1540', '', '00000100111101100'),
	(21, NULL, NULL, 'D02035', 'D02032', '007032', 'B07032', 'Temp_SH', 'Height of sensor above local ground (for temperature and humidity measurement)', 'm', '2', '5', 'm', '2', '0', '16', 1, '1.25', '', '0000000001111101'),
	(22, NULL, NULL, '', '', '012101', 'B12101', '101', 'Temperature/Dry bulb (scale 2) at height and over period specified', '°C', '2', '4', 'K', '2', '0', '16', 1, '231', '', '0111001110111001'),
	(23, NULL, NULL, '', '', '012103', 'B12103', '103', 'Dew-point temperature (scale 2)', '°C', '2', '4', 'K', '2', '0', '16', 1, '190', '', '0111001000011111'),
	(24, NULL, NULL, '', '', '013003', 'B13003', '105', 'Relative humidity', '%', '0', '3', '%', '0', '0', '7', 1, '78', '', '1001110'),
	(25, NULL, NULL, '', 'D02033', '007032', 'B07032', 'Vis_SH', 'Height of sensor above local ground (for visibility measurement)', 'm', '2', '5', 'm', '2', '0', '16', 1, '1.5', '', '0000000010010110'),
	(26, NULL, NULL, '', '', '020001', 'B20001', '110', 'Horizontal Visibility', 'm', '-1', '4', 'm', '-1', '0', '13', 1, '40000', '', '0000110010000'),
	(27, NULL, NULL, '', 'D02034', '007032', 'B07032', 'R24_SH', 'Height of sensor above local ground (for precipitation measurement)', 'm', '2', '5', 'm', '2', '0', '16', 1, '0.25', '', '0000000000011001'),
	(28, NULL, NULL, '', '', '013023', 'B13023', '5', 'Total precipitation Past 24 Hrs', 'kg m-2', '1', '5', 'kg m-2', '1', '-1', '14', 1, '250', '', '00000011111011'),
	(29, NULL, NULL, '', 'B07032', '007032', 'B07032', 'Cancel_SH', 'Height of sensor above local ground (set to missing to cancel the previous table)', 'm', '2', '5', 'm', '2', '0', '16', 1, '', '', '1111111111111111'),
	(30, NULL, NULL, '', 'D02004', '020010', 'B20010', '114', 'Cloud cover (total)', '%', '0', '3', '%', '0', '0', '7', 1, '75', '', '1001011'),
	(31, NULL, NULL, '', '', '008002', 'B08002', '115', 'Vertical significance', 'Code table', '0', '2', 'Code table', '0', '0', '6', 1, '7', '', '000111'),
	(32, NULL, NULL, '', '', '020011', 'B20011', '168', 'Cloud amount (of low or middle clouds)', 'Code table', '0', '2', 'Code table', '0', '0', '4', 1, '5', '', '0101'),
	(33, NULL, NULL, '', '', '020013', 'B20013', '192', 'Height of base of cloud', 'm', '-1', '4', 'm', '-1', '-40', '11', 1, '800', '', '00001111000'),
	(34, NULL, NULL, '', '', '020012', 'B20012', '169', 'Cloud type (low clouds CL)', 'Code table', '0', '2', 'Code table', '0', '0', '6', 1, '12', '', '001100'),
	(35, NULL, NULL, '', '', '020012', 'B20012', '170', 'Cloud type (low clouds CM)', 'Code table', '0', '2', 'Code table', '0', '0', '6', 1, '21', '', '010101'),
	(36, NULL, NULL, '', '', '020012', 'B20012', '171', 'Cloud type (low clouds CH)', 'Code table', '0', '2', 'Code table', '0', '0', '6', 1, '31', '', '011111'),
	(38, NULL, NULL, '', 'B31001', '031001', 'B31001', 'cloud_rep1', 'Delayed descriptor replication factor', 'Numeric', '0', '4', 'Numeric', '0', '0', '8', 1, '1', '', '00000001'),
	(39, NULL, NULL, '', 'D02005', '008002', 'B08002', '119', 'Vertical significance', 'Code table', '0', '2', 'Code table', '0', '0', '6', 1, '5', '', '000101'),
	(40, NULL, NULL, '', '', '020011', 'B20011', '116', 'Cloud amount', 'Code table', '0', '2', 'Code table', '0', '0', '4', 1, '1', '', '0001'),
	(41, NULL, NULL, '', '', '020012', 'B20012', '117', 'Cloud type', 'Code table', '0', '2', 'Code table', '0', '0', '6', 1, '8', '', '001000'),
	(42, NULL, NULL, '', '', '020013', 'B20013', '118', 'Height of base of cloud', 'm', '-1', '4', 'm', '-1', '-40', '11', 1, '1000', '', '00010001100'),
	(43, NULL, NULL, '', '', '008002', 'B08002', '123', 'Vertical significance', 'Code table', '0', '2', 'Code table', '0', '0', '6', 0, '', '', '111111'),
	(44, NULL, NULL, '', '', '020011', 'B20011', '120', 'Cloud amount', 'Code table', '0', '2', 'Code table', '0', '0', '4', 0, '', '', '1111'),
	(45, NULL, NULL, '', '', '020012', 'B20012', '121', 'Cloud type', 'Code table', '0', '2', 'Code table', '0', '0', '6', 0, '', '', '111111'),
	(46, NULL, NULL, '', '', '020013', 'B20013', '122', 'Height of base of cloud', 'm', '-1', '4', 'm', '-1', '-40', '11', 0, '', '', '11111111111'),
	(47, NULL, NULL, '', '', '008002', 'B08002', '127', 'Vertical significance', 'Code table', '0', '2', 'Code table', '0', '0', '6', 0, '', '', '111111'),
	(48, NULL, NULL, '', '', '020011', 'B20011', '124', 'Cloud amount', 'Code table', '0', '2', 'Code table', '0', '0', '4', 0, '', '', '1111'),
	(49, NULL, NULL, '', '', '020012', 'B20012', '125', 'Cloud type', 'Code table', '0', '2', 'Code table', '0', '0', '6', 0, '', '', '111111'),
	(50, NULL, NULL, '', '', '020013', 'B20013', '126', 'Height of base of cloud', 'm', '-1', '4', 'm', '-1', '-40', '11', 0, '', '', '11111111111'),
	(51, NULL, NULL, '', '', '008002', 'B08002', '131', 'Vertical significance', 'Code table', '0', '2', 'Code table', '0', '0', '6', 0, '', '', '111111'),
	(52, NULL, NULL, '', '', '020011', 'B20011', '128', 'Cloud amount', 'Code table', '0', '2', 'Code table', '0', '0', '4', 0, '', '', '1111'),
	(53, NULL, NULL, '', '', '020012', 'B20012', '129', 'Cloud type', 'Code table', '0', '2', 'Code table', '0', '0', '6', 0, '', '', '111111'),
	(54, NULL, NULL, '', '', '020013', 'B20013', '130', 'Height of base of cloud', 'm', '-1', '4', 'm', '-1', '-40', '11', 0, '', '', '11111111111'),
	(56, NULL, NULL, NULL, 'B31001', '031001', 'B31001', 'cloud_rep2', 'Delayed descriptor replication factor', 'Numeric', '0', '4', 'Numeric', '0', '0', '8', 1, '0', '', '00000000'),
	(57, NULL, NULL, 'D02036', 'B08002', '008002', 'B08002', '611', 'Vertical Significance', 'Code table', '0', '2', 'Code table', '0', '0', '6', 0, '', '', '111111'),
	(58, NULL, NULL, '', 'B20011', '020011', 'B20011', '612', 'Clound amount', 'Code table', '0', '2', 'Code table', '0', '0', '4', 0, '', '', '1111'),
	(59, NULL, NULL, '', 'B20012', '020012', 'B20012', '613', 'Cloud type', 'Code table', '0', '2', 'Code table', '0', '0', '6', 0, '', '', '111111'),
	(60, NULL, NULL, '', 'B20014', '020014', 'B20014', '614', 'Height of top of cloud', 'm', '-1', '4', 'm', '-1', '-40', '11', 0, '', '', '11111111111'),
	(61, NULL, NULL, '', 'B20017', '020017', 'B20017', '615', 'Cloud top description', 'Code table', '0', '2', 'Code table', '0', '0', '4', 0, '', '', '1111'),
	(62, NULL, NULL, '', 'B08002', '008002', 'B08002', '621', 'Vertical Significance', 'Code table', '0', '2', 'Code table', '0', '0', '6', 0, '', '', '111111'),
	(63, NULL, NULL, '', 'B20011', '020011', 'B20011', '622', 'Clound amount', 'Code table', '0', '2', 'Code table', '0', '0', '4', 0, '', '', '1111'),
	(64, NULL, NULL, '', 'B20012', '020012', 'B20012', '623', 'Cloud type', 'Code table', '0', '2', 'Code table', '0', '0', '6', 0, '', '', '111111'),
	(65, NULL, NULL, '', 'B20014', '020014', 'B20014', '624', 'Height of top of cloud', 'm', '-1', '4', 'm', '-1', '-40', '11', 0, '', '', '11111111111'),
	(66, NULL, NULL, '', 'B20017', '020017', 'B20017', '625', 'Cloud top description', 'Code table', '0', '2', 'Code table', '0', '0', '4', 0, '', '', '1111'),
	(67, NULL, NULL, '', 'B08002', '008002', 'B08002', '631', 'Vertical Significance', 'Code table', '0', '2', 'Code table', '0', '0', '6', 0, '', '', '111111'),
	(68, NULL, NULL, '', 'B20011', '020011', 'B20011', '632', 'Clound amount', 'Code table', '0', '2', 'Code table', '0', '0', '4', 0, '', '', '1111'),
	(69, NULL, NULL, '', 'B20012', '020012', 'B20012', '633', 'Cloud type', 'Code table', '0', '2', 'Code table', '0', '0', '6', 0, '', '', '111111'),
	(70, NULL, NULL, '', 'B20014', '020014', 'B20014', '634', 'Height of top of cloud', 'm', '-1', '4', 'm', '-1', '-40', '11', 0, '', '', '11111111111'),
	(71, NULL, NULL, '', 'B20017', '020017', 'B20017', '635', 'Cloud top description', 'Code table', '0', '2', 'Code table', '0', '0', '4', 0, '', '', '1111'),
	(72, NULL, NULL, '', 'B08002', '008002', 'B08002', '641', 'Vertical Significance', 'Code table', '0', '2', 'Code table', '0', '0', '6', 0, '', '', '111111'),
	(73, NULL, NULL, '', 'B20011', '020011', 'B20011', '642', 'Clound amount', 'Code table', '0', '2', 'Code table', '0', '0', '4', 0, '', '', '1111'),
	(74, NULL, NULL, '', 'B20012', '020012', 'B20012', '643', 'Cloud type', 'Code table', '0', '2', 'Code table', '0', '0', '6', 0, '', '', '111111'),
	(75, NULL, NULL, '', 'B20014', '020014', 'B20014', '644', 'Height of top of cloud', 'm', '-1', '4', 'm', '-1', '-40', '11', 0, '', '', '11111111111'),
	(76, NULL, NULL, '', 'B20017', '020017', 'B20017', '645', 'Cloud top description', 'Code table', '0', '2', 'Code table', '0', '0', '4', 0, '', '', '1111'),
	(78, NULL, NULL, 'D02047', 'B08002', '008002', 'B08002', '651', 'Vertical Significance =7 (low cloud) =8 (middle cloud) =9 (high cloud)', 'Code table', '0', '2', 'Code table', '0', '0', '6', 1, '', '', '111111'),
	(79, NULL, NULL, '', 'B20054', '020054', 'B20054', '652', 'True  direction from which clouds are moving', 'Degree true', '0', '3', 'Degree true', '0', '0', '9', 1, '', '', '111111111'),
	(80, NULL, NULL, '', 'B08002', '008002', 'B08002', '653', 'Vertical Significance =7 (low cloud) =8 (middle cloud) =9 (high cloud)', 'Code table', '0', '2', 'Code table', '0', '0', '6', 1, '', '', '111111'),
	(81, NULL, NULL, '', 'B20054', '020054', 'B20054', '654', 'True  direction from which clouds are moving', 'Degree true', '0', '3', 'Degree true', '0', '0', '9', 1, '', '', '111111111'),
	(82, NULL, NULL, '', 'B08002', '008002', 'B08002', '655', 'Vertical Significance =7 (low cloud) =8 (middle cloud) =9 (high cloud)', 'Code table', '0', '2', 'Code table', '0', '0', '6', 1, '', '', '111111'),
	(83, NULL, NULL, '', 'B20054', '020054', 'B20054', '656', 'True  direction from which clouds are moving', 'Degree true', '0', '3', 'Degree true', '0', '0', '9', 1, '', '', '111111111'),
	(84, NULL, NULL, 'B08002', '', '008002', 'B08002', 'vert_sig_cancel', 'Vertical significance (set to missing to cancel the previous value)    ', 'Code table', '0', '2', 'Code table', '0', '0', '6', 1, '', '', '111111'),
	(85, NULL, NULL, 'D02048', 'B05021', '005021', 'B05021', '661', 'Bearing or azimuth', 'Degree true', '2', '5', 'Degree true', '2', '0', '16', 1, '', '', '1111111111111111'),
	(86, NULL, NULL, '', 'B07021', '007021', 'B07021', '662', 'Elevation angle ', 'Degree', '2', '5', 'Degree', '2', '-9000', '15', 1, '', '', '111111111111111'),
	(87, NULL, NULL, '', 'B20012', '020012', 'B20012', '663', 'Cloud type ', 'Code table', '0', '2', 'Code table', '0', '0', '6', 1, '', '', '111111'),
	(88, NULL, NULL, '', 'B05021', '005021', 'B05021', '664', 'Bearing or azimuth (set to missing to cancel the previous value) ', 'Degree true', '2', '5', 'Degree true', '2', '0', '16', 1, '', '', '1111111111111111'),
	(89, NULL, NULL, '', 'B07021', '007021', 'B07021', '665', 'Elevation angle (set to missing to cancel the previous value)', 'Degree', '2', '5', 'Degree', '2', '-9000', '15', 1, '', '', '111111111111111'),
	(90, NULL, NULL, 'D02037', 'B20062', '020062', 'B20062', '51', 'State of ground (with or without snow)', 'Code table', '0', '2', 'Code table', '0', '0', '5', 1, '', '', '11111'),
	(91, NULL, NULL, '', 'B13013', '013013', 'B13013', '50', 'Total snow depth', 'm', '2', '5', 'm', '2', '-2', '16', 1, '9', '', '0000001110000110'),
	(92, NULL, NULL, '', 'B12113', '012113', 'B12113', '585', 'Ground minimum temperature past 12 hrs', '°C', '2', '4', 'K', '2', '0', '16', 1, '', '', '1111111111111111'),
	(93, NULL, NULL, 'B12122', '', '012122', 'B12122', '85', 'Ground minimum temperature of the preceeding night', '°C', '2', '4', 'K', '2', '0', '16', 1, '', '', '1111111111111111'),
	(94, NULL, NULL, 'B13056', '', '013056', 'B13056', '505', 'Character and Intensity of precipitation', 'Code table', '0', '2', 'Code table', '0', '0', '4', 1, '2', '', '0010'),
	(95, NULL, NULL, 'B13057', '', '013057', 'B13057', '506', 'Time of beginning or end of precipitation', 'Code table', '0', '2', 'Code table', '0', '0', '4', 1, '', '', '1111'),
	(96, NULL, NULL, 'B20101', '', '020101', 'B20101', '701', 'Locust (Acridian) name', 'Code table', '0', '2', 'Code table', '0', '0', '4', 1, '', '', '1111'),
	(97, NULL, NULL, 'B20102', '', '020102', 'B20102', '702', 'Locust (Maturity) colour', 'Code table', '0', '2', 'Code table', '0', '0', '4', 1, '', '', '1111'),
	(98, NULL, NULL, 'B20103', '', '020103', 'B20103', '704', 'Stage of development of locusts', 'Code table', '0', '2', 'Code table', '0', '0', '4', 1, '', '', '1111'),
	(99, NULL, NULL, 'B20104', '', '020104', 'B20104', '705', 'Organization state of swam or band of locusts', 'Code table', '0', '2', 'Code table', '0', '0', '4', 1, '', '', '1111'),
	(100, NULL, NULL, 'B20105', '', '020105', 'B20105', '706', 'Size of swam or band of locusts and duration of passage of time', 'Code table', '0', '2', 'Code table', '0', '0', '4', 1, '', '', '1111'),
	(101, NULL, NULL, 'B20106', '', '020106', 'B20106', '707', 'Locust population density', 'Code table', '0', '2', 'Code table', '0', '0', '4', 1, '', '', '1111'),
	(102, NULL, NULL, 'B20107', '', '020107', 'B20107', '708', 'Direction of movements of locust swarm', 'Code table', '0', '2', 'Code table', '0', '0', '4', 1, '', '', '1111'),
	(103, NULL, NULL, 'B20108', '', '020108', 'B20108', '710', 'Extent of vegetation', 'Code table', '0', '2', 'Code table', '0', '0', '4', 1, '', '', '1111'),
	(104, NULL, NULL, 'D02043', 'D02038', '020003', 'B20003', '167', 'Present weather ', 'Code table', '0', '3', 'Code table', '0', '0', '9', 1, '5', '', '000000101'),
	(105, NULL, NULL, '', '', '004024', 'B04024', 'ww_TP', 'Time period in hours', 'Hour', '0', '4', 'Hour', '0', '-2048', '12', 1, '-6', '', '011111111010'),
	(106, NULL, NULL, '', '', '020004', 'B20004', '197', 'Past weather (1) ', 'Code table', '0', '2', 'Code table', '0', '0', '5', 1, '3', '', '00011'),
	(107, NULL, NULL, '', '', '020005', 'B20005', '193', 'Past weather (2) ', 'Code table', '0', '2', 'Code table', '0', '0', '5', 1, '3', '', '00011'),
	(109, NULL, NULL, '', 'D02039', '004024', 'B04024', 'SSS_TP', 'Time period in hours', 'Hour', '0', '4', 'Hour', '0', '-2048', '12', 1, '-24', '', '011111101000'),
	(110, NULL, NULL, '', '', '014031', 'B14031', '84', 'Total sunshine ', 'Minute', '0', '4', 'Minute', '0', '0', '11', 1, '3600', '', '00101101000'),
	(111, NULL, NULL, '', '', '004024', 'B04024', 'SS_TP', 'Time period or displacement in hours', 'Hour', '0', '4', 'Hour', '0', '-2048', '12', 1, '-1', '', '011111111111'),
	(112, NULL, NULL, '', '', '014031', 'B14031', '132', 'Total sunshine in minutes (2nd replication)', 'Minute', '0', '4', 'Minute', '0', '0', '11', 1, '30', '', '00000011110'),
	(113, NULL, NULL, '', 'D02040', '007032', 'B07032', 'RR_SH', 'Height of sensor above local ground (for precipiation measurement)', 'm', '2', '5', 'm', '2', '0', '16', 1, '0.25', '', '0000000000011001'),
	(115, NULL, NULL, '', '', '004024', 'B04024', 'tR_TP', 'Time period in hours', 'Hour', '0', '4', 'Hour', '0', '-2048', '12', 1, '-3', '', '011111111101'),
	(116, NULL, NULL, '', '', '013011', 'B13011', '5', 'Total precipitation RRR', 'kg m-2', '1', '5', 'kg m-2', '1', '-1', '14', 1, '250', '', '00000011111011'),
	(117, NULL, NULL, '', '', '004024', 'B04024', 'tr_TP', 'Time period or displacement', 'Hour', '0', '4', 'Hour', '0', '-2048', '12', 1, '-3', '', '011111111101'),
	(118, NULL, NULL, '', '', '013011', 'B13011', '174', 'Total precipitation', 'kg m-2', '1', '5', 'kg m-2', '1', '-1', '14', 1, '10', '', '00000000001011'),
	(119, NULL, NULL, '', 'D02041', '007032', 'B07032', 'xt_SH', 'Height of sensor above local ground (for temperature measurement)', 'm', '2', '5', 'm', '2', '0', '16', 1, '1.25', '', '0000000001111101'),
	(120, NULL, NULL, '', '', '004024', 'B04024', 'xt_TP', 'Time period or displacement                         ', 'Hour', '0', '4', 'Hour', '0', '-2048', '12', 1, '-12', '', '011111110100'),
	(121, NULL, NULL, '', '', '004024', 'B04024', 'xt0_TP', 'Time period or displacement (see Notes 1 and 2)                      ', 'Hour', '0', '4', 'Hour', '0', '-2048', '12', 1, '0', '', '100000000000'),
	(122, NULL, NULL, '', '', '012111', 'B12111', '2', 'Maximum temperature (scale 2) at height and over period specified', '°C', '2', '4', 'K', '2', '0', '16', 1, '282', '', '0111010110110111'),
	(123, NULL, NULL, '', '', '004024', 'B04024', 'nt_TP', 'Time period or displacement                         ', 'Hour', '0', '4', 'Hour', '0', '-2048', '12', 1, '-12', '', '011111110100'),
	(124, NULL, NULL, '', '', '004024', 'B04024', 'nt0_TP', 'Time period or displacement (see Notes 2)                      ', 'Hour', '0', '4', 'Hour', '0', '-2048', '12', 1, '-0', '', '100000000000'),
	(125, NULL, NULL, '', '', '012112', 'B12112', '3', 'Minimum temperature (scale 2) at height and over period specified ', '°C', '2', '4', 'K', '2', '0', '16', 1, '176', '', '0111000110010011'),
	(126, NULL, NULL, '', 'D02042', '007032', 'B07032', 'w_SH', 'Height of sensor above local ground (for wind measurement)', 'm', '2', '5', 'm', '2', '0', '16', 1, '10', '', '0000001111101000'),
	(127, NULL, NULL, '', '', '002002', 'B02002', 'w_I', 'Type of instrumentation for wind measurement', 'Flag table', '0', '2', 'Flag table', '0', '0', '4', 1, '04', '', '0100'),
	(128, NULL, NULL, '', '', '008021', 'B08021', 'w_TS', 'Time significance (= 2 (time averaged))', 'Code table', '0', '2', 'Code table', '0', '0', '5', 1, '2', '', '00010'),
	(129, NULL, NULL, '', '', '004025', 'B04025', 'w_TP', 'Time period (= - 10 minutes, or number of minutes after a significant change of wind)', 'Minute', '0', '4', 'Minute', '0', '-2048', '12', 1, '-10', '', '011111110110'),
	(130, NULL, NULL, '', '', '011001', 'B11001', '112', 'Wind direction', 'Degree true', '0', '3', 'Degree true', '0', '0', '9', 1, '105', '', '001101001'),
	(131, NULL, NULL, '', '', '011002', 'B11002', '111', 'Wind speed ', 'm s-1', '1', '4', 'm s-1', '1', '0', '12', 1, '4', '', '000000101000'),
	(132, NULL, NULL, '', '', '008021', 'B08021', 'w1_TS', 'Time significance (= missing value)', 'Code table', '0', '2', 'Code table', '0', '0', '5', 1, '', '', '11111'),
	(134, NULL, NULL, '', '', '004025', 'B04025', 'w1_TP', 'Time period in minutes   ', 'Minute', '0', '4', 'Minute', '0', '-2048', '12', 1, '', '', '111111111111'),
	(135, NULL, NULL, '', '', '011043', 'B11043', '59', 'Maximum wind gust direction', 'Degree true', '0', '3', 'Degree true', '0', '0', '9', 1, '', '', '111111111'),
	(136, NULL, NULL, '', '', '011041', 'B11041', '58', 'Maximum wind gust speed', 'm s-1', '1', '4', 'm s-1', '1', '0', '12', 1, '', '', '111111111111'),
	(137, NULL, NULL, '', '', '004025', 'B04025', 'w2_TP', 'Time period in minutes   ', 'Minute', '0', '4', 'Minute', '0', '-2048', '12', 1, '', '', '111111111111'),
	(138, NULL, NULL, '', '', '011043', 'B11043', '591', 'Maximum wind gust direction', 'Degree true', '0', '3', 'Degree true', '0', '0', '9', 1, '', '', '111111111'),
	(139, NULL, NULL, '', '', '011041', 'B11041', '581', 'Maximum wind gust speed', 'm s-1', '1', '4', 'm s-1', '1', '0', '12', 1, '', '', '111111111111'),
	(140, NULL, NULL, '', 'B07032', '007032', 'B07032', 'evap_SH', 'Height of sensor above local ground (for evaporation measurement)', 'm', '2', '5', 'm', '2', '0', '16', 1, '0.25', '', '0000000000011001'),
	(141, NULL, NULL, 'D02044', 'B04024', '004024', 'B04024', 'evap_TP', 'Time period in hours              =  - 24', 'Hour', '0', '4', 'Hour', '0', '-2048', '12', 1, '-24', '', '011111101000'),
	(142, NULL, NULL, '', 'B02004', '002004', 'B02004', 'evap_I', 'Type of instrument for evaporation or crop for evapotranspiration', 'Code table', '0', '2', 'Code table', '0', '0', '4', 1, '01', '', '0001'),
	(143, NULL, NULL, '', 'B13033', '013033', 'B13033', '18', 'Evaporation /evapotranspiration', 'kg m-2', '1', '4', 'kg m-2', '1', '0', '10', 1, '50', '', '0000110010'),
	(145, NULL, NULL, 'D02045', 'B04024', '004024', 'B04024', 'rad1_TP', 'Time period or displacement', 'Hour', '0', '4', 'Hour', '0', '-2048', '12', 1, '-1', '', '011111111111'),
	(146, NULL, NULL, '', 'B14002', '014002', 'B14002', '536', 'Long-wave radiation, integrated over period specified ', 'J m-2', '-3', '4', 'J m-2', '-3', '-2048', '12', 1, '', '', '111111111111'),
	(147, NULL, NULL, '', 'B14004', '014004', 'B14004', '533', 'Short-wave radiation, integrated over period specified ', 'J m-2', '-3', '4', 'J m-2', '-3', '-2048', '12', 1, '', '', '111111111111'),
	(148, NULL, NULL, '', 'B14016', '014016', 'B14016', '46_1', 'Net radiation, integrated over period specified', 'J m-2', '-4', '5', 'J m-2', '-4', '-16384', '15', 1, '', '', '111111111111111'),
	(149, NULL, NULL, '', 'B14028', '014028', 'B14028', '133', 'Global solar radiation (high accuracy), integrated over period specified', 'J m-2', '-2', '5', 'J m-2', '-2', '0', '16', 1, '', '', '1111111111111111'),
	(150, NULL, NULL, '', 'B14029', '014029', 'B14029', '97', 'Diffuse solar radiation (high accuracy), integrated over period specified', 'J m-2', '-2', '5', 'J m-2', '-2', '0', '16', 1, '', '', '1111111111111111'),
	(151, NULL, NULL, '', 'B14030', '014030', 'B14030', '139', 'Direct solar radiation (high accuracy), integrated over period specified', 'J m-2', '-2', '5', 'J m-2', '-2', '0', '16', 1, '', '', '1111111111111111'),
	(152, NULL, NULL, '', 'B04024', '004024', 'B04024', 'rad2_TP', 'Time period or displacement', 'Hour', '0', '4', 'Hour', '0', '-2048', '12', 1, '-24', '', '011111101000'),
	(153, NULL, NULL, '', 'B14002', '014002', 'B14002', '536_1', 'Long-wave radiation, integrated over period specified ', 'J m-2', '-3', '4', 'J m-2', '-3', '-2048', '12', 1, '', '', '111111111111'),
	(154, NULL, NULL, '', 'B14004', '014004', 'B14004', '533_1', 'Short-wave radiation, integrated over period specified ', 'J m-2', '-3', '4', 'J m-2', '-3', '-2048', '12', 1, '', '', '111111111111'),
	(155, NULL, NULL, '', 'B14016', '014016', 'B14016', '46', 'Net radiation, integrated over period specified', 'J m-2', '-4', '5', 'J m-2', '-4', '-16384', '15', 1, '262000000', '', '100101000111100'),
	(156, NULL, NULL, '', 'B14028', '014028', 'B14028', '133_1', 'Global solar radiation (high accuracy), integrated over period specified', 'J m-2', '-2', '5', 'J m-2', '-2', '0', '16', 1, '', '', '1111111111111111'),
	(157, NULL, NULL, '', 'B14029', '014029', 'B14029', '97_1', 'Diffuse solar radiation (high accuracy), integrated over period specified', 'J m-2', '-2', '5', 'J m-2', '-2', '0', '16', 1, '', '', '1111111111111111'),
	(158, NULL, NULL, '', 'B14030', '014030', 'B14030', '139_1', 'Direct solar radiation (high accuracy), integrated over period specified', 'J m-2', '-2', '5', 'J m-2', '-2', '0', '16', 1, '', '', '1111111111111111'),
	(159, NULL, NULL, 'D02046', 'B04024', '004024', 'B04024', 'tempc_t', 'Time period or displacement                         ', 'Hour', '0', '4', 'Hour', '0', '-2048', '12', 1, '-6', '', '011111111010'),
	(160, NULL, NULL, '', 'B04024', '004024', 'B04024', 'tempc1_t', 'Time period or displacement (see Note 3)       ', 'Hour', '0', '4', 'Hour', '0', '-2048', '12', 1, '', '', '111111111111'),
	(161, NULL, NULL, '', 'B12049', '012049', 'B12049', '94', 'Temperature change over period specified', '°C', '0', '2', 'K', '0', '-30', '6', 1, '', '', '111111'),
	(1, '307081', 'D07081', 'D01090', 'D01004', '001001', 'B01001', 'station_WMO_bloc', 'WMO block number', 'Numeric', '0', '2', 'Numeric', '0', '0', '7', 1, '63', '', '0111111'),
	(2, NULL, NULL, '', '', '001002', 'B01002', 'station_WMO_number', 'WMO station number                                   ', 'Numeric', '0', '3', 'Numeric', '0', '0', '10', 1, '741', '', '1011100101'),
	(3, NULL, NULL, '', '', '001015', 'B01015', 'station_name', 'Station or site name', 'Character', '0', '20', 'CCITT IA5', '0', '0', '160', 1, 'DAGORETTI CORNER MET', '', '0100010001000001010001110100111101010010010001010101010001010100010010010010000001000011010011110101001001001110010001010101001000100000010011010100010101010100'),
	(4, NULL, NULL, '', '', '002001', 'B02001', 'station_qualifier', 'Type of station                                             ', 'Code table', '0', '1', 'Code table', '0', '0', '2', 1, '1', '', '01'),
	(5, NULL, NULL, '', 'D01011', '004001', 'B04001', 'datetime_year', 'Year', 'Year', '0', '4', 'Year', '0', '0', '12', 1, '2017', '', '011111100001'),
	(6, NULL, NULL, '', '', '004002', 'B04002', 'datetime_month', 'Month', 'Month', '0', '2', 'Month', '0', '0', '4', 1, '12', '', '1100'),
	(7, NULL, NULL, '', '', '004003', 'B04003', 'datetime_day', 'Day', 'Day', '0', '2', 'Day', '0', '0', '6', 1, '12', '', '001100'),
	(8, NULL, NULL, '', 'D01012', '004004', 'B04004', 'datetime_hour', 'Hour', 'Hour', '0', '2', 'Hour', '0', '0', '5', 1, '6', '', '00110'),
	(9, NULL, NULL, '', '', '004005', 'B04005', 'datetime_minute', 'Minute', 'Minute', '0', '2', 'Minute', '0', '0', '6', 1, '00', '', '000000'),
	(10, NULL, NULL, '', 'D01021', '005001', 'B05001', 'station_deglatitude', 'Latitude (high accuracy)', 'Degree', '5', '7', 'Degree', '5', '-9000000', '25', 1, '-1.3', '', '0100001110101100001110000'),
	(11, NULL, NULL, '', '', '006001', 'B06001', 'station_deglongitude', 'Longitude (high accuracy)', 'Degree', '5', '8', 'Degree', '5', '-18000000', '26', 1, '36.75', '', '01010010101011101111111000'),
	(12, NULL, NULL, '', 'B07030', '007030', 'B07030', 'station_elevation', 'Height of station ground above mean sea level', 'm', '1', '5', 'm', '1', '-4000', '17', 1, '1798', '', '00101010111011100'),
	(13, NULL, NULL, '', 'B07031', '007031', 'B07031', 'station_pressure_height', 'Height of barometer above mean sea level', 'm', '1', '5', 'm', '1', '-4000', '17', 1, '1.25', '', '00000111110101100'),
	(14, NULL, NULL, 'D02031', 'D02001', '010004', 'B10004', '106', 'Pressure', 'Pa', ' -1', '5', 'Pa', '-1', '0', '14', 1, '876100', '', '10001000111001'),
	(15, NULL, NULL, '', '', '010051', 'B10051', '107', 'Pressure reduced to mean sea level', 'Pa', '-1', '5', 'Pa', '-1', '0', '14', 1, '1073700', '', '10100111110001'),
	(16, NULL, NULL, '', '', '010061', 'B10061', '400', '3-hour pressure change', 'Pa', '-1', '4', 'Pa', '-1', '-500', '10', 1, '200', '', '1000001000'),
	(17, NULL, NULL, '', '', '010063', 'B10063', '814', 'Characteristic of pressure tendency', 'Code table', '0', '2', 'Code table', '0', '0', '4', 1, '4', '', '0100'),
	(18, NULL, NULL, '', 'B10062', '010062', 'B10062', '399', '24-hour pressure change', 'Pa', '-1', '4', 'Pa', '-1', '-1000', '11', 1, '300', '', '01111101011'),
	(19, NULL, NULL, '', 'B07004', '007004', 'B07004', '301', 'Pressure (standard level) ', 'Pa', '-1', '5', 'Pa', '-1', '0', '14', 1, '85000', '', '10000100110100'),
	(20, NULL, NULL, '', 'B10009', '010009', 'B10009', '185', 'Geopotential height of the standard level', 'gpm', '0', '5', 'gpm', '0', '-1000', '17', 1, '1540', '', '00000100111101100'),
	(21, NULL, NULL, 'D02035', 'D02032', '007032', 'B07032', 'Temp_SH', 'Height of sensor above local ground (for temperature and humidity measurement)', 'm', '2', '5', 'm', '2', '0', '16', 1, '1.25', '', '0000000001111101'),
	(22, NULL, NULL, '', '', '012101', 'B12101', '101', 'Temperature/Dry bulb (scale 2) at height and over period specified', '°C', '2', '4', 'K', '2', '0', '16', 1, '231', '', '0111001110111001'),
	(23, NULL, NULL, '', '', '012103', 'B12103', '103', 'Dew-point temperature (scale 2)', '°C', '2', '4', 'K', '2', '0', '16', 1, '190', '', '0111001000011111'),
	(24, NULL, NULL, '', '', '013003', 'B13003', '105', 'Relative humidity', '%', '0', '3', '%', '0', '0', '7', 1, '78', '', '1001110'),
	(25, NULL, NULL, '', 'D02033', '007032', 'B07032', 'Vis_SH', 'Height of sensor above local ground (for visibility measurement)', 'm', '2', '5', 'm', '2', '0', '16', 1, '1.5', '', '0000000010010110'),
	(26, NULL, NULL, '', '', '020001', 'B20001', '110', 'Horizontal Visibility', 'm', '-1', '4', 'm', '-1', '0', '13', 1, '40000', '', '0000110010000'),
	(27, NULL, NULL, '', 'D02034', '007032', 'B07032', 'R24_SH', 'Height of sensor above local ground (for precipitation measurement)', 'm', '2', '5', 'm', '2', '0', '16', 1, '0.25', '', '0000000000011001'),
	(28, NULL, NULL, '', '', '013023', 'B13023', '5', 'Total precipitation Past 24 Hrs', 'kg m-2', '1', '5', 'kg m-2', '1', '-1', '14', 1, '250', '', '00000011111011'),
	(29, NULL, NULL, '', 'B07032', '007032', 'B07032', 'Cancel_SH', 'Height of sensor above local ground (set to missing to cancel the previous table)', 'm', '2', '5', 'm', '2', '0', '16', 1, '', '', '1111111111111111'),
	(30, NULL, NULL, '', 'D02004', '020010', 'B20010', '114', 'Cloud cover (total)', '%', '0', '3', '%', '0', '0', '7', 1, '75', '', '1001011'),
	(31, NULL, NULL, '', '', '008002', 'B08002', '115', 'Vertical significance', 'Code table', '0', '2', 'Code table', '0', '0', '6', 1, '7', '', '000111'),
	(32, NULL, NULL, '', '', '020011', 'B20011', '168', 'Cloud amount (of low or middle clouds)', 'Code table', '0', '2', 'Code table', '0', '0', '4', 1, '5', '', '0101'),
	(33, NULL, NULL, '', '', '020013', 'B20013', '192', 'Height of base of cloud', 'm', '-1', '4', 'm', '-1', '-40', '11', 1, '800', '', '00001111000'),
	(34, NULL, NULL, '', '', '020012', 'B20012', '169', 'Cloud type (low clouds CL)', 'Code table', '0', '2', 'Code table', '0', '0', '6', 1, '12', '', '001100'),
	(35, NULL, NULL, '', '', '020012', 'B20012', '170', 'Cloud type (low clouds CM)', 'Code table', '0', '2', 'Code table', '0', '0', '6', 1, '21', '', '010101'),
	(36, NULL, NULL, '', '', '020012', 'B20012', '171', 'Cloud type (low clouds CH)', 'Code table', '0', '2', 'Code table', '0', '0', '6', 1, '31', '', '011111'),
	(38, NULL, NULL, '', 'B31001', '031001', 'B31001', 'cloud_rep1', 'Delayed descriptor replication factor', 'Numeric', '0', '4', 'Numeric', '0', '0', '8', 1, '1', '', '00000001'),
	(39, NULL, NULL, '', 'D02005', '008002', 'B08002', '119', 'Vertical significance', 'Code table', '0', '2', 'Code table', '0', '0', '6', 1, '5', '', '000101'),
	(40, NULL, NULL, '', '', '020011', 'B20011', '116', 'Cloud amount', 'Code table', '0', '2', 'Code table', '0', '0', '4', 1, '1', '', '0001'),
	(41, NULL, NULL, '', '', '020012', 'B20012', '117', 'Cloud type', 'Code table', '0', '2', 'Code table', '0', '0', '6', 1, '8', '', '001000'),
	(42, NULL, NULL, '', '', '020013', 'B20013', '118', 'Height of base of cloud', 'm', '-1', '4', 'm', '-1', '-40', '11', 1, '1000', '', '00010001100'),
	(43, NULL, NULL, '', '', '008002', 'B08002', '123', 'Vertical significance', 'Code table', '0', '2', 'Code table', '0', '0', '6', 0, '', '', '111111'),
	(44, NULL, NULL, '', '', '020011', 'B20011', '120', 'Cloud amount', 'Code table', '0', '2', 'Code table', '0', '0', '4', 0, '', '', '1111'),
	(45, NULL, NULL, '', '', '020012', 'B20012', '121', 'Cloud type', 'Code table', '0', '2', 'Code table', '0', '0', '6', 0, '', '', '111111'),
	(46, NULL, NULL, '', '', '020013', 'B20013', '122', 'Height of base of cloud', 'm', '-1', '4', 'm', '-1', '-40', '11', 0, '', '', '11111111111'),
	(47, NULL, NULL, '', '', '008002', 'B08002', '127', 'Vertical significance', 'Code table', '0', '2', 'Code table', '0', '0', '6', 0, '', '', '111111'),
	(48, NULL, NULL, '', '', '020011', 'B20011', '124', 'Cloud amount', 'Code table', '0', '2', 'Code table', '0', '0', '4', 0, '', '', '1111'),
	(49, NULL, NULL, '', '', '020012', 'B20012', '125', 'Cloud type', 'Code table', '0', '2', 'Code table', '0', '0', '6', 0, '', '', '111111'),
	(50, NULL, NULL, '', '', '020013', 'B20013', '126', 'Height of base of cloud', 'm', '-1', '4', 'm', '-1', '-40', '11', 0, '', '', '11111111111'),
	(51, NULL, NULL, '', '', '008002', 'B08002', '131', 'Vertical significance', 'Code table', '0', '2', 'Code table', '0', '0', '6', 0, '', '', '111111'),
	(52, NULL, NULL, '', '', '020011', 'B20011', '128', 'Cloud amount', 'Code table', '0', '2', 'Code table', '0', '0', '4', 0, '', '', '1111'),
	(53, NULL, NULL, '', '', '020012', 'B20012', '129', 'Cloud type', 'Code table', '0', '2', 'Code table', '0', '0', '6', 0, '', '', '111111'),
	(54, NULL, NULL, '', '', '020013', 'B20013', '130', 'Height of base of cloud', 'm', '-1', '4', 'm', '-1', '-40', '11', 0, '', '', '11111111111'),
	(56, NULL, NULL, NULL, 'B31001', '031001', 'B31001', 'cloud_rep2', 'Delayed descriptor replication factor', 'Numeric', '0', '4', 'Numeric', '0', '0', '8', 1, '0', '', '00000000'),
	(57, NULL, NULL, 'D02036', 'B08002', '008002', 'B08002', '611', 'Vertical Significance', 'Code table', '0', '2', 'Code table', '0', '0', '6', 0, '', '', '111111'),
	(58, NULL, NULL, '', 'B20011', '020011', 'B20011', '612', 'Clound amount', 'Code table', '0', '2', 'Code table', '0', '0', '4', 0, '', '', '1111'),
	(59, NULL, NULL, '', 'B20012', '020012', 'B20012', '613', 'Cloud type', 'Code table', '0', '2', 'Code table', '0', '0', '6', 0, '', '', '111111'),
	(60, NULL, NULL, '', 'B20014', '020014', 'B20014', '614', 'Height of top of cloud', 'm', '-1', '4', 'm', '-1', '-40', '11', 0, '', '', '11111111111'),
	(61, NULL, NULL, '', 'B20017', '020017', 'B20017', '615', 'Cloud top description', 'Code table', '0', '2', 'Code table', '0', '0', '4', 0, '', '', '1111'),
	(62, NULL, NULL, '', 'B08002', '008002', 'B08002', '621', 'Vertical Significance', 'Code table', '0', '2', 'Code table', '0', '0', '6', 0, '', '', '111111'),
	(63, NULL, NULL, '', 'B20011', '020011', 'B20011', '622', 'Clound amount', 'Code table', '0', '2', 'Code table', '0', '0', '4', 0, '', '', '1111'),
	(64, NULL, NULL, '', 'B20012', '020012', 'B20012', '623', 'Cloud type', 'Code table', '0', '2', 'Code table', '0', '0', '6', 0, '', '', '111111'),
	(65, NULL, NULL, '', 'B20014', '020014', 'B20014', '624', 'Height of top of cloud', 'm', '-1', '4', 'm', '-1', '-40', '11', 0, '', '', '11111111111'),
	(66, NULL, NULL, '', 'B20017', '020017', 'B20017', '625', 'Cloud top description', 'Code table', '0', '2', 'Code table', '0', '0', '4', 0, '', '', '1111'),
	(67, NULL, NULL, '', 'B08002', '008002', 'B08002', '631', 'Vertical Significance', 'Code table', '0', '2', 'Code table', '0', '0', '6', 0, '', '', '111111'),
	(68, NULL, NULL, '', 'B20011', '020011', 'B20011', '632', 'Clound amount', 'Code table', '0', '2', 'Code table', '0', '0', '4', 0, '', '', '1111'),
	(69, NULL, NULL, '', 'B20012', '020012', 'B20012', '633', 'Cloud type', 'Code table', '0', '2', 'Code table', '0', '0', '6', 0, '', '', '111111'),
	(70, NULL, NULL, '', 'B20014', '020014', 'B20014', '634', 'Height of top of cloud', 'm', '-1', '4', 'm', '-1', '-40', '11', 0, '', '', '11111111111'),
	(71, NULL, NULL, '', 'B20017', '020017', 'B20017', '635', 'Cloud top description', 'Code table', '0', '2', 'Code table', '0', '0', '4', 0, '', '', '1111'),
	(72, NULL, NULL, '', 'B08002', '008002', 'B08002', '641', 'Vertical Significance', 'Code table', '0', '2', 'Code table', '0', '0', '6', 0, '', '', '111111'),
	(73, NULL, NULL, '', 'B20011', '020011', 'B20011', '642', 'Clound amount', 'Code table', '0', '2', 'Code table', '0', '0', '4', 0, '', '', '1111'),
	(74, NULL, NULL, '', 'B20012', '020012', 'B20012', '643', 'Cloud type', 'Code table', '0', '2', 'Code table', '0', '0', '6', 0, '', '', '111111'),
	(75, NULL, NULL, '', 'B20014', '020014', 'B20014', '644', 'Height of top of cloud', 'm', '-1', '4', 'm', '-1', '-40', '11', 0, '', '', '11111111111'),
	(76, NULL, NULL, '', 'B20017', '020017', 'B20017', '645', 'Cloud top description', 'Code table', '0', '2', 'Code table', '0', '0', '4', 0, '', '', '1111'),
	(78, NULL, NULL, 'D02047', 'B08002', '008002', 'B08002', '651', 'Vertical Significance =7 (low cloud) =8 (middle cloud) =9 (high cloud)', 'Code table', '0', '2', 'Code table', '0', '0', '6', 1, '', '', '111111'),
	(79, NULL, NULL, '', 'B20054', '020054', 'B20054', '652', 'True  direction from which clouds are moving', 'Degree true', '0', '3', 'Degree true', '0', '0', '9', 1, '', '', '111111111'),
	(80, NULL, NULL, '', 'B08002', '008002', 'B08002', '653', 'Vertical Significance =7 (low cloud) =8 (middle cloud) =9 (high cloud)', 'Code table', '0', '2', 'Code table', '0', '0', '6', 1, '', '', '111111'),
	(81, NULL, NULL, '', 'B20054', '020054', 'B20054', '654', 'True  direction from which clouds are moving', 'Degree true', '0', '3', 'Degree true', '0', '0', '9', 1, '', '', '111111111'),
	(82, NULL, NULL, '', 'B08002', '008002', 'B08002', '655', 'Vertical Significance =7 (low cloud) =8 (middle cloud) =9 (high cloud)', 'Code table', '0', '2', 'Code table', '0', '0', '6', 1, '', '', '111111'),
	(83, NULL, NULL, '', 'B20054', '020054', 'B20054', '656', 'True  direction from which clouds are moving', 'Degree true', '0', '3', 'Degree true', '0', '0', '9', 1, '', '', '111111111'),
	(84, NULL, NULL, 'B08002', '', '008002', 'B08002', 'vert_sig_cancel', 'Vertical significance (set to missing to cancel the previous value)    ', 'Code table', '0', '2', 'Code table', '0', '0', '6', 1, '', '', '111111'),
	(85, NULL, NULL, 'D02048', 'B05021', '005021', 'B05021', '661', 'Bearing or azimuth', 'Degree true', '2', '5', 'Degree true', '2', '0', '16', 1, '', '', '1111111111111111'),
	(86, NULL, NULL, '', 'B07021', '007021', 'B07021', '662', 'Elevation angle ', 'Degree', '2', '5', 'Degree', '2', '-9000', '15', 1, '', '', '111111111111111'),
	(87, NULL, NULL, '', 'B20012', '020012', 'B20012', '663', 'Cloud type ', 'Code table', '0', '2', 'Code table', '0', '0', '6', 1, '', '', '111111'),
	(88, NULL, NULL, '', 'B05021', '005021', 'B05021', '664', 'Bearing or azimuth (set to missing to cancel the previous value) ', 'Degree true', '2', '5', 'Degree true', '2', '0', '16', 1, '', '', '1111111111111111'),
	(89, NULL, NULL, '', 'B07021', '007021', 'B07021', '665', 'Elevation angle (set to missing to cancel the previous value)', 'Degree', '2', '5', 'Degree', '2', '-9000', '15', 1, '', '', '111111111111111'),
	(90, NULL, NULL, 'D02037', 'B20062', '020062', 'B20062', '51', 'State of ground (with or without snow)', 'Code table', '0', '2', 'Code table', '0', '0', '5', 1, '', '', '11111'),
	(91, NULL, NULL, '', 'B13013', '013013', 'B13013', '50', 'Total snow depth', 'm', '2', '5', 'm', '2', '-2', '16', 1, '9', '', '0000001110000110'),
	(92, NULL, NULL, '', 'B12113', '012113', 'B12113', '585', 'Ground minimum temperature past 12 hrs', '°C', '2', '4', 'K', '2', '0', '16', 1, '', '', '1111111111111111'),
	(93, NULL, NULL, 'B12122', '', '012122', 'B12122', '85', 'Ground minimum temperature of the preceeding night', '°C', '2', '4', 'K', '2', '0', '16', 1, '', '', '1111111111111111'),
	(94, NULL, NULL, 'B13056', '', '013056', 'B13056', '505', 'Character and Intensity of precipitation', 'Code table', '0', '2', 'Code table', '0', '0', '4', 1, '2', '', '0010'),
	(95, NULL, NULL, 'B13057', '', '013057', 'B13057', '506', 'Time of beginning or end of precipitation', 'Code table', '0', '2', 'Code table', '0', '0', '4', 1, '', '', '1111'),
	(96, NULL, NULL, 'B20101', '', '020101', 'B20101', '701', 'Locust (Acridian) name', 'Code table', '0', '2', 'Code table', '0', '0', '4', 1, '', '', '1111'),
	(97, NULL, NULL, 'B20102', '', '020102', 'B20102', '702', 'Locust (Maturity) colour', 'Code table', '0', '2', 'Code table', '0', '0', '4', 1, '', '', '1111'),
	(98, NULL, NULL, 'B20103', '', '020103', 'B20103', '704', 'Stage of development of locusts', 'Code table', '0', '2', 'Code table', '0', '0', '4', 1, '', '', '1111'),
	(99, NULL, NULL, 'B20104', '', '020104', 'B20104', '705', 'Organization state of swam or band of locusts', 'Code table', '0', '2', 'Code table', '0', '0', '4', 1, '', '', '1111'),
	(100, NULL, NULL, 'B20105', '', '020105', 'B20105', '706', 'Size of swam or band of locusts and duration of passage of time', 'Code table', '0', '2', 'Code table', '0', '0', '4', 1, '', '', '1111'),
	(101, NULL, NULL, 'B20106', '', '020106', 'B20106', '707', 'Locust population density', 'Code table', '0', '2', 'Code table', '0', '0', '4', 1, '', '', '1111'),
	(102, NULL, NULL, 'B20107', '', '020107', 'B20107', '708', 'Direction of movements of locust swarm', 'Code table', '0', '2', 'Code table', '0', '0', '4', 1, '', '', '1111'),
	(103, NULL, NULL, 'B20108', '', '020108', 'B20108', '710', 'Extent of vegetation', 'Code table', '0', '2', 'Code table', '0', '0', '4', 1, '', '', '1111'),
	(104, NULL, NULL, 'D02043', 'D02038', '020003', 'B20003', '167', 'Present weather ', 'Code table', '0', '3', 'Code table', '0', '0', '9', 1, '5', '', '000000101'),
	(105, NULL, NULL, '', '', '004024', 'B04024', 'ww_TP', 'Time period in hours', 'Hour', '0', '4', 'Hour', '0', '-2048', '12', 1, '-6', '', '011111111010'),
	(106, NULL, NULL, '', '', '020004', 'B20004', '197', 'Past weather (1) ', 'Code table', '0', '2', 'Code table', '0', '0', '5', 1, '3', '', '00011'),
	(107, NULL, NULL, '', '', '020005', 'B20005', '193', 'Past weather (2) ', 'Code table', '0', '2', 'Code table', '0', '0', '5', 1, '3', '', '00011'),
	(109, NULL, NULL, '', 'D02039', '004024', 'B04024', 'SSS_TP', 'Time period in hours', 'Hour', '0', '4', 'Hour', '0', '-2048', '12', 1, '-24', '', '011111101000'),
	(110, NULL, NULL, '', '', '014031', 'B14031', '84', 'Total sunshine ', 'Minute', '0', '4', 'Minute', '0', '0', '11', 1, '3600', '', '00101101000'),
	(111, NULL, NULL, '', '', '004024', 'B04024', 'SS_TP', 'Time period or displacement in hours', 'Hour', '0', '4', 'Hour', '0', '-2048', '12', 1, '-1', '', '011111111111'),
	(112, NULL, NULL, '', '', '014031', 'B14031', '132', 'Total sunshine in minutes (2nd replication)', 'Minute', '0', '4', 'Minute', '0', '0', '11', 1, '30', '', '00000011110'),
	(113, NULL, NULL, '', 'D02040', '007032', 'B07032', 'RR_SH', 'Height of sensor above local ground (for precipiation measurement)', 'm', '2', '5', 'm', '2', '0', '16', 1, '0.25', '', '0000000000011001'),
	(115, NULL, NULL, '', '', '004024', 'B04024', 'tR_TP', 'Time period in hours', 'Hour', '0', '4', 'Hour', '0', '-2048', '12', 1, '-3', '', '011111111101'),
	(116, NULL, NULL, '', '', '013011', 'B13011', '5', 'Total precipitation RRR', 'kg m-2', '1', '5', 'kg m-2', '1', '-1', '14', 1, '250', '', '00000011111011'),
	(117, NULL, NULL, '', '', '004024', 'B04024', 'tr_TP', 'Time period or displacement', 'Hour', '0', '4', 'Hour', '0', '-2048', '12', 1, '-3', '', '011111111101'),
	(118, NULL, NULL, '', '', '013011', 'B13011', '174', 'Total precipitation', 'kg m-2', '1', '5', 'kg m-2', '1', '-1', '14', 1, '10', '', '00000000001011'),
	(119, NULL, NULL, '', 'D02041', '007032', 'B07032', 'xt_SH', 'Height of sensor above local ground (for temperature measurement)', 'm', '2', '5', 'm', '2', '0', '16', 1, '1.25', '', '0000000001111101'),
	(120, NULL, NULL, '', '', '004024', 'B04024', 'xt_TP', 'Time period or displacement                         ', 'Hour', '0', '4', 'Hour', '0', '-2048', '12', 1, '-12', '', '011111110100'),
	(121, NULL, NULL, '', '', '004024', 'B04024', 'xt0_TP', 'Time period or displacement (see Notes 1 and 2)                      ', 'Hour', '0', '4', 'Hour', '0', '-2048', '12', 1, '0', '', '100000000000'),
	(122, NULL, NULL, '', '', '012111', 'B12111', '2', 'Maximum temperature (scale 2) at height and over period specified', '°C', '2', '4', 'K', '2', '0', '16', 1, '282', '', '0111010110110111'),
	(123, NULL, NULL, '', '', '004024', 'B04024', 'nt_TP', 'Time period or displacement                         ', 'Hour', '0', '4', 'Hour', '0', '-2048', '12', 1, '-12', '', '011111110100'),
	(124, NULL, NULL, '', '', '004024', 'B04024', 'nt0_TP', 'Time period or displacement (see Notes 2)                      ', 'Hour', '0', '4', 'Hour', '0', '-2048', '12', 1, '-0', '', '100000000000'),
	(125, NULL, NULL, '', '', '012112', 'B12112', '3', 'Minimum temperature (scale 2) at height and over period specified ', '°C', '2', '4', 'K', '2', '0', '16', 1, '176', '', '0111000110010011'),
	(126, NULL, NULL, '', 'D02042', '007032', 'B07032', 'w_SH', 'Height of sensor above local ground (for wind measurement)', 'm', '2', '5', 'm', '2', '0', '16', 1, '10', '', '0000001111101000'),
	(127, NULL, NULL, '', '', '002002', 'B02002', 'w_I', 'Type of instrumentation for wind measurement', 'Flag table', '0', '2', 'Flag table', '0', '0', '4', 1, '04', '', '0100'),
	(128, NULL, NULL, '', '', '008021', 'B08021', 'w_TS', 'Time significance (= 2 (time averaged))', 'Code table', '0', '2', 'Code table', '0', '0', '5', 1, '2', '', '00010'),
	(129, NULL, NULL, '', '', '004025', 'B04025', 'w_TP', 'Time period (= - 10 minutes, or number of minutes after a significant change of wind)', 'Minute', '0', '4', 'Minute', '0', '-2048', '12', 1, '-10', '', '011111110110'),
	(130, NULL, NULL, '', '', '011001', 'B11001', '112', 'Wind direction', 'Degree true', '0', '3', 'Degree true', '0', '0', '9', 1, '105', '', '001101001'),
	(131, NULL, NULL, '', '', '011002', 'B11002', '111', 'Wind speed ', 'm s-1', '1', '4', 'm s-1', '1', '0', '12', 1, '4', '', '000000101000'),
	(132, NULL, NULL, '', '', '008021', 'B08021', 'w1_TS', 'Time significance (= missing value)', 'Code table', '0', '2', 'Code table', '0', '0', '5', 1, '', '', '11111'),
	(134, NULL, NULL, '', '', '004025', 'B04025', 'w1_TP', 'Time period in minutes   ', 'Minute', '0', '4', 'Minute', '0', '-2048', '12', 1, '', '', '111111111111'),
	(135, NULL, NULL, '', '', '011043', 'B11043', '59', 'Maximum wind gust direction', 'Degree true', '0', '3', 'Degree true', '0', '0', '9', 1, '', '', '111111111'),
	(136, NULL, NULL, '', '', '011041', 'B11041', '58', 'Maximum wind gust speed', 'm s-1', '1', '4', 'm s-1', '1', '0', '12', 1, '', '', '111111111111'),
	(137, NULL, NULL, '', '', '004025', 'B04025', 'w2_TP', 'Time period in minutes   ', 'Minute', '0', '4', 'Minute', '0', '-2048', '12', 1, '', '', '111111111111'),
	(138, NULL, NULL, '', '', '011043', 'B11043', '591', 'Maximum wind gust direction', 'Degree true', '0', '3', 'Degree true', '0', '0', '9', 1, '', '', '111111111'),
	(139, NULL, NULL, '', '', '011041', 'B11041', '581', 'Maximum wind gust speed', 'm s-1', '1', '4', 'm s-1', '1', '0', '12', 1, '', '', '111111111111'),
	(140, NULL, NULL, '', 'B07032', '007032', 'B07032', 'evap_SH', 'Height of sensor above local ground (for evaporation measurement)', 'm', '2', '5', 'm', '2', '0', '16', 1, '0.25', '', '0000000000011001'),
	(141, NULL, NULL, 'D02044', 'B04024', '004024', 'B04024', 'evap_TP', 'Time period in hours              =  - 24', 'Hour', '0', '4', 'Hour', '0', '-2048', '12', 1, '-24', '', '011111101000'),
	(142, NULL, NULL, '', 'B02004', '002004', 'B02004', 'evap_I', 'Type of instrument for evaporation or crop for evapotranspiration', 'Code table', '0', '2', 'Code table', '0', '0', '4', 1, '01', '', '0001'),
	(143, NULL, NULL, '', 'B13033', '013033', 'B13033', '18', 'Evaporation /evapotranspiration', 'kg m-2', '1', '4', 'kg m-2', '1', '0', '10', 1, '50', '', '0000110010'),
	(145, NULL, NULL, 'D02045', 'B04024', '004024', 'B04024', 'rad1_TP', 'Time period or displacement', 'Hour', '0', '4', 'Hour', '0', '-2048', '12', 1, '-1', '', '011111111111'),
	(146, NULL, NULL, '', 'B14002', '014002', 'B14002', '536', 'Long-wave radiation, integrated over period specified ', 'J m-2', '-3', '4', 'J m-2', '-3', '-2048', '12', 1, '', '', '111111111111'),
	(147, NULL, NULL, '', 'B14004', '014004', 'B14004', '533', 'Short-wave radiation, integrated over period specified ', 'J m-2', '-3', '4', 'J m-2', '-3', '-2048', '12', 1, '', '', '111111111111'),
	(148, NULL, NULL, '', 'B14016', '014016', 'B14016', '46_1', 'Net radiation, integrated over period specified', 'J m-2', '-4', '5', 'J m-2', '-4', '-16384', '15', 1, '', '', '111111111111111'),
	(149, NULL, NULL, '', 'B14028', '014028', 'B14028', '133', 'Global solar radiation (high accuracy), integrated over period specified', 'J m-2', '-2', '5', 'J m-2', '-2', '0', '16', 1, '', '', '1111111111111111'),
	(150, NULL, NULL, '', 'B14029', '014029', 'B14029', '97', 'Diffuse solar radiation (high accuracy), integrated over period specified', 'J m-2', '-2', '5', 'J m-2', '-2', '0', '16', 1, '', '', '1111111111111111'),
	(151, NULL, NULL, '', 'B14030', '014030', 'B14030', '139', 'Direct solar radiation (high accuracy), integrated over period specified', 'J m-2', '-2', '5', 'J m-2', '-2', '0', '16', 1, '', '', '1111111111111111'),
	(152, NULL, NULL, '', 'B04024', '004024', 'B04024', 'rad2_TP', 'Time period or displacement', 'Hour', '0', '4', 'Hour', '0', '-2048', '12', 1, '-24', '', '011111101000'),
	(153, NULL, NULL, '', 'B14002', '014002', 'B14002', '536_1', 'Long-wave radiation, integrated over period specified ', 'J m-2', '-3', '4', 'J m-2', '-3', '-2048', '12', 1, '', '', '111111111111'),
	(154, NULL, NULL, '', 'B14004', '014004', 'B14004', '533_1', 'Short-wave radiation, integrated over period specified ', 'J m-2', '-3', '4', 'J m-2', '-3', '-2048', '12', 1, '', '', '111111111111'),
	(155, NULL, NULL, '', 'B14016', '014016', 'B14016', '46', 'Net radiation, integrated over period specified', 'J m-2', '-4', '5', 'J m-2', '-4', '-16384', '15', 1, '262000000', '', '100101000111100'),
	(156, NULL, NULL, '', 'B14028', '014028', 'B14028', '133_1', 'Global solar radiation (high accuracy), integrated over period specified', 'J m-2', '-2', '5', 'J m-2', '-2', '0', '16', 1, '', '', '1111111111111111'),
	(157, NULL, NULL, '', 'B14029', '014029', 'B14029', '97_1', 'Diffuse solar radiation (high accuracy), integrated over period specified', 'J m-2', '-2', '5', 'J m-2', '-2', '0', '16', 1, '', '', '1111111111111111'),
	(158, NULL, NULL, '', 'B14030', '014030', 'B14030', '139_1', 'Direct solar radiation (high accuracy), integrated over period specified', 'J m-2', '-2', '5', 'J m-2', '-2', '0', '16', 1, '', '', '1111111111111111'),
	(159, NULL, NULL, 'D02046', 'B04024', '004024', 'B04024', 'tempc_t', 'Time period or displacement                         ', 'Hour', '0', '4', 'Hour', '0', '-2048', '12', 1, '-6', '', '011111111010'),
	(160, NULL, NULL, '', 'B04024', '004024', 'B04024', 'tempc1_t', 'Time period or displacement (see Note 3)       ', 'Hour', '0', '4', 'Hour', '0', '-2048', '12', 1, '', '', '111111111111'),
	(161, NULL, NULL, '', 'B12049', '012049', 'B12049', '94', 'Temperature change over period specified', '°C', '0', '2', 'K', '0', '-30', '6', 1, '', '', '111111');
/*!40000 ALTER TABLE `bufr_crex_data` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_test_db_v4.bufr_crex_master
CREATE TABLE IF NOT EXISTS `bufr_crex_master` (
  `Bufr_FXY` varchar(6) NOT NULL,
  `Crex_Fxxyyy` varchar(255) NOT NULL,
  `ElementName` varchar(255) NOT NULL,
  `Bufr_Unit` varchar(255) NOT NULL,
  `Bufr_Scale` varchar(25) NOT NULL DEFAULT '0',
  `Bufr_RefValue` varchar(50) DEFAULT '0',
  `Bufr_DataWidth_Bits` varchar(50) DEFAULT '0',
  `Crex_Unit` varchar(25) DEFAULT NULL,
  `Crex_Scale` varchar(25) NOT NULL,
  `Crex_DataWidth` varchar(25) NOT NULL,
  `Observation` varchar(255) DEFAULT NULL,
  `Crex_Data` varchar(30) DEFAULT NULL,
  `Bufr_Data` varchar(255) DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_test_db_v4.bufr_crex_master: ~2,366 rows (approximately)
/*!40000 ALTER TABLE `bufr_crex_master` DISABLE KEYS */;
INSERT INTO `bufr_crex_master` (`Bufr_FXY`, `Crex_Fxxyyy`, `ElementName`, `Bufr_Unit`, `Bufr_Scale`, `Bufr_RefValue`, `Bufr_DataWidth_Bits`, `Crex_Unit`, `Crex_Scale`, `Crex_DataWidth`, `Observation`, `Crex_Data`, `Bufr_Data`) VALUES
	('000001', 'B00001', 'Table A: entry', 'CCITT IA5', '0', '0', '24', 'Character', '0', '3', '', '', ''),
	('000002', 'B00002', 'Table A: data category description line 1', 'CCITT IA5', '0', '0', '256', 'Character', '0', '32', '', '', ''),
	('000003', 'B00003', 'Table A: data category description line 2', 'CCITT IA5', '0', '0', '256', 'Character', '0', '32', '', '', ''),
	('000004', 'B00004', 'BUFR/CREX Master table (see Note 2)', 'CCITT IA5', '0', '0', '16', 'Character', '0', '2', '', '', ''),
	('000005', 'B00005', 'BUFR/CREX edition number', 'CCITT IA5', '0', '0', '24', 'Character', '0', '3', '', '', ''),
	('000006', 'B00006', 'BUFR Master table Version number (see Note 3)', 'CCITT IA5', '0', '0', '16', 'Character', '0', '2', '', '', ''),
	('000007', 'B00007', 'CREX Master table Version number (see Note 4)', 'CCITT IA5', '0', '0', '16', 'Character', '0', '2', '', '', ''),
	('000008', 'B00008', 'BUFR Local table version number (see Note 5)', 'CCITT IA5', '0', '0', '16', 'Character', '0', '2', '', '', ''),
	('000010', 'B00010', 'F descriptor to be added or defined', 'CCITT IA5', '0', '0', '8', 'Character', '0', '1', '', '', ''),
	('000011', 'B00011', 'X descriptor to be added or defined', 'CCITT IA5', '0', '0', '16', 'Character', '0', '2', '', '', ''),
	('000012', 'B00012', 'Y descriptor to be added or defined', 'CCITT IA5', '0', '0', '24', 'Character', '0', '3', '', '', ''),
	('000013', 'B00013', 'Element name line 1', 'CCITT IA5', '0', '0', '256', 'Character', '0', '32', '', '', ''),
	('000014', 'B00014', 'Element name line 2', 'CCITT IA5', '0', '0', '256', 'Character', '0', '32', '', '', ''),
	('000015', 'B00015', 'Units name', 'CCITT IA5', '0', '0', '192', 'Character', '0', '24', '', '', ''),
	('000016', 'B00016', 'Units scale sign', 'CCITT IA5', '0', '0', '8', 'Character', '0', '1', '', '', ''),
	('000017', 'B00017', 'Units scale', 'CCITT IA5', '0', '0', '24', 'Character', '0', '3', '', '', ''),
	('000018', 'B00018', 'Units reference sign', 'CCITT IA5', '0', '0', '8', 'Character', '0', '1', '', '', ''),
	('000019', 'B00019', 'Units reference value', 'CCITT IA5', '0', '0', '80', 'Character', '0', '10', '', '', ''),
	('000020', 'B00020', 'Element data width', 'CCITT IA5', '0', '0', '24', 'Character', '0', '3', '', '', ''),
	('000030', 'B00030', 'Descriptor defining sequence', 'CCITT IA5', '0', '0', '48', 'Character', '0', '6', '', '', ''),
	('001001', 'B01001', 'WMO block number', 'Numeric', '0', '0', '7', 'Numeric', '0', '2', '', '', ''),
	('001002', 'B01002', 'WMO station number', 'Numeric', '0', '0', '10', 'Numeric', '0', '3', '', '', ''),
	('001003', 'B01003', 'WMO Region number/geographical area', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('001004', 'B01004', 'WMO Region sub-area (see Note 9)', 'Numeric', '0', '0', '3', 'Numeric', '0', '1', '', '', ''),
	('001005', 'B01005', 'Buoy/platform identifier', 'Numeric', '0', '0', '17', 'Numeric', '0', '5', '', '', ''),
	('001006', 'B01006', 'Aircraft flight number', 'CCITT IA5', '0', '0', '64', 'Character', '0', '8', '', '', ''),
	('001007', 'B01007', 'Satellite identifier', 'Code table', '0', '0', '10', 'Code table', '0', '4', '', '', ''),
	('001008', 'B01008', 'Aircraft registration number or other identification', 'CCITT IA5', '0', '0', '64', 'Character', '0', '8', '', '', ''),
	('001009', 'B01009', 'Type of commercial aircraft', 'CCITT IA5', '0', '0', '64', 'Character', '0', '8', '', '', ''),
	('001010', 'B01010', 'Stationary buoy platform identifier; e.g. C-MAN buoys', 'CCITT IA5', '0', '0', '64', 'Character', '0', '8', '', '', ''),
	('001011', 'B01011', 'Ship or mobile land station identifier', 'CCITT IA5', '0', '0', '72', 'Character', '0', '9', '', '', ''),
	('001012', 'B01012', 'Direction of motion of moving observing platform*', 'Degree true', '0', '0', '9', 'Degree true', '0', '3', '', '', ''),
	('001013', 'B01013', 'Speed of motion of moving observing platform??*', 'm s-1', '0', '0', '10', 'm s-1', '0', '3', '', '', ''),
	('001014', 'B01014', 'Platform drift speed (high precision)', 'm s-1', '2', '0', '10', 'm s-1', '2', '4', '', '', ''),
	('001015', 'B01015', 'Station or site name', 'CCITT IA5', '0', '0', '160', 'Character', '0', '20', '', '', ''),
	('001018', 'B01018', 'Short station or site name', 'CCITT IA5', '0', '0', '40', 'Character', '0', '5', '', '', ''),
	('001019', 'B01019', 'Long Station or site name', 'CCITT IA5', '0', '0', '256', 'Character', '0', '32', '', '', ''),
	('001020', 'B01020', 'WMO Region sub-area', 'Numeric', '0', '0', '4', 'Numeric', '0', '2', '', '', ''),
	('001021', 'B01021', 'Synoptic feature identifier', 'Numeric', '0', '0', '14', 'Numeric', '0', '4', '', '', ''),
	('001022', 'B01022', 'Name of feature (see Note 11)', 'CCITT IA5', '0', '0', '224', 'Character', '0', '28', '', '', ''),
	('001023', 'B01023', 'Observation sequence number ', 'Numeric', '0', '0', '9', 'Numeric', '0', '3', '', '', ''),
	('001025', 'B01025', 'Storm identifier (see Note 1)', 'CCITT IA5', '0', '0', '24', 'Character', '0', '3', '', '', ''),
	('001026', 'B01026', 'WMO storm name*', 'CCITT IA5', '0', '0', '64', 'Character', '0', '8', '', '', ''),
	('001027', 'B01027', 'WMO long storm name*', 'CCITT IA5', '0', '0', '80', 'Character', '0', '10', '', '', ''),
	('001030', 'B01030', 'Numerical model identifier (see Note 13)', 'CCITT IA5', '0', '0', '128', 'Character', '0', '16', '', '', ''),
	('001031', 'B01031', 'Identification of originating/generating centre (see Note 10)', 'Code table', '0', '0', '16', 'Code table', '0', '5', '', '', ''),
	('001032', 'B01032', 'Generating application', 'Code table defined by originating/generating centre (Notes 3 4 and 5)', '0', '0', '8', 'Code table', '0', '3', '', '', ''),
	('001033', 'B01033', 'Identification of originating/generating centre', 'Code table', '0', '0', '8', 'Code table', '0', '3', '', '', ''),
	('001034', 'B01034', 'Identification of originating/generating sub-centre', 'Code table', '0', '0', '8', 'Code table', '0', '3', '', '', ''),
	('001035', 'B01035', 'Originating Centre', 'Common Code Table C-11', '0', '0', '16', 'Common Code Table C-11', '0', '5', '', '', ''),
	('001036', 'B01036', 'Agency in charge of operating the Observing platform', 'Code table', '0', '0', '20', 'Code table', '0', '7', '', '', ''),
	('001037', 'B01037', 'SIGMET sequence identifier', 'CCITT IA5', '0', '0', '24', 'Character', '0', '3', '', '', ''),
	('001041', 'B01041', 'Absolute platform velocity – first component (see Note 6)', 'm s-1', '5', '-1073741824', '31', 'm s-1', '5', '10', '', '', ''),
	('001042', 'B01042', 'Absolute platform velocity – second component  (see Note 6)', 'm s-1', '5', '-1073741824', '31', 'm s-1', '5', '10', '', '', ''),
	('001043', 'B01043', 'Absolute platform velocity – third component  (see Note 6)', 'm s-1', '5', '-1073741824', '31', 'm s-1', '5', '10', '', '', ''),
	('001050', 'B01050', 'Platform transmitter ID number', 'Numeric', '0', '0', '17', 'Numeric', '0', '6', '', '', ''),
	('001051', 'B01051', 'Platform transmitter ID number', 'CCITT IA5', '0', '0', '96', 'Character', '0', '12', '', '', ''),
	('001060', 'B01060', 'Aircraft reporting point (Beacon identifier)', 'CCITT IA5', '0', '0', '64', 'Character', '0', '8', '', '', ''),
	('001062', 'B01062', 'Short ICAO location indicator', 'CCITT IA5', '0', '0', '32', 'Character', '0', '4', '', '', ''),
	('001063', 'B01063', 'ICAO location indicator', 'CCITT IA5', '0', '0', '64', 'Character', '0', '8', '', '', ''),
	('001064', 'B01064', 'Runway designator', 'CCITT IA5', '0', '0', '32', 'Character', '0', '4', '', '', ''),
	('001065', 'B01065', 'ICAO region identifier', 'CCITT IA5', '0', '0', '256', 'Character', '0', '32', '', '', ''),
	('001075', 'B01075', 'Tide station identification', 'CCITT IA5', '0', '0', '40', 'Character', '0', '5', '', '', ''),
	('001080', 'B01080', 'Ship line number according to SOOP', 'CCITT IA5', '0', '0', '32', 'Character', '0', '4', '', '', ''),
	('001081', 'B01081', 'Radiosonde serial number ', 'CCITT IA5', '0', '0', '160', 'Character', '0', '20', '', '', ''),
	('001082', 'B01082', 'Radiosonde ascension number (see Note 12)', 'Numeric', '0', '0', '14', 'Numeric', '0', '4', '', '', ''),
	('001083', 'B01083', 'Radiosonde release number (see Note 12)', 'Numeric', '0', '0', '3', 'Numeric', '0', '1', '', '', ''),
	('001085', 'B01085', 'Observing platform manufacturer\'s model', 'CCITT IA5', '0', '0', '160', 'Character', '0', '20', '', '', ''),
	('001086', 'B01086', 'Observing platform manufacturer\'s serial number', 'CCITT IA5', '0', '0', '256', 'Character', '0', '32', '', '', ''),
	('001087', 'B01087', 'WMO Marine observing platform extended identifier', 'Numeric', '0', '0', '23', 'Numeric', '0', '7', '', '', ''),
	('001090', 'B01090', 'Technique for making up initial perturbations', 'Code table', '0', '0', '8', 'Code table', '0', '3', '', '', ''),
	('001091', 'B01091', 'Ensemble member number ', 'Numeric', '0', '0', '10', 'Numeric', '0', '4', '', '', ''),
	('001092', 'B01092', 'Type of ensemble forecast', 'Code table', '0', '0', '8', 'Code table', '0', '3', '', '', ''),
	('001093', 'B01093', 'Balloon lot number', 'CCITT IA5', '0', '0', '96', 'Character', '0', '12', '', '', ''),
	('001094', 'B01094', 'WBAN Number', 'Numeric', '0', '0', '17', 'Numeric', '0', '5', '', '', ''),
	('001095', 'B01095', 'Observer identification', 'CCITT IA5', '0', '0', '32', 'Character', '0', '4', '', '', ''),
	('001096', 'B01096', 'Station acquisition ', 'CCITT IA5', '0', '0', '160', 'Character', '0', '20', '', '', ''),
	('002001', 'B02001', 'Type of station', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('002002', 'B02002', 'Type of instrumentation for wind measurement', 'Flag table', '0', '0', '4', 'Flag table', '0', '2', '', '', ''),
	('002003', 'B02003', 'Type of measuring equipment used', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002004', 'B02004', 'Type of instrumentation for evaporation measurement or type of crop for which evapotranspiration is reported', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002005', 'B02005', 'Precision of temperature observation', 'K', '2', '0', '7', 'K', '2', '3', '', '', ''),
	('002011', 'B02011', 'Radiosonde type', 'Code table', '0', '0', '8', 'Code table', '0', '3', '', '', ''),
	('002012', 'B02012', 'Radiosonde computational method', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002013', 'B02013', 'Solar and infrared radiation correction', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002014', 'B02014', 'Tracking technique/status of system used', 'Code table', '0', '0', '7', 'Code table', '0', '3', '', '', ''),
	('002015', 'B02015', 'Radiosonde completeness', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002016', 'B02016', 'Radiosonde configuration', 'Flag table', '0', '0', '5', 'Flag table', '0', '2', '', '', ''),
	('002019', 'B02019', 'Satellite instruments', 'Code table', '0', '0', '11', 'Code table', '0', '4', '', '', ''),
	('002020', 'B02020', 'Satellite classification', 'Code table', '0', '0', '9', 'Code table', '0', '3', '', '', ''),
	('002021', 'B02021', 'Satellite instrument data used in processing*', 'Flag table', '0', '0', '9', 'Flag table', '0', '3', '', '', ''),
	('002022', 'B02022', 'Satellite data-processing technique used', 'Flag table', '0', '0', '8', 'Flag table', '0', '3', '', '', ''),
	('002023', 'B02023', 'Satellite derived wind computation method', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002024', 'B02024', 'Integrated mean humidity computational method', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002025', 'B02025', 'Satellite channel(s) used in computation', 'Flag table', '0', '0', '25', 'Flag table', '0', '9', '', '', ''),
	('002026', 'B02026', 'Cross track resolution', 'm', '2', '0', '12', 'm', '2', '4', '', '', ''),
	('002027', 'B02027', 'Along track resolution', 'm', '2', '0', '12', 'm', '2', '4', '', '', ''),
	('002028', 'B02028', 'Segment size at nadir in X direction', 'm', '0', '0', '18', 'm', '0', '6', '', '', ''),
	('002029', 'B02029', 'Segment size at nadir in Y direction', 'm', '0', '0', '18', 'm', '0', '6', '', '', ''),
	('002030', 'B02030', 'Method of current measurement', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('002031', 'B02031', 'Duration and time of current measurement', 'Code table', '0', '0', '5', 'Code table', '0', '2', '', '', ''),
	('002032', 'B02032', 'Indicator for digitization', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('002033', 'B02033', 'Method of salinity/depth measurement', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('002034', 'B02034', 'Drogue type', 'Code table', '0', '0', '5', 'Code table', '0', '2', '', '', ''),
	('002035', 'B02035', 'Cable length', 'm', '0', '0', '9', 'm', '0', '3', '', '', ''),
	('002036', 'B02036', 'Buoy type', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('002037', 'B02037', 'Method of tidal observation', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('002038', 'B02038', 'Method of water temperature and/or salinity measurement', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002039', 'B02039', 'Method of wet-bulb temperature measurement', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('002040', 'B02040', 'Method of removing velocity and motion of platform from current', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002041', 'B02041', 'Method for estimating reports related to synoptic features', 'Code table', '0', '0', '6', 'Code table', '0', '2', '', '', ''),
	('002042', 'B02042', 'Indicator for sea surface current speed', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('002044', 'B02044', 'Indicator for method of calculating spectral wave data', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002045', 'B02045', 'Indicator for type of platform', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002046', 'B02046', 'Wave measurement instrumentation', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002048', 'B02048', 'Satellite sensor indicator', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002049', 'B02049', 'Geostationary satellite data-processing technique used', 'Flag table', '0', '0', '8', 'Flag table', '0', '3', '', '', ''),
	('002050', 'B02050', 'Geostationary sounder satellite channels used', 'Flag table', '0', '0', '20', 'Flag table', '0', '7', '', '', ''),
	('002051', 'B02051', 'Indicator to specify observing method for extreme temperatures', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002052', 'B02052', 'Geostationary imager satellite channels used', 'Flag table', '0', '0', '6', 'Flag table', '0', '2', '', '', ''),
	('002053', 'B02053', 'GOES-I/M brightness temperature characteristics', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002054', 'B02054', 'GOES-I/M soundings parameter characteristics', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002055', 'B02055', 'Geostationary soundings statistical parameters', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002056', 'B02056', 'Geostationary soundings accuracy statistics', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002057', 'B02057', 'Origin of first guess information for GOES-I/M soundings', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002058', 'B02058', 'Valid times of first guess information for GOES-I/M soundings', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002059', 'B02059', 'Origin of analysis information for GOES-I/M soundings', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002060', 'B02060', 'Origin of surface information for GOES-I/M soundings', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002061', 'B02061', 'Aircraft navigational system', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('002062', 'B02062', 'Type of aircraft data relay system', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002063', 'B02063', 'Aircraft roll angle', 'Degree', '2', '-18000', '16', 'Degree', '2', '5', '', '', ''),
	('002064', 'B02064', 'Aircraft roll angle quality', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('002065', 'B02065', 'ACARS ground receiving station', 'CCITT IA5', '0', '0', '40', 'Character', '0', '5', '', '', ''),
	('002066', 'B02066', 'Radiosonde ground receiving system', 'Code table', '0', '0', '6', 'Code table', '0', '2', '', '', ''),
	('002067', 'B02067', 'Radiosonde operating frequency', 'Hz', '-5', '0', '15', 'Hz', '-5', '5', '', '', ''),
	('002070', 'B02070', 'Original specification of latitude/longitude', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002080', 'B02080', 'Balloon manufacturer', 'Code table', '0', '0', '6', 'Code table', '0', '2', '', '', ''),
	('002081', 'B02081', 'Type of balloon', 'Code table', '0', '0', '5', 'Code table', '0', '2', '', '', ''),
	('002082', 'B02082', 'Weight of balloon', 'kg', '3', '0', '12', 'kg', '3', '4', '', '', ''),
	('002083', 'B02083', 'Type of balloon shelter', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002084', 'B02084', 'Type of gas used in balloon', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002085', 'B02085', 'Amount of gas used in balloon', 'kg', '3', '0', '13', 'kg', '3', '4', '', '', ''),
	('002086', 'B02086', 'Balloon flight train length', 'm', '1', '0', '10', 'm', '1', '4', '', '', ''),
	('002091', 'B02091', 'Entry sensor 4/20 mA', 'A', '4', '0', '10', 'A', '4', '3', '', '', ''),
	('002095', 'B02095', 'Type of pressure sensor', 'Code table', '0', '0', '5', 'Code table', '0', '2', '', '', ''),
	('002096', 'B02096', 'Type of temperature sensor', 'Code table', '0', '0', '5', 'Code table', '0', '2', '', '', ''),
	('002097', 'B02097', 'Type of humidity sensor', 'Code table', '0', '0', '5', 'Code table', '0', '2', '', '', ''),
	('002100', 'B02100', 'Radar constant*', 'dB', '1', '0', '12', 'dB', '1', '4', '', '', ''),
	('002101', 'B02101', 'Type of antenna', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002102', 'B02102', 'Antenna height above tower base', 'm', '0', '0', '8', 'm', '0', '3', '', '', ''),
	('002103', 'B02103', 'Radome', 'Flag table', '0', '0', '2', 'Flag table', '0', '1', '', '', ''),
	('002104', 'B02104', 'Antenna polarisation', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002105', 'B02105', 'Maximum antenna gain', 'dB', '0', '0', '6', 'dB', '0', '2', '', '', ''),
	('002106', 'B02106', '3-dB beamwidth', 'Degree', '1', '0', '6', 'Degree', '1', '2', '', '', ''),
	('002107', 'B02107', 'Sidelobe suppression', 'dB', '0', '0', '6', 'dB', '0', '2', '', '', ''),
	('002108', 'B02108', 'Crosspol discrimination (on axis)', 'dB', '0', '0', '6', 'dB', '0', '2', '', '', ''),
	('002109', 'B02109', 'Antenna speed (azimuth)', 'Degree s-1', '2', '0', '12', 'Degree s-1', '2', '4', '', '', ''),
	('002110', 'B02110', 'Antenna speed (elevation)', 'Degree s-1', '2', '0', '12', 'Degree s-1', '2', '4', '', '', ''),
	('002111', 'B02111', 'Radar incidence angle', 'Degree', '1', '0', '10', 'Degree', '1', '4', '', '', ''),
	('002112', 'B02112', 'Radar look angle', 'Degree', '1', '0', '12', 'Degree', '1', '4', '', '', ''),
	('002113', 'B02113', 'Number of azimuth looks', 'Numeric', '0', '0', '4', 'Numeric', '0', '2', '', '', ''),
	('002114', 'B02114', 'Antenna effective surface area', 'm2', '0', '0', '15', 'm2', '0', '5', '', '', ''),
	('002115', 'B02115', 'Type of surface observing equipment', 'Code table', '0', '0', '5', 'Code table', '0', '2', '', '', ''),
	('002116', 'B02116', 'Percentage of 320 MHz band processed', '%', '0', '0', '7', '%', '0', '3', '', '', ''),
	('002117', 'B02117', 'Percentage of 80 MHz band processed', '%', '0', '0', '7', '%', '0', '3', '', '', ''),
	('002118', 'B02118', 'Percentage of 20 MHz band processed', '%', '0', '0', '7', '%', '0', '3', '', '', ''),
	('002119', 'B02119', 'RA-2 instrument operations', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('002120', 'B02120', 'Ocean wave frequency', 'Hz', '3', '0', '10', 'Hz', '3', '4', '', '', ''),
	('002121', 'B02121', 'Mean frequency', 'Hz', '-8', '0', '7', 'Hz', '-8', '3', '', '', ''),
	('002122', 'B02122', 'Frequency agility range', 'Hz', '-6', '-128', '8', 'Hz', '-6', '3', '', '', ''),
	('002123', 'B02123', 'Peak power', 'W', '-4', '0', '7', 'W', '-4', '3', '', '', ''),
	('002124', 'B02124', 'Average power', 'W', '-1', '0', '7', 'W', '-1', '3', '', '', ''),
	('002125', 'B02125', 'Pulse repetition frequency', 'Hz', '-1', '0', '8', 'Hz', '-1', '3', '', '', ''),
	('002126', 'B02126', 'Pulse width', 's', '7', '0', '6', 's', '7', '2', '', '', ''),
	('002127', 'B02127', 'Receiver intermediate frequency', 'Hz', '-6', '0', '7', 'Hz', '-6', '3', '', '', ''),
	('002128', 'B02128', 'Intermediate frequency bandwidth', 'Hz', '-5', '0', '6', 'Hz', '-5', '2', '', '', ''),
	('002129', 'B02129', 'Minimum detectable signal', 'dB', '0', '-150', '5', 'dB', '0', '3', '', '', ''),
	('002130', 'B02130', 'Dynamic range', 'dB', '0', '0', '7', 'dB', '0', '3', '', '', ''),
	('002131', 'B02131', 'Sensitivity time control (STC)', 'Flag table', '0', '0', '2', 'Flag table', '0', '1', '', '', ''),
	('002132', 'B02132', 'Azimuth pointing accuracy', 'Degree', '2', '0', '6', 'Degree', '2', '2', '', '', ''),
	('002133', 'B02133', 'Elevation pointing accuracy', 'Degree', '2', '0', '6', 'Degree', '2', '2', '', '', ''),
	('002134', 'B02134', 'Antenna beam azimuth', 'Degree', '2', '0', '16', 'Degree', '2', '5', '', '', ''),
	('002135', 'B02135', 'Antenna elevation', 'Degree', '2', '-9000', '15', 'Degree', '2', '5', '', '', ''),
	('002136', 'B02136', 'Range processed by range attenuation correction', 'm', '-3', '0', '16', 'm', '-3', '5', '', '', ''),
	('002140', 'B02140', 'Satellite radar beam azimuth angle', 'Degree', '0', '0', '9', 'Degree', '0', '3', '', '', ''),
	('002141', 'B02141', 'Measurement type', 'CCITT IA5', '0', '0', '24', 'Character', '0', '3', '', '', ''),
	('002142', 'B02142', 'Ozone instrument serial number/ identification', 'CCITT IA5', '0', '0', '32', 'Character', '0', '4', '', '', ''),
	('002143', 'B02143', 'Ozone instrument type', 'Code table', '0', '0', '7', 'Code table', '0', '3', '', '', ''),
	('002144', 'B02144', 'Light source type for Brewer spectro photometer', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002145', 'B02145', 'Wave length setting for Dobson instruments', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002146', 'B02146', 'Source conditions for Dobson instruments', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002148', 'B02148', 'Data collection and/or location system', 'Code table', '0', '0', '5', 'Code table', '0', '2', '', '', ''),
	('002149', 'B02149', 'Type of data buoy', 'Code table', '0', '0', '6', 'Code table', '0', '2', '', '', ''),
	('002150', 'B02150', 'TOVS/ATOVS/AVHRR instrumentation channel number', 'Code table', '0', '0', '6', 'Code table', '0', '2', '', '', ''),
	('002151', 'B02151', 'Radiometer identifier', 'Code table', '0', '0', '11', 'Code table', '0', '4', '', '', ''),
	('002152', 'B02152', 'Satellite instrument used in data processing (see Note 6)', 'Flag table', '0', '0', '31', 'Flag table', '0', '10', '', '', ''),
	('002153', 'B02153', 'Satellite channel centre frequency', 'Hz', '-8', '0', '26', 'Hz', '-8', '8', '', '', ''),
	('002154', 'B02154', 'Satellite channel band width', 'Hz', '-8', '0', '26', 'Hz', '-8', '8', '', '', ''),
	('002156', 'B02156', 'Percentage of valid KU ocean retracker measurements', '%', '0', '0', '7', '%', '0', '3', '', '', ''),
	('002157', 'B02157', 'Percentage of valid S ocean retracker measurements', '%', '0', '0', '7', '%', '0', '3', '', '', ''),
	('002158', 'B02158', 'RA-2 instrument', 'Flag table', '0', '0', '9', 'Flag table', '0', '3', '', '', ''),
	('002159', 'B02159', 'MWR instrument', 'Flag table', '0', '0', '8', 'Flag table', '0', '3', '', '', ''),
	('002160', 'B02160', 'Wave length of the radar', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002163', 'B02163', 'Height assignment method', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002164', 'B02164', 'Tracer correlation method', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('002166', 'B02166', 'Radiance type', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002167', 'B02167', 'Radiance computational method', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002168', 'B02168', 'Hydrostatic pressure of lower end of cable (thermistor string)', 'Pa', '-3', '0', '16', 'kPa', '-3', '5', '', '', ''),
	('002169', 'B02169', 'Anemometer type', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002172', 'B02172', 'Product type for retrieved atmospheric gases', 'Code table', '0', '0', '8', 'Code table', '0', '3', '', '', ''),
	('002173', 'B02173', 'Square of the off nadir angle (see Note 7)', 'Degree2', '4', '0', '10', 'Degree2', '4', '4', '', '', ''),
	('002174', 'B02174', 'Mean across track pixel number ', 'Numeric', '0', '0', '9', 'Numeric', '0', '3', '', '', ''),
	('002175', 'B02175', 'Method of precipitation measurement ', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002176', 'B02176', 'Method of state of ground measurement ', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002177', 'B02177', 'Method of snow depth measurement ', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002178', 'B02178', 'Method of liquid content measurement of precipitation', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002179', 'B02179', 'Type of sky condition algorithm ', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002180', 'B02180', 'Main present weather detecting system ', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002181', 'B02181', 'Supplementary present weather sensor', 'Flag table', '0', '0', '21', 'Flag table', '0', '7', '', '', ''),
	('002182', 'B02182', 'Visibility measurement system ', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002183', 'B02183', 'Cloud detection system', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002184', 'B02184', 'Type of lightning detection sensor', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002185', 'B02185', 'Method of evaporation measurement', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002186', 'B02186', 'Capability to detect precipitation phenomena', 'Flag table', '0', '0', '30', 'Flag table', '0', '10', '', '', ''),
	('002187', 'B02187', 'Capability to detect other weather phenomena', 'Flag table', '0', '0', '18', 'Flag table', '0', '6', '', '', ''),
	('002188', 'B02188', 'Capability to detect obscuration', 'Flag table', '0', '0', '21', 'Flag table', '0', '7', '', '', ''),
	('002189', 'B02189', 'Capability to discriminate lightning strikes', 'Flag table', '0', '0', '12', 'Flag table', '0', '4', '', '', ''),
	('002190', 'B02190', 'Lagrangian drifter submergence (% time submerged)', '%', '0', '0', '7', '%', '0', '3', '', '', ''),
	('004001', 'B04001', 'Year', 'Year', '0', '0', '12', 'Year', '0', '4', '', '', ''),
	('004002', 'B04002', 'Month', 'Month', '0', '0', '4', 'Month', '0', '2', '', '', ''),
	('004003', 'B04003', 'Day', 'Day', '0', '0', '6', 'Day', '0', '2', '', '', ''),
	('004004', 'B04004', 'Hour', 'Hour', '0', '0', '5', 'Hour', '0', '2', '', '', ''),
	('004005', 'B04005', 'Minute', 'Minute', '0', '0', '6', 'Minute', '0', '2', '', '', ''),
	('004006', 'B04006', 'Second', 'Second', '0', '0', '6', 'Second', '0', '2', '', '', ''),
	('004007', 'B04007', 'Seconds within a minute (microsecond accuracy)', 'Second', '6', '0', '26', 'Second', '6', '8', '', '', ''),
	('004011', 'B04011', 'Time increment', 'Year', '0', '-1024', '11', 'Year', '0', '4', '', '', ''),
	('004012', 'B04012', 'Time increment', 'Month', '0', '-1024', '11', 'Month', '0', '4', '', '', ''),
	('004013', 'B04013', 'Time increment', 'Day', '0', '-1024', '11', 'Day', '0', '4', '', '', ''),
	('004014', 'B04014', 'Time increment', 'Hour', '0', '-1024', '11', 'Hour', '0', '4', '', '', ''),
	('004015', 'B04015', 'Time increment', 'Minute', '0', '-2048', '12', 'Minute', '0', '4', '', '', ''),
	('004016', 'B04016', 'Time increment', 'Second', '0', '-4096', '13', 'Second', '0', '4', '', '', ''),
	('004017', 'B04017', 'Reference time period for accumulated or extreme data', 'Minute', '0', '-1440', '12', 'Minute', '0', '4', '', '', ''),
	('004021', 'B04021', 'Time period or displacement', 'Year', '0', '-1024', '11', 'Year', '0', '4', '', '', ''),
	('004022', 'B04022', 'Time period or displacement', 'Month', '0', '-1024', '11', 'Month', '0', '4', '', '', ''),
	('004023', 'B04023', 'Time period or displacement', 'Day', '0', '-1024', '11', 'Day', '0', '4', '', '', ''),
	('004024', 'B04024', 'Time period or displacement', 'Hour', '0', '-2048', '12', 'Hour', '0', '4', '', '', ''),
	('004025', 'B04025', 'Time period or displacement', 'Minute', '0', '-2048', '12', 'Minute', '0', '4', '', '', ''),
	('004026', 'B04026', 'Time period or displacement', 'Second', '0', '-4096', '13', 'Second', '0', '4', '', '', ''),
	('004031', 'B04031', 'Duration of time relating to following value', 'Hour', '0', '0', '8', 'Hour', '0', '3', '', '', ''),
	('004032', 'B04032', 'Duration of time relating to following value', 'Minute', '0', '0', '6', 'Minute', '0', '2', '', '', ''),
	('004041', 'B04041', 'Time difference UTC –LMT (see Note 6)', 'Minute', '0', '-1440', '12', 'Minute', '0', '4', '', '', ''),
	('004043', 'B04043', 'Day of the year', 'Day', '0', '0', '9', 'Day', '0', '3', '', '', ''),
	('004051', 'B04051', 'Principal time of daily reading of maximum temperature', 'Hour', '0', '0', '5', 'Hour ', '0', '2', '', '', ''),
	('004052', 'B04052', 'Principal time of daily reading of minimum temperature', 'Hour', '0', '0', '5', 'Hour ', '0', '2', '', '', ''),
	('004053', 'B04053', 'Number of days with precipitation equal to or more than 1 mm', 'Numeric', '0', '0', '6', 'Numeric', '0', '2', '', '', ''),
	('004059', 'B04059', 'Times of observation used to compute the reported mean values', 'Flag table', '0', '0', '6', 'Flag table', '0', '2', '', '', ''),
	('004065', 'B04065', 'Short time increment', 'Minute', '0', '-128', '8', 'Minute', '0', '2', '', '', ''),
	('004073', 'B04073', 'Short time period or displacement', 'Day', '0', '-128', '8', 'Day', '0', '2', '', '', ''),
	('004074', 'B04074', 'Short time period or displacement', 'Hour', '0', '-128', '8', 'Hour', '0', '2', '', '', ''),
	('004075', 'B04075', 'Short time period or displacement', 'Minute', '0', '-128', '8', 'Minute', '0', '2', '', '', ''),
	('004080', 'B04080', 'Averaging period for following value', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('004086', 'B04086', 'Long time period or displacement', 'Second', '0', '-8192', '15', 'Second', '0', '5', '', '', ''),
	('005001', 'B05001', 'Latitude (high accuracy)', 'Degree', '5', '-9000000', '25', 'Degree', '5', '7', '', '', ''),
	('005002', 'B05002', 'Latitude (coarse accuracy)', 'Degree', '2', '-9000', '15', 'Degree', '2', '4', '', '', ''),
	('005011', 'B05011', 'Latitude increment (high accuracy)', 'Degree', '5', '-9000000', '25', 'Degree', '5', '7', '', '', ''),
	('005012', 'B05012', 'Latitude increment (coarse accuracy)', 'Degree', '2', '-9000', '15', 'Degree', '2', '4', '', '', ''),
	('005015', 'B05015', 'Latitude displacement (high accuracy)', 'Degree', '5', '-9000000', '25', 'Degree', '5', '7', '', '', ''),
	('005016', 'B05016', 'Latitude displacement (coarse accuracy)', 'Degree', '2', '-9000', '15', 'Degree', '2', '4', '', '', ''),
	('005021', 'B05021', 'Bearing or azimuth', 'Degree true', '2', '0', '16', 'Degree true', '2', '5', '', '', ''),
	('005022', 'B05022', 'Solar azimuth', 'Degree true', '2', '0', '16', 'Degree true', '2', '5', '', '', ''),
	('005023', 'B05023', 'Sun to satellite azimuth difference', 'Degree', '1', '-1800', '12', 'Degree', '1', '4', '', '', ''),
	('005030', 'B05030', 'Direction (spectral)', 'Degree', '0', '0', '12', 'Degree', '0', '4', '', '', ''),
	('005031', 'B05031', 'Row number', 'Numeric', '0', '0', '12', 'Numeric', '0', '4', '', '', ''),
	('005033', 'B05033', 'Pixel size on horizontal – 1', 'm', '-1', '0', '16', 'm', '-1', '5', '', '', ''),
	('005034', 'B05034', 'Along track row number', 'Numeric', '0', '0', '11', 'Numeric', '0', '4', '', '', ''),
	('005036', 'B05036', 'Ship transect number according to SOOP', 'Numeric', '0', '0', '7', 'Numeric', '0', '2', '', '', ''),
	('005040', 'B05040', 'Orbit number', 'Numeric', '0', '0', '24', 'Numeric', '0', '8', '', '', ''),
	('005041', 'B05041', 'Scan line number', 'Numeric', '0', '0', '8', 'Numeric', '0', '3', '', '', ''),
	('005042', 'B05042', 'Channel number', 'Numeric', '0', '0', '6', 'Numeric', '0', '2', '', '', ''),
	('005043', 'B05043', 'Field of view number', 'Numeric', '0', '0', '8', 'Numeric', '0', '3', '', '', ''),
	('005044', 'B05044', 'Satellite cycle number', 'Numeric', '0', '0', '11', 'Numeric', '0', '4', '', '', ''),
	('005052', 'B05052', 'Channel number increment', 'Numeric', '0', '0', '5', 'Numeric', '0', '2', '', '', ''),
	('005053', 'B05053', 'Field of view number increment', 'Numeric', '0', '0', '5', 'Numeric', '0', '2', '', '', ''),
	('005060', 'B05060', 'Y angular position from centre of gravity', 'Degree', '6', '-8000000', '24', 'Degree', '6', '8', '', '', ''),
	('005061', 'B05061', 'Z angular position from centre of gravity', 'Degree', '6', '-8000000', '24', 'Degree', '6', '8', '', '', ''),
	('006001', 'B06001', 'Longitude (high accuracy)', 'Degree', '5', '-18000000', '26', 'Degree', '5', '8', '', '', ''),
	('006002', 'B06002', 'Longitude (coarse accuracy)', 'Degree', '2', '-18000', '16', 'Degree', '2', '5', '', '', ''),
	('006011', 'B06011', 'Longitude increment (high accuracy)', 'Degree', '5', '-18000000', '26', 'Degree', '5', '8', '', '', ''),
	('006012', 'B06012', 'Longitude increment (coarse accuracy)', 'Degree', '2', '-18000', '16', 'Degree', '2', '5', '', '', ''),
	('006015', 'B06015', 'Longitude displacement (high accuracy)', 'Degree', '5', '-18000000', '26', 'Degree', '5', '8', '', '', ''),
	('006016', 'B06016', 'Longitude displacement (coarse accuracy)', 'Degree', '2', '-18000', '16', 'Degree', '2', '5', '', '', ''),
	('006021', 'B06021', 'Distance', 'm', '-1', '0', '13', 'm', '-1', '4', '', '', ''),
	('006030', 'B06030', 'Wave number (spectral)', 'rad m-1', '5', '0', '13', 'rad m-1', '5', '4', '', '', ''),
	('006031', 'B06031', 'Column number', 'Numeric', '0', '0', '12', 'Numeric', '0', '4', '', '', ''),
	('006033', 'B06033', 'Pixel size on horizontal – 2', 'm', '-1', '0', '16', 'm', '-1', '5', '', '', ''),
	('006034', 'B06034', 'Cross-track cell number', 'Numeric', '0', '0', '7', 'Numeric', '0', '3', '', '', ''),
	('006040', 'B06040', 'Radius of confidence', 'm', '0', '0', '13', 'm', '0', '4', '', '', ''),
	('007001', 'B07001', 'Height of station (see Note 1)', 'm', '0', '-400', '15', 'm', '0', '5', '', '', ''),
	('007002', 'B07002', 'Height or altitude', 'm', '-1', '-40', '16', 'm', '-1', '5', '', '', ''),
	('007003', 'B07003', 'Geopotential', 'm2 s-2', '-1', '-400', '17', 'm2 s-2', '-1', '6', '', '', ''),
	('007004', 'B07004', 'Pressure', 'Pa', '-1', '0', '14', 'Pa', '-1', '5', '', '', ''),
	('007005', 'B07005', 'Height increment', 'm', '0', '-400', '12', 'm', '0', '4', '', '', ''),
	('007006', 'B07006', 'Height above station', 'm', '0', '0', '15', 'm', '0', '5', '', '', ''),
	('007007', 'B07007', 'Height', 'm', '0', '-1000', '17', 'm', '0', '6', '', '', ''),
	('007008', 'B07008', 'Geopotential', 'm2 s-2', '0', '-10000', '20', 'm2 s-2', '0', '7', '', '', ''),
	('007009', 'B07009', 'Geopotential height', 'gpm', '0', '-1000', '17', 'gpm', '0', '5', '', '', ''),
	('007010', 'B07010', 'Flight level', 'm', '0', '-1024', '16', 'ft', '0', '5', '', '', ''),
	('007021', 'B07021', 'Elevation (see Note 2)', 'Degree', '2', '-9000', '15', 'Degree', '2', '5', '', '', ''),
	('007022', 'B07022', 'Solar elevation', 'Degree', '2', '-9000', '15', 'Degree', '2', '5', '', '', ''),
	('007024', 'B07024', 'Satellite zenith angle', 'Degree', '2', '-9000', '15', 'Degree', '2', '5', '', '', ''),
	('007025', 'B07025', 'Solar zenith angle', 'Degree', '2', '-9000', '15', 'Degree', '2', '5', '', '', ''),
	('007026', 'B07026', 'Satellite zenith angle', 'Degree', '4', '-900000', '21', 'Degree', '4', '7', '', '', ''),
	('007030', 'B07030', 'Height of station ground above mean sea level (see Note 3)', 'm', '1', '-4000', '17', 'm', '1', '5', '', '', ''),
	('007031', 'B07031', 'Height of barometer above mean sea level (see Note 4)', 'm', '1', '-4000', '17', 'm', '1', '5', '', '', ''),
	('007032', 'B07032', 'Height of sensor above local ground (or deck of marine platform) (see Note 5)', 'm', '2', '0', '16', 'm', '2', '5', '', '', ''),
	('007033', 'B07033', 'Height of sensor above water surface (see Note 6)', 'm', '1', '0', '12', 'm', '1', '4', '', '', ''),
	('007040', 'B07040', 'Impact parameter (see Note 8)', 'm', '1', '62000000', '22', 'm', '1', '8', '', '', ''),
	('007061', 'B07061', 'Depth below land surface', 'm', '2', '0', '14', 'm', '2', '5', '', '', ''),
	('007062', 'B07062', 'Depth below sea/water surface', 'm', '1', '0', '17', 'm', '1', '6', '', '', ''),
	('007063', 'B07063', 'Depth below sea/water surface (cm)', 'm', '2', '0', '20', 'm', '2', '7', '', '', ''),
	('007064', 'B07064', 'Representative height of sensor above station (see Note 7)', 'm', '0', '0', '4', 'm', '0', '2', '', '', ''),
	('007065', 'B07065', 'Water pressure', 'Pa', '-3', '0', '17', 'Pa', '-3', '6', '', '', ''),
	('007070', 'B07070', 'Drogue depth', 'm', '0', '0', '10', 'm', '0', '4', '', '', ''),
	('008001', 'B08001', 'Vertical sounding significance', 'Flag table', '0', '0', '7', 'Flag table', '0', '3', '', '', ''),
	('008002', 'B08002', 'Vertical significance (surface observations)', 'Code table', '0', '0', '6', 'Code table', '0', '2', '', '', ''),
	('008003', 'B08003', 'Vertical significance (satellite observations)', 'Code table', '0', '0', '6', 'Code table', '0', '2', '', '', ''),
	('008004', 'B08004', 'Phase of aircraft flight', 'Code table', '0', '0', '3', 'Code table ', '0', '1', '', '', ''),
	('008005', 'B08005', 'Meteorological attribute significance', 'Code table', '0', '0', '4', 'Code table ', '0', '2', '', '', ''),
	('008006', 'B08006', 'Ozone vertical sounding significance', 'Flag table', '0', '0', '9', 'Flag table ', '0', '3', '', '', ''),
	('008007', 'B08007', 'Dimensional significance', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('008008', 'B08008', 'Radiation vertical sounding significance', 'Flag table', '0', '0', '9', 'Flag table ', '0', '3', '', '', ''),
	('008009', 'B08009', 'Detailed phase of flight', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('008010', 'B08010', 'Surface qualifier (temperature data)', 'Code table', '0', '0', '5', 'Code table', '0', '2', '', '', ''),
	('008011', 'B08011', 'Meteorological feature', 'Code table', '0', '0', '6', 'Code table ', '0', '2', '', '', ''),
	('008012', 'B08012', 'Land/sea qualifier', 'Code table', '0', '0', '2', 'Code table ', '0', '1', '', '', ''),
	('008013', 'B08013', 'Day/night qualifier', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('008014', 'B08014', 'Qualifier for runway visual range', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('008016', 'B08016', 'Change qualifier of a trend-type forecast or an aerodrome forecast', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('008017', 'B08017', 'Qualifier of the time when the forecast change is expected', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('008018', 'B08018', 'SEAWINDS land/ice surface type', 'Flag table', '0', '0', '17', 'Flag table', '0', '6', '', '', ''),
	('008019', 'B08019', 'Qualifier for following Centre identifier', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('008020', 'B08020', 'Total number of missing entities (with respect to accumulation or average)', 'Numeric', '0', '0', '16', 'Numeric', '0', '5', '', '', ''),
	('008021', 'B08021', 'Time significance', 'Code table', '0', '0', '5', 'Code table', '0', '2', '', '', ''),
	('008022', 'B08022', 'Total number (with respect to accumulation or average)', 'Numeric', '0', '0', '16', 'Numeric', '0', '5', '', '', ''),
	('008023', 'B08023', 'First order statistics', 'Code table', '0', '0', '6', 'Code table', '0', '2', '', '', ''),
	('008024', 'B08024', 'Difference statistics', 'Code table', '0', '0', '6', 'Code table ', '0', '2', '', '', ''),
	('008025', 'B08025', 'Time difference qualifier (see Note 5)', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('008029', 'B08029', 'Remotely sensed surface type', 'Code table', '0', '0', '8', 'Code table', '0', '3', '', '', ''),
	('008030', 'B08030', 'Manual on Codes (Volume I.1 Section C) Code table from which data are derived', 'Numeric', '0', '0', '13', 'Numeric', '0', '4', '', '', ''),
	('008031', 'B08031', 'Data category CREX table A', 'Numeric', '0', '0', '8', 'Numeric', '0', '3', '', '', ''),
	('008033', 'B08033', 'Method of derivation of percentage confidence', 'Code table', '0', '0', '7', 'Code table', '0', '3', '', '', ''),
	('008035', 'B08035', 'Type of monitoring exercise', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('008036', 'B08036', 'Type of centre or station performing monitoring', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('008040', 'B08040', 'Flight Level significance', 'Code table', '0', '0', '6', 'Code table', '0', '2', '', '', ''),
	('008041', 'B08041', 'Data significance', 'Code table', '0', '0', '5', 'Code table', '0', '2', '', '', ''),
	('008042', 'B08042', 'Extended vertical sounding significance', 'Flag table', '0', '0', '18', 'Flag table', '0', '6', '', '', ''),
	('008049', 'B08049', 'Number of observations', 'Numeric', '0', '0', '8', 'Numeric', '0', '3', '', '', ''),
	('008050', 'B08050', 'Qualifier for number of missing values in calculation of statistic', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('008051', 'B08051', 'Qualifier for number of missing values in calculation of statistic', 'Code table', '0', '0', '3', 'Code table ', '0', '1', '', '', ''),
	('008052', 'B08052', 'Condition for which number of days of occurrence follows', 'Code table', '0', '0', '5', 'Code table ', '0', '2', '', '', ''),
	('008053', 'B08053', 'Day of occurrence qualifier', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('008060', 'B08060', 'Sample scanning mode significance', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('008065', 'B08065', 'Sun-glint indicator', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('008066', 'B08066', 'Semi-transparency indicator', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('008070', 'B08070', 'TOVS/ATOVS product qualifier', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('008072', 'B08072', 'Pixel(s) type', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('008074', 'B08074', 'Altimeter echo type', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('008075', 'B08075', 'Ascending/Descending Orbit Qualifier', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('008076', 'B08076', 'Type of band', 'Code table', '0', '0', '6', 'Code table', '0', '2', '', '', ''),
	('008079', 'B08079', 'Product status ', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('008080', 'B08080', 'Qualifier for GTSPP quality flag', 'Code table', '0', '0', '6', 'Code table', '0', '2', '', '', ''),
	('008081', 'B08081', 'Type of equipment', 'Code table', '0', '0', '6', 'Code table', '0', '2', '', '', ''),
	('008082', 'B08082', 'Modification of sensor height to another value', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('008083', 'B08083', 'Nominal value indicator', 'Flag table', '0', '0', '15', 'Flag table', '0', '5', '', '', ''),
	('008085', 'B08085', 'Beam identifier', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('010001', 'B10001', 'Height of land surface', 'm', '0', '-400', '15', 'm', '0', '5', '', '', ''),
	('010002', 'B10002', 'Height', 'm', '-1', '-40', '16', 'm', '-1', '5', '', '', ''),
	('010003', 'B10003', 'Geopotential', 'm2 s-2', '-1', '-400', '17', 'm2 s-2', '-1', '6', '', '', ''),
	('010004', 'B10004', 'Pressure', 'Pa', '-1', '0', '14', 'Pa', ' -1', '5', '', '', ''),
	('010007', 'B10007', 'Height', 'm', '0', '-1000', '17', 'm', '0', '6', '', '', ''),
	('010008', 'B10008', 'Geopotential', 'm2 s-2', '0', '-10000', '20', 'm2 s-2', '0', '7', '', '', ''),
	('010009', 'B10009', 'Geopotential height', 'gpm', '0', '-1000', '17', 'gpm', '0', '5', '', '', ''),
	('010010', 'B10010', 'Minimum pressure reduced to mean sea level', 'Pa', '-1', '0', '14', 'Pa', '-1', '5', '', '', ''),
	('010011', 'B10011', 'Maximum pressure reduced to mean sea level', 'Pa', '-1', '0', '14', 'Pa', '-1', '5', '', '', ''),
	('010031', 'B10031', 'In direction of the North Pole distance from the Earth’s centre (see Note 2)', 'm', '2', '-1073741824', '31', 'm', '2', '10', '', '', ''),
	('010032', 'B10032', 'Satellite distance to Earth’s centre', 'm', '1', '0', '27', 'm', '1', '9', '', '', ''),
	('010033', 'B10033', 'Altitude (platform to Ellipsoid)', 'm', '1', '0', '27', 'm', '1', '9', '', '', ''),
	('010034', 'B10034', 'Earth radius', 'm', '1', '0', '27', 'm', '1', '9', '', '', ''),
	('010035', 'B10035', 'Earth’s local radius of curvature ', 'm', '1', '62000000', '22', 'm', '1', '8', '', '', ''),
	('010036', 'B10036', 'Geoid undulation (see Note 4)', 'm', '2', '-15000', '15', 'm', '2', '6', '', '', ''),
	('010040', 'B10040', 'Number of retrieved layers', 'Numeric', '0', '0', '10', 'Numeric', '0', '4', '', '', ''),
	('010050', 'B10050', 'Standard deviation altitude', 'm', '2', '0', '16', 'm', '2', '5', '', '', ''),
	('010051', 'B10051', 'Pressure reduced to mean sea level', 'Pa', '-1', '0', '14', 'Pa', '-1', '5', '', '', ''),
	('010052', 'B10052', 'Altimeter setting (QNH)', 'Pa', '-1', '0', '14', 'Pa', '-1', '5', '', '', ''),
	('010060', 'B10060', 'Pressure change', 'Pa', '-1', '-1024', '11', 'Pa', '-1', '4', '', '', ''),
	('010061', 'B10061', '3-hour pressure change', 'Pa', '-1', '-500', '10', 'Pa', '-1', '4', '', '', ''),
	('010062', 'B10062', '24-hour pressure change', 'Pa', '-1', '-1000', '11', 'Pa', '-1', '4', '', '', ''),
	('010063', 'B10063', 'Characteristic of pressure tendency', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('010064', 'B10064', 'SIGMET cruising level ', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('010070', 'B10070', 'Indicated aircraft altitude', 'm', '0', '-400', '16', 'm', '0', '5', '', '', ''),
	('010080', 'B10080', 'Viewing Zenith angle', 'Degree', '2', '-9000', '15', 'Degree', '2', '5', '', '', ''),
	('010081', 'B10081', 'Altitude of COG above reference Ellipsoid', 'm', '3', '0', '31', 'm', '3', '10', '', '', ''),
	('010082', 'B10082', 'Instantaneous altitude rate', 'm s-1', '3', '-65536', '17', 'm s-1', '3', '6', '', '', ''),
	('010083', 'B10083', 'Squared off Nadir angle of the satellite from platform data', 'Degree2', '2', '0', '16', 'Degree2', '2', '5', '', '', ''),
	('010084', 'B10084', 'Squared off Nadir angle of the satellite from waveform data', 'Degree2', '2', '0', '16', 'Degree2', '2', '5', '', '', ''),
	('010085', 'B10085', 'Mean sea surface height', 'm', '3', '-131072', '18', 'm', '3', '6', '', '', ''),
	('010086', 'B10086', 'Geoid’s height', 'm', '3', '-131072', '18', 'm', '3', '6', '', '', ''),
	('010087', 'B10087', 'Ocean depth/land elevation', 'm', '1', '-131072', '18', 'm', '1', '6', '', '', ''),
	('010088', 'B10088', 'Total geocentric ocean tide height (solution 1)', 'm', '3', '-32768', '16', 'm', '3', '5', '', '', ''),
	('010089', 'B10089', 'Total geocentric ocean tide height (solution 2)', 'm', '3', '-32768', '16', 'm', '3', '5', '', '', ''),
	('010090', 'B10090', 'Long period  tide height ', 'm', '3', '-32768', '16', 'm', '3', '5', '', '', ''),
	('010091', 'B10091', 'Tidal loading height', 'm', '3', '-32768', '16', 'm', '3', '5', '', '', ''),
	('010092', 'B10092', 'Solid Earth tide height', 'm', '3', '-32768', '16', 'm', '3', '5', '', '', ''),
	('010093', 'B10093', 'Geocentric pole tide height ', 'm', '3', '-32768', '16', 'm', '3', '5', '', '', ''),
	('010095', 'B10095', 'Height of atmosphere used', 'm', '0', '0', '16', 'm', '0', '5', '', '', ''),
	('011001', 'B11001', 'Wind direction', 'Degree true', '0', '0', '9', 'Degree true', '0', '3', '', '', ''),
	('011002', 'B11002', 'Wind speed', 'm s-1', '1', '0', '12', 'm s-1', '1', '4', '', '', ''),
	('011003', 'B11003', 'u-component', 'm s-1', '1', '-4096', '13', 'm s-1', '1', '4', '', '', ''),
	('011004', 'B11004', 'v-component', 'm s-1', '1', '-4096', '13', 'm s-1', '1', '4', '', '', ''),
	('011005', 'B11005', 'w-component', 'Pa s-1', '1', '-512', '10', 'Pa s-1', '1', '4', '', '', ''),
	('011006', 'B11006', 'w-component', 'm s-1', '2', '-4096', '13', 'm s-1', '2', '4', '', '', ''),
	('011010', 'B11010', 'Wind direction associated with wind speed which follows', 'Degree true', '0', '0', '9', 'Degree true', '0', '3', '', '', ''),
	('011011', 'B11011', 'Wind direction at 10 m', 'Degree true', '0', '0', '9', 'Degree true', '0', '3', '', '', ''),
	('011012', 'B11012', 'Wind speed at 10 m', 'm s-1', '1', '0', '12', 'm s-1', '1', '4', '', '', ''),
	('011013', 'B11013', 'Wind direction at 5 m', 'Degree true', '0', '0', '9', 'Degree true', '0', '3', '', '', ''),
	('011014', 'B11014', 'Wind speed at 5 m', 'm s-1', '1', '0', '12', 'm s-1', '1', '4', '', '', ''),
	('011016', 'B11016', 'Extreme counterclockwise wind direction of a variable wind', 'Degree true', '0', '0', '9', 'Degree true', '0', '3', '', '', ''),
	('011017', 'B11017', 'Extreme clockwise wind direction of a variable wind', 'Degree true', '0', '0', '9', 'Degree true', '0', '3', '', '', ''),
	('011019', 'B11019', 'Steadiness of wind (see Note 6)', '%', '0', '0', '7', '%', '0', '3', '', '', ''),
	('011021', 'B11021', 'Relative vorticity', 's-1', '9', '-65536', '17', 's-1', '9', '6', '', '', ''),
	('011022', 'B11022', 'Divergence', 's-1', '9', '-65536', '17', 's-1', '9', '6', '', '', ''),
	('011023', 'B11023', 'Velocity potential', 'm2 s-1', '-2', '-65536', '17', 'm2 s-1', '-2', '6', '', '', ''),
	('011030', 'B11030', 'Extended degree of turbulence', 'Code table', '0', '0', '6', 'Code table', '0', '2', '', '', ''),
	('011031', 'B11031', 'Degree of turbulence', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('011032', 'B11032', 'Height of base of turbulence', 'm', '-1', '-40', '16', 'm', '-1', '5', '', '', ''),
	('011033', 'B11033', 'Height of top of turbulence', 'm', '-1', '-40', '16', 'm', '-1', '5', '', '', ''),
	('011034', 'B11034', 'Vertical gust velocity', 'm s-1', '1', '-1024', '11', 'm s-1', '1', '4', '', '', ''),
	('011035', 'B11035', 'Vertical gust acceleration', 'm s-2', '2', '-8192', '14', 'm s-2', '2', '5', '', '', ''),
	('011036', 'B11036', 'Maximum derived equivalent vertical gust speed', 'm s-1', '1', '0', '10', 'm s-1', '1', '4', '', '', ''),
	('011037', 'B11037', 'Turbulence Index', 'Code table', '0', '0', '6', 'Code table', '0', '2', '', '', ''),
	('011038', 'B11038', 'Time of occurrence of Peak Eddy Dissipation Rate', 'Code table', '0', '0', '5', 'Code table', '0', '2', '', '', ''),
	('011039', 'B11039', 'Extended time of occurrence of peak  Eddy Dissipation Rate', 'Code table', '0', '0', '6', 'Code table', '0', '2', '', '', ''),
	('011040', 'B11040', 'Maximum wind speed (mean wind)', 'm s-1', '1', '0', '12', 'm s-1', '1', '4', '', '', ''),
	('011041', 'B11041', 'Maximum wind gust speed', 'm s-1', '1', '0', '12', 'm s-1', '1', '4', '', '', ''),
	('011042', 'B11042', 'Maximum wind speed (10-min mean wind)', 'm s-1', '1', '0', '12', 'm s-1', '1', '4', '', '', ''),
	('011043', 'B11043', 'Maximum wind gust direction', 'Degree true', '0', '0', '9', 'Degree true', '0', '3', '', '', ''),
	('011044', 'B11044', 'Mean wind direction for surface – 1500 m (5000 feet)', 'Degree true', '0', '0', '9', 'Degree true', '0', '3', '', '', ''),
	('011045', 'B11045', 'Mean wind speed for surface – 1500 m (5000 feet)', 'm s-1', '1', '0', '12', 'm s-1', '1', '4', '', '', ''),
	('011046', 'B11046', 'Maximum instantaneous wind speed', 'm s-1', '1', '0', '12', 'm s-1', '1', '4', '', '', ''),
	('011047', 'B11047', 'Maximum instantaneous wind speed over 10 minutes', 'm s-1', '1', '0', '12', 'm s-1', '1', '4', '', '', ''),
	('011049', 'B11049', 'Standard deviation of wind direction', 'Degree true', '0', '0', '9', 'Degree true', '0', '3', '', '', ''),
	('011050', 'B11050', 'Standard deviation of horizontal wind speed', 'm s-1', '1', '0', '12', 'm s-1', '1', '4', '', '', ''),
	('011051', 'B11051', 'Standard deviation of vertical wind speed', 'm s-1', '1', '0', '8', 'm s-1', '1', '3', '', '', ''),
	('011052', 'B11052', 'Formal uncertainty in wind speed', 'm s-1', '2', '0', '13', 'm s-1', '2', '5', '', '', ''),
	('011053', 'B11053', 'Formal uncertainty in wind direction', 'Degree true', '2', '0', '15', 'Degree true', '2', '5', '', '', ''),
	('011054', 'B11054', 'Mean wind direction for 1500 m – 3000 m ', 'Degree true', '0', '0', '9', 'Degree true', '0', '3', '', '', ''),
	('011055', 'B11055', 'Mean wind speed for 1500 m  – 3000 m ', 'm s-1', '1', '0', '12', 'm s-1', '1', '4', '', '', ''),
	('011061', 'B11061', 'Absolute wind shear in 1 km layer below', 'm s-1', '1', '0', '12', 'm s-1', '1', '4', '', '', ''),
	('011062', 'B11062', 'Absolute wind shear in 1 km layer above', 'm s-1', '1', '0', '12', 'm s-1', '1', '4', '', '', ''),
	('011070', 'B11070', 'Designator of the runway affected by wind shear (including ALL)', 'CCITT IA5', '0', '0', '32', 'Character', '0', '4', '', '', ''),
	('011071', 'B11071', 'Turbulent vertical momentum flux', 'm2 s-2', '3', '-128', '14', 'm2 s-2', '3', '5', '', '', ''),
	('011072', 'B11072', 'Turbulent vertical buoyancy flux', 'K m s-1', '3', '-128', '11', 'K m s-1', '3', '4', '', '', ''),
	('011073', 'B11073', 'Turbulent kinetic energy', 'm2 s-2', '2', '-1024', '13', 'm2 s-2', '2', '4', '', '', ''),
	('011074', 'B11074', 'Dissipation energy', 'm2 s-2', '2', '-1024', '10', 'm2 s-2', '2', '4', '', '', ''),
	('011075', 'B11075', 'Mean turbulence intensity (eddy dissipation rate)', 'm2/3 s-1', '2', '0', '8', 'm2/3 s-1', '2', '3', '', '', ''),
	('011076', 'B11076', 'Peak turbulence intensity (eddy dissipation rate)', 'm2/3 s-1', '2', '0', '8', 'm2/3 s-1', '2', '3', '', '', ''),
	('011077', 'B11077', 'Reporting interval or averaging time for Eddy Dissipation Rate', 's', '0', '0', '12', 's', '0', '4', '', '', ''),
	('011081', 'B11081', 'Model wind direction at 10m', 'Degree true', '2', '0', '16', 'Degree true', '2', '5', '', '', ''),
	('011082', 'B11082', 'Model wind speed at 10m', 'm s-1', '2', '0', '14', 'm s-1', '2', '4', '', '', ''),
	('011095', 'B11095', 'U component of the model wind vector', 'm s-1', '1', '-4096', '13', 'm s-1', '1', '4', '', '', ''),
	('011096', 'B11096', 'V component of the model wind vector', 'm s-1', '1', '-4096', '13', 'm s-1', '1', '4', '', '', ''),
	('012001', 'B12001', 'Temperature/dry-bulb temperature', 'K', '1', '0', '12', '°C', '1', '3', '', '', ''),
	('012002', 'B12002', 'Wet-bulb temperature', 'K', '1', '0', '12', '°C', '1', '3', '', '', ''),
	('012003', 'B12003', 'Dew-point temperature', 'K', '1', '0', '12', '°C', '1', '3', '', '', ''),
	('012004', 'B12004', 'Dry-bulb temperature at 2 m', 'K', '1', '0', '12', '°C', '1', '3', '', '', ''),
	('012005', 'B12005', 'Wet-bulb temperature at 2 m', 'K', '1', '0', '12', '°C', '1', '3', '', '', ''),
	('012006', 'B12006', 'Dew-point temperature at 2 m', 'K', '1', '0', '12', '°C', '1', '3', '', '', ''),
	('012007', 'B12007', 'Virtual temperature', 'K', '1', '0', '12', '°C', '1', '3', '', '', ''),
	('012011', 'B12011', 'Maximum temperature at height and over period specified', 'K', '1', '0', '12', '°C', '1', '3', '', '', ''),
	('012012', 'B12012', 'Minimum temperature at height and over period specified', 'K', '1', '0', '12', '°C', '1', '3', '', '', ''),
	('012013', 'B12013', 'Ground minimum temperature past 12 hours', 'K', '1', '0', '12', '°C', '1', '3', '', '', ''),
	('012014', 'B12014', 'Maximum temperature at 2 m past 12 hours', 'K', '1', '0', '12', '°C', '1', '3', '', '', ''),
	('012015', 'B12015', 'Minimum temperature at 2 m past 12 hours', 'K', '1', '0', '12', '°C', '1', '3', '', '', ''),
	('012016', 'B12016', 'Maximum temperature at 2 m past 24 hours', 'K', '1', '0', '12', '°C', '1', '3', '', '', ''),
	('012017', 'B12017', 'Minimum temperature at 2 m past 24 hours', 'K', '1', '0', '12', '°C', '1', '3', '', '', ''),
	('012021', 'B12021', 'Maximum temperature at 2m', 'K', '2', '0', '16', '°C', '2', '4', '', '', ''),
	('012022', 'B12022', 'Minimum temperature at 2m', 'K', '2', '0', '16', '°C', '2', '4', '', '', ''),
	('012030', 'B12030', 'Soil temperature', 'K', '1', '0', '12', '°C', '1', '3', '', '', ''),
	('012049', 'B12049', 'Temperature change over specified period ', 'K', '0', '-30', '6', '°C', '0', '2', '', '', ''),
	('012051', 'B12051', 'Standard deviation temperature', 'K', '1', '0', '10', '°C', '1', '3', '', '', ''),
	('012052', 'B12052', 'Highest daily mean temperature', 'K', '1', '0', '12', '°C', '1', '3', '', '', ''),
	('012053', 'B12053', 'Lowest daily mean temperature', 'K', '1', '0', '12', '°C', '1', '3', '', '', ''),
	('012061', 'B12061', 'Skin temperature', 'K', '1', '0', '12', '°C', '1', '3', '', '', ''),
	('012062', 'B12062', 'Equivalent black body temperature', 'K', '1', '0', '12', '°C', '1', '3', '', '', ''),
	('012063', 'B12063', 'Brightness temperature', 'K', '1', '0', '12', '°C', '1', '3', '', '', ''),
	('012064', 'B12064', 'Instrument temperature', 'K', '1', '0', '12', 'K', '1', '4', '', '', ''),
	('012065', 'B12065', 'Standard deviation brightness temperature', 'K', '1', '0', '12', 'K', '1', '4', '', '', ''),
	('012070', 'B12070', 'Warm load temperature', 'K', '2', '0', '16', 'K', '2', '5', '', '', ''),
	('012071', 'B12071', 'Coldest cluster temperature', 'K', '1', '0', '12', 'K', '1', '4', '', '', ''),
	('012072', 'B12072', 'Radiance', 'W m-2 sr-1', '6', '0', '31', 'W m-2 sr-1', '6', '9', '', '', ''),
	('012075', 'B12075', 'Spectral radiance', 'W m-3 sr-1', '-3', '0', '16', 'W m-3 sr-1', '-3', '5', '', '', ''),
	('012076', 'B12076', 'Radiance (see Note 2)', 'W m-2 sr-1', '3', '0', '16', 'W m-2 sr-1', '3', '5', '', '', ''),
	('012101', 'B12101', 'Temperature/dry-bulb temperature', 'K', '2', '0', '16', '°C', '2', '4', '', '', ''),
	('012102', 'B12102', 'Wet-bulb temperature', 'K', '2', '0', '16', '°C', '2', '4', '', '', ''),
	('012103', 'B12103', 'Dew-point temperature', 'K', '2', '0', '16', '°C', '2', '4', '', '', ''),
	('012104', 'B12104', 'Dry-bulb temperature at 2m', 'K', '2', '0', '16', '°C', '2', '4', '', '', ''),
	('012105', 'B12105', 'Web-bulb temperature at 2m', 'K', '2', '0', '16', '°C', '2', '4', '', '', ''),
	('012106', 'B12106', 'Dew-point temperature at 2m', 'K', '2', '0', '16', '°C', '2', '4', '', '', ''),
	('012107', 'B12107', 'Virtual temperature', 'K', '2', '0', '16', '°C', '2', '4', '', '', ''),
	('012111', 'B12111', 'Maximum temperature at height and over period specified', 'K', '2', '0', '16', '°C', '2', '4', '', '', ''),
	('012112', 'B12112', 'Minimum temperature at height and over period specified', 'K', '2', '0', '16', '°C', '2', '4', '', '', ''),
	('012113', 'B12113', 'Ground minimum temperature past 12 hours', 'K', '2', '0', '16', '°C', '2', '4', '', '', ''),
	('012114', 'B12114', 'Maximum temperature at 2m past 12 hours', 'K', '2', '0', '16', '°C', '2', '4', '', '', ''),
	('012115', 'B12115', 'Minimum temperature at 2m past 12 hours', 'K', '2', '0', '16', '°C', '2', '4', '', '', ''),
	('012116', 'B12116', 'Maximum temperature at 2m past 24 hours', 'K', '2', '0', '16', '°C', '2', '4', '', '', ''),
	('012117', 'B12117', 'Minimum temperature at 2m past 24 hours', 'K', '2', '0', '16', '°C', '2', '4', '', '', ''),
	('012118', 'B12118', 'Maximum temperature at height specified past 24 hours', 'K', '2', '0', '16', '°C', '2', '4', '', '', ''),
	('012119', 'B12119', 'Minimum  temperature at height specified past 24 hours', 'K', '2', '0', '16', '°C', '2', '4', '', '', ''),
	('012121', 'B12121', 'Ground minimum temperature', 'K', '2', '0', '16', '°C', '2', '4', '', '', ''),
	('012122', 'B12122', 'Ground minimum temperature of the preceding night', 'K', '2', '0', '16', '°C', '2', '4', '', '', ''),
	('012130', 'B12130', 'Soil temperature', 'K', '2', '0', '16', '°C', '2', '4', '', '', ''),
	('012151', 'B12151', 'Standard deviation of daily mean temperature', 'K', '2', '0', '12', '°C', '2', '4', '', '', ''),
	('012152', 'B12152', 'Highest daily mean temperature', 'K', '2', '0', '16', '°C', '2', '4', '', '', ''),
	('012153', 'B12153', 'Lowest daily mean temperature', 'K', '2', '0', '16', '°C', '2', '4', '', '', ''),
	('012161', 'B12161', 'Skin temperature', 'K', '2', '0', '16', '°C', '2', '4', '', '', ''),
	('012162', 'B12162', 'Equivalent black body temperature', 'K', '2', '0', '16', '°C', '2', '4', '', '', ''),
	('012163', 'B12163', 'Brightness temperature', 'K', '2', '0', '16', '°C', '2', '4', '', '', ''),
	('012164', 'B12164', 'Instrument temperature', 'K', '2', '0', '16', 'K', '2', '5', '', '', ''),
	('012171', 'B12171', 'Coldest cluster temperature', 'K', '2', '0', '16', 'K', '2', '5', '', '', ''),
	('012180', 'B12180', 'Averaged 12 micron BT for all clear pixels at Nadir', 'K', '2', '0', '16', 'K', '2', '5', '', '', ''),
	('012181', 'B12181', 'Averaged 11 micron BT for all clear pixels at Nadir', 'K', '2', '0', '16', 'K', '2', '5', '', '', ''),
	('012182', 'B12182', 'Averaged 3.7 micron BT for all clear pixels at Nadir', 'K', '2', '0', '16', 'K', '2', '5', '', '', ''),
	('012183', 'B12183', 'Averaged 12 micron BT for all clear pixels forward view', 'K', '2', '0', '16', 'K', '2', '5', '', '', ''),
	('012184', 'B12184', 'Averaged 11 micron BT for all clear pixels forward view', 'K', '2', '0', '16', 'K', '2', '5', '', '', ''),
	('012185', 'B12185', 'Averaged 3.7 micron BT for all clear pixels forward view', 'K', '2', '0', '16', 'K', '2', '5', '', '', ''),
	('012186', 'B12186', 'Mean Nadir sea surface temperature', 'K', '2', '0', '16', 'K', '2', '5', '', '', ''),
	('012187', 'B12187', 'Mean dual view sea surface temperature', 'K', '2', '0', '16', 'K', '2', '5', '', '', ''),
	('012188', 'B12188', 'Interpolated 23.8 GHz brightness T from MWR', 'K', '2', '0', '16', 'K', '2', '5', '', '', ''),
	('012189', 'B12189', 'Interpolated 36.5 GHz brightness T from MWR', 'K', '2', '0', '16', 'K', '2', '5', '', '', ''),
	('013001', 'B13001', 'Specific humidity', 'kg kg-1', '5', '0', '14', 'kg kg-1', '5', '5', '', '', ''),
	('013002', 'B13002', 'Mixing ratio', 'kg kg-1', '5', '0', '14', 'kg kg-1', '5', '5', '', '', ''),
	('013003', 'B13003', 'Relative humidity', '%', '0', '0', '7', '%', '0', '3', '', '', ''),
	('013004', 'B13004', 'Vapour pressure', 'Pa', '-1', '0', '10', 'Pa', '-1', '4', '', '', ''),
	('013005', 'B13005', 'Vapour density', 'kg m-3', '3', '0', '7', 'kg m-3', '3', '3', '', '', ''),
	('013006', 'B13006', 'Mixing heights', 'm', '-1', '-40', '16', 'm', '-1', '5', '', '', ''),
	('013007', 'B13007', 'Minimum relative humidity', '%', '0', '0', '7', '%', '0', '3', '', '', ''),
	('013008', 'B13008', 'Maximum relative humidity', '%', '0', '0', '7', '%', '0', '3', '', '', ''),
	('013009', 'B13009', 'Relative humidity (see Note 6)', '%', '1', '-1000', '12', '%', '1', '4', '', '', ''),
	('013011', 'B13011', 'Total precipitation/total water equivalent', 'kg m-2', '1', '-1', '14', 'kg m-2', '1', '5', '', '', ''),
	('013012', 'B13012', 'Depth of fresh snow', 'm', '2', '-2', '12', 'm', '2', '4', '', '', ''),
	('013013', 'B13013', 'Total snow depth', 'm', '2', '-2', '16', 'm', '2', '5', '', '', ''),
	('013014', 'B13014', 'Rainfall/water equivalent of snow (averaged rate)', 'kg m-2 s-1', '4', '0', '12', 'kg m-2 s-1', '4', '4', '', '', ''),
	('013015', 'B13015', 'Snowfall  (averaged rate)', 'm s-1', '7', '0', '12', 'm s-1', '7', '4', '', '', ''),
	('013016', 'B13016', 'Precipitable water', 'kg m-2', '0', '0', '7', 'kg m-2', '0', '3', '', '', ''),
	('013019', 'B13019', 'Total precipitation past 1 hour', 'kg m-2', '1', '-1', '14', 'kg m-2', '1', '4', '', '', ''),
	('013020', 'B13020', 'Total precipitation past 3 hours', 'kg m-2', '1', '-1', '14', 'kg m-2', '1', '5', '', '', ''),
	('013021', 'B13021', 'Total precipitation past 6 hours', 'kg m-2', '1', '-1', '14', 'kg m-2', '1', '5', '', '', ''),
	('013022', 'B13022', 'Total precipitation past 12 hours', 'kg m-2', '1', '-1', '14', 'kg m-2', '1', '5', '', '', ''),
	('013023', 'B13023', 'Total precipitation past 24 hours', 'kg m-2', '1', '-1', '14', 'kg m-2', '1', '5', '', '', ''),
	('013031', 'B13031', 'Evapotranspiration', 'kg m-2', '0', '0', '7', 'kg m-2', '0', '3', '', '', ''),
	('013032', 'B13032', 'Evaporation/evapotranspiration (see Note 5)', 'kg m-2', '1', '0', '8', 'kg m-2', '1', '3', '', '', ''),
	('013033', 'B13033', 'Evaporation/evapotranspiration', 'kg m-2', '1', '0', '10', 'kg m-2', '1', '4', '', '', ''),
	('013038', 'B13038', 'Superadiabatic indicator', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('013039', 'B13039', 'Terrain type (ice/snow)', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('013040', 'B13040', 'Surface flag', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('013041', 'B13041', 'Pasquill-Gifford stability category', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('013042', 'B13042', 'Parcel lifted index (to 500 hPa) (see Notes 3 and 4)', 'K', '0', '-20', '6', 'K', '0', '2', '', '', ''),
	('013043', 'B13043', 'Best lifted index (to 500 hPa) (see Note 3 and 4)', 'K', '0', '-20', '6', 'K', '0', '2', '', '', ''),
	('013044', 'B13044', 'K index', 'K', '0', '-30', '8', 'K', '0', '3', '', '', ''),
	('013045', 'B13045', 'KO index', 'K', '0', '-30', '8', 'K', '0', '3', '', '', ''),
	('013046', 'B13046', 'Maximum buoyancy', 'K', '0', '-30', '8', 'K', '0', '3', '', '', ''),
	('013047', 'B13047', 'Modified Showalter stability index (see Note 7)', 'K', '0', '-60', '6', '°C', '0', '2', '', '', ''),
	('013051', 'B13051', 'Frequency group precipitation', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('013052', 'B13052', 'Highest daily amount of precipitation', 'kg m-2', '1', '-1', '14', 'kg m-2', '1', '5', '', '', ''),
	('013055', 'B13055', 'Intensity of precipitation', 'kg m-2 s-1', '4', '0', '8', 'mm h-1 ', '4', '4', '', '', ''),
	('013056', 'B13056', 'Character and intensity of precipitation', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('013057', 'B13057', 'Time of beginning or end of precipitation', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('013058', 'B13058', 'Size of precipitating element', 'm', '4', '0', '7', 'mm', '4', '3', '', '', ''),
	('013059', 'B13059', 'Number of flashes (thunderstorm)', 'Numeric', '0', '0', '7', 'Numeric', '0', '3', '', '', ''),
	('013060', 'B13060', 'Total accumulated precipitation', 'kg m-2', '1', '-1', '17', 'kg m-2', '1', '5', '', '', ''),
	('013071', 'B13071', 'Upstream water level', 'm', '2', '0', '14', 'm', '2', '4', '', '', ''),
	('013072', 'B13072', 'Downstream water level', 'm', '2', '0', '14', 'm', '2', '4', '', '', ''),
	('013073', 'B13073', 'Maximum water level', 'm', '2', '0', '14', 'm', '2', '4', '', '', ''),
	('013080', 'B13080', 'Water pH', 'pH unit', '1', '0', '10', 'pH unit', '1', '3', '', '', ''),
	('013081', 'B13081', 'Water conductivity', 'Siemens m-1', '3', '0', '14', 'Siemens m-1', '3', '4', '', '', ''),
	('013082', 'B13082', 'Water temperature', 'K', '1', '0', '12', 'K', '1', '4', '', '', ''),
	('013083', 'B13083', 'Dissolved oxygen', 'kg m-3', '6', '0', '15', 'kg m-3', '6', '5', '', '', ''),
	('013084', 'B13084', 'Turbidity', 'Lumen', '0', '0', '14', 'Lumen', '0', '4', '', '', ''),
	('013085', 'B13085', 'Oxydation Reduction Potential (ORP)', 'V', '3', '0', '14', 'V', '3', '4', '', '', ''),
	('013090', 'B13090', 'Radiometer water vapour content', 'kg m-2', '1', '0', '10', 'kg m-2', '1', '4', '', '', ''),
	('013091', 'B13091', 'Radiometer liquid content', 'kg m-2', '2', '0', '8', 'kg m-2', '2', '3', '', '', ''),
	('013093', 'B13093', 'Cloud optical thickness', 'Numeric', '0', '0', '8', 'Numeric', '0', '3', '', '', ''),
	('013095', 'B13095', 'Total column water vapour', 'kg m-2', '4', '0', '19', 'kg m-2', '4', '6', '', '', ''),
	('013096', 'B13096', 'MWR water vapour content', 'kg m-2', '2', '0', '14', 'kg m-2', '2', '5', '', '', ''),
	('013097', 'B13097', 'MWR liquid water content', 'kg m-2', '2', '0', '14', 'kg m-2', '2', '5', '', '', ''),
	('013098', 'B13098', 'Integrated water vapour density', 'kg m-2', '8', '0', '30', 'kg m-2', '8', '10', '', '', ''),
	('014001', 'B14001', 'Long-wave radiation integrated over 24 hours', 'J m-2', '-3', '-2048', '12', 'J m-2', '-3', '4', '', '', ''),
	('014002', 'B14002', 'Long-wave radiation integrated over period specified', 'J m-2', '-3', '-2048', '12', 'J m-2', '-3', '4', '', '', ''),
	('014003', 'B14003', 'Short-wave radiation integrated over 24 hours', 'J m-2', '-3', '-2048', '12', 'J m-2', '-3', '4', '', '', ''),
	('014004', 'B14004', 'Short-wave radiation integrated over period specified', 'J m-2', '-3', '-2048', '12', 'J m-2', '-3', '4', '', '', ''),
	('014011', 'B14011', 'Net long-wave radiation integrated over 24 hours', 'J m-2', '-3', '-2048', '12', 'J m-2', '-3', '4', '', '', ''),
	('014012', 'B14012', 'Net long-wave radiation integrated over period specified', 'J m-2', '-3', '-2048', '12', 'J m-2', '-3', '4', '', '', ''),
	('014013', 'B14013', 'Net short-wave radiation integrated over 24 hours', 'J m-2', '-3', '-2048', '12', 'J m-2', '-3', '4', '', '', ''),
	('014014', 'B14014', 'Net short-wave radiation integrated over period specified', 'J m-2', '-3', '-2048', '12', 'J m-2', '-3', '4', '', '', ''),
	('014015', 'B14015', 'Net radiation integrated over 24 hours', 'J m-2', '-4', '-16384', '15', 'J m-2', '-4', '5', '', '', ''),
	('014016', 'B14016', 'Net radiation integrated over period specified', 'J m-2', '-4', '-16384', '15', 'J m-2', '-4', '5', '', '', ''),
	('014017', 'B14017', 'Instantaneous long-wave radiation ', 'W m-2', '-3', '-2048', '12', 'W m-2', '-3', '4', '', '', ''),
	('014018', 'B14018', 'Instantaneous short-wave radiation', 'W m-2', '-3', '-2048', '12', 'W m-2', '-3', '4', '', '', ''),
	('014019', 'B14019', 'Surface albedo', '%', '0', '0', '7', '%', '0', '3', '', '', ''),
	('014020', 'B14020', 'Global solar radiation integrated over 24 hours', 'J m-2', '-4', '0', '15', 'J m-2', '-4', '5', '', '', ''),
	('014021', 'B14021', 'Global solar radiation integrated over period specified', 'J m-2', '-4', '0', '15', 'J m-2', '-4', '5', '', '', ''),
	('014022', 'B14022', 'Diffuse solar radiation integrated over 24 hours', 'J m-2', '-4', '0', '15', 'J m-2', '-4', '5', '', '', ''),
	('014023', 'B14023', 'Diffuse solar radiation integrated over period specified', 'J m-2', '-4', '0', '15', 'J m-2', '-4', '5', '', '', ''),
	('014024', 'B14024', 'Direct solar radiation integrated over 24 hours', 'J m-2', '-4', '0', '15', 'J m-2', '-4', '5', '', '', ''),
	('014025', 'B14025', 'Direct solar radiation integrated over period specified', 'J m-2', '-4', '0', '15', 'J m-2', '-4', '5', '', '', ''),
	('014026', 'B14026', 'Albedo at the top of clouds', '%', '0', '0', '7', '%', '0', '3', '', '', ''),
	('014027', 'B14027', 'Albedo', '%', '0', '0', '7', '%', '0', '3', '', '', ''),
	('014028', 'B14028', 'Global solar radiation (high accuracy) integrated over period specified', 'J m-2', '-2', '0', '16', 'J m-2', '-2', '5', '', '', ''),
	('014029', 'B14029', 'Diffuse solar radiation (high accuracy) integrated over period specified', 'J m-2', '-2', '0', '16', 'J m-2', '-2', '5', '', '', ''),
	('014030', 'B14030', 'Direct solar radiation (high accuracy) integrated over period specified', 'J m-2', '-2', '0', '16', 'J m-2', '-2', '5', '', '', ''),
	('014031', 'B14031', 'Total sunshine', 'Minute', '0', '0', '11', 'Minute', '0', '4', '', '', ''),
	('014032', 'B14032', 'Total sunshine', 'Hour', '0', '0', '10', 'Hour', '0', '4', '', '', ''),
	('014033', 'B14033', 'Total sunshine', '%', '0', '0', '9', '%', '0', '3', '', '', ''),
	('014034', 'B14034', 'Sunshine over period specified', 'Minute', '0', '0', '11', 'Minute', '0', '4', '', '', ''),
	('014042', 'B14042', 'Bi-directional reflectance', '%', '0', '0', '7', '%', '0', '3', '', '', ''),
	('014045', 'B14045', 'Channel radiance (see Note 4)', 'W m-2 sr-1 cm-1', '0', '0', '11', 'W m-2 sr-1 cm-1', '0', '4', '', '', ''),
	('014046', 'B14046', 'Scaled IASI radiance (see Note 6)', 'W m-2 sr-1 m-1', '0', '-5000', '16', 'W m-2 sr-1 m-1', '0', '5', '', '', ''),
	('014047', 'B14047', 'Scaled mean AVHRR radiance', 'W m-2 sr-1 m-1', '0', '0', '31', 'W m-2 sr-1 m-1', '0', '10', '', '', ''),
	('014048', 'B14048', 'Scaled standard deviation AVHRR radiance', 'W m-2 sr-1 m-1', '0', '0', '31', 'W m-2 sr-1 m-1', '0', '10', '', '', ''),
	('014050', 'B14050', 'Emissivity (see Note 5)', '%', '1', '0', '10', '%', '1', '4', '', '', ''),
	('014051', 'B14051', 'Direct solar radiation integrated over last hour', 'J m-2', '-3', '0', '14', 'J m-2', '-3', '4', '', '', ''),
	('014055', 'B14055', 'Solar activity index', 'Numeric', '0', '-32768', '16', 'Numeric', '0', '5', '', '', ''),
	('015001', 'B15001', 'Total ozone', 'DU', '0', '0', '10', 'DU', '0', '4', '', '', ''),
	('015002', 'B15002', 'Air mass (slant path at 22 km)', 'Numeric', '2', '0', '10', 'Numeric', '2', '3', '', '', ''),
	('015003', 'B15003', 'Measured ozone partial pressure (sounding) (see Note 1)', 'Pascal', '4', '0', '9', 'nbar', '4', '3', '', '', ''),
	('015004', 'B15004', 'Ozone sounding correction factor (see Note 2)', 'Numeric', '3', '0', '11', 'Numeric', '3', '4', '', '', ''),
	('015005', 'B15005', 'Ozone p (see Note 3)', 'DU', '0', '0', '10', 'DU', '0', '3', '', '', ''),
	('015011', 'B15011', 'Log 10 of integrated electron density', 'log (1/m2)', '3', '14000', '13', 'log (m-2)', '3', '4', '', '', ''),
	('015015', 'B15015', 'Maximum image spectral component before normalization', 'Numeric', '0', '0', '31', 'Numeric', '0', '10', '', '', ''),
	('015020', 'B15020', 'Integrated ozone density', 'kg m-2', '8', '0', '21', 'kg m-2', '8', '7', '', '', ''),
	('015025', 'B15025', 'Type of pollutant', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('015026', 'B15026', 'Concentration of pollutant (mol mol-1)', 'mol mol-1', '9', '0', '9', 'mol mol-1', '9', '3', '', '', ''),
	('015027', 'B15027', 'Concentration of pollutant (kg m-3)', 'kg m-3', '9', '0', '10', 'kg m-3', '9', '4', '', '', ''),
	('015031', 'B15031', 'Atmospheric path delay in satellite signal', 'm', '4', '10000', '15', 'm', '4', '5', '', '', ''),
	('015032', 'B15032', 'Estimated error in atmospheric path delay', 'm', '4', '0', '10', 'm', '4', '4', '', '', ''),
	('015033', 'B15033', 'Difference in path delays for limb views at extremes of scan', 'm', '5', '-10000', '15', 'm', '5', '5', '', '', ''),
	('015034', 'B15034', 'Estimated error in path delay difference', 'm', '5', '0', '14', 'm', '5', '5', '', '', ''),
	('015035', 'B15035', 'Component of zenith path delay due to water vapour', 'm', '4', '0', '14', 'm', '4', '5', '', '', ''),
	('015036', 'B15036', 'Atmospheric refractivity (see Note 5)', 'N-units', '3', '0', '19', 'N-units', '3', '6', '', '', ''),
	('015037', 'B15037', 'Bending angle', 'Radians', '8', '-100000', '23', 'Radians', '8', '7', '', '', ''),
	('019001', 'B19001', 'Type of synoptic feature', 'Code table', '0', '0', '6', 'Code table', '0', '2', '', '', ''),
	('019002', 'B19002', 'Effective radius of feature', 'm', '-2', '0', '12', 'm', '-2', '4', '', '', ''),
	('019003', 'B19003', 'Wind speed threshold', 'm s-1', '0', '0', '8', 'm s-1', '0', '3', '', '', ''),
	('019004', 'B19004', 'Effective radius with respect to wind speeds above threshold', 'm', '-2', '0', '12', 'm', '-2', '4', '', '', ''),
	('019005', 'B19005', 'Direction of motion of feature', 'Degree true', '0', '0', '9', 'Degree true', '0', '3', '', '', ''),
	('019006', 'B19006', 'Speed of motion of feature', 'm s-1', '2', '0', '14', 'm s-1', '2', '5', '', '', ''),
	('019007', 'B19007', 'Effective radius of feature', 'm', '-3', '0', '12', 'm', '-3', '4', '', '', ''),
	('019008', 'B19008', 'Vertical extent of circulation', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('019009', 'B19009', 'Effective radius with respect to wind speeds above threshold (large storms)', 'm', '-3', '0', '12', 'm', '-3', '4', '', '', ''),
	('019010', 'B19010', 'Method for tracking the centre of synoptic feature', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('019100', 'B19100', 'Time interval to calculate the movement of the tropical cyclone', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('019101', 'B19101', 'Accuracy of the position of the centre of the tropical cyclone', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('019102', 'B19102', 'Shape and definition of the eye of the tropical cyclone', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('019103', 'B19103', 'Diameter of major axis of the eye of the tropical cyclone', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('019104', 'B19104', 'Change in character of the eye during the 30 minutes ', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('019105', 'B19105', 'Distance between the end of spiral band and the centre ', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('019106', 'B19106', 'Identification number of tropical cyclone', 'Numeric', '0', '0', '7', 'Numeric', '0', '3', '', '', ''),
	('019107', 'B19107', 'Time interval over which the movement of the tropical cyclone has been calculated', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('019108', 'B19108', 'Accuracy of geographical position of the tropical cyclone', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('019109', 'B19109', 'Mean diameter of the overcast cloud of the tropical cyclone', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('019110', 'B19110', 'Apparent 24-hour change in intensity of the tropical cyclone', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('019111', 'B19111', 'Current Intensity (CI) number of the tropical cyclone', 'Numeric', '1', '0', '7', 'Numeric', '1', '3', '', '', ''),
	('019112', 'B19112', 'Data Tropical (DT) number of the tropical cyclone', 'Numeric', '1', '0', '7', 'Numeric', '1', '3', '', '', ''),
	('019113', 'B19113', 'Cloud pattern type of the DT-number', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('019114', 'B19114', 'Model Expected Tropical (MET) number of the tropical cyclone', 'Numeric', '1', '0', '7', 'Numeric', '1', '3', '', '', ''),
	('019115', 'B19115', 'Trend of the past 24-hour change (+: Developed -: Weakened)', 'Numeric', '1', '-30', '6', 'Numeric', '1', '2', '', '', ''),
	('019116', 'B19116', 'Pattern Tropical (PT) number of the tropical cyclone', 'Numeric', '1', '0', '7', 'Numeric', '1', '3', '', '', ''),
	('019117', 'B19117', 'Cloud picture type of the PT-number', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('019118', 'B19118', 'Final Tropical (T) number of the tropical cyclone', 'Numeric', '1', '0', '7', 'Numeric', '1', '3', '', '', ''),
	('019119', 'B19119', 'Type of the final T-number', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('019150', 'B19150', 'Typhoon International Common Number (Typhoon Committee)', 'CCITT IA5', '0', '0', '32', 'Character', '0', '4', '', '', ''),
	('020001', 'B20001', 'Horizontal visibility', 'm', '-1', '0', '13', 'm', '-1', '4', '', '', ''),
	('020002', 'B20002', 'Vertical visibility', 'm', '-1', '0', '7', 'm', '-1', '3', '', '', ''),
	('020003', 'B20003', 'Present weather (see Note 1)', 'Code table', '0', '0', '9', 'Code table', '0', '3', '', '', ''),
	('020004', 'B20004', 'Past weather (1) (see Note 2)', 'Code table', '0', '0', '5', 'Code table', '0', '2', '', '', ''),
	('020005', 'B20005', 'Past weather (2) (see Note 2)', 'Code table', '0', '0', '5', 'Code table', '0', '2', '', '', ''),
	('020008', 'B20008', 'Cloud distribution for aviation', 'Code table', '0', '0', '5', 'Code table', '0', '2', '', '', ''),
	('020009', 'B20009', 'General Weather Indicator (TAF/METAR)', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('020010', 'B20010', 'Cloud cover (total) (see Note 5)', '%', '0', '0', '7', '%', '0', '3', '', '', ''),
	('020011', 'B20011', 'Cloud amount', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('020012', 'B20012', 'Cloud type', 'Code table', '0', '0', '6', 'Code table', '0', '2', '', '', ''),
	('020013', 'B20013', 'Height of base of cloud', 'm', '-1', '-40', '11', 'm', '-1', '4', '', '', ''),
	('020014', 'B20014', 'Height of top of cloud', 'm', '-1', '-40', '11', 'm', '-1', '4', '', '', ''),
	('020015', 'B20015', 'Pressure at base of cloud', 'Pa', '-1', '0', '14', 'Pa', '-1', '5', '', '', ''),
	('020016', 'B20016', 'Pressure at top of cloud', 'Pa', '-1', '0', '14', 'Pa', '-1', '5', '', '', ''),
	('020017', 'B20017', 'Cloud top description', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('020018', 'B20018', 'Tendency of runway visual range', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('020019', 'B20019', 'Significant present or forecast weather', 'CCITT IA5', '0', '0', '72', 'Character', '0', '9', '', '', ''),
	('020020', 'B20020', 'Significant recent weather phenomena', 'CCITT IA5', '0', '0', '32', 'Character', '0', '4', '', '', ''),
	('020021', 'B20021', 'Type of precipitation', 'Flag table', '0', '0', '30', 'Flag table', '0', '10', '', '', ''),
	('020022', 'B20022', 'Character of precipitation', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('020023', 'B20023', 'Other weather phenomena', 'Flag table', '0', '0', '18', 'Flag table', '0', '6', '', '', ''),
	('020024', 'B20024', 'Intensity of phenomena', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('020025', 'B20025', 'Obscuration', 'Flag table', '0', '0', '21', 'Flag table', '0', '7', '', '', ''),
	('020026', 'B20026', 'Character of obscuration', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('020027', 'B20027', 'Phenomena occurrence', 'Flag table', '0', '0', '9', 'Flag table', '0', '3', '', '', ''),
	('020028', 'B20028', 'Expected change in intensity', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('020029', 'B20029', 'Rain flag', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('020031', 'B20031', 'Ice deposit (thickness)', 'm', '2', '0', '7', 'm', '2', '3', '', '', ''),
	('020032', 'B20032', 'Rate of ice accretion', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('020033', 'B20033', 'Cause of ice accretion', 'Flag table', '0', '0', '4', 'Flag table', '0', '2', '', '', ''),
	('020034', 'B20034', 'Sea ice concentration', 'Code table', '0', '0', '5', 'Code table', '0', '2', '', '', ''),
	('020035', 'B20035', 'Amount and type of ice', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('020036', 'B20036', 'Ice situation', 'Code table', '0', '0', '5', 'Code table', '0', '2', '', '', ''),
	('020037', 'B20037', 'Ice development', 'Code table', '0', '0', '5', 'Code table', '0', '2', '', '', ''),
	('020038', 'B20038', 'Bearing of ice edge (see Note 3)', 'Degree true', '0', '0', '12', 'Degree true', '0', '3', '', '', ''),
	('020040', 'B20040', 'Evolution of drift snow', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('020041', 'B20041', 'Airframe icing', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('020042', 'B20042', 'Airframe icing present', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('020043', 'B20043', 'Peak liquid water content', 'kg m-3', '4', '0', '7', 'kg m-3', '4', '2', '', '', ''),
	('020044', 'B20044', 'Average liquid water content', 'kg m-3', '4', '0', '7', 'kg m-3', '4', '2', '', '', ''),
	('020045', 'B20045', 'Supercooled large droplet (SLD) conditions', 'Code table', '0', '0', '2', 'Code table', '0', '2', '', '', ''),
	('020048', 'B20048', 'Evolution of feature', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('020050', 'B20050', 'Cloud index', 'Code table', '0', '0', '8', 'Code table', '0', '3', '', '', ''),
	('020051', 'B20051', 'Amount of low clouds', '%', '0', '0', '7', '%', '0', '3', '', '', ''),
	('020052', 'B20052', 'Amount of middle clouds', '%', '0', '0', '7', '%', '0', '3', '', '', ''),
	('020053', 'B20053', 'Amount of high clouds', '%', '0', '0', '7', '%', '0', '3', '', '', ''),
	('020054', 'B20054', 'True direction from which a phenomenon or clouds are moving', 'Degree true', '0', '0', '9', 'Degree true', '0', '3', '', '', ''),
	('020055', 'B20055', 'State of sky in the tropics', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('020056', 'B20056', 'Cloud phase', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('020061', 'B20061', 'Runway visual range (RVR)', 'm', '0', '0', '12', 'm', '0', '4', '', '', ''),
	('020062', 'B20062', 'State of the ground (with or without snow)', 'Code table', '0', '0', '5', 'Code table', '0', '2', '', '', ''),
	('020063', 'B20063', 'Special phenomena', 'Code table', '0', '0', '10', 'Code table', '0', '4', '', '', ''),
	('020065', 'B20065', 'Snow cover (see Note 4)', '%', '0', '0', '7', '%', '0', '3', '', '', ''),
	('020066', 'B20066', 'Maximum diameter of hailstones', 'm', '3', '0', '8', 'm', '3', '3', '', '', ''),
	('020067', 'B20067', 'Diameter of deposit', 'm', '3', '0', '9', 'm', '3', '3', '', '', ''),
	('020070', 'B20070', 'Minimum number of atmospherics', 'Numeric', '0', '0', '7', 'Numeric', '0', '3', '', '', ''),
	('020071', 'B20071', 'Accuracy of fix and rate of atmospherics', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('020081', 'B20081', 'Cloud amount in segment', '%', '0', '0', '7', '%', '0', '3', '', '', ''),
	('020082', 'B20082', 'Amount segment cloud free', '%', '0', '0', '7', '%', '0', '3', '', '', ''),
	('020083', 'B20083', 'Amount of segment covered by scene', '%', '0', '0', '7', '%', '0', '3', '', '', ''),
	('020090', 'B20090', 'Special clouds', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('020095', 'B20095', 'Ice probability', 'Numeric', '3', '0', '10', 'Numeric', '3', '4', '', '', ''),
	('020096', 'B20096', 'Ice age ("A" parameter)', 'dB', '2', '-4096', '13', 'dB', '2', '4', '', '', ''),
	('020101', 'B20101', 'Locust (acridian) name', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('020102', 'B20102', 'Locust (maturity) color', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('020103', 'B20103', 'Stage of development of locusts', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('020104', 'B20104', 'Organization state of swarm or band of locusts', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('020105', 'B20105', 'Size of swarm or band of locusts and duration of passage of swarm', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('020106', 'B20106', 'Locust population density', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('020107', 'B20107', 'Direction of movements of locust swarm', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('020108', 'B20108', 'Extent of vegetation', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('021001', 'B21001', 'Horizontal reflectivity', 'dB', '0', '-64', '7', 'dB', '0', '3', '', '', ''),
	('021002', 'B21002', 'Vertical reflectivity', 'dB', '0', '-64', '7', 'dB', '0', '3', '', '', ''),
	('021003', 'B21003', 'Differential reflectivity', 'dB', '1', '-5', '7', 'dB', '1', '3', '', '', ''),
	('021005', 'B21005', 'Linear depolarisation ratio ', 'dB', '0', '-65', '6', 'dB', '0', '2', '', '', ''),
	('021006', 'B21006', 'Circular depolarisation ratio ', 'dB', '0', '-65', '6', 'dB', '0', '2', '', '', ''),
	('021011', 'B21011', 'Doppler mean velocity in X-direction', 'm s-1', '0', '-128', '8', 'm s-1', '0', '3', '', '', ''),
	('021012', 'B21012', 'Doppler mean velocity in Y-direction', 'm s-1', '0', '-128', '8', 'm s-1', '0', '3', '', '', ''),
	('021013', 'B21013', 'Doppler mean velocity in Z-direction', 'm s-1', '0', '-128', '8', 'm s-1', '0', '3', '', '', ''),
	('021014', 'B21014', 'Doppler mean velocity (radial)', 'm s-1', '1', '-4096', '13', 'm s-1', '1', '4', '', '', ''),
	('021017', 'B21017', 'Doppler velocity spectral width', 'm s-1', '1', '0', '8', 'm s-1', '1', '3', '', '', ''),
	('021021', 'B21021', 'Echo tops ', 'm', '-3', '0', '4', 'm', '-3', '2', '', '', ''),
	('021030', 'B21030', 'Signal to noise ratio', 'dB', '0', '-32', '8', 'dB', '0', '3', '', '', ''),
	('021031', 'B21031', 'Vertically integrated liquid-water content', 'kg m-2', '0', '0', '7', 'kg m-2', '0', '3', '', '', ''),
	('021036', 'B21036', 'Radar rainfall intensity ', 'm s-1', '7', '0', '12', 'm s-1', '7', '4', '', '', ''),
	('021041', 'B21041', 'Bright-band height ', 'm', '-2', '0', '8', 'm', '-2', '3', '', '', ''),
	('021051', 'B21051', 'Signal power above 1 mW', 'dB', '0', '-256', '8', 'dB', '0', '3', '', '', ''),
	('021062', 'B21062', 'Backscatter', 'dB', '2', '-5000', '13', 'dB', '2', '4', '', '', ''),
	('021063', 'B21063', 'Radiometric resolution (noise value)', '%', '1', '0', '10', '%', '1', '4', '', '', ''),
	('021064', 'B21064', 'Clutter noise estimate', 'Numeric', '0', '0', '8', 'Numeric', '0', '3', '', '', ''),
	('021065', 'B21065', 'Missing packet counter', 'Numeric', '0', '-127', '8', 'Numeric', '0', '3', '', '', ''),
	('021066', 'B21066', 'Wave scatterometer product confidence data', 'Flag table', '0', '0', '12', 'Flag table', '0', '4', '', '', ''),
	('021067', 'B21067', 'Wind product confidence data', 'Flag table', '0', '0', '13', 'Flag table', '0', '5', '', '', ''),
	('021068', 'B21068', 'Radar altimeter product confidence data', 'Flag table', '0', '0', '8', 'Flag table', '0', '3', '', '', ''),
	('021069', 'B21069', 'SST product confidence data', 'Flag table', '0', '0', '10', 'Flag table', '0', '4', '', '', ''),
	('021070', 'B21070', 'SST product confidence data (SADIST-2)', 'Flag table', '0', '0', '23', 'Flag table', '0', '6', '', '', ''),
	('021071', 'B21071', 'Peakiness', 'Numeric', '0', '0', '16', 'Numeric', '0', '5', '', '', ''),
	('021072', 'B21072', 'Satellite altimeter calibration status', 'Flag table', '0', '0', '4', 'Flag table', '0', '2', '', '', ''),
	('021073', 'B21073', 'Satelllite altimeter instrument mode', 'Flag table', '0', '0', '9', 'Flag table', '0', '3', '', '', ''),
	('021075', 'B21075', 'Image spectrum intensity', 'Numeric', '0', '0', '8', 'Numeric', '0', '3', '', '', ''),
	('021076', 'B21076', 'Representation of intensities', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('021077', 'B21077', 'Altitude correction (ionosphere)', 'm', '3', '0', '14', 'm', '3', '5', '', '', ''),
	('021078', 'B21078', 'Altitude correction (dry troposphere)', 'm', '3', '0', '9', 'm', '3', '3', '', '', ''),
	('021079', 'B21079', 'Altitude correction (wet troposphere)', 'm', '3', '2000', '10', 'm', '3', '4', '', '', ''),
	('021080', 'B21080', 'Altitude correction (calibration constant)', 'm', '3', '0', '11', 'm', '3', '4', '', '', ''),
	('021081', 'B21081', 'Open loop correction (height-time loop)', 'm', '3', '0', '10', 'm', '3', '4', '', '', ''),
	('021082', 'B21082', 'Open loop correction (auto gain control)', 'dB', '3', '-3000', '14', 'dB', '3', '5', '', '', ''),
	('021083', 'B21083', 'Warm target calibration', 'Numeric', '0', '0', '16', 'Numeric', '0', '5', '', '', ''),
	('021084', 'B21084', 'Cold target calibration', 'Numeric', '0', '0', '16', 'Numeric', '0', '5', '', '', ''),
	('021085', 'B21085', 'ATSR sea surface temperature across- track band number', 'Numeric', '0', '0', '4', 'Numeric', '0', '2', '', '', ''),
	('021086', 'B21086', 'Number of pixels in Nadir only average', 'Numeric', '0', '0', '9', 'Numeric', '0', '3', '', '', ''),
	('021087', 'B21087', 'Number of pixels in dual view average', 'Numeric', '0', '0', '9', 'Numeric', '0', '3', '', '', ''),
	('021088', 'B21088', 'Wet backscatter', 'dB', '2', '-5000', '13', 'dB', '2', '4', '', '', ''),
	('021091', 'B21091', 'Radar signal Doppler spectrum 0th moment', 'dB', '0', '-100', '8', 'dB', '0', '3', '', '', ''),
	('021092', 'B21092', 'RASS signal Doppler spectrum 0th moment referring to RASS signal', 'dB', '0', '-100', '8', 'dB', '0', '3', '', '', ''),
	('021093', 'B21093', 'Ku band peakiness', 'Numeric', '3', '0', '16', 'Numeric', '3', '5', '', '', ''),
	('021094', 'B21094', 'S band peakiness', 'Numeric', '3', '0', '16', 'Numeric', '3', '5', '', '', ''),
	('021101', 'B21101', 'Number of vector ambiguities', 'Numeric', '0', '0', '3', 'Numeric', '0', '1', '', '', ''),
	('021102', 'B21102', 'Index of selected wind vector', 'Numeric', '0', '0', '3', 'Numeric', '0', '1', '', '', ''),
	('021103', 'B21103', 'Total number of sigma-0 measurements', 'Numeric', '0', '0', '5', 'Numeric', '0', '2', '', '', ''),
	('021104', 'B21104', 'Likelihood computed for solution', 'Numeric', '3', '-30000', '15', 'Numeric', '3', '5', '', '', ''),
	('021105', 'B21105', 'Normalized radar cross-section', 'dB', '2', '-10000', '14', 'dB', '2', '5', '', '', ''),
	('021106', 'B21106', 'Kp variance coefficient (Alpha)', 'Numeric', '3', '0', '14', 'Numeric', '3', '5', '', '', ''),
	('021107', 'B21107', 'Kp variance coefficient (Beta)', 'Numeric', '8', '0', '16', 'Numeric', '8', '5', '', '', ''),
	('021109', 'B21109', 'SEAWINDS wind vector cell quality', 'Flag table', '0', '0', '17', 'Flag table', '0', '6', '', '', ''),
	('021110', 'B21110', 'Number of inner-beam Sigma-0 (forward of satellite)', 'Numeric', '0', '0', '6', 'Numeric', '0', '2', '', '', ''),
	('021111', 'B21111', 'Number of outer-beam Sigma-0 (forward of satellite)', 'Numeric', '0', '0', '6', 'Numeric', '0', '2', '', '', ''),
	('021112', 'B21112', 'Number of inner-beam Sigma-0 (aft of satellite)', 'Numeric', '0', '0', '6', 'Numeric', '0', '2', '', '', ''),
	('021113', 'B21113', 'Number of outer-beam Sigma-0 (aft of satellite)', 'Numeric', '0', '0', '6', 'Numeric', '0', '2', '', '', ''),
	('021114', 'B21114', 'Kp variance coefficent (Gamma)', 'dB', '3', '-140000', '18', 'dB', '3', '6', '', '', ''),
	('021115', 'B21115', 'SEAWINDS sigma-0 quality', 'Flag table', '0', '0', '17', 'Flag table', '0', '6', '', '', ''),
	('021116', 'B21116', 'SEAWINDS sigma-0 mode', 'Flag table', '0', '0', '17', 'Flag table', '0', '6', '', '', ''),
	('021117', 'B21117', 'Sigma-0 variance quality control', 'Numeric', '2', '0', '16', 'Numeric', '2', '5', '', '', ''),
	('021118', 'B21118', 'Attenuation correction on sigma-0', 'dB', '2', '-10000', '14', 'dB', '2', '5', '', '', ''),
	('021119', 'B21119', 'Wind scatterometer geophysical model function', 'Code table', '0', '0', '6', 'Code table', '0', '2', '', '', ''),
	('021120', 'B21120', 'Probability of rain', 'Numeric', '3', '0', '10', 'Numeric', '3', '4', '', '', ''),
	('021121', 'B21121', 'SEAWINDS NOF* rain index', 'Numeric', '0', '0', '8', 'Numeric', '0', '3', '', '', ''),
	('021122', 'B21122', 'Attenuation correction of sigma-0 (from tB)', 'dB', '2', '-10000', '14', 'dB', '2', '5', '', '', ''),
	('021123', 'B21123', 'SEAWINDS normalized radar cross section', 'dB', '2', '-30000', '15', 'dB', '2', '5', '', '', ''),
	('021128', 'B21128', 'Number of valid points per second used to derive previous parameters', 'Numeric', '0', '0', '8', 'Numeric', '0', '3', '', '', ''),
	('021130', 'B21130', 'Spectrum total energy', 'Numeric', '6', '0', '28', 'Numeric', '6', '9', '', '', ''),
	('021131', 'B21131', 'Spectrum max energy', 'Numeric', '6', '0', '28', 'Numeric', '6', '9', '', '', ''),
	('021132', 'B21132', 'Direction of spectrum max on higher resolution grid', 'Degree', '3', '0', '19', 'Degree', '3', '6', '', '', ''),
	('021133', 'B21133', 'Wave-length of spectrum max on higher resolution grid', 'm', '3', '0', '29', 'm', '3', '9', '', '', ''),
	('021134', 'B21134', 'Range resolution of cress covariance spectrum', 'Rad m-1', '3', '0', '19', 'Rad m-1', '3', '6', '', '', ''),
	('021135', 'B21135', 'Real part of cross spectra polar grid number of bins', 'Numeric', '3', '-524288', '20', 'Numeric', '3', '7', '', '', ''),
	('021136', 'B21136', 'Imaginary part of cross spectra polar grid number of bins', 'Numeric', '3', '-524288', '20', 'Numeric', '3', '7', '', '', ''),
	('021137', 'B21137', 'KU band corrected ocean backscatter coefficient', 'dB', '2', '-32768', '16', 'dB', '2', '5', '', '', ''),
	('021138', 'B21138', 'Std KU band corrected ocean backscatter coefficient', 'dB', '2', '-32768', '16', 'dB', '2', '5', '', '', ''),
	('021139', 'B21139', 'KU band net instrumental correction for ACG', 'dB', '2', '-2048', '12', 'dB', '2', '4', '', '', ''),
	('021140', 'B21140', 'S band corrected ocean backscatter coefficient', 'dB', '2', '-32768', '16', 'dB', '2', '5', '', '', ''),
	('021141', 'B21141', 'Std S band corrected ocean backscatter coefficient', 'dB', '2', '-32768', '16', 'dB', '2', '5', '', '', ''),
	('021142', 'B21142', 'S band net instrumental correction for ACG', 'dB', '2', '-1024', '11', 'dB', '2', '4', '', '', ''),
	('021143', 'B21143', 'KU band rain attenuation', 'dB', '2', '-1073741824', '31', 'dB', '2', '10', '', '', ''),
	('021144', 'B21144', 'Altimeter rain flag', 'Flag table', '0', '0', '2', 'Flag table', '0', '1', '', '', ''),
	('021150', 'B21150', 'Beam collocation', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('021151', 'B21151', 'Estimated error in sigma-0 at 40 deg. incidence angle', 'dB', '2', '0', '9', 'dB', '2', '3', '', '', ''),
	('021152', 'B21152', 'Slope at 40 deg. incidence angle', 'dB Deg-1', '2', '-80', '7', 'dB Deg-1', '2', '2', '', '', ''),
	('021153', 'B21153', 'Estimated error in slope at 40 deg. incidence angle', 'dB Deg-1', '2', '-40', '6', 'dB Deg-1', '2', '2', '', '', ''),
	('021154', 'B21154', 'Soil moisture sensitivity', 'dB', '2', '0', '12', 'dB', '2', '4', '', '', ''),
	('021155', 'B21155', 'Wind vector cell quality', 'Flag table', '0', '0', '24', 'Flag table', '0', '8', '', '', ''),
	('021156', 'B21156', 'Backscatter distance', 'Numeric', '1', '-4096', '13', 'Numeric', '1', '4', '', '', ''),
	('021157', 'B21157', 'Loss per unit length of atmosphere used', 'dB m-1', '10', '0', '22', 'dB m-1', '10', '7', '', '', ''),
	('021158', 'B21158', 'ASCAT kp estimate quality', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('021159', 'B21159', 'ASCAT sigma-0 usability', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('021160', 'B21160', 'ASCAT use of synthetic data', 'Numeric', '3', '0', '10', 'Numeric', '3', '4', '', '', ''),
	('021161', 'B21161', 'ASCAT synthetic data quality', 'Numeric', '3', '0', '10', 'Numeric', '3', '4', '', '', ''),
	('021162', 'B21162', 'ASCAT satellite orbit and attitude quality', 'Numeric', '3', '0', '10', 'Numeric', '3', '4', '', '', ''),
	('021163', 'B21163', 'ASCAT solar array reflection contamination', 'Numeric', '3', '0', '10', 'Numeric', '3', '4', '', '', ''),
	('021164', 'B21164', 'ASCAT telemetry presence and quality', 'Numeric', '3', '0', '10', 'Numeric', '3', '4', '', '', ''),
	('021165', 'B21165', 'ASCAT extrapolated reference function presence', 'Numeric', '3', '0', '10', 'Numeric', '3', '4', '', '', ''),
	('021166', 'B21166', 'ASCAT land fraction', 'Numeric', '3', '0', '10', 'Numeric', '3', '4', '', '', ''),
	('022001', 'B22001', 'Direction of waves ', 'Degree true', '0', '0', '9', 'Degree true', '0', '3', '', '', ''),
	('022002', 'B22002', 'Direction of wind waves ', 'Degree true', '0', '0', '9', 'Degree true', '0', '3', '', '', ''),
	('022003', 'B22003', 'Direction of swell waves ', 'Degree true', '0', '0', '9', 'Degree true', '0', '3', '', '', ''),
	('022004', 'B22004', 'Direction of current (see Note 7)', 'Degree true', '0', '0', '9', 'Degree true', '0', '3', '', '', ''),
	('022005', 'B22005', 'Direction of sea surface current', 'Degree true', '0', '0', '9', 'Degree true', '0', '3', '', '', ''),
	('022011', 'B22011', 'Period of waves ', 's', '0', '0', '6', 's', '0', '2', '', '', ''),
	('022012', 'B22012', 'Period of wind waves ', 's', '0', '0', '6', 's', '0', '2', '', '', ''),
	('022013', 'B22013', 'Period of swell waves ', 's', '0', '0', '6', 's', '0', '2', '', '', ''),
	('022021', 'B22021', 'Height of waves ', 'm', '1', '0', '10', 'm', '1', '4', '', '', ''),
	('022022', 'B22022', 'Height of wind waves ', 'm', '1', '0', '10', 'm', '1', '4', '', '', ''),
	('022023', 'B22023', 'Height of swell waves ', 'm', '1', '0', '10', 'm', '1', '4', '', '', ''),
	('022025', 'B22025', 'Standard deviation wave height', 'm', '2', '0', '10', 'm', '2', '4', '', '', ''),
	('022026', 'B22026', 'Standard deviation of significant wave height', 'm', '2', '0', '10', 'm', '2', '4', '', '', ''),
	('022031', 'B22031', 'Speed of current ', 'm s-1', '2', '0', '13', 'm s-1', '2', '4', '', '', ''),
	('022032', 'B22032', 'Speed of sea surface current', 'm s-1', '2', '0', '13', 'm s-1', '2', '4', '', '', ''),
	('022035', 'B22035', 'Tidal elevation with respect to local chart datum', 'm', '2', '0', '14', 'm', '2', '4', '', '', ''),
	('022036', 'B22036', 'Meteorological residual tidal elevation (surge or offset)', 'm', '2', '0', '14', 'm', '2', '4', '', '', ''),
	('022037', 'B22037', 'Tidal elevation with respect to national land datum', 'm', '3', '-10000', '15', 'm', '3', '5', '', '', ''),
	('022038', 'B22038', 'Tidal elevation with respect to local chart datum', 'm', '3', '-10000', '15', 'm', '3', '5', '', '', ''),
	('022039', 'B22039', 'Meteorological residual tidal elevation (surge or offset) (see Note 4)', 'm', '3', '-5000', '13', 'm', '3', '4', '', '', ''),
	('022040', 'B22040', 'Meteorological residual tidal elevation (surge or offset) (see Note 4)', 'm', '3', '-5000', '14', 'm', '3', '5', '', '', ''),
	('022041', 'B22041', 'Sea-surface temperature (15-day running mean)', 'K', '1', '0', '12', 'K', '1', '4', '', '', ''),
	('022042', 'B22042', 'Sea/water temperature', 'K', '1', '0', '12', 'K', '1', '4', '', '', ''),
	('022043', 'B22043', 'Sea/water temperature', 'K', '2', '0', '15', 'K', '2', '5', '', '', ''),
	('022044', 'B22044', 'Sound velocity ', 'm s-1', '1', '0', '14', 'm s-1', '1', '5', '', '', ''),
	('022045', 'B22045', 'Sea/water temperature', 'K', '3', '0', '19', 'K', '3', '6', '', '', ''),
	('022049', 'B22049', 'Sea surface temperature', 'K', '2', '0', '15', 'K', '2', '5', '', '', ''),
	('022050', 'B22050', 'Standard deviation sea-surface temperature', 'K', '2', '0', '8', 'K', '2', '3', '', '', ''),
	('022055', 'B22055', 'Float cycle number', 'Numeric', '0', '0', '10', 'Numeric', '0', '3', '', '', ''),
	('022056', 'B22056', 'Direction of profile', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('022059', 'B22059', 'Sea surface salinity', 'Part per thousand', '2', '0', '14', 'Part per thousand', '2', '5', '', '', ''),
	('022060', 'B22060', 'Lagrangian drifter drogue status', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('022061', 'B22061', 'State of the sea ', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('022062', 'B22062', 'Salinity', 'Part per thousand', '2', '0', '14', 'Part per thousand', '2', '5', '', '', ''),
	('022063', 'B22063', 'Total water depth ', 'm', '0', '0', '14', 'm', '0', '5', '', '', ''),
	('022064', 'B22064', 'Salinity', 'Part per thousand', '3', '0', '17', 'Part per thousand', '3', '6', '', '', ''),
	('022065', 'B22065', 'Water pressure', 'Pa', '-3', '0', '17', 'Pa', '-3', '6', '', '', ''),
	('022066', 'B22066', 'Water conductivity', 'S m-1', '6', '0', '26', 'S m-1', '6', '8', '', '', ''),
	('022067', 'B22067', 'Instrument type for water temperature profile measurement', 'Code table', '0', '0', '10', 'Code table', '0', '4', '', '', ''),
	('022068', 'B22068', 'Water temperature profile recorder types', 'Code table', '0', '0', '7', 'Code table', '0', '3', '', '', ''),
	('022069', 'B22069', 'Spectral wave density', 'm2 Hz-1', '3', '0', '22', 'm2 Hz-1', '3', '7', '', '', ''),
	('022070', 'B22070', 'Significant wave height', 'm', '2', '0', '13', 'm', '2', '4', '', '', ''),
	('022071', 'B22071', 'Spectral peak wave period', 's', '1', '0', '9', 's', '1', '3', '', '', ''),
	('022072', 'B22072', 'Spectral peak wave length', 'm', '0', '0', '13', 'm', '0', '4', '', '', ''),
	('022073', 'B22073', 'Maximum wave height', 'm', '2', '0', '13', 'm', '2', '4', '', '', ''),
	('022074', 'B22074', 'Average wave period', 's', '1', '0', '9', 's', '1', '3', '', '', ''),
	('022075', 'B22075', 'Average wave length', 'm', '0', '0', '13', 'm', '0', '4', '', '', ''),
	('022076', 'B22076', 'Direction from which dominant waves are coming', 'Degree true', '0', '0', '9', 'Degree true', '0', '3', '', '', ''),
	('022077', 'B22077', 'Directional spread of dominant wave', 'Degree', '0', '0', '9', 'Degree', '0', '3', '', '', ''),
	('022078', 'B22078', 'Duration of wave record', 's', '0', '0', '12', 's', '0', '4', '', '', ''),
	('022079', 'B22079', 'Length of wave record', 'm', '0', '0', '16', 'm', '0', '5', '', '', ''),
	('022080', 'B22080', 'Waveband central frequency', 'Hz', '3', '0', '10', 'Hz', '3', '4', '', '', ''),
	('022081', 'B22081', 'Waveband central wave number', 'm-1', '5', '0', '13', 'm-1', '5', '4', '', '', ''),
	('022082', 'B22082', 'Maximum non-directional spectral wave density', 'm2 s', '2', '0', '20', 'm2 s', '2', '7', '', '', ''),
	('022083', 'B22083', 'Maximum non-directional spectral wave number', 'm3', '2', '0', '20', 'm3', '2', '7', '', '', ''),
	('022084', 'B22084', 'Band containing maximum non- directional spectral wave density', 'Numeric', '0', '0', '7', 'Numeric', '0', '3', '', '', ''),
	('022085', 'B22085', 'Spectral wave density ratio', 'Numeric', '0', '0', '7', 'Numeric', '0', '3', '', '', ''),
	('022086', 'B22086', 'Mean direction from which waves are coming', 'Degree true', '0', '0', '9', 'Degree true', '0', '3', '', '', ''),
	('022087', 'B22087', 'Principal direction from which waves are coming', 'Degree true', '0', '0', '9', 'Degree true', '0', '3', '', '', ''),
	('022088', 'B22088', 'First normalized polar coordinate from Fourier coefficients', 'Numeric', '2', '0', '7', 'Numeric', '2', '3', '', '', ''),
	('022089', 'B22089', 'Second normalized polar coordinate from Fourier coefficients', 'Numeric', '2', '0', '7', 'Numeric', '2', '3', '', '', ''),
	('022090', 'B22090', 'Non-directional spectral estimate by wave frequency', 'm2 s', '2', '0', '20', 'm2 s', '2', '7', '', '', ''),
	('022091', 'B22091', 'Non-directional spectral estimate by wave number', 'm3', '2', '0', '20', 'm3', '2', '7', '', '', ''),
	('022092', 'B22092', 'Directional spectral estimate by wave frequency', 'm2 rad-1 s', '2', '0', '20', 'm2 rad-1 s', '2', '7', '', '', ''),
	('022093', 'B22093', 'Directional spectral estimate by wave number', 'm4', '2', '0', '20', 'm4', '2', '7', '', '', ''),
	('022094', 'B22094', 'Total number of wave bands', 'Numeric', '0', '0', '7', 'Numeric', '0', '3', '', '', ''),
	('022095', 'B22095', 'Directional spread of individual waves', 'Degree', '0', '0', '8', 'Degree', '0', '3', '', '', ''),
	('022096', 'B22096', 'Spectral band width', 's-1', '3', '0', '4', 's-1', '3', '2', '', '', ''),
	('022097', 'B22097', 'Mean wavelength > 731 m of image spectrum at low wave numbers', 'm', '0', '0', '14', 'm', '0', '5', '', '', ''),
	('022098', 'B22098', 'Wavelength spread (wavelength > 731 m) at low wave numbers', 'm', '0', '0', '14', 'm', '0', '5', '', '', ''),
	('022099', 'B22099', 'Mean direction at low wave numbers (wavelength > 731 m)', 'Degree true', '0', '0', '9', 'Degree true', '0', '3', '', '', ''),
	('022100', 'B22100', 'Direction spread at low wave numbers (wavelength > 731 m)', 'Degree', '0', '0', '9', 'Degree', '0', '3', '', '', ''),
	('022101', 'B22101', 'Total energy (wavelength > 731m) at low wave numbers', 'Numeric', '0', '0', '31', 'Numeric', '0', '10', '', '', ''),
	('022120', 'B22120', 'Tide station automated water level check', 'Code table', '0', '0', '5', 'Code table', '0', '2', '', '', ''),
	('022121', 'B22121', 'Tide station manual water level check', 'Code table', '0', '0', '5', 'Code table', '0', '2', '', '', ''),
	('022122', 'B22122', 'Tide station automated meteorological data check', 'Code table', '0', '0', '5', 'Code table', '0', '2', '', '', ''),
	('022123', 'B22123', 'Tide station manual meteorological data check', 'Code table', '0', '0', '5', 'Code table', '0', '2', '', '', ''),
	('022141', 'B22141', 'Sea-surface temperature (15-day running mean)', 'K', '2', '0', '15', 'K', '2', '5', '', '', ''),
	('022150', 'B22150', 'Number of 18 Hz valid points for KU band', 'Numeric', '0', '0', '10', 'Numeric', '0', '4', '', '', ''),
	('022151', 'B22151', 'KU band ocean range', 'm', '3', '0', '31', 'm', '3', '10', '', '', ''),
	('022152', 'B22152', 'STD of 18 Hz KU band ocean range', 'm', '3', '0', '16', 'm', '3', '5', '', '', ''),
	('022153', 'B22153', 'Number of 18 Hz valid points for S band', 'Numeric', '0', '0', '10', 'Numeric', '0', '4', '', '', ''),
	('022154', 'B22154', 'S band ocean range', 'm', '3', '0', '31', 'm', '3', '10', '', '', ''),
	('022155', 'B22155', 'STD of 18 Hz S band ocean range', 'm', '3', '0', '16', 'm', '3', '5', '', '', ''),
	('022156', 'B22156', 'KU band significant wave height', 'm', '3', '0', '16', 'm', '3', '5', '', '', ''),
	('022157', 'B22157', 'STD 18Hz KU band significant wave height', 'm', '3', '0', '16', 'm', '3', '5', '', '', ''),
	('022158', 'B22158', 'S band significant wave height', 'm', '3', '0', '16', 'm', '3', '5', '', '', ''),
	('022159', 'B22159', 'STD 18Hz S band significant wave height', 'm', '3', '0', '16', 'm', '3', '5', '', '', ''),
	('022160', 'B22160', 'Normalized inverse wave age', 'Numeric', '6', '0', '21', 'Numeric', '6', '7', '', '', ''),
	('022161', 'B22161', 'Wave spectra', 'm4', '4', '0', '27', 'm4', '4', '9', '', '', ''),
	('023001', 'B23001', 'Accident early notification — article applicable', 'Code table', '0', '0', '3', 'Code table ', '0', '1', '', '', ''),
	('023002', 'B23002', 'Activity or facility involved in incident', 'Code table', '0', '0', '5', 'Code table ', '0', '2', '', '', ''),
	('023003', 'B23003', 'Type of release ', 'Code table', '0', '0', '3', 'Code table ', '0', '1', '', '', ''),
	('023004', 'B23004', 'Countermeasures taken near border', 'Code table', '0', '0', '3', 'Code table ', '0', '1', '', '', ''),
	('023005', 'B23005', 'Cause of incident ', 'Code table', '0', '0', '2', 'Code table ', '0', '1', '', '', ''),
	('023006', 'B23006', 'Incident situation ', 'Code table', '0', '0', '3', 'Code table ', '0', '1', '', '', ''),
	('023007', 'B23007', 'Characteristics of release', 'Code table', '0', '0', '3', 'Code table ', '0', '1', '', '', ''),
	('023008', 'B23008', 'State of current release ', 'Code table', '0', '0', '2', 'Code table ', '0', '1', '', '', ''),
	('023009', 'B23009', 'State of expected release ', 'Code table', '0', '0', '2', 'Code table ', '0', '1', '', '', ''),
	('023016', 'B23016', 'Possibility of significant chemical toxic health effect', 'Code table', '0', '0', '2', 'Code table ', '0', '1', '', '', ''),
	('023017', 'B23017', 'Flow discharge of major recipient', 'm3 s-1', '6', '0', '20', 'm3 s-1', '6', '7', '', '', ''),
	('023018', 'B23018', 'Release behaviour over time', 'Code table', '0', '0', '3', 'Code table ', '0', '1', '', '', ''),
	('023019', 'B23019', 'Actual release height', 'm', '0', '-15000', '17', 'm ', '0', '6', '', '', ''),
	('023021', 'B23021', 'Effective release height', 'm', '0', '-15000', '17', 'm ', '0', '6', '', '', ''),
	('023022', 'B23022', 'Distance of release point or site of incident', 'm', '0', '0', '24', 'm ', '0', '8', '', '', ''),
	('023023', 'B23023', 'Main transport speed in the atmosphere', 'm s-1', '1', '0', '12', 'm s-1', '1', '4', '', '', ''),
	('023024', 'B23024', 'Main transport speed in water', 'm s-1', '2', '0', '13', 'm s-1', '2', '4', '', '', ''),
	('023025', 'B23025', 'Main transport speed in ground water', 'm s-1', '2', '0', '13', 'm s-1', '2', '4', '', '', ''),
	('023027', 'B23027', 'Main transport direction in the atmosphere', 'Degree true ', '0', '0', '9', 'Degree true ', '0', '3', '', '', ''),
	('023028', 'B23028', 'Main transport direction in water', 'Degree true ', '0', '0', '9', 'Degree true ', '0', '3', '', '', ''),
	('023029', 'B23029', 'Main transport direction in ground water', 'Degree true ', '0', '0', '9', 'Degree true ', '0', '3', '', '', ''),
	('023031', 'B23031', 'Possibility that plume will encounter precipitation in State in which incident occurred', 'Code table', '0', '0', '2', 'Code table ', '0', '1', '', '', ''),
	('023032', 'B23032', 'Plume will encounter change in wind direction and/or speed flag', 'Code table', '0', '0', '2', 'Code table ', '0', '1', '', '', ''),
	('024001', 'B24001', 'Estimate of amount of radioactivity released up to specified time', 'Bq*', '-11', '0', '28', 'Bq* ', '-11', '9', '', '', ''),
	('024002', 'B24002', 'Estimated maximum potential release', 'Bq', '-11', '0', '28', 'Bq ', '-11', '9', '', '', ''),
	('024003', 'B24003', 'Composition of release', 'Code table', '0', '0', '5', 'Code table ', '0', '2', '', '', ''),
	('024004', 'B24004', 'Element name', 'CCITT IA5', '0', '0', '16', 'Character', '0', '2', '', '', ''),
	('024005', 'B24005', 'Isotope mass', 'Numeric', '0', '0', '9', 'Numeric ', '0', '3', '', '', ''),
	('024011', 'B24011', 'Dose', 'mSv*/**', '2', '0', '32', 'mSv*/**', '2', '10', '', '', ''),
	('024012', 'B24012', 'Trajectory dose (defined location and expected time of arrival)', 'mSv', '2', '0', '32', 'mSv', '2', '10', '', '', ''),
	('024013', 'B24013', 'Gamma dose in air along the main transport path (defined location and time period)', 'mSv', '2', '0', '32', 'mSv ', '2', '10', '', '', ''),
	('024021', 'B24021', 'Air concentration (of named isotope type including gross beta)', 'Bq m-3', '2', '0', '32', 'Bq m-3', '2', '10', '', '', ''),
	('024022', 'B24022', 'Concentration in precipitation (of names isotope type)', 'Bq l-1', '2', '0', '32', 'Bq l-1', '2', '10', '', '', ''),
	('024023', 'B24023', 'Pulse rate of beta radiation', 's-1', '1', '0', '14', 's-1', '1', '4', '', '', ''),
	('024024', 'B24024', 'Pulse rate of gamma radiation', 's-1', '1', '0', '14', 's-1', '1', '4', '', '', ''),
	('025001', 'B25001', 'Range-gate length', 'm', '-1', '0', '6', 'm', '-1', '2', '', '', ''),
	('025002', 'B25002', 'Number of gates averaged', 'Numeric', '0', '0', '4', 'Numeric', '0', '2', '', '', ''),
	('025003', 'B25003', 'Number of integrated pulses', 'Numeric', '0', '0', '8', 'Numeric', '0', '3', '', '', ''),
	('025004', 'B25004', 'Echo processing', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('025005', 'B25005', 'Echo integration', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('025006', 'B25006', 'Z to R conversion', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('025007', 'B25007', 'Z to R conversion factor', 'Numeric', '0', '0', '12', 'Numeric', '0', '4', '', '', ''),
	('025008', 'B25008', 'Z to R conversion exponent', 'Numeric', '2', '0', '9', 'Numeric', '2', '3', '', '', ''),
	('025009', 'B25009', 'Calibration method (see Note 3)', 'Flag table', '0', '0', '4', 'Flag table', '0', '2', '', '', ''),
	('025010', 'B25010', 'Clutter treatment', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('025011', 'B25011', 'Ground occultation correction (screening)', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('025012', 'B25012', 'Range attenuation correction', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('025013', 'B25013', 'Bright-band correction', 'Flag table', '0', '0', '2', 'Flag table', '0', '1', '', '', ''),
	('025014', 'B25014', 'Azimuth clutter cut-off (see Note 1)', 'Numeric', '0', '0', '12', 'Numeric', '0', '4', '', '', ''),
	('025015', 'B25015', 'Radome attenuation correction', 'Flag table', '0', '0', '2', 'Flag table', '0', '1', '', '', ''),
	('025016', 'B25016', 'Clear-air attenuation correction', 'dB m-1', '5', '0', '6', 'dB m-1', '5', '2', '', '', ''),
	('025017', 'B25017', 'Precipitation attenuation correction', 'Flag table', '0', '0', '2', 'Flag table', '0', '1', '', '', ''),
	('025018', 'B25018', 'A to Z law for attenuation factor', 'Numeric', '7', '0', '6', 'Numeric', '7', '2', '', '', ''),
	('025019', 'B25019', 'A to Z law for attenuation exponent', 'Numeric', '2', '0', '7', 'Numeric', '2', '3', '', '', ''),
	('025020', 'B25020', 'Mean speed estimation', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('025021', 'B25021', 'Wind computation enhancement', 'Flag table', '0', '0', '8', 'Flag table', '0', '3', '', '', ''),
	('025025', 'B25025', 'Battery voltage', 'V', '1', '0', '9', 'V', '1', '3', '', '', ''),
	('025026', 'B25026', 'Battery voltage (large range)', 'V', '1', '0', '12', 'V', '1', '4', '', '', ''),
	('025028', 'B25028', 'Operator or manufacturer defined parameter', 'Numeric', '1', '-16384', '15', 'Numeric', '1', '5', '', '', ''),
	('025029', 'B25029', 'Calibration method', 'Flag table', '0', '0', '6', 'Flag table', '0', '2', '', '', ''),
	('025030', 'B25030', 'Running mean sea-surface temperature usage', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('025032', 'B25032', 'Wind profiler mode information (see Note 2)', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('025033', 'B25033', 'Wind profiler submode information (see Note 2)', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('025034', 'B25034', 'Wind profiler quality control test results (see Note 2)', 'Flag table', '0', '0', '4', 'Flag table', '0', '2', '', '', ''),
	('025036', 'B25036', 'Atmospherics location method', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('025040', 'B25040', 'CO2 wind product derivation', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('025041', 'B25041', 'Moving platform direction reporting method', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('025042', 'B25042', 'Moving platform speed reporting method', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('025043', 'B25043', 'Wave sampling interval (time)', 's', '4', '0', '15', 's', '4', '5', '', '', ''),
	('025044', 'B25044', 'Wave sampling interval (space)', 'm', '2', '0', '14', 'm', '2', '5', '', '', ''),
	('025045', 'B25045', 'HIRS channel combination', 'Flag table', '0', '0', '21', 'Flag table', '0', '7', '', '', ''),
	('025046', 'B25046', 'MSU channel combination', 'Flag table', '0', '0', '5', 'Flag table', '0', '2', '', '', ''),
	('025047', 'B25047', 'SSU channel combination', 'Flag table', '0', '0', '4', 'Flag table', '0', '2', '', '', ''),
	('025048', 'B25048', 'AMSU-A channel combination', 'Flag table', '0', '0', '16', 'Flag table', '0', '6', '', '', ''),
	('025049', 'B25049', 'AMSU-B channel combination', 'Flag table', '0', '0', '6', 'Flag table', '0', '2', '', '', ''),
	('025050', 'B25050', 'Principal component score', 'Numeric', '4', '-131072', '18', 'Numeric', '4', '6', '', '', ''),
	('025051', 'B25051', 'AVHRR channel combination', 'Flag table', '0', '0', '7', 'Flag table', '0', '3', '', '', ''),
	('025052', 'B25052', 'Log-10 of principal components normalized fit to data', 'Numeric', '4', '0', '15', 'Numeric', '4', '5', '', '', ''),
	('025053', 'B25053', 'Observation quality', 'Flag table', '0', '0', '12', 'Flag table', '0', '4', '', '', ''),
	('025054', 'B25054', 'SSMIS Subframe ID nember', 'Numeric', '0', '0', '5', 'Numeric', '0', '2', '', '', ''),
	('025055', 'B25055', 'Multiplexer housekeeping', 'K', '2', '0', '16', 'K', '2', '5', '', '', ''),
	('025060', 'B25060', 'Software identification (see Note 2)', 'Numeric', '0', '0', '14', 'Numeric', '0', '5', '', '', ''),
	('025061', 'B25061', 'Software identification and version number', 'CCITT IA5', '0', '0', '96', 'Character', '0', '12', '', '', ''),
	('025062', 'B25062', 'Database identification', 'Numeric', '0', '0', '14', 'Numeric', '0', '5', '', '', ''),
	('025065', 'B25065', 'Orientation correction (azimuth)', 'Degree', '2', '-1000', '11', 'Degree', '2', '4', '', '', ''),
	('025066', 'B25066', 'Orientation correction (elevation)', 'Degree', '2', '-1000', '11', 'Degree', '2', '4', '', '', ''),
	('025067', 'B25067', 'Radiosonde release point pressure correction', 'Pa', '0', '-8000', '14', 'Pa', '0', '4', '', '', ''),
	('025068', 'B25068', 'Number of archive recomputes', 'Numeric', '0', '0', '7', 'Numeric', '0', '3', '', '', ''),
	('025069', 'B25069', 'Flight level pressure corrections', 'Flag table', '0', '0', '8', 'Flag table', '0', '3', '', '', ''),
	('025070', 'B25070', 'Major frame count', 'Numeric', '0', '0', '4', 'Numeric', '0', '2', '', '', ''),
	('025071', 'B25071', 'Frame count', 'Numeric', '0', '0', '5', 'Numeric', '0', '2', '', '', ''),
	('025075', 'B25075', 'Satellite antenna corrections version number', 'Numeric', '0', '0', '5', 'Numeric', '0', '2', '', '', ''),
	('025076', 'B25076', 'Log–10 of (Temperature-radiance central wavenumber) for ATOVS', 'log m-1', '8', '0', '30', 'log m-1', '8', '10', '', '', ''),
	('025077', 'B25077', 'Bandwidth correction coefficient 1 for ATOVS', 'Numeric', '5', '-100000', '18', 'Numeric', '5', '7', '', '', ''),
	('025078', 'B25078', 'Bandwidth correction coefficient 2 for ATOVS', 'Numeric', '5', '0', '17', 'Numeric', '5', '6', '', '', ''),
	('025079', 'B25079', 'Albedo-radiance solar filtered irradiance for ATOVS', 'W m-2', '4', '0', '24', 'W m-2', '4', '8', '', '', ''),
	('025080', 'B25080', 'Albedo-radiance equivalent filter width for ATOVS', 'm', '10', '0', '14', 'm', '10', '5', '', '', ''),
	('025085', 'B25085', 'Fraction of clear pixels in HIRS FOV', 'Numeric', '0', '0', '7', 'Numeric', '0', '3', '', '', ''),
	('025086', 'B25086', 'Depth correction indicator', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('025091', 'B25091', 'Structure constant of the refraction index (Cn2)', 'dB', '3', '-18192', '13', 'dB', '3', '5', '', '', ''),
	('025092', 'B25092', 'Acoustic propagation velocity', 'm s-1', '2', '28000', '14', 'm s-1', '2', '5', '', '', ''),
	('025093', 'B25093', 'RASS computation correction', 'Flag table', '0', '0', '8', 'Flag table', '0', '3', '', '', ''),
	('025095', 'B25095', 'Altimeter state flag', 'Flag table', '0', '0', '2', 'Flag table', '0', '1', '', '', ''),
	('025096', 'B25096', 'Radiometer state flag', 'Flag table', '0', '0', '5', 'Flag table', '0', '2', '', '', ''),
	('025097', 'B25097', 'Three dimensional error estimate of the navigator orbit', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('025100', 'B25100', 'XBT/XCTD fall rate equation coefficient a', 'Numeric', '5', '0', '20', 'Numeric', '5', '6', '', '', ''),
	('025101', 'B25101', 'XBT/XCTD fall rate equation coefficient b', 'Numeric', '5', '-500000', '21', 'Numeric', '5', '6', '', '', ''),
	('025102', 'B25102', 'Number of missing lines excluding data gaps', 'Numeric', '0', '0', '8', 'Numeric', '0', '3', '', '', ''),
	('025103', 'B25103', 'Number of directional bins', 'Numeric', '0', '0', '8', 'Numeric', '0', '3', '', '', ''),
	('025104', 'B25104', 'Number of wave-length bins', 'Numeric', '0', '0', '8', 'Numeric', '0', '3', '', '', ''),
	('025105', 'B25105', 'First directional bin', 'Degree', '3', '0', '19', 'Degree', '3', '6', '', '', ''),
	('025106', 'B25106', 'Directional bin step', 'Degree', '3', '0', '19', 'Degree', '3', '6', '', '', ''),
	('025107', 'B25107', 'First wave-length bin', 'm', '3', '0', '29', 'm', '3', '9', '', '', ''),
	('025108', 'B25108', 'Last wave-length bin', 'm', '3', '0', '29', 'm', '3', '9', '', '', ''),
	('025110', 'B25110', 'Image processing summary', 'Flag table', '0', '0', '10', 'Flag table', '0', '4', '', '', ''),
	('025111', 'B25111', 'Number of input data gaps', 'Numeric', '0', '0', '8', 'Numeric', '0', '3', '', '', ''),
	('025120', 'B25120', 'RA2-L2-processing flag', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('025121', 'B25121', 'RA2-L2-processing quality', '%', '0', '0', '7', '%', '0', '3', '', '', ''),
	('025122', 'B25122', 'Hardware configuration for RF', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('025123', 'B25123', 'Hardware configuration for HPA', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('025124', 'B25124', 'MWR L2 Processing flag', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('025125', 'B25125', 'MWR L2-processing quality', '%', '0', '0', '7', '%', '0', '3', '', '', ''),
	('025126', 'B25126', 'Model dry tropospheric correction', 'm', '3', '-32768', '16', 'm', '3', '5', '', '', ''),
	('025127', 'B25127', 'Inverted barometer correction', 'm', '3', '-32768', '16', 'm', '3', '5', '', '', ''),
	('025128', 'B25128', 'Model wet tropospheric correction', 'm', '3', '-32768', '16', 'm', '3', '5', '', '', ''),
	('025129', 'B25129', 'MWR derived wet tropospheric correction', 'm', '3', '-32768', '16', 'm', '3', '5', '', '', ''),
	('025130', 'B25130', 'RA2 ionospheric correction on KU band', 'm', '3', '-32768', '16', 'm', '3', '5', '', '', ''),
	('025131', 'B25131', 'Ionospheric correction from Doris on KU band', 'm', '3', '-32768', '16', 'm', '3', '5', '', '', ''),
	('025132', 'B25132', 'Ionospheric correction from model on KU band', 'm', '3', '-32768', '16', 'm', '3', '5', '', '', ''),
	('025133', 'B25133', 'Sea state bias correction on KU band', 'm', '3', '-32768', '16', 'm', '3', '5', '', '', ''),
	('025134', 'B25134', 'RA2 ionospheric correction on S band', 'm', '3', '-32768', '16', 'm', '3', '5', '', '', ''),
	('025135', 'B25135', 'Ionospheric correction from Doris on S band', 'm', '3', '-32768', '16', 'm', '3', '5', '', '', ''),
	('025136', 'B25136', 'Ionospheric correction from model on S band', 'm', '3', '-32768', '16', 'm', '3', '5', '', '', ''),
	('025137', 'B25137', 'Sea state bias correction on S band', 'm', '3', '-32768', '16', 'm', '3', '5', '', '', ''),
	('025138', 'B25138', 'Average signal to noise ration', 'Numeric', '0', '-2048', '12', 'Numeric', '0', '4', '', '', ''),
	('025140', 'B25140', 'Start channel', 'Numeric', '0', '0', '14', 'Numeric', '0', '5', '', '', ''),
	('025141', 'B25141', 'End channel', 'Numeric', '0', '0', '14', 'Numeric', '0', '5', '', '', ''),
	('025142', 'B25142', 'Channel scale factor', 'Numeric', '0', '0', '6', 'Numeric', '0', '2', '', '', ''),
	('025150', 'B25150', 'Method of tropical cyclone intensity analysis using satellite data', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('026001', 'B26001', 'Principal time of daily reading in UTC of maximum temperature', 'Hour', '1', '0', '12', 'Hour', '1', '3', '', '', ''),
	('026002', 'B26002', 'Principal time of daily reading in UTC of minimum temperature', 'Hour', '1', '0', '12', 'Hour', '1', '3', '', '', ''),
	('026003', 'B26003', 'Time difference', 'Minute', '0', '-1440', '12', 'Minute', '0', '4', '', '', ''),
	('026010', 'B26010', 'Hours included', 'Flag table', '0', '0', '26', 'Flag table', '0', '9', '', '', ''),
	('027001', 'B27001', 'Latitude (high accuracy)', 'Degree', '5', '-9000000', '25', 'Degree', '5', '7', '', '', ''),
	('027002', 'B27002', 'Latitude (coarse accuracy)', 'Degree', '2', '-9000', '15', 'Degree', '2', '4', '', '', ''),
	('027003', 'B27003', 'Alternate latitude (coarse accuracy)', 'Degree', '2', '-9000', '15', 'Degree', '2', '4', '', '', ''),
	('027004', 'B27004', 'Alternate latitude (high accuracy)', 'Degree', '5', '-9000000', '25', 'Degree', '5', '7', '', '', ''),
	('027020', 'B27020', 'Satellite location counter', 'Numeric', '0', '0', '16', 'Numeric', '0', '5', '', '', ''),
	('027021', 'B27021', 'Satellite sublocation dimension', 'Numeric', '0', '0', '16', 'Numeric', '0', '5', '', '', ''),
	('027031', 'B27031', 'In direction of 0 degrees longitude distance from the Earth’s centre', 'm', '2', '-1073741824', '31', 'm', '2', '10', '', '', ''),
	('027080', 'B27080', 'Viewing Azimuth angle', 'Degree true', '2', '0', '16', 'Degree true', '2', '5', '', '', ''),
	('028001', 'B28001', 'Longitude (high accuracy)', 'Degree', '5', '-18000000', '26', 'Degree', '5', '8', '', '', ''),
	('028002', 'B28002', 'Longitude (coarse accuracy)', 'Degree', '2', '-18000', '16', 'Degree', '2', '5', '', '', ''),
	('028003', 'B28003', 'Alternate longitude (coarse accuracy)', 'Degree', '2', '-18000', '16', 'Degree', '2', '5', '', '', ''),
	('028004', 'B28004', 'Alternate longitude (high accuracy)', 'Degree', '5', '-18000000', '26', 'Degree', '5', '8', '', '', ''),
	('028031', 'B28031', 'In direction 90 degrees East distance from the Earth’s centre', 'm', '2', '-1073741824', '31', 'm', '2', '10', '', '', ''),
	('029001', 'B29001', 'Projection type', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('029002', 'B29002', 'Co-ordinate grid type', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('030001', 'B30001', 'Pixel value (4 bits)', 'Numeric', '0', '0', '4', 'Numeric', '0', '2', '', '', ''),
	('030002', 'B30002', 'Pixel value (8 bits)', 'Numeric', '0', '0', '8', 'Numeric', '0', '3', '', '', ''),
	('030004', 'B30004', 'Pixel value (16 bits)', 'Numeric', '0', '0', '16', 'Numeric', '0', '5', '', '', ''),
	('030021', 'B30021', 'Number of pixels per row', 'Numeric', '0', '0', '12', 'Numeric', '0', '4', '', '', ''),
	('030022', 'B30022', 'Number of pixels per column', 'Numeric', '0', '0', '12', 'Numeric', '0', '4', '', '', ''),
	('030031', 'B30031', 'Picture type', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('030032', 'B30032', 'Combination with other data', 'Flag table', '0', '0', '16', 'Flag table', '0', '6', '', '', ''),
	('031000', 'B31000', 'Short delayed descriptor replication factor', 'Numeric', '0', '0', '1', 'Numeric', '0', '4', '', '', ''),
	('031001', 'B31001', 'Delayed descriptor replication factor', 'Numeric', '0', '0', '8', 'Numeric', '0', '4', '', '', ''),
	('031002', 'B31002', 'Extended delayed descriptor replication factor', 'Numeric', '0', '0', '16', 'Numeric', '0', '4', '', '', ''),
	('031011', 'B31011', 'Delayed descriptor and data repetition factor', 'Numeric', '0', '0', '8', 'Numeric', '0', '4', '', '', ''),
	('031012', 'B31012', 'Extended delayed descriptor and data repetition factor', 'Numeric', '0', '0', '16', 'Numeric', '0', '4', '', '', ''),
	('031021', 'B31021', 'Associated field significance', 'Code table', '0', '0', '6', 'Code table', '', '', '', '', ''),
	('031031', 'B31031', 'Data present indicator', 'Flag table', '0', '0', '1', 'Flag table', '', '', '', '', ''),
	('033001', 'B33001', 'Reserved', '', '', '', '', '', '', '', '', '', ''),
	('033002', 'B33002', 'Quality information', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('033003', 'B33003', 'Quality information', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('033004', 'B33004', 'Reserved', '', '', '', '', '', '', '', '', '', ''),
	('033005', 'B33005', 'Quality information (AWS data)', 'Flag table', '0', '0', '30', 'Flag table', '0', '10', '', '', ''),
	('033006', 'B33006', 'Internal measurement status information (AWS)', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('033007', 'B33007', 'Per cent confidence', '%', '0', '0', '7', '%', '0', '3', '', '', ''),
	('033015', 'B33015', 'Data quality check indicator', 'Code table', '0', '0', '6', 'Code table', '0', '2', '', '', ''),
	('033020', 'B33020', 'Quality control indication of following value', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('033021', 'B33021', 'Quality of following value', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('033022', 'B33022', 'Quality of buoy satellite transmission', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('033023', 'B33023', 'Quality of buoy location', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('033024', 'B33024', 'Station elevation quality mark (for mobile stations)', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('033025', 'B33025', 'ACARS interpolated values', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('033026', 'B33026', 'Moisture quality', 'Code table', '0', '0', '6', 'Code table', '0', '2', '', '', ''),
	('033027', 'B33027', 'Location quality class (range of radius of 66 % confidence)', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('033030', 'B33030', 'Scan line status flags for ATOVS', 'Flag table', '0', '0', '24', 'Flag table', '0', '8', '', '', ''),
	('033031', 'B33031', 'Scan line quality flags for ATOVS', 'Flag table', '0', '0', '24', 'Flag table', '0', '8', '', '', ''),
	('033032', 'B33032', 'Channel quality flags for ATOVS', 'Flag table', '0', '0', '24', 'Flag table', '0', '8', '', '', ''),
	('033033', 'B33033', 'Field of view quality flags for ATOVS', 'Flag table', '0', '0', '24', 'Flag table', '0', '8', '', '', ''),
	('033035', 'B33035', 'Manual/automatic quality control', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('033036', 'B33036', 'Nominal confidence threshold', '%', '0', '0', '7', '%', '0', '3', '', '', ''),
	('033037', 'B33037', 'Wind correlation error', 'Flag table', '0', '0', '20', 'Flag table', '0', '7', '', '', ''),
	('033038', 'B33038', 'Quality flags for ground-based GNSS data', 'Flag table', '0', '0', '10', 'Flag table', '0', '4', '', '', ''),
	('033039', 'B33039', 'Quality flags for Radio Occultation data', 'Flag table', '0', '0', '16', 'Flag table', '0', '6', '', '', ''),
	('033040', 'B33040', 'Confidence interval', '%', '0', '0', '7', '%', '0', '3', '', '', ''),
	('033041', 'B33041', 'Attribute of following value', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('033042', 'B33042', 'Type of limit represented by following value', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('033043', 'B33043', 'AST confidence', 'Flag table', '0', '0', '8', 'Flag table', '0', '3', '', '', ''),
	('033044', 'B33044', 'ASAR quality information', 'Flag table', '0', '0', '15', 'Flag table', '0', '5', '', '', ''),
	('033045', 'B33045', 'Probability of following event (see Notes 1 and 3)', '%', '0', '0', '7', '%', '0', '3', '', '', ''),
	('033046', 'B33046', 'Conditional probability of following event with respect to specified conditioning event (see Notes 1 2 and 3)', '%', '0', '0', '7', '%', '0', '3', '', '', ''),
	('033047', 'B33047', 'Measurement confidence data', 'Flag table', '0', '0', '31', 'Flag table', '0', '11', '', '', ''),
	('033048', 'B33048', 'Confidence measure of SAR inversion', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('033049', 'B33049', 'Confidence measure of wind retrieval', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('033050', 'B33050', 'Global GTSPP quality flag', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('033052', 'B33052', 'S band ocean retracking quality', 'Flag table', '0', '0', '21', 'Flag table', '0', '7', '', '', ''),
	('033053', 'B33053', 'KU band ocean retracking quality', 'Flag table', '0', '0', '21', 'Flag table', '0', '7', '', '', ''),
	('033060', 'B33060', 'GqisFlagQual - individual IASI-System quality flag', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('033061', 'B33061', 'GqisQualIndex - indicator for instrument noise performance (contributions from spectral and radiometric)', '%', '0', '0', '7', '%', '0', '3', '', '', ''),
	('033062', 'B33062', 'GqisQualIndexLoc - indicator for geometric quality index', '%', '0', '0', '7', '%', '0', '3', '', '', ''),
	('033063', 'B33063', 'GqisQualIndexRad - indicator for instrument noise performance (contributions from radiometric calibration)', '%', '0', '0', '7', '%', '0', '3', '', '', ''),
	('033064', 'B33064', 'GqisQualIndexSpect - indicator for instrument noise performance (contributions from spectral calibration)', '%', '0', '0', '7', '%', '0', '3', '', '', ''),
	('033065', 'B33065', 'GqisSysTecSondQual - output of system TEC (Technical Expertise Centre) quality function', 'Numeric', '0', '0', '24', 'Numeric', '0', '8', '', '', ''),
	('035000', 'B35000', 'FM and regional code number', 'Code table', '0', '0', '10', 'Code table', '0', '3', '', '', ''),
	('035001', 'B35001', 'Time-frame for monitoring', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('035011', 'B35011', 'Number of reports actually received', 'Numeric', '0', '0', '14', 'Numeric', '0', '4', '', '', ''),
	('035021', 'B35021', 'Bulletin being monitored (TTAAii)', 'CCITT IA5', '0', '0', '48', 'Character', '0', '6', '', '', ''),
	('035022', 'B35022', 'Bulletin being monitored (YYGGgg)', 'CCITT IA5', '0', '0', '48', 'Character', '0', '6', '', '', ''),
	('035023', 'B35023', 'Bulletin being monitored (CCCC)', 'CCITT IA5', '0', '0', '32', 'Character', '0', '4', '', '', ''),
	('035024', 'B35024', 'Bulletin being monitored (BBB)', 'CCITT IA5', '0', '0', '24', 'Character', '0', '3', '', '', ''),
	('035030', 'B35030', 'Discrepancies in the availability of expected data', 'Code table', '0', '0', '4', 'Code table', '0', '1', '', '', ''),
	('035031', 'B35031', 'Qualifier on monitoring results', 'Code table', '0', '0', '7', 'Code table', '0', '2', '', '', ''),
	('035032', 'B35032', 'Cause of missing data', 'Code table', '0', '0', '4', 'Code table', '0', '1', '', '', ''),
	('035033', 'B35033', 'Observation and collection deficiencies', 'Code table', '0', '0', '7', 'Code table', '0', '2', '', '', ''),
	('035034', 'B35034', 'Statistical trends for availability of data (during the survey period(s))', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('035035', 'B35035', 'Reason for termination', 'Code table', '0', '0', '5', 'Code table', '0', '2', '', '', ''),
	('040001', 'B40001', 'Surface soil moisture (ms)', '%', '1', '0', '10', '%', '1', '4', '', '', ''),
	('040002', 'B40002', 'Estimated error in surface soil moisture', '%', '1', '0', '10', '%', '1', '4', '', '', ''),
	('040003', 'B40003', 'Mean surface soil moisture ', 'Numeric', '3', '0', '10', 'Numeric', '3', '4', '', '', ''),
	('040004', 'B40004', 'Rain fall detection', 'Numeric', '3', '0', '10', 'Numeric', '3', '4', '', '', ''),
	('040005', 'B40005', 'Soil moisture correction flag', 'Flag table', '0', '0', '8', 'Flag table', '0', '3', '', '', ''),
	('040006', 'B40006', 'Soil moisture processing flag', 'Flag table', '0', '0', '16', 'Flag table', '0', '6', '', '', ''),
	('040007', 'B40007', 'Soil moisture quality', '%', '1', '0', '10', '%', '1', '4', '', '', ''),
	('040008', 'B40008', 'Frozen land surface fraction', '%', '1', '0', '10', '%', '1', '4', '', '', ''),
	('040009', 'B40009', 'Inundation and wetland fraction', '%', '1', '0', '10', '%', '1', '4', '', '', ''),
	('040010', 'B40010', 'Topographic complexity', '%', '1', '0', '10', '%', '1', '4', '', '', ''),
	('099999', 'B99999', 'Notes to Code and Flag Tables', '', '', '', '', '', '', '', '', '', ''),
	('000001', 'B00001', 'Table A: entry', 'CCITT IA5', '0', '0', '24', 'Character', '0', '3', '', '', ''),
	('000002', 'B00002', 'Table A: data category description line 1', 'CCITT IA5', '0', '0', '256', 'Character', '0', '32', '', '', ''),
	('000003', 'B00003', 'Table A: data category description line 2', 'CCITT IA5', '0', '0', '256', 'Character', '0', '32', '', '', ''),
	('000004', 'B00004', 'BUFR/CREX Master table (see Note 2)', 'CCITT IA5', '0', '0', '16', 'Character', '0', '2', '', '', ''),
	('000005', 'B00005', 'BUFR/CREX edition number', 'CCITT IA5', '0', '0', '24', 'Character', '0', '3', '', '', ''),
	('000006', 'B00006', 'BUFR Master table Version number (see Note 3)', 'CCITT IA5', '0', '0', '16', 'Character', '0', '2', '', '', ''),
	('000007', 'B00007', 'CREX Master table Version number (see Note 4)', 'CCITT IA5', '0', '0', '16', 'Character', '0', '2', '', '', ''),
	('000008', 'B00008', 'BUFR Local table version number (see Note 5)', 'CCITT IA5', '0', '0', '16', 'Character', '0', '2', '', '', ''),
	('000010', 'B00010', 'F descriptor to be added or defined', 'CCITT IA5', '0', '0', '8', 'Character', '0', '1', '', '', ''),
	('000011', 'B00011', 'X descriptor to be added or defined', 'CCITT IA5', '0', '0', '16', 'Character', '0', '2', '', '', ''),
	('000012', 'B00012', 'Y descriptor to be added or defined', 'CCITT IA5', '0', '0', '24', 'Character', '0', '3', '', '', ''),
	('000013', 'B00013', 'Element name line 1', 'CCITT IA5', '0', '0', '256', 'Character', '0', '32', '', '', ''),
	('000014', 'B00014', 'Element name line 2', 'CCITT IA5', '0', '0', '256', 'Character', '0', '32', '', '', ''),
	('000015', 'B00015', 'Units name', 'CCITT IA5', '0', '0', '192', 'Character', '0', '24', '', '', ''),
	('000016', 'B00016', 'Units scale sign', 'CCITT IA5', '0', '0', '8', 'Character', '0', '1', '', '', ''),
	('000017', 'B00017', 'Units scale', 'CCITT IA5', '0', '0', '24', 'Character', '0', '3', '', '', ''),
	('000018', 'B00018', 'Units reference sign', 'CCITT IA5', '0', '0', '8', 'Character', '0', '1', '', '', ''),
	('000019', 'B00019', 'Units reference value', 'CCITT IA5', '0', '0', '80', 'Character', '0', '10', '', '', ''),
	('000020', 'B00020', 'Element data width', 'CCITT IA5', '0', '0', '24', 'Character', '0', '3', '', '', ''),
	('000030', 'B00030', 'Descriptor defining sequence', 'CCITT IA5', '0', '0', '48', 'Character', '0', '6', '', '', ''),
	('001001', 'B01001', 'WMO block number', 'Numeric', '0', '0', '7', 'Numeric', '0', '2', '', '', ''),
	('001002', 'B01002', 'WMO station number', 'Numeric', '0', '0', '10', 'Numeric', '0', '3', '', '', ''),
	('001003', 'B01003', 'WMO Region number/geographical area', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('001004', 'B01004', 'WMO Region sub-area (see Note 9)', 'Numeric', '0', '0', '3', 'Numeric', '0', '1', '', '', ''),
	('001005', 'B01005', 'Buoy/platform identifier', 'Numeric', '0', '0', '17', 'Numeric', '0', '5', '', '', ''),
	('001006', 'B01006', 'Aircraft flight number', 'CCITT IA5', '0', '0', '64', 'Character', '0', '8', '', '', ''),
	('001007', 'B01007', 'Satellite identifier', 'Code table', '0', '0', '10', 'Code table', '0', '4', '', '', ''),
	('001008', 'B01008', 'Aircraft registration number or other identification', 'CCITT IA5', '0', '0', '64', 'Character', '0', '8', '', '', ''),
	('001009', 'B01009', 'Type of commercial aircraft', 'CCITT IA5', '0', '0', '64', 'Character', '0', '8', '', '', ''),
	('001010', 'B01010', 'Stationary buoy platform identifier; e.g. C-MAN buoys', 'CCITT IA5', '0', '0', '64', 'Character', '0', '8', '', '', ''),
	('001011', 'B01011', 'Ship or mobile land station identifier', 'CCITT IA5', '0', '0', '72', 'Character', '0', '9', '', '', ''),
	('001012', 'B01012', 'Direction of motion of moving observing platform*', 'Degree true', '0', '0', '9', 'Degree true', '0', '3', '', '', ''),
	('001013', 'B01013', 'Speed of motion of moving observing platform??*', 'm s-1', '0', '0', '10', 'm s-1', '0', '3', '', '', ''),
	('001014', 'B01014', 'Platform drift speed (high precision)', 'm s-1', '2', '0', '10', 'm s-1', '2', '4', '', '', ''),
	('001015', 'B01015', 'Station or site name', 'CCITT IA5', '0', '0', '160', 'Character', '0', '20', '', '', ''),
	('001018', 'B01018', 'Short station or site name', 'CCITT IA5', '0', '0', '40', 'Character', '0', '5', '', '', ''),
	('001019', 'B01019', 'Long Station or site name', 'CCITT IA5', '0', '0', '256', 'Character', '0', '32', '', '', ''),
	('001020', 'B01020', 'WMO Region sub-area', 'Numeric', '0', '0', '4', 'Numeric', '0', '2', '', '', ''),
	('001021', 'B01021', 'Synoptic feature identifier', 'Numeric', '0', '0', '14', 'Numeric', '0', '4', '', '', ''),
	('001022', 'B01022', 'Name of feature (see Note 11)', 'CCITT IA5', '0', '0', '224', 'Character', '0', '28', '', '', ''),
	('001023', 'B01023', 'Observation sequence number ', 'Numeric', '0', '0', '9', 'Numeric', '0', '3', '', '', ''),
	('001025', 'B01025', 'Storm identifier (see Note 1)', 'CCITT IA5', '0', '0', '24', 'Character', '0', '3', '', '', ''),
	('001026', 'B01026', 'WMO storm name*', 'CCITT IA5', '0', '0', '64', 'Character', '0', '8', '', '', ''),
	('001027', 'B01027', 'WMO long storm name*', 'CCITT IA5', '0', '0', '80', 'Character', '0', '10', '', '', ''),
	('001030', 'B01030', 'Numerical model identifier (see Note 13)', 'CCITT IA5', '0', '0', '128', 'Character', '0', '16', '', '', ''),
	('001031', 'B01031', 'Identification of originating/generating centre (see Note 10)', 'Code table', '0', '0', '16', 'Code table', '0', '5', '', '', ''),
	('001032', 'B01032', 'Generating application', 'Code table defined by originating/generating centre (Notes 3 4 and 5)', '0', '0', '8', 'Code table', '0', '3', '', '', ''),
	('001033', 'B01033', 'Identification of originating/generating centre', 'Code table', '0', '0', '8', 'Code table', '0', '3', '', '', ''),
	('001034', 'B01034', 'Identification of originating/generating sub-centre', 'Code table', '0', '0', '8', 'Code table', '0', '3', '', '', ''),
	('001035', 'B01035', 'Originating Centre', 'Common Code Table C-11', '0', '0', '16', 'Common Code Table C-11', '0', '5', '', '', ''),
	('001036', 'B01036', 'Agency in charge of operating the Observing platform', 'Code table', '0', '0', '20', 'Code table', '0', '7', '', '', ''),
	('001037', 'B01037', 'SIGMET sequence identifier', 'CCITT IA5', '0', '0', '24', 'Character', '0', '3', '', '', ''),
	('001041', 'B01041', 'Absolute platform velocity – first component (see Note 6)', 'm s-1', '5', '-1073741824', '31', 'm s-1', '5', '10', '', '', ''),
	('001042', 'B01042', 'Absolute platform velocity – second component  (see Note 6)', 'm s-1', '5', '-1073741824', '31', 'm s-1', '5', '10', '', '', ''),
	('001043', 'B01043', 'Absolute platform velocity – third component  (see Note 6)', 'm s-1', '5', '-1073741824', '31', 'm s-1', '5', '10', '', '', ''),
	('001050', 'B01050', 'Platform transmitter ID number', 'Numeric', '0', '0', '17', 'Numeric', '0', '6', '', '', ''),
	('001051', 'B01051', 'Platform transmitter ID number', 'CCITT IA5', '0', '0', '96', 'Character', '0', '12', '', '', ''),
	('001060', 'B01060', 'Aircraft reporting point (Beacon identifier)', 'CCITT IA5', '0', '0', '64', 'Character', '0', '8', '', '', ''),
	('001062', 'B01062', 'Short ICAO location indicator', 'CCITT IA5', '0', '0', '32', 'Character', '0', '4', '', '', ''),
	('001063', 'B01063', 'ICAO location indicator', 'CCITT IA5', '0', '0', '64', 'Character', '0', '8', '', '', ''),
	('001064', 'B01064', 'Runway designator', 'CCITT IA5', '0', '0', '32', 'Character', '0', '4', '', '', ''),
	('001065', 'B01065', 'ICAO region identifier', 'CCITT IA5', '0', '0', '256', 'Character', '0', '32', '', '', ''),
	('001075', 'B01075', 'Tide station identification', 'CCITT IA5', '0', '0', '40', 'Character', '0', '5', '', '', ''),
	('001080', 'B01080', 'Ship line number according to SOOP', 'CCITT IA5', '0', '0', '32', 'Character', '0', '4', '', '', ''),
	('001081', 'B01081', 'Radiosonde serial number ', 'CCITT IA5', '0', '0', '160', 'Character', '0', '20', '', '', ''),
	('001082', 'B01082', 'Radiosonde ascension number (see Note 12)', 'Numeric', '0', '0', '14', 'Numeric', '0', '4', '', '', ''),
	('001083', 'B01083', 'Radiosonde release number (see Note 12)', 'Numeric', '0', '0', '3', 'Numeric', '0', '1', '', '', ''),
	('001085', 'B01085', 'Observing platform manufacturer\'s model', 'CCITT IA5', '0', '0', '160', 'Character', '0', '20', '', '', ''),
	('001086', 'B01086', 'Observing platform manufacturer\'s serial number', 'CCITT IA5', '0', '0', '256', 'Character', '0', '32', '', '', ''),
	('001087', 'B01087', 'WMO Marine observing platform extended identifier', 'Numeric', '0', '0', '23', 'Numeric', '0', '7', '', '', ''),
	('001090', 'B01090', 'Technique for making up initial perturbations', 'Code table', '0', '0', '8', 'Code table', '0', '3', '', '', ''),
	('001091', 'B01091', 'Ensemble member number ', 'Numeric', '0', '0', '10', 'Numeric', '0', '4', '', '', ''),
	('001092', 'B01092', 'Type of ensemble forecast', 'Code table', '0', '0', '8', 'Code table', '0', '3', '', '', ''),
	('001093', 'B01093', 'Balloon lot number', 'CCITT IA5', '0', '0', '96', 'Character', '0', '12', '', '', ''),
	('001094', 'B01094', 'WBAN Number', 'Numeric', '0', '0', '17', 'Numeric', '0', '5', '', '', ''),
	('001095', 'B01095', 'Observer identification', 'CCITT IA5', '0', '0', '32', 'Character', '0', '4', '', '', ''),
	('001096', 'B01096', 'Station acquisition ', 'CCITT IA5', '0', '0', '160', 'Character', '0', '20', '', '', ''),
	('002001', 'B02001', 'Type of station', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('002002', 'B02002', 'Type of instrumentation for wind measurement', 'Flag table', '0', '0', '4', 'Flag table', '0', '2', '', '', ''),
	('002003', 'B02003', 'Type of measuring equipment used', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002004', 'B02004', 'Type of instrumentation for evaporation measurement or type of crop for which evapotranspiration is reported', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002005', 'B02005', 'Precision of temperature observation', 'K', '2', '0', '7', 'K', '2', '3', '', '', ''),
	('002011', 'B02011', 'Radiosonde type', 'Code table', '0', '0', '8', 'Code table', '0', '3', '', '', ''),
	('002012', 'B02012', 'Radiosonde computational method', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002013', 'B02013', 'Solar and infrared radiation correction', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002014', 'B02014', 'Tracking technique/status of system used', 'Code table', '0', '0', '7', 'Code table', '0', '3', '', '', ''),
	('002015', 'B02015', 'Radiosonde completeness', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002016', 'B02016', 'Radiosonde configuration', 'Flag table', '0', '0', '5', 'Flag table', '0', '2', '', '', ''),
	('002019', 'B02019', 'Satellite instruments', 'Code table', '0', '0', '11', 'Code table', '0', '4', '', '', ''),
	('002020', 'B02020', 'Satellite classification', 'Code table', '0', '0', '9', 'Code table', '0', '3', '', '', ''),
	('002021', 'B02021', 'Satellite instrument data used in processing*', 'Flag table', '0', '0', '9', 'Flag table', '0', '3', '', '', ''),
	('002022', 'B02022', 'Satellite data-processing technique used', 'Flag table', '0', '0', '8', 'Flag table', '0', '3', '', '', ''),
	('002023', 'B02023', 'Satellite derived wind computation method', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002024', 'B02024', 'Integrated mean humidity computational method', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002025', 'B02025', 'Satellite channel(s) used in computation', 'Flag table', '0', '0', '25', 'Flag table', '0', '9', '', '', ''),
	('002026', 'B02026', 'Cross track resolution', 'm', '2', '0', '12', 'm', '2', '4', '', '', ''),
	('002027', 'B02027', 'Along track resolution', 'm', '2', '0', '12', 'm', '2', '4', '', '', ''),
	('002028', 'B02028', 'Segment size at nadir in X direction', 'm', '0', '0', '18', 'm', '0', '6', '', '', ''),
	('002029', 'B02029', 'Segment size at nadir in Y direction', 'm', '0', '0', '18', 'm', '0', '6', '', '', ''),
	('002030', 'B02030', 'Method of current measurement', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('002031', 'B02031', 'Duration and time of current measurement', 'Code table', '0', '0', '5', 'Code table', '0', '2', '', '', ''),
	('002032', 'B02032', 'Indicator for digitization', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('002033', 'B02033', 'Method of salinity/depth measurement', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('002034', 'B02034', 'Drogue type', 'Code table', '0', '0', '5', 'Code table', '0', '2', '', '', ''),
	('002035', 'B02035', 'Cable length', 'm', '0', '0', '9', 'm', '0', '3', '', '', ''),
	('002036', 'B02036', 'Buoy type', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('002037', 'B02037', 'Method of tidal observation', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('002038', 'B02038', 'Method of water temperature and/or salinity measurement', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002039', 'B02039', 'Method of wet-bulb temperature measurement', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('002040', 'B02040', 'Method of removing velocity and motion of platform from current', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002041', 'B02041', 'Method for estimating reports related to synoptic features', 'Code table', '0', '0', '6', 'Code table', '0', '2', '', '', ''),
	('002042', 'B02042', 'Indicator for sea surface current speed', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('002044', 'B02044', 'Indicator for method of calculating spectral wave data', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002045', 'B02045', 'Indicator for type of platform', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002046', 'B02046', 'Wave measurement instrumentation', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002048', 'B02048', 'Satellite sensor indicator', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002049', 'B02049', 'Geostationary satellite data-processing technique used', 'Flag table', '0', '0', '8', 'Flag table', '0', '3', '', '', ''),
	('002050', 'B02050', 'Geostationary sounder satellite channels used', 'Flag table', '0', '0', '20', 'Flag table', '0', '7', '', '', ''),
	('002051', 'B02051', 'Indicator to specify observing method for extreme temperatures', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002052', 'B02052', 'Geostationary imager satellite channels used', 'Flag table', '0', '0', '6', 'Flag table', '0', '2', '', '', ''),
	('002053', 'B02053', 'GOES-I/M brightness temperature characteristics', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002054', 'B02054', 'GOES-I/M soundings parameter characteristics', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002055', 'B02055', 'Geostationary soundings statistical parameters', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002056', 'B02056', 'Geostationary soundings accuracy statistics', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002057', 'B02057', 'Origin of first guess information for GOES-I/M soundings', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002058', 'B02058', 'Valid times of first guess information for GOES-I/M soundings', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002059', 'B02059', 'Origin of analysis information for GOES-I/M soundings', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002060', 'B02060', 'Origin of surface information for GOES-I/M soundings', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002061', 'B02061', 'Aircraft navigational system', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('002062', 'B02062', 'Type of aircraft data relay system', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002063', 'B02063', 'Aircraft roll angle', 'Degree', '2', '-18000', '16', 'Degree', '2', '5', '', '', ''),
	('002064', 'B02064', 'Aircraft roll angle quality', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('002065', 'B02065', 'ACARS ground receiving station', 'CCITT IA5', '0', '0', '40', 'Character', '0', '5', '', '', ''),
	('002066', 'B02066', 'Radiosonde ground receiving system', 'Code table', '0', '0', '6', 'Code table', '0', '2', '', '', ''),
	('002067', 'B02067', 'Radiosonde operating frequency', 'Hz', '-5', '0', '15', 'Hz', '-5', '5', '', '', ''),
	('002070', 'B02070', 'Original specification of latitude/longitude', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002080', 'B02080', 'Balloon manufacturer', 'Code table', '0', '0', '6', 'Code table', '0', '2', '', '', ''),
	('002081', 'B02081', 'Type of balloon', 'Code table', '0', '0', '5', 'Code table', '0', '2', '', '', ''),
	('002082', 'B02082', 'Weight of balloon', 'kg', '3', '0', '12', 'kg', '3', '4', '', '', ''),
	('002083', 'B02083', 'Type of balloon shelter', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002084', 'B02084', 'Type of gas used in balloon', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002085', 'B02085', 'Amount of gas used in balloon', 'kg', '3', '0', '13', 'kg', '3', '4', '', '', ''),
	('002086', 'B02086', 'Balloon flight train length', 'm', '1', '0', '10', 'm', '1', '4', '', '', ''),
	('002091', 'B02091', 'Entry sensor 4/20 mA', 'A', '4', '0', '10', 'A', '4', '3', '', '', ''),
	('002095', 'B02095', 'Type of pressure sensor', 'Code table', '0', '0', '5', 'Code table', '0', '2', '', '', ''),
	('002096', 'B02096', 'Type of temperature sensor', 'Code table', '0', '0', '5', 'Code table', '0', '2', '', '', ''),
	('002097', 'B02097', 'Type of humidity sensor', 'Code table', '0', '0', '5', 'Code table', '0', '2', '', '', ''),
	('002100', 'B02100', 'Radar constant*', 'dB', '1', '0', '12', 'dB', '1', '4', '', '', ''),
	('002101', 'B02101', 'Type of antenna', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002102', 'B02102', 'Antenna height above tower base', 'm', '0', '0', '8', 'm', '0', '3', '', '', ''),
	('002103', 'B02103', 'Radome', 'Flag table', '0', '0', '2', 'Flag table', '0', '1', '', '', ''),
	('002104', 'B02104', 'Antenna polarisation', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002105', 'B02105', 'Maximum antenna gain', 'dB', '0', '0', '6', 'dB', '0', '2', '', '', ''),
	('002106', 'B02106', '3-dB beamwidth', 'Degree', '1', '0', '6', 'Degree', '1', '2', '', '', ''),
	('002107', 'B02107', 'Sidelobe suppression', 'dB', '0', '0', '6', 'dB', '0', '2', '', '', ''),
	('002108', 'B02108', 'Crosspol discrimination (on axis)', 'dB', '0', '0', '6', 'dB', '0', '2', '', '', ''),
	('002109', 'B02109', 'Antenna speed (azimuth)', 'Degree s-1', '2', '0', '12', 'Degree s-1', '2', '4', '', '', ''),
	('002110', 'B02110', 'Antenna speed (elevation)', 'Degree s-1', '2', '0', '12', 'Degree s-1', '2', '4', '', '', ''),
	('002111', 'B02111', 'Radar incidence angle', 'Degree', '1', '0', '10', 'Degree', '1', '4', '', '', ''),
	('002112', 'B02112', 'Radar look angle', 'Degree', '1', '0', '12', 'Degree', '1', '4', '', '', ''),
	('002113', 'B02113', 'Number of azimuth looks', 'Numeric', '0', '0', '4', 'Numeric', '0', '2', '', '', ''),
	('002114', 'B02114', 'Antenna effective surface area', 'm2', '0', '0', '15', 'm2', '0', '5', '', '', ''),
	('002115', 'B02115', 'Type of surface observing equipment', 'Code table', '0', '0', '5', 'Code table', '0', '2', '', '', ''),
	('002116', 'B02116', 'Percentage of 320 MHz band processed', '%', '0', '0', '7', '%', '0', '3', '', '', ''),
	('002117', 'B02117', 'Percentage of 80 MHz band processed', '%', '0', '0', '7', '%', '0', '3', '', '', ''),
	('002118', 'B02118', 'Percentage of 20 MHz band processed', '%', '0', '0', '7', '%', '0', '3', '', '', ''),
	('002119', 'B02119', 'RA-2 instrument operations', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('002120', 'B02120', 'Ocean wave frequency', 'Hz', '3', '0', '10', 'Hz', '3', '4', '', '', ''),
	('002121', 'B02121', 'Mean frequency', 'Hz', '-8', '0', '7', 'Hz', '-8', '3', '', '', ''),
	('002122', 'B02122', 'Frequency agility range', 'Hz', '-6', '-128', '8', 'Hz', '-6', '3', '', '', ''),
	('002123', 'B02123', 'Peak power', 'W', '-4', '0', '7', 'W', '-4', '3', '', '', ''),
	('002124', 'B02124', 'Average power', 'W', '-1', '0', '7', 'W', '-1', '3', '', '', ''),
	('002125', 'B02125', 'Pulse repetition frequency', 'Hz', '-1', '0', '8', 'Hz', '-1', '3', '', '', ''),
	('002126', 'B02126', 'Pulse width', 's', '7', '0', '6', 's', '7', '2', '', '', ''),
	('002127', 'B02127', 'Receiver intermediate frequency', 'Hz', '-6', '0', '7', 'Hz', '-6', '3', '', '', ''),
	('002128', 'B02128', 'Intermediate frequency bandwidth', 'Hz', '-5', '0', '6', 'Hz', '-5', '2', '', '', ''),
	('002129', 'B02129', 'Minimum detectable signal', 'dB', '0', '-150', '5', 'dB', '0', '3', '', '', ''),
	('002130', 'B02130', 'Dynamic range', 'dB', '0', '0', '7', 'dB', '0', '3', '', '', ''),
	('002131', 'B02131', 'Sensitivity time control (STC)', 'Flag table', '0', '0', '2', 'Flag table', '0', '1', '', '', ''),
	('002132', 'B02132', 'Azimuth pointing accuracy', 'Degree', '2', '0', '6', 'Degree', '2', '2', '', '', ''),
	('002133', 'B02133', 'Elevation pointing accuracy', 'Degree', '2', '0', '6', 'Degree', '2', '2', '', '', ''),
	('002134', 'B02134', 'Antenna beam azimuth', 'Degree', '2', '0', '16', 'Degree', '2', '5', '', '', ''),
	('002135', 'B02135', 'Antenna elevation', 'Degree', '2', '-9000', '15', 'Degree', '2', '5', '', '', ''),
	('002136', 'B02136', 'Range processed by range attenuation correction', 'm', '-3', '0', '16', 'm', '-3', '5', '', '', ''),
	('002140', 'B02140', 'Satellite radar beam azimuth angle', 'Degree', '0', '0', '9', 'Degree', '0', '3', '', '', ''),
	('002141', 'B02141', 'Measurement type', 'CCITT IA5', '0', '0', '24', 'Character', '0', '3', '', '', ''),
	('002142', 'B02142', 'Ozone instrument serial number/ identification', 'CCITT IA5', '0', '0', '32', 'Character', '0', '4', '', '', ''),
	('002143', 'B02143', 'Ozone instrument type', 'Code table', '0', '0', '7', 'Code table', '0', '3', '', '', ''),
	('002144', 'B02144', 'Light source type for Brewer spectro photometer', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002145', 'B02145', 'Wave length setting for Dobson instruments', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002146', 'B02146', 'Source conditions for Dobson instruments', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002148', 'B02148', 'Data collection and/or location system', 'Code table', '0', '0', '5', 'Code table', '0', '2', '', '', ''),
	('002149', 'B02149', 'Type of data buoy', 'Code table', '0', '0', '6', 'Code table', '0', '2', '', '', ''),
	('002150', 'B02150', 'TOVS/ATOVS/AVHRR instrumentation channel number', 'Code table', '0', '0', '6', 'Code table', '0', '2', '', '', ''),
	('002151', 'B02151', 'Radiometer identifier', 'Code table', '0', '0', '11', 'Code table', '0', '4', '', '', ''),
	('002152', 'B02152', 'Satellite instrument used in data processing (see Note 6)', 'Flag table', '0', '0', '31', 'Flag table', '0', '10', '', '', ''),
	('002153', 'B02153', 'Satellite channel centre frequency', 'Hz', '-8', '0', '26', 'Hz', '-8', '8', '', '', ''),
	('002154', 'B02154', 'Satellite channel band width', 'Hz', '-8', '0', '26', 'Hz', '-8', '8', '', '', ''),
	('002156', 'B02156', 'Percentage of valid KU ocean retracker measurements', '%', '0', '0', '7', '%', '0', '3', '', '', ''),
	('002157', 'B02157', 'Percentage of valid S ocean retracker measurements', '%', '0', '0', '7', '%', '0', '3', '', '', ''),
	('002158', 'B02158', 'RA-2 instrument', 'Flag table', '0', '0', '9', 'Flag table', '0', '3', '', '', ''),
	('002159', 'B02159', 'MWR instrument', 'Flag table', '0', '0', '8', 'Flag table', '0', '3', '', '', ''),
	('002160', 'B02160', 'Wave length of the radar', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002163', 'B02163', 'Height assignment method', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002164', 'B02164', 'Tracer correlation method', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('002166', 'B02166', 'Radiance type', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002167', 'B02167', 'Radiance computational method', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002168', 'B02168', 'Hydrostatic pressure of lower end of cable (thermistor string)', 'Pa', '-3', '0', '16', 'kPa', '-3', '5', '', '', ''),
	('002169', 'B02169', 'Anemometer type', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002172', 'B02172', 'Product type for retrieved atmospheric gases', 'Code table', '0', '0', '8', 'Code table', '0', '3', '', '', ''),
	('002173', 'B02173', 'Square of the off nadir angle (see Note 7)', 'Degree2', '4', '0', '10', 'Degree2', '4', '4', '', '', ''),
	('002174', 'B02174', 'Mean across track pixel number ', 'Numeric', '0', '0', '9', 'Numeric', '0', '3', '', '', ''),
	('002175', 'B02175', 'Method of precipitation measurement ', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002176', 'B02176', 'Method of state of ground measurement ', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002177', 'B02177', 'Method of snow depth measurement ', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002178', 'B02178', 'Method of liquid content measurement of precipitation', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002179', 'B02179', 'Type of sky condition algorithm ', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002180', 'B02180', 'Main present weather detecting system ', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002181', 'B02181', 'Supplementary present weather sensor', 'Flag table', '0', '0', '21', 'Flag table', '0', '7', '', '', ''),
	('002182', 'B02182', 'Visibility measurement system ', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002183', 'B02183', 'Cloud detection system', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002184', 'B02184', 'Type of lightning detection sensor', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002185', 'B02185', 'Method of evaporation measurement', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('002186', 'B02186', 'Capability to detect precipitation phenomena', 'Flag table', '0', '0', '30', 'Flag table', '0', '10', '', '', ''),
	('002187', 'B02187', 'Capability to detect other weather phenomena', 'Flag table', '0', '0', '18', 'Flag table', '0', '6', '', '', ''),
	('002188', 'B02188', 'Capability to detect obscuration', 'Flag table', '0', '0', '21', 'Flag table', '0', '7', '', '', ''),
	('002189', 'B02189', 'Capability to discriminate lightning strikes', 'Flag table', '0', '0', '12', 'Flag table', '0', '4', '', '', ''),
	('002190', 'B02190', 'Lagrangian drifter submergence (% time submerged)', '%', '0', '0', '7', '%', '0', '3', '', '', ''),
	('004001', 'B04001', 'Year', 'Year', '0', '0', '12', 'Year', '0', '4', '', '', ''),
	('004002', 'B04002', 'Month', 'Month', '0', '0', '4', 'Month', '0', '2', '', '', ''),
	('004003', 'B04003', 'Day', 'Day', '0', '0', '6', 'Day', '0', '2', '', '', ''),
	('004004', 'B04004', 'Hour', 'Hour', '0', '0', '5', 'Hour', '0', '2', '', '', ''),
	('004005', 'B04005', 'Minute', 'Minute', '0', '0', '6', 'Minute', '0', '2', '', '', ''),
	('004006', 'B04006', 'Second', 'Second', '0', '0', '6', 'Second', '0', '2', '', '', ''),
	('004007', 'B04007', 'Seconds within a minute (microsecond accuracy)', 'Second', '6', '0', '26', 'Second', '6', '8', '', '', ''),
	('004011', 'B04011', 'Time increment', 'Year', '0', '-1024', '11', 'Year', '0', '4', '', '', ''),
	('004012', 'B04012', 'Time increment', 'Month', '0', '-1024', '11', 'Month', '0', '4', '', '', ''),
	('004013', 'B04013', 'Time increment', 'Day', '0', '-1024', '11', 'Day', '0', '4', '', '', ''),
	('004014', 'B04014', 'Time increment', 'Hour', '0', '-1024', '11', 'Hour', '0', '4', '', '', ''),
	('004015', 'B04015', 'Time increment', 'Minute', '0', '-2048', '12', 'Minute', '0', '4', '', '', ''),
	('004016', 'B04016', 'Time increment', 'Second', '0', '-4096', '13', 'Second', '0', '4', '', '', ''),
	('004017', 'B04017', 'Reference time period for accumulated or extreme data', 'Minute', '0', '-1440', '12', 'Minute', '0', '4', '', '', ''),
	('004021', 'B04021', 'Time period or displacement', 'Year', '0', '-1024', '11', 'Year', '0', '4', '', '', ''),
	('004022', 'B04022', 'Time period or displacement', 'Month', '0', '-1024', '11', 'Month', '0', '4', '', '', ''),
	('004023', 'B04023', 'Time period or displacement', 'Day', '0', '-1024', '11', 'Day', '0', '4', '', '', ''),
	('004024', 'B04024', 'Time period or displacement', 'Hour', '0', '-2048', '12', 'Hour', '0', '4', '', '', ''),
	('004025', 'B04025', 'Time period or displacement', 'Minute', '0', '-2048', '12', 'Minute', '0', '4', '', '', ''),
	('004026', 'B04026', 'Time period or displacement', 'Second', '0', '-4096', '13', 'Second', '0', '4', '', '', ''),
	('004031', 'B04031', 'Duration of time relating to following value', 'Hour', '0', '0', '8', 'Hour', '0', '3', '', '', ''),
	('004032', 'B04032', 'Duration of time relating to following value', 'Minute', '0', '0', '6', 'Minute', '0', '2', '', '', ''),
	('004041', 'B04041', 'Time difference UTC –LMT (see Note 6)', 'Minute', '0', '-1440', '12', 'Minute', '0', '4', '', '', ''),
	('004043', 'B04043', 'Day of the year', 'Day', '0', '0', '9', 'Day', '0', '3', '', '', ''),
	('004051', 'B04051', 'Principal time of daily reading of maximum temperature', 'Hour', '0', '0', '5', 'Hour ', '0', '2', '', '', ''),
	('004052', 'B04052', 'Principal time of daily reading of minimum temperature', 'Hour', '0', '0', '5', 'Hour ', '0', '2', '', '', ''),
	('004053', 'B04053', 'Number of days with precipitation equal to or more than 1 mm', 'Numeric', '0', '0', '6', 'Numeric', '0', '2', '', '', ''),
	('004059', 'B04059', 'Times of observation used to compute the reported mean values', 'Flag table', '0', '0', '6', 'Flag table', '0', '2', '', '', ''),
	('004065', 'B04065', 'Short time increment', 'Minute', '0', '-128', '8', 'Minute', '0', '2', '', '', ''),
	('004073', 'B04073', 'Short time period or displacement', 'Day', '0', '-128', '8', 'Day', '0', '2', '', '', ''),
	('004074', 'B04074', 'Short time period or displacement', 'Hour', '0', '-128', '8', 'Hour', '0', '2', '', '', ''),
	('004075', 'B04075', 'Short time period or displacement', 'Minute', '0', '-128', '8', 'Minute', '0', '2', '', '', ''),
	('004080', 'B04080', 'Averaging period for following value', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('004086', 'B04086', 'Long time period or displacement', 'Second', '0', '-8192', '15', 'Second', '0', '5', '', '', ''),
	('005001', 'B05001', 'Latitude (high accuracy)', 'Degree', '5', '-9000000', '25', 'Degree', '5', '7', '', '', ''),
	('005002', 'B05002', 'Latitude (coarse accuracy)', 'Degree', '2', '-9000', '15', 'Degree', '2', '4', '', '', ''),
	('005011', 'B05011', 'Latitude increment (high accuracy)', 'Degree', '5', '-9000000', '25', 'Degree', '5', '7', '', '', ''),
	('005012', 'B05012', 'Latitude increment (coarse accuracy)', 'Degree', '2', '-9000', '15', 'Degree', '2', '4', '', '', ''),
	('005015', 'B05015', 'Latitude displacement (high accuracy)', 'Degree', '5', '-9000000', '25', 'Degree', '5', '7', '', '', ''),
	('005016', 'B05016', 'Latitude displacement (coarse accuracy)', 'Degree', '2', '-9000', '15', 'Degree', '2', '4', '', '', ''),
	('005021', 'B05021', 'Bearing or azimuth', 'Degree true', '2', '0', '16', 'Degree true', '2', '5', '', '', ''),
	('005022', 'B05022', 'Solar azimuth', 'Degree true', '2', '0', '16', 'Degree true', '2', '5', '', '', ''),
	('005023', 'B05023', 'Sun to satellite azimuth difference', 'Degree', '1', '-1800', '12', 'Degree', '1', '4', '', '', ''),
	('005030', 'B05030', 'Direction (spectral)', 'Degree', '0', '0', '12', 'Degree', '0', '4', '', '', ''),
	('005031', 'B05031', 'Row number', 'Numeric', '0', '0', '12', 'Numeric', '0', '4', '', '', ''),
	('005033', 'B05033', 'Pixel size on horizontal – 1', 'm', '-1', '0', '16', 'm', '-1', '5', '', '', ''),
	('005034', 'B05034', 'Along track row number', 'Numeric', '0', '0', '11', 'Numeric', '0', '4', '', '', ''),
	('005036', 'B05036', 'Ship transect number according to SOOP', 'Numeric', '0', '0', '7', 'Numeric', '0', '2', '', '', ''),
	('005040', 'B05040', 'Orbit number', 'Numeric', '0', '0', '24', 'Numeric', '0', '8', '', '', ''),
	('005041', 'B05041', 'Scan line number', 'Numeric', '0', '0', '8', 'Numeric', '0', '3', '', '', ''),
	('005042', 'B05042', 'Channel number', 'Numeric', '0', '0', '6', 'Numeric', '0', '2', '', '', ''),
	('005043', 'B05043', 'Field of view number', 'Numeric', '0', '0', '8', 'Numeric', '0', '3', '', '', ''),
	('005044', 'B05044', 'Satellite cycle number', 'Numeric', '0', '0', '11', 'Numeric', '0', '4', '', '', ''),
	('005052', 'B05052', 'Channel number increment', 'Numeric', '0', '0', '5', 'Numeric', '0', '2', '', '', ''),
	('005053', 'B05053', 'Field of view number increment', 'Numeric', '0', '0', '5', 'Numeric', '0', '2', '', '', ''),
	('005060', 'B05060', 'Y angular position from centre of gravity', 'Degree', '6', '-8000000', '24', 'Degree', '6', '8', '', '', ''),
	('005061', 'B05061', 'Z angular position from centre of gravity', 'Degree', '6', '-8000000', '24', 'Degree', '6', '8', '', '', ''),
	('006001', 'B06001', 'Longitude (high accuracy)', 'Degree', '5', '-18000000', '26', 'Degree', '5', '8', '', '', ''),
	('006002', 'B06002', 'Longitude (coarse accuracy)', 'Degree', '2', '-18000', '16', 'Degree', '2', '5', '', '', ''),
	('006011', 'B06011', 'Longitude increment (high accuracy)', 'Degree', '5', '-18000000', '26', 'Degree', '5', '8', '', '', ''),
	('006012', 'B06012', 'Longitude increment (coarse accuracy)', 'Degree', '2', '-18000', '16', 'Degree', '2', '5', '', '', ''),
	('006015', 'B06015', 'Longitude displacement (high accuracy)', 'Degree', '5', '-18000000', '26', 'Degree', '5', '8', '', '', ''),
	('006016', 'B06016', 'Longitude displacement (coarse accuracy)', 'Degree', '2', '-18000', '16', 'Degree', '2', '5', '', '', ''),
	('006021', 'B06021', 'Distance', 'm', '-1', '0', '13', 'm', '-1', '4', '', '', ''),
	('006030', 'B06030', 'Wave number (spectral)', 'rad m-1', '5', '0', '13', 'rad m-1', '5', '4', '', '', ''),
	('006031', 'B06031', 'Column number', 'Numeric', '0', '0', '12', 'Numeric', '0', '4', '', '', ''),
	('006033', 'B06033', 'Pixel size on horizontal – 2', 'm', '-1', '0', '16', 'm', '-1', '5', '', '', ''),
	('006034', 'B06034', 'Cross-track cell number', 'Numeric', '0', '0', '7', 'Numeric', '0', '3', '', '', ''),
	('006040', 'B06040', 'Radius of confidence', 'm', '0', '0', '13', 'm', '0', '4', '', '', ''),
	('007001', 'B07001', 'Height of station (see Note 1)', 'm', '0', '-400', '15', 'm', '0', '5', '', '', ''),
	('007002', 'B07002', 'Height or altitude', 'm', '-1', '-40', '16', 'm', '-1', '5', '', '', ''),
	('007003', 'B07003', 'Geopotential', 'm2 s-2', '-1', '-400', '17', 'm2 s-2', '-1', '6', '', '', ''),
	('007004', 'B07004', 'Pressure', 'Pa', '-1', '0', '14', 'Pa', '-1', '5', '', '', ''),
	('007005', 'B07005', 'Height increment', 'm', '0', '-400', '12', 'm', '0', '4', '', '', ''),
	('007006', 'B07006', 'Height above station', 'm', '0', '0', '15', 'm', '0', '5', '', '', ''),
	('007007', 'B07007', 'Height', 'm', '0', '-1000', '17', 'm', '0', '6', '', '', ''),
	('007008', 'B07008', 'Geopotential', 'm2 s-2', '0', '-10000', '20', 'm2 s-2', '0', '7', '', '', ''),
	('007009', 'B07009', 'Geopotential height', 'gpm', '0', '-1000', '17', 'gpm', '0', '5', '', '', ''),
	('007010', 'B07010', 'Flight level', 'm', '0', '-1024', '16', 'ft', '0', '5', '', '', ''),
	('007021', 'B07021', 'Elevation (see Note 2)', 'Degree', '2', '-9000', '15', 'Degree', '2', '5', '', '', ''),
	('007022', 'B07022', 'Solar elevation', 'Degree', '2', '-9000', '15', 'Degree', '2', '5', '', '', ''),
	('007024', 'B07024', 'Satellite zenith angle', 'Degree', '2', '-9000', '15', 'Degree', '2', '5', '', '', ''),
	('007025', 'B07025', 'Solar zenith angle', 'Degree', '2', '-9000', '15', 'Degree', '2', '5', '', '', ''),
	('007026', 'B07026', 'Satellite zenith angle', 'Degree', '4', '-900000', '21', 'Degree', '4', '7', '', '', ''),
	('007030', 'B07030', 'Height of station ground above mean sea level (see Note 3)', 'm', '1', '-4000', '17', 'm', '1', '5', '', '', ''),
	('007031', 'B07031', 'Height of barometer above mean sea level (see Note 4)', 'm', '1', '-4000', '17', 'm', '1', '5', '', '', ''),
	('007032', 'B07032', 'Height of sensor above local ground (or deck of marine platform) (see Note 5)', 'm', '2', '0', '16', 'm', '2', '5', '', '', ''),
	('007033', 'B07033', 'Height of sensor above water surface (see Note 6)', 'm', '1', '0', '12', 'm', '1', '4', '', '', ''),
	('007040', 'B07040', 'Impact parameter (see Note 8)', 'm', '1', '62000000', '22', 'm', '1', '8', '', '', ''),
	('007061', 'B07061', 'Depth below land surface', 'm', '2', '0', '14', 'm', '2', '5', '', '', ''),
	('007062', 'B07062', 'Depth below sea/water surface', 'm', '1', '0', '17', 'm', '1', '6', '', '', ''),
	('007063', 'B07063', 'Depth below sea/water surface (cm)', 'm', '2', '0', '20', 'm', '2', '7', '', '', ''),
	('007064', 'B07064', 'Representative height of sensor above station (see Note 7)', 'm', '0', '0', '4', 'm', '0', '2', '', '', ''),
	('007065', 'B07065', 'Water pressure', 'Pa', '-3', '0', '17', 'Pa', '-3', '6', '', '', ''),
	('007070', 'B07070', 'Drogue depth', 'm', '0', '0', '10', 'm', '0', '4', '', '', ''),
	('008001', 'B08001', 'Vertical sounding significance', 'Flag table', '0', '0', '7', 'Flag table', '0', '3', '', '', ''),
	('008002', 'B08002', 'Vertical significance (surface observations)', 'Code table', '0', '0', '6', 'Code table', '0', '2', '', '', ''),
	('008003', 'B08003', 'Vertical significance (satellite observations)', 'Code table', '0', '0', '6', 'Code table', '0', '2', '', '', ''),
	('008004', 'B08004', 'Phase of aircraft flight', 'Code table', '0', '0', '3', 'Code table ', '0', '1', '', '', ''),
	('008005', 'B08005', 'Meteorological attribute significance', 'Code table', '0', '0', '4', 'Code table ', '0', '2', '', '', ''),
	('008006', 'B08006', 'Ozone vertical sounding significance', 'Flag table', '0', '0', '9', 'Flag table ', '0', '3', '', '', ''),
	('008007', 'B08007', 'Dimensional significance', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('008008', 'B08008', 'Radiation vertical sounding significance', 'Flag table', '0', '0', '9', 'Flag table ', '0', '3', '', '', ''),
	('008009', 'B08009', 'Detailed phase of flight', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('008010', 'B08010', 'Surface qualifier (temperature data)', 'Code table', '0', '0', '5', 'Code table', '0', '2', '', '', ''),
	('008011', 'B08011', 'Meteorological feature', 'Code table', '0', '0', '6', 'Code table ', '0', '2', '', '', ''),
	('008012', 'B08012', 'Land/sea qualifier', 'Code table', '0', '0', '2', 'Code table ', '0', '1', '', '', ''),
	('008013', 'B08013', 'Day/night qualifier', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('008014', 'B08014', 'Qualifier for runway visual range', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('008016', 'B08016', 'Change qualifier of a trend-type forecast or an aerodrome forecast', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('008017', 'B08017', 'Qualifier of the time when the forecast change is expected', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('008018', 'B08018', 'SEAWINDS land/ice surface type', 'Flag table', '0', '0', '17', 'Flag table', '0', '6', '', '', ''),
	('008019', 'B08019', 'Qualifier for following Centre identifier', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('008020', 'B08020', 'Total number of missing entities (with respect to accumulation or average)', 'Numeric', '0', '0', '16', 'Numeric', '0', '5', '', '', ''),
	('008021', 'B08021', 'Time significance', 'Code table', '0', '0', '5', 'Code table', '0', '2', '', '', ''),
	('008022', 'B08022', 'Total number (with respect to accumulation or average)', 'Numeric', '0', '0', '16', 'Numeric', '0', '5', '', '', ''),
	('008023', 'B08023', 'First order statistics', 'Code table', '0', '0', '6', 'Code table', '0', '2', '', '', ''),
	('008024', 'B08024', 'Difference statistics', 'Code table', '0', '0', '6', 'Code table ', '0', '2', '', '', ''),
	('008025', 'B08025', 'Time difference qualifier (see Note 5)', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('008029', 'B08029', 'Remotely sensed surface type', 'Code table', '0', '0', '8', 'Code table', '0', '3', '', '', ''),
	('008030', 'B08030', 'Manual on Codes (Volume I.1 Section C) Code table from which data are derived', 'Numeric', '0', '0', '13', 'Numeric', '0', '4', '', '', ''),
	('008031', 'B08031', 'Data category CREX table A', 'Numeric', '0', '0', '8', 'Numeric', '0', '3', '', '', ''),
	('008033', 'B08033', 'Method of derivation of percentage confidence', 'Code table', '0', '0', '7', 'Code table', '0', '3', '', '', ''),
	('008035', 'B08035', 'Type of monitoring exercise', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('008036', 'B08036', 'Type of centre or station performing monitoring', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('008040', 'B08040', 'Flight Level significance', 'Code table', '0', '0', '6', 'Code table', '0', '2', '', '', ''),
	('008041', 'B08041', 'Data significance', 'Code table', '0', '0', '5', 'Code table', '0', '2', '', '', ''),
	('008042', 'B08042', 'Extended vertical sounding significance', 'Flag table', '0', '0', '18', 'Flag table', '0', '6', '', '', ''),
	('008049', 'B08049', 'Number of observations', 'Numeric', '0', '0', '8', 'Numeric', '0', '3', '', '', ''),
	('008050', 'B08050', 'Qualifier for number of missing values in calculation of statistic', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('008051', 'B08051', 'Qualifier for number of missing values in calculation of statistic', 'Code table', '0', '0', '3', 'Code table ', '0', '1', '', '', ''),
	('008052', 'B08052', 'Condition for which number of days of occurrence follows', 'Code table', '0', '0', '5', 'Code table ', '0', '2', '', '', ''),
	('008053', 'B08053', 'Day of occurrence qualifier', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('008060', 'B08060', 'Sample scanning mode significance', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('008065', 'B08065', 'Sun-glint indicator', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('008066', 'B08066', 'Semi-transparency indicator', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('008070', 'B08070', 'TOVS/ATOVS product qualifier', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('008072', 'B08072', 'Pixel(s) type', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('008074', 'B08074', 'Altimeter echo type', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('008075', 'B08075', 'Ascending/Descending Orbit Qualifier', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('008076', 'B08076', 'Type of band', 'Code table', '0', '0', '6', 'Code table', '0', '2', '', '', ''),
	('008079', 'B08079', 'Product status ', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('008080', 'B08080', 'Qualifier for GTSPP quality flag', 'Code table', '0', '0', '6', 'Code table', '0', '2', '', '', ''),
	('008081', 'B08081', 'Type of equipment', 'Code table', '0', '0', '6', 'Code table', '0', '2', '', '', ''),
	('008082', 'B08082', 'Modification of sensor height to another value', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('008083', 'B08083', 'Nominal value indicator', 'Flag table', '0', '0', '15', 'Flag table', '0', '5', '', '', ''),
	('008085', 'B08085', 'Beam identifier', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('010001', 'B10001', 'Height of land surface', 'm', '0', '-400', '15', 'm', '0', '5', '', '', ''),
	('010002', 'B10002', 'Height', 'm', '-1', '-40', '16', 'm', '-1', '5', '', '', ''),
	('010003', 'B10003', 'Geopotential', 'm2 s-2', '-1', '-400', '17', 'm2 s-2', '-1', '6', '', '', ''),
	('010004', 'B10004', 'Pressure', 'Pa', '-1', '0', '14', 'Pa', ' -1', '5', '', '', ''),
	('010007', 'B10007', 'Height', 'm', '0', '-1000', '17', 'm', '0', '6', '', '', ''),
	('010008', 'B10008', 'Geopotential', 'm2 s-2', '0', '-10000', '20', 'm2 s-2', '0', '7', '', '', ''),
	('010009', 'B10009', 'Geopotential height', 'gpm', '0', '-1000', '17', 'gpm', '0', '5', '', '', ''),
	('010010', 'B10010', 'Minimum pressure reduced to mean sea level', 'Pa', '-1', '0', '14', 'Pa', '-1', '5', '', '', ''),
	('010011', 'B10011', 'Maximum pressure reduced to mean sea level', 'Pa', '-1', '0', '14', 'Pa', '-1', '5', '', '', ''),
	('010031', 'B10031', 'In direction of the North Pole distance from the Earth’s centre (see Note 2)', 'm', '2', '-1073741824', '31', 'm', '2', '10', '', '', ''),
	('010032', 'B10032', 'Satellite distance to Earth’s centre', 'm', '1', '0', '27', 'm', '1', '9', '', '', ''),
	('010033', 'B10033', 'Altitude (platform to Ellipsoid)', 'm', '1', '0', '27', 'm', '1', '9', '', '', ''),
	('010034', 'B10034', 'Earth radius', 'm', '1', '0', '27', 'm', '1', '9', '', '', ''),
	('010035', 'B10035', 'Earth’s local radius of curvature ', 'm', '1', '62000000', '22', 'm', '1', '8', '', '', ''),
	('010036', 'B10036', 'Geoid undulation (see Note 4)', 'm', '2', '-15000', '15', 'm', '2', '6', '', '', ''),
	('010040', 'B10040', 'Number of retrieved layers', 'Numeric', '0', '0', '10', 'Numeric', '0', '4', '', '', ''),
	('010050', 'B10050', 'Standard deviation altitude', 'm', '2', '0', '16', 'm', '2', '5', '', '', ''),
	('010051', 'B10051', 'Pressure reduced to mean sea level', 'Pa', '-1', '0', '14', 'Pa', '-1', '5', '', '', ''),
	('010052', 'B10052', 'Altimeter setting (QNH)', 'Pa', '-1', '0', '14', 'Pa', '-1', '5', '', '', ''),
	('010060', 'B10060', 'Pressure change', 'Pa', '-1', '-1024', '11', 'Pa', '-1', '4', '', '', ''),
	('010061', 'B10061', '3-hour pressure change', 'Pa', '-1', '-500', '10', 'Pa', '-1', '4', '', '', ''),
	('010062', 'B10062', '24-hour pressure change', 'Pa', '-1', '-1000', '11', 'Pa', '-1', '4', '', '', ''),
	('010063', 'B10063', 'Characteristic of pressure tendency', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('010064', 'B10064', 'SIGMET cruising level ', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('010070', 'B10070', 'Indicated aircraft altitude', 'm', '0', '-400', '16', 'm', '0', '5', '', '', ''),
	('010080', 'B10080', 'Viewing Zenith angle', 'Degree', '2', '-9000', '15', 'Degree', '2', '5', '', '', ''),
	('010081', 'B10081', 'Altitude of COG above reference Ellipsoid', 'm', '3', '0', '31', 'm', '3', '10', '', '', ''),
	('010082', 'B10082', 'Instantaneous altitude rate', 'm s-1', '3', '-65536', '17', 'm s-1', '3', '6', '', '', ''),
	('010083', 'B10083', 'Squared off Nadir angle of the satellite from platform data', 'Degree2', '2', '0', '16', 'Degree2', '2', '5', '', '', ''),
	('010084', 'B10084', 'Squared off Nadir angle of the satellite from waveform data', 'Degree2', '2', '0', '16', 'Degree2', '2', '5', '', '', ''),
	('010085', 'B10085', 'Mean sea surface height', 'm', '3', '-131072', '18', 'm', '3', '6', '', '', ''),
	('010086', 'B10086', 'Geoid’s height', 'm', '3', '-131072', '18', 'm', '3', '6', '', '', ''),
	('010087', 'B10087', 'Ocean depth/land elevation', 'm', '1', '-131072', '18', 'm', '1', '6', '', '', ''),
	('010088', 'B10088', 'Total geocentric ocean tide height (solution 1)', 'm', '3', '-32768', '16', 'm', '3', '5', '', '', ''),
	('010089', 'B10089', 'Total geocentric ocean tide height (solution 2)', 'm', '3', '-32768', '16', 'm', '3', '5', '', '', ''),
	('010090', 'B10090', 'Long period  tide height ', 'm', '3', '-32768', '16', 'm', '3', '5', '', '', ''),
	('010091', 'B10091', 'Tidal loading height', 'm', '3', '-32768', '16', 'm', '3', '5', '', '', ''),
	('010092', 'B10092', 'Solid Earth tide height', 'm', '3', '-32768', '16', 'm', '3', '5', '', '', ''),
	('010093', 'B10093', 'Geocentric pole tide height ', 'm', '3', '-32768', '16', 'm', '3', '5', '', '', ''),
	('010095', 'B10095', 'Height of atmosphere used', 'm', '0', '0', '16', 'm', '0', '5', '', '', ''),
	('011001', 'B11001', 'Wind direction', 'Degree true', '0', '0', '9', 'Degree true', '0', '3', '', '', ''),
	('011002', 'B11002', 'Wind speed', 'm s-1', '1', '0', '12', 'm s-1', '1', '4', '', '', ''),
	('011003', 'B11003', 'u-component', 'm s-1', '1', '-4096', '13', 'm s-1', '1', '4', '', '', ''),
	('011004', 'B11004', 'v-component', 'm s-1', '1', '-4096', '13', 'm s-1', '1', '4', '', '', ''),
	('011005', 'B11005', 'w-component', 'Pa s-1', '1', '-512', '10', 'Pa s-1', '1', '4', '', '', ''),
	('011006', 'B11006', 'w-component', 'm s-1', '2', '-4096', '13', 'm s-1', '2', '4', '', '', ''),
	('011010', 'B11010', 'Wind direction associated with wind speed which follows', 'Degree true', '0', '0', '9', 'Degree true', '0', '3', '', '', ''),
	('011011', 'B11011', 'Wind direction at 10 m', 'Degree true', '0', '0', '9', 'Degree true', '0', '3', '', '', ''),
	('011012', 'B11012', 'Wind speed at 10 m', 'm s-1', '1', '0', '12', 'm s-1', '1', '4', '', '', ''),
	('011013', 'B11013', 'Wind direction at 5 m', 'Degree true', '0', '0', '9', 'Degree true', '0', '3', '', '', ''),
	('011014', 'B11014', 'Wind speed at 5 m', 'm s-1', '1', '0', '12', 'm s-1', '1', '4', '', '', ''),
	('011016', 'B11016', 'Extreme counterclockwise wind direction of a variable wind', 'Degree true', '0', '0', '9', 'Degree true', '0', '3', '', '', ''),
	('011017', 'B11017', 'Extreme clockwise wind direction of a variable wind', 'Degree true', '0', '0', '9', 'Degree true', '0', '3', '', '', ''),
	('011019', 'B11019', 'Steadiness of wind (see Note 6)', '%', '0', '0', '7', '%', '0', '3', '', '', ''),
	('011021', 'B11021', 'Relative vorticity', 's-1', '9', '-65536', '17', 's-1', '9', '6', '', '', ''),
	('011022', 'B11022', 'Divergence', 's-1', '9', '-65536', '17', 's-1', '9', '6', '', '', ''),
	('011023', 'B11023', 'Velocity potential', 'm2 s-1', '-2', '-65536', '17', 'm2 s-1', '-2', '6', '', '', ''),
	('011030', 'B11030', 'Extended degree of turbulence', 'Code table', '0', '0', '6', 'Code table', '0', '2', '', '', ''),
	('011031', 'B11031', 'Degree of turbulence', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('011032', 'B11032', 'Height of base of turbulence', 'm', '-1', '-40', '16', 'm', '-1', '5', '', '', ''),
	('011033', 'B11033', 'Height of top of turbulence', 'm', '-1', '-40', '16', 'm', '-1', '5', '', '', ''),
	('011034', 'B11034', 'Vertical gust velocity', 'm s-1', '1', '-1024', '11', 'm s-1', '1', '4', '', '', ''),
	('011035', 'B11035', 'Vertical gust acceleration', 'm s-2', '2', '-8192', '14', 'm s-2', '2', '5', '', '', ''),
	('011036', 'B11036', 'Maximum derived equivalent vertical gust speed', 'm s-1', '1', '0', '10', 'm s-1', '1', '4', '', '', ''),
	('011037', 'B11037', 'Turbulence Index', 'Code table', '0', '0', '6', 'Code table', '0', '2', '', '', ''),
	('011038', 'B11038', 'Time of occurrence of Peak Eddy Dissipation Rate', 'Code table', '0', '0', '5', 'Code table', '0', '2', '', '', ''),
	('011039', 'B11039', 'Extended time of occurrence of peak  Eddy Dissipation Rate', 'Code table', '0', '0', '6', 'Code table', '0', '2', '', '', ''),
	('011040', 'B11040', 'Maximum wind speed (mean wind)', 'm s-1', '1', '0', '12', 'm s-1', '1', '4', '', '', ''),
	('011041', 'B11041', 'Maximum wind gust speed', 'm s-1', '1', '0', '12', 'm s-1', '1', '4', '', '', ''),
	('011042', 'B11042', 'Maximum wind speed (10-min mean wind)', 'm s-1', '1', '0', '12', 'm s-1', '1', '4', '', '', ''),
	('011043', 'B11043', 'Maximum wind gust direction', 'Degree true', '0', '0', '9', 'Degree true', '0', '3', '', '', ''),
	('011044', 'B11044', 'Mean wind direction for surface – 1500 m (5000 feet)', 'Degree true', '0', '0', '9', 'Degree true', '0', '3', '', '', ''),
	('011045', 'B11045', 'Mean wind speed for surface – 1500 m (5000 feet)', 'm s-1', '1', '0', '12', 'm s-1', '1', '4', '', '', ''),
	('011046', 'B11046', 'Maximum instantaneous wind speed', 'm s-1', '1', '0', '12', 'm s-1', '1', '4', '', '', ''),
	('011047', 'B11047', 'Maximum instantaneous wind speed over 10 minutes', 'm s-1', '1', '0', '12', 'm s-1', '1', '4', '', '', ''),
	('011049', 'B11049', 'Standard deviation of wind direction', 'Degree true', '0', '0', '9', 'Degree true', '0', '3', '', '', ''),
	('011050', 'B11050', 'Standard deviation of horizontal wind speed', 'm s-1', '1', '0', '12', 'm s-1', '1', '4', '', '', ''),
	('011051', 'B11051', 'Standard deviation of vertical wind speed', 'm s-1', '1', '0', '8', 'm s-1', '1', '3', '', '', ''),
	('011052', 'B11052', 'Formal uncertainty in wind speed', 'm s-1', '2', '0', '13', 'm s-1', '2', '5', '', '', ''),
	('011053', 'B11053', 'Formal uncertainty in wind direction', 'Degree true', '2', '0', '15', 'Degree true', '2', '5', '', '', ''),
	('011054', 'B11054', 'Mean wind direction for 1500 m – 3000 m ', 'Degree true', '0', '0', '9', 'Degree true', '0', '3', '', '', ''),
	('011055', 'B11055', 'Mean wind speed for 1500 m  – 3000 m ', 'm s-1', '1', '0', '12', 'm s-1', '1', '4', '', '', ''),
	('011061', 'B11061', 'Absolute wind shear in 1 km layer below', 'm s-1', '1', '0', '12', 'm s-1', '1', '4', '', '', ''),
	('011062', 'B11062', 'Absolute wind shear in 1 km layer above', 'm s-1', '1', '0', '12', 'm s-1', '1', '4', '', '', ''),
	('011070', 'B11070', 'Designator of the runway affected by wind shear (including ALL)', 'CCITT IA5', '0', '0', '32', 'Character', '0', '4', '', '', ''),
	('011071', 'B11071', 'Turbulent vertical momentum flux', 'm2 s-2', '3', '-128', '14', 'm2 s-2', '3', '5', '', '', ''),
	('011072', 'B11072', 'Turbulent vertical buoyancy flux', 'K m s-1', '3', '-128', '11', 'K m s-1', '3', '4', '', '', ''),
	('011073', 'B11073', 'Turbulent kinetic energy', 'm2 s-2', '2', '-1024', '13', 'm2 s-2', '2', '4', '', '', ''),
	('011074', 'B11074', 'Dissipation energy', 'm2 s-2', '2', '-1024', '10', 'm2 s-2', '2', '4', '', '', ''),
	('011075', 'B11075', 'Mean turbulence intensity (eddy dissipation rate)', 'm2/3 s-1', '2', '0', '8', 'm2/3 s-1', '2', '3', '', '', ''),
	('011076', 'B11076', 'Peak turbulence intensity (eddy dissipation rate)', 'm2/3 s-1', '2', '0', '8', 'm2/3 s-1', '2', '3', '', '', ''),
	('011077', 'B11077', 'Reporting interval or averaging time for Eddy Dissipation Rate', 's', '0', '0', '12', 's', '0', '4', '', '', ''),
	('011081', 'B11081', 'Model wind direction at 10m', 'Degree true', '2', '0', '16', 'Degree true', '2', '5', '', '', ''),
	('011082', 'B11082', 'Model wind speed at 10m', 'm s-1', '2', '0', '14', 'm s-1', '2', '4', '', '', ''),
	('011095', 'B11095', 'U component of the model wind vector', 'm s-1', '1', '-4096', '13', 'm s-1', '1', '4', '', '', ''),
	('011096', 'B11096', 'V component of the model wind vector', 'm s-1', '1', '-4096', '13', 'm s-1', '1', '4', '', '', ''),
	('012001', 'B12001', 'Temperature/dry-bulb temperature', 'K', '1', '0', '12', '°C', '1', '3', '', '', ''),
	('012002', 'B12002', 'Wet-bulb temperature', 'K', '1', '0', '12', '°C', '1', '3', '', '', ''),
	('012003', 'B12003', 'Dew-point temperature', 'K', '1', '0', '12', '°C', '1', '3', '', '', ''),
	('012004', 'B12004', 'Dry-bulb temperature at 2 m', 'K', '1', '0', '12', '°C', '1', '3', '', '', ''),
	('012005', 'B12005', 'Wet-bulb temperature at 2 m', 'K', '1', '0', '12', '°C', '1', '3', '', '', ''),
	('012006', 'B12006', 'Dew-point temperature at 2 m', 'K', '1', '0', '12', '°C', '1', '3', '', '', ''),
	('012007', 'B12007', 'Virtual temperature', 'K', '1', '0', '12', '°C', '1', '3', '', '', ''),
	('012011', 'B12011', 'Maximum temperature at height and over period specified', 'K', '1', '0', '12', '°C', '1', '3', '', '', ''),
	('012012', 'B12012', 'Minimum temperature at height and over period specified', 'K', '1', '0', '12', '°C', '1', '3', '', '', ''),
	('012013', 'B12013', 'Ground minimum temperature past 12 hours', 'K', '1', '0', '12', '°C', '1', '3', '', '', ''),
	('012014', 'B12014', 'Maximum temperature at 2 m past 12 hours', 'K', '1', '0', '12', '°C', '1', '3', '', '', ''),
	('012015', 'B12015', 'Minimum temperature at 2 m past 12 hours', 'K', '1', '0', '12', '°C', '1', '3', '', '', ''),
	('012016', 'B12016', 'Maximum temperature at 2 m past 24 hours', 'K', '1', '0', '12', '°C', '1', '3', '', '', ''),
	('012017', 'B12017', 'Minimum temperature at 2 m past 24 hours', 'K', '1', '0', '12', '°C', '1', '3', '', '', ''),
	('012021', 'B12021', 'Maximum temperature at 2m', 'K', '2', '0', '16', '°C', '2', '4', '', '', ''),
	('012022', 'B12022', 'Minimum temperature at 2m', 'K', '2', '0', '16', '°C', '2', '4', '', '', ''),
	('012030', 'B12030', 'Soil temperature', 'K', '1', '0', '12', '°C', '1', '3', '', '', ''),
	('012049', 'B12049', 'Temperature change over specified period ', 'K', '0', '-30', '6', '°C', '0', '2', '', '', ''),
	('012051', 'B12051', 'Standard deviation temperature', 'K', '1', '0', '10', '°C', '1', '3', '', '', ''),
	('012052', 'B12052', 'Highest daily mean temperature', 'K', '1', '0', '12', '°C', '1', '3', '', '', ''),
	('012053', 'B12053', 'Lowest daily mean temperature', 'K', '1', '0', '12', '°C', '1', '3', '', '', ''),
	('012061', 'B12061', 'Skin temperature', 'K', '1', '0', '12', '°C', '1', '3', '', '', ''),
	('012062', 'B12062', 'Equivalent black body temperature', 'K', '1', '0', '12', '°C', '1', '3', '', '', ''),
	('012063', 'B12063', 'Brightness temperature', 'K', '1', '0', '12', '°C', '1', '3', '', '', ''),
	('012064', 'B12064', 'Instrument temperature', 'K', '1', '0', '12', 'K', '1', '4', '', '', ''),
	('012065', 'B12065', 'Standard deviation brightness temperature', 'K', '1', '0', '12', 'K', '1', '4', '', '', ''),
	('012070', 'B12070', 'Warm load temperature', 'K', '2', '0', '16', 'K', '2', '5', '', '', ''),
	('012071', 'B12071', 'Coldest cluster temperature', 'K', '1', '0', '12', 'K', '1', '4', '', '', ''),
	('012072', 'B12072', 'Radiance', 'W m-2 sr-1', '6', '0', '31', 'W m-2 sr-1', '6', '9', '', '', ''),
	('012075', 'B12075', 'Spectral radiance', 'W m-3 sr-1', '-3', '0', '16', 'W m-3 sr-1', '-3', '5', '', '', ''),
	('012076', 'B12076', 'Radiance (see Note 2)', 'W m-2 sr-1', '3', '0', '16', 'W m-2 sr-1', '3', '5', '', '', ''),
	('012101', 'B12101', 'Temperature/dry-bulb temperature', 'K', '2', '0', '16', '°C', '2', '4', '', '', ''),
	('012102', 'B12102', 'Wet-bulb temperature', 'K', '2', '0', '16', '°C', '2', '4', '', '', ''),
	('012103', 'B12103', 'Dew-point temperature', 'K', '2', '0', '16', '°C', '2', '4', '', '', ''),
	('012104', 'B12104', 'Dry-bulb temperature at 2m', 'K', '2', '0', '16', '°C', '2', '4', '', '', ''),
	('012105', 'B12105', 'Web-bulb temperature at 2m', 'K', '2', '0', '16', '°C', '2', '4', '', '', ''),
	('012106', 'B12106', 'Dew-point temperature at 2m', 'K', '2', '0', '16', '°C', '2', '4', '', '', ''),
	('012107', 'B12107', 'Virtual temperature', 'K', '2', '0', '16', '°C', '2', '4', '', '', ''),
	('012111', 'B12111', 'Maximum temperature at height and over period specified', 'K', '2', '0', '16', '°C', '2', '4', '', '', ''),
	('012112', 'B12112', 'Minimum temperature at height and over period specified', 'K', '2', '0', '16', '°C', '2', '4', '', '', ''),
	('012113', 'B12113', 'Ground minimum temperature past 12 hours', 'K', '2', '0', '16', '°C', '2', '4', '', '', ''),
	('012114', 'B12114', 'Maximum temperature at 2m past 12 hours', 'K', '2', '0', '16', '°C', '2', '4', '', '', ''),
	('012115', 'B12115', 'Minimum temperature at 2m past 12 hours', 'K', '2', '0', '16', '°C', '2', '4', '', '', ''),
	('012116', 'B12116', 'Maximum temperature at 2m past 24 hours', 'K', '2', '0', '16', '°C', '2', '4', '', '', ''),
	('012117', 'B12117', 'Minimum temperature at 2m past 24 hours', 'K', '2', '0', '16', '°C', '2', '4', '', '', ''),
	('012118', 'B12118', 'Maximum temperature at height specified past 24 hours', 'K', '2', '0', '16', '°C', '2', '4', '', '', ''),
	('012119', 'B12119', 'Minimum  temperature at height specified past 24 hours', 'K', '2', '0', '16', '°C', '2', '4', '', '', ''),
	('012121', 'B12121', 'Ground minimum temperature', 'K', '2', '0', '16', '°C', '2', '4', '', '', ''),
	('012122', 'B12122', 'Ground minimum temperature of the preceding night', 'K', '2', '0', '16', '°C', '2', '4', '', '', ''),
	('012130', 'B12130', 'Soil temperature', 'K', '2', '0', '16', '°C', '2', '4', '', '', ''),
	('012151', 'B12151', 'Standard deviation of daily mean temperature', 'K', '2', '0', '12', '°C', '2', '4', '', '', ''),
	('012152', 'B12152', 'Highest daily mean temperature', 'K', '2', '0', '16', '°C', '2', '4', '', '', ''),
	('012153', 'B12153', 'Lowest daily mean temperature', 'K', '2', '0', '16', '°C', '2', '4', '', '', ''),
	('012161', 'B12161', 'Skin temperature', 'K', '2', '0', '16', '°C', '2', '4', '', '', ''),
	('012162', 'B12162', 'Equivalent black body temperature', 'K', '2', '0', '16', '°C', '2', '4', '', '', ''),
	('012163', 'B12163', 'Brightness temperature', 'K', '2', '0', '16', '°C', '2', '4', '', '', ''),
	('012164', 'B12164', 'Instrument temperature', 'K', '2', '0', '16', 'K', '2', '5', '', '', ''),
	('012171', 'B12171', 'Coldest cluster temperature', 'K', '2', '0', '16', 'K', '2', '5', '', '', ''),
	('012180', 'B12180', 'Averaged 12 micron BT for all clear pixels at Nadir', 'K', '2', '0', '16', 'K', '2', '5', '', '', ''),
	('012181', 'B12181', 'Averaged 11 micron BT for all clear pixels at Nadir', 'K', '2', '0', '16', 'K', '2', '5', '', '', ''),
	('012182', 'B12182', 'Averaged 3.7 micron BT for all clear pixels at Nadir', 'K', '2', '0', '16', 'K', '2', '5', '', '', ''),
	('012183', 'B12183', 'Averaged 12 micron BT for all clear pixels forward view', 'K', '2', '0', '16', 'K', '2', '5', '', '', ''),
	('012184', 'B12184', 'Averaged 11 micron BT for all clear pixels forward view', 'K', '2', '0', '16', 'K', '2', '5', '', '', ''),
	('012185', 'B12185', 'Averaged 3.7 micron BT for all clear pixels forward view', 'K', '2', '0', '16', 'K', '2', '5', '', '', ''),
	('012186', 'B12186', 'Mean Nadir sea surface temperature', 'K', '2', '0', '16', 'K', '2', '5', '', '', ''),
	('012187', 'B12187', 'Mean dual view sea surface temperature', 'K', '2', '0', '16', 'K', '2', '5', '', '', ''),
	('012188', 'B12188', 'Interpolated 23.8 GHz brightness T from MWR', 'K', '2', '0', '16', 'K', '2', '5', '', '', ''),
	('012189', 'B12189', 'Interpolated 36.5 GHz brightness T from MWR', 'K', '2', '0', '16', 'K', '2', '5', '', '', ''),
	('013001', 'B13001', 'Specific humidity', 'kg kg-1', '5', '0', '14', 'kg kg-1', '5', '5', '', '', ''),
	('013002', 'B13002', 'Mixing ratio', 'kg kg-1', '5', '0', '14', 'kg kg-1', '5', '5', '', '', ''),
	('013003', 'B13003', 'Relative humidity', '%', '0', '0', '7', '%', '0', '3', '', '', ''),
	('013004', 'B13004', 'Vapour pressure', 'Pa', '-1', '0', '10', 'Pa', '-1', '4', '', '', ''),
	('013005', 'B13005', 'Vapour density', 'kg m-3', '3', '0', '7', 'kg m-3', '3', '3', '', '', ''),
	('013006', 'B13006', 'Mixing heights', 'm', '-1', '-40', '16', 'm', '-1', '5', '', '', ''),
	('013007', 'B13007', 'Minimum relative humidity', '%', '0', '0', '7', '%', '0', '3', '', '', ''),
	('013008', 'B13008', 'Maximum relative humidity', '%', '0', '0', '7', '%', '0', '3', '', '', ''),
	('013009', 'B13009', 'Relative humidity (see Note 6)', '%', '1', '-1000', '12', '%', '1', '4', '', '', ''),
	('013011', 'B13011', 'Total precipitation/total water equivalent', 'kg m-2', '1', '-1', '14', 'kg m-2', '1', '5', '', '', ''),
	('013012', 'B13012', 'Depth of fresh snow', 'm', '2', '-2', '12', 'm', '2', '4', '', '', ''),
	('013013', 'B13013', 'Total snow depth', 'm', '2', '-2', '16', 'm', '2', '5', '', '', ''),
	('013014', 'B13014', 'Rainfall/water equivalent of snow (averaged rate)', 'kg m-2 s-1', '4', '0', '12', 'kg m-2 s-1', '4', '4', '', '', ''),
	('013015', 'B13015', 'Snowfall  (averaged rate)', 'm s-1', '7', '0', '12', 'm s-1', '7', '4', '', '', ''),
	('013016', 'B13016', 'Precipitable water', 'kg m-2', '0', '0', '7', 'kg m-2', '0', '3', '', '', ''),
	('013019', 'B13019', 'Total precipitation past 1 hour', 'kg m-2', '1', '-1', '14', 'kg m-2', '1', '4', '', '', ''),
	('013020', 'B13020', 'Total precipitation past 3 hours', 'kg m-2', '1', '-1', '14', 'kg m-2', '1', '5', '', '', ''),
	('013021', 'B13021', 'Total precipitation past 6 hours', 'kg m-2', '1', '-1', '14', 'kg m-2', '1', '5', '', '', ''),
	('013022', 'B13022', 'Total precipitation past 12 hours', 'kg m-2', '1', '-1', '14', 'kg m-2', '1', '5', '', '', ''),
	('013023', 'B13023', 'Total precipitation past 24 hours', 'kg m-2', '1', '-1', '14', 'kg m-2', '1', '5', '', '', ''),
	('013031', 'B13031', 'Evapotranspiration', 'kg m-2', '0', '0', '7', 'kg m-2', '0', '3', '', '', ''),
	('013032', 'B13032', 'Evaporation/evapotranspiration (see Note 5)', 'kg m-2', '1', '0', '8', 'kg m-2', '1', '3', '', '', ''),
	('013033', 'B13033', 'Evaporation/evapotranspiration', 'kg m-2', '1', '0', '10', 'kg m-2', '1', '4', '', '', ''),
	('013038', 'B13038', 'Superadiabatic indicator', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('013039', 'B13039', 'Terrain type (ice/snow)', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('013040', 'B13040', 'Surface flag', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('013041', 'B13041', 'Pasquill-Gifford stability category', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('013042', 'B13042', 'Parcel lifted index (to 500 hPa) (see Notes 3 and 4)', 'K', '0', '-20', '6', 'K', '0', '2', '', '', ''),
	('013043', 'B13043', 'Best lifted index (to 500 hPa) (see Note 3 and 4)', 'K', '0', '-20', '6', 'K', '0', '2', '', '', ''),
	('013044', 'B13044', 'K index', 'K', '0', '-30', '8', 'K', '0', '3', '', '', ''),
	('013045', 'B13045', 'KO index', 'K', '0', '-30', '8', 'K', '0', '3', '', '', ''),
	('013046', 'B13046', 'Maximum buoyancy', 'K', '0', '-30', '8', 'K', '0', '3', '', '', ''),
	('013047', 'B13047', 'Modified Showalter stability index (see Note 7)', 'K', '0', '-60', '6', '°C', '0', '2', '', '', ''),
	('013051', 'B13051', 'Frequency group precipitation', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('013052', 'B13052', 'Highest daily amount of precipitation', 'kg m-2', '1', '-1', '14', 'kg m-2', '1', '5', '', '', ''),
	('013055', 'B13055', 'Intensity of precipitation', 'kg m-2 s-1', '4', '0', '8', 'mm h-1 ', '4', '4', '', '', ''),
	('013056', 'B13056', 'Character and intensity of precipitation', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('013057', 'B13057', 'Time of beginning or end of precipitation', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('013058', 'B13058', 'Size of precipitating element', 'm', '4', '0', '7', 'mm', '4', '3', '', '', ''),
	('013059', 'B13059', 'Number of flashes (thunderstorm)', 'Numeric', '0', '0', '7', 'Numeric', '0', '3', '', '', ''),
	('013060', 'B13060', 'Total accumulated precipitation', 'kg m-2', '1', '-1', '17', 'kg m-2', '1', '5', '', '', ''),
	('013071', 'B13071', 'Upstream water level', 'm', '2', '0', '14', 'm', '2', '4', '', '', ''),
	('013072', 'B13072', 'Downstream water level', 'm', '2', '0', '14', 'm', '2', '4', '', '', ''),
	('013073', 'B13073', 'Maximum water level', 'm', '2', '0', '14', 'm', '2', '4', '', '', ''),
	('013080', 'B13080', 'Water pH', 'pH unit', '1', '0', '10', 'pH unit', '1', '3', '', '', ''),
	('013081', 'B13081', 'Water conductivity', 'Siemens m-1', '3', '0', '14', 'Siemens m-1', '3', '4', '', '', ''),
	('013082', 'B13082', 'Water temperature', 'K', '1', '0', '12', 'K', '1', '4', '', '', ''),
	('013083', 'B13083', 'Dissolved oxygen', 'kg m-3', '6', '0', '15', 'kg m-3', '6', '5', '', '', ''),
	('013084', 'B13084', 'Turbidity', 'Lumen', '0', '0', '14', 'Lumen', '0', '4', '', '', ''),
	('013085', 'B13085', 'Oxydation Reduction Potential (ORP)', 'V', '3', '0', '14', 'V', '3', '4', '', '', ''),
	('013090', 'B13090', 'Radiometer water vapour content', 'kg m-2', '1', '0', '10', 'kg m-2', '1', '4', '', '', ''),
	('013091', 'B13091', 'Radiometer liquid content', 'kg m-2', '2', '0', '8', 'kg m-2', '2', '3', '', '', ''),
	('013093', 'B13093', 'Cloud optical thickness', 'Numeric', '0', '0', '8', 'Numeric', '0', '3', '', '', ''),
	('013095', 'B13095', 'Total column water vapour', 'kg m-2', '4', '0', '19', 'kg m-2', '4', '6', '', '', ''),
	('013096', 'B13096', 'MWR water vapour content', 'kg m-2', '2', '0', '14', 'kg m-2', '2', '5', '', '', ''),
	('013097', 'B13097', 'MWR liquid water content', 'kg m-2', '2', '0', '14', 'kg m-2', '2', '5', '', '', ''),
	('013098', 'B13098', 'Integrated water vapour density', 'kg m-2', '8', '0', '30', 'kg m-2', '8', '10', '', '', ''),
	('014001', 'B14001', 'Long-wave radiation integrated over 24 hours', 'J m-2', '-3', '-2048', '12', 'J m-2', '-3', '4', '', '', ''),
	('014002', 'B14002', 'Long-wave radiation integrated over period specified', 'J m-2', '-3', '-2048', '12', 'J m-2', '-3', '4', '', '', ''),
	('014003', 'B14003', 'Short-wave radiation integrated over 24 hours', 'J m-2', '-3', '-2048', '12', 'J m-2', '-3', '4', '', '', ''),
	('014004', 'B14004', 'Short-wave radiation integrated over period specified', 'J m-2', '-3', '-2048', '12', 'J m-2', '-3', '4', '', '', ''),
	('014011', 'B14011', 'Net long-wave radiation integrated over 24 hours', 'J m-2', '-3', '-2048', '12', 'J m-2', '-3', '4', '', '', ''),
	('014012', 'B14012', 'Net long-wave radiation integrated over period specified', 'J m-2', '-3', '-2048', '12', 'J m-2', '-3', '4', '', '', ''),
	('014013', 'B14013', 'Net short-wave radiation integrated over 24 hours', 'J m-2', '-3', '-2048', '12', 'J m-2', '-3', '4', '', '', ''),
	('014014', 'B14014', 'Net short-wave radiation integrated over period specified', 'J m-2', '-3', '-2048', '12', 'J m-2', '-3', '4', '', '', ''),
	('014015', 'B14015', 'Net radiation integrated over 24 hours', 'J m-2', '-4', '-16384', '15', 'J m-2', '-4', '5', '', '', ''),
	('014016', 'B14016', 'Net radiation integrated over period specified', 'J m-2', '-4', '-16384', '15', 'J m-2', '-4', '5', '', '', ''),
	('014017', 'B14017', 'Instantaneous long-wave radiation ', 'W m-2', '-3', '-2048', '12', 'W m-2', '-3', '4', '', '', ''),
	('014018', 'B14018', 'Instantaneous short-wave radiation', 'W m-2', '-3', '-2048', '12', 'W m-2', '-3', '4', '', '', ''),
	('014019', 'B14019', 'Surface albedo', '%', '0', '0', '7', '%', '0', '3', '', '', ''),
	('014020', 'B14020', 'Global solar radiation integrated over 24 hours', 'J m-2', '-4', '0', '15', 'J m-2', '-4', '5', '', '', ''),
	('014021', 'B14021', 'Global solar radiation integrated over period specified', 'J m-2', '-4', '0', '15', 'J m-2', '-4', '5', '', '', ''),
	('014022', 'B14022', 'Diffuse solar radiation integrated over 24 hours', 'J m-2', '-4', '0', '15', 'J m-2', '-4', '5', '', '', ''),
	('014023', 'B14023', 'Diffuse solar radiation integrated over period specified', 'J m-2', '-4', '0', '15', 'J m-2', '-4', '5', '', '', ''),
	('014024', 'B14024', 'Direct solar radiation integrated over 24 hours', 'J m-2', '-4', '0', '15', 'J m-2', '-4', '5', '', '', ''),
	('014025', 'B14025', 'Direct solar radiation integrated over period specified', 'J m-2', '-4', '0', '15', 'J m-2', '-4', '5', '', '', ''),
	('014026', 'B14026', 'Albedo at the top of clouds', '%', '0', '0', '7', '%', '0', '3', '', '', ''),
	('014027', 'B14027', 'Albedo', '%', '0', '0', '7', '%', '0', '3', '', '', ''),
	('014028', 'B14028', 'Global solar radiation (high accuracy) integrated over period specified', 'J m-2', '-2', '0', '16', 'J m-2', '-2', '5', '', '', ''),
	('014029', 'B14029', 'Diffuse solar radiation (high accuracy) integrated over period specified', 'J m-2', '-2', '0', '16', 'J m-2', '-2', '5', '', '', ''),
	('014030', 'B14030', 'Direct solar radiation (high accuracy) integrated over period specified', 'J m-2', '-2', '0', '16', 'J m-2', '-2', '5', '', '', ''),
	('014031', 'B14031', 'Total sunshine', 'Minute', '0', '0', '11', 'Minute', '0', '4', '', '', ''),
	('014032', 'B14032', 'Total sunshine', 'Hour', '0', '0', '10', 'Hour', '0', '4', '', '', ''),
	('014033', 'B14033', 'Total sunshine', '%', '0', '0', '9', '%', '0', '3', '', '', ''),
	('014034', 'B14034', 'Sunshine over period specified', 'Minute', '0', '0', '11', 'Minute', '0', '4', '', '', ''),
	('014042', 'B14042', 'Bi-directional reflectance', '%', '0', '0', '7', '%', '0', '3', '', '', ''),
	('014045', 'B14045', 'Channel radiance (see Note 4)', 'W m-2 sr-1 cm-1', '0', '0', '11', 'W m-2 sr-1 cm-1', '0', '4', '', '', ''),
	('014046', 'B14046', 'Scaled IASI radiance (see Note 6)', 'W m-2 sr-1 m-1', '0', '-5000', '16', 'W m-2 sr-1 m-1', '0', '5', '', '', ''),
	('014047', 'B14047', 'Scaled mean AVHRR radiance', 'W m-2 sr-1 m-1', '0', '0', '31', 'W m-2 sr-1 m-1', '0', '10', '', '', ''),
	('014048', 'B14048', 'Scaled standard deviation AVHRR radiance', 'W m-2 sr-1 m-1', '0', '0', '31', 'W m-2 sr-1 m-1', '0', '10', '', '', ''),
	('014050', 'B14050', 'Emissivity (see Note 5)', '%', '1', '0', '10', '%', '1', '4', '', '', ''),
	('014051', 'B14051', 'Direct solar radiation integrated over last hour', 'J m-2', '-3', '0', '14', 'J m-2', '-3', '4', '', '', ''),
	('014055', 'B14055', 'Solar activity index', 'Numeric', '0', '-32768', '16', 'Numeric', '0', '5', '', '', ''),
	('015001', 'B15001', 'Total ozone', 'DU', '0', '0', '10', 'DU', '0', '4', '', '', ''),
	('015002', 'B15002', 'Air mass (slant path at 22 km)', 'Numeric', '2', '0', '10', 'Numeric', '2', '3', '', '', ''),
	('015003', 'B15003', 'Measured ozone partial pressure (sounding) (see Note 1)', 'Pascal', '4', '0', '9', 'nbar', '4', '3', '', '', ''),
	('015004', 'B15004', 'Ozone sounding correction factor (see Note 2)', 'Numeric', '3', '0', '11', 'Numeric', '3', '4', '', '', ''),
	('015005', 'B15005', 'Ozone p (see Note 3)', 'DU', '0', '0', '10', 'DU', '0', '3', '', '', ''),
	('015011', 'B15011', 'Log 10 of integrated electron density', 'log (1/m2)', '3', '14000', '13', 'log (m-2)', '3', '4', '', '', ''),
	('015015', 'B15015', 'Maximum image spectral component before normalization', 'Numeric', '0', '0', '31', 'Numeric', '0', '10', '', '', ''),
	('015020', 'B15020', 'Integrated ozone density', 'kg m-2', '8', '0', '21', 'kg m-2', '8', '7', '', '', ''),
	('015025', 'B15025', 'Type of pollutant', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('015026', 'B15026', 'Concentration of pollutant (mol mol-1)', 'mol mol-1', '9', '0', '9', 'mol mol-1', '9', '3', '', '', ''),
	('015027', 'B15027', 'Concentration of pollutant (kg m-3)', 'kg m-3', '9', '0', '10', 'kg m-3', '9', '4', '', '', ''),
	('015031', 'B15031', 'Atmospheric path delay in satellite signal', 'm', '4', '10000', '15', 'm', '4', '5', '', '', ''),
	('015032', 'B15032', 'Estimated error in atmospheric path delay', 'm', '4', '0', '10', 'm', '4', '4', '', '', ''),
	('015033', 'B15033', 'Difference in path delays for limb views at extremes of scan', 'm', '5', '-10000', '15', 'm', '5', '5', '', '', ''),
	('015034', 'B15034', 'Estimated error in path delay difference', 'm', '5', '0', '14', 'm', '5', '5', '', '', ''),
	('015035', 'B15035', 'Component of zenith path delay due to water vapour', 'm', '4', '0', '14', 'm', '4', '5', '', '', ''),
	('015036', 'B15036', 'Atmospheric refractivity (see Note 5)', 'N-units', '3', '0', '19', 'N-units', '3', '6', '', '', ''),
	('015037', 'B15037', 'Bending angle', 'Radians', '8', '-100000', '23', 'Radians', '8', '7', '', '', ''),
	('019001', 'B19001', 'Type of synoptic feature', 'Code table', '0', '0', '6', 'Code table', '0', '2', '', '', ''),
	('019002', 'B19002', 'Effective radius of feature', 'm', '-2', '0', '12', 'm', '-2', '4', '', '', ''),
	('019003', 'B19003', 'Wind speed threshold', 'm s-1', '0', '0', '8', 'm s-1', '0', '3', '', '', ''),
	('019004', 'B19004', 'Effective radius with respect to wind speeds above threshold', 'm', '-2', '0', '12', 'm', '-2', '4', '', '', ''),
	('019005', 'B19005', 'Direction of motion of feature', 'Degree true', '0', '0', '9', 'Degree true', '0', '3', '', '', ''),
	('019006', 'B19006', 'Speed of motion of feature', 'm s-1', '2', '0', '14', 'm s-1', '2', '5', '', '', ''),
	('019007', 'B19007', 'Effective radius of feature', 'm', '-3', '0', '12', 'm', '-3', '4', '', '', ''),
	('019008', 'B19008', 'Vertical extent of circulation', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('019009', 'B19009', 'Effective radius with respect to wind speeds above threshold (large storms)', 'm', '-3', '0', '12', 'm', '-3', '4', '', '', ''),
	('019010', 'B19010', 'Method for tracking the centre of synoptic feature', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('019100', 'B19100', 'Time interval to calculate the movement of the tropical cyclone', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('019101', 'B19101', 'Accuracy of the position of the centre of the tropical cyclone', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('019102', 'B19102', 'Shape and definition of the eye of the tropical cyclone', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('019103', 'B19103', 'Diameter of major axis of the eye of the tropical cyclone', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('019104', 'B19104', 'Change in character of the eye during the 30 minutes ', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('019105', 'B19105', 'Distance between the end of spiral band and the centre ', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('019106', 'B19106', 'Identification number of tropical cyclone', 'Numeric', '0', '0', '7', 'Numeric', '0', '3', '', '', ''),
	('019107', 'B19107', 'Time interval over which the movement of the tropical cyclone has been calculated', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('019108', 'B19108', 'Accuracy of geographical position of the tropical cyclone', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('019109', 'B19109', 'Mean diameter of the overcast cloud of the tropical cyclone', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('019110', 'B19110', 'Apparent 24-hour change in intensity of the tropical cyclone', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('019111', 'B19111', 'Current Intensity (CI) number of the tropical cyclone', 'Numeric', '1', '0', '7', 'Numeric', '1', '3', '', '', ''),
	('019112', 'B19112', 'Data Tropical (DT) number of the tropical cyclone', 'Numeric', '1', '0', '7', 'Numeric', '1', '3', '', '', ''),
	('019113', 'B19113', 'Cloud pattern type of the DT-number', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('019114', 'B19114', 'Model Expected Tropical (MET) number of the tropical cyclone', 'Numeric', '1', '0', '7', 'Numeric', '1', '3', '', '', ''),
	('019115', 'B19115', 'Trend of the past 24-hour change (+: Developed -: Weakened)', 'Numeric', '1', '-30', '6', 'Numeric', '1', '2', '', '', ''),
	('019116', 'B19116', 'Pattern Tropical (PT) number of the tropical cyclone', 'Numeric', '1', '0', '7', 'Numeric', '1', '3', '', '', ''),
	('019117', 'B19117', 'Cloud picture type of the PT-number', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('019118', 'B19118', 'Final Tropical (T) number of the tropical cyclone', 'Numeric', '1', '0', '7', 'Numeric', '1', '3', '', '', ''),
	('019119', 'B19119', 'Type of the final T-number', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('019150', 'B19150', 'Typhoon International Common Number (Typhoon Committee)', 'CCITT IA5', '0', '0', '32', 'Character', '0', '4', '', '', ''),
	('020001', 'B20001', 'Horizontal visibility', 'm', '-1', '0', '13', 'm', '-1', '4', '', '', ''),
	('020002', 'B20002', 'Vertical visibility', 'm', '-1', '0', '7', 'm', '-1', '3', '', '', ''),
	('020003', 'B20003', 'Present weather (see Note 1)', 'Code table', '0', '0', '9', 'Code table', '0', '3', '', '', ''),
	('020004', 'B20004', 'Past weather (1) (see Note 2)', 'Code table', '0', '0', '5', 'Code table', '0', '2', '', '', ''),
	('020005', 'B20005', 'Past weather (2) (see Note 2)', 'Code table', '0', '0', '5', 'Code table', '0', '2', '', '', ''),
	('020008', 'B20008', 'Cloud distribution for aviation', 'Code table', '0', '0', '5', 'Code table', '0', '2', '', '', ''),
	('020009', 'B20009', 'General Weather Indicator (TAF/METAR)', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('020010', 'B20010', 'Cloud cover (total) (see Note 5)', '%', '0', '0', '7', '%', '0', '3', '', '', ''),
	('020011', 'B20011', 'Cloud amount', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('020012', 'B20012', 'Cloud type', 'Code table', '0', '0', '6', 'Code table', '0', '2', '', '', ''),
	('020013', 'B20013', 'Height of base of cloud', 'm', '-1', '-40', '11', 'm', '-1', '4', '', '', ''),
	('020014', 'B20014', 'Height of top of cloud', 'm', '-1', '-40', '11', 'm', '-1', '4', '', '', ''),
	('020015', 'B20015', 'Pressure at base of cloud', 'Pa', '-1', '0', '14', 'Pa', '-1', '5', '', '', ''),
	('020016', 'B20016', 'Pressure at top of cloud', 'Pa', '-1', '0', '14', 'Pa', '-1', '5', '', '', ''),
	('020017', 'B20017', 'Cloud top description', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('020018', 'B20018', 'Tendency of runway visual range', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('020019', 'B20019', 'Significant present or forecast weather', 'CCITT IA5', '0', '0', '72', 'Character', '0', '9', '', '', ''),
	('020020', 'B20020', 'Significant recent weather phenomena', 'CCITT IA5', '0', '0', '32', 'Character', '0', '4', '', '', ''),
	('020021', 'B20021', 'Type of precipitation', 'Flag table', '0', '0', '30', 'Flag table', '0', '10', '', '', ''),
	('020022', 'B20022', 'Character of precipitation', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('020023', 'B20023', 'Other weather phenomena', 'Flag table', '0', '0', '18', 'Flag table', '0', '6', '', '', ''),
	('020024', 'B20024', 'Intensity of phenomena', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('020025', 'B20025', 'Obscuration', 'Flag table', '0', '0', '21', 'Flag table', '0', '7', '', '', ''),
	('020026', 'B20026', 'Character of obscuration', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('020027', 'B20027', 'Phenomena occurrence', 'Flag table', '0', '0', '9', 'Flag table', '0', '3', '', '', ''),
	('020028', 'B20028', 'Expected change in intensity', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('020029', 'B20029', 'Rain flag', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('020031', 'B20031', 'Ice deposit (thickness)', 'm', '2', '0', '7', 'm', '2', '3', '', '', ''),
	('020032', 'B20032', 'Rate of ice accretion', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('020033', 'B20033', 'Cause of ice accretion', 'Flag table', '0', '0', '4', 'Flag table', '0', '2', '', '', ''),
	('020034', 'B20034', 'Sea ice concentration', 'Code table', '0', '0', '5', 'Code table', '0', '2', '', '', ''),
	('020035', 'B20035', 'Amount and type of ice', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('020036', 'B20036', 'Ice situation', 'Code table', '0', '0', '5', 'Code table', '0', '2', '', '', ''),
	('020037', 'B20037', 'Ice development', 'Code table', '0', '0', '5', 'Code table', '0', '2', '', '', ''),
	('020038', 'B20038', 'Bearing of ice edge (see Note 3)', 'Degree true', '0', '0', '12', 'Degree true', '0', '3', '', '', ''),
	('020040', 'B20040', 'Evolution of drift snow', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('020041', 'B20041', 'Airframe icing', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('020042', 'B20042', 'Airframe icing present', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('020043', 'B20043', 'Peak liquid water content', 'kg m-3', '4', '0', '7', 'kg m-3', '4', '2', '', '', ''),
	('020044', 'B20044', 'Average liquid water content', 'kg m-3', '4', '0', '7', 'kg m-3', '4', '2', '', '', ''),
	('020045', 'B20045', 'Supercooled large droplet (SLD) conditions', 'Code table', '0', '0', '2', 'Code table', '0', '2', '', '', ''),
	('020048', 'B20048', 'Evolution of feature', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('020050', 'B20050', 'Cloud index', 'Code table', '0', '0', '8', 'Code table', '0', '3', '', '', ''),
	('020051', 'B20051', 'Amount of low clouds', '%', '0', '0', '7', '%', '0', '3', '', '', ''),
	('020052', 'B20052', 'Amount of middle clouds', '%', '0', '0', '7', '%', '0', '3', '', '', ''),
	('020053', 'B20053', 'Amount of high clouds', '%', '0', '0', '7', '%', '0', '3', '', '', ''),
	('020054', 'B20054', 'True direction from which a phenomenon or clouds are moving', 'Degree true', '0', '0', '9', 'Degree true', '0', '3', '', '', ''),
	('020055', 'B20055', 'State of sky in the tropics', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('020056', 'B20056', 'Cloud phase', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('020061', 'B20061', 'Runway visual range (RVR)', 'm', '0', '0', '12', 'm', '0', '4', '', '', ''),
	('020062', 'B20062', 'State of the ground (with or without snow)', 'Code table', '0', '0', '5', 'Code table', '0', '2', '', '', ''),
	('020063', 'B20063', 'Special phenomena', 'Code table', '0', '0', '10', 'Code table', '0', '4', '', '', ''),
	('020065', 'B20065', 'Snow cover (see Note 4)', '%', '0', '0', '7', '%', '0', '3', '', '', ''),
	('020066', 'B20066', 'Maximum diameter of hailstones', 'm', '3', '0', '8', 'm', '3', '3', '', '', ''),
	('020067', 'B20067', 'Diameter of deposit', 'm', '3', '0', '9', 'm', '3', '3', '', '', ''),
	('020070', 'B20070', 'Minimum number of atmospherics', 'Numeric', '0', '0', '7', 'Numeric', '0', '3', '', '', ''),
	('020071', 'B20071', 'Accuracy of fix and rate of atmospherics', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('020081', 'B20081', 'Cloud amount in segment', '%', '0', '0', '7', '%', '0', '3', '', '', ''),
	('020082', 'B20082', 'Amount segment cloud free', '%', '0', '0', '7', '%', '0', '3', '', '', ''),
	('020083', 'B20083', 'Amount of segment covered by scene', '%', '0', '0', '7', '%', '0', '3', '', '', ''),
	('020090', 'B20090', 'Special clouds', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('020095', 'B20095', 'Ice probability', 'Numeric', '3', '0', '10', 'Numeric', '3', '4', '', '', ''),
	('020096', 'B20096', 'Ice age ("A" parameter)', 'dB', '2', '-4096', '13', 'dB', '2', '4', '', '', ''),
	('020101', 'B20101', 'Locust (acridian) name', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('020102', 'B20102', 'Locust (maturity) color', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('020103', 'B20103', 'Stage of development of locusts', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('020104', 'B20104', 'Organization state of swarm or band of locusts', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('020105', 'B20105', 'Size of swarm or band of locusts and duration of passage of swarm', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('020106', 'B20106', 'Locust population density', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('020107', 'B20107', 'Direction of movements of locust swarm', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('020108', 'B20108', 'Extent of vegetation', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('021001', 'B21001', 'Horizontal reflectivity', 'dB', '0', '-64', '7', 'dB', '0', '3', '', '', ''),
	('021002', 'B21002', 'Vertical reflectivity', 'dB', '0', '-64', '7', 'dB', '0', '3', '', '', ''),
	('021003', 'B21003', 'Differential reflectivity', 'dB', '1', '-5', '7', 'dB', '1', '3', '', '', ''),
	('021005', 'B21005', 'Linear depolarisation ratio ', 'dB', '0', '-65', '6', 'dB', '0', '2', '', '', ''),
	('021006', 'B21006', 'Circular depolarisation ratio ', 'dB', '0', '-65', '6', 'dB', '0', '2', '', '', ''),
	('021011', 'B21011', 'Doppler mean velocity in X-direction', 'm s-1', '0', '-128', '8', 'm s-1', '0', '3', '', '', ''),
	('021012', 'B21012', 'Doppler mean velocity in Y-direction', 'm s-1', '0', '-128', '8', 'm s-1', '0', '3', '', '', ''),
	('021013', 'B21013', 'Doppler mean velocity in Z-direction', 'm s-1', '0', '-128', '8', 'm s-1', '0', '3', '', '', ''),
	('021014', 'B21014', 'Doppler mean velocity (radial)', 'm s-1', '1', '-4096', '13', 'm s-1', '1', '4', '', '', ''),
	('021017', 'B21017', 'Doppler velocity spectral width', 'm s-1', '1', '0', '8', 'm s-1', '1', '3', '', '', ''),
	('021021', 'B21021', 'Echo tops ', 'm', '-3', '0', '4', 'm', '-3', '2', '', '', ''),
	('021030', 'B21030', 'Signal to noise ratio', 'dB', '0', '-32', '8', 'dB', '0', '3', '', '', ''),
	('021031', 'B21031', 'Vertically integrated liquid-water content', 'kg m-2', '0', '0', '7', 'kg m-2', '0', '3', '', '', ''),
	('021036', 'B21036', 'Radar rainfall intensity ', 'm s-1', '7', '0', '12', 'm s-1', '7', '4', '', '', ''),
	('021041', 'B21041', 'Bright-band height ', 'm', '-2', '0', '8', 'm', '-2', '3', '', '', ''),
	('021051', 'B21051', 'Signal power above 1 mW', 'dB', '0', '-256', '8', 'dB', '0', '3', '', '', ''),
	('021062', 'B21062', 'Backscatter', 'dB', '2', '-5000', '13', 'dB', '2', '4', '', '', ''),
	('021063', 'B21063', 'Radiometric resolution (noise value)', '%', '1', '0', '10', '%', '1', '4', '', '', ''),
	('021064', 'B21064', 'Clutter noise estimate', 'Numeric', '0', '0', '8', 'Numeric', '0', '3', '', '', ''),
	('021065', 'B21065', 'Missing packet counter', 'Numeric', '0', '-127', '8', 'Numeric', '0', '3', '', '', ''),
	('021066', 'B21066', 'Wave scatterometer product confidence data', 'Flag table', '0', '0', '12', 'Flag table', '0', '4', '', '', ''),
	('021067', 'B21067', 'Wind product confidence data', 'Flag table', '0', '0', '13', 'Flag table', '0', '5', '', '', ''),
	('021068', 'B21068', 'Radar altimeter product confidence data', 'Flag table', '0', '0', '8', 'Flag table', '0', '3', '', '', ''),
	('021069', 'B21069', 'SST product confidence data', 'Flag table', '0', '0', '10', 'Flag table', '0', '4', '', '', ''),
	('021070', 'B21070', 'SST product confidence data (SADIST-2)', 'Flag table', '0', '0', '23', 'Flag table', '0', '6', '', '', ''),
	('021071', 'B21071', 'Peakiness', 'Numeric', '0', '0', '16', 'Numeric', '0', '5', '', '', ''),
	('021072', 'B21072', 'Satellite altimeter calibration status', 'Flag table', '0', '0', '4', 'Flag table', '0', '2', '', '', ''),
	('021073', 'B21073', 'Satelllite altimeter instrument mode', 'Flag table', '0', '0', '9', 'Flag table', '0', '3', '', '', ''),
	('021075', 'B21075', 'Image spectrum intensity', 'Numeric', '0', '0', '8', 'Numeric', '0', '3', '', '', ''),
	('021076', 'B21076', 'Representation of intensities', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('021077', 'B21077', 'Altitude correction (ionosphere)', 'm', '3', '0', '14', 'm', '3', '5', '', '', ''),
	('021078', 'B21078', 'Altitude correction (dry troposphere)', 'm', '3', '0', '9', 'm', '3', '3', '', '', ''),
	('021079', 'B21079', 'Altitude correction (wet troposphere)', 'm', '3', '2000', '10', 'm', '3', '4', '', '', ''),
	('021080', 'B21080', 'Altitude correction (calibration constant)', 'm', '3', '0', '11', 'm', '3', '4', '', '', ''),
	('021081', 'B21081', 'Open loop correction (height-time loop)', 'm', '3', '0', '10', 'm', '3', '4', '', '', ''),
	('021082', 'B21082', 'Open loop correction (auto gain control)', 'dB', '3', '-3000', '14', 'dB', '3', '5', '', '', ''),
	('021083', 'B21083', 'Warm target calibration', 'Numeric', '0', '0', '16', 'Numeric', '0', '5', '', '', ''),
	('021084', 'B21084', 'Cold target calibration', 'Numeric', '0', '0', '16', 'Numeric', '0', '5', '', '', ''),
	('021085', 'B21085', 'ATSR sea surface temperature across- track band number', 'Numeric', '0', '0', '4', 'Numeric', '0', '2', '', '', ''),
	('021086', 'B21086', 'Number of pixels in Nadir only average', 'Numeric', '0', '0', '9', 'Numeric', '0', '3', '', '', ''),
	('021087', 'B21087', 'Number of pixels in dual view average', 'Numeric', '0', '0', '9', 'Numeric', '0', '3', '', '', ''),
	('021088', 'B21088', 'Wet backscatter', 'dB', '2', '-5000', '13', 'dB', '2', '4', '', '', ''),
	('021091', 'B21091', 'Radar signal Doppler spectrum 0th moment', 'dB', '0', '-100', '8', 'dB', '0', '3', '', '', ''),
	('021092', 'B21092', 'RASS signal Doppler spectrum 0th moment referring to RASS signal', 'dB', '0', '-100', '8', 'dB', '0', '3', '', '', ''),
	('021093', 'B21093', 'Ku band peakiness', 'Numeric', '3', '0', '16', 'Numeric', '3', '5', '', '', ''),
	('021094', 'B21094', 'S band peakiness', 'Numeric', '3', '0', '16', 'Numeric', '3', '5', '', '', ''),
	('021101', 'B21101', 'Number of vector ambiguities', 'Numeric', '0', '0', '3', 'Numeric', '0', '1', '', '', ''),
	('021102', 'B21102', 'Index of selected wind vector', 'Numeric', '0', '0', '3', 'Numeric', '0', '1', '', '', ''),
	('021103', 'B21103', 'Total number of sigma-0 measurements', 'Numeric', '0', '0', '5', 'Numeric', '0', '2', '', '', ''),
	('021104', 'B21104', 'Likelihood computed for solution', 'Numeric', '3', '-30000', '15', 'Numeric', '3', '5', '', '', ''),
	('021105', 'B21105', 'Normalized radar cross-section', 'dB', '2', '-10000', '14', 'dB', '2', '5', '', '', ''),
	('021106', 'B21106', 'Kp variance coefficient (Alpha)', 'Numeric', '3', '0', '14', 'Numeric', '3', '5', '', '', ''),
	('021107', 'B21107', 'Kp variance coefficient (Beta)', 'Numeric', '8', '0', '16', 'Numeric', '8', '5', '', '', ''),
	('021109', 'B21109', 'SEAWINDS wind vector cell quality', 'Flag table', '0', '0', '17', 'Flag table', '0', '6', '', '', ''),
	('021110', 'B21110', 'Number of inner-beam Sigma-0 (forward of satellite)', 'Numeric', '0', '0', '6', 'Numeric', '0', '2', '', '', ''),
	('021111', 'B21111', 'Number of outer-beam Sigma-0 (forward of satellite)', 'Numeric', '0', '0', '6', 'Numeric', '0', '2', '', '', ''),
	('021112', 'B21112', 'Number of inner-beam Sigma-0 (aft of satellite)', 'Numeric', '0', '0', '6', 'Numeric', '0', '2', '', '', ''),
	('021113', 'B21113', 'Number of outer-beam Sigma-0 (aft of satellite)', 'Numeric', '0', '0', '6', 'Numeric', '0', '2', '', '', ''),
	('021114', 'B21114', 'Kp variance coefficent (Gamma)', 'dB', '3', '-140000', '18', 'dB', '3', '6', '', '', ''),
	('021115', 'B21115', 'SEAWINDS sigma-0 quality', 'Flag table', '0', '0', '17', 'Flag table', '0', '6', '', '', ''),
	('021116', 'B21116', 'SEAWINDS sigma-0 mode', 'Flag table', '0', '0', '17', 'Flag table', '0', '6', '', '', ''),
	('021117', 'B21117', 'Sigma-0 variance quality control', 'Numeric', '2', '0', '16', 'Numeric', '2', '5', '', '', ''),
	('021118', 'B21118', 'Attenuation correction on sigma-0', 'dB', '2', '-10000', '14', 'dB', '2', '5', '', '', ''),
	('021119', 'B21119', 'Wind scatterometer geophysical model function', 'Code table', '0', '0', '6', 'Code table', '0', '2', '', '', ''),
	('021120', 'B21120', 'Probability of rain', 'Numeric', '3', '0', '10', 'Numeric', '3', '4', '', '', ''),
	('021121', 'B21121', 'SEAWINDS NOF* rain index', 'Numeric', '0', '0', '8', 'Numeric', '0', '3', '', '', ''),
	('021122', 'B21122', 'Attenuation correction of sigma-0 (from tB)', 'dB', '2', '-10000', '14', 'dB', '2', '5', '', '', ''),
	('021123', 'B21123', 'SEAWINDS normalized radar cross section', 'dB', '2', '-30000', '15', 'dB', '2', '5', '', '', ''),
	('021128', 'B21128', 'Number of valid points per second used to derive previous parameters', 'Numeric', '0', '0', '8', 'Numeric', '0', '3', '', '', ''),
	('021130', 'B21130', 'Spectrum total energy', 'Numeric', '6', '0', '28', 'Numeric', '6', '9', '', '', ''),
	('021131', 'B21131', 'Spectrum max energy', 'Numeric', '6', '0', '28', 'Numeric', '6', '9', '', '', ''),
	('021132', 'B21132', 'Direction of spectrum max on higher resolution grid', 'Degree', '3', '0', '19', 'Degree', '3', '6', '', '', ''),
	('021133', 'B21133', 'Wave-length of spectrum max on higher resolution grid', 'm', '3', '0', '29', 'm', '3', '9', '', '', ''),
	('021134', 'B21134', 'Range resolution of cress covariance spectrum', 'Rad m-1', '3', '0', '19', 'Rad m-1', '3', '6', '', '', ''),
	('021135', 'B21135', 'Real part of cross spectra polar grid number of bins', 'Numeric', '3', '-524288', '20', 'Numeric', '3', '7', '', '', ''),
	('021136', 'B21136', 'Imaginary part of cross spectra polar grid number of bins', 'Numeric', '3', '-524288', '20', 'Numeric', '3', '7', '', '', ''),
	('021137', 'B21137', 'KU band corrected ocean backscatter coefficient', 'dB', '2', '-32768', '16', 'dB', '2', '5', '', '', ''),
	('021138', 'B21138', 'Std KU band corrected ocean backscatter coefficient', 'dB', '2', '-32768', '16', 'dB', '2', '5', '', '', ''),
	('021139', 'B21139', 'KU band net instrumental correction for ACG', 'dB', '2', '-2048', '12', 'dB', '2', '4', '', '', ''),
	('021140', 'B21140', 'S band corrected ocean backscatter coefficient', 'dB', '2', '-32768', '16', 'dB', '2', '5', '', '', ''),
	('021141', 'B21141', 'Std S band corrected ocean backscatter coefficient', 'dB', '2', '-32768', '16', 'dB', '2', '5', '', '', ''),
	('021142', 'B21142', 'S band net instrumental correction for ACG', 'dB', '2', '-1024', '11', 'dB', '2', '4', '', '', ''),
	('021143', 'B21143', 'KU band rain attenuation', 'dB', '2', '-1073741824', '31', 'dB', '2', '10', '', '', ''),
	('021144', 'B21144', 'Altimeter rain flag', 'Flag table', '0', '0', '2', 'Flag table', '0', '1', '', '', ''),
	('021150', 'B21150', 'Beam collocation', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('021151', 'B21151', 'Estimated error in sigma-0 at 40 deg. incidence angle', 'dB', '2', '0', '9', 'dB', '2', '3', '', '', ''),
	('021152', 'B21152', 'Slope at 40 deg. incidence angle', 'dB Deg-1', '2', '-80', '7', 'dB Deg-1', '2', '2', '', '', ''),
	('021153', 'B21153', 'Estimated error in slope at 40 deg. incidence angle', 'dB Deg-1', '2', '-40', '6', 'dB Deg-1', '2', '2', '', '', ''),
	('021154', 'B21154', 'Soil moisture sensitivity', 'dB', '2', '0', '12', 'dB', '2', '4', '', '', ''),
	('021155', 'B21155', 'Wind vector cell quality', 'Flag table', '0', '0', '24', 'Flag table', '0', '8', '', '', ''),
	('021156', 'B21156', 'Backscatter distance', 'Numeric', '1', '-4096', '13', 'Numeric', '1', '4', '', '', ''),
	('021157', 'B21157', 'Loss per unit length of atmosphere used', 'dB m-1', '10', '0', '22', 'dB m-1', '10', '7', '', '', ''),
	('021158', 'B21158', 'ASCAT kp estimate quality', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('021159', 'B21159', 'ASCAT sigma-0 usability', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('021160', 'B21160', 'ASCAT use of synthetic data', 'Numeric', '3', '0', '10', 'Numeric', '3', '4', '', '', ''),
	('021161', 'B21161', 'ASCAT synthetic data quality', 'Numeric', '3', '0', '10', 'Numeric', '3', '4', '', '', ''),
	('021162', 'B21162', 'ASCAT satellite orbit and attitude quality', 'Numeric', '3', '0', '10', 'Numeric', '3', '4', '', '', ''),
	('021163', 'B21163', 'ASCAT solar array reflection contamination', 'Numeric', '3', '0', '10', 'Numeric', '3', '4', '', '', ''),
	('021164', 'B21164', 'ASCAT telemetry presence and quality', 'Numeric', '3', '0', '10', 'Numeric', '3', '4', '', '', ''),
	('021165', 'B21165', 'ASCAT extrapolated reference function presence', 'Numeric', '3', '0', '10', 'Numeric', '3', '4', '', '', ''),
	('021166', 'B21166', 'ASCAT land fraction', 'Numeric', '3', '0', '10', 'Numeric', '3', '4', '', '', ''),
	('022001', 'B22001', 'Direction of waves ', 'Degree true', '0', '0', '9', 'Degree true', '0', '3', '', '', ''),
	('022002', 'B22002', 'Direction of wind waves ', 'Degree true', '0', '0', '9', 'Degree true', '0', '3', '', '', ''),
	('022003', 'B22003', 'Direction of swell waves ', 'Degree true', '0', '0', '9', 'Degree true', '0', '3', '', '', ''),
	('022004', 'B22004', 'Direction of current (see Note 7)', 'Degree true', '0', '0', '9', 'Degree true', '0', '3', '', '', ''),
	('022005', 'B22005', 'Direction of sea surface current', 'Degree true', '0', '0', '9', 'Degree true', '0', '3', '', '', ''),
	('022011', 'B22011', 'Period of waves ', 's', '0', '0', '6', 's', '0', '2', '', '', ''),
	('022012', 'B22012', 'Period of wind waves ', 's', '0', '0', '6', 's', '0', '2', '', '', ''),
	('022013', 'B22013', 'Period of swell waves ', 's', '0', '0', '6', 's', '0', '2', '', '', ''),
	('022021', 'B22021', 'Height of waves ', 'm', '1', '0', '10', 'm', '1', '4', '', '', ''),
	('022022', 'B22022', 'Height of wind waves ', 'm', '1', '0', '10', 'm', '1', '4', '', '', ''),
	('022023', 'B22023', 'Height of swell waves ', 'm', '1', '0', '10', 'm', '1', '4', '', '', ''),
	('022025', 'B22025', 'Standard deviation wave height', 'm', '2', '0', '10', 'm', '2', '4', '', '', ''),
	('022026', 'B22026', 'Standard deviation of significant wave height', 'm', '2', '0', '10', 'm', '2', '4', '', '', ''),
	('022031', 'B22031', 'Speed of current ', 'm s-1', '2', '0', '13', 'm s-1', '2', '4', '', '', ''),
	('022032', 'B22032', 'Speed of sea surface current', 'm s-1', '2', '0', '13', 'm s-1', '2', '4', '', '', ''),
	('022035', 'B22035', 'Tidal elevation with respect to local chart datum', 'm', '2', '0', '14', 'm', '2', '4', '', '', ''),
	('022036', 'B22036', 'Meteorological residual tidal elevation (surge or offset)', 'm', '2', '0', '14', 'm', '2', '4', '', '', ''),
	('022037', 'B22037', 'Tidal elevation with respect to national land datum', 'm', '3', '-10000', '15', 'm', '3', '5', '', '', ''),
	('022038', 'B22038', 'Tidal elevation with respect to local chart datum', 'm', '3', '-10000', '15', 'm', '3', '5', '', '', ''),
	('022039', 'B22039', 'Meteorological residual tidal elevation (surge or offset) (see Note 4)', 'm', '3', '-5000', '13', 'm', '3', '4', '', '', ''),
	('022040', 'B22040', 'Meteorological residual tidal elevation (surge or offset) (see Note 4)', 'm', '3', '-5000', '14', 'm', '3', '5', '', '', ''),
	('022041', 'B22041', 'Sea-surface temperature (15-day running mean)', 'K', '1', '0', '12', 'K', '1', '4', '', '', ''),
	('022042', 'B22042', 'Sea/water temperature', 'K', '1', '0', '12', 'K', '1', '4', '', '', ''),
	('022043', 'B22043', 'Sea/water temperature', 'K', '2', '0', '15', 'K', '2', '5', '', '', ''),
	('022044', 'B22044', 'Sound velocity ', 'm s-1', '1', '0', '14', 'm s-1', '1', '5', '', '', ''),
	('022045', 'B22045', 'Sea/water temperature', 'K', '3', '0', '19', 'K', '3', '6', '', '', ''),
	('022049', 'B22049', 'Sea surface temperature', 'K', '2', '0', '15', 'K', '2', '5', '', '', ''),
	('022050', 'B22050', 'Standard deviation sea-surface temperature', 'K', '2', '0', '8', 'K', '2', '3', '', '', ''),
	('022055', 'B22055', 'Float cycle number', 'Numeric', '0', '0', '10', 'Numeric', '0', '3', '', '', ''),
	('022056', 'B22056', 'Direction of profile', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('022059', 'B22059', 'Sea surface salinity', 'Part per thousand', '2', '0', '14', 'Part per thousand', '2', '5', '', '', ''),
	('022060', 'B22060', 'Lagrangian drifter drogue status', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('022061', 'B22061', 'State of the sea ', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('022062', 'B22062', 'Salinity', 'Part per thousand', '2', '0', '14', 'Part per thousand', '2', '5', '', '', ''),
	('022063', 'B22063', 'Total water depth ', 'm', '0', '0', '14', 'm', '0', '5', '', '', ''),
	('022064', 'B22064', 'Salinity', 'Part per thousand', '3', '0', '17', 'Part per thousand', '3', '6', '', '', ''),
	('022065', 'B22065', 'Water pressure', 'Pa', '-3', '0', '17', 'Pa', '-3', '6', '', '', ''),
	('022066', 'B22066', 'Water conductivity', 'S m-1', '6', '0', '26', 'S m-1', '6', '8', '', '', ''),
	('022067', 'B22067', 'Instrument type for water temperature profile measurement', 'Code table', '0', '0', '10', 'Code table', '0', '4', '', '', ''),
	('022068', 'B22068', 'Water temperature profile recorder types', 'Code table', '0', '0', '7', 'Code table', '0', '3', '', '', ''),
	('022069', 'B22069', 'Spectral wave density', 'm2 Hz-1', '3', '0', '22', 'm2 Hz-1', '3', '7', '', '', ''),
	('022070', 'B22070', 'Significant wave height', 'm', '2', '0', '13', 'm', '2', '4', '', '', ''),
	('022071', 'B22071', 'Spectral peak wave period', 's', '1', '0', '9', 's', '1', '3', '', '', ''),
	('022072', 'B22072', 'Spectral peak wave length', 'm', '0', '0', '13', 'm', '0', '4', '', '', ''),
	('022073', 'B22073', 'Maximum wave height', 'm', '2', '0', '13', 'm', '2', '4', '', '', ''),
	('022074', 'B22074', 'Average wave period', 's', '1', '0', '9', 's', '1', '3', '', '', ''),
	('022075', 'B22075', 'Average wave length', 'm', '0', '0', '13', 'm', '0', '4', '', '', ''),
	('022076', 'B22076', 'Direction from which dominant waves are coming', 'Degree true', '0', '0', '9', 'Degree true', '0', '3', '', '', ''),
	('022077', 'B22077', 'Directional spread of dominant wave', 'Degree', '0', '0', '9', 'Degree', '0', '3', '', '', ''),
	('022078', 'B22078', 'Duration of wave record', 's', '0', '0', '12', 's', '0', '4', '', '', ''),
	('022079', 'B22079', 'Length of wave record', 'm', '0', '0', '16', 'm', '0', '5', '', '', ''),
	('022080', 'B22080', 'Waveband central frequency', 'Hz', '3', '0', '10', 'Hz', '3', '4', '', '', ''),
	('022081', 'B22081', 'Waveband central wave number', 'm-1', '5', '0', '13', 'm-1', '5', '4', '', '', ''),
	('022082', 'B22082', 'Maximum non-directional spectral wave density', 'm2 s', '2', '0', '20', 'm2 s', '2', '7', '', '', ''),
	('022083', 'B22083', 'Maximum non-directional spectral wave number', 'm3', '2', '0', '20', 'm3', '2', '7', '', '', ''),
	('022084', 'B22084', 'Band containing maximum non- directional spectral wave density', 'Numeric', '0', '0', '7', 'Numeric', '0', '3', '', '', ''),
	('022085', 'B22085', 'Spectral wave density ratio', 'Numeric', '0', '0', '7', 'Numeric', '0', '3', '', '', ''),
	('022086', 'B22086', 'Mean direction from which waves are coming', 'Degree true', '0', '0', '9', 'Degree true', '0', '3', '', '', ''),
	('022087', 'B22087', 'Principal direction from which waves are coming', 'Degree true', '0', '0', '9', 'Degree true', '0', '3', '', '', ''),
	('022088', 'B22088', 'First normalized polar coordinate from Fourier coefficients', 'Numeric', '2', '0', '7', 'Numeric', '2', '3', '', '', ''),
	('022089', 'B22089', 'Second normalized polar coordinate from Fourier coefficients', 'Numeric', '2', '0', '7', 'Numeric', '2', '3', '', '', ''),
	('022090', 'B22090', 'Non-directional spectral estimate by wave frequency', 'm2 s', '2', '0', '20', 'm2 s', '2', '7', '', '', ''),
	('022091', 'B22091', 'Non-directional spectral estimate by wave number', 'm3', '2', '0', '20', 'm3', '2', '7', '', '', ''),
	('022092', 'B22092', 'Directional spectral estimate by wave frequency', 'm2 rad-1 s', '2', '0', '20', 'm2 rad-1 s', '2', '7', '', '', ''),
	('022093', 'B22093', 'Directional spectral estimate by wave number', 'm4', '2', '0', '20', 'm4', '2', '7', '', '', ''),
	('022094', 'B22094', 'Total number of wave bands', 'Numeric', '0', '0', '7', 'Numeric', '0', '3', '', '', ''),
	('022095', 'B22095', 'Directional spread of individual waves', 'Degree', '0', '0', '8', 'Degree', '0', '3', '', '', ''),
	('022096', 'B22096', 'Spectral band width', 's-1', '3', '0', '4', 's-1', '3', '2', '', '', ''),
	('022097', 'B22097', 'Mean wavelength > 731 m of image spectrum at low wave numbers', 'm', '0', '0', '14', 'm', '0', '5', '', '', ''),
	('022098', 'B22098', 'Wavelength spread (wavelength > 731 m) at low wave numbers', 'm', '0', '0', '14', 'm', '0', '5', '', '', ''),
	('022099', 'B22099', 'Mean direction at low wave numbers (wavelength > 731 m)', 'Degree true', '0', '0', '9', 'Degree true', '0', '3', '', '', ''),
	('022100', 'B22100', 'Direction spread at low wave numbers (wavelength > 731 m)', 'Degree', '0', '0', '9', 'Degree', '0', '3', '', '', ''),
	('022101', 'B22101', 'Total energy (wavelength > 731m) at low wave numbers', 'Numeric', '0', '0', '31', 'Numeric', '0', '10', '', '', ''),
	('022120', 'B22120', 'Tide station automated water level check', 'Code table', '0', '0', '5', 'Code table', '0', '2', '', '', ''),
	('022121', 'B22121', 'Tide station manual water level check', 'Code table', '0', '0', '5', 'Code table', '0', '2', '', '', ''),
	('022122', 'B22122', 'Tide station automated meteorological data check', 'Code table', '0', '0', '5', 'Code table', '0', '2', '', '', ''),
	('022123', 'B22123', 'Tide station manual meteorological data check', 'Code table', '0', '0', '5', 'Code table', '0', '2', '', '', ''),
	('022141', 'B22141', 'Sea-surface temperature (15-day running mean)', 'K', '2', '0', '15', 'K', '2', '5', '', '', ''),
	('022150', 'B22150', 'Number of 18 Hz valid points for KU band', 'Numeric', '0', '0', '10', 'Numeric', '0', '4', '', '', ''),
	('022151', 'B22151', 'KU band ocean range', 'm', '3', '0', '31', 'm', '3', '10', '', '', ''),
	('022152', 'B22152', 'STD of 18 Hz KU band ocean range', 'm', '3', '0', '16', 'm', '3', '5', '', '', ''),
	('022153', 'B22153', 'Number of 18 Hz valid points for S band', 'Numeric', '0', '0', '10', 'Numeric', '0', '4', '', '', ''),
	('022154', 'B22154', 'S band ocean range', 'm', '3', '0', '31', 'm', '3', '10', '', '', ''),
	('022155', 'B22155', 'STD of 18 Hz S band ocean range', 'm', '3', '0', '16', 'm', '3', '5', '', '', ''),
	('022156', 'B22156', 'KU band significant wave height', 'm', '3', '0', '16', 'm', '3', '5', '', '', ''),
	('022157', 'B22157', 'STD 18Hz KU band significant wave height', 'm', '3', '0', '16', 'm', '3', '5', '', '', ''),
	('022158', 'B22158', 'S band significant wave height', 'm', '3', '0', '16', 'm', '3', '5', '', '', ''),
	('022159', 'B22159', 'STD 18Hz S band significant wave height', 'm', '3', '0', '16', 'm', '3', '5', '', '', ''),
	('022160', 'B22160', 'Normalized inverse wave age', 'Numeric', '6', '0', '21', 'Numeric', '6', '7', '', '', ''),
	('022161', 'B22161', 'Wave spectra', 'm4', '4', '0', '27', 'm4', '4', '9', '', '', ''),
	('023001', 'B23001', 'Accident early notification — article applicable', 'Code table', '0', '0', '3', 'Code table ', '0', '1', '', '', ''),
	('023002', 'B23002', 'Activity or facility involved in incident', 'Code table', '0', '0', '5', 'Code table ', '0', '2', '', '', ''),
	('023003', 'B23003', 'Type of release ', 'Code table', '0', '0', '3', 'Code table ', '0', '1', '', '', ''),
	('023004', 'B23004', 'Countermeasures taken near border', 'Code table', '0', '0', '3', 'Code table ', '0', '1', '', '', ''),
	('023005', 'B23005', 'Cause of incident ', 'Code table', '0', '0', '2', 'Code table ', '0', '1', '', '', ''),
	('023006', 'B23006', 'Incident situation ', 'Code table', '0', '0', '3', 'Code table ', '0', '1', '', '', ''),
	('023007', 'B23007', 'Characteristics of release', 'Code table', '0', '0', '3', 'Code table ', '0', '1', '', '', ''),
	('023008', 'B23008', 'State of current release ', 'Code table', '0', '0', '2', 'Code table ', '0', '1', '', '', ''),
	('023009', 'B23009', 'State of expected release ', 'Code table', '0', '0', '2', 'Code table ', '0', '1', '', '', ''),
	('023016', 'B23016', 'Possibility of significant chemical toxic health effect', 'Code table', '0', '0', '2', 'Code table ', '0', '1', '', '', ''),
	('023017', 'B23017', 'Flow discharge of major recipient', 'm3 s-1', '6', '0', '20', 'm3 s-1', '6', '7', '', '', ''),
	('023018', 'B23018', 'Release behaviour over time', 'Code table', '0', '0', '3', 'Code table ', '0', '1', '', '', ''),
	('023019', 'B23019', 'Actual release height', 'm', '0', '-15000', '17', 'm ', '0', '6', '', '', ''),
	('023021', 'B23021', 'Effective release height', 'm', '0', '-15000', '17', 'm ', '0', '6', '', '', ''),
	('023022', 'B23022', 'Distance of release point or site of incident', 'm', '0', '0', '24', 'm ', '0', '8', '', '', ''),
	('023023', 'B23023', 'Main transport speed in the atmosphere', 'm s-1', '1', '0', '12', 'm s-1', '1', '4', '', '', ''),
	('023024', 'B23024', 'Main transport speed in water', 'm s-1', '2', '0', '13', 'm s-1', '2', '4', '', '', ''),
	('023025', 'B23025', 'Main transport speed in ground water', 'm s-1', '2', '0', '13', 'm s-1', '2', '4', '', '', ''),
	('023027', 'B23027', 'Main transport direction in the atmosphere', 'Degree true ', '0', '0', '9', 'Degree true ', '0', '3', '', '', ''),
	('023028', 'B23028', 'Main transport direction in water', 'Degree true ', '0', '0', '9', 'Degree true ', '0', '3', '', '', ''),
	('023029', 'B23029', 'Main transport direction in ground water', 'Degree true ', '0', '0', '9', 'Degree true ', '0', '3', '', '', ''),
	('023031', 'B23031', 'Possibility that plume will encounter precipitation in State in which incident occurred', 'Code table', '0', '0', '2', 'Code table ', '0', '1', '', '', ''),
	('023032', 'B23032', 'Plume will encounter change in wind direction and/or speed flag', 'Code table', '0', '0', '2', 'Code table ', '0', '1', '', '', ''),
	('024001', 'B24001', 'Estimate of amount of radioactivity released up to specified time', 'Bq*', '-11', '0', '28', 'Bq* ', '-11', '9', '', '', ''),
	('024002', 'B24002', 'Estimated maximum potential release', 'Bq', '-11', '0', '28', 'Bq ', '-11', '9', '', '', ''),
	('024003', 'B24003', 'Composition of release', 'Code table', '0', '0', '5', 'Code table ', '0', '2', '', '', ''),
	('024004', 'B24004', 'Element name', 'CCITT IA5', '0', '0', '16', 'Character', '0', '2', '', '', ''),
	('024005', 'B24005', 'Isotope mass', 'Numeric', '0', '0', '9', 'Numeric ', '0', '3', '', '', ''),
	('024011', 'B24011', 'Dose', 'mSv*/**', '2', '0', '32', 'mSv*/**', '2', '10', '', '', ''),
	('024012', 'B24012', 'Trajectory dose (defined location and expected time of arrival)', 'mSv', '2', '0', '32', 'mSv', '2', '10', '', '', ''),
	('024013', 'B24013', 'Gamma dose in air along the main transport path (defined location and time period)', 'mSv', '2', '0', '32', 'mSv ', '2', '10', '', '', ''),
	('024021', 'B24021', 'Air concentration (of named isotope type including gross beta)', 'Bq m-3', '2', '0', '32', 'Bq m-3', '2', '10', '', '', ''),
	('024022', 'B24022', 'Concentration in precipitation (of names isotope type)', 'Bq l-1', '2', '0', '32', 'Bq l-1', '2', '10', '', '', ''),
	('024023', 'B24023', 'Pulse rate of beta radiation', 's-1', '1', '0', '14', 's-1', '1', '4', '', '', ''),
	('024024', 'B24024', 'Pulse rate of gamma radiation', 's-1', '1', '0', '14', 's-1', '1', '4', '', '', ''),
	('025001', 'B25001', 'Range-gate length', 'm', '-1', '0', '6', 'm', '-1', '2', '', '', ''),
	('025002', 'B25002', 'Number of gates averaged', 'Numeric', '0', '0', '4', 'Numeric', '0', '2', '', '', ''),
	('025003', 'B25003', 'Number of integrated pulses', 'Numeric', '0', '0', '8', 'Numeric', '0', '3', '', '', ''),
	('025004', 'B25004', 'Echo processing', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('025005', 'B25005', 'Echo integration', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('025006', 'B25006', 'Z to R conversion', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('025007', 'B25007', 'Z to R conversion factor', 'Numeric', '0', '0', '12', 'Numeric', '0', '4', '', '', ''),
	('025008', 'B25008', 'Z to R conversion exponent', 'Numeric', '2', '0', '9', 'Numeric', '2', '3', '', '', ''),
	('025009', 'B25009', 'Calibration method (see Note 3)', 'Flag table', '0', '0', '4', 'Flag table', '0', '2', '', '', ''),
	('025010', 'B25010', 'Clutter treatment', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('025011', 'B25011', 'Ground occultation correction (screening)', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('025012', 'B25012', 'Range attenuation correction', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('025013', 'B25013', 'Bright-band correction', 'Flag table', '0', '0', '2', 'Flag table', '0', '1', '', '', ''),
	('025014', 'B25014', 'Azimuth clutter cut-off (see Note 1)', 'Numeric', '0', '0', '12', 'Numeric', '0', '4', '', '', ''),
	('025015', 'B25015', 'Radome attenuation correction', 'Flag table', '0', '0', '2', 'Flag table', '0', '1', '', '', ''),
	('025016', 'B25016', 'Clear-air attenuation correction', 'dB m-1', '5', '0', '6', 'dB m-1', '5', '2', '', '', ''),
	('025017', 'B25017', 'Precipitation attenuation correction', 'Flag table', '0', '0', '2', 'Flag table', '0', '1', '', '', ''),
	('025018', 'B25018', 'A to Z law for attenuation factor', 'Numeric', '7', '0', '6', 'Numeric', '7', '2', '', '', ''),
	('025019', 'B25019', 'A to Z law for attenuation exponent', 'Numeric', '2', '0', '7', 'Numeric', '2', '3', '', '', ''),
	('025020', 'B25020', 'Mean speed estimation', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('025021', 'B25021', 'Wind computation enhancement', 'Flag table', '0', '0', '8', 'Flag table', '0', '3', '', '', ''),
	('025025', 'B25025', 'Battery voltage', 'V', '1', '0', '9', 'V', '1', '3', '', '', ''),
	('025026', 'B25026', 'Battery voltage (large range)', 'V', '1', '0', '12', 'V', '1', '4', '', '', ''),
	('025028', 'B25028', 'Operator or manufacturer defined parameter', 'Numeric', '1', '-16384', '15', 'Numeric', '1', '5', '', '', ''),
	('025029', 'B25029', 'Calibration method', 'Flag table', '0', '0', '6', 'Flag table', '0', '2', '', '', ''),
	('025030', 'B25030', 'Running mean sea-surface temperature usage', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('025032', 'B25032', 'Wind profiler mode information (see Note 2)', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('025033', 'B25033', 'Wind profiler submode information (see Note 2)', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('025034', 'B25034', 'Wind profiler quality control test results (see Note 2)', 'Flag table', '0', '0', '4', 'Flag table', '0', '2', '', '', ''),
	('025036', 'B25036', 'Atmospherics location method', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('025040', 'B25040', 'CO2 wind product derivation', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('025041', 'B25041', 'Moving platform direction reporting method', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('025042', 'B25042', 'Moving platform speed reporting method', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('025043', 'B25043', 'Wave sampling interval (time)', 's', '4', '0', '15', 's', '4', '5', '', '', ''),
	('025044', 'B25044', 'Wave sampling interval (space)', 'm', '2', '0', '14', 'm', '2', '5', '', '', ''),
	('025045', 'B25045', 'HIRS channel combination', 'Flag table', '0', '0', '21', 'Flag table', '0', '7', '', '', ''),
	('025046', 'B25046', 'MSU channel combination', 'Flag table', '0', '0', '5', 'Flag table', '0', '2', '', '', ''),
	('025047', 'B25047', 'SSU channel combination', 'Flag table', '0', '0', '4', 'Flag table', '0', '2', '', '', ''),
	('025048', 'B25048', 'AMSU-A channel combination', 'Flag table', '0', '0', '16', 'Flag table', '0', '6', '', '', ''),
	('025049', 'B25049', 'AMSU-B channel combination', 'Flag table', '0', '0', '6', 'Flag table', '0', '2', '', '', ''),
	('025050', 'B25050', 'Principal component score', 'Numeric', '4', '-131072', '18', 'Numeric', '4', '6', '', '', ''),
	('025051', 'B25051', 'AVHRR channel combination', 'Flag table', '0', '0', '7', 'Flag table', '0', '3', '', '', ''),
	('025052', 'B25052', 'Log-10 of principal components normalized fit to data', 'Numeric', '4', '0', '15', 'Numeric', '4', '5', '', '', ''),
	('025053', 'B25053', 'Observation quality', 'Flag table', '0', '0', '12', 'Flag table', '0', '4', '', '', ''),
	('025054', 'B25054', 'SSMIS Subframe ID nember', 'Numeric', '0', '0', '5', 'Numeric', '0', '2', '', '', ''),
	('025055', 'B25055', 'Multiplexer housekeeping', 'K', '2', '0', '16', 'K', '2', '5', '', '', ''),
	('025060', 'B25060', 'Software identification (see Note 2)', 'Numeric', '0', '0', '14', 'Numeric', '0', '5', '', '', ''),
	('025061', 'B25061', 'Software identification and version number', 'CCITT IA5', '0', '0', '96', 'Character', '0', '12', '', '', ''),
	('025062', 'B25062', 'Database identification', 'Numeric', '0', '0', '14', 'Numeric', '0', '5', '', '', ''),
	('025065', 'B25065', 'Orientation correction (azimuth)', 'Degree', '2', '-1000', '11', 'Degree', '2', '4', '', '', ''),
	('025066', 'B25066', 'Orientation correction (elevation)', 'Degree', '2', '-1000', '11', 'Degree', '2', '4', '', '', ''),
	('025067', 'B25067', 'Radiosonde release point pressure correction', 'Pa', '0', '-8000', '14', 'Pa', '0', '4', '', '', ''),
	('025068', 'B25068', 'Number of archive recomputes', 'Numeric', '0', '0', '7', 'Numeric', '0', '3', '', '', ''),
	('025069', 'B25069', 'Flight level pressure corrections', 'Flag table', '0', '0', '8', 'Flag table', '0', '3', '', '', ''),
	('025070', 'B25070', 'Major frame count', 'Numeric', '0', '0', '4', 'Numeric', '0', '2', '', '', ''),
	('025071', 'B25071', 'Frame count', 'Numeric', '0', '0', '5', 'Numeric', '0', '2', '', '', ''),
	('025075', 'B25075', 'Satellite antenna corrections version number', 'Numeric', '0', '0', '5', 'Numeric', '0', '2', '', '', ''),
	('025076', 'B25076', 'Log–10 of (Temperature-radiance central wavenumber) for ATOVS', 'log m-1', '8', '0', '30', 'log m-1', '8', '10', '', '', ''),
	('025077', 'B25077', 'Bandwidth correction coefficient 1 for ATOVS', 'Numeric', '5', '-100000', '18', 'Numeric', '5', '7', '', '', ''),
	('025078', 'B25078', 'Bandwidth correction coefficient 2 for ATOVS', 'Numeric', '5', '0', '17', 'Numeric', '5', '6', '', '', ''),
	('025079', 'B25079', 'Albedo-radiance solar filtered irradiance for ATOVS', 'W m-2', '4', '0', '24', 'W m-2', '4', '8', '', '', ''),
	('025080', 'B25080', 'Albedo-radiance equivalent filter width for ATOVS', 'm', '10', '0', '14', 'm', '10', '5', '', '', ''),
	('025085', 'B25085', 'Fraction of clear pixels in HIRS FOV', 'Numeric', '0', '0', '7', 'Numeric', '0', '3', '', '', ''),
	('025086', 'B25086', 'Depth correction indicator', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('025091', 'B25091', 'Structure constant of the refraction index (Cn2)', 'dB', '3', '-18192', '13', 'dB', '3', '5', '', '', ''),
	('025092', 'B25092', 'Acoustic propagation velocity', 'm s-1', '2', '28000', '14', 'm s-1', '2', '5', '', '', ''),
	('025093', 'B25093', 'RASS computation correction', 'Flag table', '0', '0', '8', 'Flag table', '0', '3', '', '', ''),
	('025095', 'B25095', 'Altimeter state flag', 'Flag table', '0', '0', '2', 'Flag table', '0', '1', '', '', ''),
	('025096', 'B25096', 'Radiometer state flag', 'Flag table', '0', '0', '5', 'Flag table', '0', '2', '', '', ''),
	('025097', 'B25097', 'Three dimensional error estimate of the navigator orbit', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('025100', 'B25100', 'XBT/XCTD fall rate equation coefficient a', 'Numeric', '5', '0', '20', 'Numeric', '5', '6', '', '', ''),
	('025101', 'B25101', 'XBT/XCTD fall rate equation coefficient b', 'Numeric', '5', '-500000', '21', 'Numeric', '5', '6', '', '', ''),
	('025102', 'B25102', 'Number of missing lines excluding data gaps', 'Numeric', '0', '0', '8', 'Numeric', '0', '3', '', '', ''),
	('025103', 'B25103', 'Number of directional bins', 'Numeric', '0', '0', '8', 'Numeric', '0', '3', '', '', ''),
	('025104', 'B25104', 'Number of wave-length bins', 'Numeric', '0', '0', '8', 'Numeric', '0', '3', '', '', ''),
	('025105', 'B25105', 'First directional bin', 'Degree', '3', '0', '19', 'Degree', '3', '6', '', '', ''),
	('025106', 'B25106', 'Directional bin step', 'Degree', '3', '0', '19', 'Degree', '3', '6', '', '', ''),
	('025107', 'B25107', 'First wave-length bin', 'm', '3', '0', '29', 'm', '3', '9', '', '', ''),
	('025108', 'B25108', 'Last wave-length bin', 'm', '3', '0', '29', 'm', '3', '9', '', '', ''),
	('025110', 'B25110', 'Image processing summary', 'Flag table', '0', '0', '10', 'Flag table', '0', '4', '', '', ''),
	('025111', 'B25111', 'Number of input data gaps', 'Numeric', '0', '0', '8', 'Numeric', '0', '3', '', '', ''),
	('025120', 'B25120', 'RA2-L2-processing flag', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('025121', 'B25121', 'RA2-L2-processing quality', '%', '0', '0', '7', '%', '0', '3', '', '', ''),
	('025122', 'B25122', 'Hardware configuration for RF', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('025123', 'B25123', 'Hardware configuration for HPA', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('025124', 'B25124', 'MWR L2 Processing flag', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('025125', 'B25125', 'MWR L2-processing quality', '%', '0', '0', '7', '%', '0', '3', '', '', ''),
	('025126', 'B25126', 'Model dry tropospheric correction', 'm', '3', '-32768', '16', 'm', '3', '5', '', '', ''),
	('025127', 'B25127', 'Inverted barometer correction', 'm', '3', '-32768', '16', 'm', '3', '5', '', '', ''),
	('025128', 'B25128', 'Model wet tropospheric correction', 'm', '3', '-32768', '16', 'm', '3', '5', '', '', ''),
	('025129', 'B25129', 'MWR derived wet tropospheric correction', 'm', '3', '-32768', '16', 'm', '3', '5', '', '', ''),
	('025130', 'B25130', 'RA2 ionospheric correction on KU band', 'm', '3', '-32768', '16', 'm', '3', '5', '', '', ''),
	('025131', 'B25131', 'Ionospheric correction from Doris on KU band', 'm', '3', '-32768', '16', 'm', '3', '5', '', '', ''),
	('025132', 'B25132', 'Ionospheric correction from model on KU band', 'm', '3', '-32768', '16', 'm', '3', '5', '', '', ''),
	('025133', 'B25133', 'Sea state bias correction on KU band', 'm', '3', '-32768', '16', 'm', '3', '5', '', '', ''),
	('025134', 'B25134', 'RA2 ionospheric correction on S band', 'm', '3', '-32768', '16', 'm', '3', '5', '', '', ''),
	('025135', 'B25135', 'Ionospheric correction from Doris on S band', 'm', '3', '-32768', '16', 'm', '3', '5', '', '', ''),
	('025136', 'B25136', 'Ionospheric correction from model on S band', 'm', '3', '-32768', '16', 'm', '3', '5', '', '', ''),
	('025137', 'B25137', 'Sea state bias correction on S band', 'm', '3', '-32768', '16', 'm', '3', '5', '', '', ''),
	('025138', 'B25138', 'Average signal to noise ration', 'Numeric', '0', '-2048', '12', 'Numeric', '0', '4', '', '', ''),
	('025140', 'B25140', 'Start channel', 'Numeric', '0', '0', '14', 'Numeric', '0', '5', '', '', ''),
	('025141', 'B25141', 'End channel', 'Numeric', '0', '0', '14', 'Numeric', '0', '5', '', '', ''),
	('025142', 'B25142', 'Channel scale factor', 'Numeric', '0', '0', '6', 'Numeric', '0', '2', '', '', ''),
	('025150', 'B25150', 'Method of tropical cyclone intensity analysis using satellite data', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('026001', 'B26001', 'Principal time of daily reading in UTC of maximum temperature', 'Hour', '1', '0', '12', 'Hour', '1', '3', '', '', ''),
	('026002', 'B26002', 'Principal time of daily reading in UTC of minimum temperature', 'Hour', '1', '0', '12', 'Hour', '1', '3', '', '', ''),
	('026003', 'B26003', 'Time difference', 'Minute', '0', '-1440', '12', 'Minute', '0', '4', '', '', ''),
	('026010', 'B26010', 'Hours included', 'Flag table', '0', '0', '26', 'Flag table', '0', '9', '', '', ''),
	('027001', 'B27001', 'Latitude (high accuracy)', 'Degree', '5', '-9000000', '25', 'Degree', '5', '7', '', '', ''),
	('027002', 'B27002', 'Latitude (coarse accuracy)', 'Degree', '2', '-9000', '15', 'Degree', '2', '4', '', '', ''),
	('027003', 'B27003', 'Alternate latitude (coarse accuracy)', 'Degree', '2', '-9000', '15', 'Degree', '2', '4', '', '', ''),
	('027004', 'B27004', 'Alternate latitude (high accuracy)', 'Degree', '5', '-9000000', '25', 'Degree', '5', '7', '', '', ''),
	('027020', 'B27020', 'Satellite location counter', 'Numeric', '0', '0', '16', 'Numeric', '0', '5', '', '', ''),
	('027021', 'B27021', 'Satellite sublocation dimension', 'Numeric', '0', '0', '16', 'Numeric', '0', '5', '', '', ''),
	('027031', 'B27031', 'In direction of 0 degrees longitude distance from the Earth’s centre', 'm', '2', '-1073741824', '31', 'm', '2', '10', '', '', ''),
	('027080', 'B27080', 'Viewing Azimuth angle', 'Degree true', '2', '0', '16', 'Degree true', '2', '5', '', '', ''),
	('028001', 'B28001', 'Longitude (high accuracy)', 'Degree', '5', '-18000000', '26', 'Degree', '5', '8', '', '', ''),
	('028002', 'B28002', 'Longitude (coarse accuracy)', 'Degree', '2', '-18000', '16', 'Degree', '2', '5', '', '', ''),
	('028003', 'B28003', 'Alternate longitude (coarse accuracy)', 'Degree', '2', '-18000', '16', 'Degree', '2', '5', '', '', ''),
	('028004', 'B28004', 'Alternate longitude (high accuracy)', 'Degree', '5', '-18000000', '26', 'Degree', '5', '8', '', '', ''),
	('028031', 'B28031', 'In direction 90 degrees East distance from the Earth’s centre', 'm', '2', '-1073741824', '31', 'm', '2', '10', '', '', ''),
	('029001', 'B29001', 'Projection type', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('029002', 'B29002', 'Co-ordinate grid type', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('030001', 'B30001', 'Pixel value (4 bits)', 'Numeric', '0', '0', '4', 'Numeric', '0', '2', '', '', ''),
	('030002', 'B30002', 'Pixel value (8 bits)', 'Numeric', '0', '0', '8', 'Numeric', '0', '3', '', '', ''),
	('030004', 'B30004', 'Pixel value (16 bits)', 'Numeric', '0', '0', '16', 'Numeric', '0', '5', '', '', ''),
	('030021', 'B30021', 'Number of pixels per row', 'Numeric', '0', '0', '12', 'Numeric', '0', '4', '', '', ''),
	('030022', 'B30022', 'Number of pixels per column', 'Numeric', '0', '0', '12', 'Numeric', '0', '4', '', '', ''),
	('030031', 'B30031', 'Picture type', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('030032', 'B30032', 'Combination with other data', 'Flag table', '0', '0', '16', 'Flag table', '0', '6', '', '', ''),
	('031000', 'B31000', 'Short delayed descriptor replication factor', 'Numeric', '0', '0', '1', 'Numeric', '0', '4', '', '', ''),
	('031001', 'B31001', 'Delayed descriptor replication factor', 'Numeric', '0', '0', '8', 'Numeric', '0', '4', '', '', ''),
	('031002', 'B31002', 'Extended delayed descriptor replication factor', 'Numeric', '0', '0', '16', 'Numeric', '0', '4', '', '', ''),
	('031011', 'B31011', 'Delayed descriptor and data repetition factor', 'Numeric', '0', '0', '8', 'Numeric', '0', '4', '', '', ''),
	('031012', 'B31012', 'Extended delayed descriptor and data repetition factor', 'Numeric', '0', '0', '16', 'Numeric', '0', '4', '', '', ''),
	('031021', 'B31021', 'Associated field significance', 'Code table', '0', '0', '6', 'Code table', '', '', '', '', ''),
	('031031', 'B31031', 'Data present indicator', 'Flag table', '0', '0', '1', 'Flag table', '', '', '', '', ''),
	('033001', 'B33001', 'Reserved', '', '', '', '', '', '', '', '', '', ''),
	('033002', 'B33002', 'Quality information', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('033003', 'B33003', 'Quality information', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('033004', 'B33004', 'Reserved', '', '', '', '', '', '', '', '', '', ''),
	('033005', 'B33005', 'Quality information (AWS data)', 'Flag table', '0', '0', '30', 'Flag table', '0', '10', '', '', ''),
	('033006', 'B33006', 'Internal measurement status information (AWS)', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('033007', 'B33007', 'Per cent confidence', '%', '0', '0', '7', '%', '0', '3', '', '', ''),
	('033015', 'B33015', 'Data quality check indicator', 'Code table', '0', '0', '6', 'Code table', '0', '2', '', '', ''),
	('033020', 'B33020', 'Quality control indication of following value', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('033021', 'B33021', 'Quality of following value', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('033022', 'B33022', 'Quality of buoy satellite transmission', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('033023', 'B33023', 'Quality of buoy location', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('033024', 'B33024', 'Station elevation quality mark (for mobile stations)', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('033025', 'B33025', 'ACARS interpolated values', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('033026', 'B33026', 'Moisture quality', 'Code table', '0', '0', '6', 'Code table', '0', '2', '', '', ''),
	('033027', 'B33027', 'Location quality class (range of radius of 66 % confidence)', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('033030', 'B33030', 'Scan line status flags for ATOVS', 'Flag table', '0', '0', '24', 'Flag table', '0', '8', '', '', ''),
	('033031', 'B33031', 'Scan line quality flags for ATOVS', 'Flag table', '0', '0', '24', 'Flag table', '0', '8', '', '', ''),
	('033032', 'B33032', 'Channel quality flags for ATOVS', 'Flag table', '0', '0', '24', 'Flag table', '0', '8', '', '', ''),
	('033033', 'B33033', 'Field of view quality flags for ATOVS', 'Flag table', '0', '0', '24', 'Flag table', '0', '8', '', '', ''),
	('033035', 'B33035', 'Manual/automatic quality control', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('033036', 'B33036', 'Nominal confidence threshold', '%', '0', '0', '7', '%', '0', '3', '', '', ''),
	('033037', 'B33037', 'Wind correlation error', 'Flag table', '0', '0', '20', 'Flag table', '0', '7', '', '', ''),
	('033038', 'B33038', 'Quality flags for ground-based GNSS data', 'Flag table', '0', '0', '10', 'Flag table', '0', '4', '', '', ''),
	('033039', 'B33039', 'Quality flags for Radio Occultation data', 'Flag table', '0', '0', '16', 'Flag table', '0', '6', '', '', ''),
	('033040', 'B33040', 'Confidence interval', '%', '0', '0', '7', '%', '0', '3', '', '', ''),
	('033041', 'B33041', 'Attribute of following value', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('033042', 'B33042', 'Type of limit represented by following value', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('033043', 'B33043', 'AST confidence', 'Flag table', '0', '0', '8', 'Flag table', '0', '3', '', '', ''),
	('033044', 'B33044', 'ASAR quality information', 'Flag table', '0', '0', '15', 'Flag table', '0', '5', '', '', ''),
	('033045', 'B33045', 'Probability of following event (see Notes 1 and 3)', '%', '0', '0', '7', '%', '0', '3', '', '', ''),
	('033046', 'B33046', 'Conditional probability of following event with respect to specified conditioning event (see Notes 1 2 and 3)', '%', '0', '0', '7', '%', '0', '3', '', '', ''),
	('033047', 'B33047', 'Measurement confidence data', 'Flag table', '0', '0', '31', 'Flag table', '0', '11', '', '', ''),
	('033048', 'B33048', 'Confidence measure of SAR inversion', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('033049', 'B33049', 'Confidence measure of wind retrieval', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('033050', 'B33050', 'Global GTSPP quality flag', 'Code table', '0', '0', '4', 'Code table', '0', '2', '', '', ''),
	('033052', 'B33052', 'S band ocean retracking quality', 'Flag table', '0', '0', '21', 'Flag table', '0', '7', '', '', ''),
	('033053', 'B33053', 'KU band ocean retracking quality', 'Flag table', '0', '0', '21', 'Flag table', '0', '7', '', '', ''),
	('033060', 'B33060', 'GqisFlagQual - individual IASI-System quality flag', 'Code table', '0', '0', '2', 'Code table', '0', '1', '', '', ''),
	('033061', 'B33061', 'GqisQualIndex - indicator for instrument noise performance (contributions from spectral and radiometric)', '%', '0', '0', '7', '%', '0', '3', '', '', ''),
	('033062', 'B33062', 'GqisQualIndexLoc - indicator for geometric quality index', '%', '0', '0', '7', '%', '0', '3', '', '', ''),
	('033063', 'B33063', 'GqisQualIndexRad - indicator for instrument noise performance (contributions from radiometric calibration)', '%', '0', '0', '7', '%', '0', '3', '', '', ''),
	('033064', 'B33064', 'GqisQualIndexSpect - indicator for instrument noise performance (contributions from spectral calibration)', '%', '0', '0', '7', '%', '0', '3', '', '', ''),
	('033065', 'B33065', 'GqisSysTecSondQual - output of system TEC (Technical Expertise Centre) quality function', 'Numeric', '0', '0', '24', 'Numeric', '0', '8', '', '', ''),
	('035000', 'B35000', 'FM and regional code number', 'Code table', '0', '0', '10', 'Code table', '0', '3', '', '', ''),
	('035001', 'B35001', 'Time-frame for monitoring', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('035011', 'B35011', 'Number of reports actually received', 'Numeric', '0', '0', '14', 'Numeric', '0', '4', '', '', ''),
	('035021', 'B35021', 'Bulletin being monitored (TTAAii)', 'CCITT IA5', '0', '0', '48', 'Character', '0', '6', '', '', ''),
	('035022', 'B35022', 'Bulletin being monitored (YYGGgg)', 'CCITT IA5', '0', '0', '48', 'Character', '0', '6', '', '', ''),
	('035023', 'B35023', 'Bulletin being monitored (CCCC)', 'CCITT IA5', '0', '0', '32', 'Character', '0', '4', '', '', ''),
	('035024', 'B35024', 'Bulletin being monitored (BBB)', 'CCITT IA5', '0', '0', '24', 'Character', '0', '3', '', '', ''),
	('035030', 'B35030', 'Discrepancies in the availability of expected data', 'Code table', '0', '0', '4', 'Code table', '0', '1', '', '', ''),
	('035031', 'B35031', 'Qualifier on monitoring results', 'Code table', '0', '0', '7', 'Code table', '0', '2', '', '', ''),
	('035032', 'B35032', 'Cause of missing data', 'Code table', '0', '0', '4', 'Code table', '0', '1', '', '', ''),
	('035033', 'B35033', 'Observation and collection deficiencies', 'Code table', '0', '0', '7', 'Code table', '0', '2', '', '', ''),
	('035034', 'B35034', 'Statistical trends for availability of data (during the survey period(s))', 'Code table', '0', '0', '3', 'Code table', '0', '1', '', '', ''),
	('035035', 'B35035', 'Reason for termination', 'Code table', '0', '0', '5', 'Code table', '0', '2', '', '', ''),
	('040001', 'B40001', 'Surface soil moisture (ms)', '%', '1', '0', '10', '%', '1', '4', '', '', ''),
	('040002', 'B40002', 'Estimated error in surface soil moisture', '%', '1', '0', '10', '%', '1', '4', '', '', ''),
	('040003', 'B40003', 'Mean surface soil moisture ', 'Numeric', '3', '0', '10', 'Numeric', '3', '4', '', '', ''),
	('040004', 'B40004', 'Rain fall detection', 'Numeric', '3', '0', '10', 'Numeric', '3', '4', '', '', ''),
	('040005', 'B40005', 'Soil moisture correction flag', 'Flag table', '0', '0', '8', 'Flag table', '0', '3', '', '', ''),
	('040006', 'B40006', 'Soil moisture processing flag', 'Flag table', '0', '0', '16', 'Flag table', '0', '6', '', '', ''),
	('040007', 'B40007', 'Soil moisture quality', '%', '1', '0', '10', '%', '1', '4', '', '', ''),
	('040008', 'B40008', 'Frozen land surface fraction', '%', '1', '0', '10', '%', '1', '4', '', '', ''),
	('040009', 'B40009', 'Inundation and wetland fraction', '%', '1', '0', '10', '%', '1', '4', '', '', ''),
	('040010', 'B40010', 'Topographic complexity', '%', '1', '0', '10', '%', '1', '4', '', '', ''),
	('099999', 'B99999', 'Notes to Code and Flag Tables', '', '', '', '', '', '', '', '', '', '');
/*!40000 ALTER TABLE `bufr_crex_master` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_test_db_v4.bufr_indicators
CREATE TABLE IF NOT EXISTS `bufr_indicators` (
  `Tmplate` varchar(50) NOT NULL DEFAULT '0',
  `Msg_Header` varchar(50) DEFAULT '0',
  `BUFR_Edition` varchar(10) DEFAULT '0',
  `Originating_Centre` varchar(10) DEFAULT '0',
  `Originating_SubCentre` varchar(10) DEFAULT '0',
  `Update_Sequence` varchar(10) DEFAULT '0',
  `Optional_Section` varchar(10) DEFAULT '0',
  `Data_Category` varchar(10) DEFAULT '0',
  `Intenational_Data_SubCategory` varchar(10) DEFAULT '0',
  `Local_Data_SubCategory` varchar(10) DEFAULT '0',
  `Master_table` varchar(10) DEFAULT '0',
  `Local_Table` varchar(10) DEFAULT '0',
  PRIMARY KEY (`Tmplate`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_test_db_v4.bufr_indicators: ~7 rows (approximately)
/*!40000 ALTER TABLE `bufr_indicators` DISABLE KEYS */;
INSERT INTO `bufr_indicators` (`Tmplate`, `Msg_Header`, `BUFR_Edition`, `Originating_Centre`, `Originating_SubCentre`, `Update_Sequence`, `Optional_Section`, `Data_Category`, `Intenational_Data_SubCategory`, `Local_Data_SubCategory`, `Master_table`, `Local_Table`) VALUES
	('TM_307080', 'ISNH40 HKNC', '04', '00014', '0', '0', '0', '0', '0', '0', '13', '0'),
	('TM_307081', 'ISNH40 HKNC', '04', '00014', '0', '0', '0', '0', '0', '0', '13', '0'),
	('TM_307082', 'ISNH40 HKNC', '04', '00014', '0', '0', '0', '0', '0', '0', '13', '0'),
	('TM_307083', 'ISNH40 HKNC', '04', '00014', '0', '0', '0', '0', '0', '0', '13', '0'),
	('TM_307084', 'ISNH40 HKNC', '04', '00014', '0', '0', '0', '0', '0', '0', '13', '0'),
	('TM_307086', 'ISNH40 HKNC', '04', '00014', '0', '0', '0', '0', '0', '0', '13', '0'),
	('TM_307091', 'ISNH01 HKNC', '04', '00014', '0', '0', '0', '0', '0', '0', '13', '0');
/*!40000 ALTER TABLE `bufr_indicators` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_test_db_v4.ccitt
CREATE TABLE IF NOT EXISTS `ccitt` (
  `Characters` varchar(25) DEFAULT NULL,
  `MostSignificant` int(11) DEFAULT NULL,
  `LeastSignificant` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- Dumping data for table mariadb_climsoft_test_db_v4.ccitt: ~256 rows (approximately)
/*!40000 ALTER TABLE `ccitt` DISABLE KEYS */;
INSERT INTO `ccitt` (`Characters`, `MostSignificant`, `LeastSignificant`) VALUES
	('NUL', 0, 0),
	('DLE', 1, 0),
	('SP', 2, 0),
	('0', 3, 0),
	('@', 4, 0),
	('P', 5, 0),
	('`', 6, 0),
	('p', 7, 0),
	('SOH', 0, 1),
	('DC1', 1, 1),
	('!', 2, 1),
	('1', 3, 1),
	('A', 4, 1),
	('Q', 5, 1),
	('a', 6, 1),
	('q', 7, 1),
	('STX', 0, 2),
	('DC2', 1, 2),
	('“', 2, 2),
	('2', 3, 2),
	('B', 4, 2),
	('R', 5, 2),
	('b', 6, 2),
	('r', 7, 2),
	('ETX', 0, 3),
	('DC3', 1, 3),
	('#', 2, 3),
	('3', 3, 3),
	('C', 4, 3),
	('S', 5, 3),
	('c', 6, 3),
	('s', 7, 3),
	('EOT', 0, 4),
	('DC4', 1, 4),
	('$', 2, 4),
	('4', 3, 4),
	('D', 4, 4),
	('T', 5, 4),
	('d', 6, 4),
	('t', 7, 4),
	('ENQ', 0, 5),
	('NAK', 1, 5),
	('%', 2, 5),
	('5', 3, 5),
	('E', 4, 5),
	('U', 5, 5),
	('e', 6, 5),
	('u', 7, 5),
	('ACK', 0, 6),
	('SYN', 1, 6),
	('&', 2, 6),
	('6', 3, 6),
	('F', 4, 6),
	('V', 5, 6),
	('f', 6, 6),
	('v', 7, 6),
	('BEL', 0, 7),
	('ETB', 1, 7),
	('‘', 2, 7),
	('7', 3, 7),
	('G', 4, 7),
	('W', 5, 7),
	('g', 6, 7),
	('w', 7, 7),
	('BS', 0, 8),
	('CAN', 1, 8),
	('(', 2, 8),
	('8', 3, 8),
	('H', 4, 8),
	('X', 5, 8),
	('h', 6, 8),
	('x', 7, 8),
	('HT', 0, 9),
	('EM', 1, 9),
	(')', 2, 9),
	('9', 3, 9),
	('I', 4, 9),
	('Y', 5, 9),
	('i', 6, 9),
	('y', 7, 9),
	('LF', 0, 10),
	('SUB', 1, 10),
	('*', 2, 10),
	(':', 3, 10),
	('J', 4, 10),
	('Z', 5, 10),
	('j', 6, 10),
	('z', 7, 10),
	('VT', 0, 11),
	('ESC', 1, 11),
	('+', 2, 11),
	(';', 3, 11),
	('K', 4, 11),
	('[', 5, 11),
	('k', 6, 11),
	('{', 7, 11),
	('FF', 0, 12),
	('FS', 1, 12),
	(',', 2, 12),
	('<', 3, 12),
	('L', 4, 12),
	('\\', 5, 12),
	('l', 6, 12),
	('¦', 7, 12),
	('CR', 0, 13),
	('GS', 1, 13),
	('-', 2, 13),
	('=', 3, 13),
	('M', 4, 13),
	(']', 5, 13),
	('m', 6, 13),
	('}', 7, 13),
	('SO', 0, 14),
	('RS', 1, 14),
	('.', 2, 14),
	('>', 3, 14),
	('N', 4, 14),
	('^', 5, 14),
	('n', 6, 14),
	('~', 7, 14),
	('SI', 0, 15),
	('US', 1, 15),
	('/', 2, 15),
	('?', 3, 15),
	('O', 4, 15),
	('_', 5, 15),
	('o', 6, 15),
	('DEL', 7, 15),
	('NUL', 0, 0),
	('DLE', 1, 0),
	('SP', 2, 0),
	('0', 3, 0),
	('@', 4, 0),
	('P', 5, 0),
	('`', 6, 0),
	('p', 7, 0),
	('SOH', 0, 1),
	('DC1', 1, 1),
	('!', 2, 1),
	('1', 3, 1),
	('A', 4, 1),
	('Q', 5, 1),
	('a', 6, 1),
	('q', 7, 1),
	('STX', 0, 2),
	('DC2', 1, 2),
	('“', 2, 2),
	('2', 3, 2),
	('B', 4, 2),
	('R', 5, 2),
	('b', 6, 2),
	('r', 7, 2),
	('ETX', 0, 3),
	('DC3', 1, 3),
	('#', 2, 3),
	('3', 3, 3),
	('C', 4, 3),
	('S', 5, 3),
	('c', 6, 3),
	('s', 7, 3),
	('EOT', 0, 4),
	('DC4', 1, 4),
	('$', 2, 4),
	('4', 3, 4),
	('D', 4, 4),
	('T', 5, 4),
	('d', 6, 4),
	('t', 7, 4),
	('ENQ', 0, 5),
	('NAK', 1, 5),
	('%', 2, 5),
	('5', 3, 5),
	('E', 4, 5),
	('U', 5, 5),
	('e', 6, 5),
	('u', 7, 5),
	('ACK', 0, 6),
	('SYN', 1, 6),
	('&', 2, 6),
	('6', 3, 6),
	('F', 4, 6),
	('V', 5, 6),
	('f', 6, 6),
	('v', 7, 6),
	('BEL', 0, 7),
	('ETB', 1, 7),
	('‘', 2, 7),
	('7', 3, 7),
	('G', 4, 7),
	('W', 5, 7),
	('g', 6, 7),
	('w', 7, 7),
	('BS', 0, 8),
	('CAN', 1, 8),
	('(', 2, 8),
	('8', 3, 8),
	('H', 4, 8),
	('X', 5, 8),
	('h', 6, 8),
	('x', 7, 8),
	('HT', 0, 9),
	('EM', 1, 9),
	(')', 2, 9),
	('9', 3, 9),
	('I', 4, 9),
	('Y', 5, 9),
	('i', 6, 9),
	('y', 7, 9),
	('LF', 0, 10),
	('SUB', 1, 10),
	('*', 2, 10),
	(':', 3, 10),
	('J', 4, 10),
	('Z', 5, 10),
	('j', 6, 10),
	('z', 7, 10),
	('VT', 0, 11),
	('ESC', 1, 11),
	('+', 2, 11),
	(';', 3, 11),
	('K', 4, 11),
	('[', 5, 11),
	('k', 6, 11),
	('{', 7, 11),
	('FF', 0, 12),
	('FS', 1, 12),
	(',', 2, 12),
	('<', 3, 12),
	('L', 4, 12),
	('\\', 5, 12),
	('l', 6, 12),
	('¦', 7, 12),
	('CR', 0, 13),
	('GS', 1, 13),
	('-', 2, 13),
	('=', 3, 13),
	('M', 4, 13),
	(']', 5, 13),
	('m', 6, 13),
	('}', 7, 13),
	('SO', 0, 14),
	('RS', 1, 14),
	('.', 2, 14),
	('>', 3, 14),
	('N', 4, 14),
	('^', 5, 14),
	('n', 6, 14),
	('~', 7, 14),
	('SI', 0, 15),
	('US', 1, 15),
	('/', 2, 15),
	('?', 3, 15),
	('O', 4, 15),
	('_', 5, 15),
	('o', 6, 15),
	('DEL', 7, 15);
/*!40000 ALTER TABLE `ccitt` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_test_db_v4.climsoftusers
CREATE TABLE IF NOT EXISTS `climsoftusers` (
  `userName` varchar(50) NOT NULL,
  `userRole` varchar(50) NOT NULL,
  PRIMARY KEY (`userName`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_test_db_v4.climsoftusers: ~0 rows (approximately)
/*!40000 ALTER TABLE `climsoftusers` DISABLE KEYS */;
/*!40000 ALTER TABLE `climsoftusers` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_test_db_v4.code_flag
CREATE TABLE IF NOT EXISTS `code_flag` (
  `FXY` varchar(255) NOT NULL,
  `Fxyyy` varchar(50) DEFAULT NULL,
  `Description` varchar(255) DEFAULT NULL,
  `Bufr_DataWidth_Bits` int(11) DEFAULT NULL,
  `Crex_DataWidth` varchar(25) DEFAULT NULL,
  `Bufr_Unit` varchar(255) DEFAULT NULL,
  `Bufr_Value` varchar(50) DEFAULT NULL,
  `Crex_Value` varchar(10) DEFAULT NULL,
  PRIMARY KEY (`FXY`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- Dumping data for table mariadb_climsoft_test_db_v4.code_flag: ~39 rows (approximately)
/*!40000 ALTER TABLE `code_flag` DISABLE KEYS */;
INSERT INTO `code_flag` (`FXY`, `Fxyyy`, `Description`, `Bufr_DataWidth_Bits`, `Crex_DataWidth`, `Bufr_Unit`, `Bufr_Value`, `Crex_Value`) VALUES
	('001101', 'B01101', 'State identifier', 10, '3', 'Code table', '128', NULL),
	('002001', 'B02001', 'Type of station', 2, '1', 'Code table', '0', NULL),
	('002038', 'B02038', 'Method of sea surface temperature measurement', 4, '2', 'Code table', '15', NULL),
	('002175', 'B02175', 'Method of precipitation measurement ', 4, '2', 'Code table', '1', NULL),
	('002176', 'B02176', 'Method of state of ground measurement ', 4, '2', 'Code table', '14', NULL),
	('002177', 'B02177', 'Method of snow depth measurement ', 4, '2', 'Code table', '15', NULL),
	('002178', 'B02178', 'Method of liquid content measurement of precipitation', 4, '2', 'Code table', '4', NULL),
	('002179', 'B02179', 'Type of sky condition algorithm ', 4, '2', 'Code table', '3', NULL),
	('002180', 'B02180', 'Main present weather detecting system ', 4, '2', 'Code table', '14', NULL),
	('002181', 'B02181', 'Supplementary present weather sensor', 21, '7', 'Flag table', NULL, NULL),
	('002182', 'B02182', 'Visibility measurement system ', 4, '2', 'Code table', '14', NULL),
	('002183', 'B02183', 'Cloud detection system', 4, '2', 'Code table', '14', NULL),
	('002184', 'B02184', 'Type of lightning detection sensor', 4, '2', 'Code table', '14', NULL),
	('002185', 'B02185', 'Method of evaporation measurement', 4, '2', 'Code table', '14', NULL),
	('002186', 'B02186', 'Capability to detect precipitation phenomena', 30, '10', 'Flag table', '111111111111111111111110000000', NULL),
	('002187', 'B02187', 'Capability to detect other weather phenomena', 18, '6', 'Flag table', NULL, NULL),
	('002188', 'B02188', 'Capability to detect obscuration', 21, '7', 'Flag table', NULL, NULL),
	('002189', 'B02189', 'Capability to discriminate lightning strikes', 12, '4', 'Flag table', NULL, NULL),
	('008002', 'B08002', 'Vertical significance (surface observations)', 6, '2', 'Code table', '62', NULL),
	('008010', 'B08010', 'Surface qualifier (temperature data)', 5, '2', 'Code table', '3', NULL),
	('008021', 'B08021', 'Time significance (= 2 (time averaged))', 5, '2', 'Code table', '2', NULL),
	('008023', 'B08023', 'First order statistics', 6, '2', 'Code table', '63', NULL),
	('010063', 'B10063', 'Characteristic of pressure tendency', 4, '2', 'Code table', '15', NULL),
	('020003', 'B20003', 'Present weather', 9, '3', 'Code table', NULL, NULL),
	('020004', 'B20004', 'Past weather (1) ', 5, '2', 'Code table', NULL, NULL),
	('020005', 'B20005', 'Past weather (2)', 5, '2', 'Code table', NULL, NULL),
	('020011', 'B20011', 'Cloud amount', 4, '2', 'Code table', NULL, NULL),
	('020012', 'B20012', 'Cloud type', 6, '2', 'Code table', NULL, NULL),
	('020021', 'B20021', 'Type of precipitation', 30, '10', 'Flag table', NULL, NULL),
	('020022', 'B20022', 'Character of precipitation', 4, '2', 'Code table', NULL, NULL),
	('020023', 'B20023', 'Other weather phenomena', 18, '6', 'Flag table', NULL, NULL),
	('020024', 'B20024', 'Intensity of phenomena', 3, '1', 'Code table', NULL, NULL),
	('020025', 'B20025', 'Obscuration', 21, '7', 'Flag table', NULL, NULL),
	('020026', 'B20026', 'Character of obscuration', 4, '2', 'Code table', '15', NULL),
	('020032', 'B20032', 'Rate of ice accretion', 3, '1', 'Code table', '7', NULL),
	('020062', 'B20062', 'State of the ground (with or without snow)', 5, '2', 'Code table', '32', NULL),
	('033005', 'B33005', 'Quality information (AWS data)', 30, '10', 'Flag table', NULL, NULL),
	('033006', 'B33006', 'Internal measurement status information (AWS)', 3, '1', 'Code table', '0', NULL),
	('033041', 'B33041', 'Attribute of following value', 2, '1', 'Code table', '3', NULL);
/*!40000 ALTER TABLE `code_flag` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_test_db_v4.data_forms
CREATE TABLE IF NOT EXISTS `data_forms` (
  `id` bigint(20) NOT NULL DEFAULT '0',
  `order_num` bigint(20) DEFAULT '0',
  `table_name` varchar(255) DEFAULT NULL,
  `form_name` varchar(250) NOT NULL,
  `description` text,
  `selected` tinyint(4) DEFAULT NULL,
  `val_start_position` bigint(20) DEFAULT '0',
  `val_end_position` bigint(20) DEFAULT '0',
  `elem_code_location` varchar(255) DEFAULT NULL,
  `sequencer` varchar(50) DEFAULT NULL,
  `entry_mode` tinyint(2) unsigned zerofill NOT NULL DEFAULT '00',
  PRIMARY KEY (`form_name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_test_db_v4.data_forms: ~17 rows (approximately)
/*!40000 ALTER TABLE `data_forms` DISABLE KEYS */;
INSERT INTO `data_forms` (`id`, `order_num`, `table_name`, `form_name`, `description`, `selected`, `val_start_position`, `val_end_position`, `elem_code_location`, `sequencer`, `entry_mode`) VALUES
	(63032, 21, 'form_synoptic_2_ra1', 'formSynoptic2RA1', 'Synoptic data for input into TDCF form for RA1', 1, 5, 53, 'Vertical', 'seq_month_day_synoptime', 00),
	(63027, 14, 'form_agro1', 'form_agro1', 'Kenya Agromet data', 1, 4, 37, 'Horizontal', 'seq_month_day', 00),
	(61139, 20, 'form_bmet26', 'form_bmet26', 'Botswana Hourly Data for several elements for 24 hours(BMET26)', 0, 5, 34, 'Horizontal', 'seq_month_day_time', 00),
	(63031, 19, 'form_climat', 'form_climat', 'Data for monthly CLIMAT report', 0, 4, 16, 'Horizontal', 'seq_month_day', 00),
	(61000, 3, 'form_daily1', 'form_daily1', 'Data for some elements for one day', 0, 5, 19, 'Horizontal', 'seq_month_day_form_daily1', 00),
	(61001, 2, 'form_daily2', 'form_daily2', 'Daily data for the whole month', 1, 5, 35, 'Vertical', 'seq_element_form_daily2', 00),
	(61002, 1, 'form_hourly', 'form_hourly', 'Hourly data', 1, 5, 28, 'Vertical', 'seq_form_hourly', 00),
	(63021, 15, 'form_hourlywind', 'form_hourlywind', 'Hourly wind data', 1, 4, 27, 'Horizontal', 'seq_month_day_form_hourlywind', 00),
	(63030, 18, 'form_monthly', 'form_monthly', 'Monthly data', 1, 3, 14, 'Vertical', 'seq_year', 00),
	(61003, 4, 'form_synoptic1', 'form_synoptic1', 'Synoptic data for one hour for one element for the whole month', 0, 5, 35, 'Vertical', 'seq_synoptime_element', 00),
	(61004, 5, 'form_synoptic2', 'form_synoptic2', 'Synoptic data for many elements for one  observation time', 0, 5, 37, 'Horizontal', 'seq_month_day_synoptime', 00),
	(63029, 17, 'form_synoptic2_caribbean', 'form_synoptic2_caribbean', 'Caribbean synoptic data for many elements for one  observation time', 0, 5, 37, 'Horizontal', 'seq_month_day_hour', 00),
	(61043, 19, 'form_synoptic2_TDCF', 'form_synoptic2_TDCF', 'Synoptic data for many elements for one  observation time - TDCF', 0, 5, 52, 'Horizontal', 'seq_month_day_synoptime', 00),
	(61005, 6, 'form_synoptic3', 'form_synoptic3', 'Synoptic data for all hours for one element', 0, 5, 12, 'Vertical', 'seq_form_synopt3', 00),
	(63028, 16, 'form_temp0', 'form_temp0', 'Uganda temperature data', 0, 4, 11, 'Horizontal', 'seq_month_day', 00),
	(61006, 7, 'form_upperair1', 'form_upperair1', 'Upper air data for several elements for one day', 0, 6, 17, 'Vertical', 'seq_month_day_synoptime_level', 00),
	(61007, 8, 'form_upperair2', 'form_upperair2', 'Upper air data for one element and one level for the whole month', 0, 6, 36, 'Vertical', 'seq_level_upperair_element', 00);
/*!40000 ALTER TABLE `data_forms` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_test_db_v4.faultresolution
CREATE TABLE IF NOT EXISTS `faultresolution` (
  `resolvedDatetime` varchar(50) DEFAULT NULL,
  `resolvedBy` varchar(255) DEFAULT NULL,
  `associatedWith` bigint(20) DEFAULT NULL,
  `remarks` varchar(255) DEFAULT NULL,
  UNIQUE KEY `solution` (`resolvedDatetime`,`associatedWith`),
  KEY `FK_mysql_climsoft_db_v4_instrumentFaultReport_faultResolution` (`associatedWith`),
  CONSTRAINT `FK_mysql_climsoft_db_v4_instrumentFaultReport_faultResolution` FOREIGN KEY (`associatedWith`) REFERENCES `instrumentfaultreport` (`reportId`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_test_db_v4.faultresolution: ~0 rows (approximately)
/*!40000 ALTER TABLE `faultresolution` DISABLE KEYS */;
/*!40000 ALTER TABLE `faultresolution` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_test_db_v4.featuregeographicalposition
CREATE TABLE IF NOT EXISTS `featuregeographicalposition` (
  `belongsTo` varchar(255) NOT NULL,
  `observedOn` varchar(50) DEFAULT NULL,
  `latitude` double(11,6) DEFAULT NULL,
  `longitude` double(11,6) DEFAULT NULL,
  UNIQUE KEY `FK_mysql_climsoft_db_v4_synopfeatureFeatureGeographicalPosition` (`belongsTo`,`observedOn`),
  CONSTRAINT `FK_mysql_climsoft_db_v4_synopfeatureFeatureGeographicalPosition` FOREIGN KEY (`belongsTo`) REFERENCES `synopfeature` (`abbreviation`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_test_db_v4.featuregeographicalposition: ~0 rows (approximately)
/*!40000 ALTER TABLE `featuregeographicalposition` DISABLE KEYS */;
/*!40000 ALTER TABLE `featuregeographicalposition` ENABLE KEYS */;


-- Dumping structure for procedure mariadb_climsoft_test_db_v4.find_gaps
DELIMITER //
CREATE DEFINER=`root`@`localhost` PROCEDURE `find_gaps`(IN Stn VARCHAR(255),IN Elm INT(11),IN Opening_Date DATE,IN Closing_Date DATE)
BEGIN
DECLARE Next_Date DATE;
IF Opening_Date <= Closing_Date THEN
 SET Next_Date  = Opening_Date;
 WHILE Next_Date < Closing_Date DO
    SELECT COUNT(*) INTO @FOUND
  FROM observationfinal
  WHERE recordedfrom=Stn
  AND describedby=Elm
  AND DATE(obsDatetime)=Next_Date;

  IF @FOUND <1 THEN
   INSERT INTO gaps VALUES (Stn,Elm,Next_Date);
   Commit;
  END IF;
 SET Next_Date = DATE_ADD(Next_Date, INTERVAL 1 DAY);
 END WHILE;
END IF;
END//
DELIMITER ;


-- Dumping structure for table mariadb_climsoft_test_db_v4.flags
CREATE TABLE IF NOT EXISTS `flags` (
  `characterSymbol` varchar(255) NOT NULL DEFAULT '',
  `numSymbol` int(11) DEFAULT NULL,
  `description` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`characterSymbol`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_test_db_v4.flags: ~5 rows (approximately)
/*!40000 ALTER TABLE `flags` DISABLE KEYS */;
INSERT INTO `flags` (`characterSymbol`, `numSymbol`, `description`) VALUES
	('D', 3, 'Dubious or Suspect Data'),
	('E', 2, 'Estimated Value'),
	('G', 4, 'Generated or Calculated Data'),
	('M', 0, 'Missing Data'),
	('T', 1, 'Trace Rainfall');
/*!40000 ALTER TABLE `flags` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_test_db_v4.flagtable
CREATE TABLE IF NOT EXISTS `flagtable` (
  `Bufr_Descriptor` varchar(6) NOT NULL,
  `Crex_Descriptor` varchar(6) DEFAULT NULL,
  `Details` varchar(255) DEFAULT NULL,
  `Widths` int(11) DEFAULT '0',
  `Missing` int(11) DEFAULT '0',
  PRIMARY KEY (`Bufr_Descriptor`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- Dumping data for table mariadb_climsoft_test_db_v4.flagtable: ~27 rows (approximately)
/*!40000 ALTER TABLE `flagtable` DISABLE KEYS */;
INSERT INTO `flagtable` (`Bufr_Descriptor`, `Crex_Descriptor`, `Details`, `Widths`, `Missing`) VALUES
	('002001', 'B02001', 'Type of station', 1, 3),
	('002003', 'B02003', 'Type of measuring equipment used', 2, 15),
	('002004', 'B02004', 'Type of instrumentation for evaporation measurement or type of crop for which evapotranspiration is reported', 2, 15),
	('002011', 'B02011', 'Radiosonde type', 3, 255),
	('002013', 'B02013', 'Solar and infrared radiation correction', 2, 15),
	('002014', 'B02014', 'Tracking technique/status of system used', 3, 127),
	('008002', 'B08002', 'Vertical significance (surface observations)', 2, 63),
	('008021', 'B08021', 'Time significance', 2, 31),
	('010063', 'B10063', 'Characteristic of pressure tendency', 2, 15),
	('013056', 'B13056', 'Character and intensity of precipitation', 2, 15),
	('013057', 'B13057', 'Time of beginning or end of precipitation', 2, 15),
	('020003', 'B20003', 'Present weather (see Note 1)', 3, 511),
	('020004', 'B20004', 'Past weather (1) (see Note 2)', 2, 31),
	('020005', 'B20005', 'Past weather (2) (see Note 2)', 2, 31),
	('020011', 'B20011', 'Cloud amount', 2, 15),
	('020012', 'B20012', 'Cloud type', 2, 63),
	('020017', 'B20017', 'Cloud top description', 2, 15),
	('020062', 'B20062', 'State of the ground (with or without snow)', 2, 31),
	('020101', 'B20101', 'Locust (acridian) name', 2, 15),
	('020102', 'B20102', 'Locust (maturity) color', 2, 15),
	('020103', 'B20103', 'Stage of development of locusts', 2, 15),
	('020104', 'B20104', 'Organization state of swarm or band of locusts', 2, 15),
	('020105', 'B20105', 'Size of swarm or band of locusts and duration of passage of swarm', 2, 15),
	('020106', 'B20106', 'Locust population density', 2, 15),
	('020107', 'B20107', 'Direction of movements of locust swarm', 2, 15),
	('020108', 'B20108', 'Extent of vegetation', 2, 15),
	('033024', 'B33024', 'Station elevation quality mark (for mobile stations)', 2, 15);
/*!40000 ALTER TABLE `flagtable` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_test_db_v4.form_agro1
CREATE TABLE IF NOT EXISTS `form_agro1` (
  `stationId` varchar(50) NOT NULL DEFAULT '',
  `yyyy` int(11) NOT NULL,
  `mm` int(11) NOT NULL,
  `dd` int(11) NOT NULL,
  `Val_Elem101` varchar(6) DEFAULT NULL,
  `Val_Elem102` varchar(6) DEFAULT NULL,
  `Val_Elem103` varchar(6) DEFAULT NULL,
  `Val_Elem105` varchar(6) DEFAULT NULL,
  `Val_Elem002` varchar(6) DEFAULT NULL,
  `Val_Elem003` varchar(6) DEFAULT NULL,
  `Val_Elem099` varchar(6) DEFAULT NULL,
  `Val_Elem072` varchar(6) DEFAULT NULL,
  `Val_Elem073` varchar(6) DEFAULT NULL,
  `Val_Elem074` varchar(6) DEFAULT NULL,
  `Val_Elem554` varchar(6) DEFAULT NULL,
  `Val_Elem075` varchar(6) DEFAULT NULL,
  `Val_Elem076` varchar(6) DEFAULT NULL,
  `Val_Elem561` varchar(6) DEFAULT NULL,
  `Val_Elem562` varchar(6) DEFAULT NULL,
  `Val_Elem563` varchar(6) DEFAULT NULL,
  `Val_Elem513` varchar(6) DEFAULT NULL,
  `Val_Elem005` varchar(6) DEFAULT NULL,
  `Val_Elem504` varchar(6) DEFAULT NULL,
  `Val_Elem532` varchar(6) DEFAULT NULL,
  `Val_Elem137` varchar(6) DEFAULT NULL,
  `Val_Elem018` varchar(6) DEFAULT NULL,
  `Val_Elem518` varchar(6) DEFAULT NULL,
  `Val_Elem511` varchar(6) DEFAULT NULL,
  `Val_Elem512` varchar(6) DEFAULT NULL,
  `Val_Elem503` varchar(6) DEFAULT NULL,
  `Val_Elem515` varchar(6) DEFAULT NULL,
  `Val_Elem564` varchar(6) DEFAULT NULL,
  `Val_Elem565` varchar(6) DEFAULT NULL,
  `Val_Elem566` varchar(6) DEFAULT NULL,
  `Val_Elem531` varchar(6) DEFAULT NULL,
  `Val_Elem530` varchar(6) DEFAULT NULL,
  `Val_Elem541` varchar(6) DEFAULT NULL,
  `Val_Elem542` varchar(6) DEFAULT NULL,
  `Flag101` varchar(1) DEFAULT NULL,
  `Flag102` varchar(1) DEFAULT NULL,
  `Flag103` varchar(1) DEFAULT NULL,
  `Flag105` varchar(1) DEFAULT NULL,
  `Flag002` varchar(1) DEFAULT NULL,
  `Flag003` varchar(1) DEFAULT NULL,
  `Flag099` varchar(1) DEFAULT NULL,
  `Flag072` varchar(1) DEFAULT NULL,
  `Flag073` varchar(1) DEFAULT NULL,
  `Flag074` varchar(1) DEFAULT NULL,
  `Flag554` varchar(1) DEFAULT NULL,
  `Flag075` varchar(1) DEFAULT NULL,
  `Flag076` varchar(1) DEFAULT NULL,
  `Flag561` varchar(1) DEFAULT NULL,
  `Flag562` varchar(1) DEFAULT NULL,
  `Flag563` varchar(1) DEFAULT NULL,
  `Flag513` varchar(1) DEFAULT NULL,
  `Flag005` varchar(1) DEFAULT NULL,
  `Flag504` varchar(1) DEFAULT NULL,
  `Flag532` varchar(1) DEFAULT NULL,
  `Flag137` varchar(1) DEFAULT NULL,
  `Flag018` varchar(1) DEFAULT NULL,
  `Flag518` varchar(1) DEFAULT NULL,
  `Flag511` varchar(1) DEFAULT NULL,
  `Flag512` varchar(1) DEFAULT NULL,
  `Flag503` varchar(1) DEFAULT NULL,
  `Flag515` varchar(1) DEFAULT NULL,
  `Flag564` varchar(1) DEFAULT NULL,
  `Flag565` varchar(1) DEFAULT NULL,
  `Flag566` varchar(1) DEFAULT NULL,
  `Flag531` varchar(1) DEFAULT NULL,
  `Flag530` varchar(1) DEFAULT NULL,
  `Flag541` varchar(1) DEFAULT NULL,
  `Flag542` varchar(1) DEFAULT NULL,
  `signature` varchar(45) DEFAULT NULL,
  `entryDatetime` datetime DEFAULT NULL,
  PRIMARY KEY (`stationId`,`yyyy`,`mm`,`dd`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_test_db_v4.form_agro1: ~0 rows (approximately)
/*!40000 ALTER TABLE `form_agro1` DISABLE KEYS */;
/*!40000 ALTER TABLE `form_agro1` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_test_db_v4.form_daily2
CREATE TABLE IF NOT EXISTS `form_daily2` (
  `stationId` varchar(50) NOT NULL,
  `elementId` int(11) NOT NULL,
  `yyyy` int(11) NOT NULL,
  `mm` int(11) NOT NULL,
  `hh` int(11) NOT NULL,
  `day01` varchar(45) DEFAULT NULL,
  `day02` varchar(45) DEFAULT NULL,
  `day03` varchar(45) DEFAULT NULL,
  `day04` varchar(45) DEFAULT NULL,
  `day05` varchar(45) DEFAULT NULL,
  `day06` varchar(45) DEFAULT NULL,
  `day07` varchar(45) DEFAULT NULL,
  `day08` varchar(45) DEFAULT NULL,
  `day09` varchar(45) DEFAULT NULL,
  `day10` varchar(45) DEFAULT NULL,
  `day11` varchar(45) DEFAULT NULL,
  `day12` varchar(45) DEFAULT NULL,
  `day13` varchar(45) DEFAULT NULL,
  `day14` varchar(45) DEFAULT NULL,
  `day15` varchar(45) DEFAULT NULL,
  `day16` varchar(45) DEFAULT NULL,
  `day17` varchar(45) DEFAULT NULL,
  `day18` varchar(45) DEFAULT NULL,
  `day19` varchar(45) DEFAULT NULL,
  `day20` varchar(45) DEFAULT NULL,
  `day21` varchar(45) DEFAULT NULL,
  `day22` varchar(45) DEFAULT NULL,
  `day23` varchar(45) DEFAULT NULL,
  `day24` varchar(45) DEFAULT NULL,
  `day25` varchar(45) DEFAULT NULL,
  `day26` varchar(45) DEFAULT NULL,
  `day27` varchar(45) DEFAULT NULL,
  `day28` varchar(45) DEFAULT NULL,
  `day29` varchar(45) DEFAULT NULL,
  `day30` varchar(45) DEFAULT NULL,
  `day31` varchar(45) DEFAULT NULL,
  `flag01` varchar(1) DEFAULT NULL,
  `flag02` varchar(1) DEFAULT NULL,
  `flag03` varchar(1) DEFAULT NULL,
  `flag04` varchar(1) DEFAULT NULL,
  `flag05` varchar(1) DEFAULT NULL,
  `flag06` varchar(1) DEFAULT NULL,
  `flag07` varchar(1) DEFAULT NULL,
  `flag08` varchar(1) DEFAULT NULL,
  `flag09` varchar(1) DEFAULT NULL,
  `flag10` varchar(1) DEFAULT NULL,
  `flag11` varchar(1) DEFAULT NULL,
  `flag12` varchar(1) DEFAULT NULL,
  `flag13` varchar(1) DEFAULT NULL,
  `flag14` varchar(1) DEFAULT NULL,
  `flag15` varchar(1) DEFAULT NULL,
  `flag16` varchar(1) DEFAULT NULL,
  `flag17` varchar(1) DEFAULT NULL,
  `flag18` varchar(1) DEFAULT NULL,
  `flag19` varchar(1) DEFAULT NULL,
  `flag20` varchar(1) DEFAULT NULL,
  `flag21` varchar(1) DEFAULT NULL,
  `flag22` varchar(1) DEFAULT NULL,
  `flag23` varchar(1) DEFAULT NULL,
  `flag24` varchar(1) DEFAULT NULL,
  `flag25` varchar(1) DEFAULT NULL,
  `flag26` varchar(1) DEFAULT NULL,
  `flag27` varchar(1) DEFAULT NULL,
  `flag28` varchar(1) DEFAULT NULL,
  `flag29` varchar(1) DEFAULT NULL,
  `flag30` varchar(1) DEFAULT NULL,
  `flag31` varchar(1) DEFAULT NULL,
  `period01` varchar(45) DEFAULT NULL,
  `period02` varchar(45) DEFAULT NULL,
  `period03` varchar(45) DEFAULT NULL,
  `period04` varchar(45) DEFAULT NULL,
  `period05` varchar(45) DEFAULT NULL,
  `period06` varchar(45) DEFAULT NULL,
  `period07` varchar(45) DEFAULT NULL,
  `period08` varchar(45) DEFAULT NULL,
  `period09` varchar(45) DEFAULT NULL,
  `period10` varchar(45) DEFAULT NULL,
  `period11` varchar(45) DEFAULT NULL,
  `period12` varchar(45) DEFAULT NULL,
  `period13` varchar(45) DEFAULT NULL,
  `period14` varchar(45) DEFAULT NULL,
  `period15` varchar(45) DEFAULT NULL,
  `period16` varchar(45) DEFAULT NULL,
  `period17` varchar(45) DEFAULT NULL,
  `period18` varchar(45) DEFAULT NULL,
  `period19` varchar(45) DEFAULT NULL,
  `period20` varchar(45) DEFAULT NULL,
  `period21` varchar(45) DEFAULT NULL,
  `period22` varchar(45) DEFAULT NULL,
  `period23` varchar(45) DEFAULT NULL,
  `period24` varchar(45) DEFAULT NULL,
  `period25` varchar(45) DEFAULT NULL,
  `period26` varchar(45) DEFAULT NULL,
  `period27` varchar(45) DEFAULT NULL,
  `period28` varchar(45) DEFAULT NULL,
  `period29` varchar(45) DEFAULT NULL,
  `period30` varchar(45) DEFAULT NULL,
  `period31` varchar(45) DEFAULT NULL,
  `total` varchar(45) DEFAULT NULL,
  `signature` varchar(45) DEFAULT NULL,
  `entryDatetime` datetime DEFAULT NULL,
  `temperatureUnits` varchar(45) DEFAULT NULL,
  `precipUnits` varchar(45) DEFAULT NULL,
  `cloudHeightUnits` varchar(45) DEFAULT NULL,
  `visUnits` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`stationId`,`elementId`,`yyyy`,`mm`,`hh`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- Dumping data for table mariadb_climsoft_test_db_v4.form_daily2: ~0 rows (approximately)
/*!40000 ALTER TABLE `form_daily2` DISABLE KEYS */;
/*!40000 ALTER TABLE `form_daily2` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_test_db_v4.form_hourly
CREATE TABLE IF NOT EXISTS `form_hourly` (
  `stationId` varchar(50) NOT NULL,
  `elementId` int(11) NOT NULL,
  `yyyy` int(11) NOT NULL,
  `mm` int(11) NOT NULL,
  `dd` int(11) NOT NULL,
  `hh_00` varchar(50) DEFAULT NULL,
  `hh_01` varchar(50) DEFAULT NULL,
  `hh_02` varchar(50) DEFAULT NULL,
  `hh_03` varchar(50) DEFAULT NULL,
  `hh_04` varchar(50) DEFAULT NULL,
  `hh_05` varchar(50) DEFAULT NULL,
  `hh_06` varchar(50) DEFAULT NULL,
  `hh_07` varchar(50) DEFAULT NULL,
  `hh_08` varchar(50) DEFAULT NULL,
  `hh_09` varchar(50) DEFAULT NULL,
  `hh_10` varchar(50) DEFAULT NULL,
  `hh_11` varchar(50) DEFAULT NULL,
  `hh_12` varchar(50) DEFAULT NULL,
  `hh_13` varchar(50) DEFAULT NULL,
  `hh_14` varchar(50) DEFAULT NULL,
  `hh_15` varchar(50) DEFAULT NULL,
  `hh_16` varchar(50) DEFAULT NULL,
  `hh_17` varchar(50) DEFAULT NULL,
  `hh_18` varchar(50) DEFAULT NULL,
  `hh_19` varchar(50) DEFAULT NULL,
  `hh_20` varchar(50) DEFAULT NULL,
  `hh_21` varchar(50) DEFAULT NULL,
  `hh_22` varchar(50) DEFAULT NULL,
  `hh_23` varchar(50) DEFAULT NULL,
  `flag00` varchar(50) DEFAULT NULL,
  `flag01` varchar(50) DEFAULT NULL,
  `flag02` varchar(50) DEFAULT NULL,
  `flag03` varchar(50) DEFAULT NULL,
  `flag04` varchar(50) DEFAULT NULL,
  `flag05` varchar(50) DEFAULT NULL,
  `flag06` varchar(50) DEFAULT NULL,
  `flag07` varchar(50) DEFAULT NULL,
  `flag08` varchar(50) DEFAULT NULL,
  `flag09` varchar(50) DEFAULT NULL,
  `flag10` varchar(50) DEFAULT NULL,
  `flag11` varchar(50) DEFAULT NULL,
  `flag12` varchar(50) DEFAULT NULL,
  `flag13` varchar(50) DEFAULT NULL,
  `flag14` varchar(50) DEFAULT NULL,
  `flag15` varchar(50) DEFAULT NULL,
  `flag16` varchar(50) DEFAULT NULL,
  `flag17` varchar(50) DEFAULT NULL,
  `flag18` varchar(50) DEFAULT NULL,
  `flag19` varchar(50) DEFAULT NULL,
  `flag20` varchar(50) DEFAULT NULL,
  `flag21` varchar(50) DEFAULT NULL,
  `flag22` varchar(50) DEFAULT NULL,
  `flag23` varchar(50) DEFAULT NULL,
  `total` varchar(50) DEFAULT NULL,
  `signature` varchar(50) DEFAULT NULL,
  `entryDatetime` datetime DEFAULT NULL,
  PRIMARY KEY (`stationId`,`elementId`,`yyyy`,`mm`,`dd`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- Dumping data for table mariadb_climsoft_test_db_v4.form_hourly: ~0 rows (approximately)
/*!40000 ALTER TABLE `form_hourly` DISABLE KEYS */;
/*!40000 ALTER TABLE `form_hourly` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_test_db_v4.form_hourlywind
CREATE TABLE IF NOT EXISTS `form_hourlywind` (
  `stationId` varchar(255) NOT NULL,
  `yyyy` int(11) NOT NULL,
  `mm` int(11) NOT NULL,
  `dd` int(11) NOT NULL,
  `elem_112_00` varchar(255) DEFAULT NULL,
  `elem_112_01` varchar(255) DEFAULT NULL,
  `elem_112_02` varchar(255) DEFAULT NULL,
  `elem_112_03` varchar(255) DEFAULT NULL,
  `elem_112_04` varchar(255) DEFAULT NULL,
  `elem_112_05` varchar(255) DEFAULT NULL,
  `elem_112_06` varchar(255) DEFAULT NULL,
  `elem_112_07` varchar(255) DEFAULT NULL,
  `elem_112_08` varchar(255) DEFAULT NULL,
  `elem_112_09` varchar(255) DEFAULT NULL,
  `elem_112_10` varchar(255) DEFAULT NULL,
  `elem_112_11` varchar(255) DEFAULT NULL,
  `elem_112_12` varchar(255) DEFAULT NULL,
  `elem_112_13` varchar(255) DEFAULT NULL,
  `elem_112_14` varchar(255) DEFAULT NULL,
  `elem_112_15` varchar(255) DEFAULT NULL,
  `elem_112_16` varchar(255) DEFAULT NULL,
  `elem_112_17` varchar(255) DEFAULT NULL,
  `elem_112_18` varchar(255) DEFAULT NULL,
  `elem_112_19` varchar(255) DEFAULT NULL,
  `elem_112_20` varchar(255) DEFAULT NULL,
  `elem_112_21` varchar(255) DEFAULT NULL,
  `elem_112_22` varchar(255) DEFAULT NULL,
  `elem_112_23` varchar(255) DEFAULT NULL,
  `ddflag00` varchar(255) DEFAULT NULL,
  `ddflag01` varchar(255) DEFAULT NULL,
  `ddflag02` varchar(255) DEFAULT NULL,
  `ddflag03` varchar(255) DEFAULT NULL,
  `ddflag04` varchar(255) DEFAULT NULL,
  `ddflag05` varchar(255) DEFAULT NULL,
  `ddflag06` varchar(255) DEFAULT NULL,
  `ddflag07` varchar(255) DEFAULT NULL,
  `ddflag08` varchar(255) DEFAULT NULL,
  `ddflag09` varchar(255) DEFAULT NULL,
  `ddflag10` varchar(255) DEFAULT NULL,
  `ddflag11` varchar(255) DEFAULT NULL,
  `ddflag12` varchar(255) DEFAULT NULL,
  `ddflag13` varchar(255) DEFAULT NULL,
  `ddflag14` varchar(255) DEFAULT NULL,
  `ddflag15` varchar(255) DEFAULT NULL,
  `ddflag16` varchar(255) DEFAULT NULL,
  `ddflag17` varchar(255) DEFAULT NULL,
  `ddflag18` varchar(255) DEFAULT NULL,
  `ddflag19` varchar(255) DEFAULT NULL,
  `ddflag20` varchar(255) DEFAULT NULL,
  `ddflag21` varchar(255) DEFAULT NULL,
  `ddflag22` varchar(255) DEFAULT NULL,
  `ddflag23` varchar(255) DEFAULT NULL,
  `elem_111_00` varchar(255) DEFAULT NULL,
  `elem_111_01` varchar(255) DEFAULT NULL,
  `elem_111_02` varchar(255) DEFAULT NULL,
  `elem_111_03` varchar(255) DEFAULT NULL,
  `elem_111_04` varchar(255) DEFAULT NULL,
  `elem_111_05` varchar(255) DEFAULT NULL,
  `elem_111_06` varchar(255) DEFAULT NULL,
  `elem_111_07` varchar(255) DEFAULT NULL,
  `elem_111_08` varchar(255) DEFAULT NULL,
  `elem_111_09` varchar(255) DEFAULT NULL,
  `elem_111_10` varchar(255) DEFAULT NULL,
  `elem_111_11` varchar(255) DEFAULT NULL,
  `elem_111_12` varchar(255) DEFAULT NULL,
  `elem_111_13` varchar(255) DEFAULT NULL,
  `elem_111_14` varchar(255) DEFAULT NULL,
  `elem_111_15` varchar(255) DEFAULT NULL,
  `elem_111_16` varchar(255) DEFAULT NULL,
  `elem_111_17` varchar(255) DEFAULT NULL,
  `elem_111_18` varchar(255) DEFAULT NULL,
  `elem_111_19` varchar(255) DEFAULT NULL,
  `elem_111_20` varchar(255) DEFAULT NULL,
  `elem_111_21` varchar(255) DEFAULT NULL,
  `elem_111_22` varchar(255) DEFAULT NULL,
  `elem_111_23` varchar(255) DEFAULT NULL,
  `total` varchar(50) DEFAULT NULL,
  `signature` varchar(50) DEFAULT NULL,
  `entryDatetime` datetime DEFAULT NULL,
  PRIMARY KEY (`stationId`,`yyyy`,`mm`,`dd`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- Dumping data for table mariadb_climsoft_test_db_v4.form_hourlywind: ~0 rows (approximately)
/*!40000 ALTER TABLE `form_hourlywind` DISABLE KEYS */;
/*!40000 ALTER TABLE `form_hourlywind` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_test_db_v4.form_hourly_time_selection
CREATE TABLE IF NOT EXISTS `form_hourly_time_selection` (
  `hh` int(11) NOT NULL,
  `hh_selection` tinyint(4) DEFAULT NULL,
  PRIMARY KEY (`hh`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_test_db_v4.form_hourly_time_selection: ~24 rows (approximately)
/*!40000 ALTER TABLE `form_hourly_time_selection` DISABLE KEYS */;
INSERT INTO `form_hourly_time_selection` (`hh`, `hh_selection`) VALUES
	(0, 0),
	(1, 0),
	(2, 0),
	(3, 1),
	(4, 0),
	(5, 0),
	(6, 1),
	(7, 0),
	(8, 0),
	(9, 1),
	(10, 0),
	(11, 0),
	(12, 1),
	(13, 0),
	(14, 0),
	(15, 1),
	(16, 0),
	(17, 0),
	(18, 1),
	(19, 0),
	(20, 0),
	(21, 1),
	(22, 0),
	(23, 0);
/*!40000 ALTER TABLE `form_hourly_time_selection` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_test_db_v4.form_monthly
CREATE TABLE IF NOT EXISTS `form_monthly` (
  `stationId` varchar(255) NOT NULL,
  `elementId` int(11) NOT NULL,
  `yyyy` int(11) NOT NULL,
  `mm_01` varchar(255) DEFAULT NULL,
  `mm_02` varchar(255) DEFAULT NULL,
  `mm_03` varchar(255) DEFAULT NULL,
  `mm_04` varchar(255) NOT NULL,
  `mm_05` varchar(255) DEFAULT NULL,
  `mm_06` varchar(255) DEFAULT NULL,
  `mm_07` varchar(255) DEFAULT NULL,
  `mm_08` varchar(255) DEFAULT NULL,
  `mm_09` varchar(255) DEFAULT NULL,
  `mm_10` varchar(255) DEFAULT NULL,
  `mm_11` varchar(255) DEFAULT NULL,
  `mm_12` varchar(255) DEFAULT NULL,
  `flag01` varchar(255) DEFAULT NULL,
  `flag02` varchar(255) DEFAULT NULL,
  `flag03` varchar(255) DEFAULT NULL,
  `flag04` varchar(255) DEFAULT NULL,
  `flag05` varchar(255) DEFAULT NULL,
  `flag06` varchar(255) DEFAULT NULL,
  `flag07` varchar(255) DEFAULT NULL,
  `flag08` varchar(255) DEFAULT NULL,
  `flag09` varchar(255) DEFAULT NULL,
  `flag10` varchar(255) DEFAULT NULL,
  `flag11` varchar(255) DEFAULT NULL,
  `flag12` varchar(255) DEFAULT NULL,
  `period01` varchar(255) DEFAULT NULL,
  `period02` varchar(255) DEFAULT NULL,
  `period03` varchar(255) DEFAULT NULL,
  `period04` varchar(255) DEFAULT NULL,
  `period05` varchar(255) DEFAULT NULL,
  `period06` varchar(255) DEFAULT NULL,
  `period07` varchar(255) DEFAULT NULL,
  `period08` varchar(255) DEFAULT NULL,
  `period09` varchar(255) DEFAULT NULL,
  `period10` varchar(255) DEFAULT NULL,
  `period11` varchar(255) DEFAULT NULL,
  `period12` varchar(255) DEFAULT NULL,
  `signature` varchar(50) DEFAULT NULL,
  `entryDatetime` datetime DEFAULT NULL,
  PRIMARY KEY (`stationId`,`elementId`,`yyyy`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- Dumping data for table mariadb_climsoft_test_db_v4.form_monthly: ~1 rows (approximately)
/*!40000 ALTER TABLE `form_monthly` DISABLE KEYS */;
INSERT INTO `form_monthly` (`stationId`, `elementId`, `yyyy`, `mm_01`, `mm_02`, `mm_03`, `mm_04`, `mm_05`, `mm_06`, `mm_07`, `mm_08`, `mm_09`, `mm_10`, `mm_11`, `mm_12`, `flag01`, `flag02`, `flag03`, `flag04`, `flag05`, `flag06`, `flag07`, `flag08`, `flag09`, `flag10`, `flag11`, `flag12`, `period01`, `period02`, `period03`, `period04`, `period05`, `period06`, `period07`, `period08`, `period09`, `period10`, `period11`, `period12`, `signature`, `entryDatetime`) VALUES
	('67755030', 2, 2018, '312', '', '', '', '', '', '', '', '', '', '321', '', '', 'M', 'M', 'M', 'M', 'M', 'M', 'M', 'M', 'M', '', 'M', '31', '28', '31', '30', '31', '30', '31', '31', '30', '31', '30', '31', 'root', '2018-09-20 16:36:54');
/*!40000 ALTER TABLE `form_monthly` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_test_db_v4.form_synoptic2_tdcf
CREATE TABLE IF NOT EXISTS `form_synoptic2_tdcf` (
  `stationId` varchar(10) NOT NULL,
  `yyyy` bigint(20) NOT NULL,
  `mm` bigint(20) NOT NULL,
  `dd` bigint(20) NOT NULL,
  `hh` varchar(5) NOT NULL,
  `106` varchar(6) DEFAULT NULL,
  `107` varchar(6) DEFAULT NULL,
  `399` varchar(5) DEFAULT NULL,
  `301` varchar(8) DEFAULT NULL,
  `185` varchar(6) DEFAULT NULL,
  `101` varchar(5) DEFAULT NULL,
  `103` varchar(5) DEFAULT NULL,
  `105` varchar(50) DEFAULT NULL,
  `110` varchar(5) DEFAULT NULL,
  `114` varchar(5) DEFAULT NULL,
  `115` varchar(5) DEFAULT NULL,
  `168` varchar(5) DEFAULT NULL,
  `192` varchar(5) DEFAULT NULL,
  `169` varchar(5) DEFAULT NULL,
  `170` varchar(5) DEFAULT NULL,
  `171` varchar(5) DEFAULT NULL,
  `119` varchar(5) DEFAULT NULL,
  `116` varchar(5) DEFAULT NULL,
  `117` varchar(5) DEFAULT NULL,
  `118` varchar(5) DEFAULT NULL,
  `123` varchar(5) DEFAULT NULL,
  `120` varchar(5) DEFAULT NULL,
  `121` varchar(5) DEFAULT NULL,
  `122` varchar(5) DEFAULT NULL,
  `127` varchar(5) DEFAULT NULL,
  `124` varchar(5) DEFAULT NULL,
  `125` varchar(5) DEFAULT NULL,
  `126` varchar(5) DEFAULT NULL,
  `131` varchar(5) DEFAULT NULL,
  `128` varchar(5) DEFAULT NULL,
  `129` varchar(5) DEFAULT NULL,
  `130` varchar(5) DEFAULT NULL,
  `167` varchar(5) DEFAULT NULL,
  `197` varchar(50) DEFAULT NULL,
  `193` varchar(5) DEFAULT NULL,
  `18` varchar(6) DEFAULT NULL,
  `532` varchar(6) DEFAULT NULL,
  `132` varchar(6) DEFAULT NULL,
  `5` varchar(6) DEFAULT NULL,
  `174` varchar(50) DEFAULT NULL,
  `3` varchar(5) DEFAULT NULL,
  `2` varchar(5) DEFAULT NULL,
  `112` varchar(5) DEFAULT NULL,
  `111` varchar(5) DEFAULT NULL,
  `85` varchar(50) DEFAULT NULL,
  `flag1` varchar(1) DEFAULT NULL,
  `flag2` varchar(1) DEFAULT NULL,
  `flag3` varchar(1) DEFAULT NULL,
  `flag4` varchar(1) DEFAULT NULL,
  `flag5` varchar(1) DEFAULT NULL,
  `flag6` varchar(1) DEFAULT NULL,
  `flag7` varchar(1) DEFAULT NULL,
  `flag8` varchar(1) DEFAULT NULL,
  `flag9` varchar(1) DEFAULT NULL,
  `flag10` varchar(1) DEFAULT NULL,
  `flag11` varchar(1) DEFAULT NULL,
  `flag12` varchar(1) DEFAULT NULL,
  `flag13` varchar(1) DEFAULT NULL,
  `flag14` varchar(1) DEFAULT NULL,
  `flag15` varchar(1) DEFAULT NULL,
  `flag16` varchar(1) DEFAULT NULL,
  `flag17` varchar(1) DEFAULT NULL,
  `flag18` varchar(1) DEFAULT NULL,
  `flag19` varchar(1) DEFAULT NULL,
  `flag20` varchar(1) DEFAULT NULL,
  `flag21` varchar(1) DEFAULT NULL,
  `flag22` varchar(1) DEFAULT NULL,
  `flag23` varchar(1) DEFAULT NULL,
  `flag24` varchar(1) DEFAULT NULL,
  `flag25` varchar(1) DEFAULT NULL,
  `flag26` varchar(1) DEFAULT NULL,
  `flag27` varchar(1) DEFAULT NULL,
  `flag28` varchar(1) DEFAULT NULL,
  `flag29` varchar(1) DEFAULT NULL,
  `flag30` varchar(1) DEFAULT NULL,
  `flag31` varchar(1) DEFAULT NULL,
  `flag32` varchar(1) DEFAULT NULL,
  `flag33` varchar(1) DEFAULT NULL,
  `flag34` varchar(1) DEFAULT NULL,
  `flag35` varchar(1) DEFAULT NULL,
  `flag36` varchar(1) DEFAULT NULL,
  `flag37` varchar(1) DEFAULT NULL,
  `flag38` varchar(1) DEFAULT NULL,
  `flag39` varchar(1) DEFAULT NULL,
  `flag40` varchar(1) DEFAULT NULL,
  `flag41` varchar(1) DEFAULT NULL,
  `flag42` varchar(1) DEFAULT NULL,
  `flag43` varchar(1) DEFAULT NULL,
  `flag44` varchar(1) DEFAULT NULL,
  `flag45` varchar(1) DEFAULT NULL,
  `signature` varchar(50) DEFAULT NULL,
  `entryDatetime` datetime DEFAULT NULL,
  PRIMARY KEY (`stationId`,`yyyy`,`mm`,`dd`,`hh`),
  UNIQUE KEY `Identification` (`stationId`,`yyyy`,`mm`,`dd`,`hh`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- Dumping data for table mariadb_climsoft_test_db_v4.form_synoptic2_tdcf: ~0 rows (approximately)
/*!40000 ALTER TABLE `form_synoptic2_tdcf` DISABLE KEYS */;
/*!40000 ALTER TABLE `form_synoptic2_tdcf` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_test_db_v4.form_synoptic_2_ra1
CREATE TABLE IF NOT EXISTS `form_synoptic_2_ra1` (
  `stationId` varchar(50) NOT NULL DEFAULT '',
  `yyyy` int(11) NOT NULL,
  `mm` int(11) NOT NULL,
  `dd` int(11) NOT NULL,
  `hh` int(11) NOT NULL,
  `Val_Elem106` varchar(6) DEFAULT NULL,
  `Val_Elem107` varchar(6) DEFAULT NULL,
  `Val_Elem400` varchar(6) DEFAULT NULL,
  `Val_Elem814` varchar(6) DEFAULT NULL,
  `Val_Elem399` varchar(6) DEFAULT NULL,
  `Val_Elem301` varchar(6) DEFAULT NULL,
  `Val_Elem185` varchar(6) DEFAULT NULL,
  `Val_Elem101` varchar(6) DEFAULT NULL,
  `Val_Elem102` varchar(6) DEFAULT NULL,
  `Val_Elem103` varchar(6) DEFAULT NULL,
  `Val_Elem105` varchar(6) DEFAULT NULL,
  `Val_Elem192` varchar(6) DEFAULT NULL,
  `Val_Elem110` varchar(6) DEFAULT NULL,
  `Val_Elem114` varchar(6) DEFAULT NULL,
  `Val_Elem112` varchar(6) DEFAULT NULL,
  `Val_Elem111` varchar(6) DEFAULT NULL,
  `Val_Elem167` varchar(6) DEFAULT NULL,
  `Val_Elem197` varchar(6) DEFAULT NULL,
  `Val_Elem193` varchar(6) DEFAULT NULL,
  `Val_Elem115` varchar(6) DEFAULT NULL,
  `Val_Elem168` varchar(6) DEFAULT NULL,
  `Val_Elem169` varchar(6) DEFAULT NULL,
  `Val_Elem170` varchar(6) DEFAULT NULL,
  `Val_Elem171` varchar(6) DEFAULT NULL,
  `Val_Elem119` varchar(6) DEFAULT NULL,
  `Val_Elem116` varchar(6) DEFAULT NULL,
  `Val_Elem117` varchar(6) DEFAULT NULL,
  `Val_Elem118` varchar(6) DEFAULT NULL,
  `Val_Elem123` varchar(6) DEFAULT NULL,
  `Val_Elem120` varchar(6) DEFAULT NULL,
  `Val_Elem121` varchar(6) DEFAULT NULL,
  `Val_Elem122` varchar(6) DEFAULT NULL,
  `Val_Elem127` varchar(6) DEFAULT NULL,
  `Val_Elem124` varchar(6) DEFAULT NULL,
  `Val_Elem125` varchar(6) DEFAULT NULL,
  `Val_Elem126` varchar(6) DEFAULT NULL,
  `Val_Elem131` varchar(6) DEFAULT NULL,
  `Val_Elem128` varchar(6) DEFAULT NULL,
  `Val_Elem129` varchar(6) DEFAULT NULL,
  `Val_Elem130` varchar(6) DEFAULT NULL,
  `Val_Elem002` varchar(6) DEFAULT NULL,
  `Val_Elem003` varchar(6) DEFAULT NULL,
  `Val_Elem099` varchar(6) DEFAULT NULL,
  `Val_Elem018` varchar(6) DEFAULT NULL,
  `Val_Elem084` varchar(6) DEFAULT NULL,
  `Val_Elem132` varchar(6) DEFAULT NULL,
  `Val_Elem005` varchar(6) DEFAULT NULL,
  `Val_Elem174` varchar(6) DEFAULT NULL,
  `Val_Elem046` varchar(6) DEFAULT NULL,
  `Flag106` varchar(1) DEFAULT NULL,
  `Flag107` varchar(1) DEFAULT NULL,
  `Flag400` varchar(1) DEFAULT NULL,
  `Flag814` varchar(1) DEFAULT NULL,
  `Flag399` varchar(1) DEFAULT NULL,
  `Flag301` varchar(1) DEFAULT NULL,
  `Flag185` varchar(1) DEFAULT NULL,
  `Flag101` varchar(1) DEFAULT NULL,
  `Flag102` varchar(1) DEFAULT NULL,
  `Flag103` varchar(1) DEFAULT NULL,
  `Flag105` varchar(1) DEFAULT NULL,
  `Flag192` varchar(1) DEFAULT NULL,
  `Flag110` varchar(1) DEFAULT NULL,
  `Flag114` varchar(1) DEFAULT NULL,
  `Flag112` varchar(1) DEFAULT NULL,
  `Flag111` varchar(1) DEFAULT NULL,
  `Flag167` varchar(1) DEFAULT NULL,
  `Flag197` varchar(1) DEFAULT NULL,
  `Flag193` varchar(1) DEFAULT NULL,
  `Flag115` varchar(1) DEFAULT NULL,
  `Flag168` varchar(1) DEFAULT NULL,
  `Flag169` varchar(1) DEFAULT NULL,
  `Flag170` varchar(1) DEFAULT NULL,
  `Flag171` varchar(1) DEFAULT NULL,
  `Flag119` varchar(1) DEFAULT NULL,
  `Flag116` varchar(1) DEFAULT NULL,
  `Flag117` varchar(1) DEFAULT NULL,
  `Flag118` varchar(1) DEFAULT NULL,
  `Flag123` varchar(1) DEFAULT NULL,
  `Flag120` varchar(1) DEFAULT NULL,
  `Flag121` varchar(1) DEFAULT NULL,
  `Flag122` varchar(1) DEFAULT NULL,
  `Flag127` varchar(1) DEFAULT NULL,
  `Flag124` varchar(1) DEFAULT NULL,
  `Flag125` varchar(1) DEFAULT NULL,
  `Flag126` varchar(1) DEFAULT NULL,
  `Flag131` varchar(1) DEFAULT NULL,
  `Flag128` varchar(1) DEFAULT NULL,
  `Flag129` varchar(1) DEFAULT NULL,
  `Flag130` varchar(1) DEFAULT NULL,
  `Flag002` varchar(1) DEFAULT NULL,
  `Flag003` varchar(1) DEFAULT NULL,
  `Flag099` varchar(1) DEFAULT NULL,
  `Flag018` varchar(1) DEFAULT NULL,
  `Flag084` varchar(1) DEFAULT NULL,
  `Flag132` varchar(1) DEFAULT NULL,
  `Flag005` varchar(1) DEFAULT NULL,
  `Flag174` varchar(1) DEFAULT NULL,
  `Flag046` varchar(1) DEFAULT NULL,
  `signature` varchar(45) DEFAULT NULL,
  `entryDatetime` datetime DEFAULT NULL,
  PRIMARY KEY (`stationId`,`yyyy`,`mm`,`dd`,`hh`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- Dumping data for table mariadb_climsoft_test_db_v4.form_synoptic_2_ra1: ~0 rows (approximately)
/*!40000 ALTER TABLE `form_synoptic_2_ra1` DISABLE KEYS */;
/*!40000 ALTER TABLE `form_synoptic_2_ra1` ENABLE KEYS */;


-- Dumping structure for procedure mariadb_climsoft_test_db_v4.gather_stats
DELIMITER //
CREATE DEFINER=`root`@`localhost` PROCEDURE `gather_stats`(
	IN `Stn` VARCHAR(255),
	IN `Elm` INT(11),
	IN `Opening_Date` DATETIME,
	IN `Closing_Date` DATETIME
)
BEGIN
IF Opening_Date < Closing_Date THEN
INSERT INTO missing_stats
SELECT recordedfrom,describedby,datediff(Closing_Date,Opening_Date)-COUNT(*) AS missing,Closing_Date,Opening_Date 
FROM observationfinal
WHERE recordedfrom = Stn
AND obsdatetime >= Opening_Date
AND obsdatetime <= Closing_Date
AND describedby = Elm
GROUP by recordedfrom,describedby;
END IF;
END//
DELIMITER ;


-- Dumping structure for table mariadb_climsoft_test_db_v4.instrument
CREATE TABLE IF NOT EXISTS `instrument` (
  `instrumentName` varchar(255) DEFAULT NULL,
  `instrumentId` varchar(255) NOT NULL,
  `serialNumber` varchar(255) DEFAULT NULL,
  `abbreviation` varchar(255) DEFAULT NULL,
  `model` varchar(255) DEFAULT NULL,
  `manufacturer` varchar(255) DEFAULT NULL,
  `instrumentUncertainty` float(11,6) DEFAULT NULL,
  `installationDatetime` varchar(50) DEFAULT NULL,
  `deinstallationDatetime` varchar(50) DEFAULT NULL,
  `height` varchar(255) DEFAULT NULL,
  `instrumentPicture` char(255) DEFAULT NULL,
  `installedAt` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`instrumentId`),
  KEY `code` (`instrumentId`),
  KEY `FK_mysql_climsoft_db_v4_instrument` (`installedAt`),
  CONSTRAINT `FK_mysql_climsoft_db_v4_instrument` FOREIGN KEY (`installedAt`) REFERENCES `station` (`stationId`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_test_db_v4.instrument: ~0 rows (approximately)
/*!40000 ALTER TABLE `instrument` DISABLE KEYS */;
/*!40000 ALTER TABLE `instrument` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_test_db_v4.instrumentfaultreport
CREATE TABLE IF NOT EXISTS `instrumentfaultreport` (
  `refersTo` varchar(255) DEFAULT NULL,
  `reportId` bigint(20) NOT NULL,
  `reportDatetime` varchar(50) DEFAULT NULL,
  `faultDescription` varchar(255) DEFAULT NULL,
  `reportedBy` varchar(255) DEFAULT NULL,
  `receivedDatetime` varchar(50) DEFAULT NULL,
  `receivedBy` varchar(255) DEFAULT NULL,
  `reportedFrom` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`reportId`),
  UNIQUE KEY `instrument_report` (`refersTo`,`reportDatetime`,`reportedFrom`),
  KEY `report_id` (`reportId`),
  KEY `FK_mysql_climsoft_db_v4_station_instrumentFaultReport` (`reportedFrom`),
  CONSTRAINT `FK_mysql_climsoft_db_v4_instrument_instrumentFaultReport` FOREIGN KEY (`refersTo`) REFERENCES `instrument` (`instrumentId`),
  CONSTRAINT `FK_mysql_climsoft_db_v4_station_instrumentFaultReport` FOREIGN KEY (`reportedFrom`) REFERENCES `station` (`stationId`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_test_db_v4.instrumentfaultreport: ~0 rows (approximately)
/*!40000 ALTER TABLE `instrumentfaultreport` DISABLE KEYS */;
/*!40000 ALTER TABLE `instrumentfaultreport` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_test_db_v4.instrumentinspection
CREATE TABLE IF NOT EXISTS `instrumentinspection` (
  `performedOn` varchar(255) DEFAULT NULL,
  `inspectionDatetime` varchar(50) DEFAULT NULL,
  `performedBy` varchar(255) DEFAULT NULL,
  `status` varchar(255) DEFAULT NULL,
  `remarks` varchar(255) DEFAULT NULL,
  `performedAt` varchar(255) DEFAULT NULL,
  UNIQUE KEY `inspection` (`performedOn`,`inspectionDatetime`),
  KEY `FK_mysql_climsoft_db_v4_station_instrumentInspection` (`performedAt`),
  CONSTRAINT `FK_mysql_climsoft_db_v4_instrument_instrumentInspection` FOREIGN KEY (`performedOn`) REFERENCES `instrument` (`instrumentId`),
  CONSTRAINT `FK_mysql_climsoft_db_v4_station_instrumentInspection` FOREIGN KEY (`performedAt`) REFERENCES `station` (`stationId`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_test_db_v4.instrumentinspection: ~0 rows (approximately)
/*!40000 ALTER TABLE `instrumentinspection` DISABLE KEYS */;
/*!40000 ALTER TABLE `instrumentinspection` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_test_db_v4.language_translation
CREATE TABLE IF NOT EXISTS `language_translation` (
  `tagID` varchar(50) NOT NULL,
  `en` varchar(100) DEFAULT NULL,
  `fr` varchar(100) DEFAULT NULL,
  `de` varchar(100) DEFAULT NULL,
  `pt` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`tagID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_test_db_v4.language_translation: ~9 rows (approximately)
/*!40000 ALTER TABLE `language_translation` DISABLE KEYS */;
INSERT INTO `language_translation` (`tagID`, `en`, `fr`, `de`, `pt`) VALUES
	('1', 'English', 'français', 'Deutsche', 'Português'),
	('btnBrowse', 'Browse', 'Parcourir', 'Blättern', 'Viagem'),
	('btnCancel', 'Cancel', 'Annuler', 'Stornieren', 'Cancelar'),
	('btnHelp', 'Help', 'Aide', 'Hilfe', 'Socorro'),
	('btnOk', 'OK', 'OK', 'OK', 'OK'),
	('lblDataFile', 'Data File', 'Fichier de données', 'Datendatei', 'Arquivo de dados'),
	('lblSchemaFile', 'Schema File', 'Fichier de schéma', 'Schemadatei', 'arquivo de esquema'),
	('msgNotYetImplemented', 'Documentation on this topic not yet available !', 'La documentation sur ce sujet ne sont pas encore disponibles!', 'Dokumentation zu diesem Thema noch nicht verfügbar!', 'Documentação sobre este tópico ainda não está disponível!'),
	('titleFormImportCSV', 'Import CLICOM Daily from CSV', 'Importer CLICOM Tous les jours de CSV', 'Import CLICOM Täglich von CSV', 'Import CLICOM Diárias a partir de CSV');
/*!40000 ALTER TABLE `language_translation` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_test_db_v4.missing_stats
CREATE TABLE IF NOT EXISTS `missing_stats` (
  `STN_ID` varchar(255) NOT NULL,
  `ELEM` bigint(20) NOT NULL,
  `MISSING` bigint(20) DEFAULT NULL,
  `Closing_Date` date NOT NULL,
  `Opening_Date` date NOT NULL,
  PRIMARY KEY (`STN_ID`,`ELEM`,`Closing_Date`,`Opening_Date`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_test_db_v4.missing_stats: ~0 rows (approximately)
/*!40000 ALTER TABLE `missing_stats` DISABLE KEYS */;
/*!40000 ALTER TABLE `missing_stats` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_test_db_v4.obselement
CREATE TABLE IF NOT EXISTS `obselement` (
  `elementId` bigint(20) NOT NULL DEFAULT '0',
  `abbreviation` varchar(255) DEFAULT NULL,
  `elementName` varchar(255) DEFAULT NULL,
  `description` varchar(255) DEFAULT NULL,
  `elementScale` decimal(8,2) DEFAULT NULL,
  `upperLimit` varchar(255) DEFAULT NULL,
  `lowerLimit` varchar(255) DEFAULT NULL,
  `units` varchar(255) DEFAULT NULL,
  `elementtype` varchar(50) DEFAULT NULL,
  `qcTotalRequired` int(11) DEFAULT '0',
  `selected` tinyint(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`elementId`),
  KEY `elementCode` (`elementId`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_test_db_v4.obselement: ~424 rows (approximately)
/*!40000 ALTER TABLE `obselement` DISABLE KEYS */;
INSERT INTO `obselement` (`elementId`, `abbreviation`, `elementName`, `description`, `elementScale`, `upperLimit`, `lowerLimit`, `units`, `elementtype`, `qcTotalRequired`, `selected`) VALUES
	(2, 'TMPMAX', 'Temp  Daily Max', 'Temperature  daily maximum', 0.10, '460.00', '130.00', 'Degrees C', 'daily\r', 0, 1),
	(3, 'TMPMIN', 'Temp  Daily Min', 'Temperature  daily minimum', 0.10, '200.00', '50.00', 'Degrees C', 'daily\r', 0, 1),
	(4, 'TMPMN', 'Temp  Daily Mean', 'Temperature  daily mean', 0.10, '', '', 'Degrees C', 'daily\r', 0, 0),
	(5, 'PRECIP', 'Precip  Daily', 'Precipitation  daily total', 0.10, '3000.00', '0.00', 'Millimeters', 'daily\r', 1, 1),
	(6, 'PRMX5', 'PRCP  Max 5 min', 'Precip  greatest amount in 5 minutes', 0.10, '', '', 'Millimeters', 'daily\r', 0, 0),
	(7, 'PRMX10', 'PRCP  Max 10 min', 'Precip  greatest amount in 10 minutes', 0.10, '', '', 'Millimeters', 'daily\r', 0, 0),
	(8, 'PRMX15', 'PRCP  Max 15 min', 'Precip  greatest amount in 15 minutes', 0.10, '', '', 'Millimeters', 'daily\r', 0, 0),
	(9, 'PRMX30', 'PRCP  Max 30 min', 'Precip  greatest amount in 30 minutes', 0.10, '', '', 'Millimeters', 'daily\r', 0, 0),
	(10, 'PRMX60', 'PRCP  Max 60 min', 'Precip  greatest amount in 60 minutes', 0.10, '', '', 'Millimeters', 'daily\r', 0, 0),
	(11, 'PRMX2H', 'PRCP  Max 2 hours', 'Precip  greatest amount in 2 hours', 0.10, '', '', 'Millimeters', 'daily\r', 0, 0),
	(12, 'DPTMAX', 'Temp  Dew Point Max', 'Temperature  dew point  daily maximum', 0.10, '', '', 'Degrees C', 'daily\r', 0, 0),
	(13, 'DPTMIN', 'Temp  Dew Point Min', 'Temperature  dew point  daily minimum', 0.10, '', '', 'Degrees C', 'daily\r', 0, 0),
	(14, 'DPTMN', 'Temp  Dew Point Mean', 'Temperature  dew point  daily mean', 0.10, '', '', 'Degrees C', 'daily\r', 0, 0),
	(15, 'RHMAX', 'RH  Daily Max', 'Relative humidity  daily maximum', 1.00, '100.00', '0.00', 'Percent', 'daily\r', 0, 0),
	(16, 'RHMIN', 'RH  Daily Min', 'Relative humidity  daily minimum', 1.00, '100.00', '0.00', 'Percent', 'daily\r', 0, 0),
	(17, 'RHMEAN', 'RH  Daily Mean', 'Relative humidity  daily mean', 1.00, '100.00', '0.00', 'Percent', 'daily\r', 0, 0),
	(18, 'EVAPPN1', 'Evap  Pan1 Daily', 'Evaporation  pan1  daily total', 0.10, '250.00', '0.00', 'Millimeters', 'daily\r', 0, 1),
	(19, 'EVAPLK', 'Evap  Lake Daily', 'Evaporation  lake  daily total', 0.10, '', '', 'Millimeters', 'daily\r', 0, 0),
	(20, 'MXTPAN', 'Temp  Evap Pan Max', 'Temperature  evaporation pan  daily maximum', 0.10, '', '', 'Degrees C', 'daily\r', 0, 0),
	(21, 'MNTPAN', 'Temp  Evap Pan Min', 'Temperature  evaporation pan  daily minimum', 0.10, '', '', 'Degrees C', 'daily\r', 0, 0),
	(22, 'MTPAN', 'Temp  Evap Pan Dly Mean', 'Temperature  evaporation pan  daily mean', 0.10, '', '', 'Degrees C', 'daily\r', 0, 0),
	(23, 'HTDD1', 'HTNG Degree Days Base1', 'Heating degree days - Base 1', 1.00, '', '', 'Unitless', 'daily\r', 0, 0),
	(24, 'HTDD2', 'HTNG Degree Days Base2', 'Heating degree days - Base 2', 1.00, '', '', 'Unitless', 'daily\r', 0, 0),
	(25, 'CDD1', 'CLNG Degree Base1', 'Cooling degree days - Base 1', 1.00, '', '', 'Unitless', 'daily\r', 0, 0),
	(26, 'CDD2', 'CLNG Degree Base2', 'Cooling degree days - Base 2', 1.00, '', '', 'Unitless', 'daily\r', 0, 0),
	(27, 'GDD1', 'GRNG Degree Days Base1', 'Growing degree days - Base 1', 1.00, '', '', 'Unitless', 'daily\r', 0, 0),
	(28, 'GDD2', 'GRNG Degree Days Base2', 'Growing degree days - Base 2', 1.00, '', '', 'Unitless', 'daily\r', 0, 0),
	(29, 'DYRAIN', 'Day with Rain', 'Day with rainfall', 1.00, '', '', 'Unitless', 'daily\r', 0, 0),
	(30, 'DYTHND', 'Day with Thunder', 'Day with thunderstorms', 1.00, '', '', 'Unitless', 'daily\r', 0, 0),
	(31, 'DYHAIL', 'Day with Hail', 'Day with hail', 1.00, '', '', 'Unitless', 'daily\r', 0, 0),
	(32, 'DYFOG', 'Day with Fog', 'Day with fog', 1.00, '', '', 'Unitless', 'daily\r', 0, 0),
	(33, 'DYSAND', 'Day with Dust', 'Day with blowing sand or dust', 1.00, '', '', 'Unitless', 'daily\r', 0, 0),
	(34, 'DYSMOK', 'Day with Smoke', 'Day with smoke or thick haze', 1.00, '', '', 'Unitless', 'daily\r', 0, 0),
	(35, 'DYSNOW', 'Day with Snow', 'Day with snow', 1.00, '', '', 'Unitless', 'daily\r', 0, 0),
	(36, 'DYBSNW', 'Day with Blw Snow', 'Day with blowing snow', 1.00, '', '', 'Unitless', 'daily\r', 0, 0),
	(37, 'DYWND1', 'Day with Wind 10ms', 'Day with wind greater than 10 meters/sec', 1.00, '', '', 'Unitless', 'daily\r', 0, 0),
	(38, 'DYWND5', 'Day with Wind 15ms', 'Day with wind greater than 15 meters/sec', 1.00, '', '', 'Unitless', 'daily\r', 0, 0),
	(39, 'DYGLAZ', 'Day with Glaze', 'Day with glaze(freezing rain)', 1.00, '', '', 'Unitless', 'daily\r', 0, 0),
	(40, 'DYGDRZ', 'Day with Drizzle', 'Day with drizzle', 1.00, '', '', 'Unitless', 'daily\r', 0, 0),
	(41, 'DYICEP', 'Day with Ice Plt', 'Day with ice pellets', 1.00, '', '', 'Unitless', 'daily\r', 0, 0),
	(42, 'DYTORN', 'Day with Tornado', 'Day with tornado', 1.00, '', '', 'Unitless', 'daily\r', 0, 0),
	(43, 'SKYSUN', 'Sky Cover Avg Sun Set', 'Sky cover  average daily sunrise to sunset', 1.00, '9.00', '0.00', 'Tenths', 'daily\r', 0, 0),
	(44, 'SKYMID', 'Sky Cover Avg Midnight', 'Sky cover  daily average midnight to midnight', 1.00, '', '', 'Tenths', 'daily\r', 0, 0),
	(45, 'SUNSHI', 'Percent Possible Sunshine Dly', 'Percent of possible sunshine  daily', 1.00, '100.00', '0.00', 'Percent', 'daily\r', 0, 0),
	(46, 'INSOL', 'Insolation Daily', 'Insolation  daily total on a horizontal surface', 0.10, '394.00', '0.00', 'Megajoules/M**2', 'daily\r', 0, 0),
	(47, 'PRESST', 'Press Stn Avg', 'Pressure  station  daily avergage', 0.10, '', '', 'Hectopascals', 'daily\r', 0, 0),
	(48, 'PRESSL', 'Press Sea Level Avg', 'Pressure  reduced to sea level  daily average', 0.10, '', '', 'Hectopascals', 'daily\r', 0, 0),
	(49, 'SNOW', 'Snowfall  Daily', 'Snowfall  daily total', 1.00, '', '', 'Centimeters', 'daily\r', 0, 0),
	(50, 'SNWDEP', 'Snow Depth  Daily', 'Snow  depth on the ground at observation time', 1.00, '', '', 'Centimeters', 'daily\r', 0, 0),
	(51, 'SNWWEQ', 'Snow Depth water equivalent', 'Snow  water equivalent of snow on the ground at observation', 0.10, '', '', 'Millimeters', 'daily\r', 0, 0),
	(52, 'TOPFGL', 'Frozen Ground Top', 'Frozen ground layer  depth of the top', 1.00, '', '', 'Centimeters', 'daily\r', 0, 0),
	(53, 'BOTFGL', 'Frozen Ground Bottom', 'Frozen ground layer  Depth of the bottom', 1.00, '', '', 'Centimeters', 'daily\r', 0, 0),
	(54, 'THKFGL', 'Frozen Ground Thickness', 'Frozen ground layer  thickness', 1.00, '', '', 'Centimeters', 'daily\r', 0, 0),
	(55, 'ICE', 'Ice Thickness', 'Ice on water  thickness', 0.10, '', '', 'Millimeters', 'daily\r', 0, 0),
	(56, 'WNDSPD', 'Wind Spd Avg Dly', 'Wind speed  daily average', 0.00, '100.00', '0.00', 'Meters/Second', 'daily\r', 0, 0),
	(57, 'WNDMIL', 'Wind Spd  Avg Dly Cup ', 'Wind speed daily average Cup Anemometer', 1.00, '15.00', '0.00', 'Kilometers', 'daily\r', 0, 0),
	(58, 'PKGUST', 'Wind Gust Max Spd', 'Wind gust  speed  daily maximum', 1.00, '', '', 'Meters/Second', 'daily\r', 0, 0),
	(59, 'PKGSTD', 'Wind Gust  Dir', 'Wind gust  direction of the daily maximum', 1.00, '', '', 'Tens of Degrees', 'daily\r', 0, 0),
	(60, 'WNDMX1', 'Wnd Spd Dly Max 1minute', 'Wind  1 minute  speed  daily maximum', 1.00, '', '', 'Meters/Second', 'daily\r', 0, 0),
	(61, 'WNDMXD', 'Wnd Dir Dly  Max 1minute', 'Wind  1 minute  direction of the daily maximum', 1.00, '', '', 'Tens of Degrees', 'daily\r', 0, 0),
	(62, 'SOILX1', 'Temp  Soil05 Dly Max', 'Temperature  soil  daily maximum at 5 cm', 0.10, '', '', 'Degrees C', 'daily\r', 0, 0),
	(63, 'SOILN1', 'Temp  Soil05 Dly Min', 'Temperature  soil  daily minimum at 5 cm', 0.10, '', '', 'Degrees C', 'daily\r', 0, 0),
	(64, 'SOILX2', 'Temp  Soil10 Dly Max', 'Temperature  soil  daily maximum at 10 cm', 0.10, '', '', 'Degrees C', 'daily\r', 0, 0),
	(65, 'SOILN2', 'Temp  Soil10 Dly Min', 'Temperature  soil  daily minimum at 10 cm', 0.10, '', '', 'Degrees C', 'daily\r', 0, 0),
	(66, 'SOILX3', 'Temp  Soil20 Dly Max', 'Temperature  soil  daily maximum at 20 cm', 0.10, '', '', 'Degrees C', 'daily\r', 0, 0),
	(67, 'SOILN3', 'Temp  Soil20 Dly Min', 'Temperature  soil  daily minimum at 20 cm', 0.10, '', '', 'Degrees C', 'daily\r', 0, 0),
	(68, 'SOILX4', 'Temp  Soil50 Dly Max', 'Temperature  soil  daily maximum at 50 cm', 0.10, '', '', 'Degrees C', 'daily\r', 0, 0),
	(69, 'SOILN4', 'Temp  Soil50 Dly Min', 'Temperature  soil  daily minimum at 50 cm', 0.10, '', '', 'Degrees C', 'daily\r', 0, 0),
	(70, 'SOILX5', 'Temp  soil100 Dly Max', 'Temperature  soil  daily maximum at 100 cm', 0.10, '', '', 'Degrees C', 'daily\r', 0, 0),
	(71, 'SOILN5', 'Temp  Soil100 Dly Min', 'Temperature  soil  daily minimum at 100 cm', 0.10, '', '', 'Degrees C', 'daily\r', 0, 0),
	(72, 'TTS005', 'TT Sol 5cm quot', 'TT sol 5cm quot', 0.10, '', '', 'Degrees C', 'daily\r', 0, 0),
	(73, 'TTS010', 'TT sol 10cm quot', 'TT sol 10cm quot', 0.10, '', '', 'Degrees C', 'daily\r', 0, 0),
	(74, 'TTS020', 'TT sol 20cm quot', 'TT sol 20cm quot', 0.10, '', '', 'Degrees C', 'daily\r', 0, 0),
	(75, 'SOIL50', 'Temp  Soil50 Dly', 'Temperature  soil  daily at 50 cm', 0.10, '440.00', '-50.00', 'Degrees C', 'daily\r', 0, 0),
	(76, 'SOIL1M', 'Temp  Soil100 Dly', 'Temperature  soil  daily at 100 cm', 0.10, '440.00', '100.00', 'Degrees C', 'daily\r', 0, 0),
	(77, 'SOIL6', 'Temp  Soil150 Dly', 'Temperature  soil  daily at 150 cm', 0.10, '440.00', '-50.00', 'Degrees C', 'daily\r', 0, 0),
	(78, 'SOIL7', 'Temp  Soil200 Dly', 'Temperature  soil  daily at 200 cm', 0.10, '', '', 'Degrees C', 'daily\r', 0, 0),
	(79, 'SOIL8', 'Temp  Soil300 Dly', 'Temperature  soil  daily at 300 cm', 0.10, '', '', 'Degrees C', 'daily\r', 0, 0),
	(80, 'MXSOIL', 'Temp Soil Dly Max', 'Temperature  soil  daily maximum', 0.10, '', '', 'Degrees C', 'daily\r', 0, 0),
	(81, 'MNSOIL', 'Temp Soil Dly Min', 'Temperature  soil  daily minimum', 0.10, '350.00', '-100.00', 'Degrees C', 'daily\r', 0, 0),
	(82, 'DSOIL', 'Temp  Soil Dly', 'Temperature  soil  daily', 0.10, '', '', 'Degrees C', 'daily\r', 0, 0),
	(83, 'STRMFL', 'Stream Flow Dly Mean', 'Stream flow  Daily mean', 1.00, '', '', 'Meters**3/Second', 'daily\r', 0, 0),
	(84, 'SUNSHN', 'Sunshine  Daily Tot', 'Sunshine  Daily total amount', 0.10, '135.00', '0.00', 'Minutes', 'daily\r', 0, 0),
	(85, 'GRSMIN', 'Grasss Min  Temp 06Z', 'Grass Minimum Temperature at 06Z', 0.10, '360.00', '-100.00', 'Degrees C', 'daily\r', 0, 0),
	(86, 'LLDD', 'Lightning  Direction Dly', 'Lightning  direction daily', 1.00, '', '', 'coded', 'daily\r', 0, 0),
	(87, 'HHHD', 'Hail  Size  Daily', 'Hail  size  daily(updated)', 1.00, '', '', 'coded', 'daily\r', 0, 0),
	(91, '24hVPD', '24 Hr Mean VPD', 'Mean Vapour Pressure Deficit over 24 hours', 0.10, '', '', 'Hectopascals', 'daily\r', 0, 0),
	(92, '24hWB', '24 Hr Mean Wet Bulb Temp', 'Mean Wetbulb temperature over 24 hours', 0.10, '', '', 'Degrees C', 'daily\r', 0, 0),
	(93, 'PSTWX', '24 Hr Past Wx', '24 Hour past weather', 1.00, '9.00', '0.00', 'Coded', 'daily\r', 0, 0),
	(94, 'MXMNDIFF', '24 Hr Temp Range', '24 Hr Temperature range', 0.10, '', '', 'Degrees C', 'daily\r', 0, 0),
	(95, 'PrInTi', 'Precip Intensity Time', 'Number of minutes for the classified amounts of rain', 1.00, '', '', 'Minutes', 'daily\r', 0, 0),
	(96, 'JardIn', 'Precip Intensity Jardi', 'Jardi Rainfall Intensity', 1.00, '', '', 'Millimeters', 'daily\r', 0, 0),
	(97, 'DifRad', 'Diff Radiation', 'Diffuse Radiation measured by Moll-Kipp Solarimeter', 0.10, '', '', 'Megajoules/M**2', 'daily\r', 0, 0),
	(98, 'WINDTOT20', 'Wind Totalizer  18Z', 'Wind Totalizer at 18Z', 0.10, '999999.00', '0.00', 'Km', 'daily\r', 0, 0),
	(99, 'WINDRUN08', 'Wind Totalizer  06Z', 'Wind Totalizer at 06Z', 0.10, '999999.00', '0.00', 'Km', 'daily\r', 0, 0),
	(101, 'TEMPDB', 'Temp  Dry Bulb', 'Temperature  dry bulb', 0.10, '400.00', '130.00', 'Degrees C', 'hourly\r', 0, 1),
	(102, 'TEMPWB', 'Temp  Wet Bulb', 'Temperature  wet bulb', 0.10, '400.00', '120.00', 'Degrees C', 'hourly\r', 0, 1),
	(103, 'TEMPDP', 'Temp  Dew Point', 'Temperature  dew point', 0.10, '400.00', '80.00', 'Degrees C', 'hourly\r', 0, 1),
	(104, 'PRECIP', 'Precip  Hourly Total', 'Precipitation  total hourly', 0.10, '1000.00', '0.00', 'Millimeters', 'hourly\r', 0, 0),
	(105, 'RELHUM', 'Relative Humidty 06Z', 'Relative humidity at 06Z', 1.00, '100.00', '0.00', 'Percent', 'hourly\r', 0, 1),
	(106, 'PRESST', 'Pressure  Station', 'Pressure  station', 0.10, '155050.00', '7000.00', 'Hectopascals', 'hourly\r', 0, 1),
	(107, 'PRESSL', 'Pressure  Sea Level', 'Pressure  sea level', 0.10, '1505050.00', '8000.00', 'Hectopascals', 'hourly\r', 0, 1),
	(108, 'ALTMTR', 'Altimeter Setting', 'Altimeter setting', 0.10, '', '', 'Millibars', 'hourly\r', 0, 0),
	(109, 'CEIL', 'Ceiling', 'Ceiling', 1.00, '', '', 'Coded', 'hourly\r', 0, 0),
	(110, 'VISBY', 'Visibility Hor', 'Visibility  horizontal', 0.10, '40000.00', '0.00', 'Coded', 'hourly\r', 0, 0),
	(111, 'WNDSPD', 'Wind Speed in Knots', 'Wind speed in Knots', 1.00, '30.00', '0.00', 'Knots', 'hourly\r', 0, 1),
	(112, 'WNDDIR', 'Wind Direction', 'Wind direction', 0.10, '36.00', '0.00', 'Degrees C', 'hourly\r', 0, 1),
	(113, 'WNDMIL', 'Wind Mileage Hly', 'Wind mileage  hourly', 1.00, '', '', 'Kilometers', 'hourly\r', 0, 0),
	(114, 'CLDTOT', 'Cloud Cover  total', 'Cloud cover  total', 1.00, '8.00', '0.00', 'Octas', 'hourly\r', 0, 0),
	(115, 'CLDOPC', 'Cloud Opacty tot', 'Cloud opacity  total', 1.00, '', '', 'Octas', 'hourly\r', 0, 0),
	(116, 'CLDAM1', 'Cloud Amt  Lvl 1', 'Cloud  amount of the lowest layer', 1.00, '8.00', '0.00', 'Octas', 'hourly\r', 0, 0),
	(117, 'TYPCO1', 'Cloud Type  Low', 'Cloud  type Low', 1.00, '', '', 'Coded', 'hourly\r', 0, 0),
	(118, 'CLDHT1', 'Cloud Height  Lvl 1', 'Cloud  height of the lowest layer', 1.00, '', '', 'Coded', 'hourly\r', 0, 0),
	(119, 'CLDOP1', 'Cloud Opacity  Lvl1', 'Cloud  opacity of the lowest layer', 1.00, '', '', 'Octas', 'hourly\r', 0, 0),
	(120, 'CLDAM2', 'Cloud Amt  Lvl 2', 'Cloud  amount of the second layer', 1.00, '8.00', '0.00', 'Octas', 'hourly\r', 0, 0),
	(121, 'CLDTY2', 'Cloud Type  Lvl 2', 'Cloud  type of the second layer', 1.00, '9.00', '0.00', 'Coded', 'hourly\r', 0, 0),
	(122, 'CLDHT2', 'Cloud Height  Lvl 2', 'Cloud  height of the second layer', 1.00, '', '', 'Coded', 'hourly\r', 0, 0),
	(123, 'CLDOP2', 'Cloud Opacity  lvl2', 'Cloud  opacity of the second layer', 1.00, '', '', 'Octas', 'hourly\r', 0, 0),
	(124, 'CLDAM3', 'Cloud Amt  Lvl 3', 'Cloud  amount of the third layer', 1.00, '8.00', '0.00', 'Octas', 'hourly\r', 0, 0),
	(125, 'CLDTY3', 'Cloud Type  Lvl 3', 'Cloud  type of the third layer', 1.00, '9.00', '0.00', 'Coded', 'hourly\r', 0, 0),
	(126, 'CLDHT3', 'Cloud Height  Lvl 3', 'Cloud  height of the third layer', 1.00, '', '', 'Coded', 'hourly\r', 0, 0),
	(127, 'CLDOP3', 'Cloud Opacity  Lvl3', 'Cloud  opacity of the third layer', 1.00, '', '', 'Octas', 'hourly\r', 0, 0),
	(128, 'CLDAM4', 'Cloud Amt  Lvl 4', 'Cloud  amount of the fourth layer', 1.00, '', '', 'Octas', 'hourly\r', 0, 0),
	(129, 'CLDTY4', 'Cloud Type  Lvl 4', 'Cloud  type of the fourth layer', 1.00, '', '', 'Coded', 'hourly\r', 0, 0),
	(130, 'CLDHT4', 'Cloud Height  Lvl 4', 'Cloud  height of the fourth layer', 1.00, '', '', 'Coded', 'hourly\r', 0, 0),
	(131, 'CLDAP4', 'Cloud Opacity  Lvl4', 'Cloud  opacity of the fourth layer', 1.00, '', '', 'Octas', 'hourly\r', 0, 0),
	(132, 'SUN', 'Sunshine Hly Tot', 'Sunshine  total hourly', 1.00, '', '', 'Minutes', 'hourly\r', 0, 0),
	(133, 'RADGLS', 'Radiation Global', 'Radiation  global solar', 0.10, '', '', 'Megajoules/M**2', 'hourly\r', 0, 0),
	(134, 'RADSKY', 'Radiation  Sky', 'Radiation  sky', 0.10, '', '', 'Megajoules/M**2', 'hourly\r', 0, 0),
	(135, 'RADRES', 'Radiation  Reflected', 'Radiation  reflected solar', 0.10, '', '', 'Megajoules/M**2', 'hourly\r', 0, 0),
	(136, 'RADNAW', 'Radiation  Net All Wave', 'Radiation  net all wave', 0.10, '', '', 'Megajoules/M**2', 'hourly\r', 0, 0),
	(137, 'RADDWN', 'Radiation  Totol Down', 'Radiation  total downward', 0.01, '', '', 'Megajoules/M**2', 'hourly\r', 0, 0),
	(138, 'RADUP', 'Radiation  Total Up', 'Radiation  total upward', 0.10, '', '', 'Megajoules/M**2', 'hourly\r', 0, 0),
	(139, 'RADDSL', 'Radiation Direct', 'Radiation  direct solar', 0.10, '', '', 'Megajoules/M**2', 'hourly\r', 0, 0),
	(140, 'TORN', 'Weather-Tornado', 'Weather  tornado  1=Tornado  2=Funnel', 1.00, '', '', 'Coded', 'hourly\r', 0, 0),
	(141, 'THUNDR', 'Weather-Thunder', 'Weather  thunderstorms', 1.00, '', '', 'Coded', 'hourly\r', 0, 0),
	(142, 'RAIN', 'Weather-Rain', 'Weather  rain', 1.00, '', '', 'Coded', 'hourly\r', 0, 0),
	(143, 'RNSHW', 'Weather-Showers', 'Weather  rain showers', 1.00, '', '', 'Coded', 'hourly\r', 0, 0),
	(144, 'DRZZL', 'Weather-Drizzle', 'Weather  drizzle', 1.00, '', '', 'Coded', 'hourly\r', 0, 0),
	(145, 'FRZRN', 'Weather-Frz Rain', 'Weather  freezing rain', 1.00, '', '', 'Coded', 'hourly\r', 0, 0),
	(146, 'FRZDRZ', 'Weather-Frz Driz', 'Weather  freezing drizzle', 1.00, '', '', 'Coded', 'hourly\r', 0, 0),
	(147, 'SNOW', 'Weather-Snow', 'Weather  snow', 1.00, '', '', 'Coded', 'hourly\r', 0, 0),
	(148, 'SNWSHW', 'Weather-Snow-Shwr', 'Weather  snow showers', 1.00, '', '', 'Coded', 'hourly\r', 0, 0),
	(149, 'SNWGRN', 'Weather-Snow-Grn', 'Weather  snow grains', 1.00, '', '', 'Coded', 'hourly\r', 0, 0),
	(150, 'ICE', 'Weather-Ice-Crys', 'Weather  ice crystals', 1.00, '', '', 'Coded', 'hourly\r', 0, 0),
	(151, 'ICEPLT', 'Weather-Ice-Pell', 'Weather  ice pellets', 1.00, '', '', 'Coded', 'hourly\r', 0, 0),
	(152, 'HAIL', 'Weather-Hail', 'Weather  hail', 1.00, '', '', 'Coded', 'hourly\r', 0, 0),
	(153, 'FOG', 'Weather-Fog', 'Weather  fog', 1.00, '', '', 'Coded', 'hourly\r', 0, 0),
	(154, 'ICEFOG', 'Weather-Ice Fog', 'Weather  ice fog', 1.00, '', '', 'Coded', 'hourly\r', 0, 0),
	(155, 'SMOKE', 'Weather-Smoke', 'Weather  smoke', 1.00, '', '', 'Coded', 'hourly\r', 0, 0),
	(156, 'HAZE', 'Weather-Haze', 'Weather  haze', 1.00, '', '', 'Coded', 'hourly\r', 0, 0),
	(157, 'BLWSNW', 'Weather-Blw-Snow', 'Weather  blowing snow', 1.00, '', '', 'Coded', 'hourly\r', 0, 0),
	(158, 'BLWSND', 'Weather-Blw-Sand', 'Weather  blowing sand', 1.00, '', '', 'Coded', 'hourly\r', 0, 0),
	(159, 'BLWDST', 'Weather-Blw-Dust', 'Weather  blowing dust', 1.00, '', '', 'Coded', 'hourly\r', 0, 0),
	(160, 'SQUALL', 'Weather-Squall', 'Weather  squall', 1.00, '', '', 'Coded', 'hourly\r', 0, 0),
	(161, 'RAINSQ', 'Weather-Rain Sq', 'Weather  rain squall', 1.00, '', '', 'Coded', 'hourly\r', 0, 0),
	(162, 'SNOWSQ', 'Weather-Snow Sq', 'Weather  snow squall', 1.00, '', '', 'Coded', 'hourly\r', 0, 0),
	(163, 'SNOWPL', 'Weather-Snow pel', 'Weather  snow pellets', 1.00, '', '', 'Coded', 'hourly\r', 0, 0),
	(164, 'GRDFOG', 'Weather-Grnd fog', 'Weather  ground fog', 1.00, '', '', 'Coded', 'hourly\r', 0, 0),
	(165, 'GLAZE', 'Weather-Glaze', 'Weather  glaze', 1.00, '', '', 'Coded', 'hourly\r', 0, 0),
	(166, 'VAPPSR', 'Vapor Pressure', 'Vapor Pressure', 0.10, '', '', 'Hectopascals', 'hourly\r', 0, 0),
	(167, 'PRSWX', 'Present Weather', 'Present Weather (WMO Synoptic Code)', 1.00, '', '', 'Coded', 'hourly\r', 0, 0),
	(168, 'CLD-1', 'Cloud Amt Type Height Lvl1', 'Cloud  amount type height level 1 (WMO code)', 1.00, '', '', 'Coded', 'hourly\r', 0, 0),
	(169, 'CLD-2', 'Cloud Amt Type Height Lvl2', 'Cloud  amount type height level 2 (WMO code)', 1.00, '', '', 'Coded', 'hourly\r', 0, 0),
	(170, 'CLD-3', 'Cloud Amt Type Height Lvl3', 'Cloud  amount type height level 3 (WMO code)', 1.00, '', '', 'Coded', 'hourly\r', 0, 0),
	(171, 'CLD-4', 'Cloud Amt Type Height Lvl4', 'Cloud  amount type height level 4 (WMO code)', 1.00, '', '', 'Coded', 'hourly\r', 0, 0),
	(172, 'MIXRAT', 'Mixing Ratio', 'Mixing ratio', 1.00, '', '', 'Grams/KG', 'hourly\r', 0, 0),
	(173, '15PRCP', 'Precip  Tot 15 Min', 'Precipitation  total 15 minute', 0.10, '', '', 'Millimeters', 'hourly\r', 0, 0),
	(174, '3HPRCP', 'Precip  Tot 3 Hours', 'Precipitation  total 3 hourly', 0.10, '1000.00', '0.00', 'Millimeters', 'hourly\r', 0, 0),
	(175, 'TMP005', 'Temp  Soil05 Hly', 'Temperature  soil  hourly at 5 cm', 0.10, '', '', 'Degrees C', 'hourly\r', 0, 0),
	(176, 'TMP010', 'Temp  Soil10 Hly', 'Temperature  soil  hourly at 10 cm', 0.10, '', '', 'Degrees C', 'hourly\r', 0, 0),
	(177, 'TMP020', 'Temp  Soil20 Hly', 'Temperature  soil  hourly at 20 cm', 0.10, '', '', 'Degrees C', 'hourly\r', 0, 0),
	(178, 'TMP030', 'Temp  Soil30 Hly', 'Temperature  soil  hourly at 30 cm', 0.10, '', '', 'Degrees C', 'hourly\r', 0, 0),
	(179, 'TMP060', 'Temp  Soil60 Hly', 'Temperature  soil  hourly at 60 cm', 0.10, '', '', 'Degrees C', 'hourly\r', 0, 0),
	(180, 'TMP120', 'Temp  Soil120 Hly', 'Temperature  soil  hourly at 120 cm', 0.10, '', '', 'Degrees C', 'hourly\r', 0, 0),
	(181, 'WINDSPDAVG', 'Wind  Spd  Avg Hly', 'Wind speed  hourly average', 0.10, '', '', 'Knots', 'hourly\r', 0, 0),
	(182, 'TMP200', 'Temp  Soil200 Hly', 'Temperature  soil  hourly at 200 cm', 0.10, '', '', 'Degrees C', 'hourly\r', 0, 0),
	(183, 'THMGRF', 'Temp  THMGRF Hly', 'Temperature of Thermograph', 0.10, '', '', 'Degrees C', 'hourly\r', 0, 0),
	(184, 'RHHYGR', 'RH  Hygrograph Hly', 'Relative humidity hygrograph', 1.00, '100.00', '0.00', 'Percent', 'hourly\r', 0, 0),
	(185, 'PREGPM', 'Pressure  GPM', 'Reduced Pressure  Geopotential Metres', 1.00, '', '', 'Hectopascals', 'hourly\r', 0, 0),
	(186, 'PREQNH', 'Pressure  QNH', 'Reduced Pressure  QNH', 1.00, '', '', 'Hectopascals', 'hourly\r', 0, 0),
	(187, 'WINTOT', 'Wind Mileage Total', 'Wind mileage  Total', 1.00, '', '', 'Kilometers', 'hourly\r', 0, 0),
	(190, 'CLDTY1', 'Cloud Type  Lvl 1', 'Cloud  type of the lowest layer', 1.00, '', '', 'Coded', 'hourly\r', 0, 0),
	(191, 'LCLOUD', 'Lowest Cloud', 'Amount of all CsubL or if no CsubL  amount of CsubM', 1.00, '', '', 'Octas', 'hourly\r', 0, 0),
	(192, 'LCHGHT', 'Cloud Height Lowest Lvl', 'Cloud  height of the lowest layer', 1.00, '', '', 'Coded', 'hourly\r', 0, 0),
	(193, 'MCTYPE', 'Cloud  Medium Lvl  Type', 'Cloud  Medium Level Type', 1.00, '', '', 'Coded', 'hourly\r', 0, 0),
	(194, 'MCAMNT', 'Cloud medium Lvl Amnt', 'Cloud  Medium Level Amount', 1.00, '', '', 'Coded', 'hourly\r', 0, 0),
	(195, 'HCTYPE', 'Cloud  High Lvl Type', 'Cloud High Level Type', 1.00, '', '', 'Code', 'hourly\r', 0, 0),
	(196, 'HCAMNT', 'Cloud Amnt  High Lvl', 'Cloud Amount  High Level', 1.00, '8.00', '0.00', 'Octas', 'hourly\r', 0, 0),
	(197, 'MAXVIS', 'Visibility Max', 'Visibility  Maximum (00-89)', 1.00, '', '', 'Km', 'hourly\r', 0, 0),
	(198, 'MINVIS', 'Visibility  Min', 'Visibility  Minimum (00-89)', 1.00, '', '', 'Km', 'hourly\r', 0, 0),
	(199, 'MXTWNK', 'Twinkies  Max Dly', 'Twinkies  maximum daily ingestion rate  by running kilometer', 1.00, '', '', 'KM/Hour', 'hourly\r', 0, 0),
	(201, 'MNMXTM', 'Temp  Mean Max Dly', 'Temperature  monthly mean maximum daily', 0.10, '', '', 'Degrees C', 'monthly\r', 0, 0),
	(202, 'MNMNTM', 'Temp  Mean Min Dly', 'Temperature  monthly mean minimum daily', 0.10, '', '', 'Degrees C', 'monthly\r', 0, 0),
	(203, 'MNTMP', 'Temp Mean Mly', 'Temperature  monthly mean', 0.10, '', '', 'Degrees C', 'monthly\r', 0, 0),
	(204, 'XMXTMP', 'Temp Extreme Max', 'Temperature  extreme maximum monthly temperature', 0.10, '', '', 'Degrees C', 'monthly\r', 0, 0),
	(205, 'DMXTMP', 'Date of Extreme  Max', 'Date of the extreme maximum temperature', 1.00, '', '', 'Unitless', 'monthly\r', 0, 0),
	(206, 'XMNTMP', 'Temp Extreme Min', 'Temperature  extreme minimum monthly temperature', 0.10, '', '', 'Degrees C', 'monthly\r', 0, 0),
	(207, 'DMNTMP', 'Date of Extreme Min', 'Date of the extreme minimum temperature', 1.00, '', '', 'Unitless', 'monthly\r', 0, 0),
	(208, 'TOTPRC', 'Precip Total Mly', 'Precipitation  total monthly', 0.10, '', '', 'Millimeters', 'monthly\r', 0, 0),
	(209, 'TOTSNW', 'Snow  Total Mly', 'Snowfall  total monthly', 1.00, '', '', 'Centimeters', 'monthly\r', 0, 0),
	(210, 'MXPRCP', 'Precip  Max in the Month', 'Precipitation  greatest daily in the month', 0.10, '', '', 'Millimeters', 'monthly\r', 0, 0),
	(211, 'DMXPRC', 'Date of Max Precip', 'Date of the greatest daily precipitation', 1.00, '', '', 'Unitless', 'monthly\r', 0, 0),
	(212, 'MXSNOW', 'Snowfall Max Dly', 'Snowfall  greatest daily in the month', 1.00, '', '', 'Centimeters', 'monthly\r', 0, 0),
	(213, 'DMXSNW', 'Date of Max Snow', 'Date of the greatest daily snowfall', 1.00, '', '', 'Unitless', 'monthly\r', 0, 0),
	(214, 'EVAPPN', 'Evap  Pan  Mly', 'Evaporation  pan  total monthly', 0.10, '', '', 'Millimeters', 'monthly\r', 0, 0),
	(215, 'EVAPLK', 'Evap  Lake  Mly', 'Evaporation  lake  total monthly', 0.10, '', '', 'Millimeters', 'monthly\r', 0, 0),
	(216, 'MMXPAN', 'Temp  Evap Pan Mly Mean Max', 'Temperature  evap pan  monthly mean maximum daily', 0.10, '', '', 'Degrees C', 'monthly\r', 0, 0),
	(217, 'MMNPAN', 'Temp  Evap Pan Mly Mean Min', 'Temperature  evap pan  monthly mean minimum daily', 0.10, '', '', 'Degrees C', 'monthly\r', 0, 0),
	(218, 'MNPAN', 'Temp  Evap Pan Mly Mean  ', 'Temperature  evap pan  monthly mean', 0.10, '', '', 'Degrees C', 'monthly\r', 0, 0),
	(219, 'XMXPAN', 'Temp  Evap Pan Extreme Mly Max', 'Temperature  evap pan  extreme monthly maximum', 0.10, '', '', 'Degrees C', 'monthly\r', 0, 0),
	(220, 'DMXPAN', 'Date of Extreme Max Pan', 'Date of extreme max daily temp of evap pan', 1.00, '', '', 'Unitless', 'monthly\r', 0, 0),
	(221, 'XMNPAN', 'Temp Evap  Pan Extreme Mly Min', 'Temperature  evap pan  extreme monthly minimum', 0.10, '', '', 'Degrees C', 'monthly\r', 0, 0),
	(222, 'DMNPAN', 'Date of Extreme Min Pan', 'Date of extreme min daily temp of evap pan', 1.00, '', '', 'Unitless', 'monthly\r', 0, 0),
	(223, 'HDD1', 'HTNG Degree Days Tot Mly Base1', 'Heating degree days  total monthly - Base1', 1.00, '', '', 'Unitless', 'monthly\r', 0, 0),
	(224, 'HDD2', 'HTNG Degree Days Total Mly Base2', 'Heating degree days  total monthly - Base2', 1.00, '', '', 'Unitless', 'monthly\r', 0, 0),
	(225, 'CDD1', 'CLNG Degree Tot Mly Base1', 'Cooling degree days  total monthly - Base1', 1.00, '', '', 'Unitless', 'monthly\r', 0, 0),
	(226, 'CDD2', 'CLNG Degree Tot Mly Base2', 'Cooling degree days  total monthly - Base2', 1.00, '', '', 'Unitless', 'monthly\r', 0, 0),
	(227, 'GDD1', 'GRNG Degree Days Tot Mly Base1', 'Growing degree days  total monthly - Base1', 1.00, '', '', 'Unitless', 'monthly\r', 0, 0),
	(228, 'GDD2', 'GRNG Degree Days Tot Mly Base2', 'Growing degree days  total monthly - Base2', 1.00, '', '', 'Unitless', 'monthly\r', 0, 0),
	(229, 'DYRAIN', 'Days with Rain', 'Days  number with rainfall', 1.00, '', '', 'Unitless', 'monthly\r', 0, 0),
	(230, 'DYTHND', 'Days with Thunder', 'Days  number with thunderstorms', 1.00, '', '', 'Unitless', 'monthly\r', 0, 0),
	(231, 'DYHAIL', 'Days with Hail', 'Days  number with hail', 1.00, '', '', 'Unitless', 'monthly\r', 0, 0),
	(232, 'DYFOG', 'Days with Fog', 'Days  number with fog', 1.00, '', '', 'Unitless', 'monthly\r', 0, 0),
	(233, 'DYSAND', 'Days with Dust', 'Days  number with blowing sand or dust', 1.00, '', '', 'Unitless', 'monthly\r', 0, 0),
	(234, 'DYSMOK', 'Days with Smoke', 'Days  number with smoke or thick haze', 1.00, '', '', 'Unitless', 'monthly\r', 0, 0),
	(235, 'DYSNOW', 'Days with Snow', 'Days  number with snow', 1.00, '', '', 'Unitless', 'monthly\r', 0, 0),
	(236, 'DYBSNW', 'Days with Blw snow ', 'Days  number with blowing snow', 1.00, '', '', 'Unitless', 'monthly\r', 0, 0),
	(237, 'DYWND1', 'Days wth wind > 10', 'Days  number with wind greater than 10 m/sec', 1.00, '', '', 'Unitless', 'monthly\r', 0, 0),
	(238, 'DYWND5', 'Days wth wind >15', 'Days  number with wind greater than 15 m/sec', 1.00, '', '', 'Unitless', 'monthly\r', 0, 0),
	(239, 'DYGLAZ', 'Days with Glaze', 'Days  number with glaze(freezing rain)', 1.00, '', '', 'Unitless', 'monthly\r', 0, 0),
	(240, 'DYTML1', 'Days temp < 1', 'Days  number with temp less than base 1', 1.00, '', '', 'Unitless', 'monthly\r', 0, 0),
	(241, 'DYTML2', 'Days temp < 2', 'Days  number with temp less than base 2', 1.00, '', '', 'Unitless', 'monthly\r', 0, 0),
	(242, 'DYTML3', 'Days temp < 3', 'Days  number with temp less than base 3', 1.00, '', '', 'Unitless', 'monthly\r', 0, 0),
	(243, 'DYTMG1', 'Days temp > 1', 'Days  number with temp greater than base 1', 1.00, '', '', 'Unitless', 'monthly\r', 0, 0),
	(244, 'DYTMG2', 'Days temp > 2', 'Days  number with temp greater than base 2', 1.00, '', '', 'Unitless', 'monthly\r', 0, 0),
	(245, 'DYTMG3', 'Days temp > 3', 'Days  number with temp greater than base 3', 1.00, '', '', 'Unitless', 'monthly\r', 0, 0),
	(246, 'DYPRG1', 'Days precip > 1', 'Days  number with precip greater than base 1', 1.00, '', '', 'Unitless', 'monthly\r', 0, 0),
	(247, 'DYPRG2', 'Days precip > 2', 'Days  number with precip greater than base 2', 1.00, '', '', 'Unitless', 'monthly\r', 0, 0),
	(248, 'DYPRG3', 'Days precip > 3', 'Days  number with precip greater than base 3', 1.00, '', '', 'Unitless', 'monthly\r', 0, 0),
	(249, 'MNMXDP', 'Temp Dew Point Mean Max Mly', 'Temperature  dew point  mean maximum monthly', 0.10, '', '', 'Degrees C', 'monthly\r', 0, 0),
	(250, 'MNMNDP', 'Temp Dew Point Mean Min Mly', 'Temperature  dew point  mean minimum monthly', 0.10, '', '', 'Degrees C', 'monthly\r', 0, 0),
	(251, 'MNDP', 'Temp Dew Point Mean Mly', 'Temperature  dew point  mean monthly', 0.10, '', '', 'Degrees C', 'monthly\r', 0, 0),
	(252, 'EXMXDP', 'Temp  Dew Point Max Mly ', 'Temperature  dew point  extreme monthly maximum', 0.10, '', '', 'Degrees C', 'monthly\r', 0, 0),
	(253, 'DXMXDP', 'Date Extreme Mx  Dew Point Mly', 'Date of extreme maximum monthly dewpoint', 1.00, '', '', 'Unitless', 'monthly\r', 0, 0),
	(254, 'EXMNDP', 'Temp  Dew Point Mly Min', 'Temperature  dew point  extreme monthly minimum', 0.10, '', '', 'Degrees C', 'monthly\r', 0, 0),
	(255, 'DXMNDP', 'Date Extreme  Min Dew Point  Mly', 'Date of extreme minimum monthly dewpoint', 1.00, '', '', 'Unitless', 'monthly\r', 0, 0),
	(256, 'MNMXRH', 'RH  Mean Max', 'Relative humidity  mean maximum monthly', 1.00, '100.00', '0.00', 'Percent', 'monthly\r', 0, 0),
	(257, 'MNMNRH', 'RH  Mean Min', 'Relative humidity  mean minimum monthly', 1.00, '100.00', '0.00', 'Percent', 'monthly\r', 0, 0),
	(258, 'MNRH', 'RH  Mean Mly', 'Relative humidity  mean monthly', 1.00, '100.00', '0.00', 'Percent', 'monthly\r', 0, 0),
	(259, 'EXMXRH', 'RH  Extreme Max Mly', 'Relative humidity  extreme monthly maximum', 1.00, '100.00', '0.00', 'Percent', 'monthly\r', 0, 0),
	(260, 'DXMXRH', 'Date Extreme Mx RH', 'Date of extreme maximum monthly relative humidity', 1.00, '', '', 'Unitless', 'monthly\r', 0, 0),
	(261, 'EXMNRH', 'RH  Extreme Min Mly', 'Relative humidity  extreme monthly minimum', 1.00, '100.00', '0.00', 'Percent', 'monthly\r', 0, 0),
	(262, 'DXMNRH', 'Date Extreme Min RH Mly', 'Date of extreme minimum monthly relative  humidity', 1.00, '', '', 'Unitless', 'monthly\r', 0, 0),
	(263, 'EVAPMX', 'Evap  Max Dly', 'Evaporation  greatest daily in the month', 0.10, '', '', 'Millimeters', 'monthly\r', 0, 0),
	(264, 'DMXEVP', 'Date of Max Evap', 'Date of the greatest daily evaporation in the month', 1.00, '', '', 'Unitless', 'monthly\r', 0, 0),
	(265, 'MYTORN', 'Days with tornado', 'Days  number with tornado', 1.00, '', '', 'Unitless', 'monthly\r', 0, 0),
	(266, 'MYICEP', 'Days with Ice Plt', 'Days with ice pellets', 1.00, '', '', 'Unitless', 'monthly\r', 0, 0),
	(267, 'MYGDRZ', 'Days with Drizzle', 'Days with drizzle', 1.00, '', '', 'Unitless', 'monthly\r', 0, 0),
	(268, 'MLYSUN', 'Sunshine  Mly Tot', 'Sunshine  Monthly total', 0.10, '', '', 'Hours', 'Monthly', 0, 0),
	(269, 'MSOIL8', 'Temp  Soil300 Mean Mly', 'Temperature  soil  monthly mean at 300 cm', 0.10, '', '', 'Degrees C', 'monthly\r', 0, 0),
	(270, 'MSOIL7', 'Temp  Soil200 Mean Mly', 'Temperature  soil  monthly mean at 200 cm', 0.10, '', '', 'Degrees C', 'monthly\r', 0, 0),
	(271, 'MSOIL6', 'Temp  soil150 Mean Mly', 'Temperature  soil  monthly mean at 150 cm', 0.10, '', '', 'Degrees C', 'monthly\r', 0, 0),
	(272, 'MSOL1M', 'Temp  soil100 Mean Mly', 'Temperature  soil  monthly mean at 100 cm', 0.10, '', '', 'Degrees C', 'monthly\r', 0, 0),
	(273, 'MSOL50', 'Temp  soil50 Mean  Mly', 'Temperature  soil  monthly mean at 50 cm', 0.10, '', '', 'Degrees C', 'monthly\r', 0, 0),
	(274, 'MSOL20', 'Temp  soil20 Mean Mly', 'Temperature  soil  monthly mean at 20 cm', 0.10, '', '', 'Degrees C', 'monthly\r', 0, 0),
	(275, 'MSOL10', 'Temp  soil10 Mean Mly', 'Temperature  soil  monthly mean at 10 cm', 0.10, '', '', 'Degrees C', 'monthly\r', 0, 0),
	(276, 'MSOL05', 'Temp  soil05 Mean Mly', 'Temperature  soil  monthly mean at 5 cm', 0.10, '', '', 'Degrees C', 'monthly\r', 0, 0),
	(281, '24hVPD', '24 Hr Mean Mly VPD ', 'Mean monthly 24 hour Vapour Pressure Deficit', 0.10, '', '', 'Hectopascals', 'monthly\r', 0, 0),
	(286, 'GMnMMn', 'GrMin Mly Mean', 'Ground Minimum monthly mean', 0.10, '', '', 'Degrees C', 'monthly\r', 0, 0),
	(287, 'AbGMnM', 'Extreme GrMinAbs', 'Extreme Gr Minimum (Absolute)', 0.10, '', '', 'Degrees C', 'monthly\r', 0, 0),
	(288, 'DEGRMN', 'Day of Ext Gr Min', 'Day of Extreme (Absolute) Ground Minimum', 1.00, '', '', 'Unitless', 'monthly\r', 0, 0),
	(289, 'DHGRMN', 'Days of Highest Gr Min', 'Day of Highest Ground Minimum', 1.00, '', '', 'Unitless', 'monthly\r', 0, 0),
	(290, 'HTGRMN', 'Highest Ground Min', 'Highest Ground Minimum', 0.10, '', '', 'Degrees C', 'monthly\r', 0, 0),
	(294, 'CLMDly', 'Cloud Mean Dly', 'Mean Daily Cloud amount for the month', 0.10, '', '', 'Octas', 'monthly\r', 0, 0),
	(295, 'RadMnD', 'Rad Mean Dly', 'Daily Mean Total radiation for the month', 0.10, '', '', 'Megajoules/M**2', 'monthly\r', 0, 0),
	(296, 'WETBMO', 'Temp WetBulb Mly', 'Mean wet bulb temperature for the month', 0.10, '', '', 'Degrees C', 'monthly\r', 0, 0),
	(297, 'WiSpMo', 'Wind Speed Mly', 'Mean wind speed in the month  cup counter or anemog', 0.10, '', '', 'Knots', 'monthly\r', 0, 0),
	(298, 'VPDMnM', 'Mean Monthly VPD', 'Mean monthly VPD', 0.10, '', '', 'Hectopascals', 'monthly\r', 0, 0),
	(299, 'PreSta', 'Pressure Station Mean Mly', 'Monthly mean station level pressure', 0.10, '', '', 'Hectopascals', 'monthly\r', 0, 0),
	(301, 'PRESS', 'Pressure Level', 'Pressure level', 1.00, '', '', 'Hectopascals', 'monthly\r', 0, 0),
	(302, 'HEIGHT', 'Height of Pressure Level', 'Height of pressure level', 1.00, '2000.00', '0.00', 'Meters', 'monthly\r', 0, 0),
	(303, 'TEMPDB', 'Temp at Press Lvl', 'Temperature at pressure level', 0.10, '500.00', '-600.00', 'Degrees C', 'monthly\r', 0, 0),
	(304, 'DPTDEP', 'Dew Point Depress at Press Lvl', 'Dew point depression at pressure level', 0.10, '200.00', '0.00', 'Degrees C', 'monthly\r', 0, 0),
	(305, 'WNDDIR', 'Wind Dir at Press Lvl', 'Wind direction at pressure level', 1.00, '360.00', '0.00', 'Degrees C', 'monthly\r', 0, 0),
	(306, 'WNDSPD', 'Wind Spd at Pressure Lvl', 'Wind speed at pressure level', 1.00, '300.00', '0.00', 'Knots', 'monthly\r', 0, 0),
	(399, 'PRESSTEND', 'Press Tendancy  24 Hly', 'Pressure Tendancy  24 hly', 0.10, '100.00', '-100.00', 'Hectopascals', 'Monthly', 0, 0),
	(400, '3HRPPPCHANGE', '3 Hr Pressure Change', 'Three hour pressure change', 0.10, '', '', 'Hecto Pascal', 'hourly', 0, 0),
	(401, 'MNMXTM', '10 Days Temp  Mean Max Dly', 'Temperature  10 day mean maximum daily', 0.10, '', '', 'Degrees C', 'dekadal\r', 0, 0),
	(402, 'MNMNTM', '10 Days Temp  Mean Min Dly', 'Temperature  10 day mean minimum daily', 0.10, '', '', 'Degrees C', 'dekadal\r', 0, 0),
	(403, 'MNTMP', '10 Days Temp Mean Dly', 'Temperature  10 day mean', 0.10, '', '', 'Degrees C', 'dekadal\r', 0, 0),
	(404, 'XMXTMP', '10 Days Temp Extreme Max', 'Temperature  extreme maximum 10 day ', 0.10, '', '', 'Degrees C', 'dekadal\r', 0, 0),
	(405, 'DMXTMP', 'Date of Extreme Temp Max 10 Days', 'Date of the extreme maximum 10 day temperature', 1.00, '', '', 'Unitless', 'dekadal\r', 0, 0),
	(406, 'XMNTMP', '10 Days Temp Extreme Min', 'Temperature  extreme minimum 10 day', 0.10, '', '', 'Degrees C', 'dekadal\r', 0, 0),
	(407, 'DMNTMP', 'Date of Extreme Temp Min 10 Days', 'Date of the extreme minimum 10 day temperature', 1.00, '', '', 'Unitless', 'dekadal\r', 0, 0),
	(408, 'TOTPRC', 'Precip Total 10 Days', 'Precipitation  total 10 day', 0.10, '', '', 'Millimeters', 'dekadal\r', 0, 0),
	(409, 'TOTSNW', 'Snow  Total 10 Days', 'Snowfall  total 10 day', 1.00, '', '', 'Centimeters', 'dekadal\r', 0, 0),
	(410, 'MXPRCP', 'Precip  Max Dly 10 Days', 'Precipitation  greatest daily in the 10 day period', 0.10, '', '', 'Millimeters', 'dekadal\r', 0, 0),
	(411, 'DMXPRC', 'Date of Max Precip 10 Days', 'Date of the greatest daily precipitation in 10 days', 1.00, '', '', 'Unitless', 'dekadal\r', 0, 0),
	(412, 'MXSNOW', 'Snowfall Max Dly 10 Days', 'Snowfall  greatest daily in the 10 day period', 1.00, '', '', 'Centimeters', 'dekadal\r', 0, 0),
	(413, 'DMXSNW', 'Date of Max Dly Snow 10 Days', 'Date of the greatest daily snowfall in 10 days', 1.00, '', '', 'Unitless', 'dekadal\r', 0, 0),
	(414, 'EVAPPN', 'Evap  Pan  Tot  10 Days', 'Evaporation  pan  total 10 day', 0.10, '', '', 'Millimeters', 'dekadal\r', 0, 0),
	(415, 'EVAPLK', 'Evap  Lake  Tot 10 Days', 'Evaporation  lake  total 10 day', 0.10, '', '', 'Millimeters', 'dekadal\r', 0, 0),
	(416, 'MMXPAN', 'Temp  Evap Pan Mean Max Dly 10 Days', 'Temperature  evap pan  10 day mean maximum daily', 0.10, '', '', 'Degrees C', 'dekadal\r', 0, 0),
	(417, 'MMNPAN', 'Temp  Evap Pan Mean Min Dly 10 Days', 'Temperature  evap pan  10 day mean minimum daily', 0.10, '', '', 'Degrees C', 'dekadal\r', 0, 0),
	(418, 'MNPAN', 'Temp  Evap Pan  Mean 10 Days', 'Temperature  evap pan  10 day mean', 0.10, '', '', 'Degrees C', 'dekadal\r', 0, 0),
	(419, 'XMXPAN', 'Temp  Evap Pan Ext Max 10 Days', 'Temperature  evap pan  extreme 10 day maximum', 0.10, '', '', 'Degrees C', 'dekadal\r', 0, 0),
	(420, 'DMXPAN', 'Date of Extreme Max Evap Pan 10 Days', 'Date of extreme max 10 day temp of evap pan', 1.00, '', '', 'Unitless', 'dekadal\r', 0, 0),
	(421, 'XMNPAN', 'Temp  Evap Pan Extreme Min 10 Days', 'Temperature  evap pan  extreme 10 day minimum', 0.10, '', '', 'Degrees C', 'dekadal\r', 0, 0),
	(422, 'DMNPAN', 'Date of Extreme  Evap Pan Min In 10 Days', 'Date of extreme min 10 day temp of evap pan', 1.00, '', '', 'Unitless', 'dekadal\r', 0, 0),
	(423, 'HDD1', 'HTNG Degree Days Tot 10 Days Base1', 'Heating degree days  total 10 day - Base1', 1.00, '', '', 'Unitless', 'dekadal\r', 0, 0),
	(424, 'HDD2', 'HTNG Degree Days Tot 10 Days Base2', 'Heating degree days  total 10 day - Base2', 1.00, '', '', 'Unitless', 'dekadal\r', 0, 0),
	(425, 'CDD1', 'CLNG Degree Tot 10 Days Base1', 'Cooling degree days  total 10 day - Base1', 1.00, '', '', 'Unitless', 'dekadal\r', 0, 0),
	(426, 'CDD2', 'CLNG Degree Tot 10 Days Base2', 'Cooling degree days  total 10 day - Base2', 1.00, '', '', 'Unitless', 'dekadal\r', 0, 0),
	(427, 'GDD1', 'GRWG Degree Days Tot 10 Days Base1', 'Growing degree days  total 10 day - Base1', 1.00, '', '', 'Unitless', 'dekadal\r', 0, 0),
	(428, 'GDD2', 'GRWG Degree Days Tot 10 Days Base2', 'Growing degree days  total 10 day - Base2', 1.00, '', '', 'Unitless', 'dekadal\r', 0, 0),
	(429, 'DYRAIN', 'Days with Rain In 10 Days', 'Days  number with rainfall in 10 days', 1.00, '', '', 'Unitless', 'dekadal\r', 0, 0),
	(430, 'DYTHND', 'Days with Thunder In 10 Days', 'Days  number with thunderstorms in 10 days', 1.00, '', '', 'Unitless', 'dekadal\r', 0, 0),
	(431, 'DYHAIL', 'Days with Hail in 10 Days', 'Days  number with hail in 10 days', 1.00, '', '', 'Unitless', 'dekadal\r', 0, 0),
	(432, 'DYFOG', 'Days with Fog In 10 Days', 'Days  number with fog in 10 days', 1.00, '', '', 'Unitless', 'dekadal\r', 0, 0),
	(433, 'DYSAND', 'Days with Dust In 10 Days', 'Days  number with blowing sand or dust in 10 days', 1.00, '', '', 'Unitless', 'dekadal\r', 0, 0),
	(434, 'DYSMOK', 'Days with Smoke In 10 Days', 'Days  number with smoke or thick haze in 10 days', 1.00, '', '', 'Unitless', 'dekadal\r', 0, 0),
	(435, 'DYSNOW', 'Days with Snow In 10 Days', 'Days  number with snow in 10 days', 1.00, '', '', 'Unitless', 'dekadal\r', 0, 0),
	(436, 'DYBSNW', 'Days with Blow snow In 10 Days', 'Days  number with blowing snow in 10 days', 1.00, '', '', 'Unitless', 'dekadal\r', 0, 0),
	(437, 'DYWND1', 'Days wth wind >10 In 10 Days', 'Days  number with wind greater than 10 m/sec in 10 days', 1.00, '', '', 'Unitless', 'dekadal\r', 0, 0),
	(438, 'DYWND5', 'Days wth wind >15 In 10 Days', 'Days  number with wind greater than 15 m/sec in 10 days', 1.00, '', '', 'Unitless', 'dekadal\r', 0, 0),
	(439, 'DYGLAZ', 'Days with Glaze In 10 Days', 'Days  number with glaze (freezing rain) in 10 days', 1.00, '', '', 'Unitless', 'dekadal\r', 0, 0),
	(440, 'DYTML1', 'Days with Temp < 1 In 10 Days', 'Days  number with temp less than base 1 in 10 days', 1.00, '', '', 'Unitless', 'dekadal\r', 0, 0),
	(441, 'DYTML2', 'Days with Temp < 2 In 10 Days', 'Days  number with temp less than base 2 in 10 days', 1.00, '', '', 'Unitless', 'dekadal\r', 0, 0),
	(442, 'DYTML3', 'Days  with Temp < 3 In 10 Days', 'Days  number with temp less than base 3 in 10 days', 1.00, '', '', 'Unitless', 'dekadal\r', 0, 0),
	(443, 'DYTMG1', 'Days with Temp > 1 In 10 Days', 'Days  number with temp greater than base 1 in 10 days', 1.00, '', '', 'Unitless', 'dekadal\r', 0, 0),
	(444, 'DYTMG2', 'Days with Temp > 2 In 10 Days', 'Days  number with temp greater than base 2 in 10 days', 1.00, '', '', 'Unitless', 'dekadal\r', 0, 0),
	(445, 'DYTMG3', 'Days with Temp > 3 In 10 Days', 'Days  number with temp greater than base 3 in 10 days', 1.00, '', '', 'Unitless', 'dekadal\r', 0, 0),
	(446, 'DYPRG1', 'Days with Precip > 1 In 10 Days', 'Days  number with precip greater than base 1 in 10 days', 1.00, '', '', 'Unitless', 'dekadal\r', 0, 0),
	(447, 'DYPRG2', 'Days with Precip > 2 In 10 Days', 'Days  number with precip greater than base 2 in 10 days', 1.00, '', '', 'Unitless', 'dekadal\r', 0, 0),
	(448, 'DYPRG3', 'Days with Precip > 3 In 10 Days', 'Days  number with precip greater than base 3 in 10 days', 1.00, '', '', 'Unitless', 'dekadal\r', 0, 0),
	(449, 'MNMXDP', 'Temp  Dew Point Mean Max 10 Days', 'Temperature  dew point  mean maximum 10 day', 0.10, '', '', 'Degrees C', 'dekadal\r', 0, 0),
	(450, 'MNMNDP', 'Temp  Dew Point Mean Min 10 Days', 'Temperature  dew point  mean minimum 10 day', 0.10, '', '', 'Degrees C', 'dekadal\r', 0, 0),
	(451, 'MNDP', 'Temp  Dew Point Mean 10 Days', 'Temperature  dew point  mean 10 day', 0.10, '', '', 'Degrees C', 'dekadal\r', 0, 0),
	(452, 'EXMXDP', 'Temp   Dew Point Extreme Max In 10 Days', 'Temperature  dew point  extreme 10 day maximum', 0.10, '', '', 'Degrees C', 'dekadal\r', 0, 0),
	(453, 'DXMXDP', 'Date Extreme Max  Dew Point In 10 Days', 'Date of extreme maximum 10 day dewpoint', 1.00, '', '', 'Unitless', 'dekadal\r', 0, 0),
	(454, 'EXMNDP', 'Temp   Dew Point Extreme Min In 10 Days', 'Temperature  dew point  extreme 10 day minimum', 0.10, '', '', 'Degrees C', 'dekadal\r', 0, 0),
	(455, 'DXMNDP', 'Date Extreme Min  Dew Point In 10 Days', 'Date of extreme minimum 10 day dewpoint', 1.00, '', '', 'Unitless', 'dekadal\r', 0, 0),
	(456, 'MNMXRH', 'RH  Mean Max 10 Days', 'Relative humidity  mean maximum 10 day', 1.00, '100.00', '0.00', 'Percent', 'dekadal\r', 0, 0),
	(457, 'MNMNRH', 'RH  Mean Min 10 Days', 'Relative humidity  mean minimum 10 day', 1.00, '100.00', '0.00', 'Percent', 'dekadal\r', 0, 0),
	(458, 'MNRH', 'RH  Mean 10 Days', 'Relative humidity  mean 10 day', 1.00, '100.00', '0.00', 'Percent', 'dekadal\r', 0, 0),
	(459, 'EXMXRH', 'RH  Extreme Max 10 Days', 'Relative humidity  extreme 10 day maximum', 1.00, '100.00', '0.00', 'Percent', 'dekadal\r', 0, 0),
	(460, 'DXMXRH', 'Date Extreme RH Max in 10 Days', 'Date of extreme maximum 10 day relative humidity', 1.00, '', '', 'Unitless', 'dekadal\r', 0, 0),
	(461, 'EXMNRH', 'RH  Extreme Min 10 Days', 'Relative humidity  extreme 10 day minimum', 1.00, '100.00', '0.00', 'Percent', 'dekadal\r', 0, 0),
	(462, 'DXMNRH', 'Date Extreme RH Min in 10 Days', 'Date of extreme minimum 10 day relative humidity', 1.00, '', '', 'Unitless', 'dekadal\r', 0, 0),
	(463, 'EVAPMX', 'Evap  Max Dly In 10 Days', 'Evaporation  greatest daily in the 10 day period', 0.10, '', '', 'Millimeters', 'dekadal\r', 0, 0),
	(464, 'DMXEVP', 'Date of Max evap Dly In 10 Days', 'Date of the greatest daily evaporation in the 10 day period', 1.00, '', '', 'Unitless', 'dekadal\r', 0, 0),
	(477, 'EVAPPICHE', 'Evap Piche  Daily', 'Evaporation  Piche  daily', 0.10, '90.00', '0.00', 'Millimetres', 'daily\r', 0, 0),
	(478, 'GPM', 'GPM  Dly Avg', 'Geopotential height  daily average', 0.10, '', '', 'metres', 'daily\r', 0, 0),
	(500, 'PRECIP', 'Precip Dly  coded Synop', 'Precip daily  coded for synop', 1.00, '', '', 'Millimetres', 'synop\r', 0, 0),
	(503, 'TEMPDP12', 'Temp  Dew Point 12Z', 'Temperature  dew point at 12Z', 0.10, '', '', 'Degrees C', 'daily\r', 0, 0),
	(504, 'PRECIPDR', 'Precip  Hours', 'Precipitation  total hours', 0.10, '', '', 'Hours', 'daily\r', 0, 0),
	(511, 'TEMPDB12', 'Temp  Dry Bulb 12Z', 'Temperature  dry bulb at 12 Z', 0.10, '460.00', '0.00', 'Degrees C', 'daily\r', 0, 0),
	(512, 'TEMPWB12', 'Temp  Wet bulb 12Z', 'Temperature  wet bulb at 12Z', 0.10, '', '', 'Degrees C', 'daily\r', 0, 0),
	(513, 'WNDRN', 'Wind Mileage Dly', 'Wind mileage  daily', 1.00, '', '', 'Kilometers', 'daily\r', 0, 0),
	(515, 'RELHUM12', 'Relative Humidty 12Z', 'Relative humidity at 12Z', 1.00, '100.00', '0.00', 'Percent', 'daily\r', 0, 0),
	(518, 'EVAPPN2', 'Evap  Pan2 Daily', 'Evaporation  pan2  daily total', 0.10, '229.00', '0.00', 'Millimeters', 'daily\r', 0, 0),
	(530, 'TMPMNRST', 'Temp  Daily Min Reset', 'Temperature  daily minimum reset', 0.10, '400.00', '-70.00', 'Degrees C', 'daily\r', 0, 0),
	(531, 'TMPMXRST', 'Temp  Daily Max Reset', 'Temperature  daily maximum reset', 0.10, '', '', 'Degrees C', 'daily\r', 0, 0),
	(532, 'SUNHRS', 'Sunshine  Hours', 'Sunshine  total hours', 0.10, '130.00', '0.00', 'Hours', 'daily\r', 0, 0),
	(541, 'SOILMST005', 'Soil  Moisture Daily05', 'Soil  Moisture daily at 5 cm', 0.10, '3610.00', '0.00', 'Millimeters', 'daily\r', 0, 0),
	(542, 'SOILMST100', 'Soil  Moisture Daily100', 'Soil  Moisture daily at 100 cm', 0.10, '500.00', '0.00', 'Millimeters', 'daily\r', 0, 0),
	(554, 'SOILT0530', 'Temp  Soil20  05Z', 'Temperature  soil  20 cm at 05Z', 0.10, '', '', 'Degrees C', 'daily\r', 0, 0),
	(561, 'SOILT0905', 'Temp  Soil05 09Z', 'Temperature  soil  5 cm at 09Z', 0.10, '', '', 'Degrees C', 'daily\r', 0, 0),
	(562, 'SOILT0910', 'Temp  soil10 09Z', 'Temperature  soil  10 cm at 09Z', 0.10, '', '', 'Degrees C', 'daily\r', 0, 0),
	(563, 'SOILT0920', 'Temp  soil20 09Z', 'Temperature  soil  20 cm at 09Z', 0.10, '', '', 'Degrees C', 'daily\r', 0, 0),
	(564, 'SOILT1305', 'Temp  soil05 13Z', 'Temperature  soil  5 cm at 13Z', 0.10, '', '', 'Degrees C', 'daily\r', 0, 0),
	(565, 'SOILT1310', 'Temp  soil10 13Z', 'Temperature  soil  10 cm at 13Z', 0.10, '', '', 'Degrees C', 'daily\r', 0, 0),
	(566, 'SOILT1320', 'Temp  soil20 13Z', 'Temperature  soil  20 cm at 13Z', 0.10, '', '', 'Degrees C', 'daily\r', 0, 0),
	(600, 'OBSHGHT', 'Height  Observing Instrument', 'Observing instrument height above station elevation', 0.01, '', '', 'Metres', '\r', 0, 0),
	(806, 'RH06', 'RH  Daily 06Z', 'Relative Humidity  daily 06Z', 1.00, '100.00', '0.00', 'Percent', 'daily\r', 0, 0),
	(807, 'RH12', 'RH  Daily 12Z', 'Relative Humidity  daily 12Z', 1.00, '100.00', '0.00', 'Percent', 'daily\r', 0, 0),
	(810, 'TMPI06', 'Temp  Min 06Z', 'Temperature  minimum at 06Z', 0.10, '350.00', '-100.00', 'Degrees C', 'daily\r', 0, 0),
	(811, 'TMPI12', 'Temp  Min 12Z', 'Temperature  minimum at 12Z', 0.10, '350.00', '-100.00', 'Degrees C', 'daily\r', 0, 0),
	(812, 'A-PANB', 'Evap A_Pan Before', 'Evaporation  A_pan before', 1.00, '50.00', '0.00', 'milliliters', 'daily\r', 0, 0),
	(813, 'A-PANA', 'Evap A_Pan After', 'Evaporation  A_pan after', 1.00, '100.00', '0.00', 'milliliters', 'daily\r', 0, 0),
	(814, '3HRpppChar', '3Hr Pressure Characteristic', 'Three hour pressure characteristic', 1.00, '', '', 'Unitless', 'hourly', 0, 0),
	(850, '850GPM', '850Hp-GMP', 'Height of the 850 Hectopascal level in Geopotential Metres', 1.00, '2000.00', '1000.00', 'Meters', 'hourly\r', 0, 0),
	(851, 'PstWx', 'Past Weather W2', 'Past Weather W2 (WMO Synoptic Code)', 1.00, '', '', 'Unitless', 'hourly\r', 0, 0),
	(852, 'VPDHly', 'Vap Press Deficit', 'Hourly Vapour Pressure Deficit', 0.10, '', '', 'Hectopascals', 'hourly\r', 0, 0),
	(853, 'SOIL05', 'Temp  Soil05 Dly', 'Temperature  soil  daily at 5 cm', 0.10, '', '', 'Degrees C', 'daily\r', 0, 0),
	(854, 'SOIL10', 'Temp  Soil10 Dly', 'Temperature  soil  daily at 10 cm', 0.10, '', '', 'Degrees C', 'daily\r', 0, 0),
	(855, 'SOIL20', 'Temp  Soil20 Dly', 'Temperature  soil  daily at 20 cm', 0.10, '', '', 'Degrees C', 'daily\r', 0, 0),
	(881, 'AWSTEMP', 'AWS  Air Temp', 'AWS  Air Temperature', 0.10, '21.80', '12.20', 'Deg Celcius', 'hourly\r', 0, 0),
	(882, 'AWSTMAX', 'AWS  Max Temp', 'AWS  Maximum Temperature', 0.10, '', '', 'Deg Celcius', 'hourly\r', 0, 0),
	(883, 'AWSTMIN', 'AWS  Min Temp', 'AWS  Minimum Temperature', 0.10, '', '', 'Deg Celcius', 'hourly\r', 0, 0),
	(884, 'AWSBARO', 'AWS  Baro Press', 'AWS  Barometric Pressure', 0.10, '', '', 'Millibars', 'hourly\r', 0, 0),
	(885, 'AWSDP', 'AWS  Dew Point Temp', 'AWS  Dew Point Temperature', 0.10, '', '', 'Celcius', 'hourly\r', 0, 0),
	(886, 'AWSGUSTSPD', 'AWS  GUST Speed', 'AWS  Wind Gust Speed', 0.10, '', '', ' m/s', 'hourly\r', 0, 0),
	(887, 'AWsGUSTDIR', 'AWS  GUST Direction', 'AWS  Wind Gust Direction', 0.10, '', '', 'Degrees', 'hourly\r', 0, 0),
	(888, 'AWSHRSSUN', 'AWS  Sun Hours', 'AWS  Sunshine Hours', 0.10, '', '', 'Hours', 'hourly\r', 0, 0),
	(889, 'AWSQFE', 'AWS  Station Pressure', 'AWS  Station Level Pressure', 0.10, '', '', 'Millibars', 'hourly\r', 0, 0),
	(890, 'AWSQFF', 'AWS  Actual Sea Lvl Pressure', 'AWS  Actual Sea Level Pressure', 0.10, '', '', 'Millibars', 'hourly\r', 0, 0),
	(891, 'AWSQNH', 'AWS  Std Sea Levl Pressure', 'AWS  Standard Sea Level Pressure', 0.10, '', '', 'Millibars', 'hourly\r', 0, 0),
	(892, 'AWSPRECIP', 'AWS Precip Cum', 'AWS  Precipitation Cumulative', 0.10, '', '', 'Millimetres', 'hourly\r', 0, 0),
	(893, 'AWSRH', 'AWS  RH', 'AWS  Relative Humidity', 0.10, '', '', 'Percentage', 'hourly\r', 0, 0),
	(894, 'AWSSOLRAD', 'AWS  Sol Rad', 'AWS  Solar Radiation', 0.10, '', '', 'Megajoules/M**2', 'hourly\r', 0, 0),
	(895, 'AWSWDA', 'AWS  Wind Dir Avg', 'AWS  Wind Direction Average', 1.00, '', '', 'Degrees', 'hourly\r', 0, 0),
	(896, 'AWSWDI', 'AWS  Wind Dir Inst', 'AWS  Wind Direction Instantaneous', 1.00, '', '', 'Degrees', 'hourly\r', 0, 0),
	(897, 'AWSWSA', 'AWS  Wind Spd Avg', 'AWS  Wind Speed Average', 0.10, '', '', 'Knots', 'hourly\r', 0, 0),
	(898, 'AWSWSI', 'AWS  Wind Spd Inst', 'AWS  Wind Speed Instantaneous', 0.10, '', '', 'Knots', 'hourly\r', 0, 0),
	(899, 'LEAFWET', 'Leaf Wetness', 'Leaf Wetness', 0.10, '', '', 'Min', 'hourly\r', 0, 0),
	(900, 'Eto', 'Evapotranspiration', 'Evapotranspiration', 0.10, '', '', 'Millimetres', 'hourly\r', 0, 0),
	(901, 'AWSTMPMN', 'AWS  Temp Dry Bulb Daily Mean', 'AWS  drybulb daily mean', 0.10, '', '', 'Degrees C', 'daily\r', 0, 0),
	(902, 'AWSDPMN', 'AWS  Temp Dew Point Daily Mean', 'AWS  dewpoint daily mean', 0.10, '', '', 'Degrees C', 'daily\r', 0, 0),
	(903, 'AWSSUNTOT', 'AWS  Sunshine Daily Total', 'AWS  sunshine daily total', 0.10, '', '', 'Hours', 'daily\r', 0, 0),
	(904, 'AWSPRESSMN', 'AWS  Mean Station Pressure', 'AWS  mean station pressure', 0.10, '', '', 'hPa', 'daily\r', 0, 0),
	(905, 'AWSMSLPMN', 'AWS  Daily Mean Station Pressure', 'AWS  daily mean station pressure', 0.10, '', '', 'hPa', 'daily\r', 0, 0),
	(907, 'AWSRHMN', 'AWS  RH Daily Mean', 'AWS  RH daily mean', 0.10, '', '', 'Perc', 'daily\r', 0, 0),
	(908, 'AWSRADMN', 'AWS  Solar Rad  Daily Total', 'AWS  solar rad  daily total', 0.10, '', '', 'Megajoules/M**2', 'daily\r', 0, 0),
	(909, 'AWSWSPDMN', 'AWS  Wind Spd Daily Avg', 'AWS  wind spd daily ave', 0.10, '', '', 'Knots', 'daily\r', 0, 0),
	(910, 'AWSTMAX', 'AWS  Temp Max Daily', 'AWS  Tmax daily', 0.10, '', '', 'Degrees C', 'daily\r', 0, 0),
	(911, 'AWSTMIN', 'AWS  Temp Min Daily', 'AWS  Tmin daily', 0.10, '', '', 'Degrees C', 'daily\r', 0, 0),
	(912, 'AWSPRECIPT', 'AWS  Daily Precip Total', 'AWS  daily precip total', 0.10, '', '', 'millimetres', 'daily\r', 0, 0),
	(915, 'SOILMOIST', 'Soil Moisture', 'Soil Moisture', 0.10, '', '', 'm3/m3', 'AWS', 0, 0),
	(916, 'VAPPRESS', 'AWS Vapour Pressure ', 'Vapour Pressure', 0.10, '', '', 'Kpa', 'AWS', 0, 0),
	(917, 'WATRTEMP', 'Water Temperature', 'Water Temperature', 0.10, '', '', 'deg ceilcius', 'AWS', 0, 0),
	(918, 'WATRDPTH', 'Water Depth', 'Water Depth', 0.10, '', '', 'mm', 'AWS', 0, 0),
	(919, 'CONDCTVTY', 'Conductivity', 'Electrical Conductivity', 0.10, '', '', 'ms/cm', 'AWS', 0, 0);
/*!40000 ALTER TABLE `obselement` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_test_db_v4.observationfinal
CREATE TABLE IF NOT EXISTS `observationfinal` (
  `recordedFrom` varchar(255) NOT NULL,
  `describedBy` bigint(20) DEFAULT NULL,
  `obsDatetime` datetime DEFAULT NULL,
  `obsLevel` varchar(255) DEFAULT 'surface',
  `obsValue` decimal(8,2) DEFAULT NULL,
  `flag` varchar(255) DEFAULT 'N',
  `period` int(11) DEFAULT NULL,
  `qcStatus` int(11) DEFAULT '0',
  `qcTypeLog` text,
  `acquisitionType` int(11) DEFAULT '0',
  `dataForm` varchar(255) DEFAULT NULL,
  `capturedBy` varchar(255) DEFAULT NULL,
  `mark` tinyint(4) DEFAULT NULL,
  `temperatureUnits` varchar(255) DEFAULT NULL,
  `precipitationUnits` varchar(255) DEFAULT NULL,
  `cloudHeightUnits` varchar(255) DEFAULT NULL,
  `visUnits` varchar(255) DEFAULT NULL,
  `dataSourceTimeZone` int(11) DEFAULT '0',
  UNIQUE KEY `obsFinalIdentification` (`recordedFrom`,`describedBy`,`obsDatetime`),
  KEY `obsElementObservationInitial` (`describedBy`),
  KEY `stationObservationInitial` (`recordedFrom`),
  CONSTRAINT `FK_mysql_climsoft_db_v4_obselement_observationFinal` FOREIGN KEY (`describedBy`) REFERENCES `obselement` (`elementId`),
  CONSTRAINT `FK_mysql_climsoft_db_v4_station_observationFinal` FOREIGN KEY (`recordedFrom`) REFERENCES `station` (`stationId`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_test_db_v4.observationfinal: ~73,275 rows (approximately)
/*!40000 ALTER TABLE `observationfinal` DISABLE KEYS */;
INSERT INTO `observationfinal` (`recordedFrom`, `describedBy`, `obsDatetime`, `obsLevel`, `obsValue`, `flag`, `period`, `qcStatus`, `qcTypeLog`, `acquisitionType`, `dataForm`, `capturedBy`, `mark`, `temperatureUnits`, `precipitationUnits`, `cloudHeightUnits`, `visUnits`, `dataSourceTimeZone`) VALUES
	('67774010', 4, '2000-01-19 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-01-20 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-01-21 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-01-22 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-01-23 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-01-24 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-01-25 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-01-26 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-01-27 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-01-28 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-01-29 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-01-30 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-01-31 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-02-01 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-02-02 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-02-03 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-02-04 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-02-05 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-02-06 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-02-07 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-02-08 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-02-09 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-02-10 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-02-11 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-02-12 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-02-13 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-02-14 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-02-15 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-02-16 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-02-17 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-02-18 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-02-19 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-02-20 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-02-21 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-02-22 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-02-23 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-02-24 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-02-25 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-02-26 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-02-27 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-02-28 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-02-29 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-03-01 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-03-02 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-03-03 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-03-04 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-03-05 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-03-06 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-03-07 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-03-08 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-03-09 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-03-10 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-03-11 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-03-12 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-03-13 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-03-14 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-03-15 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-03-16 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-03-17 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-03-18 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-03-19 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-03-20 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-03-21 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-03-22 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-03-23 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-03-24 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-03-25 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-03-26 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-03-27 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-03-28 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-03-29 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-03-30 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-03-31 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-04-01 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-04-02 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-04-03 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-04-04 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-04-05 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-04-06 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-04-07 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-04-08 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-04-09 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-04-10 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-04-11 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-04-12 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-04-13 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-04-14 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-04-15 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-04-16 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-04-17 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-04-18 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-04-19 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-04-20 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-04-21 06:00:00', 'surface', 18.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-04-22 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-04-23 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-04-24 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-04-25 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-04-26 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-04-27 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-04-28 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-04-29 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-04-30 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-05-01 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-05-02 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-05-03 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-05-04 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-05-05 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-05-06 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-05-07 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-05-08 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-05-09 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-05-10 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-05-11 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-05-12 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-05-13 06:00:00', 'surface', 11.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-05-14 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-05-15 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-05-16 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-05-17 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-05-18 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-05-19 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-05-20 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-05-21 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-05-22 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-05-23 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-05-24 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-05-25 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-05-26 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-05-29 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-05-30 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-05-31 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-06-01 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-06-02 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-06-03 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-06-04 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-06-05 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-06-06 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-06-07 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-06-08 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-06-09 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-06-10 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-06-11 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-06-12 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-06-13 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-06-14 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-06-15 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-06-16 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-06-17 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-06-18 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-06-19 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-06-20 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-06-21 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-06-22 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-06-23 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-06-24 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-06-25 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-06-26 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-06-27 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-05-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-05-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-05-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-05-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-05-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-05-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-05-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-05-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-05-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-05-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-05-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-05-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-05-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-05-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-05-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-05-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-05-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-05-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-05-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-05-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-05-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-05-23 06:00:00', 'surface', 0.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-05-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-05-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-05-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-05-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-05-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-05-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-05-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-05-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-06-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-06-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-06-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-06-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-06-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-06-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-06-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-06-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-06-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-06-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-06-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-06-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-06-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-06-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-06-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-06-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-06-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-06-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-06-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-06-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-06-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-06-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-06-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-06-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-06-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-06-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-06-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-06-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-06-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-06-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-07-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-07-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-07-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-07-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-07-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-07-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-07-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-07-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-07-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-07-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-07-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-07-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-07-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-07-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-07-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-07-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-07-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-07-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-07-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-07-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-07-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-07-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-07-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-07-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-07-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-07-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-07-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-07-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-07-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-07-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-07-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-08-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-08-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-08-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-08-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-08-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-08-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-08-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-08-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-08-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-08-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-08-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-08-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-08-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-08-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-08-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-01-01 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-01-02 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-01-03 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-01-04 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-01-05 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-01-06 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-01-07 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-01-08 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-01-09 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-01-10 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-01-11 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-01-12 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-01-13 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-01-14 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-01-15 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-01-16 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-01-17 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-01-18 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-01-19 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-01-20 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-01-21 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-01-22 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-01-23 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-01-24 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-01-25 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-01-26 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-01-27 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-01-28 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-01-29 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-01-30 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-01-31 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-02-01 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-02-02 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-02-03 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-02-04 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-02-05 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-02-06 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-02-07 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-02-08 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-02-09 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-02-10 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-02-11 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-02-12 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-02-13 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-02-14 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-02-15 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-02-16 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-02-17 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-02-18 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-02-19 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-02-20 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-02-21 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-02-22 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-02-23 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-02-24 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-02-25 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-02-26 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-02-27 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-02-28 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-03-01 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-03-02 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-03-03 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-03-04 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-03-05 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-03-06 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-03-07 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-03-08 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-03-09 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-03-10 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-03-11 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-03-12 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-03-13 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-03-14 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-03-15 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-03-16 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-03-17 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-03-18 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-03-19 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-03-20 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-03-21 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-03-22 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-03-23 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-03-24 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-03-25 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-03-26 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-03-27 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-03-28 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-03-29 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-03-30 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-03-31 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-04-01 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-04-02 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-04-03 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-04-04 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-04-05 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-04-06 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-04-07 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-04-08 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-04-09 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-04-10 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-04-11 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-04-12 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-04-13 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-04-14 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-04-15 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-04-16 06:00:00', 'surface', 30.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-04-17 06:00:00', 'surface', 29.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-04-18 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-04-19 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-04-20 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-04-21 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-04-22 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-04-23 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-04-24 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-04-25 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-04-26 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-04-27 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-04-28 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-04-29 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-04-30 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-05-01 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-05-02 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-05-03 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-05-04 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-05-05 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-05-06 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-05-07 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-05-08 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-05-09 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-05-10 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-05-11 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-05-12 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-05-13 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-05-14 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-05-15 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-05-16 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-05-17 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-05-18 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-05-19 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-05-20 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-05-21 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-05-22 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-05-23 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-05-24 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-05-25 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-05-26 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-05-27 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-05-28 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-05-29 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-05-30 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-05-31 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-06-01 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-06-02 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-06-03 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-06-04 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-06-05 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-06-06 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-06-07 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-06-08 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-06-09 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-06-10 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-06-11 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-06-12 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-06-13 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-06-14 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-06-15 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-06-16 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-06-17 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-06-18 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-06-19 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-06-20 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-06-21 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-06-22 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-06-23 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-06-24 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-06-25 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-06-26 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-06-27 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-06-28 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-06-29 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-06-30 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-07-01 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-07-02 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-07-03 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-07-04 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-07-05 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-07-06 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-07-07 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-07-08 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-07-09 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-07-10 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-07-11 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-07-12 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-07-13 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-07-14 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-07-15 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-07-16 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-07-17 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-07-18 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-07-19 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-07-20 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-07-21 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-07-22 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-07-23 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-07-24 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-07-25 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-07-26 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-07-27 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-07-28 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-07-29 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-07-30 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-07-31 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-08-01 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-08-02 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-08-03 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-08-04 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-08-05 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-08-06 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-08-07 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-08-08 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-08-09 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-08-10 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-08-11 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-08-12 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-08-13 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-08-14 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-08-15 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-08-16 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-08-17 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-08-18 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-08-19 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-08-20 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-08-21 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-08-22 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-08-23 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-08-24 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-08-25 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-08-26 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-08-27 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-08-28 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-08-29 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-08-30 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-08-31 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-09-01 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-09-02 06:00:00', 'surface', 30.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-09-03 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-09-04 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-09-05 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-09-06 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-09-07 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-09-08 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-09-09 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-09-10 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-09-11 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-09-12 06:00:00', 'surface', 29.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-09-13 06:00:00', 'surface', 29.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-09-14 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-09-15 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-09-16 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-09-17 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-09-18 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-09-19 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-09-20 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-09-21 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-09-22 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-09-23 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-09-24 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-09-25 06:00:00', 'surface', 29.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-09-26 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-09-27 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-09-28 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-09-29 06:00:00', 'surface', 30.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-09-30 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-10-01 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-10-02 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-10-03 06:00:00', 'surface', 30.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-10-04 06:00:00', 'surface', 30.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-10-05 06:00:00', 'surface', 30.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-10-06 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-10-07 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-10-08 06:00:00', 'surface', 30.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-10-09 06:00:00', 'surface', 33.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-10-10 06:00:00', 'surface', 29.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-10-11 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-10-12 06:00:00', 'surface', 29.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-10-13 06:00:00', 'surface', 31.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-10-14 06:00:00', 'surface', 32.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-10-15 06:00:00', 'surface', 33.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-10-16 06:00:00', 'surface', 33.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-10-17 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-10-18 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-10-19 06:00:00', 'surface', 30.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-10-20 06:00:00', 'surface', 30.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-10-21 06:00:00', 'surface', 32.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-10-22 06:00:00', 'surface', 33.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-10-23 06:00:00', 'surface', 32.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-10-24 06:00:00', 'surface', 33.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-10-25 06:00:00', 'surface', 33.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-10-26 06:00:00', 'surface', 31.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-10-27 06:00:00', 'surface', 33.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-10-28 06:00:00', 'surface', 33.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-10-29 06:00:00', 'surface', 33.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-10-30 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-10-31 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-11-01 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-11-02 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-11-03 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-11-04 06:00:00', 'surface', 31.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-11-05 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-11-06 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-11-07 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-11-08 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-11-09 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-11-10 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-11-11 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-11-12 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-11-13 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-11-14 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-11-15 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-11-16 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-11-17 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-11-18 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-11-19 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-11-20 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-11-21 06:00:00', 'surface', 30.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-11-22 06:00:00', 'surface', 31.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-11-23 06:00:00', 'surface', 31.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-11-24 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-11-25 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-11-26 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-11-27 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-11-28 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-11-29 06:00:00', 'surface', 29.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-11-30 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-12-01 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-12-02 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-12-03 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-12-04 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-12-05 06:00:00', 'surface', 30.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-12-06 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-12-07 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-12-08 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-12-09 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-12-10 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-12-11 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-12-12 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-12-13 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-12-14 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-12-15 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-12-16 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-12-17 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-12-18 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-12-19 06:00:00', 'surface', 30.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-12-20 06:00:00', 'surface', 30.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-12-21 06:00:00', 'surface', 31.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-12-22 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-12-23 06:00:00', 'surface', 30.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-12-24 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-12-25 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-12-26 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-12-27 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-12-28 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-12-29 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-12-30 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1961-12-31 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-01-01 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-01-02 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-01-03 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-01-04 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-01-05 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-01-06 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-01-07 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-01-08 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-01-09 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-01-10 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-01-11 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-01-12 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-01-13 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-01-14 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-01-15 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-01-16 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-01-17 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-01-18 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-01-19 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-01-20 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-01-21 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-01-22 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-01-23 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-01-24 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-01-25 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-01-26 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-01-27 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-01-28 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-01-29 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-01-30 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-01-31 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-02-01 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-02-02 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-02-03 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-02-04 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-02-05 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-02-06 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-02-07 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-02-08 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-02-09 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-02-10 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-02-11 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-02-12 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-02-13 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-02-14 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-02-15 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-02-16 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-02-17 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-02-18 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-02-19 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-02-20 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-02-21 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-02-22 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-02-23 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-02-24 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-02-25 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-02-26 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-02-27 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-02-28 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-03-01 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-03-02 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-03-03 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-03-04 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-03-05 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-03-06 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-03-07 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-03-08 06:00:00', 'surface', 29.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-03-09 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-03-10 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-03-11 06:00:00', 'surface', 29.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-03-12 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-03-13 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-03-14 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-03-15 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-03-16 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-03-17 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-03-18 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-03-19 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-03-20 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-03-21 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-03-22 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-03-23 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-03-24 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-03-25 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-03-26 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-03-27 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-03-28 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-03-29 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-03-30 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-03-31 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-04-01 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-04-02 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-04-03 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-04-04 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-04-05 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-04-06 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-04-07 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-04-08 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-04-09 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-04-10 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-04-11 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-04-12 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-04-13 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-04-14 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-04-15 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-04-16 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-04-17 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-04-18 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-04-19 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-04-20 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-04-21 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-04-22 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-04-23 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-04-24 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-04-25 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-04-26 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-04-27 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-04-28 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-04-29 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-04-30 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-05-01 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-05-02 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-05-03 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-05-04 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-05-05 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-05-06 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-05-07 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-05-08 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-05-09 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-05-10 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-05-11 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-05-12 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-05-13 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-05-14 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-05-15 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-05-16 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-05-17 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-05-18 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-05-19 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-05-20 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-05-21 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-05-22 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-05-23 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-05-24 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-05-25 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-05-26 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-05-27 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-05-28 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-05-29 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-05-30 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-05-31 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-06-01 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-06-02 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-06-03 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-06-04 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-06-05 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-06-06 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-06-07 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-06-08 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-06-09 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-06-10 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-06-11 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-06-12 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-06-13 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-06-14 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-06-15 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-06-16 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-06-17 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-06-18 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-06-19 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-06-20 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-06-21 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-06-22 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-06-23 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-06-24 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-06-25 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-06-26 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-06-27 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-06-28 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-06-29 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-06-30 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-07-01 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-07-02 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-07-03 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-07-04 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-07-05 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-07-06 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-07-07 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-07-08 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-07-09 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-07-10 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-07-11 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-07-12 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-07-13 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-07-14 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-07-15 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-07-16 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-07-17 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-07-18 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-07-19 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-07-20 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-07-21 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-07-22 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-07-23 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-07-24 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-07-25 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-07-26 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-07-27 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-07-28 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-07-29 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-07-30 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-07-31 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-08-01 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-08-02 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-08-03 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-08-04 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-08-05 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-08-06 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-08-07 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-08-08 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-08-09 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-08-10 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-08-11 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-08-12 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-08-13 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-08-14 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-08-15 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-08-16 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-08-17 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-08-18 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-08-19 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-08-20 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-08-21 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-08-22 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-08-23 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-08-24 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-08-25 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-08-26 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-08-27 06:00:00', 'surface', 29.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-08-28 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-08-29 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-08-30 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-08-31 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-09-01 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-09-02 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-09-03 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-09-04 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-09-05 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-09-06 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-09-07 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-09-08 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-09-09 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-09-10 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-09-11 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-09-12 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-09-13 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-09-14 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-09-15 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-09-16 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-09-17 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-09-18 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-09-19 06:00:00', 'surface', 29.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-09-20 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-09-21 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-09-22 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-09-23 06:00:00', 'surface', 29.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-09-24 06:00:00', 'surface', 30.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-09-25 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-09-26 06:00:00', 'surface', 29.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-09-27 06:00:00', 'surface', 30.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-09-28 06:00:00', 'surface', 29.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-09-29 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-09-30 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-10-01 06:00:00', 'surface', 29.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-10-02 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-10-03 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-10-04 06:00:00', 'surface', 30.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-10-05 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-10-06 06:00:00', 'surface', 29.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-10-07 06:00:00', 'surface', 30.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-10-08 06:00:00', 'surface', 31.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-10-09 06:00:00', 'surface', 32.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-10-10 06:00:00', 'surface', 33.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-10-11 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-10-12 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-10-13 06:00:00', 'surface', 31.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-10-14 06:00:00', 'surface', 32.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-10-15 06:00:00', 'surface', 33.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-10-16 06:00:00', 'surface', 32.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-10-17 06:00:00', 'surface', 33.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-10-18 06:00:00', 'surface', 34.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-10-19 06:00:00', 'surface', 32.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-10-20 06:00:00', 'surface', 29.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-10-21 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-10-22 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-10-23 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-10-24 06:00:00', 'surface', 31.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-10-25 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-10-26 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-10-27 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-10-28 06:00:00', 'surface', 30.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-10-29 06:00:00', 'surface', 31.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-10-30 06:00:00', 'surface', 32.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-10-31 06:00:00', 'surface', 32.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-11-01 06:00:00', 'surface', 31.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-11-02 06:00:00', 'surface', 31.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-11-03 06:00:00', 'surface', 32.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-11-04 06:00:00', 'surface', 32.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-11-05 06:00:00', 'surface', 30.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-11-06 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-11-07 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-11-08 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-11-09 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-11-10 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-11-11 06:00:00', 'surface', 30.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-11-12 06:00:00', 'surface', 31.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-11-13 06:00:00', 'surface', 32.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-11-14 06:00:00', 'surface', 30.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-11-15 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-11-16 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-11-17 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-11-18 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-11-19 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-11-20 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-11-21 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-11-22 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-11-23 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-11-24 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-11-25 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-11-26 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-11-27 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-11-28 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-11-29 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-11-30 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-12-01 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-12-02 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-12-03 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-12-04 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-12-05 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-12-06 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-12-07 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-12-08 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-12-09 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-12-10 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-12-11 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-12-12 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-12-13 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-12-14 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-12-15 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-12-16 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-12-17 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-12-18 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-12-19 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-12-20 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-12-21 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-12-22 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-12-23 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-12-24 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-12-25 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-12-26 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-12-27 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-12-28 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-12-29 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-12-30 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1962-12-31 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-01-01 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-01-02 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-01-03 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-01-04 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-01-05 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-01-06 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-01-07 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-01-08 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-01-09 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-01-10 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-01-11 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-01-12 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-01-13 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-01-14 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-01-15 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-01-16 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-01-17 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-01-18 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-01-19 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-01-20 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-01-21 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-01-22 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-01-23 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-01-24 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-01-25 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-01-26 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-01-27 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-01-28 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-01-29 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-01-30 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-01-31 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-02-01 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-02-02 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-02-03 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-02-04 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-02-05 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-02-06 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-02-07 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-02-08 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-02-09 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-02-10 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-02-11 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-02-12 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-02-13 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-02-14 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-02-15 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-02-16 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-02-17 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-02-18 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-02-19 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-02-20 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-02-21 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-02-22 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-02-23 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-02-24 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-02-25 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-02-26 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-02-27 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-02-28 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-03-01 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-03-02 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-03-03 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-03-04 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-03-05 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-03-06 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-03-07 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-03-08 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-03-09 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-03-10 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-03-11 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-03-12 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-03-13 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-03-14 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-03-15 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-03-16 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-03-17 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-03-18 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-03-19 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-03-20 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-03-21 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-03-22 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-03-23 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-03-24 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-03-25 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-03-26 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-03-27 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-03-28 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-03-29 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-03-30 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-03-31 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-04-01 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-04-02 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-04-03 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-04-04 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-04-05 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-04-06 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-04-07 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-04-08 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-04-09 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-04-10 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-04-11 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-04-12 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-04-13 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-04-14 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-04-15 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-04-16 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-04-17 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-04-18 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-04-19 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-04-20 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-04-21 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-04-22 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-04-23 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-04-24 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-04-25 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-04-26 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-04-27 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-04-28 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-04-29 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-04-30 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-05-01 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-05-02 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-05-03 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-05-04 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-05-05 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-05-06 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-05-07 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-05-08 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-05-09 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-05-10 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-05-11 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-05-12 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-05-13 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-05-14 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-05-15 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-05-16 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-05-17 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-05-18 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-05-19 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-05-20 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-05-21 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-05-22 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-05-23 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-05-24 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-05-25 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-05-26 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-05-27 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-05-28 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-05-29 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-05-30 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-05-31 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-06-01 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-06-02 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-06-03 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-06-04 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-06-05 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-06-06 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-06-07 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-06-08 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-06-09 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-06-10 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-06-11 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-06-12 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-06-13 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-06-14 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-06-15 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-06-16 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-06-17 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-06-18 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-06-19 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-06-20 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-06-21 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-06-22 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-06-23 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-06-24 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-06-25 06:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-06-26 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-06-27 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-06-28 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-06-29 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-06-30 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-07-01 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-07-02 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-07-03 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-07-04 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-07-05 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-07-06 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-07-07 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-07-08 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-07-09 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-07-10 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-07-11 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-07-12 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-07-13 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-07-14 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-07-15 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-07-16 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-07-17 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-07-18 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-07-19 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-07-20 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-07-21 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-07-22 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-07-23 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-07-24 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-07-25 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-07-26 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-07-27 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-07-28 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-07-29 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-07-30 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-07-31 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-08-01 06:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-08-02 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-08-03 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-08-04 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-08-05 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-08-06 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-08-07 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-08-08 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-08-09 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-08-10 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-08-11 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-08-12 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-08-13 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-08-14 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-08-15 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-08-16 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-08-17 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-08-18 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-08-19 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-08-20 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-08-21 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-08-22 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-08-23 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-08-24 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-08-25 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-08-26 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-08-27 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-08-28 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-08-29 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-08-30 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-08-31 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-09-01 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-09-02 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-09-03 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-09-04 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-09-05 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-09-06 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-09-07 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-09-08 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-09-09 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-09-10 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-09-11 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-09-12 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-09-13 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-09-14 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-09-15 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-09-16 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-09-17 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-09-18 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-09-19 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-09-20 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-09-21 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-09-22 06:00:00', 'surface', 30.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-09-23 06:00:00', 'surface', 31.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-09-24 06:00:00', 'surface', 31.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-09-25 06:00:00', 'surface', 30.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-09-26 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-09-27 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-09-28 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-09-29 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-09-30 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-10-01 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-10-02 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-10-03 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-10-04 06:00:00', 'surface', 30.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-10-05 06:00:00', 'surface', 31.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-10-06 06:00:00', 'surface', 33.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-10-07 06:00:00', 'surface', 32.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-10-08 06:00:00', 'surface', 31.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-10-09 06:00:00', 'surface', 31.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-10-10 06:00:00', 'surface', 30.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-10-11 06:00:00', 'surface', 30.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-10-12 06:00:00', 'surface', 31.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-10-13 06:00:00', 'surface', 31.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-10-14 06:00:00', 'surface', 30.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-10-15 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-10-16 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-10-17 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-10-18 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-10-19 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-10-20 06:00:00', 'surface', 29.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-10-21 06:00:00', 'surface', 29.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-10-22 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-10-23 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-10-24 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-10-25 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-10-26 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-10-27 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-10-28 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-10-29 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-10-30 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-10-31 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-11-01 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-11-02 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-11-03 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-11-04 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-11-05 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-11-06 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-11-07 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-11-08 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-11-09 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-11-10 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-11-11 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-11-12 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-11-13 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-11-14 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-11-15 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-11-16 06:00:00', 'surface', 29.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-11-17 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-11-18 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-11-19 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-11-20 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-11-21 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-11-22 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-11-23 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-11-24 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-11-25 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-11-26 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-11-27 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-11-28 06:00:00', 'surface', 31.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-11-29 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-11-30 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-12-01 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-12-02 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-12-03 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-12-04 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-12-05 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-12-06 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-12-07 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-12-08 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-12-09 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-12-10 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-12-11 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-12-12 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-12-13 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-12-14 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-12-15 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-12-16 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-12-17 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-12-18 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-12-19 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-12-20 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-12-21 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-12-22 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-12-23 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-12-24 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-12-25 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-12-26 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-12-27 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-12-28 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-12-29 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-12-30 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1963-12-31 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-01-01 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-01-02 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-01-03 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-01-04 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-01-05 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-01-06 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-01-07 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-01-08 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-01-09 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-01-10 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-01-11 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-01-12 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-01-13 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-01-14 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-01-15 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-01-16 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-01-17 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-01-18 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-01-19 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-01-20 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-01-21 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-01-22 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-01-23 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-01-24 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-01-25 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-01-26 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-01-27 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-01-28 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-01-29 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-01-30 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-01-31 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-02-01 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-02-02 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-02-03 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-02-04 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-02-05 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-02-06 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-02-07 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-02-08 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-02-09 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-02-10 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-02-11 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-02-12 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-02-13 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-02-14 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-02-15 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-02-16 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-02-17 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-02-18 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-02-19 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-02-20 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-02-21 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-02-22 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-02-23 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-02-24 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-02-25 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-02-26 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-02-27 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-02-28 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-02-29 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-03-01 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-03-02 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-03-03 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-03-04 06:00:00', 'surface', 30.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-03-05 06:00:00', 'surface', 30.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-03-06 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-03-07 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-03-08 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-03-09 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-03-10 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-03-11 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-03-12 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-03-13 06:00:00', 'surface', 30.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-03-14 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-03-15 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-03-16 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-03-17 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-03-18 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-03-19 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-03-20 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-03-21 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-03-22 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-03-23 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-03-24 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-03-25 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-03-26 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-03-27 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-03-28 06:00:00', 'surface', 29.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-03-29 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-03-30 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-03-31 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-04-01 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-04-02 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-04-03 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-04-04 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-04-05 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-04-06 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-04-07 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-04-08 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-04-09 06:00:00', 'surface', 29.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-04-10 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-04-11 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-04-12 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-04-13 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-04-14 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-04-15 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-04-16 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-04-17 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-04-18 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-04-19 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-04-20 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-04-21 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-04-22 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-04-23 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-04-24 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-04-25 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-04-26 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-04-27 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-04-28 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-04-29 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-04-30 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-05-01 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-05-02 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-05-03 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-12-02 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-12-03 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-12-04 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-12-05 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-12-06 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-12-07 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-12-08 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-12-09 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-12-10 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-12-11 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-12-12 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-12-13 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-12-14 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-12-15 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-12-16 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-12-17 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-12-18 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-12-19 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-12-20 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-12-21 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-12-22 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-12-23 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-12-24 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-12-25 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-12-26 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-12-27 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-12-28 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-12-29 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-12-30 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-12-31 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-01-01 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-01-02 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-01-03 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-01-04 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-01-05 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-01-06 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-01-07 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-01-08 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-01-09 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-01-10 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-01-11 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-01-12 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-01-13 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-01-14 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-01-15 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-01-16 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-01-17 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-01-18 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-01-19 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-01-20 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-01-21 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-01-22 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-01-23 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-01-24 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-01-25 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-01-26 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-01-27 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-01-28 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-01-29 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-01-30 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-01-31 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-02-01 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-02-02 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-02-03 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-02-04 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-02-05 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-02-06 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-02-07 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-02-08 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-02-09 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-02-10 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-02-11 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-02-12 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-02-13 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-02-14 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-02-15 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-02-16 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-02-17 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-02-18 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-02-19 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-02-20 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-02-21 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-02-22 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-02-23 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-02-24 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-02-25 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-02-26 06:00:00', 'surface', 30.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-02-27 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-02-28 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-03-01 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-03-02 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-03-03 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-03-04 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-03-05 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-03-06 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-03-07 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-03-08 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-03-09 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-03-10 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-03-11 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-03-12 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-03-13 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-03-14 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-03-15 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-03-16 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-03-17 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-03-18 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-03-19 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-03-20 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-03-21 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-03-22 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-03-23 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-03-24 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-03-25 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-03-26 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-03-27 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-03-28 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-03-29 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-03-30 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-03-31 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-04-01 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-04-02 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-04-03 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-04-04 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-04-05 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-04-06 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-04-07 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-04-08 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-04-09 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-04-10 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-04-11 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-04-12 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-04-13 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-04-14 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-04-15 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-04-16 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-04-17 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-04-18 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-04-19 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-04-20 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-04-21 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-04-22 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-04-23 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-04-24 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-04-25 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-04-26 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-04-27 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-04-28 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-04-29 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-04-30 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-05-01 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-05-02 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-05-03 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-05-04 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-05-05 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-05-06 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-05-07 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-05-08 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-05-09 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-05-04 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-05-05 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-05-06 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-05-07 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-05-08 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-05-09 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-05-10 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-05-11 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-05-12 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-05-13 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-05-14 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-05-15 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-05-16 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-05-17 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-05-18 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-05-19 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-05-20 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-05-21 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-05-22 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-05-23 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-05-24 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-05-25 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-05-26 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-05-27 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-05-28 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-05-29 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-05-30 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-05-31 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-06-01 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-06-02 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-06-03 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-06-04 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-06-05 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-06-06 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-06-07 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-06-08 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-06-09 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-06-10 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-06-11 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-06-12 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-06-13 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-06-14 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-06-15 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-06-16 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-06-17 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-06-18 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-06-19 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-06-20 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-06-21 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-06-22 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-06-23 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-06-24 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-06-25 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-06-26 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-06-27 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-06-28 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-06-29 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-06-30 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-07-01 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-07-02 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-07-03 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-07-04 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-07-05 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-07-06 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-07-07 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-07-08 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-07-09 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-07-10 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-07-11 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-07-12 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-07-13 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-07-14 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-07-15 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-07-16 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-07-17 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-07-18 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-07-19 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-07-20 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-07-21 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-07-22 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-07-23 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-07-24 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-07-25 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-07-26 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-07-27 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-07-28 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-07-29 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-07-30 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-07-31 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-08-01 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-08-02 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-08-03 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-08-04 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-08-05 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-08-06 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-08-07 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-08-08 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-08-09 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-08-10 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-08-11 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-08-12 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-08-13 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-08-14 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-08-15 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-08-16 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-08-17 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-08-18 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-08-19 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-08-20 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-08-21 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-08-22 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-08-23 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-08-24 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-08-25 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-08-26 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-08-27 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-08-28 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-08-29 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-08-30 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-08-31 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-09-01 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-09-02 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-09-03 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-09-04 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-09-05 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-09-06 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-09-07 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-09-08 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-09-09 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-09-10 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-09-11 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-09-12 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-09-13 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-09-14 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-09-15 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-09-16 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-09-17 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-09-18 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-09-19 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-09-20 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-09-21 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-09-22 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-09-23 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-09-24 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-09-25 06:00:00', 'surface', 31.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-09-26 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-09-27 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-09-28 06:00:00', 'surface', 30.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-09-29 06:00:00', 'surface', 30.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-09-30 06:00:00', 'surface', 29.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-10-01 06:00:00', 'surface', 31.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-10-02 06:00:00', 'surface', 31.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-10-03 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-10-04 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-10-05 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-10-06 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-10-07 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-10-08 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-10-09 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-10-10 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-10-11 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-10-12 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-10-13 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-10-14 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-10-15 06:00:00', 'surface', 29.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-10-16 06:00:00', 'surface', 30.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-10-17 06:00:00', 'surface', 30.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-10-18 06:00:00', 'surface', 31.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-10-19 06:00:00', 'surface', 30.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-10-20 06:00:00', 'surface', 31.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-10-21 06:00:00', 'surface', 32.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-10-22 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-10-23 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-10-24 06:00:00', 'surface', 30.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-10-25 06:00:00', 'surface', 32.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-10-26 06:00:00', 'surface', 32.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-10-27 06:00:00', 'surface', 30.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-10-28 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-10-29 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-10-30 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-10-31 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-11-01 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-11-02 06:00:00', 'surface', 29.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-11-03 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-11-04 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-11-05 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-11-06 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-11-07 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-11-08 06:00:00', 'surface', 30.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-11-09 06:00:00', 'surface', 32.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-11-10 06:00:00', 'surface', 32.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-11-11 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-11-12 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-11-13 06:00:00', 'surface', 31.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-11-14 06:00:00', 'surface', 31.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-11-15 06:00:00', 'surface', 31.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-11-16 06:00:00', 'surface', 30.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-11-17 06:00:00', 'surface', 31.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-11-18 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-11-19 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-11-20 06:00:00', 'surface', 29.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-11-21 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-11-22 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-11-23 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-11-24 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-11-25 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-11-26 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-11-27 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-11-28 06:00:00', 'surface', 29.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-11-29 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-11-30 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1964-12-01 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-05-10 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-05-11 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-05-12 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-05-13 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-05-14 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-05-15 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-05-16 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-05-17 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-05-18 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-05-19 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-05-20 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-05-21 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-05-22 06:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-05-23 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-05-24 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-05-25 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-05-26 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-05-27 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-05-28 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-05-29 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-05-30 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-05-31 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-06-01 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-06-02 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-06-03 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-06-04 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-06-05 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-06-06 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-06-07 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-06-08 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-06-09 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-06-10 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-06-11 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-06-12 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-06-13 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-06-14 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-06-15 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-06-16 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-06-17 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-06-18 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-06-19 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-06-20 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-06-21 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-06-22 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-06-23 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-06-24 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-06-25 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-06-26 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-06-27 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-06-28 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-06-29 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-06-30 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-07-01 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-07-02 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-07-03 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-07-04 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-07-05 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-07-06 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-07-07 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-07-08 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-07-09 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-07-10 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-07-11 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-07-12 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-07-13 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-07-14 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-07-15 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-07-16 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-07-17 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-07-18 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-07-19 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-07-20 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-07-21 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-07-22 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-07-23 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-07-24 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-07-25 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-07-26 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-07-27 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-07-28 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-07-29 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-07-30 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-07-31 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-08-01 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-08-02 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-08-03 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-08-04 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-08-05 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-08-06 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-08-07 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-08-08 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-08-09 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-08-10 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-08-11 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-08-12 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-08-13 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-08-14 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-08-15 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-08-16 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-08-17 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-08-18 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-08-19 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-08-20 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-08-21 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-08-22 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-08-23 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-08-24 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-08-25 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-08-26 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-08-27 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-08-28 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-08-29 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-08-30 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-08-31 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-09-01 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-09-02 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-09-03 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-09-04 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-09-05 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-09-06 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-09-07 06:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-09-08 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-09-09 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-09-10 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-09-11 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-09-12 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-09-13 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-09-14 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-09-15 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-09-16 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-09-17 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-09-18 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-09-19 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-09-20 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-09-21 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-09-22 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-09-23 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-09-24 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-09-25 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-09-26 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-09-27 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-09-28 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-09-29 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-09-30 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-10-01 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-10-02 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-10-03 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-10-04 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-10-05 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-10-06 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-10-07 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-10-08 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-10-09 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-10-10 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-10-11 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-10-12 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-10-13 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-10-14 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-10-15 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-10-16 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-10-17 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-10-18 06:00:00', 'surface', 30.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-10-19 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-10-20 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-10-21 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-10-22 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-10-23 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-10-24 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-10-25 06:00:00', 'surface', 30.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-10-26 06:00:00', 'surface', 31.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-10-27 06:00:00', 'surface', 30.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-10-28 06:00:00', 'surface', 31.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-10-29 06:00:00', 'surface', 30.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-10-30 06:00:00', 'surface', 31.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-10-31 06:00:00', 'surface', 31.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-11-01 06:00:00', 'surface', 31.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-11-02 06:00:00', 'surface', 31.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-11-03 06:00:00', 'surface', 31.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-11-04 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-11-05 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-11-06 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-11-07 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-11-08 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-11-09 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-11-10 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-11-11 06:00:00', 'surface', 30.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-11-12 06:00:00', 'surface', 31.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-11-13 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-11-14 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-11-15 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-11-16 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-11-17 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-11-18 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-11-19 06:00:00', 'surface', 29.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-11-20 06:00:00', 'surface', 30.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-11-21 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-11-22 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-11-23 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-11-24 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-11-25 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-11-26 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-11-27 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-11-28 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-11-29 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-11-30 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-12-01 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-12-02 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-12-03 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-12-04 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-12-05 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-12-06 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-12-07 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-12-08 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-12-09 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-12-10 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-12-11 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-12-12 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-12-13 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-12-14 06:00:00', 'surface', 29.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-12-15 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-12-16 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-12-17 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-12-18 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-12-19 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-12-20 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-12-21 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-12-22 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-12-23 06:00:00', 'surface', 29.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-12-24 06:00:00', 'surface', 30.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-12-25 06:00:00', 'surface', 29.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-12-26 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-12-27 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-12-28 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-12-29 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-12-30 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1965-12-31 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-01-01 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-01-02 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-01-03 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-01-04 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-01-05 06:00:00', 'surface', 30.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-01-06 06:00:00', 'surface', 30.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-01-07 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-01-08 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-01-09 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-01-10 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-01-11 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-01-12 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-01-13 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-01-14 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-01-15 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-01-16 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-01-17 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-01-18 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-01-19 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-01-20 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-01-21 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-01-22 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-01-23 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-01-24 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-01-25 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-01-26 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-01-27 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-01-28 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-01-29 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-01-30 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-01-31 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-02-01 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-02-02 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-02-03 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-02-04 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-02-05 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-02-06 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-02-07 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-02-08 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-02-09 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-02-10 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-02-11 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-02-12 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-02-13 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-02-14 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-02-15 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-02-16 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-02-17 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-02-18 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-02-19 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-02-20 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-02-21 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-02-22 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-02-23 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-02-24 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-02-25 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-02-26 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-02-27 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-02-28 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-03-01 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-03-02 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-03-03 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-03-04 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-03-05 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-03-06 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-03-07 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-03-08 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-03-09 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-03-10 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-03-11 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-03-12 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-03-13 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-03-14 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-03-15 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-03-16 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-03-17 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-03-18 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-03-19 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-03-20 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-03-21 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-03-22 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-03-23 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-03-24 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-03-25 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-03-26 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-03-27 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-03-28 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-03-29 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-03-30 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-03-31 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-04-01 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-04-02 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-04-03 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-04-04 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-04-05 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-04-06 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-04-07 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-04-08 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-04-09 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-04-10 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-04-11 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-04-12 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-04-13 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-04-14 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-04-15 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-04-16 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-04-17 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-04-18 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-04-19 06:00:00', 'surface', 29.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-04-20 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-04-21 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-04-22 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-04-23 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-04-24 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-04-25 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-04-26 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-04-27 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-04-28 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-04-29 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-04-30 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-05-01 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-05-02 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-05-03 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-05-04 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-05-05 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-05-06 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-05-07 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-05-08 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-05-09 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-05-10 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-05-11 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-05-12 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-05-13 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-05-14 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-05-15 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-05-16 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-05-17 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-05-18 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-05-19 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-05-20 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-05-21 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-05-22 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-05-23 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-05-24 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-05-25 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-05-26 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-05-27 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-05-28 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-05-29 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-05-30 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-05-31 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-06-01 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-06-02 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-06-03 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-06-04 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-06-05 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-06-06 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-06-07 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-06-08 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-06-09 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-06-10 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-06-11 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-06-12 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-06-13 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-06-14 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-06-15 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-06-16 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-06-17 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-06-18 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-06-19 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-06-20 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-06-21 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-06-22 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-06-23 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-06-24 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-06-25 06:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-06-26 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-06-27 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-06-28 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-06-29 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-06-30 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-07-01 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-07-02 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-07-03 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-07-04 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-07-05 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-07-06 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-07-07 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-07-08 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-07-09 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-07-10 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-07-11 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-07-12 06:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-07-13 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-07-14 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-07-15 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-07-16 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-07-17 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-07-18 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-07-19 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-07-20 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-07-21 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-07-22 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-07-23 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-07-24 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-07-25 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-07-26 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-07-27 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-07-28 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-07-29 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-07-30 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-07-31 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-08-01 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-08-02 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-08-03 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-08-04 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-08-05 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-08-06 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-08-07 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-08-08 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-08-09 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-08-10 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-08-11 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-08-12 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-08-13 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-08-14 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-08-15 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-08-16 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-08-17 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-08-18 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-08-19 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-08-20 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-08-21 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-08-22 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-08-23 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-08-24 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-08-25 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-08-26 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-08-27 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-08-28 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-08-29 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-08-30 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-08-31 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-09-01 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-09-02 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-09-03 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-09-04 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-09-05 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-09-06 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-09-07 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-09-08 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-09-09 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-09-10 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-09-11 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-09-12 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-09-13 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-09-14 06:00:00', 'surface', 29.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-09-15 06:00:00', 'surface', 30.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-09-16 06:00:00', 'surface', 30.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-09-17 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-09-18 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-09-19 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-09-20 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-09-21 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-09-22 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-09-23 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-09-24 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-09-25 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-09-26 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-09-27 06:00:00', 'surface', 31.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-09-28 06:00:00', 'surface', 31.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-09-29 06:00:00', 'surface', 29.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-09-30 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-10-01 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-10-02 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-10-03 06:00:00', 'surface', 29.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-10-04 06:00:00', 'surface', 31.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-10-05 06:00:00', 'surface', 31.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-10-06 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-10-07 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-10-08 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-10-09 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-10-10 06:00:00', 'surface', 31.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-10-11 06:00:00', 'surface', 32.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-10-12 06:00:00', 'surface', 31.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-10-13 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-10-14 06:00:00', 'surface', 30.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-10-15 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-10-16 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-10-17 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-10-18 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-10-19 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-10-20 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-10-21 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-10-22 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-10-23 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-10-24 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-10-25 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-10-26 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-10-27 06:00:00', 'surface', 30.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-10-28 06:00:00', 'surface', 31.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-10-29 06:00:00', 'surface', 32.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-10-30 06:00:00', 'surface', 32.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-10-31 06:00:00', 'surface', 32.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-11-01 06:00:00', 'surface', 31.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-11-02 06:00:00', 'surface', 31.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-11-03 06:00:00', 'surface', 32.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-11-04 06:00:00', 'surface', 31.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-11-05 06:00:00', 'surface', 30.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-11-06 06:00:00', 'surface', 30.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-11-07 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-11-08 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-11-09 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-11-10 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-11-11 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-11-12 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-11-13 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-11-14 06:00:00', 'surface', 29.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-11-15 06:00:00', 'surface', 31.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-11-16 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-11-17 06:00:00', 'surface', 30.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-11-18 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-11-19 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-11-20 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-11-21 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-11-22 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-11-23 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-11-24 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-11-25 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-11-26 06:00:00', 'surface', 30.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-11-27 06:00:00', 'surface', 30.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-11-28 06:00:00', 'surface', 31.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-11-29 06:00:00', 'surface', 32.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-11-30 06:00:00', 'surface', 31.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-12-01 06:00:00', 'surface', 29.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-12-02 06:00:00', 'surface', 31.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-12-03 06:00:00', 'surface', 31.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-12-04 06:00:00', 'surface', 32.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-12-05 06:00:00', 'surface', 32.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-12-06 06:00:00', 'surface', 30.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-12-07 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-12-08 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-12-09 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-12-10 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-12-11 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-12-12 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-12-13 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-04-04 06:00:00', 'surface', 29.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-04-05 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-04-06 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-04-07 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-04-08 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-04-09 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-04-10 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-04-11 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-04-12 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-04-13 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-04-14 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-04-15 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-04-16 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-04-17 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-04-18 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-04-19 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-04-20 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-04-21 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-04-22 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-04-23 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-04-24 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-04-25 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-04-26 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-04-27 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-04-28 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-04-29 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-04-30 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-05-01 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-05-02 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-05-03 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-05-04 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-05-05 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-05-06 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-05-07 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-05-08 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-05-09 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-05-10 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-05-11 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-05-12 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-05-13 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-05-14 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-05-15 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-05-16 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-05-17 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-05-18 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-05-19 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-05-20 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-05-21 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-05-22 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-05-23 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-05-24 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-05-25 06:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-05-26 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-05-27 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-05-28 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-05-29 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-05-30 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-05-31 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-06-01 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-06-02 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-06-03 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-06-04 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-06-05 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-06-06 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-06-07 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-06-08 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-06-09 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-06-10 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-06-11 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-06-12 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-06-13 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-06-14 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-06-15 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-06-16 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-06-17 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-06-18 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-06-19 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-06-20 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-06-21 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-06-22 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-06-23 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-06-24 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-06-25 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-06-26 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-06-27 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-06-28 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-06-29 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-06-30 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-07-01 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-07-02 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-07-03 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-07-04 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-07-05 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-07-06 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-07-07 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-07-08 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-07-09 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-07-10 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-07-11 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-07-12 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-07-13 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-07-14 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-07-15 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-07-16 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-07-17 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-07-18 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-07-19 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-07-20 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-07-21 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-07-22 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-07-23 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-07-24 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-07-25 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-07-26 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-07-27 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-07-28 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-07-29 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-07-30 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-07-31 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-08-01 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-08-02 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-08-03 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-08-04 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-08-05 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-08-06 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-08-07 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-08-08 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-08-09 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-08-10 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-08-11 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-08-12 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-08-13 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-08-14 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-08-15 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-08-16 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-08-17 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-08-18 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-08-19 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-08-20 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-08-21 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-08-22 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-08-23 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-08-24 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-08-25 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-08-26 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-08-27 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-08-28 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-08-29 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-08-30 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-08-31 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-09-01 06:00:00', 'surface', 29.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-09-02 06:00:00', 'surface', 31.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-09-03 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-09-04 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-09-05 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-09-06 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-09-07 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-09-08 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-09-09 06:00:00', 'surface', 29.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-09-10 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-09-11 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-09-12 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-09-13 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-09-14 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-09-15 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-09-16 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-09-17 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-09-18 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-09-19 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-09-20 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-09-21 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-09-22 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-09-23 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-09-24 06:00:00', 'surface', 29.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-09-25 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-09-26 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-09-27 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-09-28 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-09-29 06:00:00', 'surface', 30.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-09-30 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-10-01 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-10-02 06:00:00', 'surface', 30.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-10-03 06:00:00', 'surface', 33.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-10-04 06:00:00', 'surface', 33.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-10-05 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-10-06 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-10-07 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-10-08 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-10-09 06:00:00', 'surface', 29.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-10-10 06:00:00', 'surface', 31.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-10-11 06:00:00', 'surface', 32.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-10-12 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-10-13 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-10-14 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-10-15 06:00:00', 'surface', 31.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-10-16 06:00:00', 'surface', 33.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-10-17 06:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-10-18 06:00:00', 'surface', 33.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-10-19 06:00:00', 'surface', 32.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-10-20 06:00:00', 'surface', 32.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-10-21 06:00:00', 'surface', 30.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-10-22 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-10-23 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-10-24 06:00:00', 'surface', 32.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-10-25 06:00:00', 'surface', 32.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-10-26 06:00:00', 'surface', 32.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-10-27 06:00:00', 'surface', 33.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-10-28 06:00:00', 'surface', 33.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-10-29 06:00:00', 'surface', 30.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-10-30 06:00:00', 'surface', 31.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-10-31 06:00:00', 'surface', 31.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-11-01 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-11-02 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-11-03 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-11-04 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-11-05 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-11-06 06:00:00', 'surface', 30.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-11-07 06:00:00', 'surface', 30.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-11-08 06:00:00', 'surface', 31.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-11-09 06:00:00', 'surface', 32.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-11-10 06:00:00', 'surface', 32.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-11-11 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-11-12 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-11-13 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-11-14 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-11-15 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-11-16 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-11-17 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-11-18 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-11-19 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-11-20 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-11-21 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-11-22 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-11-23 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-11-24 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-11-25 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-11-26 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-11-27 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-11-28 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-11-29 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-11-30 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-12-01 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-12-02 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-12-03 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-12-04 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-12-05 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-12-06 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-12-07 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-12-08 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-12-09 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-12-10 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-12-11 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-12-12 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-12-13 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-12-14 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-12-15 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-12-16 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-12-17 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-12-18 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-12-19 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-12-20 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-12-21 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-12-22 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-12-23 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-12-24 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-12-14 06:00:00', 'surface', 29.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-12-15 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-12-16 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-12-17 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-12-18 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-12-19 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-12-20 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-12-21 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-12-22 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-12-23 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-12-24 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-12-25 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-12-26 06:00:00', 'surface', 29.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-12-27 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-12-28 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-12-29 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-12-30 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1966-12-31 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-01-01 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-01-02 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-01-03 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-01-04 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-01-05 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-01-06 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-01-07 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-01-08 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-01-09 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-01-10 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-01-11 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-01-12 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-01-13 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-01-14 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-01-15 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-01-16 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-01-17 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-01-18 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-01-19 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-01-20 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-01-21 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-01-22 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-01-23 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-01-24 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-01-25 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-01-26 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-01-27 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-01-28 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-01-29 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-01-30 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-01-31 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-02-01 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-02-02 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-02-03 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-02-04 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-02-05 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-02-06 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-02-07 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-02-08 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-02-09 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-02-10 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-02-11 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-02-12 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-02-13 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-02-14 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-02-15 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-02-16 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-02-17 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-02-18 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-02-19 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-02-20 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-02-21 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-02-22 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-02-23 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-02-24 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-02-25 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-02-26 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-02-27 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-02-28 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-03-01 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-03-02 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-03-03 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-03-04 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-03-05 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-03-06 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-03-07 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-03-08 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-03-09 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-03-10 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-03-11 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-03-12 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-03-13 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-03-14 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-03-15 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-03-16 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-03-17 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-03-18 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-03-19 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-03-20 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-03-21 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-03-22 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-03-23 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-03-24 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-03-25 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-03-26 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-03-27 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-03-28 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-03-29 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-03-30 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-03-31 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-04-01 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-04-02 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-04-03 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-04-04 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-04-05 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-04-06 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-04-07 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-04-08 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-04-09 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-04-10 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-04-11 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-04-12 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-04-13 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-04-14 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-04-15 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-04-16 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-04-17 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-04-18 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-04-19 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-04-20 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-04-21 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-04-22 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-04-23 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-04-24 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-04-25 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-04-26 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-04-27 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-04-28 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-04-29 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-04-30 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-05-01 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-05-02 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-05-03 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-05-04 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-05-05 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-05-06 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-05-07 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-05-08 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-05-09 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-05-10 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-05-11 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-05-12 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-05-13 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-05-14 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-05-15 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-05-16 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-05-17 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-05-18 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-05-19 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-05-20 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-05-21 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-05-22 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-05-23 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-05-24 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-05-25 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-05-26 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-05-27 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-05-28 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-05-29 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-05-30 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-05-31 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-06-01 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-06-02 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-06-03 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-06-04 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-06-05 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-06-06 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-06-07 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-06-08 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-06-09 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-06-10 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-06-11 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-06-12 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-06-13 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-06-14 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-06-15 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-06-16 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-06-17 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-06-18 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-06-19 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-06-20 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-06-21 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-06-22 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-06-23 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-06-24 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-06-25 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-06-26 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-06-27 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-06-28 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-06-29 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-06-30 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-07-01 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-07-02 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-07-03 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-07-04 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-07-05 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-07-06 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-07-07 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-07-08 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-07-09 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-07-10 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-07-11 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-07-12 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-07-13 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-07-14 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-07-15 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-07-16 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-07-17 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-07-18 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-07-19 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-07-20 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-07-21 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-07-22 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-07-23 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-07-24 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-07-25 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-07-26 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-07-27 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-07-28 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-07-29 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-07-30 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-07-31 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-08-01 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-08-02 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-08-03 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-08-04 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-08-05 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-08-06 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-08-07 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-08-08 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-08-09 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-08-10 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-08-11 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-08-12 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-08-13 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-08-14 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-08-15 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-08-16 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-08-17 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-08-18 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-08-19 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-08-20 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-08-21 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-08-22 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-08-23 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-08-24 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-08-25 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-08-26 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-08-27 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-08-28 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-08-29 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-08-30 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-08-31 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-09-01 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-09-02 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-09-03 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-09-04 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-09-05 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-09-06 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-09-07 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-09-08 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-09-09 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-09-10 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-09-11 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-09-12 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-09-13 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-09-14 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-09-15 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-09-16 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-09-17 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-09-18 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-09-19 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-09-20 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-09-21 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-09-22 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-09-23 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-09-24 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-09-25 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-09-26 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-09-27 06:00:00', 'surface', 29.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-09-28 06:00:00', 'surface', 30.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-09-29 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-09-30 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-10-01 06:00:00', 'surface', 30.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-10-02 06:00:00', 'surface', 32.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-10-03 06:00:00', 'surface', 30.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-10-04 06:00:00', 'surface', 30.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-10-05 06:00:00', 'surface', 32.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-10-06 06:00:00', 'surface', 32.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-10-07 06:00:00', 'surface', 31.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-10-08 06:00:00', 'surface', 30.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-10-09 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-10-10 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-10-11 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-10-12 06:00:00', 'surface', 29.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-10-13 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-10-14 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-10-15 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-10-16 06:00:00', 'surface', 30.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-10-17 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-10-18 06:00:00', 'surface', 29.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-10-19 06:00:00', 'surface', 30.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-10-20 06:00:00', 'surface', 30.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-10-21 06:00:00', 'surface', 29.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-10-22 06:00:00', 'surface', 30.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-10-23 06:00:00', 'surface', 30.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-10-24 06:00:00', 'surface', 31.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-10-25 06:00:00', 'surface', 30.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-10-26 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-10-27 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-10-28 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-10-29 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-10-30 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-10-31 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-11-01 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-11-02 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-11-03 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-11-04 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-11-05 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-11-06 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-11-07 06:00:00', 'surface', 30.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-11-08 06:00:00', 'surface', 31.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-11-09 06:00:00', 'surface', 30.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-11-10 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-11-11 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-11-12 06:00:00', 'surface', 30.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-11-13 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-11-14 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-11-15 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-11-16 06:00:00', 'surface', 31.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-11-17 06:00:00', 'surface', 33.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-11-18 06:00:00', 'surface', 31.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-11-19 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-11-20 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-11-21 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-11-22 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-11-23 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-11-24 06:00:00', 'surface', 30.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-11-25 06:00:00', 'surface', 30.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-11-26 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-11-27 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-11-28 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-11-29 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-11-30 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-12-01 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-12-02 06:00:00', 'surface', 30.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-12-03 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-12-04 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-12-05 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-12-06 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-12-07 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-12-08 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-12-09 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-12-10 06:00:00', 'surface', 30.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-12-11 06:00:00', 'surface', 30.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-12-12 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-12-13 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-12-14 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-12-15 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-12-16 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-12-17 06:00:00', 'surface', 29.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-12-18 06:00:00', 'surface', 29.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-12-19 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-12-20 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-12-21 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-12-22 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-12-23 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-12-24 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-12-25 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-12-26 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-12-27 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-12-28 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-12-29 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-12-30 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1967-12-31 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-01-01 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-01-02 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-01-03 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-01-04 06:00:00', 'surface', 30.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-01-05 06:00:00', 'surface', 32.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-01-06 06:00:00', 'surface', 30.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-01-07 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-01-08 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-01-09 06:00:00', 'surface', 29.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-01-10 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-01-11 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-01-12 06:00:00', 'surface', 30.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-01-13 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-01-14 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-01-15 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-01-16 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-01-17 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-01-18 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-01-19 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-01-20 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-01-21 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-01-22 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-01-23 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-01-24 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-01-25 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-01-26 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-01-27 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-01-28 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-01-29 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-01-30 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-01-31 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-02-01 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-02-02 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-02-03 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-02-04 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-02-05 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-02-06 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-02-07 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-02-08 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-02-09 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-02-10 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-02-11 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-02-12 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-02-13 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-02-14 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-02-15 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-02-16 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-02-17 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-02-18 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-02-19 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-02-20 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-02-21 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-02-22 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-02-23 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-02-24 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-02-25 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-02-26 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-02-27 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-02-28 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-02-29 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-03-01 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-03-02 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-03-03 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-03-04 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-03-05 06:00:00', 'surface', 29.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-03-06 06:00:00', 'surface', 29.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-03-07 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-03-08 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-03-09 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-03-10 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-03-11 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-03-12 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-03-13 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-03-14 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-03-15 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-03-16 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-03-17 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-03-18 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-03-19 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-03-20 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-03-21 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-03-22 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-03-23 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-03-24 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-03-25 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-03-26 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-03-27 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-03-28 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-03-29 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-03-30 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-03-31 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-04-01 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-04-02 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-04-03 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-12-25 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-12-26 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-12-27 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-12-28 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-12-29 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-12-30 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1968-12-31 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-01-01 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-01-02 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-01-03 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-01-04 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-01-05 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-01-06 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-01-07 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-01-08 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-01-09 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-01-10 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-01-11 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-01-12 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-01-13 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-01-14 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-01-15 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-01-16 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-01-17 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-01-18 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-01-19 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-01-20 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-01-21 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-01-22 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-01-23 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-01-24 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-01-25 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-01-26 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-01-27 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-01-28 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-01-29 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-01-30 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-01-31 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-02-01 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-02-02 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-02-03 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-02-04 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-02-05 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-02-06 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-02-07 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-02-08 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-02-09 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-02-10 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-02-11 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-02-12 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-02-13 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-02-14 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-02-15 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-09-28 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-09-29 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-09-30 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-10-01 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-10-02 06:00:00', 'surface', 11.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-10-03 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-10-04 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-10-05 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-10-06 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-10-07 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-10-08 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-10-09 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-10-10 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-10-11 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-10-12 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-10-13 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-10-14 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-10-15 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-10-16 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-10-17 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-10-18 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-10-19 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-10-20 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-10-21 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-10-22 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-10-23 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-10-24 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-10-25 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-10-26 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-10-27 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-10-28 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-10-29 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-10-30 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-10-31 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-11-01 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-11-02 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-11-03 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-11-04 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-11-05 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-11-06 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-11-07 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-11-08 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-11-09 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-11-10 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-11-11 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-11-12 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-11-13 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-11-14 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-11-15 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-11-16 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-11-17 06:00:00', 'surface', 11.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-11-18 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-11-19 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-11-20 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-11-21 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-11-22 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-11-23 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-11-24 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-11-25 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-11-26 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-11-27 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-11-28 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-11-29 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-11-30 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-12-01 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-12-02 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-12-03 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-12-04 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-12-05 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-12-06 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-12-07 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-12-08 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-12-09 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-12-10 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-12-11 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-12-12 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-12-13 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-12-14 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-12-15 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-12-16 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-12-17 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-12-18 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-12-19 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-12-20 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-12-21 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-12-22 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-12-23 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-12-24 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-12-25 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-12-26 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-12-27 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-12-28 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-12-29 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-12-30 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-12-31 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-01-01 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-01-02 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-01-03 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-01-04 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-01-05 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-01-06 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-01-07 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-01-08 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-01-09 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-01-10 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-01-11 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-01-12 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-01-13 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-01-14 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-01-15 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-01-16 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-01-17 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-01-18 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-01-19 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-01-20 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-01-21 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-01-22 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-01-23 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-01-24 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-01-25 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-01-26 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-01-27 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-01-28 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-01-29 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-01-30 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-01-31 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-02-01 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-02-02 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-02-03 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-02-04 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-02-05 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-02-06 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-02-07 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-02-08 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-02-09 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-02-10 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-02-11 06:00:00', 'surface', 18.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-02-12 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-02-13 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-02-14 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-02-15 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-02-16 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-02-17 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-02-18 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-02-19 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-02-20 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-02-21 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-02-22 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-02-23 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-02-24 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-02-25 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-02-26 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-02-27 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-02-28 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-03-01 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-03-02 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-03-03 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-03-04 06:00:00', 'surface', 11.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-03-05 06:00:00', 'surface', 10.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-03-06 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-03-07 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-03-08 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-03-09 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-03-10 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-03-11 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-03-12 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-03-13 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-03-14 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-03-15 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-03-16 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-03-17 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-03-18 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-03-19 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-03-20 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-03-21 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-03-22 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-03-23 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-03-24 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-03-25 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-03-26 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-03-27 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-03-28 06:00:00', 'surface', 11.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-03-29 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-03-30 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-03-31 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-04-01 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-04-02 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-04-03 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-04-04 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-04-05 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-04-06 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-04-07 06:00:00', 'surface', 11.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-04-08 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-04-09 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-04-10 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-04-11 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-04-12 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-04-13 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-04-14 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-04-15 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-04-16 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-04-17 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-04-18 06:00:00', 'surface', 10.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-04-19 06:00:00', 'surface', 10.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-04-20 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-04-21 06:00:00', 'surface', 11.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-04-22 06:00:00', 'surface', 9.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-04-23 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-04-24 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-04-25 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-04-26 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-04-27 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-04-28 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-04-29 06:00:00', 'surface', 11.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-04-30 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-05-01 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-05-02 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-05-03 06:00:00', 'surface', 7.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-05-04 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-05-05 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-05-06 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-05-07 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-05-08 06:00:00', 'surface', 8.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-05-09 06:00:00', 'surface', 7.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-05-10 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-05-11 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-05-12 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-05-13 06:00:00', 'surface', 6.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-05-14 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-05-15 06:00:00', 'surface', 9.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-05-16 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-05-17 06:00:00', 'surface', 10.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-05-18 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-05-19 06:00:00', 'surface', 8.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-05-20 06:00:00', 'surface', 6.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-05-21 06:00:00', 'surface', 3.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-05-22 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-05-23 06:00:00', 'surface', 8.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-05-24 06:00:00', 'surface', 8.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-05-25 06:00:00', 'surface', 10.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-05-26 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-05-27 06:00:00', 'surface', 5.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-05-28 06:00:00', 'surface', 6.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-05-29 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-05-30 06:00:00', 'surface', 5.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-05-31 06:00:00', 'surface', 6.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-06-01 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-06-02 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-06-03 06:00:00', 'surface', 5.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-06-04 06:00:00', 'surface', 4.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-06-05 06:00:00', 'surface', 3.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-06-06 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-06-07 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-06-08 06:00:00', 'surface', 7.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-06-09 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-06-10 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-06-11 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-06-12 06:00:00', 'surface', 10.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-06-13 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-06-14 06:00:00', 'surface', 8.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-06-15 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-06-16 06:00:00', 'surface', 8.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-06-17 06:00:00', 'surface', 9.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-06-18 06:00:00', 'surface', 8.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-06-19 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-06-20 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-06-21 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-06-22 06:00:00', 'surface', 7.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-06-23 06:00:00', 'surface', 6.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-06-24 06:00:00', 'surface', 5.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-06-25 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-06-26 06:00:00', 'surface', 5.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-06-27 06:00:00', 'surface', 5.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-06-28 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-06-29 06:00:00', 'surface', 7.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-06-30 06:00:00', 'surface', 7.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-07-01 06:00:00', 'surface', 7.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-07-02 06:00:00', 'surface', 4.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-07-03 06:00:00', 'surface', 5.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-07-04 06:00:00', 'surface', 4.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-07-05 06:00:00', 'surface', 6.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-07-06 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-07-07 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-07-08 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-07-09 06:00:00', 'surface', 9.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-07-10 06:00:00', 'surface', 7.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-07-11 06:00:00', 'surface', 5.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-07-12 06:00:00', 'surface', 8.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-07-13 06:00:00', 'surface', 7.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-07-14 06:00:00', 'surface', 7.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-07-15 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-07-16 06:00:00', 'surface', 6.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-07-17 06:00:00', 'surface', 4.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-07-18 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-07-19 06:00:00', 'surface', 11.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-07-20 06:00:00', 'surface', 6.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-07-21 06:00:00', 'surface', 7.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-07-22 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-07-23 06:00:00', 'surface', 5.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-07-24 06:00:00', 'surface', 6.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-07-25 06:00:00', 'surface', 7.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-07-26 06:00:00', 'surface', 7.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-07-27 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-07-28 06:00:00', 'surface', 7.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-07-29 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-07-30 06:00:00', 'surface', 6.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-07-31 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-08-01 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-08-02 06:00:00', 'surface', 5.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-08-03 06:00:00', 'surface', 8.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-08-04 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-08-05 06:00:00', 'surface', 10.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-08-06 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-08-07 06:00:00', 'surface', 10.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-08-08 06:00:00', 'surface', 5.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-08-09 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-08-10 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-08-11 06:00:00', 'surface', 9.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-08-12 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-08-13 06:00:00', 'surface', 8.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-08-14 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-08-15 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-08-16 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-08-17 06:00:00', 'surface', 8.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-08-18 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-08-19 06:00:00', 'surface', 8.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-08-20 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-08-21 06:00:00', 'surface', 11.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-08-22 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-08-23 06:00:00', 'surface', 11.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-08-24 06:00:00', 'surface', 10.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-08-25 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-08-26 06:00:00', 'surface', 11.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-08-27 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-08-28 06:00:00', 'surface', 11.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-08-29 06:00:00', 'surface', 4.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-08-30 06:00:00', 'surface', 5.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-08-31 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-09-01 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-09-02 06:00:00', 'surface', 8.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-09-03 06:00:00', 'surface', 4.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-09-04 06:00:00', 'surface', 7.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-09-05 06:00:00', 'surface', 9.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-09-06 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-09-07 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-09-08 06:00:00', 'surface', 10.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-09-09 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-09-10 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-09-11 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-09-12 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-09-13 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-09-14 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-09-15 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-09-16 06:00:00', 'surface', 9.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-09-17 06:00:00', 'surface', 4.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-09-18 06:00:00', 'surface', 8.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-09-19 06:00:00', 'surface', 10.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-09-20 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-09-21 06:00:00', 'surface', 9.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-09-22 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-09-23 06:00:00', 'surface', 7.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-09-24 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-09-25 06:00:00', 'surface', 9.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-09-26 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-09-27 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-09-28 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-09-29 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-09-30 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-10-01 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-10-02 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-10-03 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-02-16 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-02-17 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-02-18 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-02-19 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-02-20 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-02-21 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-02-22 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-02-23 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-02-24 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-02-25 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-02-26 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-02-27 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-02-28 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-03-01 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-03-02 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-03-03 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-03-04 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-03-05 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-03-06 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-03-07 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-03-08 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-03-09 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-03-10 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-03-11 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-03-12 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-03-13 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-03-14 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-03-15 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-03-16 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-03-17 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-03-18 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-03-19 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-03-20 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-03-21 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-03-22 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-03-23 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-03-24 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-03-25 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-03-26 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-03-27 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-03-28 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-03-29 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-03-30 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-03-31 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-04-01 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-04-02 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-04-03 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-04-04 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-04-05 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-04-06 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-04-07 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-04-08 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-04-09 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-04-10 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-04-11 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-04-12 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-04-13 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-04-14 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-04-15 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-04-16 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-04-17 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-04-18 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-04-19 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-04-20 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-04-21 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-04-22 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-04-23 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-04-24 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-04-25 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-04-26 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-04-27 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-04-28 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-04-29 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-04-30 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-05-01 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-05-02 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-05-03 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-05-04 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-05-05 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-05-06 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-05-07 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-05-08 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-05-09 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-05-10 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-05-11 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-05-12 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-05-13 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-05-14 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-05-15 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-05-16 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-05-17 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-05-18 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-05-19 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-05-20 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-05-21 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-05-22 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-05-23 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-05-24 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-05-25 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-05-26 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-05-27 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-05-28 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-05-29 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-05-30 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-05-31 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-06-01 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-06-02 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-06-03 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-06-04 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-06-05 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-06-06 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-06-07 06:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-06-08 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-06-09 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-06-10 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-06-11 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-06-12 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-06-13 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-06-14 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-06-15 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-06-16 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-06-17 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-06-18 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-06-19 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-06-20 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-06-21 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-06-22 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-06-23 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-06-24 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-06-25 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-06-26 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-06-27 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-06-28 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-06-29 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-06-30 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-07-01 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-07-02 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-07-03 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-07-04 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-07-05 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-07-06 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-07-07 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-07-08 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-07-09 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-07-10 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-07-11 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-07-12 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-07-13 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-07-14 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-07-15 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-07-16 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-07-17 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-07-18 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-07-19 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-07-20 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-07-21 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-07-22 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-07-23 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-07-24 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-07-25 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-07-26 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-07-27 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-07-28 06:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-07-29 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-07-30 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-07-31 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-08-01 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-08-02 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-08-03 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-08-04 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-08-05 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-08-06 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-08-07 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-08-08 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-08-09 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-08-10 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-08-11 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-08-12 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-08-13 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-08-14 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-08-15 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-08-16 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-08-17 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-08-18 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-08-19 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-08-20 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-08-21 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-08-22 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-08-23 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-08-24 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-08-25 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-08-26 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-08-27 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-08-28 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-08-29 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-08-30 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-08-31 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-09-01 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-09-02 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-09-03 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-09-04 06:00:00', 'surface', 29.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-09-05 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-09-06 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-09-07 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-09-08 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-09-09 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-09-10 06:00:00', 'surface', 29.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-09-11 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-09-12 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-09-13 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-09-14 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-09-15 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-09-16 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-09-17 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-09-18 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-09-19 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-09-20 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-09-21 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-09-22 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-09-23 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-09-24 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-09-25 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-09-26 06:00:00', 'surface', 29.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-09-27 06:00:00', 'surface', 30.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-09-28 06:00:00', 'surface', 30.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-09-29 06:00:00', 'surface', 30.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-09-30 06:00:00', 'surface', 30.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-10-01 06:00:00', 'surface', 29.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-10-02 06:00:00', 'surface', 30.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-10-03 06:00:00', 'surface', 31.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-10-04 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-10-05 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-10-06 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-10-07 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-10-08 06:00:00', 'surface', 31.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-10-09 06:00:00', 'surface', 30.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-10-10 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-10-11 06:00:00', 'surface', 31.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-10-12 06:00:00', 'surface', 31.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-10-13 06:00:00', 'surface', 31.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-10-14 06:00:00', 'surface', 30.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-10-15 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-10-16 06:00:00', 'surface', 31.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-10-17 06:00:00', 'surface', 31.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-10-18 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-10-19 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-10-20 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-10-21 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-10-22 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-10-23 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-10-24 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-10-25 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-10-26 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-10-27 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-10-28 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-10-29 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-10-30 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-10-31 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-11-01 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-11-02 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-11-03 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-11-04 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-11-05 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-11-06 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-11-07 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-11-08 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-11-09 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-11-10 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-11-11 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-11-12 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-11-13 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-11-14 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-11-15 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-11-16 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-11-17 06:00:00', 'surface', 29.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-11-18 06:00:00', 'surface', 31.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-11-19 06:00:00', 'surface', 30.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-11-20 06:00:00', 'surface', 31.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-11-21 06:00:00', 'surface', 30.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-11-22 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-11-23 06:00:00', 'surface', 30.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-11-24 06:00:00', 'surface', 30.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-11-25 06:00:00', 'surface', 31.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-11-26 06:00:00', 'surface', 33.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-11-27 06:00:00', 'surface', 33.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-11-28 06:00:00', 'surface', 33.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-11-29 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-11-30 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-12-01 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-12-02 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-12-03 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-12-04 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-12-05 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-12-06 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-12-07 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-12-08 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-12-09 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-12-10 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-12-11 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-12-12 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-12-13 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-12-14 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-12-15 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-12-16 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-12-17 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-12-18 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-12-19 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-12-20 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-12-21 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-12-22 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-12-23 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-12-24 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-12-25 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-12-26 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-12-27 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-12-28 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-12-29 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-12-30 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1969-12-31 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-01-01 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-01-02 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-01-03 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-01-04 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-01-05 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-01-06 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-01-07 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-01-08 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-01-09 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-01-10 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-01-11 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-01-12 06:00:00', 'surface', 29.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-01-13 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-01-14 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-01-15 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-01-16 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-01-17 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-01-18 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-01-19 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-01-20 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-01-21 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-01-22 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-01-23 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-01-24 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-01-25 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-01-26 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-01-27 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-01-28 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-01-29 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-01-30 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-01-31 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-02-01 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-02-02 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-02-03 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-02-04 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-02-05 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-02-06 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-02-07 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-02-08 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-02-09 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-02-10 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-02-11 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-02-12 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-02-13 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-02-14 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-02-15 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-02-16 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-02-17 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-02-18 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-02-19 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-02-20 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-02-21 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-02-22 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-02-23 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-02-24 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-02-25 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-02-26 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-02-27 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-02-28 06:00:00', 'surface', 29.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-03-01 06:00:00', 'surface', 30.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-03-02 06:00:00', 'surface', 31.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-03-03 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-03-04 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-03-05 06:00:00', 'surface', 30.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-03-06 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-03-07 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-03-08 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-03-09 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-03-10 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-03-11 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-03-12 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-03-13 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-03-14 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-03-15 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-03-16 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-03-17 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-03-18 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-03-19 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-03-20 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-03-21 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-03-22 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-03-23 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-03-24 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-03-25 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-03-26 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-03-27 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-03-28 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-03-29 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-03-30 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-03-31 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-04-01 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-04-02 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-04-03 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-04-04 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-04-05 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-04-06 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-04-07 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-04-08 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-04-09 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-04-10 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-04-11 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-04-12 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-04-13 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-04-14 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-04-15 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-04-16 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-04-17 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-04-18 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-04-19 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-04-20 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-04-21 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-04-22 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-04-23 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-04-24 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-04-25 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-04-26 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-04-27 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-04-28 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-04-29 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-04-30 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-05-01 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-05-02 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-05-03 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-05-04 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-05-05 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-05-06 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-05-07 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-05-08 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-05-09 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-05-10 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-05-11 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-05-12 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-05-13 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-05-14 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-05-15 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-05-16 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-05-17 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-05-18 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-05-19 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-05-20 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-05-21 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-05-22 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-05-23 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-05-24 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-05-25 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-05-26 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-05-27 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-05-28 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-05-29 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-05-30 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-05-31 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-06-01 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-06-02 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-06-03 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-06-04 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-06-05 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-06-06 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-06-07 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-06-08 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-06-09 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-06-10 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-06-11 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-06-12 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-06-13 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-06-14 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-06-15 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-06-16 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-06-17 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-06-18 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-06-19 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-06-20 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-06-21 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-06-22 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-06-23 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-06-24 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-06-25 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-06-26 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-06-27 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-06-28 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-06-29 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-06-30 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-07-01 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-07-02 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-07-03 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-07-04 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-07-05 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-07-06 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-07-07 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-07-08 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-07-09 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-07-10 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-07-11 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-07-12 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-07-13 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-07-14 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-07-15 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-07-16 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-07-17 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-07-18 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-07-19 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-07-20 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-07-21 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-07-22 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-07-23 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-07-24 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-07-25 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-07-26 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-07-27 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-07-28 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-07-29 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-07-30 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-07-31 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-08-01 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-08-02 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-08-03 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-08-04 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-08-05 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-08-06 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-08-07 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-08-08 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-08-09 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-08-10 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-08-11 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-08-12 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-08-13 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-08-14 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-08-15 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-08-16 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-08-17 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-08-18 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-08-19 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-08-20 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-08-21 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-08-22 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-08-23 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-08-24 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-08-25 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-08-26 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-08-27 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-08-28 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-08-29 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-08-30 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-08-31 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-09-01 06:00:00', 'surface', 29.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-09-02 06:00:00', 'surface', 30.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-09-03 06:00:00', 'surface', 30.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-09-04 06:00:00', 'surface', 30.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-09-05 06:00:00', 'surface', 30.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-09-06 06:00:00', 'surface', 31.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-09-07 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-09-08 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-09-09 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-09-10 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-09-11 06:00:00', 'surface', 31.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-09-12 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-09-13 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-09-14 06:00:00', 'surface', 29.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-09-15 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-09-16 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-09-17 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-09-18 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-09-19 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-09-20 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-09-21 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-09-22 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-09-23 06:00:00', 'surface', 30.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-09-24 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-09-25 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-09-26 06:00:00', 'surface', 30.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-09-27 06:00:00', 'surface', 30.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-09-28 06:00:00', 'surface', 29.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-09-29 06:00:00', 'surface', 30.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-09-30 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-10-01 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-10-02 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-10-03 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-10-04 06:00:00', 'surface', 29.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-10-05 06:00:00', 'surface', 31.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-10-06 06:00:00', 'surface', 30.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-10-07 06:00:00', 'surface', 31.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-10-08 06:00:00', 'surface', 33.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-10-09 06:00:00', 'surface', 31.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-10-10 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-10-11 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-10-12 06:00:00', 'surface', 29.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-10-13 06:00:00', 'surface', 32.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-10-14 06:00:00', 'surface', 30.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-10-15 06:00:00', 'surface', 31.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-10-16 06:00:00', 'surface', 32.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-10-17 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-10-18 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-10-19 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-10-20 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-10-21 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-10-22 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-10-23 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-10-24 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-10-25 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-10-26 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-10-27 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-10-28 06:00:00', 'surface', 30.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-10-29 06:00:00', 'surface', 30.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-10-30 06:00:00', 'surface', 29.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-10-31 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-11-01 06:00:00', 'surface', 30.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-11-02 06:00:00', 'surface', 30.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-11-03 06:00:00', 'surface', 31.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-11-04 06:00:00', 'surface', 32.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-11-05 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-11-06 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-11-07 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-11-08 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-11-09 06:00:00', 'surface', 30.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-11-10 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-11-11 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-11-12 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-11-13 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-11-14 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-11-15 06:00:00', 'surface', 30.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-11-16 06:00:00', 'surface', 31.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-11-17 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-11-18 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-11-19 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-11-20 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-11-21 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-11-22 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-11-23 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-11-24 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-11-25 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-11-26 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-11-27 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-11-28 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-11-29 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-11-30 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-12-01 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-12-02 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-12-03 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-12-04 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-12-05 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-12-06 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-12-07 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-12-08 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-12-09 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-12-10 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-12-11 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-12-12 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-12-13 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-12-14 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-12-15 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-12-16 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-12-17 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-12-18 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-12-19 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-12-20 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-12-21 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-12-22 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-12-23 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-12-24 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-12-25 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-12-26 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-12-27 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-12-28 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-12-29 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-12-30 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1970-12-31 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-01-01 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-01-02 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-01-03 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-01-04 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-01-05 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-01-06 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-01-07 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-01-08 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-01-09 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-01-10 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-01-11 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-01-12 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-01-13 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-01-14 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-01-15 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-01-16 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-01-17 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-01-18 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-01-19 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-01-20 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-01-21 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-01-22 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-01-23 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-01-24 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-01-25 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-01-26 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-01-27 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-01-28 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-01-29 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-01-30 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-01-31 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-02-01 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-02-02 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-02-03 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-02-04 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-02-05 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-02-06 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-02-07 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-02-08 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-02-09 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-02-10 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-02-11 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-02-12 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-02-13 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-02-14 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-02-15 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-02-16 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-02-17 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-02-18 06:00:00', 'surface', 10.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-02-19 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-02-20 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-02-21 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-02-22 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-02-23 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-02-24 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-02-25 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-02-26 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-02-27 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-02-28 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-03-01 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-03-02 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-03-03 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-03-04 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-03-05 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-03-06 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-03-07 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-03-08 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-03-09 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-03-10 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-03-11 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-03-12 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-03-13 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-03-14 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-03-15 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-03-16 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-03-17 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-03-18 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-03-19 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-03-20 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-03-21 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-03-22 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-03-23 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-03-24 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-03-25 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-03-26 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-03-27 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-03-28 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-03-29 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-03-30 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-03-31 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-04-01 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-04-02 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-04-03 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-04-04 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-04-05 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-04-06 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-04-07 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-04-08 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-04-09 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-04-10 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-04-11 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-04-12 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-04-13 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-04-14 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-04-15 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-04-16 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-04-17 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-04-18 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-04-19 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-04-20 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-04-21 06:00:00', 'surface', 10.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-04-22 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-04-23 06:00:00', 'surface', 12.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-04-24 06:00:00', 'surface', 8.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-04-25 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-04-26 06:00:00', 'surface', 9.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-04-27 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-04-28 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-04-29 06:00:00', 'surface', 11.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-04-30 06:00:00', 'surface', 9.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-05-01 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-05-02 06:00:00', 'surface', 10.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-05-03 06:00:00', 'surface', 12.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-05-04 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-05-05 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-05-06 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-05-07 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-05-08 06:00:00', 'surface', 10.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-05-09 06:00:00', 'surface', 7.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-05-10 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-05-11 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-05-12 06:00:00', 'surface', 10.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-05-13 06:00:00', 'surface', 12.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-05-14 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-05-15 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-05-16 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-05-17 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-05-18 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-05-19 06:00:00', 'surface', 12.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-05-20 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-05-21 06:00:00', 'surface', 11.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-05-22 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-05-23 06:00:00', 'surface', 11.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-05-24 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-05-25 06:00:00', 'surface', 9.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-05-26 06:00:00', 'surface', 11.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-05-27 06:00:00', 'surface', 11.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-05-28 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-05-29 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-05-30 06:00:00', 'surface', 7.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-05-31 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-06-01 06:00:00', 'surface', 8.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-06-02 06:00:00', 'surface', 8.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-06-03 06:00:00', 'surface', 9.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-06-04 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-06-05 06:00:00', 'surface', 10.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-06-06 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-06-07 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-06-08 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-06-09 06:00:00', 'surface', 4.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-06-10 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-06-11 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-06-12 06:00:00', 'surface', 5.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-06-13 06:00:00', 'surface', 4.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-06-14 06:00:00', 'surface', 6.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-06-15 06:00:00', 'surface', 10.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-06-16 06:00:00', 'surface', 10.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-06-17 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-06-18 06:00:00', 'surface', 6.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-06-19 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-06-20 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-06-21 06:00:00', 'surface', 8.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-06-22 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-06-23 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-06-24 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-06-25 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-06-26 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-06-27 06:00:00', 'surface', 7.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-06-28 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-06-29 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-06-30 06:00:00', 'surface', 8.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-07-01 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-07-02 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-07-03 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-07-04 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-07-05 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-07-06 06:00:00', 'surface', 8.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-07-07 06:00:00', 'surface', 6.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-07-08 06:00:00', 'surface', 4.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-07-09 06:00:00', 'surface', 3.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-07-10 06:00:00', 'surface', 5.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-07-11 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-07-12 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-07-13 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-07-14 06:00:00', 'surface', 5.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-07-15 06:00:00', 'surface', 4.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-07-16 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-07-17 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-07-18 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-07-19 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-07-20 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-07-21 06:00:00', 'surface', 9.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-07-22 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-07-23 06:00:00', 'surface', 8.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-07-24 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-07-25 06:00:00', 'surface', 9.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-07-26 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-07-27 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-07-28 06:00:00', 'surface', 8.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-07-29 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-07-30 06:00:00', 'surface', 5.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-07-31 06:00:00', 'surface', 4.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-08-01 06:00:00', 'surface', 6.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-08-02 06:00:00', 'surface', 7.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-08-03 06:00:00', 'surface', 9.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-08-04 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-08-05 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-08-06 06:00:00', 'surface', 10.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-08-07 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-08-08 06:00:00', 'surface', 4.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-08-09 06:00:00', 'surface', 4.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-08-10 06:00:00', 'surface', 4.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-08-11 06:00:00', 'surface', 7.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-08-12 06:00:00', 'surface', 5.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-08-13 06:00:00', 'surface', 5.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-08-14 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-08-15 06:00:00', 'surface', 7.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-08-16 06:00:00', 'surface', 9.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-08-17 06:00:00', 'surface', 9.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-08-18 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-08-19 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-08-20 06:00:00', 'surface', 10.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-08-21 06:00:00', 'surface', 5.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-08-22 06:00:00', 'surface', 5.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-08-23 06:00:00', 'surface', 5.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-08-24 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-08-25 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-08-26 06:00:00', 'surface', 12.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-08-27 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-08-28 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-08-29 06:00:00', 'surface', 8.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-08-30 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-08-31 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-09-01 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-09-02 06:00:00', 'surface', 11.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-09-03 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-09-04 06:00:00', 'surface', 9.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-09-05 06:00:00', 'surface', 6.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-09-06 06:00:00', 'surface', 5.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-09-07 06:00:00', 'surface', 8.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-09-08 06:00:00', 'surface', 9.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-09-09 06:00:00', 'surface', 11.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-09-10 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-09-11 06:00:00', 'surface', 9.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-09-12 06:00:00', 'surface', 8.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-09-13 06:00:00', 'surface', 11.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-09-14 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-09-15 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-09-16 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-09-17 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-09-18 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-09-19 06:00:00', 'surface', 10.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-09-20 06:00:00', 'surface', 9.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-09-21 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-09-22 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-09-23 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-09-24 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-09-25 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-09-26 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1961-09-27 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-10-04 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-10-05 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-10-06 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-10-07 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-10-08 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-10-09 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-10-10 06:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-10-11 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-10-12 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-10-13 06:00:00', 'surface', 11.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-10-14 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-10-15 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-10-16 06:00:00', 'surface', 12.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-10-17 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-10-18 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-10-19 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-10-20 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-10-21 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-10-22 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-10-23 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-10-24 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-10-25 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-10-26 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-10-27 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-10-28 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-10-29 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-10-30 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-10-31 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-11-01 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-11-02 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-11-03 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-11-04 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-11-05 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-11-06 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-11-07 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-11-08 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-11-09 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-11-10 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-11-11 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-11-12 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-11-13 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-11-14 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-11-15 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-11-16 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-11-17 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-11-18 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-11-19 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-11-20 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-11-21 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-11-22 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-11-23 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-11-24 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-11-25 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-11-26 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-11-27 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-11-28 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-11-29 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-11-30 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-12-01 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-12-02 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-12-03 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-12-04 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-12-05 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-12-06 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-12-07 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-12-08 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-12-09 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-12-10 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-12-11 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-12-12 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-12-13 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-12-14 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-12-15 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-12-16 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-12-17 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-12-18 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-12-19 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-12-20 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-12-21 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-12-22 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-12-23 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-12-24 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-12-25 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-12-26 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-12-27 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-12-28 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-12-29 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-12-30 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1962-12-31 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-01-01 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-01-02 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-01-03 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-01-04 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-01-05 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-01-06 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-01-07 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-01-08 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-01-09 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-01-10 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-01-11 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-01-12 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-01-13 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-01-14 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-01-15 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-01-16 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-01-17 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-01-18 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-01-19 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-01-20 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-01-21 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-01-22 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-01-23 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-01-24 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-01-25 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-01-26 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-01-27 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-01-28 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-01-29 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-01-30 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-01-31 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-02-01 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-02-02 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-02-03 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-02-04 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-02-05 06:00:00', 'surface', 11.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-02-06 06:00:00', 'surface', 10.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-02-07 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-02-08 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-02-09 06:00:00', 'surface', 12.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-02-10 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-02-11 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-02-12 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-02-13 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-02-14 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-02-15 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-02-16 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-02-17 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-02-18 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-02-19 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-02-20 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-02-21 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-02-22 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-02-23 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-02-24 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-02-25 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-02-26 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-02-27 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-02-28 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-03-01 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-03-02 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-03-03 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-03-04 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-03-05 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-03-06 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-03-07 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-03-08 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-03-09 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-03-10 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-03-11 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-03-12 06:00:00', 'surface', 12.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-03-13 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-03-14 06:00:00', 'surface', 11.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-03-15 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-03-16 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-03-17 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-03-18 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-03-19 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-03-20 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-03-21 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-03-22 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-03-23 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-03-24 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-03-25 06:00:00', 'surface', 10.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-03-26 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-03-27 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-03-28 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-03-29 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-03-30 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-03-31 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-04-01 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-04-02 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-04-03 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-04-04 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-04-05 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-04-06 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-04-07 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-04-08 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-04-09 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-04-10 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-04-11 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-04-12 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-04-13 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-04-14 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-04-15 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-04-16 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-04-17 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-04-18 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-04-19 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-04-20 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-04-21 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-04-22 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-04-23 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-04-24 06:00:00', 'surface', 8.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-04-25 06:00:00', 'surface', 8.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-04-26 06:00:00', 'surface', 6.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-04-27 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-04-28 06:00:00', 'surface', 8.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-04-29 06:00:00', 'surface', 7.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-04-30 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-05-01 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-05-02 06:00:00', 'surface', 8.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-05-03 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-05-04 06:00:00', 'surface', 6.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-05-05 06:00:00', 'surface', 4.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-05-06 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-05-07 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-05-08 06:00:00', 'surface', 6.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-05-09 06:00:00', 'surface', 7.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-05-10 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-05-11 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-05-12 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-05-13 06:00:00', 'surface', 11.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-05-14 06:00:00', 'surface', 9.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-05-15 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-05-16 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-05-17 06:00:00', 'surface', 8.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-05-18 06:00:00', 'surface', 7.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-05-19 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-05-20 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-05-21 06:00:00', 'surface', 5.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-05-22 06:00:00', 'surface', 4.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-05-23 06:00:00', 'surface', 4.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-05-24 06:00:00', 'surface', 5.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-05-25 06:00:00', 'surface', 5.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-05-26 06:00:00', 'surface', 5.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-05-27 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-05-28 06:00:00', 'surface', 3.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-05-29 06:00:00', 'surface', 5.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-05-30 06:00:00', 'surface', 8.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-05-31 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-06-01 06:00:00', 'surface', 2.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-06-02 06:00:00', 'surface', 2.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-06-03 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-06-04 06:00:00', 'surface', 5.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-06-05 06:00:00', 'surface', 4.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-06-06 06:00:00', 'surface', 2.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-06-07 06:00:00', 'surface', 4.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-06-08 06:00:00', 'surface', 3.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-06-09 06:00:00', 'surface', 5.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-06-10 06:00:00', 'surface', 3.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-06-11 06:00:00', 'surface', 3.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-06-12 06:00:00', 'surface', 6.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-06-13 06:00:00', 'surface', 9.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-06-14 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-06-15 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-06-16 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-06-17 06:00:00', 'surface', 5.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-06-18 06:00:00', 'surface', 7.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-06-19 06:00:00', 'surface', 7.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-06-20 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-06-21 06:00:00', 'surface', 8.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-06-22 06:00:00', 'surface', 8.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-06-23 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-06-24 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-06-25 06:00:00', 'surface', 8.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-06-26 06:00:00', 'surface', 3.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-06-27 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-06-28 06:00:00', 'surface', 4.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-06-29 06:00:00', 'surface', 2.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-06-30 06:00:00', 'surface', 3.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-07-01 06:00:00', 'surface', 4.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-07-02 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-07-03 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-07-04 06:00:00', 'surface', 5.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-07-05 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-07-06 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-07-07 06:00:00', 'surface', 7.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-07-08 06:00:00', 'surface', 6.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-07-09 06:00:00', 'surface', 5.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-07-10 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-07-11 06:00:00', 'surface', 8.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-07-12 06:00:00', 'surface', 3.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-07-13 06:00:00', 'surface', 5.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-07-14 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-07-15 06:00:00', 'surface', 6.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-07-16 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-07-17 06:00:00', 'surface', 4.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-07-18 06:00:00', 'surface', 5.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-07-19 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-07-20 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-07-21 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-07-22 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-07-23 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-07-24 06:00:00', 'surface', 8.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-07-25 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-07-26 06:00:00', 'surface', 6.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-07-27 06:00:00', 'surface', 9.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-07-28 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-07-29 06:00:00', 'surface', 6.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-07-30 06:00:00', 'surface', 5.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-07-31 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-08-01 06:00:00', 'surface', 11.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-08-02 06:00:00', 'surface', 9.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-08-03 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-08-04 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-08-05 06:00:00', 'surface', 10.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-08-06 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-08-07 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-08-08 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-08-09 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-08-10 06:00:00', 'surface', 6.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-08-11 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-08-12 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-08-13 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-08-14 06:00:00', 'surface', 7.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-08-15 06:00:00', 'surface', 9.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-08-16 06:00:00', 'surface', 8.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-08-17 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-08-18 06:00:00', 'surface', 10.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-08-19 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-08-20 06:00:00', 'surface', 4.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-08-21 06:00:00', 'surface', 3.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-08-22 06:00:00', 'surface', 4.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-08-23 06:00:00', 'surface', 5.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-08-24 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-08-25 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-08-26 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-08-27 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-08-28 06:00:00', 'surface', 6.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-08-29 06:00:00', 'surface', 6.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-08-30 06:00:00', 'surface', 5.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-08-31 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-09-01 06:00:00', 'surface', 9.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-09-02 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-09-03 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-09-04 06:00:00', 'surface', 6.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-09-05 06:00:00', 'surface', 8.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-09-06 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-09-07 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-09-08 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-09-09 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-09-10 06:00:00', 'surface', 9.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-09-11 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-09-12 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-09-13 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-09-14 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-09-15 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-09-16 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-09-17 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-09-18 06:00:00', 'surface', 11.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-09-19 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-09-20 06:00:00', 'surface', 12.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-09-21 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-09-22 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-09-23 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-09-24 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-09-25 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-09-26 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-09-27 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-09-28 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-09-29 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-09-30 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-10-01 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-10-02 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-10-03 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-10-04 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-10-05 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-10-06 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-10-07 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-10-08 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-10-09 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-10-10 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-10-11 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-10-12 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-10-13 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-10-14 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-10-15 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-10-16 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-10-17 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-10-18 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-10-19 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-10-20 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-10-21 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-10-22 06:00:00', 'surface', 12.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-10-23 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-10-24 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-10-25 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-10-26 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-10-27 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-10-28 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-10-29 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-10-30 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-10-31 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-11-01 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-11-02 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-11-03 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-11-04 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-11-05 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-11-06 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-11-07 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-11-08 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-11-09 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-11-10 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-11-11 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-11-12 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-11-13 06:00:00', 'surface', 12.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-11-14 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-11-15 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-11-16 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-11-17 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-11-18 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-11-19 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-11-20 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-11-21 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-11-22 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-11-23 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-11-24 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-11-25 06:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-11-26 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-11-27 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-11-28 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-11-29 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-11-30 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-12-01 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-12-02 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-12-03 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-12-04 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-12-05 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-12-06 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-12-07 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-12-08 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-12-09 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-12-10 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-12-11 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-12-12 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-12-13 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-12-14 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-12-15 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-12-16 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-12-17 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-12-18 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-12-19 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-12-20 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-12-21 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-12-22 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-12-23 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-12-24 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-12-25 06:00:00', 'surface', 8.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-12-26 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-12-27 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-12-28 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-12-29 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-12-30 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1963-12-31 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-01-01 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-01-02 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-01-03 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-01-04 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-01-05 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-01-06 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-01-07 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-01-08 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-01-09 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-01-10 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-01-11 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-01-12 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-01-13 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-01-14 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-01-15 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-01-16 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-01-17 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-01-18 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-01-19 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-01-20 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-01-21 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-01-22 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-01-23 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-01-24 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-01-25 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-01-26 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-01-27 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-01-28 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-01-29 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-01-30 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-01-31 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-02-01 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-02-02 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-02-03 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-02-04 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-02-05 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-02-06 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-02-07 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-02-08 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-02-09 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-02-10 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-02-11 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-02-12 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-02-13 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-02-14 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-02-15 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-02-16 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-02-17 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-02-18 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-02-19 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-02-20 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-02-21 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-02-22 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-02-23 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-02-24 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-02-25 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-02-26 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-02-27 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-02-28 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-02-29 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-03-01 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-03-02 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-03-03 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-03-04 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-03-05 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-03-06 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-03-07 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-03-08 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-03-09 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-03-10 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-03-11 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-03-12 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-03-13 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-03-14 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-03-15 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-03-16 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-03-17 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-03-18 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-03-19 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-03-20 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-03-21 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-03-22 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-03-23 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-03-24 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-03-25 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-03-26 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-03-27 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-03-28 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-03-29 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-03-30 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-03-31 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-04-01 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-04-02 06:00:00', 'surface', 11.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-04-03 06:00:00', 'surface', 11.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-04-04 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-04-05 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-04-06 06:00:00', 'surface', 12.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-04-07 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-04-08 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-04-09 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-04-10 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-04-11 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-04-12 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-04-13 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-04-14 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-04-15 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-04-16 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-04-17 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-04-18 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-04-19 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-04-20 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-04-21 06:00:00', 'surface', 12.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-04-22 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-04-23 06:00:00', 'surface', 8.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-04-24 06:00:00', 'surface', 7.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-04-25 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-04-26 06:00:00', 'surface', 8.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-04-27 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-04-28 06:00:00', 'surface', 9.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-04-29 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-04-30 06:00:00', 'surface', 10.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-05-01 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-05-02 06:00:00', 'surface', 11.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-05-03 06:00:00', 'surface', 11.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-05-04 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-05-05 06:00:00', 'surface', 10.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-05-06 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-05-07 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-05-08 06:00:00', 'surface', 6.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-05-09 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-05-10 06:00:00', 'surface', 9.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-05-11 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-05-12 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-05-13 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-05-14 06:00:00', 'surface', 11.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-05-15 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-05-16 06:00:00', 'surface', 10.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-05-17 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-05-18 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-05-19 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-05-20 06:00:00', 'surface', 8.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-05-21 06:00:00', 'surface', 8.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-05-22 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-05-23 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-05-24 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-05-25 06:00:00', 'surface', 5.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-05-26 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-05-27 06:00:00', 'surface', 8.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-05-28 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-05-29 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-05-30 06:00:00', 'surface', 6.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-05-31 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-06-01 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-06-02 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-06-03 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-06-04 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-06-05 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-06-06 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-06-07 06:00:00', 'surface', 6.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-06-08 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-06-09 06:00:00', 'surface', 4.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-06-10 06:00:00', 'surface', 6.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-06-11 06:00:00', 'surface', 6.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-06-12 06:00:00', 'surface', 6.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-06-13 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-06-14 06:00:00', 'surface', 5.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-06-15 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-06-16 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-06-17 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-06-18 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-06-19 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-06-20 06:00:00', 'surface', 5.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-06-21 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-06-22 06:00:00', 'surface', 3.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-06-23 06:00:00', 'surface', 6.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-06-24 06:00:00', 'surface', 7.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-06-25 06:00:00', 'surface', 9.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-06-26 06:00:00', 'surface', 4.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-06-27 06:00:00', 'surface', 0.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-06-28 06:00:00', 'surface', 1.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-06-29 06:00:00', 'surface', 1.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-06-30 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-07-01 06:00:00', 'surface', 2.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-07-02 06:00:00', 'surface', 7.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-07-03 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-07-04 06:00:00', 'surface', 4.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-07-05 06:00:00', 'surface', 3.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-07-06 06:00:00', 'surface', 6.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-07-07 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-07-08 06:00:00', 'surface', 4.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-07-09 06:00:00', 'surface', 2.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-07-10 06:00:00', 'surface', 5.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-07-11 06:00:00', 'surface', 6.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-07-12 06:00:00', 'surface', 8.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-07-13 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-07-14 06:00:00', 'surface', 5.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-07-15 06:00:00', 'surface', 5.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-07-16 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-07-17 06:00:00', 'surface', 5.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-07-18 06:00:00', 'surface', 2.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-07-19 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-07-20 06:00:00', 'surface', 5.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-07-21 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-07-22 06:00:00', 'surface', 4.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-07-23 06:00:00', 'surface', 3.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-07-24 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-07-25 06:00:00', 'surface', 3.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-07-26 06:00:00', 'surface', 5.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-07-27 06:00:00', 'surface', 3.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-07-28 06:00:00', 'surface', 2.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-07-29 06:00:00', 'surface', 4.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-07-30 06:00:00', 'surface', 5.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-07-31 06:00:00', 'surface', 4.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-08-01 06:00:00', 'surface', 4.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-08-02 06:00:00', 'surface', 4.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-08-03 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-08-04 06:00:00', 'surface', 4.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-08-05 06:00:00', 'surface', 8.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-08-06 06:00:00', 'surface', 9.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-08-07 06:00:00', 'surface', 9.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-08-08 06:00:00', 'surface', 7.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-08-09 06:00:00', 'surface', 3.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-08-10 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-08-11 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-08-12 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-08-13 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-08-14 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-08-15 06:00:00', 'surface', 4.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-08-16 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-08-17 06:00:00', 'surface', 8.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-08-18 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-08-19 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-08-20 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-08-21 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-08-22 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-08-23 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-08-24 06:00:00', 'surface', 10.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-08-25 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-08-26 06:00:00', 'surface', 8.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-08-27 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-08-28 06:00:00', 'surface', 6.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-08-29 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-08-30 06:00:00', 'surface', 5.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-08-31 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-09-01 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-09-02 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-09-03 06:00:00', 'surface', 10.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-09-04 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-09-05 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-09-06 06:00:00', 'surface', 8.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-09-07 06:00:00', 'surface', 9.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-09-08 06:00:00', 'surface', 7.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-09-09 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-09-10 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-09-11 06:00:00', 'surface', 12.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-09-12 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-09-13 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-09-14 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-09-15 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-09-16 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-09-17 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-09-18 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-09-19 06:00:00', 'surface', 11.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-09-20 06:00:00', 'surface', 11.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-09-21 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-09-22 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-09-23 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-09-24 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-09-25 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-09-26 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-09-27 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-09-28 06:00:00', 'surface', 9.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-09-29 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-09-30 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-10-01 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-10-02 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-10-03 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-10-04 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-10-05 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-10-06 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-10-07 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-10-08 06:00:00', 'surface', 10.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-10-09 06:00:00', 'surface', 10.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-10-10 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-10-11 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-10-12 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-10-13 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-10-14 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-10-15 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-10-16 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-10-17 06:00:00', 'surface', 18.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-10-18 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-10-19 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-10-20 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-10-21 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-10-22 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-10-23 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-10-24 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-10-25 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-10-26 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-10-27 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-10-28 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-10-29 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-10-30 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-10-31 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-11-01 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-11-02 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-11-03 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-11-04 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-11-05 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-11-06 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-11-07 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-11-08 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-11-09 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-11-10 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-11-11 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-11-12 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-11-13 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-11-14 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-11-15 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-11-16 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-11-17 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-11-18 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-11-19 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-11-20 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-11-21 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-11-22 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-11-23 06:00:00', 'surface', 12.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-11-24 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-11-25 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-11-26 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-11-27 06:00:00', 'surface', 11.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-11-28 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-11-29 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-11-30 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-12-01 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-12-02 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-12-03 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-12-04 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-12-05 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-12-06 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-12-07 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-12-08 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-12-09 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-12-10 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-12-11 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-12-12 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-12-13 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-12-14 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-12-15 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-12-16 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-12-17 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-12-18 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-12-19 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-12-20 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-12-21 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-12-22 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-12-23 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-12-24 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-12-25 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-12-26 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-12-27 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-12-28 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-12-29 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-12-30 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1964-12-31 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-01-01 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-01-02 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-01-03 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-01-04 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-01-05 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-01-06 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-01-07 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-01-08 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-01-09 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-01-10 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-01-11 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-01-12 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-01-13 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-01-14 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-01-15 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-01-16 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-01-17 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-01-18 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-01-19 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-01-20 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-01-21 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-01-22 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-01-23 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-01-24 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-01-25 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-01-26 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-01-27 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-01-28 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-01-29 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-01-30 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-01-31 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-02-01 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-02-02 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-02-03 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-02-04 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-02-05 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-02-06 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-02-07 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-02-08 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-02-09 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-02-10 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-02-11 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-02-12 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-02-13 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-02-14 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-02-15 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-02-16 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-02-17 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-02-18 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-02-19 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-02-20 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-02-21 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-02-22 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-02-23 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-02-24 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-02-25 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-02-26 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-02-27 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-02-28 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-03-01 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-03-02 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-03-03 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-03-04 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-03-05 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-03-06 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-03-07 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-03-08 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-03-09 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-03-10 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-03-11 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-03-12 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-03-13 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-03-14 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-03-15 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-03-16 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-03-17 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-03-18 06:00:00', 'surface', 11.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-03-19 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-03-20 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-03-21 06:00:00', 'surface', 11.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-03-22 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-03-23 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-03-24 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-03-25 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-03-26 06:00:00', 'surface', 10.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-03-27 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-03-28 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-03-29 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-03-30 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-03-31 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-04-01 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-04-02 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-04-03 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-04-04 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-04-05 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-04-06 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-04-07 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-04-08 06:00:00', 'surface', 8.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-04-09 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-04-10 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-04-11 06:00:00', 'surface', 11.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-04-12 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-04-13 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-04-14 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-04-15 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-04-16 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-04-17 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-04-18 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-04-19 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-04-20 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-04-21 06:00:00', 'surface', 9.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-04-22 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-04-23 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-04-24 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-04-25 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-04-26 06:00:00', 'surface', 9.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-04-27 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-04-28 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-04-29 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-04-30 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-05-01 06:00:00', 'surface', 6.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-05-02 06:00:00', 'surface', 6.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-05-03 06:00:00', 'surface', 5.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-05-04 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-05-05 06:00:00', 'surface', 6.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-05-06 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-05-07 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-05-08 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-05-09 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-05-10 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-05-11 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-05-12 06:00:00', 'surface', 5.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-05-13 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-05-14 06:00:00', 'surface', 10.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-05-15 06:00:00', 'surface', 5.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-05-16 06:00:00', 'surface', 4.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-05-17 06:00:00', 'surface', 3.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-05-18 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-05-19 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-05-20 06:00:00', 'surface', 5.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-05-21 06:00:00', 'surface', 5.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-05-22 06:00:00', 'surface', 4.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-05-23 06:00:00', 'surface', 5.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-05-24 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-05-25 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-05-26 06:00:00', 'surface', 6.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-05-27 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-05-28 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-05-29 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-05-30 06:00:00', 'surface', 11.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-05-31 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-06-01 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-06-02 06:00:00', 'surface', 4.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-06-03 06:00:00', 'surface', 3.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-06-04 06:00:00', 'surface', 4.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-06-05 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-06-06 06:00:00', 'surface', 4.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-06-07 06:00:00', 'surface', 3.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-06-08 06:00:00', 'surface', 5.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-06-09 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-06-10 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-06-11 06:00:00', 'surface', 8.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-06-12 06:00:00', 'surface', 5.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-06-13 06:00:00', 'surface', 8.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-06-14 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-06-15 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-06-16 06:00:00', 'surface', 8.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-06-17 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-06-18 06:00:00', 'surface', 10.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-06-19 06:00:00', 'surface', 4.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-06-20 06:00:00', 'surface', 4.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-06-21 06:00:00', 'surface', 8.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-06-22 06:00:00', 'surface', 8.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-06-23 06:00:00', 'surface', 6.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-06-24 06:00:00', 'surface', 3.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-06-25 06:00:00', 'surface', 3.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-06-26 06:00:00', 'surface', 8.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-06-27 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-06-28 06:00:00', 'surface', 5.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-06-29 06:00:00', 'surface', 3.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-06-30 06:00:00', 'surface', 4.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-07-01 06:00:00', 'surface', 4.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-07-02 06:00:00', 'surface', 4.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-07-03 06:00:00', 'surface', 3.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-07-04 06:00:00', 'surface', 2.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-07-05 06:00:00', 'surface', 3.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-07-06 06:00:00', 'surface', 5.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-07-07 06:00:00', 'surface', 4.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-07-08 06:00:00', 'surface', 5.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-07-09 06:00:00', 'surface', 4.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-07-10 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-07-11 06:00:00', 'surface', 6.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-07-12 06:00:00', 'surface', 5.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-07-13 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-07-14 06:00:00', 'surface', 4.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-07-15 06:00:00', 'surface', 6.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-07-16 06:00:00', 'surface', 5.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-07-17 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-07-18 06:00:00', 'surface', 5.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-07-19 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-07-20 06:00:00', 'surface', 8.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-07-21 06:00:00', 'surface', 10.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-07-22 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-07-23 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-07-24 06:00:00', 'surface', 9.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-07-25 06:00:00', 'surface', 9.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-07-26 06:00:00', 'surface', 4.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-07-27 06:00:00', 'surface', 5.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-07-28 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-07-29 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-07-30 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-07-31 06:00:00', 'surface', 6.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-08-01 06:00:00', 'surface', 8.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-08-02 06:00:00', 'surface', 6.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-08-03 06:00:00', 'surface', 5.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-08-04 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-08-05 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-08-06 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-08-07 06:00:00', 'surface', 6.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-08-08 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-08-09 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-08-10 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-08-11 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-08-12 06:00:00', 'surface', 5.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-08-13 06:00:00', 'surface', 5.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-08-14 06:00:00', 'surface', 10.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-08-15 06:00:00', 'surface', 9.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-08-16 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-08-17 06:00:00', 'surface', 5.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-08-18 06:00:00', 'surface', 5.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-08-19 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-08-20 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-08-21 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-08-22 06:00:00', 'surface', 9.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-08-23 06:00:00', 'surface', 10.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-08-24 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-08-25 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-08-26 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-08-27 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-08-28 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-08-29 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-08-30 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-08-31 06:00:00', 'surface', 10.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-09-01 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-09-02 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-09-03 06:00:00', 'surface', 8.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-09-04 06:00:00', 'surface', 8.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-09-05 06:00:00', 'surface', 10.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-09-06 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-09-07 06:00:00', 'surface', 11.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-09-08 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-09-09 06:00:00', 'surface', 8.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-09-10 06:00:00', 'surface', 7.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-09-11 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-09-12 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-09-13 06:00:00', 'surface', 8.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-09-14 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-09-15 06:00:00', 'surface', 11.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-09-16 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-09-17 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-09-18 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-09-19 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-09-20 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-09-21 06:00:00', 'surface', 11.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-09-22 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-09-23 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-09-24 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-09-25 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-09-26 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-09-27 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-09-28 06:00:00', 'surface', 5.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-09-29 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-09-30 06:00:00', 'surface', 9.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-10-01 06:00:00', 'surface', 12.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-10-02 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-10-03 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-10-04 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-10-05 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-10-06 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-10-07 06:00:00', 'surface', 11.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-10-08 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-10-09 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-10-10 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-10-11 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-10-12 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-10-13 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-10-14 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-10-15 06:00:00', 'surface', 8.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-10-16 06:00:00', 'surface', 10.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-10-17 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-10-18 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-10-19 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-10-20 06:00:00', 'surface', 9.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-10-21 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-10-22 06:00:00', 'surface', 5.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-10-23 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-10-24 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-10-25 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-10-26 06:00:00', 'surface', 10.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-10-27 06:00:00', 'surface', 10.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-10-28 06:00:00', 'surface', 11.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-10-29 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-10-30 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-10-31 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-11-01 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-11-02 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-11-03 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-11-04 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-11-05 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-11-06 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-11-07 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-11-08 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-11-09 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-11-10 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-11-11 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-11-12 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-11-13 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-11-14 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-11-15 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-11-16 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-11-17 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-11-18 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-11-19 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-11-20 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-11-21 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-11-22 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-11-23 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-11-24 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-11-25 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-11-26 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-11-27 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-11-28 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-11-29 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-11-30 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-12-01 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-12-02 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-12-03 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-12-04 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-12-05 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-12-06 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-12-07 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-12-08 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-12-09 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-12-10 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-12-11 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-12-12 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-12-13 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-12-14 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-12-15 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-12-16 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-12-17 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-12-18 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-12-19 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-12-20 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-12-21 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-12-22 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-12-23 06:00:00', 'surface', 12.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-12-24 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-12-25 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-12-26 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-12-27 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-12-28 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-12-29 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-12-30 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1965-12-31 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-01-01 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-01-02 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-01-03 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-01-04 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-01-05 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-01-06 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-01-07 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-01-08 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-01-09 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-01-10 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-01-11 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-01-12 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-01-13 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-01-14 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-01-15 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-01-16 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-01-17 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-01-18 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-01-19 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-01-20 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-01-21 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-01-22 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-01-23 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-01-24 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-01-25 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-01-26 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-01-27 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-01-28 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-01-29 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-01-30 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-01-31 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-02-01 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-02-02 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-02-03 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-02-04 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-02-05 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-02-06 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-02-07 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-02-08 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-02-09 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-02-10 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-02-11 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-02-12 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-02-13 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-02-14 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-02-15 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-02-16 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-02-17 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-02-18 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-02-19 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-02-20 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-02-21 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-02-22 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-02-23 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-02-24 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-02-25 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-02-26 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-02-27 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-02-28 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-03-01 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-03-02 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-03-03 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-03-04 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-03-05 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-03-06 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-03-07 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-03-08 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-03-09 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-03-10 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-03-11 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-03-12 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-03-13 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-03-14 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-03-15 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-03-16 06:00:00', 'surface', 11.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-03-17 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-03-18 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-03-19 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-03-20 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-03-21 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-03-22 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-03-23 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-03-24 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-03-25 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-03-26 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-03-27 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-03-28 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-03-29 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-03-30 06:00:00', 'surface', 9.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-03-31 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-04-01 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-04-02 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-04-03 06:00:00', 'surface', 10.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-04-04 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-04-05 06:00:00', 'surface', 11.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-04-06 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-04-07 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-04-08 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-04-09 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-04-10 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-04-11 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-04-12 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-04-13 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-04-14 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-04-15 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-04-16 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-04-17 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-04-18 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-04-19 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-04-20 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-04-21 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-04-22 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-04-23 06:00:00', 'surface', 11.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-04-24 06:00:00', 'surface', 11.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-04-25 06:00:00', 'surface', 10.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-04-26 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-04-27 06:00:00', 'surface', 6.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-04-28 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-04-29 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-04-30 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-05-01 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-05-02 06:00:00', 'surface', 8.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-05-03 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-05-04 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-05-05 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-05-06 06:00:00', 'surface', 5.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-05-07 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-05-08 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-05-09 06:00:00', 'surface', 9.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-05-10 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-05-11 06:00:00', 'surface', 11.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-05-12 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-05-13 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-05-14 06:00:00', 'surface', 11.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-05-15 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-05-16 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-05-17 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-05-18 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-05-19 06:00:00', 'surface', 12.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-05-20 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-05-21 06:00:00', 'surface', 10.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-05-22 06:00:00', 'surface', 8.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-05-23 06:00:00', 'surface', 4.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-05-24 06:00:00', 'surface', 5.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-05-25 06:00:00', 'surface', 4.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-05-26 06:00:00', 'surface', 6.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-05-27 06:00:00', 'surface', 5.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-05-28 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-05-29 06:00:00', 'surface', 3.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-05-30 06:00:00', 'surface', 4.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-05-31 06:00:00', 'surface', 5.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-06-01 06:00:00', 'surface', 4.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-06-02 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-06-03 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-06-04 06:00:00', 'surface', 9.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-06-05 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-06-06 06:00:00', 'surface', 9.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-06-07 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-06-08 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-06-09 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-06-10 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-06-11 06:00:00', 'surface', 5.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-06-12 06:00:00', 'surface', 8.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-06-13 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-06-14 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-06-15 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-06-16 06:00:00', 'surface', 5.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-06-17 06:00:00', 'surface', 6.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-06-18 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-06-19 06:00:00', 'surface', 8.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-06-20 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-06-21 06:00:00', 'surface', 5.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-06-22 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-06-23 06:00:00', 'surface', 9.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-06-24 06:00:00', 'surface', 8.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-06-25 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-06-26 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-06-27 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-06-28 06:00:00', 'surface', 8.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-06-29 06:00:00', 'surface', 8.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-06-30 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-07-01 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-07-02 06:00:00', 'surface', 5.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-07-03 06:00:00', 'surface', 5.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-07-04 06:00:00', 'surface', 8.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-07-05 06:00:00', 'surface', 5.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-07-06 06:00:00', 'surface', 4.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-07-07 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-07-08 06:00:00', 'surface', 5.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-07-09 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-07-10 06:00:00', 'surface', 4.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-07-11 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-07-12 06:00:00', 'surface', 11.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-07-13 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-07-14 06:00:00', 'surface', 6.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-07-15 06:00:00', 'surface', 8.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-07-16 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-07-17 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-07-18 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-07-19 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-07-20 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-07-21 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-07-22 06:00:00', 'surface', 4.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-07-23 06:00:00', 'surface', 6.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-07-24 06:00:00', 'surface', 6.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-07-25 06:00:00', 'surface', 6.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-07-26 06:00:00', 'surface', 9.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-07-27 06:00:00', 'surface', 2.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-07-28 06:00:00', 'surface', 1.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-07-29 06:00:00', 'surface', 4.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-07-30 06:00:00', 'surface', 5.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-07-31 06:00:00', 'surface', 3.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-08-01 06:00:00', 'surface', 5.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-08-02 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-08-03 06:00:00', 'surface', 7.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-08-04 06:00:00', 'surface', 9.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-08-05 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-08-06 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-08-07 06:00:00', 'surface', 9.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-08-08 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-08-09 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-08-10 06:00:00', 'surface', 8.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-08-11 06:00:00', 'surface', 6.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-08-12 06:00:00', 'surface', 5.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-08-13 06:00:00', 'surface', 8.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-08-14 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-08-15 06:00:00', 'surface', 11.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-08-16 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-08-17 06:00:00', 'surface', 11.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-08-18 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-08-19 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-08-20 06:00:00', 'surface', 8.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-08-21 06:00:00', 'surface', 8.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-08-22 06:00:00', 'surface', 1.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-08-23 06:00:00', 'surface', 2.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-08-24 06:00:00', 'surface', 4.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-08-25 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-08-26 06:00:00', 'surface', 10.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-08-27 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-08-28 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-08-29 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-08-30 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-08-31 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-09-01 06:00:00', 'surface', 8.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-09-02 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-09-03 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-09-04 06:00:00', 'surface', 10.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-09-05 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-09-06 06:00:00', 'surface', 10.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-09-07 06:00:00', 'surface', 8.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-09-08 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-09-09 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-09-10 06:00:00', 'surface', 5.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-09-11 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-09-12 06:00:00', 'surface', 9.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-09-13 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-09-14 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-09-15 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-09-16 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-09-17 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-09-18 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-09-19 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-09-20 06:00:00', 'surface', 10.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-09-21 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-09-22 06:00:00', 'surface', 8.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-09-23 06:00:00', 'surface', 10.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-09-24 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-09-25 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-09-26 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-09-27 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-09-28 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-09-29 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-09-30 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-10-01 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-10-02 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-10-03 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-10-04 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-10-05 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-10-06 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-10-07 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-10-08 06:00:00', 'surface', 10.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-10-09 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-10-10 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-10-11 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-10-12 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-10-13 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-10-14 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-10-15 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-10-16 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-10-17 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-10-18 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-10-19 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-10-20 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-10-21 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-10-22 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-10-23 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-10-24 06:00:00', 'surface', 11.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-10-25 06:00:00', 'surface', 8.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-10-26 06:00:00', 'surface', 10.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-10-27 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-10-28 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-10-29 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-10-30 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-10-31 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-11-01 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-11-02 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-11-03 06:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-11-04 06:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-11-05 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-11-06 06:00:00', 'surface', 18.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-11-07 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-11-08 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-11-09 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-11-10 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-11-11 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-11-12 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-11-13 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-11-14 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-11-15 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-11-16 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-11-17 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-11-18 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-11-19 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-11-20 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-11-21 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-11-22 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-11-23 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-11-24 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-11-25 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-11-26 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-11-27 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-11-28 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-11-29 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-11-30 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-12-01 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-12-02 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-12-03 06:00:00', 'surface', 18.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-12-04 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-12-05 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-12-06 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-12-07 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-12-08 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-12-09 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-12-10 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-12-11 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-12-12 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-12-13 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-12-14 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-12-15 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-12-16 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-12-17 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-12-18 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-12-19 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-12-20 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-12-21 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-12-22 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-12-23 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-12-24 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-12-25 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-12-26 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-12-27 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-12-28 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-12-29 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-12-30 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1966-12-31 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-01-01 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-01-02 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-01-03 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-01-04 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-01-05 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-01-06 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-01-07 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-01-08 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-01-09 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-01-10 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-01-11 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-01-12 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-01-13 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-01-14 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-01-15 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-01-16 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-01-17 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-01-18 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-01-19 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-01-20 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-01-21 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-01-22 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-01-23 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-01-24 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-01-25 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-01-26 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-01-27 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-01-28 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-01-29 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-01-30 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-01-31 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-02-01 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-02-02 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-02-03 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-02-04 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-02-05 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-02-06 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-02-07 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-02-08 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-02-09 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-02-10 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-02-11 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-02-12 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-02-13 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-02-14 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-02-15 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-02-16 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-02-17 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-02-18 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-02-19 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-02-20 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-02-21 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-02-22 06:00:00', 'surface', 11.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-02-23 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-02-24 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-02-25 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-02-26 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-02-27 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-02-28 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-03-01 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-03-02 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-03-03 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-03-04 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-03-05 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-03-06 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-03-07 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-03-08 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-03-09 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-03-10 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-03-11 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-03-12 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-03-13 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-03-14 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-03-15 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-03-16 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-03-17 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-03-18 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-03-19 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-03-20 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-03-21 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-03-22 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-03-23 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-03-24 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-03-25 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-03-26 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-03-27 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-03-28 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-03-29 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-03-30 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-03-31 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-04-01 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-04-02 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-04-03 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-04-04 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-04-05 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-04-06 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-04-07 06:00:00', 'surface', 11.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-04-08 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-04-09 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-04-10 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-04-11 06:00:00', 'surface', 10.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-04-12 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-04-13 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-04-14 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-04-15 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-04-16 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-04-17 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-04-18 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-04-19 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-04-20 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-04-21 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-04-22 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-04-23 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-04-24 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-04-25 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-04-26 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-04-27 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-04-28 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-04-29 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-04-30 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-05-01 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-05-02 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-05-03 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-05-04 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-05-05 06:00:00', 'surface', 10.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-05-06 06:00:00', 'surface', 8.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-05-07 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-05-08 06:00:00', 'surface', 6.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-05-09 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-05-10 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-05-11 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-05-12 06:00:00', 'surface', 9.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-05-13 06:00:00', 'surface', 11.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-05-14 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-05-15 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-05-16 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-05-17 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-05-18 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-05-19 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-05-20 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-05-21 06:00:00', 'surface', 8.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-05-22 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-05-23 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-05-24 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-05-25 06:00:00', 'surface', 6.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-05-26 06:00:00', 'surface', 7.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-05-27 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-05-28 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-05-29 06:00:00', 'surface', 9.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-05-30 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-05-31 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-06-01 06:00:00', 'surface', 9.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-06-02 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-06-03 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-06-04 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-06-05 06:00:00', 'surface', 10.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-06-06 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-06-07 06:00:00', 'surface', 7.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-06-08 06:00:00', 'surface', 9.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-06-09 06:00:00', 'surface', 6.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-06-10 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-06-11 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-06-12 06:00:00', 'surface', 11.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-06-13 06:00:00', 'surface', 8.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-06-14 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-06-15 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-06-16 06:00:00', 'surface', 8.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-06-17 06:00:00', 'surface', 5.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-06-18 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-06-19 06:00:00', 'surface', 8.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-06-20 06:00:00', 'surface', 5.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-06-21 06:00:00', 'surface', 10.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-06-22 06:00:00', 'surface', 5.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-06-23 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-06-24 06:00:00', 'surface', 5.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-06-25 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-06-26 06:00:00', 'surface', 11.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-06-27 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-06-28 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-06-29 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-06-30 06:00:00', 'surface', 11.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-07-01 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-07-02 06:00:00', 'surface', 9.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-07-03 06:00:00', 'surface', 8.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-07-04 06:00:00', 'surface', 10.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-07-05 06:00:00', 'surface', 10.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-07-06 06:00:00', 'surface', 9.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-07-07 06:00:00', 'surface', 7.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-07-08 06:00:00', 'surface', 8.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-07-09 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-07-10 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-07-11 06:00:00', 'surface', 3.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-07-12 06:00:00', 'surface', 3.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-07-13 06:00:00', 'surface', 9.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-07-14 06:00:00', 'surface', 5.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-07-15 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-07-16 06:00:00', 'surface', 5.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-07-17 06:00:00', 'surface', 2.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-07-18 06:00:00', 'surface', 2.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-07-19 06:00:00', 'surface', 3.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-07-20 06:00:00', 'surface', 2.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-07-21 06:00:00', 'surface', 4.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-07-22 06:00:00', 'surface', 5.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-07-23 06:00:00', 'surface', 4.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-07-24 06:00:00', 'surface', 4.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-07-25 06:00:00', 'surface', 5.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-07-26 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-07-27 06:00:00', 'surface', 7.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-07-28 06:00:00', 'surface', 5.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-07-29 06:00:00', 'surface', 4.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-07-30 06:00:00', 'surface', 7.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-07-31 06:00:00', 'surface', 9.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-08-01 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-08-02 06:00:00', 'surface', 10.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-08-03 06:00:00', 'surface', 8.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-08-04 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-08-05 06:00:00', 'surface', 7.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-08-06 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-08-07 06:00:00', 'surface', 4.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-08-08 06:00:00', 'surface', 5.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-08-09 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-08-10 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-08-11 06:00:00', 'surface', 4.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-08-12 06:00:00', 'surface', 5.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-08-13 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-08-14 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-08-15 06:00:00', 'surface', 10.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-08-16 06:00:00', 'surface', 7.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-08-17 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-08-18 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-08-19 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-08-20 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-08-21 06:00:00', 'surface', 5.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-08-22 06:00:00', 'surface', 3.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-08-23 06:00:00', 'surface', 5.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-08-24 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-08-25 06:00:00', 'surface', 7.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-08-26 06:00:00', 'surface', 7.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-08-27 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-08-28 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-08-29 06:00:00', 'surface', 11.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-08-30 06:00:00', 'surface', 11.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-08-31 06:00:00', 'surface', 10.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-09-01 06:00:00', 'surface', 9.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-09-02 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-09-03 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-09-04 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-09-05 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-09-06 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-09-07 06:00:00', 'surface', 10.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-09-08 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-09-09 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-09-10 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-09-11 06:00:00', 'surface', 8.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-09-12 06:00:00', 'surface', 8.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-09-13 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-09-14 06:00:00', 'surface', 9.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-09-15 06:00:00', 'surface', 10.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-09-16 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-09-17 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-09-18 06:00:00', 'surface', 6.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-09-19 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-09-20 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-09-21 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-09-22 06:00:00', 'surface', 8.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-09-23 06:00:00', 'surface', 8.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-09-24 06:00:00', 'surface', 6.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-09-25 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-09-26 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-09-27 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-09-28 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-09-29 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-09-30 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-10-01 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-10-02 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-10-03 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-10-04 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-10-05 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-10-06 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-10-07 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-10-08 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-10-09 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-10-10 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-10-11 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-10-12 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-10-13 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-10-14 06:00:00', 'surface', 11.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-10-15 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-10-16 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-10-17 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-10-18 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-10-19 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-10-20 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-10-21 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-10-22 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-10-23 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-10-24 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-10-25 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-10-26 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-10-27 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-10-28 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-10-29 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-10-30 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-10-31 06:00:00', 'surface', 10.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-11-01 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-11-02 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-11-03 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-11-04 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-11-05 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-11-06 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-11-07 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-11-08 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-11-09 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-11-10 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-11-11 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-11-12 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-11-13 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-11-14 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-11-15 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-11-16 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-11-17 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-11-18 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-11-19 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-11-20 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-11-21 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-11-22 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-11-23 06:00:00', 'surface', 10.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-11-24 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-11-25 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-11-26 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-11-27 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-11-28 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-11-29 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-11-30 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-12-01 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-12-02 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-12-03 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-12-04 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-12-05 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-12-06 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-12-07 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-12-08 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-12-09 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-12-10 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-12-11 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-12-12 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-12-13 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-12-14 06:00:00', 'surface', 11.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-12-15 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-12-16 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-12-17 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-12-18 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-12-19 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-12-20 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-12-21 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-12-22 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-12-23 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-12-24 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-09-21 06:00:00', 'surface', 8.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-09-22 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-09-23 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-09-24 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-09-25 06:00:00', 'surface', 11.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-09-26 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-09-27 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-09-28 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-09-29 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-09-30 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-10-01 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-10-02 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-10-03 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-10-04 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-10-05 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-10-06 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-10-07 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-10-08 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-10-09 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-10-10 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-10-11 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-10-12 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-10-13 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-10-14 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-10-15 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-10-16 06:00:00', 'surface', 18.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-10-17 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-10-18 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-10-19 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-10-20 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-10-21 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-10-22 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-10-23 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-10-24 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-10-25 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-10-26 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-10-27 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-10-28 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-10-29 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-10-30 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-10-31 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-11-01 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-11-02 06:00:00', 'surface', 10.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-11-03 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-11-04 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-11-05 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-11-06 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-11-07 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-11-08 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-11-09 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-11-10 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-11-11 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-11-12 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-11-13 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-11-14 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-11-15 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-11-16 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-11-17 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-11-18 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-11-19 06:00:00', 'surface', 18.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-11-20 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-11-21 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-11-22 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-11-23 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-11-24 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-11-25 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-11-26 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-11-27 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-11-28 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-11-29 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-11-30 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-12-01 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-12-02 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-12-03 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-12-04 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-12-05 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-12-06 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-12-07 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-12-08 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-12-09 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-12-10 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-12-11 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-12-12 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-12-13 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-12-14 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-12-15 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-12-16 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-12-17 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-12-18 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-12-19 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-12-20 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-12-21 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-12-22 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-12-23 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-12-24 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-12-25 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-12-26 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-12-27 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-12-28 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-12-29 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-12-30 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-12-31 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-01-01 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-01-02 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-01-03 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-01-04 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-01-05 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-01-06 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-01-07 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-01-08 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-01-09 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-01-10 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-01-11 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-01-12 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-01-13 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-01-14 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-01-15 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-01-16 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-01-17 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-01-18 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-01-19 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-01-20 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-01-21 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-01-22 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-01-23 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-01-24 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-01-25 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-01-26 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-01-27 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-01-28 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-01-29 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-01-30 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-01-31 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-02-01 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-02-02 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-02-03 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-02-04 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-02-05 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-02-06 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-02-07 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-02-08 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-02-09 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-02-10 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-02-11 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-02-12 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-02-13 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-02-14 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-02-15 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-02-16 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-02-17 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-02-18 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-02-19 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-02-20 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-02-21 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-02-22 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-02-23 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-02-24 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-02-25 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-02-26 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-02-27 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-02-28 06:00:00', 'surface', 11.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-03-01 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-03-02 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-03-03 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-03-04 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-03-05 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-03-06 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-03-07 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-03-08 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-03-09 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-03-10 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-03-11 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-03-12 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-03-13 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-03-14 06:00:00', 'surface', 11.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-03-15 06:00:00', 'surface', 8.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-03-16 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-03-17 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-03-18 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-03-19 06:00:00', 'surface', 10.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-03-20 06:00:00', 'surface', 10.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-03-21 06:00:00', 'surface', 10.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-03-22 06:00:00', 'surface', 12.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-03-23 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-03-24 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-03-25 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-03-26 06:00:00', 'surface', 10.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-03-27 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-03-28 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-03-29 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-03-30 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-03-31 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-04-01 06:00:00', 'surface', 8.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-04-02 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-04-03 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-04-04 06:00:00', 'surface', 10.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-04-05 06:00:00', 'surface', 9.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-04-06 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-04-07 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-04-08 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-04-09 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-04-10 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-04-11 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-04-12 06:00:00', 'surface', 10.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-04-13 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-04-14 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-04-15 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-04-16 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-04-17 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-04-18 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-04-19 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-04-20 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-04-21 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-04-22 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-04-23 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-04-24 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-04-25 06:00:00', 'surface', 8.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-04-26 06:00:00', 'surface', 10.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-04-27 06:00:00', 'surface', 6.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-04-28 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-04-29 06:00:00', 'surface', 6.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-04-30 06:00:00', 'surface', 9.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-05-01 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-05-02 06:00:00', 'surface', 9.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-05-03 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-05-04 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-05-05 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-05-06 06:00:00', 'surface', 9.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-05-07 06:00:00', 'surface', 8.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-05-08 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-05-09 06:00:00', 'surface', 10.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-05-10 06:00:00', 'surface', 10.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-05-11 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-05-12 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-05-13 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-05-14 06:00:00', 'surface', 10.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-05-15 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-05-16 06:00:00', 'surface', 6.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-05-17 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-05-18 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-05-19 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-05-20 06:00:00', 'surface', 5.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-05-21 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-05-22 06:00:00', 'surface', 8.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-05-23 06:00:00', 'surface', 11.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-05-24 06:00:00', 'surface', 10.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-05-25 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-05-26 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-05-27 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-05-28 06:00:00', 'surface', 9.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-05-29 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-05-30 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-05-31 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-06-01 06:00:00', 'surface', 9.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-06-02 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-06-03 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-06-04 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-06-05 06:00:00', 'surface', 5.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-06-06 06:00:00', 'surface', 3.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-06-07 06:00:00', 'surface', 4.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-06-08 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-06-09 06:00:00', 'surface', 5.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-06-10 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-06-11 06:00:00', 'surface', 6.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-06-12 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-06-13 06:00:00', 'surface', 8.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-06-14 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-06-15 06:00:00', 'surface', 9.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-06-16 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-06-17 06:00:00', 'surface', 5.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-06-18 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-06-19 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-06-20 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-06-21 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-06-22 06:00:00', 'surface', 9.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-06-23 06:00:00', 'surface', 7.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-06-24 06:00:00', 'surface', 4.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-06-25 06:00:00', 'surface', 9.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-06-26 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-06-27 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-06-28 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-06-29 06:00:00', 'surface', 8.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-06-30 06:00:00', 'surface', 5.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-07-01 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-07-02 06:00:00', 'surface', 8.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-07-03 06:00:00', 'surface', 5.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-07-04 06:00:00', 'surface', 4.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-07-05 06:00:00', 'surface', 3.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-07-06 06:00:00', 'surface', 6.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-07-07 06:00:00', 'surface', 4.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-07-08 06:00:00', 'surface', 2.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-07-09 06:00:00', 'surface', 8.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-07-10 06:00:00', 'surface', 8.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-07-11 06:00:00', 'surface', 6.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-07-12 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-07-13 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-07-14 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-07-15 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-07-16 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-07-17 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-07-18 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-07-19 06:00:00', 'surface', 11.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-07-20 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-07-21 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-07-22 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-07-23 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-07-24 06:00:00', 'surface', 9.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-07-25 06:00:00', 'surface', 4.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-07-26 06:00:00', 'surface', 5.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-07-27 06:00:00', 'surface', 4.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-07-28 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-07-29 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-07-30 06:00:00', 'surface', 8.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-07-31 06:00:00', 'surface', 10.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-08-01 06:00:00', 'surface', 8.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-08-02 06:00:00', 'surface', 7.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-08-03 06:00:00', 'surface', 11.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-08-04 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-08-05 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-08-06 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-08-07 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-08-08 06:00:00', 'surface', 9.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-08-09 06:00:00', 'surface', 6.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-08-10 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-08-11 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-08-12 06:00:00', 'surface', 8.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-08-13 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-08-14 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-08-15 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-08-16 06:00:00', 'surface', 6.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-08-17 06:00:00', 'surface', 8.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-08-18 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-08-19 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-08-20 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-08-21 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-08-22 06:00:00', 'surface', 9.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-08-23 06:00:00', 'surface', 8.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-08-24 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-08-25 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-08-26 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-08-27 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-08-28 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-08-29 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-08-30 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-08-31 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-09-01 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-09-02 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-09-03 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-09-04 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-09-05 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-09-06 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-09-07 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-09-08 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-09-09 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-09-10 06:00:00', 'surface', 11.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-09-11 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-09-12 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-09-13 06:00:00', 'surface', 11.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-09-14 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-09-15 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-09-16 06:00:00', 'surface', 9.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-09-17 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-09-18 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-09-19 06:00:00', 'surface', 8.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-09-20 06:00:00', 'surface', 11.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-09-21 06:00:00', 'surface', 12.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-09-22 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-09-23 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-09-24 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-09-25 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-09-26 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-12-25 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-12-26 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-12-27 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-12-28 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-12-29 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-12-30 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1967-12-31 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-01-01 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-01-02 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-01-03 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-01-04 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-01-05 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-01-06 06:00:00', 'surface', 18.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-01-07 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-01-08 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-01-09 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-01-10 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-01-11 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-01-12 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-01-13 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-01-14 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-01-15 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-01-16 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-01-17 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-01-18 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-01-19 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-01-20 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-01-21 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-01-22 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-01-23 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-01-24 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-01-25 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-01-26 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-01-27 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-01-28 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-01-29 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-01-30 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-01-31 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-02-01 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-02-02 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-02-03 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-02-04 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-02-05 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-02-06 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-02-07 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-02-08 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-02-09 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-02-10 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-02-11 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-02-12 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-02-13 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-02-14 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-02-15 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-02-16 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-02-17 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-02-18 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-02-19 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-02-20 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-02-21 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-02-22 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-02-23 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-02-24 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-02-25 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-02-26 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-02-27 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-02-28 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-02-29 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-03-01 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-03-02 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-03-03 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-03-04 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-03-05 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-03-06 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-03-07 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-03-08 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-03-09 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-03-10 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-03-11 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-03-12 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-03-13 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-03-14 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-03-15 06:00:00', 'surface', 11.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-03-16 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-03-17 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-03-18 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-03-19 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-03-20 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-03-21 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-03-22 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-03-23 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-03-24 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-03-25 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-03-26 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-03-27 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-03-28 06:00:00', 'surface', 10.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-03-29 06:00:00', 'surface', 8.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-03-30 06:00:00', 'surface', 10.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-03-31 06:00:00', 'surface', 10.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-04-01 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-04-02 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-04-03 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-04-04 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-04-05 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-04-06 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-04-07 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-04-08 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-04-09 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-04-10 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-04-11 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-04-12 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-04-13 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-04-14 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-04-15 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-04-16 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-04-17 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-04-18 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-04-19 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-04-20 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-04-21 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-04-22 06:00:00', 'surface', 11.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-04-23 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-04-24 06:00:00', 'surface', 11.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-04-25 06:00:00', 'surface', 11.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-04-26 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-04-27 06:00:00', 'surface', 10.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-04-28 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-04-29 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-04-30 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-05-01 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-05-02 06:00:00', 'surface', 11.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-05-03 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-05-04 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-05-05 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-05-06 06:00:00', 'surface', 11.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-05-07 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-05-08 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-05-09 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-05-10 06:00:00', 'surface', 11.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-05-11 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-05-12 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-05-13 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-05-14 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-05-15 06:00:00', 'surface', 11.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-05-16 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-05-17 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-05-18 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-05-19 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-05-20 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-05-21 06:00:00', 'surface', 4.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-05-22 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-05-23 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-05-24 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-05-25 06:00:00', 'surface', 10.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-05-26 06:00:00', 'surface', 9.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-05-27 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-05-28 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-05-29 06:00:00', 'surface', 6.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-05-30 06:00:00', 'surface', 5.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-05-31 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-06-01 06:00:00', 'surface', 4.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-06-02 06:00:00', 'surface', 8.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-06-03 06:00:00', 'surface', 8.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-06-04 06:00:00', 'surface', 3.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-06-05 06:00:00', 'surface', 2.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-06-06 06:00:00', 'surface', 5.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-06-07 06:00:00', 'surface', 7.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-06-08 06:00:00', 'surface', 7.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-06-09 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-06-10 06:00:00', 'surface', 10.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-06-11 06:00:00', 'surface', 10.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-06-12 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-06-13 06:00:00', 'surface', 3.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-06-14 06:00:00', 'surface', 1.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-06-15 06:00:00', 'surface', 1.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-06-16 06:00:00', 'surface', 0.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-06-17 06:00:00', 'surface', 2.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-06-18 06:00:00', 'surface', 1.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-06-19 06:00:00', 'surface', 1.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-06-20 06:00:00', 'surface', 1.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-06-21 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-06-22 06:00:00', 'surface', 4.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-06-23 06:00:00', 'surface', 5.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-06-24 06:00:00', 'surface', 4.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-06-25 06:00:00', 'surface', 4.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-06-26 06:00:00', 'surface', 5.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-06-27 06:00:00', 'surface', 8.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-06-28 06:00:00', 'surface', 7.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-06-29 06:00:00', 'surface', 5.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-06-30 06:00:00', 'surface', 5.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-07-01 06:00:00', 'surface', 4.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-07-02 06:00:00', 'surface', 6.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-07-03 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-07-04 06:00:00', 'surface', 10.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-07-05 06:00:00', 'surface', 9.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-07-06 06:00:00', 'surface', 10.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-07-07 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-07-08 06:00:00', 'surface', 3.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-07-09 06:00:00', 'surface', 3.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-07-10 06:00:00', 'surface', 3.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-07-11 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-07-12 06:00:00', 'surface', 8.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-07-13 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-07-14 06:00:00', 'surface', 5.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-07-15 06:00:00', 'surface', 3.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-07-16 06:00:00', 'surface', 5.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-07-17 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-07-18 06:00:00', 'surface', 5.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-07-19 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-07-20 06:00:00', 'surface', 10.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-07-21 06:00:00', 'surface', 6.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-07-22 06:00:00', 'surface', 7.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-07-23 06:00:00', 'surface', 9.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-07-24 06:00:00', 'surface', 6.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-07-25 06:00:00', 'surface', 8.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-07-26 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-07-27 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-07-28 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-07-29 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-07-30 06:00:00', 'surface', 11.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-07-31 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-08-01 06:00:00', 'surface', 9.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-08-02 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-08-03 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-08-04 06:00:00', 'surface', 8.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-08-05 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-08-06 06:00:00', 'surface', 10.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-08-07 06:00:00', 'surface', 6.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-08-08 06:00:00', 'surface', 8.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-08-09 06:00:00', 'surface', 8.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-08-10 06:00:00', 'surface', 10.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-08-11 06:00:00', 'surface', 7.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-08-12 06:00:00', 'surface', 9.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-08-13 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-08-14 06:00:00', 'surface', 11.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-08-15 06:00:00', 'surface', 6.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-08-16 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-08-17 06:00:00', 'surface', 8.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-08-18 06:00:00', 'surface', 9.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-08-19 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-08-20 06:00:00', 'surface', 3.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-08-21 06:00:00', 'surface', 4.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-08-22 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-08-23 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-08-24 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-08-25 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-08-26 06:00:00', 'surface', 11.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-08-27 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-08-28 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-08-29 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-08-30 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-08-31 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-09-01 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-09-02 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-09-03 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-09-04 06:00:00', 'surface', 8.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-09-05 06:00:00', 'surface', 9.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-09-06 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-09-07 06:00:00', 'surface', 8.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-09-08 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-09-09 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-09-10 06:00:00', 'surface', 11.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-09-11 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-09-12 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-09-13 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-09-14 06:00:00', 'surface', 8.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-09-15 06:00:00', 'surface', 10.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-09-16 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-09-17 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-09-18 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-09-19 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-09-20 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-09-21 06:00:00', 'surface', 10.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-09-22 06:00:00', 'surface', 10.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-09-23 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-09-24 06:00:00', 'surface', 11.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-09-25 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-09-26 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-09-27 06:00:00', 'surface', 8.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-09-28 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-09-29 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-09-30 06:00:00', 'surface', 11.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-10-01 06:00:00', 'surface', 11.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-10-02 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-10-03 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-10-04 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-10-05 06:00:00', 'surface', 11.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-10-06 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-10-07 06:00:00', 'surface', 9.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-10-08 06:00:00', 'surface', 11.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-10-09 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-10-10 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-10-11 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-10-12 06:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-10-13 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-10-14 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-10-15 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-10-16 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-10-17 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-10-18 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-10-19 06:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-10-20 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-10-21 06:00:00', 'surface', 18.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-10-22 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-10-23 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-10-24 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-10-25 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-10-26 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-10-27 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-10-28 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-10-29 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-10-30 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-10-31 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-11-01 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-11-02 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-11-03 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-11-04 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-11-05 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-11-06 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-11-07 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-11-08 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-11-09 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-11-10 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-11-11 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-11-12 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-11-13 06:00:00', 'surface', 10.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-11-14 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-11-15 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-11-16 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-11-17 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-11-18 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-11-19 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-11-20 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-11-21 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-11-22 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-11-23 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-11-24 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-11-25 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-11-26 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-11-27 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-11-28 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-11-29 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-11-30 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-12-01 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-12-02 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-12-03 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-12-04 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-12-05 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-12-06 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-12-07 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-12-08 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-12-09 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-12-10 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-12-11 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-12-12 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-12-13 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-12-14 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-12-15 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-12-16 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-12-17 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-12-18 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-12-19 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-12-20 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-12-21 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-12-22 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-12-23 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-12-24 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-12-25 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-12-26 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-12-27 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-12-28 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-12-29 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-12-30 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1968-12-31 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-01-01 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-01-02 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-01-03 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-01-04 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-01-05 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-01-06 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-01-07 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-01-08 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-01-09 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-01-10 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-01-11 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-01-12 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-01-13 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-01-14 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-01-15 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-01-16 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-01-17 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-01-18 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-01-19 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-01-20 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-01-21 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-01-22 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-01-23 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-01-24 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-01-25 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-01-26 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-01-27 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-01-28 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-01-29 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-01-30 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-01-31 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-02-01 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-02-02 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-02-03 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-02-04 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-02-05 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-02-06 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-02-07 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-02-08 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-02-09 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-02-10 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-02-11 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-02-12 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-02-13 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-02-14 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-02-15 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-02-16 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-02-17 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-02-18 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-02-19 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-02-20 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-02-21 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-02-22 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-02-23 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-02-24 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-02-25 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-02-26 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-02-27 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-02-28 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-03-01 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-03-02 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-03-03 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-03-04 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-03-05 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-03-06 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-03-07 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-03-08 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-03-09 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-03-10 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-03-11 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-03-12 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-03-13 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-03-14 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-03-15 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-03-16 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-03-17 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-03-18 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-03-19 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-03-20 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-03-21 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-03-22 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-03-23 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-03-24 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-03-25 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-03-26 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-03-27 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-03-28 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-03-29 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-03-30 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-03-31 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-04-01 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-04-02 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-04-03 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-04-04 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-04-05 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-04-06 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-04-07 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-04-08 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-04-09 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-04-10 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-04-11 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-04-12 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-04-13 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-04-14 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-04-15 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-04-16 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-04-17 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-04-18 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-04-19 06:00:00', 'surface', 10.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-04-20 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-04-21 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-04-22 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-04-23 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-04-24 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-04-25 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-04-26 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-04-27 06:00:00', 'surface', 10.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-04-28 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-04-29 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-04-30 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-05-01 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-05-02 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-05-03 06:00:00', 'surface', 9.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-05-04 06:00:00', 'surface', 9.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-05-05 06:00:00', 'surface', 11.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-05-06 06:00:00', 'surface', 9.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-05-07 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-05-08 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-05-09 06:00:00', 'surface', 7.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-05-10 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-05-11 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-05-12 06:00:00', 'surface', 9.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-05-13 06:00:00', 'surface', 11.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-05-14 06:00:00', 'surface', 4.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-05-15 06:00:00', 'surface', 5.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-05-16 06:00:00', 'surface', 9.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-05-17 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-05-18 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-05-19 06:00:00', 'surface', 8.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-05-20 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-05-21 06:00:00', 'surface', 9.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-05-22 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-05-23 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-05-24 06:00:00', 'surface', 10.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-05-25 06:00:00', 'surface', 7.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-05-26 06:00:00', 'surface', 8.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-05-27 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-05-28 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-05-29 06:00:00', 'surface', 6.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-05-30 06:00:00', 'surface', 6.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-05-31 06:00:00', 'surface', 9.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-06-01 06:00:00', 'surface', 9.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-06-02 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-06-03 06:00:00', 'surface', 6.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-06-04 06:00:00', 'surface', 6.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-06-05 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-06-06 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-06-07 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-06-08 06:00:00', 'surface', 4.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-06-09 06:00:00', 'surface', 4.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-06-10 06:00:00', 'surface', 4.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-06-11 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-06-12 06:00:00', 'surface', 7.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-06-13 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-06-14 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-06-15 06:00:00', 'surface', 6.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-06-16 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-06-17 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-06-18 06:00:00', 'surface', 4.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-06-19 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-06-20 06:00:00', 'surface', 7.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-06-21 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-06-22 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-06-23 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-06-24 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-06-25 06:00:00', 'surface', 6.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-06-26 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-06-27 06:00:00', 'surface', 10.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-06-28 06:00:00', 'surface', 11.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-06-29 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-06-30 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-07-01 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-07-02 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-07-03 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-07-04 06:00:00', 'surface', 4.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-07-05 06:00:00', 'surface', 5.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-07-06 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-07-07 06:00:00', 'surface', 5.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-07-08 06:00:00', 'surface', 4.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-07-09 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-07-10 06:00:00', 'surface', 9.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-07-11 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-07-12 06:00:00', 'surface', 3.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-07-13 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-07-14 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-07-15 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-07-16 06:00:00', 'surface', 8.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-07-17 06:00:00', 'surface', 5.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-07-18 06:00:00', 'surface', 5.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-07-19 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-07-20 06:00:00', 'surface', 7.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-07-21 06:00:00', 'surface', 7.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-07-22 06:00:00', 'surface', 5.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-07-23 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-07-24 06:00:00', 'surface', 2.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-07-25 06:00:00', 'surface', 3.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-07-26 06:00:00', 'surface', 6.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-07-27 06:00:00', 'surface', 6.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-07-28 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-07-29 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-07-30 06:00:00', 'surface', 6.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-07-31 06:00:00', 'surface', 8.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-08-01 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-08-02 06:00:00', 'surface', 8.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-08-03 06:00:00', 'surface', 8.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-08-04 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-08-05 06:00:00', 'surface', 11.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-08-06 06:00:00', 'surface', 10.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-08-07 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-08-08 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-08-09 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-08-10 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-08-11 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-08-12 06:00:00', 'surface', 8.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-08-13 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-08-14 06:00:00', 'surface', 9.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-08-15 06:00:00', 'surface', 8.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-08-16 06:00:00', 'surface', 9.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0);
INSERT INTO `observationfinal` (`recordedFrom`, `describedBy`, `obsDatetime`, `obsLevel`, `obsValue`, `flag`, `period`, `qcStatus`, `qcTypeLog`, `acquisitionType`, `dataForm`, `capturedBy`, `mark`, `temperatureUnits`, `precipitationUnits`, `cloudHeightUnits`, `visUnits`, `dataSourceTimeZone`) VALUES
	('67774010', 3, '1969-08-17 06:00:00', 'surface', 9.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-08-18 06:00:00', 'surface', 8.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-08-19 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-08-20 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-08-21 06:00:00', 'surface', 9.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-08-22 06:00:00', 'surface', 11.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-08-23 06:00:00', 'surface', 6.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-08-24 06:00:00', 'surface', 7.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-08-25 06:00:00', 'surface', 8.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-08-26 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-08-27 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-08-28 06:00:00', 'surface', 10.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-08-29 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-08-30 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-08-31 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-09-01 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-09-02 06:00:00', 'surface', 12.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-09-03 06:00:00', 'surface', 8.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-09-04 06:00:00', 'surface', 11.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-09-05 06:00:00', 'surface', 9.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-09-06 06:00:00', 'surface', 10.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-09-07 06:00:00', 'surface', 6.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-09-08 06:00:00', 'surface', 8.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-09-09 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-09-10 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-09-11 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-09-12 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-09-13 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-09-14 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-09-15 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-09-16 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-09-17 06:00:00', 'surface', 8.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-09-18 06:00:00', 'surface', 8.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-09-19 06:00:00', 'surface', 10.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1969-09-20 06:00:00', 'surface', 9.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-09-27 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-09-28 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-09-29 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-09-30 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-10-01 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-10-02 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-10-03 06:00:00', 'surface', 11.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-10-04 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-10-05 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-10-06 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-10-07 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-10-08 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-10-09 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-10-10 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-10-11 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-10-12 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-10-13 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-10-14 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-10-15 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-10-16 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-10-17 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-10-18 06:00:00', 'surface', 11.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-10-19 06:00:00', 'surface', 9.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-10-20 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-10-21 06:00:00', 'surface', 10.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-10-22 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-10-23 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-10-24 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-10-25 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-10-26 06:00:00', 'surface', 11.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-10-27 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-10-28 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-10-29 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-10-30 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-10-31 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-11-01 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-11-02 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-11-03 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-11-04 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-11-05 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-11-06 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-11-07 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-11-08 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-11-09 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-11-10 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-11-11 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-11-12 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-11-13 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-11-14 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-11-15 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-11-16 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-11-17 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-11-18 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-11-19 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-11-20 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-11-21 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-11-22 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-11-23 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-11-24 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-11-25 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-11-26 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-11-27 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-11-28 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-11-29 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-11-30 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-12-01 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-12-02 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-12-03 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-12-04 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-12-05 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-12-06 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-12-07 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-12-08 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-12-09 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-12-10 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-12-11 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-12-12 06:00:00', 'surface', 11.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-12-13 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-12-14 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-12-15 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-12-16 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-12-17 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-12-18 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-12-19 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-12-20 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-12-21 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-12-22 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-12-23 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-12-24 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-12-25 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-12-26 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-12-27 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-12-28 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-12-29 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-12-30 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1970-12-31 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-01-01 06:00:00', 'surface', 1.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-01-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-01-03 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-01-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-01-05 06:00:00', 'surface', 32.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-01-06 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-01-07 06:00:00', 'surface', 9.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-01-08 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-01-09 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-01-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-12-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-12-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-12-03 06:00:00', 'surface', 2.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-12-04 06:00:00', 'surface', 11.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-12-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-12-06 06:00:00', 'surface', 32.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-12-07 06:00:00', 'surface', 3.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-12-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-12-09 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-12-10 06:00:00', 'surface', 34.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-12-11 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-12-12 06:00:00', 'surface', 4.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-12-13 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-12-14 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-12-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-12-16 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-12-17 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-12-18 06:00:00', 'surface', 3.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-12-19 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-12-20 06:00:00', 'surface', 1.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-12-21 06:00:00', 'surface', 5.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-12-22 06:00:00', 'surface', 2.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-12-23 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-12-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-12-25 06:00:00', 'surface', 33.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-12-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-12-27 06:00:00', 'surface', 3.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-12-28 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-12-29 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-12-30 06:00:00', 'surface', 38.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-12-31 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-01-01 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-01-02 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-01-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-01-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-01-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-01-06 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-01-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-01-08 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-01-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-01-10 06:00:00', 'surface', 1.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-01-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-01-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-01-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-01-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-01-15 06:00:00', 'surface', 2.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-01-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-01-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-01-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-01-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-01-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-01-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-01-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-01-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-01-24 06:00:00', 'surface', 11.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-01-25 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-01-26 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-01-27 06:00:00', 'surface', 0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-01-28 06:00:00', 'surface', 5.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-01-29 06:00:00', 'surface', 2.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-01-30 06:00:00', 'surface', 3.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-01-31 06:00:00', 'surface', 91.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-02-01 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-02-02 06:00:00', 'surface', 47.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-02-03 06:00:00', 'surface', 3.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-02-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-02-05 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-02-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-02-07 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-02-08 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-02-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-02-10 06:00:00', 'surface', 8.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-02-11 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-02-12 06:00:00', 'surface', 53.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-02-13 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-02-14 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-02-15 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-02-16 06:00:00', 'surface', 102.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-02-17 06:00:00', 'surface', 3.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-02-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-02-19 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-02-20 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-02-21 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-02-22 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-02-23 06:00:00', 'surface', 0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-02-24 06:00:00', 'surface', 3.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-02-25 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-02-26 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-02-27 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-02-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-03-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-03-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-03-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-03-04 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-03-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-03-06 06:00:00', 'surface', 2.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-03-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-03-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-03-09 06:00:00', 'surface', 11.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-03-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-03-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-03-12 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-03-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-03-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-03-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-03-16 06:00:00', 'surface', 7.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-03-17 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-03-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-03-19 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-03-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-03-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-03-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-03-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-03-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-03-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-03-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-03-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-03-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-03-29 06:00:00', 'surface', 5.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-03-30 06:00:00', 'surface', 1.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-03-31 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-04-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-04-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-04-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-04-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-04-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-04-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-04-07 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-04-08 06:00:00', 'surface', 4.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-04-09 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-04-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-04-11 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-04-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-04-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-04-14 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-04-15 06:00:00', 'surface', 6.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-04-16 06:00:00', 'surface', 6.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-04-17 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-04-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-04-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-04-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-04-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-04-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-04-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-04-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-04-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-04-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-04-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-04-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-04-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-04-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-05-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-05-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-05-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-05-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-05-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-05-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-05-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-05-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-05-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-05-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-05-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-05-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-05-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-05-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-05-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-05-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-05-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-05-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-05-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-05-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-05-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-05-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-05-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-05-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-05-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-05-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-05-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-05-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-05-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-05-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-05-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-06-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-06-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-06-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-06-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-06-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-06-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-06-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-06-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-06-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-06-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-06-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-06-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-06-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-06-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-06-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-06-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-06-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-06-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-06-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-06-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-06-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-06-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-06-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-06-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-06-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-06-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-06-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-06-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-06-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-06-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-07-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-07-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-07-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-07-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-07-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-07-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-07-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-07-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-07-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-07-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-07-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-07-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-07-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-07-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-07-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-07-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-07-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-07-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-07-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-07-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-07-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-07-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-07-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-07-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-07-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-07-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-07-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-07-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-07-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-07-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-07-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-08-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-08-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-08-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-08-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-08-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-08-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-08-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-08-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-08-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-08-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-08-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-08-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-08-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-08-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-08-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-08-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-08-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-08-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-08-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-08-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-08-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-08-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-08-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-08-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-08-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-08-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-08-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-08-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-08-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-08-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-08-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-09-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-09-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-09-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-09-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-09-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-09-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-09-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-09-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-09-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-09-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-09-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-09-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-09-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-09-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-09-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-09-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-09-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-09-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-09-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-09-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-09-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-09-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-09-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-09-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-09-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-09-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-09-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-09-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-09-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-09-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-10-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-10-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-10-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-10-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-10-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-10-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-10-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-10-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-10-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-10-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-10-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-10-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-10-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-10-14 06:00:00', 'surface', 1.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-01-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-01-12 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-01-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-01-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-01-15 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-01-16 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-01-17 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-01-18 06:00:00', 'surface', 10.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-01-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-01-20 06:00:00', 'surface', 5.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-01-21 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-01-22 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-01-23 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-01-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-01-25 06:00:00', 'surface', 0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-01-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-01-27 06:00:00', 'surface', 1.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-01-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-01-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-01-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-01-31 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-02-01 06:00:00', 'surface', 5.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-02-02 06:00:00', 'surface', 0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-02-03 06:00:00', 'surface', 2.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-02-04 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-02-05 06:00:00', 'surface', 10.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-02-06 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-02-07 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-02-08 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-02-09 06:00:00', 'surface', 35.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-02-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-02-11 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-02-12 06:00:00', 'surface', 3.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-02-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-02-14 06:00:00', 'surface', 63.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-02-15 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-02-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-02-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-02-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-02-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-02-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-02-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-02-22 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-02-23 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-02-24 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-02-25 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-02-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-02-27 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-02-28 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-03-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-03-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-03-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-03-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-03-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-03-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-03-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-03-08 06:00:00', 'surface', 6.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-03-09 06:00:00', 'surface', 5.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-03-10 06:00:00', 'surface', 9.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-03-11 06:00:00', 'surface', 5.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-03-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-03-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-03-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-03-15 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-03-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-03-17 06:00:00', 'surface', 8.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-03-18 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-03-19 06:00:00', 'surface', 5.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-03-20 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-03-21 06:00:00', 'surface', 2.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-03-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-03-23 06:00:00', 'surface', 5.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-03-24 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-03-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-03-26 06:00:00', 'surface', 0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-03-27 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-03-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-03-29 06:00:00', 'surface', 1.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-03-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-03-31 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-04-01 06:00:00', 'surface', 1.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-04-02 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-04-03 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-04-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-04-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-04-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-04-07 06:00:00', 'surface', 6.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-04-08 06:00:00', 'surface', 34.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-04-09 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-04-10 06:00:00', 'surface', 11.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-04-11 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-04-12 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-04-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-04-14 06:00:00', 'surface', 4.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-04-15 06:00:00', 'surface', 1.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-04-16 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-04-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-04-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-04-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-04-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-04-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-04-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-04-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-04-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-04-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-04-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-04-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-04-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-04-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-04-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-05-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-05-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-05-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-05-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-05-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-05-06 06:00:00', 'surface', 0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-05-07 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-05-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-05-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-05-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-05-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-05-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-05-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-05-14 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-05-15 06:00:00', 'surface', 4.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-05-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-05-17 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-05-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-05-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-05-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-05-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-05-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-05-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-05-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-05-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-05-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-05-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-05-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-05-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-05-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-05-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-06-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-06-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-06-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-06-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-06-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-06-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-06-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-06-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-06-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-06-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-06-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-06-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-06-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-06-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-06-15 06:00:00', 'surface', 3.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-06-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-06-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-06-18 06:00:00', 'surface', 0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-06-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-06-20 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-06-21 06:00:00', 'surface', 7.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-06-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-06-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-06-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-06-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-06-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-06-27 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-06-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-06-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-06-30 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-07-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-07-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-07-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-07-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-07-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-07-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-07-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-07-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-07-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-07-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-07-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-07-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-07-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-07-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-07-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-07-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-07-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-07-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-07-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-07-20 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-07-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-07-22 06:00:00', 'surface', 0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-07-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-07-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-07-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-07-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-07-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-07-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-07-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-07-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-07-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-08-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-08-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-08-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-08-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-08-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-08-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-08-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-08-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-08-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-08-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-08-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-08-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-08-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-08-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-08-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-08-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-08-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-08-18 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-08-19 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-08-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-08-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-08-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-08-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-08-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-08-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-08-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-08-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-08-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-08-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-08-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-08-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-09-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-09-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-09-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-09-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-09-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-09-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-09-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-09-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-09-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-09-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-09-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-09-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-09-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-09-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-09-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-09-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-09-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-09-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-09-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-09-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-09-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-09-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-09-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-09-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-09-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-09-26 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-09-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-09-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-09-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-09-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-10-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-10-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-10-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-10-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-10-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-10-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-10-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-10-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-10-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-10-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-10-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-10-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-10-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-10-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-10-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-10-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-10-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-10-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-10-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-10-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-10-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-10-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-10-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-10-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-10-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-10-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-10-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-10-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-10-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-10-30 06:00:00', 'surface', 49.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-10-31 06:00:00', 'surface', 1.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-11-01 06:00:00', 'surface', 9.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-11-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-11-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-11-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-11-05 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-11-06 06:00:00', 'surface', 5.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-11-07 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-11-08 06:00:00', 'surface', 3.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-11-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-11-10 06:00:00', 'surface', 76.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-11-11 06:00:00', 'surface', 5.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-11-12 06:00:00', 'surface', 4.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-11-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-11-14 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-11-15 06:00:00', 'surface', 48.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-11-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-11-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-11-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-11-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-11-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-11-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-11-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-11-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-11-24 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-11-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-11-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-11-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-11-28 06:00:00', 'surface', 6.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-11-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-11-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-12-01 06:00:00', 'surface', 2.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-12-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-12-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-12-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-12-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-12-06 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-12-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-12-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-12-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-12-10 06:00:00', 'surface', 0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-12-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-12-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-12-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-12-14 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-12-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-12-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-12-17 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-12-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-12-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-12-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-12-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-12-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-12-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-12-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-12-25 06:00:00', 'surface', 2.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-12-26 06:00:00', 'surface', 1.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-12-27 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-12-28 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-12-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-12-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1961-12-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-01-01 06:00:00', 'surface', 1.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-01-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-01-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-01-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-01-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-01-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-01-07 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-01-08 06:00:00', 'surface', 5.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-01-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-01-10 06:00:00', 'surface', 30.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-01-11 06:00:00', 'surface', 31.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-01-12 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-01-13 06:00:00', 'surface', 33.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-01-14 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-01-15 06:00:00', 'surface', 2.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-01-16 06:00:00', 'surface', 2.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-01-17 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-01-18 06:00:00', 'surface', 0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-01-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-01-20 06:00:00', 'surface', 3.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-01-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-01-22 06:00:00', 'surface', 0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-01-23 06:00:00', 'surface', 1.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-01-24 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-01-25 06:00:00', 'surface', 3.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-01-26 06:00:00', 'surface', 11.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-01-27 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-01-28 06:00:00', 'surface', 2.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-01-29 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-01-30 06:00:00', 'surface', 1.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-01-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-02-01 06:00:00', 'surface', 0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-02-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-02-03 06:00:00', 'surface', 1.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-02-04 06:00:00', 'surface', 0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-02-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-02-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-02-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-02-08 06:00:00', 'surface', 1.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-02-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-02-10 06:00:00', 'surface', 3.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-02-11 06:00:00', 'surface', 6.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-02-12 06:00:00', 'surface', 4.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-02-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-02-14 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-02-15 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-02-16 06:00:00', 'surface', 2.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-02-17 06:00:00', 'surface', 1.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-02-18 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-02-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-02-20 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-02-21 06:00:00', 'surface', 1.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-02-22 06:00:00', 'surface', 5.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-02-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-02-24 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-02-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-02-26 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-02-27 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-02-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-03-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-03-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-03-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-03-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-03-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-03-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-03-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-03-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-03-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-03-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-03-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-03-12 06:00:00', 'surface', 3.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-03-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-03-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-03-15 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-03-16 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-03-17 06:00:00', 'surface', 4.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-03-18 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-03-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-03-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-03-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-03-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-03-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-03-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-03-25 06:00:00', 'surface', 2.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-03-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-03-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-03-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-03-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-03-30 06:00:00', 'surface', 2.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-03-31 06:00:00', 'surface', 33.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-04-01 06:00:00', 'surface', 6.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-04-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-04-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-04-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-04-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-04-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-04-07 06:00:00', 'surface', 4.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-04-08 06:00:00', 'surface', 1.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-04-09 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-04-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-04-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-04-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-04-13 06:00:00', 'surface', 6.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-04-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-04-15 06:00:00', 'surface', 5.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-04-16 06:00:00', 'surface', 4.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-04-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-04-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-04-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-04-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-04-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-04-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-04-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-04-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-04-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-04-26 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-04-27 06:00:00', 'surface', 1.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-04-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-04-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-04-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-05-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-05-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-05-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-05-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-05-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-05-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-05-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-05-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-05-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-05-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-05-11 06:00:00', 'surface', 0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-05-12 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-05-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-05-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-05-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-05-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-05-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-05-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-05-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-05-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-05-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-05-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-05-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-05-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-05-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-05-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-05-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-05-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-05-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-05-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-05-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-06-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-06-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-06-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-06-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-06-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-06-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-06-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-06-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-06-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-06-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-06-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-06-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-06-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-06-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-06-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-06-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-06-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-06-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-06-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-06-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-06-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-06-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-06-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-06-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-06-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-06-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-06-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-06-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-06-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-06-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-07-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-07-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-07-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-07-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-07-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-07-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-07-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-07-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-07-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-07-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-07-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-07-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-07-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-07-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-07-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-07-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-07-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-07-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-07-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-07-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-07-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-07-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-07-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-07-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-07-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-07-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-07-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-07-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-07-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-07-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-07-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-08-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-08-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-08-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-08-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-08-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-08-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-08-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-08-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-08-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-08-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-08-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-08-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-08-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-08-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-08-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-08-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-08-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-08-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-08-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-08-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-08-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-08-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-08-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-08-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-08-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-08-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-08-27 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-08-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-08-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-08-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-08-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-09-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-09-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-09-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-09-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-09-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-09-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-09-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-09-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-09-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-09-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-09-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-09-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-09-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-09-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-09-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-09-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-09-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-09-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-09-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-09-20 06:00:00', 'surface', 1.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-09-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-09-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-09-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-09-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-09-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-09-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-09-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-09-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-09-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-09-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-10-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-10-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-10-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-10-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-10-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-10-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-10-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-10-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-10-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-10-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-10-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-10-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-10-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-10-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-10-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-10-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-10-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-10-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-10-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-10-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-10-21 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-10-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-10-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-10-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-10-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-10-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-10-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-10-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-10-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-10-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-10-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-11-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-11-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-11-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-11-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-11-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-11-06 06:00:00', 'surface', 5.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-11-07 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-11-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-11-09 06:00:00', 'surface', 2.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-11-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-11-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-11-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-11-13 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-11-14 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-11-15 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-11-16 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-11-17 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-11-18 06:00:00', 'surface', 0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-11-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-11-20 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-11-21 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-11-22 06:00:00', 'surface', 1.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-11-23 06:00:00', 'surface', 0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-11-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-11-25 06:00:00', 'surface', 9.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-11-26 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-11-27 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-11-28 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-11-29 06:00:00', 'surface', 1.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1962-11-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-10-15 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-10-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-10-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-10-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-10-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-10-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-10-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-10-22 06:00:00', 'surface', 47.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-10-23 06:00:00', 'surface', 2.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-10-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-10-25 06:00:00', 'surface', 34.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-10-26 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-10-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-10-28 06:00:00', 'surface', 2.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-10-29 06:00:00', 'surface', 0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-10-30 06:00:00', 'surface', 0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-10-31 06:00:00', 'surface', 62.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-11-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-11-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-11-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-11-04 06:00:00', 'surface', 4.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-11-05 06:00:00', 'surface', 1.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-11-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-11-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-11-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-11-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-11-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-11-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-11-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-11-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-11-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-11-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-11-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-11-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-11-18 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-11-19 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-11-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-11-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-11-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-11-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-11-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-11-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-11-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-11-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-11-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-11-29 06:00:00', 'surface', 5.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-11-30 06:00:00', 'surface', 1.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-12-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-12-02 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-12-03 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-12-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-12-05 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-12-06 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-12-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-12-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-12-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-12-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-12-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-12-12 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-12-13 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-12-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-12-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-12-16 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-12-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-12-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-12-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-12-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-12-21 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-12-22 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-12-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-12-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-12-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-12-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-12-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-12-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-12-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-12-30 06:00:00', 'surface', 1.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1963-12-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-01-01 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-01-02 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-01-03 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-01-04 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-01-05 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-01-06 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-01-07 06:00:00', 'surface', 0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-01-08 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-01-09 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-01-10 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-01-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-01-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-01-13 06:00:00', 'surface', 0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-01-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-01-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-01-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-01-17 06:00:00', 'surface', 4.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-01-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-01-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-01-20 06:00:00', 'surface', 8.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-01-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-01-22 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-01-23 06:00:00', 'surface', 1.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-01-24 06:00:00', 'surface', 1.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-01-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-01-26 06:00:00', 'surface', 0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-01-27 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-01-28 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-01-29 06:00:00', 'surface', 32.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-01-30 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-01-31 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-02-01 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-02-02 06:00:00', 'surface', 2.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-02-03 06:00:00', 'surface', 50.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-02-04 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-02-05 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-02-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-02-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-02-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-02-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-02-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-02-11 06:00:00', 'surface', 6.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-02-12 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-02-13 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-02-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-02-15 06:00:00', 'surface', 46.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-02-16 06:00:00', 'surface', 2.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-02-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-02-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-02-19 06:00:00', 'surface', 58.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-02-20 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-02-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-02-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-02-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-02-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-02-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-02-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-02-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-02-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-02-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-03-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-03-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-03-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-03-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-03-05 06:00:00', 'surface', 2.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-03-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-03-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-03-08 06:00:00', 'surface', 0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-03-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-03-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-03-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-03-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-03-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-03-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-03-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-03-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-03-17 06:00:00', 'surface', 5.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-03-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-03-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-03-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-03-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-03-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-03-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-03-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-03-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-03-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-03-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-03-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-03-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-03-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-03-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-04-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-04-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-04-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-04-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-04-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-04-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-04-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-04-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-04-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-04-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-04-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-04-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-04-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-04-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-04-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-04-16 06:00:00', 'surface', 1.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-04-17 06:00:00', 'surface', 3.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-04-18 06:00:00', 'surface', 0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-04-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-04-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-04-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-04-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-04-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-04-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-04-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-04-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-04-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-04-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-04-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-04-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-05-01 06:00:00', 'surface', 2.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-05-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-05-03 06:00:00', 'surface', 2.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-05-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-05-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-05-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-05-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-05-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-05-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-05-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-05-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-05-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-05-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-05-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-05-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-05-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-05-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-05-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-05-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-05-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-05-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-05-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-05-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-05-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-05-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-05-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-05-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-05-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-05-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-05-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-05-31 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-06-01 06:00:00', 'surface', 1.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-06-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-06-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-06-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-06-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-06-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-06-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-06-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-06-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-06-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-06-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-06-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-06-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-06-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-06-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-06-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-06-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-06-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-06-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-06-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-06-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-06-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-06-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-06-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-06-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-06-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-06-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-06-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-06-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-06-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-07-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-07-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-07-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-07-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-07-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-07-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-07-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-07-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-07-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-07-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-07-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-07-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-07-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-07-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-07-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-07-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-07-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-07-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-07-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-07-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-07-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-07-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-07-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-07-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-07-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-07-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-07-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-07-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-07-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-07-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-07-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-08-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-08-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-08-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-08-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-08-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-08-06 06:00:00', 'surface', 0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-08-07 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-08-08 06:00:00', 'surface', 1.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-08-09 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-08-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-08-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-08-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-08-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-08-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-08-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-08-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-08-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-08-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-08-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-08-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-08-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-08-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-08-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-08-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-08-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-08-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-08-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-08-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-08-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-08-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-08-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-09-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-09-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-09-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-09-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-09-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-09-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-09-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-09-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-09-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-09-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-09-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-09-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-09-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-09-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-09-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-09-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-09-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-09-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-09-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-09-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-09-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-09-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-09-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-09-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-09-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-09-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-09-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-09-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-09-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-09-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-10-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-10-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-10-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-10-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-10-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-10-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-10-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-10-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-10-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-10-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-10-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-10-12 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-10-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-10-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-10-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-10-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-10-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-10-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-10-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-10-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-10-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-10-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-10-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-10-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-10-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-10-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-10-27 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-10-28 06:00:00', 'surface', 0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-10-29 06:00:00', 'surface', 5.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-10-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-10-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-11-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-11-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-11-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-11-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-11-05 06:00:00', 'surface', 4.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-11-06 06:00:00', 'surface', 2.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-11-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-11-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-11-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-11-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-11-11 06:00:00', 'surface', 2.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-11-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-11-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-11-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-11-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-11-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-11-17 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-11-18 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-11-19 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-11-20 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-11-21 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-11-22 06:00:00', 'surface', 11.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-11-23 06:00:00', 'surface', 0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-11-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-11-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-11-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-11-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-11-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-11-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-11-30 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-12-01 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-12-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-12-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-12-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-12-05 06:00:00', 'surface', 3.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-12-06 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-12-07 06:00:00', 'surface', 3.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-12-08 06:00:00', 'surface', 6.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-12-09 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-12-10 06:00:00', 'surface', 1.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-12-11 06:00:00', 'surface', 9.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-12-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-12-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-12-14 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-12-15 06:00:00', 'surface', 41.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-12-16 06:00:00', 'surface', 67.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-12-17 06:00:00', 'surface', 43.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-12-18 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-12-19 06:00:00', 'surface', 35.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-12-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-12-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-12-22 06:00:00', 'surface', 0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-12-23 06:00:00', 'surface', 2.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-12-24 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-12-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-12-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-12-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-12-28 06:00:00', 'surface', 70.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-12-29 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-12-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1964-12-31 06:00:00', 'surface', 56.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-01-01 06:00:00', 'surface', 43.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-01-02 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-01-03 06:00:00', 'surface', 1.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-01-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-01-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-01-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-01-07 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-01-08 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-01-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-01-10 06:00:00', 'surface', 0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-01-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-01-12 06:00:00', 'surface', 9.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-01-13 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-01-14 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-01-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-01-16 06:00:00', 'surface', 4.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-01-17 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-01-18 06:00:00', 'surface', 44.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-01-19 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-01-20 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-01-21 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-01-22 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-01-23 06:00:00', 'surface', 45.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-01-24 06:00:00', 'surface', 33.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-01-25 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-01-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-01-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-01-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-01-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-01-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-01-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-02-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-02-02 06:00:00', 'surface', 4.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-02-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-02-04 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-02-05 06:00:00', 'surface', 2.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-02-06 06:00:00', 'surface', 2.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-02-07 06:00:00', 'surface', 5.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-02-08 06:00:00', 'surface', 6.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-02-09 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-02-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-02-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-02-12 06:00:00', 'surface', 1.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-02-13 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-02-14 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-02-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-02-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-02-17 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-02-18 06:00:00', 'surface', 1.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-02-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-02-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-02-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-02-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-02-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-02-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-02-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-02-26 06:00:00', 'surface', 2.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-02-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-02-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-03-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-03-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-03-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-03-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-03-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-03-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-03-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-03-08 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-03-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-03-10 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-03-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-03-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-03-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-03-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-03-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-03-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-03-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-03-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-03-19 06:00:00', 'surface', 4.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-03-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-03-21 06:00:00', 'surface', 2.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-03-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-03-23 06:00:00', 'surface', 2.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-03-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-03-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-03-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-03-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-03-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-03-29 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-03-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-03-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-04-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-04-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-04-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-04-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-04-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-04-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-04-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-04-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-04-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-04-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-04-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-04-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-04-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-04-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-04-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-04-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-04-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-04-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-04-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-04-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-04-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-04-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-04-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-04-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-04-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-04-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-04-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-04-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-04-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-04-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-05-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-05-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-05-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-05-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-05-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-05-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-05-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-05-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-05-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-05-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-05-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-05-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-05-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-05-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-05-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-05-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-05-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-05-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-05-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-05-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-05-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-05-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-05-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-05-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-05-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-05-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-05-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-05-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-05-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-05-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-05-31 06:00:00', 'surface', 0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-06-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-06-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-06-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-06-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-06-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-06-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-06-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-06-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-06-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-06-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-06-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-06-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-06-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-06-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-06-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-06-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-06-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-06-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-06-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-06-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-06-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-06-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-06-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-06-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-06-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-06-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-06-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-06-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-06-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-06-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-07-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-07-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-07-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-07-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-07-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-07-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-07-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-07-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-07-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-07-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-07-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-07-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-07-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-07-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-07-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-07-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-07-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-07-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-07-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-07-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-07-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-07-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-07-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-07-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-07-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-07-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-07-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-07-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-07-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-07-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-07-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-08-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-08-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-08-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-08-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-08-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-08-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-08-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-08-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-08-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-08-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-08-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-08-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-08-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-08-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-08-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-08-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-08-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-08-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-08-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-08-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-08-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-08-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-08-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-08-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-08-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-08-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-08-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-08-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-08-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-08-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-08-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-09-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-09-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-09-03 06:00:00', 'surface', 2.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-09-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-09-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-09-06 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-09-07 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-09-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-09-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-09-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-09-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-09-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-09-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-09-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-09-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-09-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-09-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-09-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-09-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-09-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-09-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-09-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-09-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-09-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-09-25 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-09-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-09-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-09-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-09-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-09-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-10-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-10-02 06:00:00', 'surface', 4.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-10-03 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-10-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-10-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-10-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-10-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-10-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-10-09 06:00:00', 'surface', 8.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-10-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-10-11 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-10-12 06:00:00', 'surface', 0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-10-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-10-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-10-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-10-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-10-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-10-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-10-19 06:00:00', 'surface', 0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-10-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-10-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-10-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-10-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-10-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-10-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-10-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-10-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-10-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-10-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-10-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-10-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-11-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-11-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-11-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-11-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-11-05 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-11-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-11-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-11-08 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-11-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-11-10 06:00:00', 'surface', 1.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-11-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-11-12 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-11-13 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-11-14 06:00:00', 'surface', 40.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-11-15 06:00:00', 'surface', 2.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-11-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-11-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-11-18 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-11-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-11-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-11-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-11-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-11-23 06:00:00', 'surface', 3.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-11-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-11-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-11-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-11-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-11-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-11-29 06:00:00', 'surface', 2.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-11-30 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-12-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-12-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-12-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-12-04 06:00:00', 'surface', 2.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-12-05 06:00:00', 'surface', 4.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-12-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-12-07 06:00:00', 'surface', 3.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-12-08 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-12-09 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-12-10 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-12-11 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-12-12 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-12-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-12-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-12-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-12-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-12-17 06:00:00', 'surface', 66.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-12-18 06:00:00', 'surface', 0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-12-19 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-12-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-12-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-12-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-12-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-12-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-12-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-12-26 06:00:00', 'surface', 4.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-12-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-12-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-12-29 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-12-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1965-12-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-01-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-01-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-01-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-01-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-01-05 06:00:00', 'surface', 2.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-01-06 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-01-07 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-01-08 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-01-09 06:00:00', 'surface', 1.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-01-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-01-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-01-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-01-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-01-14 06:00:00', 'surface', 1.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-01-15 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-01-16 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-01-17 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-01-18 06:00:00', 'surface', 2.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-01-19 06:00:00', 'surface', 1.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-01-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-01-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-01-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-01-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-01-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-01-25 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-01-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-01-27 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-01-28 06:00:00', 'surface', 0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-01-29 06:00:00', 'surface', 5.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-01-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-01-31 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-02-01 06:00:00', 'surface', 0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-02-02 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-02-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-02-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-02-05 06:00:00', 'surface', 31.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-02-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-02-07 06:00:00', 'surface', 3.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-02-08 06:00:00', 'surface', 4.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-02-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-02-10 06:00:00', 'surface', 1.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-02-11 06:00:00', 'surface', 5.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-02-12 06:00:00', 'surface', 5.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-02-13 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-02-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-02-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-02-16 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-02-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-02-18 06:00:00', 'surface', 3.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-02-19 06:00:00', 'surface', 57.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-02-20 06:00:00', 'surface', 10.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-02-21 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-02-22 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-02-23 06:00:00', 'surface', 10.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-02-24 06:00:00', 'surface', 1.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-02-25 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-02-26 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-02-27 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-02-28 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-03-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-03-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-03-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-03-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-03-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-03-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-03-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-03-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-03-09 06:00:00', 'surface', 33.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-03-10 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-03-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-03-12 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-03-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-03-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-03-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-03-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-03-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-03-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-03-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-03-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-03-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-03-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-03-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-03-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-03-25 06:00:00', 'surface', 4.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-03-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-03-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-03-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-03-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-03-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-03-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-04-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-04-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-04-03 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-04-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-04-05 06:00:00', 'surface', 2.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-04-06 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-04-07 06:00:00', 'surface', 1.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-04-08 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-04-09 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-04-10 06:00:00', 'surface', 3.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-04-11 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-04-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-04-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-04-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-04-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-04-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-04-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-04-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-04-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-04-20 06:00:00', 'surface', 9.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-04-21 06:00:00', 'surface', 1.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-04-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-04-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-04-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-04-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-04-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-04-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-04-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-04-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-04-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-05-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-05-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-05-03 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-05-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-05-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-05-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-05-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-05-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-05-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-05-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-05-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-05-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-05-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-05-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-05-15 06:00:00', 'surface', 33.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-05-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-05-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-05-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-05-19 06:00:00', 'surface', 5.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-05-20 06:00:00', 'surface', 9.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-05-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-05-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-05-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-05-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-05-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-05-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-05-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-05-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-05-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-05-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-05-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-06-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-06-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-06-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-06-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-06-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-06-06 06:00:00', 'surface', 0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-06-07 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-06-08 06:00:00', 'surface', 5.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-06-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-06-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-06-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-06-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-06-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-06-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-06-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-06-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-06-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-06-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-06-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-06-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-06-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-06-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-06-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-06-24 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-06-25 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-06-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-06-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-06-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-06-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-06-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-07-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-07-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-07-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-07-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-07-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-07-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-07-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-07-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-07-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-07-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-07-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-07-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-07-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-07-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-07-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-07-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-07-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-07-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-07-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-07-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-07-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-07-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-07-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-07-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-07-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-07-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-07-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-07-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-07-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-07-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-07-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-08-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-08-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-08-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-08-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-08-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-08-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-08-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-08-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-08-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-08-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-08-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-08-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-08-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-08-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-08-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-08-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-08-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-08-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-08-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-08-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-08-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-08-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-08-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-08-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-08-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-08-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-08-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-08-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-08-29 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-08-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-08-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-09-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-09-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-09-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-09-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-09-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-09-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-09-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-09-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-09-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-09-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-09-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-09-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-09-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-09-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-09-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-09-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-09-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-09-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-09-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-09-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-09-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-09-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-09-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-09-24 06:00:00', 'surface', 10.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-09-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-09-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-09-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-09-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-09-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-09-30 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-10-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-10-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-10-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-10-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-10-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-10-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-10-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-10-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-10-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-10-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-10-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-10-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-10-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-10-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-10-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-10-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-10-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-10-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-10-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-10-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-10-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-10-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-10-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-10-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-10-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-10-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-10-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-10-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-10-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-10-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-10-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-11-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-11-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-11-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-11-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-11-05 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-11-06 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-11-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-11-08 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-11-09 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-11-10 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-11-11 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-11-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-11-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-11-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-11-15 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-11-16 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-11-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-11-18 06:00:00', 'surface', 2.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-11-19 06:00:00', 'surface', 5.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-11-20 06:00:00', 'surface', 4.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-11-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-11-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-11-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-11-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-11-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-11-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-11-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-11-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-11-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-11-30 06:00:00', 'surface', 0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-12-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-12-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-12-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-12-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-12-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-12-06 06:00:00', 'surface', 2.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-12-07 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-12-08 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-12-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-12-10 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-12-11 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-12-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-12-13 06:00:00', 'surface', 2.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-12-14 06:00:00', 'surface', 4.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-12-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-12-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-12-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-12-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-12-19 06:00:00', 'surface', 37.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-12-20 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-12-21 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-12-22 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-12-23 06:00:00', 'surface', 2.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-12-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-12-25 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-12-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-12-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-12-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-12-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-12-30 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1966-12-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-01-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-01-02 06:00:00', 'surface', 2.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-01-03 06:00:00', 'surface', 37.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-01-04 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-01-05 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-01-06 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-01-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-01-08 06:00:00', 'surface', 1.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-01-09 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-01-10 06:00:00', 'surface', 4.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-01-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-01-12 06:00:00', 'surface', 5.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-01-13 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-01-14 06:00:00', 'surface', 1.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-01-15 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-01-16 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-01-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-01-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-01-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-01-20 06:00:00', 'surface', 0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-01-21 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-01-22 06:00:00', 'surface', 2.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-01-23 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-01-24 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-01-25 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-01-26 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-01-27 06:00:00', 'surface', 31.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-01-28 06:00:00', 'surface', 1.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-01-29 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-01-30 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-01-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-02-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-02-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-02-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-02-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-02-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-02-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-02-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-02-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-02-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-02-10 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-02-11 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-02-12 06:00:00', 'surface', 9.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-02-13 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-02-14 06:00:00', 'surface', 3.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-02-15 06:00:00', 'surface', 49.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-02-16 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-02-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-02-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-02-19 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-02-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-02-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-02-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-02-23 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-02-24 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-02-25 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-02-26 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-02-27 06:00:00', 'surface', 57.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-02-28 06:00:00', 'surface', 34.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-03-01 06:00:00', 'surface', 34.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-03-02 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-03-03 06:00:00', 'surface', 0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-03-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-03-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-03-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-03-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-03-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-03-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-03-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-03-11 06:00:00', 'surface', 1.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-03-12 06:00:00', 'surface', 2.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-03-13 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-03-14 06:00:00', 'surface', 1.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-03-15 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-03-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-03-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-03-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-03-19 06:00:00', 'surface', 2.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-03-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-03-21 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-03-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-03-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-03-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-03-25 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-03-26 06:00:00', 'surface', 5.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-03-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-03-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-03-29 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-03-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-03-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-04-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-04-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-04-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-04-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-04-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-04-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-04-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-04-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-04-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-04-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-04-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-04-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-04-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-04-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-04-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-04-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-04-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-04-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-04-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-04-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-04-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-04-22 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-04-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-04-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-04-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-04-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-04-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-04-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-04-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-04-30 06:00:00', 'surface', 3.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-05-01 06:00:00', 'surface', 1.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-05-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-05-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-05-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-05-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-05-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-05-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-05-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-05-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-05-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-05-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-05-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-05-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-05-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-05-15 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-05-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-05-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-05-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-05-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-05-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-05-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-05-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-05-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-05-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-05-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-05-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-05-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-05-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-05-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-05-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-05-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-06-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-06-02 06:00:00', 'surface', 6.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-06-03 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-06-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-06-05 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-06-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-06-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-06-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-06-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-06-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-06-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-06-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-06-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-06-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-06-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-06-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-06-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-06-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-06-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-06-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-06-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-06-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-06-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-06-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-06-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-06-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-06-27 06:00:00', 'surface', 2.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-06-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-06-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-06-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-07-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-07-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-07-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-07-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-07-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-07-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-07-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-07-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-07-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-07-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-07-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-07-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-07-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-07-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-07-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-07-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-07-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-07-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-07-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-07-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-07-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-07-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-07-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-07-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-07-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-07-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-07-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-07-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-07-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-07-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-07-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-08-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-08-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-08-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-08-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-08-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-08-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-08-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-08-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-08-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-08-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-08-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-08-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-08-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-08-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-08-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-08-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-08-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-08-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-08-19 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-08-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-08-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-08-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-08-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-08-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-08-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-08-26 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-08-27 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-08-28 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-08-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-08-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-08-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-09-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-09-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-09-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-09-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-09-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-09-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-09-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-09-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-09-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-09-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-09-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-09-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-09-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-09-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-09-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-09-16 06:00:00', 'surface', 1.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-09-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-09-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-09-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-09-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-09-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-09-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-09-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-09-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-09-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-09-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-09-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-09-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-09-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-09-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-10-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-10-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-10-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-10-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-10-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-10-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-10-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-10-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-10-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-10-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-10-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-10-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-10-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-10-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-10-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-10-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-10-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-10-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-10-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-10-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-10-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-10-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-10-23 06:00:00', 'surface', 10.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-10-24 06:00:00', 'surface', 2.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-10-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-10-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-10-27 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-10-28 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-10-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-10-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-10-31 06:00:00', 'surface', 4.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-11-01 06:00:00', 'surface', 5.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-11-02 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-11-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-11-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-11-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-11-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-11-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-11-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-11-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-11-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-11-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-11-12 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-11-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-11-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-11-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-11-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-11-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-11-18 06:00:00', 'surface', 5.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-11-19 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-11-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-11-21 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-11-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-11-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-11-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-11-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-11-26 06:00:00', 'surface', 3.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-11-27 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-11-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-11-29 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-11-30 06:00:00', 'surface', 3.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-12-01 06:00:00', 'surface', 1.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-12-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-12-03 06:00:00', 'surface', 31.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-12-04 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-12-05 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-12-06 06:00:00', 'surface', 0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-12-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-12-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-12-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-12-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-12-11 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-12-12 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-12-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-12-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-12-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-12-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-12-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-12-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-12-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-12-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-12-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-12-22 06:00:00', 'surface', 9.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-12-23 06:00:00', 'surface', 1.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-12-24 06:00:00', 'surface', 1.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-12-25 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-12-26 06:00:00', 'surface', 46.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-12-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-12-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-12-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-12-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1967-12-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-01-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-01-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-01-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-01-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-01-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-01-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-01-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-01-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-01-09 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-01-10 06:00:00', 'surface', 6.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-01-11 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-01-12 06:00:00', 'surface', 38.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-01-13 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-01-14 06:00:00', 'surface', 2.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-01-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-01-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-01-17 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-01-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-01-19 06:00:00', 'surface', 87.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-01-20 06:00:00', 'surface', 35.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-01-21 06:00:00', 'surface', 0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-01-22 06:00:00', 'surface', 1.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-01-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-01-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-01-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-01-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-01-27 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-01-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-01-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-01-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-01-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-02-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-02-02 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-02-03 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-02-04 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-02-05 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-02-06 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-02-07 06:00:00', 'surface', 5.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-02-08 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-02-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-02-10 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-02-11 06:00:00', 'surface', 4.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-02-12 06:00:00', 'surface', 6.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-02-13 06:00:00', 'surface', 4.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-02-14 06:00:00', 'surface', 4.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-02-15 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-02-16 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-02-17 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-02-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-02-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-02-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-02-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-02-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-02-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-02-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-02-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-02-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-02-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-02-28 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-02-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-03-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-03-02 06:00:00', 'surface', 1.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-03-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-03-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-03-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-03-06 06:00:00', 'surface', 4.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-03-07 06:00:00', 'surface', 5.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-03-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-03-09 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-03-10 06:00:00', 'surface', 4.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-03-11 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-03-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-03-13 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-03-14 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-03-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-03-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-03-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-03-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-03-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-03-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-03-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-03-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-03-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-03-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-03-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-03-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-03-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-03-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-03-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-03-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-03-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-04-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-04-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-04-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-04-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-04-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-04-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-04-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-04-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-04-09 06:00:00', 'surface', 1.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-04-10 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-04-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-04-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-04-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-04-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-04-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-04-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-04-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-04-18 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-04-19 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-04-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-04-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-04-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-04-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-04-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-04-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-04-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-04-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-04-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-04-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-04-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-05-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-05-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-05-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-05-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-05-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-05-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-05-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-05-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-05-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-05-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-05-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-05-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-05-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-05-14 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-05-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-05-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-05-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-05-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-05-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-05-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-05-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-05-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-05-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-05-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-05-25 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-05-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-05-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-05-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-05-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-05-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-05-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-06-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-06-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-06-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-06-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-06-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-06-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-06-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-06-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-06-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-06-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-06-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-06-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-06-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-06-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-06-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-06-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-06-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-06-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-06-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-06-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-06-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-06-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-06-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-06-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-06-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-06-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-06-27 06:00:00', 'surface', 1.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-06-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-06-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-06-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-07-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-07-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-07-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-07-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-07-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-07-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-07-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-07-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-07-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-07-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-07-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-07-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-07-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-07-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-07-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-07-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-07-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-07-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-07-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-07-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-07-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-07-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-07-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-07-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-07-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-07-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-07-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-07-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-07-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-07-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-07-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-08-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-08-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-08-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-08-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-08-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-08-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-08-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-08-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-08-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-08-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-08-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-08-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-08-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-08-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-08-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-08-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-08-17 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-08-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-08-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-08-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-08-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-08-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-08-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-08-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-08-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-08-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-08-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-08-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-08-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-08-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-08-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-09-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-09-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-09-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-09-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-09-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-09-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-09-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-09-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-09-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-09-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-09-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-09-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-09-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-09-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-09-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-09-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-09-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-09-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-09-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-09-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-09-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-09-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-09-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-09-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-09-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-09-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-09-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-09-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-09-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-09-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-10-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-10-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-10-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-10-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-10-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-10-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-10-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-10-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-10-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-10-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-10-11 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-10-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-10-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-10-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-10-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-10-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-10-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-10-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-10-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-10-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-10-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-10-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-10-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-10-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-10-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-10-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-10-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-10-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-10-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-10-30 06:00:00', 'surface', 0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-10-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-11-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-11-02 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-11-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-11-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-11-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-11-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-11-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-11-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-11-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-11-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-11-11 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-11-12 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-11-13 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-11-14 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-11-15 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-11-16 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-11-17 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-11-18 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-11-19 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-11-20 06:00:00', 'surface', 1.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-11-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-11-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-11-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-11-24 06:00:00', 'surface', 5.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-11-25 06:00:00', 'surface', 2.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-11-26 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-11-27 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-11-28 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-11-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-11-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-12-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-12-02 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-12-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-12-04 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-12-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-12-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-12-07 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-12-08 06:00:00', 'surface', 30.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-12-09 06:00:00', 'surface', 33.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-12-10 06:00:00', 'surface', 5.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-12-11 06:00:00', 'surface', 0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-12-12 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-12-13 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-12-14 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-12-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-12-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-12-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-12-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-12-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-12-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-12-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-12-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-12-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-12-24 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-12-25 06:00:00', 'surface', 1.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-12-26 06:00:00', 'surface', 10.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-12-27 06:00:00', 'surface', 3.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-12-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-12-29 06:00:00', 'surface', 0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-12-30 06:00:00', 'surface', 11.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1968-12-31 06:00:00', 'surface', 1.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-01-01 06:00:00', 'surface', 1.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-01-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-01-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-01-04 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-01-05 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-01-06 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-01-07 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-01-08 06:00:00', 'surface', 1.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-01-09 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-01-10 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-01-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-01-12 06:00:00', 'surface', 10.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-01-13 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-01-14 06:00:00', 'surface', 6.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-01-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-01-16 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-01-17 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-01-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-01-19 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-01-20 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-01-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-01-22 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-01-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-01-24 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-01-25 06:00:00', 'surface', 11.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-01-26 06:00:00', 'surface', 2.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-01-27 06:00:00', 'surface', 35.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-01-28 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-01-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-01-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-01-31 06:00:00', 'surface', 3.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-02-01 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-02-02 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-02-03 06:00:00', 'surface', 5.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-02-04 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-02-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-02-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-02-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-02-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-02-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-02-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-02-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-02-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-02-13 06:00:00', 'surface', 1.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-02-14 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-02-15 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-02-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-02-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-02-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-02-19 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-02-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-02-21 06:00:00', 'surface', 3.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-02-22 06:00:00', 'surface', 5.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-02-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-02-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-02-25 06:00:00', 'surface', 4.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-02-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-02-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-02-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-03-01 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-03-02 06:00:00', 'surface', 4.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-03-03 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-03-04 06:00:00', 'surface', 5.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-03-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-03-06 06:00:00', 'surface', 4.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-03-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-03-08 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-03-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-03-10 06:00:00', 'surface', 31.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-03-11 06:00:00', 'surface', 2.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-03-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-03-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-03-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-03-15 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-03-16 06:00:00', 'surface', 4.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-03-17 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-03-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-03-19 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-03-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-03-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-03-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-03-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-03-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-03-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-03-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-03-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-03-28 06:00:00', 'surface', 11.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-03-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-03-30 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-03-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-04-01 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-04-02 06:00:00', 'surface', 66.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-04-03 06:00:00', 'surface', 42.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-04-04 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-04-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-04-06 06:00:00', 'surface', 0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-04-07 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-04-08 06:00:00', 'surface', 1.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-04-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-04-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-04-11 06:00:00', 'surface', 31.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-04-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-04-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-04-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-04-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-04-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-04-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-04-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-04-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-04-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-04-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-04-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-04-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-04-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-04-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-04-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-04-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-04-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-04-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-04-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-05-01 06:00:00', 'surface', 3.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-05-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-05-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-05-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-05-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-05-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-05-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-05-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-05-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-05-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-05-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-05-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-05-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-05-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-05-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-05-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-05-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-05-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-05-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-05-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-05-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-05-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-05-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-05-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-05-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-05-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-05-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-05-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-05-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-05-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-05-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-06-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-06-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-06-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-06-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-06-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-06-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-06-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-06-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-06-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-06-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-06-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-06-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-06-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-06-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-06-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-06-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-06-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-06-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-06-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-06-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-06-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-06-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-06-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-06-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-06-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-06-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-06-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-06-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-06-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-06-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-07-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-07-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-07-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-07-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-07-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-07-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-07-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-07-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-07-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-07-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-07-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-07-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-07-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-07-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-07-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-07-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-07-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-07-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-07-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-07-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-07-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-07-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-07-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-07-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-07-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-07-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-07-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-07-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-07-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-07-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-07-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-08-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-08-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-08-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-08-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-08-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-08-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-08-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-08-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-08-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-08-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-08-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-08-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-08-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-08-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-08-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-08-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-08-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-08-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-08-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-08-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-08-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-08-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-08-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-08-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-08-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-08-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-08-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-08-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-08-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-08-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-08-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-09-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-09-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-09-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-09-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-09-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-09-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-09-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-09-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-09-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-09-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-09-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-09-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-09-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-09-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-09-15 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-09-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-09-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-09-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-09-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-09-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-09-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-09-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-09-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-09-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-09-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-09-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-09-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-09-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-09-29 06:00:00', 'surface', 0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-09-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-10-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-10-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-10-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-10-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-10-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-10-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-10-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-10-08 06:00:00', 'surface', 1.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-10-09 06:00:00', 'surface', 5.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-10-10 06:00:00', 'surface', 7.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-10-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-10-12 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-10-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-10-14 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-10-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-10-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-10-17 06:00:00', 'surface', 4.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-10-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-10-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-10-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-10-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-10-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-10-23 06:00:00', 'surface', 3.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-10-24 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-10-25 06:00:00', 'surface', 45.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-10-26 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-10-27 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-10-28 06:00:00', 'surface', 0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-10-29 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-10-30 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-10-31 06:00:00', 'surface', 10.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-11-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-11-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-11-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-11-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-11-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-11-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-11-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-11-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-11-09 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-11-10 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-11-11 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-11-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-11-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-11-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-11-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-11-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-11-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-11-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-11-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-11-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-11-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-11-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-11-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-11-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-11-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-11-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-11-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-11-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-11-29 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-11-30 06:00:00', 'surface', 2.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-12-01 06:00:00', 'surface', 40.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-12-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-12-03 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-12-04 06:00:00', 'surface', 1.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-12-05 06:00:00', 'surface', 6.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-12-06 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-12-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-12-08 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-12-09 06:00:00', 'surface', 32.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-12-10 06:00:00', 'surface', 1.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-12-11 06:00:00', 'surface', 1.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-12-12 06:00:00', 'surface', 35.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-12-13 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-12-14 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-12-15 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-12-16 06:00:00', 'surface', 37.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-12-17 06:00:00', 'surface', 6.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-12-18 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-12-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-12-20 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-12-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-12-22 06:00:00', 'surface', 33.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-12-23 06:00:00', 'surface', 5.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-12-24 06:00:00', 'surface', 35.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-12-25 06:00:00', 'surface', 33.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-12-26 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-12-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-12-28 06:00:00', 'surface', 5.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-12-29 06:00:00', 'surface', 73.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-12-30 06:00:00', 'surface', 3.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1969-12-31 06:00:00', 'surface', 3.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-01-01 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-01-02 06:00:00', 'surface', 1.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-01-03 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-01-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-01-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-01-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-01-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-01-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-01-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-01-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-01-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-01-12 06:00:00', 'surface', 6.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-01-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-01-14 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-01-15 06:00:00', 'surface', 0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-01-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-01-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-01-18 06:00:00', 'surface', 1.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-01-19 06:00:00', 'surface', 5.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-01-20 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-01-21 06:00:00', 'surface', 5.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-01-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-01-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-01-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-01-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-01-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-01-27 06:00:00', 'surface', 4.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-01-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-01-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-01-30 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-01-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-02-01 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-02-02 06:00:00', 'surface', 1.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-02-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-02-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-02-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-02-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-02-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-02-08 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-02-09 06:00:00', 'surface', 2.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-02-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-02-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-02-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-02-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-02-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-02-15 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-02-16 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-02-17 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-02-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-02-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-02-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-02-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-02-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-02-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-02-24 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-02-25 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-02-26 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-02-27 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-02-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-03-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-03-02 06:00:00', 'surface', 9.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-03-03 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-03-04 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-03-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-03-06 06:00:00', 'surface', 0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-03-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-03-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-03-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-03-10 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-03-11 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-03-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-03-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-03-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-03-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-03-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-03-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-03-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-03-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-03-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-03-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-03-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-03-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-03-24 06:00:00', 'surface', 0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-03-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-03-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-03-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-03-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-03-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-03-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-03-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-04-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-04-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-04-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-04-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-04-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-04-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-04-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-04-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-04-09 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-04-10 06:00:00', 'surface', 5.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-04-11 06:00:00', 'surface', 6.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-04-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-04-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-04-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-04-15 06:00:00', 'surface', 4.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-04-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-04-17 06:00:00', 'surface', 3.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-04-18 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-04-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-04-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-04-21 06:00:00', 'surface', 0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-04-22 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-04-23 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-04-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-04-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-04-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-04-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-04-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-04-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-04-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-05-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-05-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-05-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-05-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-05-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-05-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-05-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-05-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-05-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-05-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-05-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-05-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-05-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-05-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-05-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-05-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-05-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-05-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-05-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-05-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-05-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-05-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-05-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-05-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-05-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-05-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-05-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-05-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-05-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-05-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-05-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-06-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-06-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-06-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-06-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-06-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-06-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-06-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-06-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-06-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-06-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-06-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-06-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-06-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-06-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-06-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-06-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-06-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-06-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-06-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-06-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-06-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-06-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-06-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-06-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-06-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-06-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-06-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-06-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-06-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-06-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-07-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-07-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-07-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-07-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-07-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-07-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-07-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-07-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-07-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-07-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-07-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-07-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-07-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-07-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-07-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-07-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-07-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-07-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-07-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-07-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-07-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-07-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-07-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-07-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-07-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-07-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-07-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-07-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-07-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-07-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-07-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-08-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-08-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-08-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-08-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-08-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-08-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-08-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-08-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-08-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-08-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-08-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-08-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-08-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-08-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-08-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-08-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-08-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-08-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-08-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-08-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-08-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-08-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-08-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-08-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-08-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-08-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-08-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-08-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-08-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-08-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-08-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-09-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-09-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-09-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-09-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-09-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-09-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-09-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-09-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-09-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-09-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-09-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-09-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-09-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-09-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-09-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-09-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-09-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-09-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-09-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-09-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-09-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-09-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-09-23 06:00:00', 'surface', 0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-09-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-09-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-09-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-09-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-09-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-09-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-09-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-10-01 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-10-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-10-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-10-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-10-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-10-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-10-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-10-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-10-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-10-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-10-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-10-12 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-10-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-10-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-10-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-10-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-10-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-10-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-10-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-10-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-10-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-10-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-10-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-10-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-10-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-10-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-10-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-10-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-10-29 06:00:00', 'surface', 1.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-10-30 06:00:00', 'surface', 10.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-10-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-11-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-11-02 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-11-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-11-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-11-05 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-11-06 06:00:00', 'surface', 0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-11-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-11-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-11-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-11-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-11-11 06:00:00', 'surface', 1.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-11-12 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-11-13 06:00:00', 'surface', 49.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-11-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-11-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-11-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-11-17 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-11-18 06:00:00', 'surface', 1.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-11-19 06:00:00', 'surface', 5.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-11-20 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-11-21 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-11-22 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-11-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-11-24 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-11-25 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-11-26 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-11-27 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-11-28 06:00:00', 'surface', 70.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-11-29 06:00:00', 'surface', 7.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-11-30 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-12-01 06:00:00', 'surface', 4.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-12-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-12-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-12-04 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-12-05 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-12-06 06:00:00', 'surface', 6.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-12-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-12-08 06:00:00', 'surface', 2.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-12-09 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-12-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-12-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-12-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-12-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-12-14 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-12-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-12-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-12-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-12-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-12-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-12-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-12-21 06:00:00', 'surface', 2.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-12-22 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-12-23 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-12-24 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-12-25 06:00:00', 'surface', 2.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-12-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-12-27 06:00:00', 'surface', 1.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-12-28 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-12-29 06:00:00', 'surface', 3.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-12-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1970-12-31 06:00:00', 'surface', 3.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-05-01 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-05-02 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-05-03 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-05-04 06:00:00', 'surface', 9.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-05-05 06:00:00', 'surface', 9.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-05-06 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-05-07 06:00:00', 'surface', 11.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-05-08 06:00:00', 'surface', 6.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-05-09 06:00:00', 'surface', 1.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-05-10 06:00:00', 'surface', 1.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-05-11 06:00:00', 'surface', 5.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-05-12 06:00:00', 'surface', 5.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-05-13 06:00:00', 'surface', 6.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-05-14 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-05-15 06:00:00', 'surface', 11.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-05-16 06:00:00', 'surface', 10.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-05-17 06:00:00', 'surface', 10.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-05-18 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-05-19 06:00:00', 'surface', 8.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-05-20 06:00:00', 'surface', 9.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-05-21 06:00:00', 'surface', 8.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-05-22 06:00:00', 'surface', 6.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-05-23 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-05-24 06:00:00', 'surface', 6.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-05-25 06:00:00', 'surface', 4.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-05-26 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-05-27 06:00:00', 'surface', 4.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-05-28 06:00:00', 'surface', 1.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-05-30 06:00:00', 'surface', 1.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-05-31 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-06-01 06:00:00', 'surface', 2.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-06-02 06:00:00', 'surface', 4.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-06-03 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-06-04 06:00:00', 'surface', 3.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-06-05 06:00:00', 'surface', 5.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-06-06 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-06-07 06:00:00', 'surface', 5.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-06-08 06:00:00', 'surface', 4.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-06-09 06:00:00', 'surface', 0.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-06-10 06:00:00', 'surface', 4.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-06-11 06:00:00', 'surface', 2.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-06-12 06:00:00', 'surface', -0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-06-13 06:00:00', 'surface', -0.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-06-14 06:00:00', 'surface', 1.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-06-15 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-06-16 06:00:00', 'surface', 9.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-06-17 06:00:00', 'surface', 2.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-06-18 06:00:00', 'surface', 2.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-06-19 06:00:00', 'surface', 4.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-06-20 06:00:00', 'surface', 2.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-06-21 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-06-22 06:00:00', 'surface', 2.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-06-23 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-06-24 06:00:00', 'surface', 5.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-06-25 06:00:00', 'surface', 4.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-06-26 06:00:00', 'surface', 3.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-06-27 06:00:00', 'surface', 2.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-06-28 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-06-29 06:00:00', 'surface', 3.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-06-30 06:00:00', 'surface', 6.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-07-01 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-07-02 06:00:00', 'surface', 5.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-07-03 06:00:00', 'surface', 4.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-07-04 06:00:00', 'surface', 3.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-07-05 06:00:00', 'surface', 2.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-07-06 06:00:00', 'surface', 3.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-07-07 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-07-08 06:00:00', 'surface', 0.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-07-09 06:00:00', 'surface', -1.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-07-11 06:00:00', 'surface', 2.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-07-12 06:00:00', 'surface', 3.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-07-13 06:00:00', 'surface', 7.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-07-14 06:00:00', 'surface', 0.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-07-15 06:00:00', 'surface', -0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-07-16 06:00:00', 'surface', 0.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-07-17 06:00:00', 'surface', 1.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-07-18 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-07-19 06:00:00', 'surface', 2.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-07-20 06:00:00', 'surface', 3.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-07-21 06:00:00', 'surface', 8.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-07-22 06:00:00', 'surface', 1.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-07-24 06:00:00', 'surface', 3.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-07-25 06:00:00', 'surface', 5.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-07-26 06:00:00', 'surface', 5.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-07-27 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-07-28 06:00:00', 'surface', 4.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-07-29 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-07-30 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-07-31 06:00:00', 'surface', 1.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-08-01 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-08-02 06:00:00', 'surface', 2.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-08-03 06:00:00', 'surface', 4.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-08-04 06:00:00', 'surface', 1.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-08-05 06:00:00', 'surface', 0.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-08-06 06:00:00', 'surface', 2.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-08-07 06:00:00', 'surface', 4.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-08-08 06:00:00', 'surface', 2.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-08-09 06:00:00', 'surface', 2.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-08-10 06:00:00', 'surface', 0.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-08-11 06:00:00', 'surface', 3.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-08-12 06:00:00', 'surface', 2.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-08-13 06:00:00', 'surface', -0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-08-14 06:00:00', 'surface', 2.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-08-15 06:00:00', 'surface', 2.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-08-16 06:00:00', 'surface', 4.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-08-17 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-08-18 06:00:00', 'surface', 5.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-08-19 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-08-20 06:00:00', 'surface', 8.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-08-21 06:00:00', 'surface', -0.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-08-22 06:00:00', 'surface', 1.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-08-23 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-08-24 06:00:00', 'surface', 3.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-08-25 06:00:00', 'surface', 1.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-08-26 06:00:00', 'surface', 9.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-08-27 06:00:00', 'surface', 5.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-08-28 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-08-29 06:00:00', 'surface', 4.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-08-30 06:00:00', 'surface', 10.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-08-31 06:00:00', 'surface', 6.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-09-01 06:00:00', 'surface', 9.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-09-02 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-09-03 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-09-04 06:00:00', 'surface', 7.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-09-05 06:00:00', 'surface', 1.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-09-06 06:00:00', 'surface', 1.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-09-07 06:00:00', 'surface', 5.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-09-08 06:00:00', 'surface', 6.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-09-09 06:00:00', 'surface', 5.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-09-10 06:00:00', 'surface', 5.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-09-11 06:00:00', 'surface', 4.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-09-12 06:00:00', 'surface', 1.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-09-13 06:00:00', 'surface', 5.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-09-14 06:00:00', 'surface', 2.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-09-15 06:00:00', 'surface', 11.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-09-16 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-09-17 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-09-18 06:00:00', 'surface', 9.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-09-19 06:00:00', 'surface', 7.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-09-20 06:00:00', 'surface', 5.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-09-21 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-09-22 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-09-23 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-09-24 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-09-25 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-09-26 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-09-27 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-09-28 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-09-29 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1961-09-30 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-05-01 06:00:00', 'surface', 1.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-05-02 06:00:00', 'surface', 6.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-05-03 06:00:00', 'surface', 2.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-05-04 06:00:00', 'surface', 3.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-05-05 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-05-06 06:00:00', 'surface', 3.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-05-07 06:00:00', 'surface', 6.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-05-08 06:00:00', 'surface', 3.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-05-09 06:00:00', 'surface', 2.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-05-10 06:00:00', 'surface', 3.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-05-11 06:00:00', 'surface', 3.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-05-12 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-05-13 06:00:00', 'surface', 2.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-05-14 06:00:00', 'surface', 3.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-05-15 06:00:00', 'surface', 6.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-05-16 06:00:00', 'surface', 2.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-05-17 06:00:00', 'surface', 8.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-05-18 06:00:00', 'surface', 3.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-05-19 06:00:00', 'surface', 3.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-05-20 06:00:00', 'surface', 0.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-05-21 06:00:00', 'surface', -0.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-05-22 06:00:00', 'surface', 3.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-05-23 06:00:00', 'surface', 4.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-05-24 06:00:00', 'surface', 5.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-05-25 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-05-26 06:00:00', 'surface', 2.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-05-28 06:00:00', 'surface', 1.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-05-29 06:00:00', 'surface', 6.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-05-30 06:00:00', 'surface', 0.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-05-31 06:00:00', 'surface', 1.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-06-01 06:00:00', 'surface', 2.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-06-02 06:00:00', 'surface', 1.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-06-03 06:00:00', 'surface', 1.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-06-04 06:00:00', 'surface', -0.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-06-05 06:00:00', 'surface', -1.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-06-06 06:00:00', 'surface', 2.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-06-07 06:00:00', 'surface', 4.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-06-08 06:00:00', 'surface', 1.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-06-09 06:00:00', 'surface', 2.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-06-10 06:00:00', 'surface', 3.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-06-11 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-06-12 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-06-13 06:00:00', 'surface', 2.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-06-14 06:00:00', 'surface', 2.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-06-15 06:00:00', 'surface', 2.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-06-16 06:00:00', 'surface', 6.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-06-17 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-06-18 06:00:00', 'surface', 4.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-06-19 06:00:00', 'surface', 2.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-06-20 06:00:00', 'surface', 1.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-06-21 06:00:00', 'surface', 0.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-06-22 06:00:00', 'surface', 0.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-06-23 06:00:00', 'surface', 0.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-06-24 06:00:00', 'surface', -0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-06-25 06:00:00', 'surface', -1.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-06-26 06:00:00', 'surface', -2.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-06-27 06:00:00', 'surface', -1.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-06-28 06:00:00', 'surface', -0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-06-29 06:00:00', 'surface', 0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-06-30 06:00:00', 'surface', 2.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-07-01 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-07-02 06:00:00', 'surface', -0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-07-03 06:00:00', 'surface', -0.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-07-04 06:00:00', 'surface', 0.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-07-05 06:00:00', 'surface', 2.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-07-06 06:00:00', 'surface', 3.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-07-07 06:00:00', 'surface', 4.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-07-08 06:00:00', 'surface', 4.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-07-09 06:00:00', 'surface', 5.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-07-10 06:00:00', 'surface', 4.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-07-11 06:00:00', 'surface', 2.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-07-12 06:00:00', 'surface', 4.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-07-13 06:00:00', 'surface', 2.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-07-14 06:00:00', 'surface', 2.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-07-15 06:00:00', 'surface', 3.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-07-16 06:00:00', 'surface', 2.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-07-17 06:00:00', 'surface', 1.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-07-18 06:00:00', 'surface', 3.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-07-19 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-07-20 06:00:00', 'surface', 0.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-07-21 06:00:00', 'surface', 3.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-07-22 06:00:00', 'surface', 10.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-07-23 06:00:00', 'surface', 1.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-07-24 06:00:00', 'surface', 1.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-07-25 06:00:00', 'surface', 1.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-07-26 06:00:00', 'surface', 3.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-07-27 06:00:00', 'surface', 5.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-07-28 06:00:00', 'surface', 5.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-07-29 06:00:00', 'surface', 2.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-07-30 06:00:00', 'surface', 1.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-07-31 06:00:00', 'surface', 3.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-08-01 06:00:00', 'surface', 5.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-08-02 06:00:00', 'surface', 3.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-08-03 06:00:00', 'surface', 4.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-08-04 06:00:00', 'surface', 5.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-08-05 06:00:00', 'surface', 6.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-08-06 06:00:00', 'surface', 9.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-08-07 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-08-08 06:00:00', 'surface', 0.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-08-09 06:00:00', 'surface', 2.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-08-10 06:00:00', 'surface', 6.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-08-12 06:00:00', 'surface', 4.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-08-13 06:00:00', 'surface', 3.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-08-14 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-08-15 06:00:00', 'surface', 5.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-08-16 06:00:00', 'surface', 1.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-08-17 06:00:00', 'surface', 4.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-08-18 06:00:00', 'surface', 3.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-08-19 06:00:00', 'surface', 4.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-08-20 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-08-21 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-08-22 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-08-23 06:00:00', 'surface', 8.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-08-24 06:00:00', 'surface', 5.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-08-25 06:00:00', 'surface', 5.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-08-26 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-08-27 06:00:00', 'surface', 7.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-08-28 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-08-29 06:00:00', 'surface', -0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-08-30 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-08-31 06:00:00', 'surface', 4.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-09-01 06:00:00', 'surface', 3.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-09-02 06:00:00', 'surface', 1.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-09-03 06:00:00', 'surface', -1.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-09-04 06:00:00', 'surface', 2.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-09-05 06:00:00', 'surface', 5.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-09-06 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-09-07 06:00:00', 'surface', 5.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-09-08 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-09-09 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-09-10 06:00:00', 'surface', 9.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-09-11 06:00:00', 'surface', 10.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-09-12 06:00:00', 'surface', 5.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-09-13 06:00:00', 'surface', 10.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-09-14 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-09-15 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-09-16 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-09-17 06:00:00', 'surface', 0.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-09-18 06:00:00', 'surface', 3.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-09-19 06:00:00', 'surface', 6.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-09-20 06:00:00', 'surface', 7.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-09-21 06:00:00', 'surface', 6.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-09-22 06:00:00', 'surface', 6.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-09-23 06:00:00', 'surface', 3.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-09-24 06:00:00', 'surface', 9.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-09-25 06:00:00', 'surface', 4.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-09-26 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-09-27 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-09-28 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-09-29 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1962-09-30 06:00:00', 'surface', 10.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-05-01 06:00:00', 'surface', 6.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-05-02 06:00:00', 'surface', 5.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-05-03 06:00:00', 'surface', 3.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-05-04 06:00:00', 'surface', 2.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-05-05 06:00:00', 'surface', 1.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-05-06 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-05-07 06:00:00', 'surface', 2.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-05-08 06:00:00', 'surface', 2.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-05-09 06:00:00', 'surface', 3.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-05-10 06:00:00', 'surface', 6.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-05-11 06:00:00', 'surface', 7.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-05-12 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-05-13 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-05-14 06:00:00', 'surface', 5.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-05-15 06:00:00', 'surface', 7.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-05-16 06:00:00', 'surface', 1.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-05-17 06:00:00', 'surface', 4.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-05-18 06:00:00', 'surface', 2.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-05-19 06:00:00', 'surface', 3.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-05-20 06:00:00', 'surface', 2.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-05-21 06:00:00', 'surface', 0.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-05-22 06:00:00', 'surface', -1.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-05-23 06:00:00', 'surface', -1.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-05-24 06:00:00', 'surface', 0.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-05-25 06:00:00', 'surface', 0.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-05-26 06:00:00', 'surface', -0.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-05-27 06:00:00', 'surface', -2.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-05-28 06:00:00', 'surface', -1.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-05-29 06:00:00', 'surface', 1.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-05-30 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-05-31 06:00:00', 'surface', 1.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-06-01 06:00:00', 'surface', -1.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-06-02 06:00:00', 'surface', -1.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-06-03 06:00:00', 'surface', -1.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-06-04 06:00:00', 'surface', -1.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-06-05 06:00:00', 'surface', -0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-06-06 06:00:00', 'surface', -3.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-06-07 06:00:00', 'surface', -2.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-06-08 06:00:00', 'surface', -2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-06-09 06:00:00', 'surface', 0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-06-10 06:00:00', 'surface', -3.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-06-11 06:00:00', 'surface', -2.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-06-12 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-06-13 06:00:00', 'surface', 7.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-06-14 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-06-15 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-06-16 06:00:00', 'surface', 3.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-06-17 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-06-18 06:00:00', 'surface', 4.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-06-19 06:00:00', 'surface', 2.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-06-20 06:00:00', 'surface', 2.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-06-21 06:00:00', 'surface', 4.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-06-22 06:00:00', 'surface', 6.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-06-23 06:00:00', 'surface', 3.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-06-24 06:00:00', 'surface', 2.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-06-25 06:00:00', 'surface', 6.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-06-26 06:00:00', 'surface', 0.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-06-27 06:00:00', 'surface', -1.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-06-28 06:00:00', 'surface', -1.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-06-29 06:00:00', 'surface', -4.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-06-30 06:00:00', 'surface', -4.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-07-01 06:00:00', 'surface', 1.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-07-02 06:00:00', 'surface', 3.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-07-03 06:00:00', 'surface', 1.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-07-04 06:00:00', 'surface', 0.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-07-05 06:00:00', 'surface', 4.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-07-06 06:00:00', 'surface', 1.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-07-07 06:00:00', 'surface', 5.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-07-08 06:00:00', 'surface', 1.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-07-09 06:00:00', 'surface', -0.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-07-10 06:00:00', 'surface', 1.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-07-12 06:00:00', 'surface', -2.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-07-13 06:00:00', 'surface', -1.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-07-14 06:00:00', 'surface', -6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-07-15 06:00:00', 'surface', -1.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-07-16 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-07-18 06:00:00', 'surface', -1.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-07-19 06:00:00', 'surface', 1.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-07-20 06:00:00', 'surface', 2.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-07-21 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-07-22 06:00:00', 'surface', 3.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-07-23 06:00:00', 'surface', 1.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-07-24 06:00:00', 'surface', 2.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-07-25 06:00:00', 'surface', 4.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-07-26 06:00:00', 'surface', 1.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-07-27 06:00:00', 'surface', 6.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-07-28 06:00:00', 'surface', 5.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-07-29 06:00:00', 'surface', 2.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-07-30 06:00:00', 'surface', 0.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-07-31 06:00:00', 'surface', 2.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-08-01 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-08-02 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-08-03 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-08-04 06:00:00', 'surface', 3.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-08-05 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-08-06 06:00:00', 'surface', 1.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-08-07 06:00:00', 'surface', 4.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-08-08 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-08-09 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-08-10 06:00:00', 'surface', -1.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-08-11 06:00:00', 'surface', -1.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-08-12 06:00:00', 'surface', 3.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-08-13 06:00:00', 'surface', 2.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-08-14 06:00:00', 'surface', 0.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-08-15 06:00:00', 'surface', 3.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-08-16 06:00:00', 'surface', 2.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-08-17 06:00:00', 'surface', 2.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-08-18 06:00:00', 'surface', 5.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-08-19 06:00:00', 'surface', 4.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-08-20 06:00:00', 'surface', -2.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-08-21 06:00:00', 'surface', -2.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-08-22 06:00:00', 'surface', -3.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-08-23 06:00:00', 'surface', -2.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-08-24 06:00:00', 'surface', 3.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-08-25 06:00:00', 'surface', 1.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-08-26 06:00:00', 'surface', 3.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-08-27 06:00:00', 'surface', 3.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-08-28 06:00:00', 'surface', 2.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-08-29 06:00:00', 'surface', 1.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-08-31 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-09-01 06:00:00', 'surface', 3.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-09-02 06:00:00', 'surface', 6.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-09-03 06:00:00', 'surface', 2.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-09-04 06:00:00', 'surface', 0.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-09-05 06:00:00', 'surface', 2.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-09-06 06:00:00', 'surface', 3.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-09-07 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-09-08 06:00:00', 'surface', 9.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-09-09 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-09-10 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-09-11 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-09-12 06:00:00', 'surface', 10.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-09-13 06:00:00', 'surface', 10.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-09-14 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-09-15 06:00:00', 'surface', 5.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-09-16 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-09-17 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-09-18 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-09-19 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-09-20 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-09-21 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-09-22 06:00:00', 'surface', 9.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-09-23 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-09-24 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-09-25 06:00:00', 'surface', 11.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-09-26 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-09-27 06:00:00', 'surface', 10.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-09-28 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-09-29 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1963-09-30 06:00:00', 'surface', 10.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-05-03 06:00:00', 'surface', 9.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-05-04 06:00:00', 'surface', 4.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-05-05 06:00:00', 'surface', 7.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-05-06 06:00:00', 'surface', 6.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-05-07 06:00:00', 'surface', 5.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-05-09 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-05-10 06:00:00', 'surface', 5.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-05-11 06:00:00', 'surface', 5.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-05-13 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-05-14 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-05-15 06:00:00', 'surface', 8.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-05-16 06:00:00', 'surface', 9.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-05-17 06:00:00', 'surface', 4.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-05-18 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-05-19 06:00:00', 'surface', 1.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-05-20 06:00:00', 'surface', 3.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-05-21 06:00:00', 'surface', 3.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-05-22 06:00:00', 'surface', 0.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-05-23 06:00:00', 'surface', -0.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-05-24 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-05-25 06:00:00', 'surface', 0.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-05-26 06:00:00', 'surface', 3.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-05-27 06:00:00', 'surface', 6.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-05-28 06:00:00', 'surface', 4.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-05-29 06:00:00', 'surface', 2.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-05-30 06:00:00', 'surface', 1.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-05-31 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-06-01 06:00:00', 'surface', 5.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-06-02 06:00:00', 'surface', 4.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-06-03 06:00:00', 'surface', 2.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-06-04 06:00:00', 'surface', 3.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-06-05 06:00:00', 'surface', 5.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-06-06 06:00:00', 'surface', 3.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-06-07 06:00:00', 'surface', 1.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-06-08 06:00:00', 'surface', 0.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-06-09 06:00:00', 'surface', -2.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-06-10 06:00:00', 'surface', 1.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-06-11 06:00:00', 'surface', 1.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-06-12 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-06-13 06:00:00', 'surface', 2.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-06-14 06:00:00', 'surface', -0.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-06-15 06:00:00', 'surface', 1.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-06-16 06:00:00', 'surface', 8.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-06-17 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-06-18 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-06-19 06:00:00', 'surface', 0.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-06-20 06:00:00', 'surface', 1.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-06-21 06:00:00', 'surface', 6.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-06-22 06:00:00', 'surface', -3.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-06-23 06:00:00', 'surface', -1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-06-24 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-06-25 06:00:00', 'surface', 2.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-06-26 06:00:00', 'surface', 1.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-06-27 06:00:00', 'surface', -5.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-06-30 06:00:00', 'surface', -2.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-07-01 06:00:00', 'surface', -2.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-07-02 06:00:00', 'surface', 3.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-07-03 06:00:00', 'surface', 2.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-07-04 06:00:00', 'surface', -1.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-07-05 06:00:00', 'surface', -2.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-07-06 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-07-07 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-07-08 06:00:00', 'surface', 1.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-07-09 06:00:00', 'surface', -2.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-07-10 06:00:00', 'surface', 2.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-07-11 06:00:00', 'surface', 3.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-07-12 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-07-13 06:00:00', 'surface', 0.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-07-14 06:00:00', 'surface', -0.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-07-15 06:00:00', 'surface', -0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-07-16 06:00:00', 'surface', 6.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-07-17 06:00:00', 'surface', 2.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-07-18 06:00:00', 'surface', -1.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-07-19 06:00:00', 'surface', 1.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-07-22 06:00:00', 'surface', -1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-07-23 06:00:00', 'surface', -2.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-07-25 06:00:00', 'surface', -1.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-07-28 06:00:00', 'surface', -3.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-07-29 06:00:00', 'surface', -1.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-07-30 06:00:00', 'surface', 0.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-07-31 06:00:00', 'surface', 0.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-08-01 06:00:00', 'surface', -1.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-08-02 06:00:00', 'surface', -1.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-08-03 06:00:00', 'surface', 0.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-08-04 06:00:00', 'surface', 1.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-08-05 06:00:00', 'surface', 3.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-08-06 06:00:00', 'surface', 7.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-08-07 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-08-08 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-08-09 06:00:00', 'surface', -0.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-08-10 06:00:00', 'surface', 3.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-08-11 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-08-12 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-08-13 06:00:00', 'surface', 4.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-08-14 06:00:00', 'surface', 4.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-08-15 06:00:00', 'surface', -1.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-08-16 06:00:00', 'surface', 4.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-08-17 06:00:00', 'surface', 2.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-08-18 06:00:00', 'surface', 6.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-08-19 06:00:00', 'surface', 1.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-08-20 06:00:00', 'surface', 2.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-08-21 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-08-22 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-08-23 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-08-25 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-08-26 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-08-27 06:00:00', 'surface', 1.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-08-28 06:00:00', 'surface', 1.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-08-29 06:00:00', 'surface', 4.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-08-30 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-08-31 06:00:00', 'surface', 1.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-09-01 06:00:00', 'surface', 0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-09-02 06:00:00', 'surface', 2.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-09-03 06:00:00', 'surface', 9.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-09-04 06:00:00', 'surface', 2.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-09-05 06:00:00', 'surface', 4.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-09-06 06:00:00', 'surface', 3.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-09-07 06:00:00', 'surface', 8.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-09-08 06:00:00', 'surface', 3.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-09-09 06:00:00', 'surface', 2.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-09-11 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-09-15 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-09-17 06:00:00', 'surface', 11.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-09-19 06:00:00', 'surface', 9.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-09-22 06:00:00', 'surface', 10.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-09-23 06:00:00', 'surface', 2.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-09-24 06:00:00', 'surface', 4.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-09-25 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-09-27 06:00:00', 'surface', 6.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1964-09-30 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-05-01 06:00:00', 'surface', 1.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-05-02 06:00:00', 'surface', 1.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-05-03 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-05-04 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-05-05 06:00:00', 'surface', 2.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-05-06 06:00:00', 'surface', 1.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-05-07 06:00:00', 'surface', 1.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-05-09 06:00:00', 'surface', 2.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-05-10 06:00:00', 'surface', 3.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-05-11 06:00:00', 'surface', 5.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-05-12 06:00:00', 'surface', 1.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-05-13 06:00:00', 'surface', 2.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-05-14 06:00:00', 'surface', 6.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-05-15 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-05-16 06:00:00', 'surface', -1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-05-17 06:00:00', 'surface', -0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-05-18 06:00:00', 'surface', 2.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-05-19 06:00:00', 'surface', 5.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-05-20 06:00:00', 'surface', 1.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-05-21 06:00:00', 'surface', 0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-05-22 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-05-23 06:00:00', 'surface', -0.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-05-24 06:00:00', 'surface', -0.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-05-25 06:00:00', 'surface', 1.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-05-26 06:00:00', 'surface', 1.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-05-27 06:00:00', 'surface', 2.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-05-28 06:00:00', 'surface', 6.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-05-29 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-05-30 06:00:00', 'surface', 8.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-05-31 06:00:00', 'surface', 9.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-06-01 06:00:00', 'surface', 3.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-06-02 06:00:00', 'surface', -0.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-06-04 06:00:00', 'surface', 0.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-06-05 06:00:00', 'surface', 4.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-06-07 06:00:00', 'surface', -1.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-06-08 06:00:00', 'surface', 2.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-06-09 06:00:00', 'surface', 7.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-06-10 06:00:00', 'surface', 1.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-06-11 06:00:00', 'surface', 4.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-06-12 06:00:00', 'surface', -0.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-06-13 06:00:00', 'surface', 5.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-06-14 06:00:00', 'surface', 1.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-06-15 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-06-16 06:00:00', 'surface', 2.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-06-17 06:00:00', 'surface', 0.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-06-18 06:00:00', 'surface', 4.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-06-19 06:00:00', 'surface', -1.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-06-20 06:00:00', 'surface', 0.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-06-21 06:00:00', 'surface', 3.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-06-22 06:00:00', 'surface', 2.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-06-23 06:00:00', 'surface', 2.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-06-24 06:00:00', 'surface', -2.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-06-25 06:00:00', 'surface', -3.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-06-26 06:00:00', 'surface', 0.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-06-27 06:00:00', 'surface', 1.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-06-28 06:00:00', 'surface', -0.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-06-29 06:00:00', 'surface', -2.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-06-30 06:00:00', 'surface', -1.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-07-01 06:00:00', 'surface', 0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-07-02 06:00:00', 'surface', -0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-07-03 06:00:00', 'surface', -2.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-07-04 06:00:00', 'surface', -4.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-07-05 06:00:00', 'surface', -1.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-07-07 06:00:00', 'surface', -2.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-07-08 06:00:00', 'surface', -0.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-07-09 06:00:00', 'surface', -2.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-07-10 06:00:00', 'surface', 3.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-07-11 06:00:00', 'surface', 1.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-07-12 06:00:00', 'surface', -0.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-07-13 06:00:00', 'surface', 1.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-07-14 06:00:00', 'surface', -1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-07-15 06:00:00', 'surface', 4.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-07-16 06:00:00', 'surface', 1.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-07-17 06:00:00', 'surface', 4.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-07-19 06:00:00', 'surface', 3.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-07-20 06:00:00', 'surface', 2.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-07-21 06:00:00', 'surface', 4.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-07-22 06:00:00', 'surface', 2.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-07-23 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-07-24 06:00:00', 'surface', 3.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-07-25 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-07-26 06:00:00', 'surface', -0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-07-27 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-07-28 06:00:00', 'surface', 0.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-07-29 06:00:00', 'surface', 1.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-07-30 06:00:00', 'surface', 0.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-07-31 06:00:00', 'surface', -0.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-08-01 06:00:00', 'surface', 4.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-08-02 06:00:00', 'surface', 1.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-08-03 06:00:00', 'surface', 1.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-08-04 06:00:00', 'surface', 2.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-08-05 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-08-06 06:00:00', 'surface', 2.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-08-07 06:00:00', 'surface', -0.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-08-08 06:00:00', 'surface', -0.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-08-09 06:00:00', 'surface', 5.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-08-10 06:00:00', 'surface', 5.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-08-11 06:00:00', 'surface', 0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-08-12 06:00:00', 'surface', -1.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-08-13 06:00:00', 'surface', 1.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-08-14 06:00:00', 'surface', 5.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-08-16 06:00:00', 'surface', 3.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-08-17 06:00:00', 'surface', -1.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-08-18 06:00:00', 'surface', -1.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-08-19 06:00:00', 'surface', 2.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-08-20 06:00:00', 'surface', 0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-08-21 06:00:00', 'surface', 3.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-08-22 06:00:00', 'surface', 2.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-08-23 06:00:00', 'surface', 3.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-08-24 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-08-25 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-08-26 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-08-27 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-08-28 06:00:00', 'surface', 10.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-08-29 06:00:00', 'surface', 6.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-08-30 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-08-31 06:00:00', 'surface', 9.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-09-01 06:00:00', 'surface', 6.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-09-02 06:00:00', 'surface', 4.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-09-03 06:00:00', 'surface', 3.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-09-04 06:00:00', 'surface', 5.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-09-05 06:00:00', 'surface', 6.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-09-06 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-09-07 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-09-08 06:00:00', 'surface', 4.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-09-09 06:00:00', 'surface', 3.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-09-10 06:00:00', 'surface', 3.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-09-11 06:00:00', 'surface', 2.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-09-12 06:00:00', 'surface', 2.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-09-14 06:00:00', 'surface', 3.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-09-15 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-09-16 06:00:00', 'surface', 9.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-09-17 06:00:00', 'surface', 11.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-09-18 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-09-19 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-09-20 06:00:00', 'surface', 11.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-09-21 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-09-22 06:00:00', 'surface', 8.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-09-23 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-09-24 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-09-25 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-09-26 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-09-27 06:00:00', 'surface', 4.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-09-28 06:00:00', 'surface', 0.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-09-29 06:00:00', 'surface', 3.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1965-09-30 06:00:00', 'surface', 5.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-05-01 06:00:00', 'surface', 3.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-05-02 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-05-03 06:00:00', 'surface', 5.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-05-04 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-05-05 06:00:00', 'surface', 1.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-05-06 06:00:00', 'surface', 0.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-05-07 06:00:00', 'surface', 3.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-05-09 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-05-10 06:00:00', 'surface', 4.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-05-11 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-05-12 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-05-13 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-05-14 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-05-15 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-05-16 06:00:00', 'surface', 9.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-05-17 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-05-18 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-05-19 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-05-20 06:00:00', 'surface', 10.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-05-21 06:00:00', 'surface', 8.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-05-22 06:00:00', 'surface', 3.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-05-24 06:00:00', 'surface', 0.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-05-25 06:00:00', 'surface', -0.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-05-26 06:00:00', 'surface', 1.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-05-27 06:00:00', 'surface', 0.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-05-28 06:00:00', 'surface', 1.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-05-29 06:00:00', 'surface', -0.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-05-31 06:00:00', 'surface', 1.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-06-01 06:00:00', 'surface', -0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-06-02 06:00:00', 'surface', 1.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-06-04 06:00:00', 'surface', 8.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-06-05 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-06-06 06:00:00', 'surface', 7.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-06-07 06:00:00', 'surface', 8.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-06-08 06:00:00', 'surface', 5.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-06-09 06:00:00', 'surface', 8.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-06-10 06:00:00', 'surface', 5.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-06-11 06:00:00', 'surface', 0.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-06-12 06:00:00', 'surface', 4.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-06-13 06:00:00', 'surface', -1.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-06-14 06:00:00', 'surface', 1.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-06-15 06:00:00', 'surface', 4.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-06-16 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-06-17 06:00:00', 'surface', 3.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-06-18 06:00:00', 'surface', 2.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-06-21 06:00:00', 'surface', 1.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-06-22 06:00:00', 'surface', 5.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-06-24 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-06-25 06:00:00', 'surface', 8.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-06-26 06:00:00', 'surface', 5.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-06-27 06:00:00', 'surface', 3.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-06-28 06:00:00', 'surface', 2.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-06-29 06:00:00', 'surface', 2.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-06-30 06:00:00', 'surface', 2.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-07-01 06:00:00', 'surface', 1.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-07-02 06:00:00', 'surface', -0.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-07-03 06:00:00', 'surface', -0.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-07-04 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-07-05 06:00:00', 'surface', 0.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-07-06 06:00:00', 'surface', -0.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-07-07 06:00:00', 'surface', 1.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-07-08 06:00:00', 'surface', -0.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-07-09 06:00:00', 'surface', 1.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-07-10 06:00:00', 'surface', -0.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-07-11 06:00:00', 'surface', 3.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-07-12 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-07-13 06:00:00', 'surface', 7.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-07-14 06:00:00', 'surface', 0.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-07-15 06:00:00', 'surface', 2.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-07-16 06:00:00', 'surface', 3.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-07-17 06:00:00', 'surface', 2.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-07-18 06:00:00', 'surface', 2.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-07-19 06:00:00', 'surface', 0.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-07-20 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-07-21 06:00:00', 'surface', 1.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-07-22 06:00:00', 'surface', -1.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-07-23 06:00:00', 'surface', 1.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-07-24 06:00:00', 'surface', 0.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-07-25 06:00:00', 'surface', -1.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-07-26 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-07-27 06:00:00', 'surface', -1.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-07-28 06:00:00', 'surface', -4.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-07-29 06:00:00', 'surface', -3.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-07-30 06:00:00', 'surface', 1.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-07-31 06:00:00', 'surface', -2.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-08-01 06:00:00', 'surface', -1.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-08-02 06:00:00', 'surface', 2.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-08-03 06:00:00', 'surface', 2.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-08-04 06:00:00', 'surface', 5.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-08-05 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-08-06 06:00:00', 'surface', 1.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-08-07 06:00:00', 'surface', 3.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-08-08 06:00:00', 'surface', 3.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-08-09 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-08-10 06:00:00', 'surface', 2.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-08-11 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-08-12 06:00:00', 'surface', 0.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-08-13 06:00:00', 'surface', 2.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-08-14 06:00:00', 'surface', 1.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-08-15 06:00:00', 'surface', 7.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-08-16 06:00:00', 'surface', 4.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-08-17 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-08-18 06:00:00', 'surface', 8.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-08-19 06:00:00', 'surface', 10.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-08-21 06:00:00', 'surface', 8.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-08-22 06:00:00', 'surface', -4.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-08-23 06:00:00', 'surface', -4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-08-24 06:00:00', 'surface', -1.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-08-25 06:00:00', 'surface', 0.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-08-26 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-08-27 06:00:00', 'surface', 8.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-08-28 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-08-29 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-08-30 06:00:00', 'surface', 6.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-08-31 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-09-01 06:00:00', 'surface', 3.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-09-02 06:00:00', 'surface', 4.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-09-03 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-09-05 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-09-06 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-09-07 06:00:00', 'surface', 3.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-09-08 06:00:00', 'surface', 5.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-09-09 06:00:00', 'surface', 1.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-09-10 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-09-11 06:00:00', 'surface', 0.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-09-12 06:00:00', 'surface', 5.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-09-13 06:00:00', 'surface', 5.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-09-14 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-09-15 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-09-16 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-09-17 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-09-18 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-09-19 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-09-21 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-09-22 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-09-23 06:00:00', 'surface', 6.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-09-24 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-09-25 06:00:00', 'surface', 11.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-09-26 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-09-27 06:00:00', 'surface', 10.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-09-28 06:00:00', 'surface', 9.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-09-29 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1966-09-30 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-05-01 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-05-02 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-05-03 06:00:00', 'surface', 11.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-05-04 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-05-05 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-05-06 06:00:00', 'surface', 3.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-05-07 06:00:00', 'surface', 2.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-05-08 06:00:00', 'surface', 2.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-05-09 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-05-10 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-05-11 06:00:00', 'surface', 4.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-05-12 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-05-13 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-05-14 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-05-15 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-05-16 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-05-17 06:00:00', 'surface', 1.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-05-18 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-05-19 06:00:00', 'surface', 5.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-05-20 06:00:00', 'surface', 0.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-05-21 06:00:00', 'surface', 2.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-05-22 06:00:00', 'surface', 6.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-05-23 06:00:00', 'surface', 4.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-05-24 06:00:00', 'surface', 3.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-05-25 06:00:00', 'surface', 1.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-05-26 06:00:00', 'surface', 2.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-05-27 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-05-28 06:00:00', 'surface', 2.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-05-29 06:00:00', 'surface', 3.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-05-30 06:00:00', 'surface', 4.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-05-31 06:00:00', 'surface', 5.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-06-01 06:00:00', 'surface', 4.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-06-02 06:00:00', 'surface', 5.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-06-03 06:00:00', 'surface', 4.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-06-04 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-06-05 06:00:00', 'surface', 5.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-06-06 06:00:00', 'surface', 5.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-06-07 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-06-08 06:00:00', 'surface', 6.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-06-09 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-06-10 06:00:00', 'surface', 3.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-06-11 06:00:00', 'surface', 4.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-06-12 06:00:00', 'surface', 4.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-06-13 06:00:00', 'surface', 4.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-06-14 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-06-15 06:00:00', 'surface', 10.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-06-16 06:00:00', 'surface', 7.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-06-17 06:00:00', 'surface', 0.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-06-18 06:00:00', 'surface', 11.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-06-19 06:00:00', 'surface', 3.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-06-20 06:00:00', 'surface', 0.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-06-21 06:00:00', 'surface', 4.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-06-22 06:00:00', 'surface', 1.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-06-23 06:00:00', 'surface', 2.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-06-24 06:00:00', 'surface', 0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-06-25 06:00:00', 'surface', 4.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-06-26 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-06-27 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-06-28 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-06-29 06:00:00', 'surface', 11.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-06-30 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-07-01 06:00:00', 'surface', 9.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-07-02 06:00:00', 'surface', 5.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-07-03 06:00:00', 'surface', 4.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-07-04 06:00:00', 'surface', 9.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-07-05 06:00:00', 'surface', 9.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-07-06 06:00:00', 'surface', 9.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-07-07 06:00:00', 'surface', 3.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-07-08 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-07-09 06:00:00', 'surface', 5.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-07-10 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-07-11 06:00:00', 'surface', 0.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-07-12 06:00:00', 'surface', -1.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-07-13 06:00:00', 'surface', 8.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-07-15 06:00:00', 'surface', 3.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-07-16 06:00:00', 'surface', 3.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-07-17 06:00:00', 'surface', -4.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-07-18 06:00:00', 'surface', -5.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-07-19 06:00:00', 'surface', -2.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-07-20 06:00:00', 'surface', -4.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-07-21 06:00:00', 'surface', -2.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-07-22 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-07-24 06:00:00', 'surface', -1.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-07-25 06:00:00', 'surface', 0.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-07-26 06:00:00', 'surface', 5.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-07-27 06:00:00', 'surface', 4.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-07-28 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-07-29 06:00:00', 'surface', -1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-07-30 06:00:00', 'surface', 2.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-07-31 06:00:00', 'surface', 4.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-08-01 06:00:00', 'surface', 2.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-08-02 06:00:00', 'surface', 6.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-08-03 06:00:00', 'surface', 2.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-08-04 06:00:00', 'surface', 3.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-08-05 06:00:00', 'surface', 4.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-08-06 06:00:00', 'surface', -0.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-08-07 06:00:00', 'surface', -0.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-08-08 06:00:00', 'surface', 1.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-08-09 06:00:00', 'surface', 4.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-08-11 06:00:00', 'surface', -1.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-08-12 06:00:00', 'surface', 0.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-08-13 06:00:00', 'surface', 4.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-08-15 06:00:00', 'surface', 5.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-08-16 06:00:00', 'surface', 1.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-08-17 06:00:00', 'surface', 4.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-08-18 06:00:00', 'surface', 3.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-08-19 06:00:00', 'surface', 5.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-08-20 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-08-21 06:00:00', 'surface', 2.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-08-22 06:00:00', 'surface', -0.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-08-23 06:00:00', 'surface', 1.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-08-24 06:00:00', 'surface', 1.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-08-25 06:00:00', 'surface', 2.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-08-26 06:00:00', 'surface', 5.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-08-27 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-08-28 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-08-29 06:00:00', 'surface', 8.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-08-30 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-08-31 06:00:00', 'surface', 8.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-09-01 06:00:00', 'surface', 8.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-09-02 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-09-03 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-09-04 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-09-05 06:00:00', 'surface', 9.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-09-06 06:00:00', 'surface', 9.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-09-07 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-09-08 06:00:00', 'surface', 4.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-09-09 06:00:00', 'surface', 2.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-09-10 06:00:00', 'surface', 5.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-09-11 06:00:00', 'surface', 5.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-09-12 06:00:00', 'surface', 5.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-09-13 06:00:00', 'surface', 5.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-09-14 06:00:00', 'surface', 5.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-09-15 06:00:00', 'surface', 7.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-09-16 06:00:00', 'surface', 10.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-09-17 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-09-18 06:00:00', 'surface', 2.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-09-19 06:00:00', 'surface', 3.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-09-20 06:00:00', 'surface', 4.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-09-21 06:00:00', 'surface', 4.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-09-22 06:00:00', 'surface', 3.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-09-23 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-09-24 06:00:00', 'surface', 2.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-09-25 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-09-26 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-09-27 06:00:00', 'surface', 10.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-09-28 06:00:00', 'surface', 8.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-09-29 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1967-09-30 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-05-01 06:00:00', 'surface', 11.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-05-02 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-05-03 06:00:00', 'surface', 7.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-05-04 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-05-05 06:00:00', 'surface', 3.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-05-06 06:00:00', 'surface', 5.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-05-07 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-05-08 06:00:00', 'surface', 5.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-05-09 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-05-10 06:00:00', 'surface', 5.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-05-11 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-05-12 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-05-13 06:00:00', 'surface', 7.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-05-14 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-05-15 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-05-16 06:00:00', 'surface', 2.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-05-17 06:00:00', 'surface', 1.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-05-18 06:00:00', 'surface', 3.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-05-19 06:00:00', 'surface', 3.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-05-20 06:00:00', 'surface', 6.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-05-21 06:00:00', 'surface', -1.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-05-22 06:00:00', 'surface', 2.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-05-23 06:00:00', 'surface', 4.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-05-24 06:00:00', 'surface', 5.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-05-25 06:00:00', 'surface', 5.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-05-26 06:00:00', 'surface', 8.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-05-27 06:00:00', 'surface', 5.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-05-28 06:00:00', 'surface', 4.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-05-29 06:00:00', 'surface', 1.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-05-30 06:00:00', 'surface', -0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-05-31 06:00:00', 'surface', -1.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-06-01 06:00:00', 'surface', -0.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-06-02 06:00:00', 'surface', 0.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-06-03 06:00:00', 'surface', 4.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-06-04 06:00:00', 'surface', 2.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-06-05 06:00:00', 'surface', -1.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-06-06 06:00:00', 'surface', 1.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-06-07 06:00:00', 'surface', 2.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-06-08 06:00:00', 'surface', 0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-06-09 06:00:00', 'surface', -0.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-06-10 06:00:00', 'surface', 3.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-06-11 06:00:00', 'surface', 8.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-06-12 06:00:00', 'surface', 1.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-06-13 06:00:00', 'surface', -0.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-06-14 06:00:00', 'surface', -10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-06-15 06:00:00', 'surface', -11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-06-16 06:00:00', 'surface', -9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-06-17 06:00:00', 'surface', -6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-06-18 06:00:00', 'surface', -7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-06-19 06:00:00', 'surface', -6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-06-20 06:00:00', 'surface', -4.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-06-21 06:00:00', 'surface', -2.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-06-22 06:00:00', 'surface', -1.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-06-23 06:00:00', 'surface', 1.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-06-24 06:00:00', 'surface', -1.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-06-25 06:00:00', 'surface', -2.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-06-26 06:00:00', 'surface', 0.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-06-27 06:00:00', 'surface', 4.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-06-28 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-06-29 06:00:00', 'surface', 0.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-06-30 06:00:00', 'surface', 1.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-07-01 06:00:00', 'surface', -1.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-07-02 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-07-03 06:00:00', 'surface', 3.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-07-04 06:00:00', 'surface', 5.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-07-05 06:00:00', 'surface', 2.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-07-06 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-07-07 06:00:00', 'surface', 6.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-07-08 06:00:00', 'surface', -2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-07-09 06:00:00', 'surface', -3.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-07-10 06:00:00', 'surface', -4.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-07-12 06:00:00', 'surface', 0.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-07-13 06:00:00', 'surface', 3.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-07-14 06:00:00', 'surface', -0.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-07-15 06:00:00', 'surface', -1.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-07-16 06:00:00', 'surface', -2.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-07-17 06:00:00', 'surface', 2.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-07-18 06:00:00', 'surface', -1.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-07-19 06:00:00', 'surface', 3.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-07-20 06:00:00', 'surface', 6.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-07-21 06:00:00', 'surface', 1.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-07-22 06:00:00', 'surface', 2.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-07-23 06:00:00', 'surface', 6.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-07-24 06:00:00', 'surface', 1.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-07-25 06:00:00', 'surface', 3.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-07-26 06:00:00', 'surface', 10.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-07-27 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-07-28 06:00:00', 'surface', 8.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-07-29 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-07-30 06:00:00', 'surface', 8.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-07-31 06:00:00', 'surface', 5.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-08-01 06:00:00', 'surface', 2.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-08-02 06:00:00', 'surface', 0.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-08-03 06:00:00', 'surface', 2.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-08-04 06:00:00', 'surface', 2.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-08-05 06:00:00', 'surface', -1.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-08-06 06:00:00', 'surface', 4.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-08-07 06:00:00', 'surface', -1.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-08-08 06:00:00', 'surface', 1.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-08-09 06:00:00', 'surface', 1.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-08-10 06:00:00', 'surface', 6.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-08-11 06:00:00', 'surface', 1.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-08-12 06:00:00', 'surface', 5.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-08-13 06:00:00', 'surface', 3.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-08-14 06:00:00', 'surface', 4.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-08-15 06:00:00', 'surface', -0.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-08-16 06:00:00', 'surface', 2.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-08-17 06:00:00', 'surface', 1.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-08-18 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-08-19 06:00:00', 'surface', 3.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-08-20 06:00:00', 'surface', -3.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-08-21 06:00:00', 'surface', -3.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-08-22 06:00:00', 'surface', -0.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-08-23 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-08-24 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-08-25 06:00:00', 'surface', 6.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-08-26 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-08-27 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-08-28 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-08-29 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-08-30 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-08-31 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-09-01 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-09-02 06:00:00', 'surface', 9.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-09-03 06:00:00', 'surface', 4.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-09-04 06:00:00', 'surface', 1.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-09-05 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-09-06 06:00:00', 'surface', 4.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-09-07 06:00:00', 'surface', 2.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-09-08 06:00:00', 'surface', 3.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-09-09 06:00:00', 'surface', 3.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-09-10 06:00:00', 'surface', 8.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-09-11 06:00:00', 'surface', 2.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-09-12 06:00:00', 'surface', 1.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-09-13 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-09-14 06:00:00', 'surface', 2.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-09-15 06:00:00', 'surface', 5.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-09-16 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-09-17 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-09-18 06:00:00', 'surface', 10.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-09-19 06:00:00', 'surface', 10.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-09-20 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-09-21 06:00:00', 'surface', 8.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-09-22 06:00:00', 'surface', 4.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-09-23 06:00:00', 'surface', 9.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-09-24 06:00:00', 'surface', 3.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-09-25 06:00:00', 'surface', 7.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-09-26 06:00:00', 'surface', 4.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-09-27 06:00:00', 'surface', 5.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-09-28 06:00:00', 'surface', 6.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-09-29 06:00:00', 'surface', 3.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1968-09-30 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-05-01 06:00:00', 'surface', 10.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-05-02 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-05-03 06:00:00', 'surface', 5.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-05-04 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-05-05 06:00:00', 'surface', 6.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-05-06 06:00:00', 'surface', 4.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-05-07 06:00:00', 'surface', 9.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-05-08 06:00:00', 'surface', 6.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-05-09 06:00:00', 'surface', 2.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-05-10 06:00:00', 'surface', 3.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-05-11 06:00:00', 'surface', 5.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-05-12 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-05-13 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-05-14 06:00:00', 'surface', -0.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-05-15 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-05-16 06:00:00', 'surface', 5.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-05-17 06:00:00', 'surface', 3.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-05-18 06:00:00', 'surface', 0.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-05-19 06:00:00', 'surface', 2.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-05-20 06:00:00', 'surface', 2.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-05-21 06:00:00', 'surface', 5.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-05-22 06:00:00', 'surface', 5.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-05-23 06:00:00', 'surface', 4.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-05-24 06:00:00', 'surface', 5.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-05-25 06:00:00', 'surface', 3.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-05-26 06:00:00', 'surface', 4.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-05-28 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-05-29 06:00:00', 'surface', 2.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-05-30 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-05-31 06:00:00', 'surface', 3.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-06-01 06:00:00', 'surface', 2.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-06-02 06:00:00', 'surface', 1.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-06-03 06:00:00', 'surface', 0.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-06-04 06:00:00', 'surface', -0.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-06-05 06:00:00', 'surface', -0.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-06-06 06:00:00', 'surface', -0.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-06-07 06:00:00', 'surface', 3.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-06-08 06:00:00', 'surface', -0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-06-09 06:00:00', 'surface', -1.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-06-11 06:00:00', 'surface', 1.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-06-12 06:00:00', 'surface', 1.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-06-13 06:00:00', 'surface', 1.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-06-14 06:00:00', 'surface', 1.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-06-15 06:00:00', 'surface', 0.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-06-16 06:00:00', 'surface', 2.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-06-17 06:00:00', 'surface', 1.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-06-18 06:00:00', 'surface', -0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-06-20 06:00:00', 'surface', 1.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-06-21 06:00:00', 'surface', 0.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-06-22 06:00:00', 'surface', 3.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-06-23 06:00:00', 'surface', -3.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-06-24 06:00:00', 'surface', 2.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-06-25 06:00:00', 'surface', 1.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-06-26 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-06-27 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-06-28 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-06-29 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-06-30 06:00:00', 'surface', 2.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-07-01 06:00:00', 'surface', 2.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-07-02 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-07-03 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-07-04 06:00:00', 'surface', -2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-07-05 06:00:00', 'surface', -1.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-07-06 06:00:00', 'surface', 0.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-07-07 06:00:00', 'surface', -0.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-07-08 06:00:00', 'surface', -2.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-07-09 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-07-10 06:00:00', 'surface', 4.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-07-11 06:00:00', 'surface', 2.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-07-12 06:00:00', 'surface', -1.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-07-13 06:00:00', 'surface', 1.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-07-14 06:00:00', 'surface', 3.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-07-15 06:00:00', 'surface', 2.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-07-16 06:00:00', 'surface', 2.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-07-18 06:00:00', 'surface', -0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-07-19 06:00:00', 'surface', -1.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-07-20 06:00:00', 'surface', 1.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-07-21 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-07-22 06:00:00', 'surface', 1.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-07-23 06:00:00', 'surface', -0.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-07-24 06:00:00', 'surface', -4.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-07-25 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-07-26 06:00:00', 'surface', 3.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-07-27 06:00:00', 'surface', 1.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-07-28 06:00:00', 'surface', 0.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-07-30 06:00:00', 'surface', 0.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-07-31 06:00:00', 'surface', 2.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-08-01 06:00:00', 'surface', 3.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-08-02 06:00:00', 'surface', 4.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-08-03 06:00:00', 'surface', 2.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-08-04 06:00:00', 'surface', 1.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-08-05 06:00:00', 'surface', 6.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-08-06 06:00:00', 'surface', 8.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-08-07 06:00:00', 'surface', 2.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-08-08 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-08-09 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-08-10 06:00:00', 'surface', 6.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-08-11 06:00:00', 'surface', 9.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-08-12 06:00:00', 'surface', 5.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-08-13 06:00:00', 'surface', 3.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-08-14 06:00:00', 'surface', 7.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-08-15 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-08-16 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-08-17 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-08-18 06:00:00', 'surface', 4.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-08-19 06:00:00', 'surface', 4.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-08-20 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-08-21 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-08-22 06:00:00', 'surface', 8.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-08-23 06:00:00', 'surface', 1.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-08-24 06:00:00', 'surface', 2.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-08-25 06:00:00', 'surface', 4.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-08-26 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-08-27 06:00:00', 'surface', 4.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-08-28 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-08-29 06:00:00', 'surface', 11.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-08-30 06:00:00', 'surface', 6.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-08-31 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-09-01 06:00:00', 'surface', 9.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-09-02 06:00:00', 'surface', 8.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-09-03 06:00:00', 'surface', 3.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-09-04 06:00:00', 'surface', 5.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-09-05 06:00:00', 'surface', 3.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-09-06 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-09-07 06:00:00', 'surface', 2.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-09-08 06:00:00', 'surface', 1.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-09-09 06:00:00', 'surface', 4.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-09-10 06:00:00', 'surface', 4.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-09-12 06:00:00', 'surface', 1.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-09-13 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-09-14 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-09-15 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-09-16 06:00:00', 'surface', 7.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-09-17 06:00:00', 'surface', 4.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-09-18 06:00:00', 'surface', 3.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-09-19 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-09-20 06:00:00', 'surface', 5.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-09-21 06:00:00', 'surface', 2.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-09-22 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-09-23 06:00:00', 'surface', 3.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-09-24 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-09-25 06:00:00', 'surface', 5.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-09-26 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-09-27 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-09-28 06:00:00', 'surface', 9.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-09-29 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1969-09-30 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-05-01 06:00:00', 'surface', 3.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-05-02 06:00:00', 'surface', 3.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-05-03 06:00:00', 'surface', 2.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-05-04 06:00:00', 'surface', 1.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-05-05 06:00:00', 'surface', 1.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-05-06 06:00:00', 'surface', 5.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-05-07 06:00:00', 'surface', 2.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-05-08 06:00:00', 'surface', 2.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-05-09 06:00:00', 'surface', 5.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-05-10 06:00:00', 'surface', 3.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-05-12 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-05-13 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-05-14 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-05-15 06:00:00', 'surface', 4.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-05-16 06:00:00', 'surface', 2.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-05-17 06:00:00', 'surface', 2.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-05-18 06:00:00', 'surface', 1.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-05-19 06:00:00', 'surface', 2.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-05-20 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-05-21 06:00:00', 'surface', 1.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-05-22 06:00:00', 'surface', 3.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-05-23 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-05-24 06:00:00', 'surface', 5.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-05-25 06:00:00', 'surface', 2.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-05-26 06:00:00', 'surface', 2.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-05-27 06:00:00', 'surface', 2.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-05-28 06:00:00', 'surface', 5.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-05-29 06:00:00', 'surface', 2.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-05-30 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-05-31 06:00:00', 'surface', 1.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-06-01 06:00:00', 'surface', 4.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-06-02 06:00:00', 'surface', 3.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-06-03 06:00:00', 'surface', 2.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-06-04 06:00:00', 'surface', 1.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-06-05 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-06-06 06:00:00', 'surface', -2.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-06-07 06:00:00', 'surface', -3.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-06-08 06:00:00', 'surface', -0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-06-09 06:00:00', 'surface', -1.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-06-10 06:00:00', 'surface', -1.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-06-11 06:00:00', 'surface', 1.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-06-12 06:00:00', 'surface', 4.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-06-13 06:00:00', 'surface', 3.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-06-14 06:00:00', 'surface', 5.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-06-15 06:00:00', 'surface', 4.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-06-16 06:00:00', 'surface', 1.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-06-17 06:00:00', 'surface', 0.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-06-18 06:00:00', 'surface', 4.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-06-19 06:00:00', 'surface', 2.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-06-20 06:00:00', 'surface', 1.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-06-21 06:00:00', 'surface', 1.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-06-22 06:00:00', 'surface', 4.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-06-23 06:00:00', 'surface', 3.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-06-24 06:00:00', 'surface', -0.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-06-25 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-06-26 06:00:00', 'surface', 3.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-06-27 06:00:00', 'surface', 8.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-06-28 06:00:00', 'surface', 7.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-06-29 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-06-30 06:00:00', 'surface', -0.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-07-01 06:00:00', 'surface', 0.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-07-02 06:00:00', 'surface', 3.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-07-03 06:00:00', 'surface', 0.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-07-04 06:00:00', 'surface', -2.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-07-05 06:00:00', 'surface', -4.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-07-06 06:00:00', 'surface', -0.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-07-07 06:00:00', 'surface', -2.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-07-08 06:00:00', 'surface', -3.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-07-09 06:00:00', 'surface', 0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-07-10 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-07-11 06:00:00', 'surface', 1.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-07-12 06:00:00', 'surface', 5.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-07-13 06:00:00', 'surface', 0.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-07-14 06:00:00', 'surface', 0.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-07-15 06:00:00', 'surface', 8.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-07-17 06:00:00', 'surface', 4.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-07-18 06:00:00', 'surface', 2.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-07-19 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-07-20 06:00:00', 'surface', 4.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-07-21 06:00:00', 'surface', 6.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-07-22 06:00:00', 'surface', 3.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-07-23 06:00:00', 'surface', 3.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-07-24 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-07-25 06:00:00', 'surface', -1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-07-26 06:00:00', 'surface', -0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-07-27 06:00:00', 'surface', -0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-07-28 06:00:00', 'surface', 0.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-07-29 06:00:00', 'surface', 1.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-07-30 06:00:00', 'surface', 2.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-07-31 06:00:00', 'surface', 5.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-08-01 06:00:00', 'surface', 3.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-08-02 06:00:00', 'surface', 2.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-08-03 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-08-04 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-08-05 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-08-08 06:00:00', 'surface', 6.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-08-09 06:00:00', 'surface', -0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-08-10 06:00:00', 'surface', 3.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-08-11 06:00:00', 'surface', 2.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-08-12 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-08-13 06:00:00', 'surface', 5.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-08-14 06:00:00', 'surface', 1.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-08-15 06:00:00', 'surface', 3.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-08-16 06:00:00', 'surface', 0.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-08-17 06:00:00', 'surface', 2.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-08-18 06:00:00', 'surface', 5.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-08-19 06:00:00', 'surface', 5.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-08-20 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-08-21 06:00:00', 'surface', 2.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-08-22 06:00:00', 'surface', 3.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-08-23 06:00:00', 'surface', 3.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-08-24 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-08-25 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-08-26 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-08-27 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-08-28 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-08-29 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-08-30 06:00:00', 'surface', 9.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-08-31 06:00:00', 'surface', 7.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-09-01 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-09-02 06:00:00', 'surface', 5.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-09-03 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-09-04 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-09-05 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-09-06 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-09-07 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-09-08 06:00:00', 'surface', 5.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-09-10 06:00:00', 'surface', 4.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-09-11 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-09-12 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-09-13 06:00:00', 'surface', 8.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-09-14 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-09-15 06:00:00', 'surface', 9.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-09-16 06:00:00', 'surface', 4.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-09-17 06:00:00', 'surface', 4.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-09-18 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-09-19 06:00:00', 'surface', 2.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-09-20 06:00:00', 'surface', 4.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-09-21 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-09-22 06:00:00', 'surface', 11.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-09-23 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-09-24 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-09-25 06:00:00', 'surface', 10.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-09-26 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-09-27 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-09-28 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-09-29 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 99, '1970-09-30 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-01-01 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-01-02 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-01-03 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-01-04 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-01-05 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-01-06 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-01-07 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-01-08 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-01-09 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-01-10 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-01-11 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-01-12 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-01-13 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-01-14 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-01-15 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-01-16 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-01-17 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-01-18 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-01-19 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-01-20 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-01-21 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-01-22 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-01-23 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-01-24 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-01-25 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-01-26 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-01-27 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-01-28 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-01-29 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-01-30 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-01-31 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-02-01 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-02-02 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-02-03 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-02-04 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-02-05 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-02-06 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-02-07 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-02-08 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-02-09 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-02-10 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-02-11 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-02-12 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-02-13 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-02-14 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-02-15 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-02-16 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-02-17 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-02-18 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-02-19 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-02-20 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-02-21 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-02-22 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-02-23 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-02-24 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-02-25 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-02-26 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-02-27 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-02-28 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-03-01 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-03-02 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-03-03 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-03-04 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-03-05 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-03-06 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-03-07 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-03-08 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-03-09 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-03-10 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-03-11 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-03-12 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-03-13 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-03-14 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-03-15 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-03-16 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-03-17 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-03-18 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-03-19 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-03-20 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-03-21 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-03-22 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-03-23 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-03-24 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-03-25 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-03-26 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-03-27 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-03-28 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-03-29 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-03-30 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-03-31 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-04-01 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-04-02 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-04-03 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-04-04 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-04-05 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-04-06 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-04-07 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-04-08 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-04-09 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-04-10 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-04-11 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-04-12 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-04-13 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-04-14 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-04-15 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-04-16 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-04-17 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-04-18 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-04-19 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-04-20 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-04-21 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-04-22 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-04-23 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-04-24 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-04-25 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-04-26 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-04-27 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-04-28 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-04-29 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-04-30 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-05-01 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-05-02 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-05-03 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-05-04 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-05-05 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-05-06 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-05-07 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-05-08 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-05-09 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-05-10 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-05-11 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-05-12 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-05-13 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-05-14 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-05-15 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-05-16 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-05-17 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-05-18 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-05-19 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-05-20 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-05-21 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-05-22 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-05-23 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-05-24 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-05-25 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-05-26 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-05-27 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-05-28 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-05-29 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-05-30 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-05-31 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-06-01 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-06-02 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-06-03 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-06-04 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-06-05 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-06-06 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-06-07 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-06-08 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-06-09 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-06-10 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-06-11 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-06-12 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-06-13 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-06-14 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-06-15 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-06-16 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-06-17 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-06-18 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-06-19 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-06-20 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-06-21 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-06-22 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-06-23 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-06-24 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-06-25 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-06-26 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-06-27 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-06-28 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-06-29 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-06-30 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-07-01 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-07-02 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-07-03 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-07-04 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-07-05 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-07-06 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-07-07 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-07-08 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-07-09 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-07-10 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-07-11 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-07-12 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-07-13 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-07-14 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-07-15 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-07-16 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-07-17 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-07-18 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-07-19 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-07-20 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-07-21 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-07-22 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-07-23 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-07-24 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-07-25 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-07-26 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-07-27 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-07-28 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-07-29 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-07-30 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-07-31 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-08-01 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-08-02 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-08-03 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-08-04 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-08-05 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-08-06 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-08-07 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-08-08 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-08-09 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-08-10 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-08-11 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-08-12 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-08-13 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-08-14 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-08-15 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-08-16 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-08-17 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-08-18 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-08-19 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-08-20 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-08-21 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-08-22 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-08-23 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-08-24 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-08-25 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-08-26 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-08-27 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-08-28 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-08-29 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-08-30 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-08-31 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-09-01 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-09-02 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-09-03 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-09-04 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-09-05 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-09-06 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-09-07 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-09-08 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-09-09 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-09-10 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-09-11 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-09-12 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-09-13 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-09-14 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-09-15 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-09-16 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-09-17 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-09-18 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-09-19 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-09-20 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-09-21 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-09-22 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-09-23 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-09-24 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-09-25 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-09-26 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-09-27 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-09-28 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-09-29 06:00:00', 'surface', 30.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-09-30 06:00:00', 'surface', 30.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-10-01 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-10-02 06:00:00', 'surface', 30.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-10-03 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-10-04 06:00:00', 'surface', 30.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-10-05 06:00:00', 'surface', 32.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-10-06 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-10-07 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-10-08 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-10-09 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-10-10 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-10-11 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-10-12 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-10-13 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-10-14 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-10-15 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-10-16 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-10-17 06:00:00', 'surface', 29.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-10-18 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-10-19 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-10-20 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-10-21 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-10-22 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-10-23 06:00:00', 'surface', 30.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-10-24 06:00:00', 'surface', 29.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-10-25 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-10-26 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-10-27 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-10-28 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-10-29 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-10-30 06:00:00', 'surface', 29.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-10-31 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-11-01 06:00:00', 'surface', 29.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-11-02 06:00:00', 'surface', 31.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-11-03 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-11-04 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-11-05 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-11-06 06:00:00', 'surface', 29.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-11-07 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-11-08 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-11-09 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-11-10 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-11-11 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-11-12 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-11-13 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-11-14 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-11-15 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-11-16 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-11-17 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-11-18 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-11-19 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-11-20 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-11-21 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-11-22 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-11-23 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-11-24 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-11-25 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-11-26 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-11-27 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-11-28 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-11-29 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-11-30 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-12-01 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-12-02 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-12-03 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-12-04 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-12-05 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-12-06 06:00:00', 'surface', 29.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-12-07 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-12-08 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-12-09 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-12-10 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-12-11 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-12-12 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-12-13 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-12-14 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-12-15 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-12-16 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-12-17 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-12-18 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-12-19 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-12-20 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-12-21 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-12-22 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-12-23 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-12-24 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-12-25 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-12-26 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-12-27 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-12-28 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-12-29 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-12-30 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1971-12-31 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-01-01 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-01-02 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-01-03 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-01-04 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-01-05 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-01-06 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-01-07 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-01-08 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-01-09 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-01-10 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-01-11 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-01-12 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-01-13 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-01-14 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-01-15 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-01-16 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-01-17 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-01-18 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-01-19 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-01-20 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-01-21 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-01-22 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-01-23 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-01-24 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-01-25 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-01-26 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-01-27 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-01-28 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-01-29 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-01-30 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-01-31 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-02-01 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-02-02 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-02-03 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-02-04 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-02-05 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-02-06 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-02-07 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-02-08 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-02-09 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-02-10 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-02-11 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-02-12 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-02-13 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-02-14 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-02-15 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-02-16 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-02-17 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-02-18 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-02-19 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-02-20 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-02-21 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-02-22 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-02-23 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-02-24 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-02-25 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-02-26 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-02-27 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-02-28 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-02-29 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-03-01 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-03-02 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-03-03 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-03-04 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-03-05 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-03-06 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-03-07 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-03-08 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-03-09 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-03-10 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-03-11 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-03-12 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-03-13 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-03-14 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-03-15 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-03-16 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-03-17 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-03-18 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-03-19 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-03-20 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-03-21 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-03-22 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-03-23 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-03-24 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-03-25 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-03-26 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-03-27 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-03-28 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-03-29 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-03-30 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-03-31 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-04-01 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-04-02 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-04-03 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-04-04 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-04-05 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-04-06 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-04-07 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-04-08 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-04-09 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-04-10 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-04-11 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-04-12 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-04-13 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-04-14 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-04-15 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-04-16 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-04-17 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-04-18 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-04-19 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-04-20 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-04-21 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-04-22 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-04-23 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-04-24 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-04-25 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-04-26 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-04-27 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-04-28 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-04-29 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-04-30 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-05-01 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-05-02 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-05-03 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-05-04 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-05-05 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-05-06 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-05-07 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-05-08 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-05-09 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-05-10 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-05-11 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-05-12 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-05-13 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-05-14 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-05-15 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-05-16 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-05-17 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-05-18 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-05-19 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-05-20 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-05-21 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-05-22 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-05-23 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-05-24 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-05-25 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-05-26 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-05-27 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-05-28 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-05-29 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-05-30 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-05-31 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-06-01 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-06-02 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-06-03 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-06-04 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-06-05 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-06-06 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-06-07 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-06-08 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-06-09 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-06-10 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-06-11 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-06-12 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-06-13 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-06-14 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-06-15 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-06-16 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-06-17 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-06-18 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-06-19 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-06-20 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-06-21 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-06-22 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-06-23 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-06-24 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-06-25 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-06-26 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-06-27 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-06-28 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-06-29 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-06-30 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-07-01 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-07-02 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-07-03 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-07-04 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-07-05 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-07-06 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-07-07 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-07-08 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-07-09 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-07-10 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-07-11 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-07-12 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-07-13 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-07-14 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-07-15 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-07-16 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-07-17 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-07-18 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-07-19 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-07-20 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-07-21 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-07-22 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-07-23 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-07-24 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-07-25 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-07-26 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-07-27 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-07-28 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-07-29 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-07-30 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-07-31 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-08-01 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-08-02 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-08-03 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-08-04 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-08-05 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-08-06 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-08-07 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-08-08 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-08-09 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-08-10 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-08-11 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-08-12 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-08-13 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-08-14 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-08-15 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-08-16 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-08-17 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-08-18 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-08-19 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-08-20 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-08-21 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-08-22 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-08-23 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-08-24 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-08-25 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-08-26 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-08-27 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-08-28 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-08-29 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-08-30 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-08-31 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-09-01 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-09-02 06:00:00', 'surface', 31.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-09-03 06:00:00', 'surface', 31.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-09-04 06:00:00', 'surface', 30.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-09-05 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-09-06 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-09-07 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-09-08 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-09-09 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-09-10 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-09-11 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-09-12 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-09-13 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-09-14 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-09-15 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-09-16 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-09-17 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-09-18 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-09-19 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-09-20 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-09-21 06:00:00', 'surface', 29.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-09-22 06:00:00', 'surface', 32.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-09-23 06:00:00', 'surface', 31.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-09-24 06:00:00', 'surface', 29.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-09-25 06:00:00', 'surface', 32.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-09-26 06:00:00', 'surface', 30.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-09-27 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-09-28 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-09-29 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-09-30 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-10-01 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-10-02 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-10-03 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-10-04 06:00:00', 'surface', 30.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-10-05 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-10-06 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-10-07 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-10-08 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-10-09 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-10-10 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-10-11 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-10-12 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-10-13 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-10-14 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-10-15 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-10-16 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-10-17 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-10-18 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-10-19 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-10-20 06:00:00', 'surface', 30.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-10-21 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-10-22 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-10-23 06:00:00', 'surface', 30.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-10-24 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-10-25 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-10-26 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-10-27 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-10-28 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-10-29 06:00:00', 'surface', 31.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-10-30 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-10-31 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-11-01 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-11-02 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-11-03 06:00:00', 'surface', 29.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-11-04 06:00:00', 'surface', 32.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-11-05 06:00:00', 'surface', 32.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-11-06 06:00:00', 'surface', 31.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-11-07 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-11-08 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-11-09 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-11-10 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-11-11 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-11-12 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-11-13 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-11-14 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-11-15 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-11-16 06:00:00', 'surface', 29.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-11-17 06:00:00', 'surface', 32.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-11-18 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-11-19 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-11-20 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-11-21 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-11-22 06:00:00', 'surface', 31.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-11-23 06:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-11-24 06:00:00', 'surface', 32.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-11-25 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-11-26 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-11-27 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-11-28 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-11-29 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-11-30 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-12-01 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-12-02 06:00:00', 'surface', 30.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-12-03 06:00:00', 'surface', 31.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-12-04 06:00:00', 'surface', 31.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-12-05 06:00:00', 'surface', 29.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-12-06 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-12-07 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-12-08 06:00:00', 'surface', 29.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-12-09 06:00:00', 'surface', 30.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-12-10 06:00:00', 'surface', 30.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-12-11 06:00:00', 'surface', 30.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-12-12 06:00:00', 'surface', 31.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-12-13 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-12-14 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-12-15 06:00:00', 'surface', 30.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-12-16 06:00:00', 'surface', 30.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-12-17 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-12-18 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-12-19 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-12-20 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-12-21 06:00:00', 'surface', 29.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-12-22 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-12-23 06:00:00', 'surface', 30.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-12-24 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-12-25 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-12-26 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-12-27 06:00:00', 'surface', 30.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-12-28 06:00:00', 'surface', 31.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-12-29 06:00:00', 'surface', 30.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-12-30 06:00:00', 'surface', 31.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1972-12-31 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-01-01 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-01-02 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-01-03 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-01-04 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-01-05 06:00:00', 'surface', 31.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-01-06 06:00:00', 'surface', 29.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-01-07 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-01-08 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-01-09 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-01-10 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-01-11 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-01-12 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-01-13 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-01-14 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-01-15 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-01-16 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-01-17 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-01-18 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-01-19 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-01-20 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-01-21 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-01-22 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-01-23 06:00:00', 'surface', 30.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-01-24 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-01-25 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-01-26 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-01-27 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-01-28 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-01-29 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-01-30 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-01-31 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-02-01 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-02-02 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-02-03 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-02-04 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-02-05 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-02-06 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-02-07 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-02-08 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-02-09 06:00:00', 'surface', 29.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-02-10 06:00:00', 'surface', 30.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-02-11 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-02-12 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-02-13 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-02-14 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-02-15 06:00:00', 'surface', 30.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-02-16 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-02-17 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-02-18 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-02-19 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-02-20 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-02-21 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-02-22 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-02-23 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-02-24 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-02-25 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-02-26 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-02-27 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-02-28 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-03-01 06:00:00', 'surface', 30.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-03-02 06:00:00', 'surface', 30.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-03-03 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-03-04 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-03-05 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-03-06 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-03-07 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-03-08 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-03-09 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-03-10 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-03-11 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-03-12 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-03-13 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-03-14 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-03-15 06:00:00', 'surface', 30.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-03-16 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-03-17 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-03-18 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-03-19 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-03-20 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-03-21 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-03-22 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-03-23 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-03-24 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-03-25 06:00:00', 'surface', 29.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-03-26 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-03-27 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-03-28 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-03-29 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-03-30 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-03-31 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-04-01 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-04-02 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-04-03 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-04-04 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-04-05 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-04-06 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-04-07 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-04-08 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-04-09 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-04-10 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-04-11 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-04-12 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-04-13 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-04-14 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-04-15 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-04-16 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-04-17 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-04-18 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-04-19 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-04-20 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-04-21 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-04-22 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-04-23 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-04-24 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-04-25 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-04-26 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-04-27 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-04-28 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-04-29 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-04-30 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-05-01 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-05-02 06:00:00', 'surface', 29.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-05-03 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-05-04 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-05-05 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-05-06 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-05-07 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-05-08 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-05-09 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-05-10 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-05-11 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-05-12 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-05-13 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-05-14 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-05-15 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-05-16 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-05-17 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-05-18 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-05-19 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-05-20 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-05-21 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-05-22 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-05-23 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-05-24 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-05-25 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-05-26 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-05-27 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-05-28 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-05-29 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-05-30 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-05-31 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-06-01 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-06-02 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-06-03 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-06-04 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-06-05 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-06-06 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-06-07 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-06-08 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-06-09 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-06-10 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-06-11 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-06-12 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-06-13 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-06-14 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-06-15 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-06-16 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-06-17 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-06-18 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-06-19 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-06-20 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-06-21 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-06-22 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-06-23 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-06-24 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-06-25 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-06-26 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-06-27 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-06-28 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-06-29 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-06-30 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-07-01 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-07-02 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-07-03 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-07-04 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-07-05 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-07-06 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-07-07 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-07-08 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-07-09 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-07-10 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-07-11 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-07-12 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-07-13 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-07-14 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-07-15 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-07-16 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-07-17 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-07-18 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-07-19 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-07-20 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-07-21 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-07-22 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-07-23 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-07-24 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-07-25 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-07-26 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-07-27 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-07-28 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-07-29 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-07-30 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-07-31 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-08-01 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-08-02 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-08-03 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-08-04 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-08-05 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-08-06 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-08-07 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-08-08 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-08-09 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-08-10 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-08-11 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-08-12 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-08-13 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-08-14 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-08-15 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-08-16 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-08-17 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-08-18 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-08-19 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-08-20 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-08-21 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-08-22 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-08-23 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-08-24 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-08-25 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-08-26 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-08-27 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-08-28 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-08-29 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-08-30 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-08-31 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-09-01 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-09-02 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-09-03 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-09-04 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-09-05 06:00:00', 'surface', 29.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-09-06 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-09-07 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-09-08 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-09-09 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-09-10 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-09-11 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-09-12 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-09-13 06:00:00', 'surface', 29.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-09-14 06:00:00', 'surface', 31.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-09-15 06:00:00', 'surface', 32.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-09-16 06:00:00', 'surface', 32.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-09-17 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-09-18 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-09-19 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-09-20 06:00:00', 'surface', 30.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-09-21 06:00:00', 'surface', 31.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-09-22 06:00:00', 'surface', 31.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-09-23 06:00:00', 'surface', 31.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-09-24 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-09-25 06:00:00', 'surface', 31.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-09-26 06:00:00', 'surface', 31.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-09-27 06:00:00', 'surface', 30.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-09-28 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-09-29 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-09-30 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-10-01 06:00:00', 'surface', 30.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-10-02 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-10-03 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-10-04 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-10-05 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-10-06 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-10-07 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-10-08 06:00:00', 'surface', 31.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-10-09 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-10-10 06:00:00', 'surface', 30.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-10-11 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-10-12 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-10-13 06:00:00', 'surface', 29.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-10-14 06:00:00', 'surface', 31.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-10-15 06:00:00', 'surface', 31.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-10-16 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-10-17 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-10-18 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-10-19 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-10-20 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-10-21 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-10-22 06:00:00', 'surface', 29.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-10-23 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-10-24 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-10-25 06:00:00', 'surface', 30.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-10-26 06:00:00', 'surface', 31.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-10-27 06:00:00', 'surface', 31.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-10-28 06:00:00', 'surface', 30.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-10-29 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-10-30 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-10-31 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-11-01 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-11-02 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-11-03 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-11-04 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-11-05 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-11-06 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-11-07 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-11-08 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-11-09 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-11-10 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-11-11 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-11-12 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-11-13 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-11-14 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-11-15 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-11-16 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-11-17 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-11-18 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-11-19 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-11-20 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-11-21 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-11-22 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-11-23 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-11-24 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-11-25 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-11-26 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-11-27 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-11-28 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-11-29 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-11-30 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-12-01 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-12-02 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-12-03 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-12-04 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-12-05 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-12-06 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-12-07 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-12-08 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-12-09 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-12-10 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-12-11 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-12-12 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-12-13 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-12-14 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-12-15 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-12-16 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-12-17 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-12-18 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-12-19 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-12-20 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-12-21 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-12-22 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-12-23 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-12-24 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-12-25 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-12-26 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-12-27 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-12-28 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-12-29 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-12-30 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1973-12-31 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-01-01 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-01-02 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-01-03 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-01-04 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-01-05 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-01-06 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-01-07 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-01-08 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-01-09 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-01-10 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-01-11 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-01-12 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-01-13 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-01-14 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-01-15 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-01-16 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-01-17 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-01-18 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-01-19 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-01-20 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-01-21 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-01-22 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-01-23 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-01-24 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-01-25 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-01-26 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-01-27 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-01-28 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-01-29 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-01-30 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-01-31 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-02-01 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-02-02 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-02-03 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-02-04 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-02-05 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-02-06 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-02-07 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-02-08 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-02-09 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-02-10 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-02-11 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-02-12 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-02-13 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-02-14 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-02-15 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-02-16 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-02-17 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-02-18 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-02-19 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-02-20 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-02-21 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-02-22 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-02-23 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-02-24 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-02-25 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-02-26 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-02-27 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-02-28 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-03-01 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-03-02 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-03-03 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-03-04 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-03-05 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-03-06 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-03-07 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-03-08 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-03-09 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-03-10 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-03-11 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-03-12 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-03-13 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-03-14 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-03-15 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-03-16 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-03-17 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-03-18 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-03-19 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-03-20 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-03-21 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-03-22 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-03-23 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-03-24 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-03-25 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-03-26 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-03-27 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-03-28 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-03-29 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-03-30 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-03-31 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-04-01 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-04-02 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-04-03 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-04-04 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-04-05 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-04-06 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-04-07 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-04-08 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-04-09 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-04-10 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-04-11 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-04-12 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-04-13 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-04-14 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-04-15 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-04-16 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-04-17 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-04-18 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-04-19 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-04-20 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-04-21 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-04-22 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-04-23 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-04-24 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-04-25 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-04-26 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-04-27 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-04-28 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-04-29 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-04-30 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-05-01 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-05-02 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-05-03 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-05-04 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-05-05 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-05-06 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-05-07 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-05-08 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-05-09 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-05-10 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-05-11 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-05-12 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-05-13 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-05-14 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-05-15 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-05-16 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-05-17 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-05-18 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-05-19 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-05-20 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-05-21 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-05-22 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-05-23 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-05-24 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-05-25 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-05-26 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-05-27 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-05-28 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-05-29 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-05-30 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-05-31 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-06-01 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-06-02 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-06-03 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-06-04 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-06-05 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-06-06 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-06-07 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-06-08 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-06-09 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-06-10 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-06-11 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-06-12 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-06-13 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-06-14 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-06-15 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-06-16 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-06-17 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-06-18 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-06-19 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-06-20 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-06-21 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-06-22 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-06-23 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-06-24 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-06-25 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-06-26 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-06-27 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-06-28 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-06-29 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-06-30 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-07-01 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-07-02 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-07-03 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-07-04 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-07-05 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-07-06 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-07-07 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-07-08 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-07-09 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-07-10 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-07-11 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-07-12 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-07-13 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-07-14 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-07-15 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-07-16 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-07-17 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-07-18 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-07-19 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-07-20 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-07-21 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-07-22 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-07-23 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-07-24 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-07-25 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-07-26 06:00:00', 'surface', 18.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-07-27 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-07-28 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-07-29 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-07-30 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-07-31 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-08-01 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-08-02 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-08-03 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-08-04 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-08-05 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-08-06 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-08-07 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-08-08 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-08-09 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-08-10 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-08-11 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-08-12 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-08-13 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-08-14 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-08-15 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-08-16 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-08-17 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-08-18 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-08-19 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-08-20 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-08-21 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-08-22 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-08-23 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-08-24 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-08-25 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-08-26 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-08-27 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-08-28 06:00:00', 'surface', 29.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-08-29 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-08-30 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-08-31 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-09-01 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-09-02 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-09-03 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-09-04 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-09-05 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-09-06 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-09-07 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-09-08 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-09-09 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-09-10 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-09-11 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-09-12 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-09-13 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-09-14 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-09-15 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-09-16 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-09-17 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-09-18 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-09-19 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-09-20 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-09-21 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-09-22 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-09-23 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-09-24 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-09-25 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-09-26 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-09-27 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-09-28 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-09-29 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-09-30 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-10-01 06:00:00', 'surface', 29.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-10-02 06:00:00', 'surface', 30.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-10-03 06:00:00', 'surface', 30.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-10-04 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-10-05 06:00:00', 'surface', 29.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-10-06 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-10-07 06:00:00', 'surface', 29.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-10-08 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-10-09 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-10-10 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-10-11 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-10-12 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-10-13 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-10-14 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-10-15 06:00:00', 'surface', 30.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-10-16 06:00:00', 'surface', 31.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-10-17 06:00:00', 'surface', 32.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-10-18 06:00:00', 'surface', 32.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-10-19 06:00:00', 'surface', 29.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-10-20 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-10-21 06:00:00', 'surface', 31.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-10-22 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-10-23 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-10-24 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-10-25 06:00:00', 'surface', 30.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-10-26 06:00:00', 'surface', 31.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-10-27 06:00:00', 'surface', 30.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-10-28 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-10-29 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-10-30 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-10-31 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-11-01 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-11-02 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-11-03 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-11-04 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-11-05 06:00:00', 'surface', 30.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-11-06 06:00:00', 'surface', 31.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-11-07 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-11-08 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-11-09 06:00:00', 'surface', 30.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-11-10 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-11-11 06:00:00', 'surface', 31.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-11-12 06:00:00', 'surface', 32.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-11-13 06:00:00', 'surface', 30.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-11-14 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-11-15 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-11-16 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-11-17 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-11-18 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-11-19 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-11-20 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-11-21 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-11-22 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-11-23 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-11-24 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-11-25 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-11-26 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-11-27 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-11-28 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-11-29 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-11-30 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-12-01 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-12-02 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-12-03 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-12-04 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-12-05 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-12-06 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-12-07 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-12-08 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-12-09 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-12-10 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-12-11 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-12-12 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-12-13 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-12-14 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-12-15 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-12-16 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-12-17 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-12-18 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-12-19 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-12-20 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-12-21 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-12-22 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-12-23 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-12-24 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-12-25 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-12-26 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-12-27 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-12-28 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-12-29 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-12-30 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1974-12-31 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-01-01 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-01-02 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-01-03 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-01-04 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-01-05 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-01-06 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-01-07 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-01-08 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-01-09 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-01-10 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-01-11 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-01-12 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-01-13 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-01-14 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-01-15 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-01-16 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-01-17 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-01-18 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-01-19 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-01-20 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-01-21 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-01-22 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-01-23 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-01-24 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-01-25 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-01-26 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-01-27 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-01-28 06:00:00', 'surface', 29.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-01-29 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-01-30 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-01-31 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-02-01 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-02-02 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-02-03 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-02-04 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-02-05 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-02-06 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-02-07 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-02-08 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-02-09 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-02-10 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-02-11 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-02-12 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-02-13 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-02-14 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-02-15 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-02-16 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-02-17 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-02-18 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-02-19 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-02-20 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-02-21 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-02-22 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-02-23 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-02-24 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-02-25 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-02-26 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-02-27 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-02-28 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-03-01 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-03-02 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-03-03 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-03-04 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-03-05 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-03-06 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-03-07 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-03-08 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-03-09 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-03-10 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-03-11 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-03-12 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-03-13 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-03-14 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-03-15 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-03-16 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-03-17 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-03-18 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-03-19 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-03-20 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-03-21 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-03-22 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-03-23 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-03-24 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-03-25 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-03-26 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-03-27 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-03-28 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-03-29 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-03-30 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-03-31 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-04-01 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-04-02 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-04-03 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-04-04 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-04-05 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-04-06 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-04-07 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-04-08 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-04-09 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-04-10 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-04-11 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-04-12 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-04-13 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-04-14 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-04-15 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-04-16 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-04-17 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-04-18 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-04-19 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-04-20 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-04-21 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-04-22 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-04-23 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-04-24 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-04-25 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-04-26 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-04-27 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-04-28 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-04-29 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-04-30 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-05-01 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-05-02 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-05-03 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-05-04 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-05-05 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-05-06 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-05-07 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-05-08 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-05-09 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-05-10 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-05-11 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-05-12 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-05-13 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-05-14 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-05-15 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-05-16 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-05-17 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-05-18 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-05-19 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-05-20 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-05-21 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-05-22 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-05-23 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-05-24 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-05-25 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-05-26 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-05-27 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-05-28 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-05-29 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-05-30 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-05-31 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-06-01 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-06-02 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-06-03 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-06-04 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-06-05 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-06-06 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-06-07 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-06-08 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-06-09 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-06-10 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-06-11 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-06-12 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-06-13 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-06-14 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-06-15 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-06-16 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-06-17 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-06-18 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-06-19 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-06-20 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-06-21 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-06-22 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-06-23 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-06-24 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-06-25 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-06-26 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-06-27 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-06-28 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-06-29 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-06-30 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-07-01 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-07-02 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-07-03 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-07-04 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-07-05 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-07-06 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-07-07 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-07-08 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-07-09 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-07-10 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-07-11 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-07-12 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-07-13 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-07-14 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-07-15 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-07-16 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-07-17 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-07-18 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-07-19 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-07-20 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-07-21 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-07-22 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-07-23 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-07-24 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-07-25 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-07-26 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-07-27 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-07-28 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-07-29 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-07-30 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-07-31 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-08-01 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-08-02 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-08-03 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-08-04 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-08-05 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-08-06 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-08-07 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-08-08 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-08-09 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-08-10 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-08-11 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-08-12 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-08-13 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-08-14 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-08-15 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-08-16 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-08-17 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-08-18 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-08-19 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-08-20 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-08-21 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-08-22 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-08-23 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-08-24 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-08-25 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-08-26 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-08-27 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-08-28 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-08-29 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-08-30 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-08-31 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-09-01 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-09-02 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-09-03 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-09-04 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-09-05 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-09-06 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-09-07 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-09-08 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-09-09 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-09-10 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-09-11 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-09-12 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-09-13 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-09-14 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-09-15 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-09-16 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-09-17 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-09-18 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-09-19 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-09-20 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-09-21 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-09-22 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-09-23 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-09-24 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-09-25 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-09-26 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-09-27 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-09-28 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-09-29 06:00:00', 'surface', 30.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-09-30 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-10-01 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-10-02 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-10-03 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-10-04 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-10-05 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-10-06 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-10-07 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-10-08 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-10-09 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-10-10 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-10-11 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-10-12 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-10-13 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-10-14 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-10-15 06:00:00', 'surface', 30.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-10-16 06:00:00', 'surface', 31.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-10-17 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-10-18 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-10-19 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-10-20 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-10-21 06:00:00', 'surface', 31.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-10-22 06:00:00', 'surface', 30.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-10-23 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-10-24 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-10-25 06:00:00', 'surface', 31.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-10-26 06:00:00', 'surface', 32.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-10-27 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-10-28 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-10-29 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-10-30 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-10-31 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-11-01 06:00:00', 'surface', 29.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-11-02 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-11-03 06:00:00', 'surface', 31.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-11-04 06:00:00', 'surface', 31.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-11-05 06:00:00', 'surface', 33.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-11-06 06:00:00', 'surface', 31.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-11-07 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-11-08 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-11-09 06:00:00', 'surface', 30.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-11-10 06:00:00', 'surface', 32.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-11-11 06:00:00', 'surface', 30.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-11-12 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-11-13 06:00:00', 'surface', 30.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-11-14 06:00:00', 'surface', 33.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-11-15 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-11-16 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-11-17 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-11-18 06:00:00', 'surface', 29.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-11-19 06:00:00', 'surface', 31.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-11-20 06:00:00', 'surface', 32.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-11-21 06:00:00', 'surface', 31.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-11-22 06:00:00', 'surface', 30.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-11-23 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-11-24 06:00:00', 'surface', 30.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-11-25 06:00:00', 'surface', 31.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-11-26 06:00:00', 'surface', 30.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-11-27 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-11-28 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-11-29 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-11-30 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-12-01 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-12-02 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-12-03 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-12-04 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-12-05 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-12-06 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-12-07 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-12-08 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-12-09 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-12-10 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-12-11 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-12-12 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-12-13 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-12-14 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-12-15 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-12-16 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-12-17 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-12-18 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-12-19 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-12-20 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-12-21 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-12-22 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-12-23 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-12-24 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-12-25 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-12-26 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-12-27 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-12-28 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-12-29 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-12-30 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1975-12-31 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-01-01 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-01-02 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-01-03 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-01-04 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-01-05 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-01-06 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-01-07 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-01-08 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-01-09 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-01-10 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-01-11 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-01-12 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-01-13 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-01-14 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-01-15 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-01-16 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-01-17 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-01-18 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-01-19 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-01-20 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-01-21 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-01-22 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-01-23 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-01-24 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-01-25 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-01-26 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-01-27 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-01-28 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-01-29 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-01-30 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-01-31 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-02-01 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-02-02 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-02-03 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-02-04 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-02-05 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-02-06 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-02-07 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-02-08 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-02-09 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-02-10 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-02-11 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-02-12 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-02-13 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-02-14 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-02-15 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-02-16 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-02-17 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-02-18 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-02-19 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-02-20 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-02-21 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-02-22 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-02-23 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-02-24 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-02-25 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-02-26 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-02-27 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-02-28 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-02-29 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-03-01 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-03-02 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-03-03 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-03-04 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-03-05 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-03-06 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-03-07 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-03-08 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-03-09 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-03-10 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-03-11 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-03-12 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-03-13 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-03-14 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-03-15 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-03-16 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-03-17 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-03-18 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-03-19 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-03-20 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-03-21 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-03-22 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-03-23 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-03-24 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-03-25 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-03-26 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-03-27 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-03-28 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-03-29 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-03-30 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-03-31 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-04-01 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-04-02 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-04-03 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-04-04 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-04-05 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-04-06 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-04-07 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-04-08 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-04-09 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-04-10 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-04-11 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-04-12 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-04-13 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-04-14 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-04-15 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-04-16 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-04-17 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-04-18 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-04-19 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-04-20 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-04-21 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-04-22 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-04-23 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-04-24 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-04-25 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-04-26 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-04-27 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-04-28 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-04-29 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-04-30 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-05-01 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-05-02 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-05-03 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-05-04 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-05-05 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-05-06 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-05-07 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-05-08 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-05-09 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-05-10 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-05-11 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-05-12 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-05-13 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-05-14 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-05-15 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-05-16 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-05-17 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-05-18 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-05-19 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-05-20 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-05-21 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-05-22 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-05-23 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-05-24 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-05-25 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-05-26 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-05-27 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-05-28 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-05-29 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-05-30 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-05-31 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-06-01 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-06-02 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-06-03 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-06-04 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-06-05 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-06-06 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-06-07 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-06-08 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-06-09 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-06-10 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-06-11 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-06-12 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-06-13 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-06-14 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-06-15 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-06-16 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-06-17 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-06-18 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-06-19 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-06-20 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-06-21 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-06-22 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-06-23 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-06-24 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-06-25 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-06-26 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-06-27 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-06-28 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-06-29 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-06-30 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-07-01 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-07-02 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-07-03 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-07-04 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-07-05 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-07-06 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-07-07 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-07-08 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-07-09 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-07-10 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-07-11 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-07-12 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-07-13 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-07-14 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-07-15 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-07-16 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-07-17 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-07-18 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-07-19 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-07-20 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-07-21 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-07-22 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-07-23 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-07-24 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-07-25 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-07-26 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-07-27 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-07-28 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-07-29 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-07-30 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-07-31 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-08-01 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-08-02 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-08-03 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-08-04 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-08-05 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-08-06 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-08-07 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-08-08 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-08-09 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-08-10 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-08-11 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-08-12 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-08-13 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-08-14 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-08-15 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-08-16 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-08-17 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-08-18 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-08-19 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-08-20 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-08-21 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-08-22 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-08-23 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-08-24 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-08-25 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-08-26 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-08-27 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-08-28 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-08-29 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-08-30 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-08-31 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-09-01 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-09-02 06:00:00', 'surface', 29.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-09-03 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-09-04 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-09-05 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-09-06 06:00:00', 'surface', 30.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-09-07 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-09-08 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-09-09 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-09-10 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-09-11 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-09-12 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-09-13 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-09-14 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-09-15 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-09-16 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-09-17 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-09-18 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-09-19 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-09-20 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-09-21 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-09-22 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-09-23 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-09-24 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-09-25 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-09-26 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-09-27 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-09-28 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-09-29 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-09-30 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-10-01 06:00:00', 'surface', 30.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-10-02 06:00:00', 'surface', 29.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-10-03 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-10-04 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-10-05 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-10-06 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-10-07 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-10-08 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-10-09 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-10-10 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-10-11 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-10-12 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-10-13 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-10-14 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-10-15 06:00:00', 'surface', 29.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-10-16 06:00:00', 'surface', 31.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-10-17 06:00:00', 'surface', 30.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-10-18 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-10-19 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-10-20 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-10-21 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-10-22 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-10-23 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-10-24 06:00:00', 'surface', 31.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-10-25 06:00:00', 'surface', 32.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-10-26 06:00:00', 'surface', 33.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-10-27 06:00:00', 'surface', 31.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-10-28 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-10-29 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-10-30 06:00:00', 'surface', 32.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-10-31 06:00:00', 'surface', 30.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-11-01 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-11-02 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-11-03 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-11-04 06:00:00', 'surface', 30.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-11-05 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-11-06 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-11-07 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-11-08 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-11-09 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-11-10 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-11-11 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-11-12 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-11-13 06:00:00', 'surface', 30.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-11-14 06:00:00', 'surface', 30.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-11-15 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-11-16 06:00:00', 'surface', 30.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-11-17 06:00:00', 'surface', 30.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-11-18 06:00:00', 'surface', 31.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-11-19 06:00:00', 'surface', 32.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-11-20 06:00:00', 'surface', 31.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-11-21 06:00:00', 'surface', 31.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-11-22 06:00:00', 'surface', 32.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-11-23 06:00:00', 'surface', 32.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-11-24 06:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-11-25 06:00:00', 'surface', 35.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-11-26 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-11-27 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-11-28 06:00:00', 'surface', 31.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-11-29 06:00:00', 'surface', 31.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-11-30 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-12-01 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-12-02 06:00:00', 'surface', 31.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-12-03 06:00:00', 'surface', 31.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-12-04 06:00:00', 'surface', 33.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-12-05 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-12-06 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-12-07 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-12-08 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-12-09 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-12-10 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-12-11 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-12-12 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-12-13 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-12-14 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-12-15 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-12-16 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-12-17 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-12-18 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-12-19 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-12-20 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-12-21 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-12-22 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-12-23 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-12-24 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-12-25 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-12-26 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-12-27 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-12-28 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-12-29 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-12-30 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1976-12-31 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-01-01 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-01-02 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-01-03 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-01-04 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-01-05 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-01-06 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-01-07 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-01-08 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-01-09 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-01-10 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-01-11 06:00:00', 'surface', 29.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0);
INSERT INTO `observationfinal` (`recordedFrom`, `describedBy`, `obsDatetime`, `obsLevel`, `obsValue`, `flag`, `period`, `qcStatus`, `qcTypeLog`, `acquisitionType`, `dataForm`, `capturedBy`, `mark`, `temperatureUnits`, `precipitationUnits`, `cloudHeightUnits`, `visUnits`, `dataSourceTimeZone`) VALUES
	('67774010', 2, '1977-01-12 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-01-13 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-01-14 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-01-15 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-01-16 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-01-17 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-01-18 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-01-19 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-01-20 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-01-21 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-01-22 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-01-23 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-01-24 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-01-25 06:00:00', 'surface', 29.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-01-26 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-01-27 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-01-28 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-01-29 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-01-30 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-01-31 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-02-01 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-02-02 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-02-03 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-02-04 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-02-05 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-02-06 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-02-07 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-02-08 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-02-09 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-02-10 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-02-11 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-02-12 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-02-13 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-02-14 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-02-15 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-02-16 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-02-17 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-02-18 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-02-19 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-02-20 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-02-21 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-02-22 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-02-23 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-02-24 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-02-25 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-02-26 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-02-27 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-02-28 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-03-01 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-03-02 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-03-03 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-03-04 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-03-05 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-03-06 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-03-07 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-03-08 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-03-09 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-03-10 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-03-11 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-03-12 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-03-13 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-03-14 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-03-15 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-03-16 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-03-17 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-03-18 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-03-19 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-03-20 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-03-21 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-03-22 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-03-23 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-03-24 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-03-25 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-03-26 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-03-27 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-03-28 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-03-29 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-03-30 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-03-31 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-04-01 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-04-02 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-04-03 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-04-04 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-04-05 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-04-06 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-04-07 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-04-08 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-04-09 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-04-10 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-04-11 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-04-12 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-04-13 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-04-14 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-04-15 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-04-16 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-04-17 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-04-18 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-04-19 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-04-20 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-04-21 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-04-22 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-04-23 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-04-24 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-04-25 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-04-26 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-04-27 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-04-28 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-04-29 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-04-30 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-05-01 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-05-02 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-05-03 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-05-04 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-05-05 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-05-06 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-05-07 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-05-08 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-05-09 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-05-10 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-05-11 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-05-12 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-05-13 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-05-14 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-05-15 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-05-16 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-05-17 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-05-18 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-05-19 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-05-20 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-05-21 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-05-22 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-05-23 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-05-24 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-05-25 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-05-26 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-05-27 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-05-28 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-05-29 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-05-30 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-05-31 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-06-01 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-06-02 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-06-03 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-06-04 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-06-05 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-06-06 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-06-07 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-06-08 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-06-09 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-06-10 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-06-11 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-06-12 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-06-13 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-06-14 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-06-15 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-06-16 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-06-17 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-06-18 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-06-19 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-06-20 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-06-21 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-06-22 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-06-23 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-06-24 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-06-25 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-06-26 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-06-27 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-06-28 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-06-29 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-06-30 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-07-01 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-07-02 06:00:00', 'surface', 18.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-07-03 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-07-04 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-07-05 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-07-06 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-07-07 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-07-08 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-07-09 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-07-10 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-07-11 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-07-12 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-07-13 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-07-14 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-07-15 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-07-16 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-07-17 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-07-18 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-07-19 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-07-20 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-07-21 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-07-22 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-07-23 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-07-24 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-07-25 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-07-26 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-07-27 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-07-28 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-07-29 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-07-30 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-07-31 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-08-01 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-08-02 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-08-03 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-08-04 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-08-05 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-08-06 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-08-07 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-08-08 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-08-09 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-08-10 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-08-11 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-08-12 06:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-08-13 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-08-14 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-08-15 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-08-16 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-08-17 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-08-18 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-08-19 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-08-20 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-08-21 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-08-22 06:00:00', 'surface', 29.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-08-23 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-08-24 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-08-25 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-08-26 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-08-27 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-08-28 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-08-29 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-08-30 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-08-31 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-09-01 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-09-02 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-09-03 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-09-04 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-09-05 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-09-06 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-09-07 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-09-08 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-09-09 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-09-10 06:00:00', 'surface', 31.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-09-11 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-09-12 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-09-13 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-09-14 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-09-15 06:00:00', 'surface', 30.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-09-16 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-09-17 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-09-18 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-09-19 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-09-20 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-09-21 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-09-22 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-09-23 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-09-24 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-09-25 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-09-26 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-09-27 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-09-28 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-09-29 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-09-30 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-10-01 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-10-02 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-10-03 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-10-04 06:00:00', 'surface', 30.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-10-05 06:00:00', 'surface', 31.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-10-06 06:00:00', 'surface', 29.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-10-07 06:00:00', 'surface', 30.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-10-08 06:00:00', 'surface', 31.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-10-09 06:00:00', 'surface', 30.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-10-10 06:00:00', 'surface', 30.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-10-11 06:00:00', 'surface', 31.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-10-12 06:00:00', 'surface', 29.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-10-13 06:00:00', 'surface', 31.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-10-14 06:00:00', 'surface', 32.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-10-15 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-10-16 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-10-17 06:00:00', 'surface', 30.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-10-18 06:00:00', 'surface', 31.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-10-19 06:00:00', 'surface', 32.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-10-20 06:00:00', 'surface', 31.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-10-21 06:00:00', 'surface', 29.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-10-22 06:00:00', 'surface', 31.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-10-23 06:00:00', 'surface', 31.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-10-24 06:00:00', 'surface', 32.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-10-25 06:00:00', 'surface', 31.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-10-26 06:00:00', 'surface', 30.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-10-27 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-10-28 06:00:00', 'surface', 30.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-10-29 06:00:00', 'surface', 30.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-10-30 06:00:00', 'surface', 30.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-10-31 06:00:00', 'surface', 29.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-11-01 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-11-02 06:00:00', 'surface', 32.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-11-03 06:00:00', 'surface', 31.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-11-04 06:00:00', 'surface', 29.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-11-05 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-11-06 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-11-07 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-11-08 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-11-09 06:00:00', 'surface', 31.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-11-10 06:00:00', 'surface', 33.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-11-11 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-11-12 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-11-13 06:00:00', 'surface', 30.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-11-14 06:00:00', 'surface', 31.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-11-15 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-11-16 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-11-17 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-11-18 06:00:00', 'surface', 31.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-11-19 06:00:00', 'surface', 33.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-11-20 06:00:00', 'surface', 30.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-11-21 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-11-22 06:00:00', 'surface', 31.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-11-23 06:00:00', 'surface', 29.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-11-24 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-11-25 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-11-26 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-11-27 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-11-28 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-11-29 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-11-30 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-12-01 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-12-02 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-12-03 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-12-04 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-12-05 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-12-06 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-12-07 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-12-08 06:00:00', 'surface', 29.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-12-09 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-12-10 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-12-11 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-12-12 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-12-13 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-12-14 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-12-15 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-12-16 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-12-17 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-12-18 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-12-19 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-12-20 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-12-21 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-12-22 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-12-23 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-12-24 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-12-25 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-12-26 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-12-27 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-12-28 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-12-29 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-12-30 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1977-12-31 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-01-01 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-01-02 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-01-03 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-01-04 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-01-05 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-01-06 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-01-07 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-01-08 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-01-09 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-01-10 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-01-11 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-01-12 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-01-13 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-01-14 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-01-15 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-01-16 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-01-17 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-01-18 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-01-19 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-01-20 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-01-21 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-01-22 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-01-23 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-01-24 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-01-25 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-01-26 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-01-27 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-01-28 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-01-29 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-01-30 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-01-31 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-02-01 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-02-02 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-02-03 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-02-04 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-02-05 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-02-06 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-02-07 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-02-08 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-02-09 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-02-10 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-02-11 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-02-12 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-02-13 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-02-14 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-02-15 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-02-16 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-02-17 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-02-18 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-02-19 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-02-20 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-02-21 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-02-22 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-02-23 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-02-24 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-02-25 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-02-26 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-02-27 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-02-28 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-03-01 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-03-02 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-03-03 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-03-04 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-03-05 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-03-06 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-03-07 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-03-08 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-03-09 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-03-10 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-03-11 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-03-12 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-03-13 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-03-14 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-03-15 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-03-16 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-03-17 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-03-18 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-03-19 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-03-20 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-03-21 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-03-22 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-03-23 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-03-24 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-03-25 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-03-26 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-03-27 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-03-28 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-03-29 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-03-30 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-03-31 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-04-01 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-04-02 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-04-03 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-04-04 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-04-05 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-04-06 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-04-07 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-04-08 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-04-09 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-04-10 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-04-11 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-04-12 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-04-13 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-04-14 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-04-15 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-04-16 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-04-17 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-04-18 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-04-19 06:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-04-20 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-04-21 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-04-22 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-04-23 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-04-24 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-04-25 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-04-26 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-04-27 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-04-28 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-04-29 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-04-30 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-05-01 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-05-02 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-05-03 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-05-04 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-05-05 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-05-06 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-05-07 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-05-08 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-05-09 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-05-10 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-05-11 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-05-12 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-05-13 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-05-14 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-05-15 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-05-16 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-05-17 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-05-18 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-05-19 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-05-20 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-05-21 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-05-22 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-05-23 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-05-24 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-05-25 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-05-26 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-05-27 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-05-28 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-05-29 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-05-30 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-05-31 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-06-01 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-06-02 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-06-03 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-06-04 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-06-05 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-06-06 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-06-07 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-06-08 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-06-09 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-06-10 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-06-11 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-06-12 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-06-13 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-06-14 06:00:00', 'surface', 18.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-06-15 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-06-16 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-06-17 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-06-18 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-06-19 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-06-20 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-06-21 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-06-22 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-06-23 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-06-24 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-06-25 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-06-26 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-06-27 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-06-28 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-06-29 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-06-30 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-07-01 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-07-02 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-07-03 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-07-04 06:00:00', 'surface', 18.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-07-05 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-07-06 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-07-07 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-07-08 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-07-09 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-07-10 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-07-11 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-07-12 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-07-13 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-07-14 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-07-15 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-07-16 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-07-17 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-07-18 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-07-19 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-07-20 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-07-21 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-07-22 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-07-23 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-07-24 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-07-25 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-07-26 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-07-27 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-07-28 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-07-29 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-07-30 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-07-31 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-08-01 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-08-02 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-08-03 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-08-04 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-08-05 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-08-06 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-08-07 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-08-08 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-08-09 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-08-10 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-08-11 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-08-12 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-08-13 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-08-14 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-08-15 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-08-16 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-08-17 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-08-18 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-08-19 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-08-20 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-08-21 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-08-22 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-08-23 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-08-24 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-08-25 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-08-26 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-08-27 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-08-28 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-08-29 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-08-30 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-08-31 06:00:00', 'surface', 29.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-09-01 06:00:00', 'surface', 31.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-09-02 06:00:00', 'surface', 30.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-09-03 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-09-04 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-09-05 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-09-06 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-09-07 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-09-08 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-09-09 06:00:00', 'surface', 30.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-09-10 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-09-11 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-09-12 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-09-13 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-09-14 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-09-15 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-09-16 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-09-17 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-09-18 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-09-19 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-09-20 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-09-21 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-09-22 06:00:00', 'surface', 32.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-09-23 06:00:00', 'surface', 30.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-09-24 06:00:00', 'surface', 30.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-09-25 06:00:00', 'surface', 29.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-09-26 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-09-27 06:00:00', 'surface', 29.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-09-28 06:00:00', 'surface', 32.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-09-29 06:00:00', 'surface', 34.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-09-30 06:00:00', 'surface', 33.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-10-01 06:00:00', 'surface', 32.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-10-02 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-10-03 06:00:00', 'surface', 30.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-10-04 06:00:00', 'surface', 30.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-10-05 06:00:00', 'surface', 31.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-10-06 06:00:00', 'surface', 32.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-10-07 06:00:00', 'surface', 32.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-10-08 06:00:00', 'surface', 31.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-10-09 06:00:00', 'surface', 31.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-10-10 06:00:00', 'surface', 30.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-10-11 06:00:00', 'surface', 30.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-10-12 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-10-13 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-10-14 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-10-15 06:00:00', 'surface', 31.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-10-16 06:00:00', 'surface', 30.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-10-17 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-10-18 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-10-19 06:00:00', 'surface', 29.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-10-20 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-10-21 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-10-22 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-10-23 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-10-24 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-10-25 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-10-26 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-10-27 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-10-28 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-10-29 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-10-30 06:00:00', 'surface', 29.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-10-31 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-11-01 06:00:00', 'surface', 31.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-11-02 06:00:00', 'surface', 31.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-11-03 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-11-04 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-11-05 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-11-06 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-11-07 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-11-08 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-11-09 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-11-10 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-11-11 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-11-12 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-11-13 06:00:00', 'surface', 29.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-11-14 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-11-15 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-11-16 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-11-17 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-11-18 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-11-19 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-11-20 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-11-21 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-11-22 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-11-23 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-11-24 06:00:00', 'surface', 29.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-11-25 06:00:00', 'surface', 30.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-11-26 06:00:00', 'surface', 30.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-11-27 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-11-28 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-11-29 06:00:00', 'surface', 30.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-11-30 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-12-01 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-12-02 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-12-03 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-12-04 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-12-05 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-12-06 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-12-07 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-12-08 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-12-09 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-12-10 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-12-11 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-12-12 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-12-13 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-12-14 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-12-15 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-12-16 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-12-17 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-12-18 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-12-19 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-12-20 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-12-21 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-12-22 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-12-23 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-12-24 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-12-25 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-12-26 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-12-27 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-12-28 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-12-29 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-12-30 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1978-12-31 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-01-01 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-01-02 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-01-03 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-01-04 06:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-01-05 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-01-06 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-01-07 06:00:00', 'surface', 30.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-01-08 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-01-09 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-01-10 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-01-11 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-01-12 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-01-13 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-01-14 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-01-15 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-01-16 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-01-17 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-01-18 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-01-19 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-01-20 06:00:00', 'surface', 30.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-01-21 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-01-22 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-01-23 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-01-24 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-01-25 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-01-26 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-01-27 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-01-28 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-01-29 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-01-30 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-01-31 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-02-01 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-02-02 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-02-03 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-02-04 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-02-05 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-02-06 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-02-07 06:00:00', 'surface', 29.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-02-08 06:00:00', 'surface', 30.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-02-09 06:00:00', 'surface', 29.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-02-10 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-02-11 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-02-12 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-02-13 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-02-14 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-02-15 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-02-16 06:00:00', 'surface', 29.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-02-17 06:00:00', 'surface', 30.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-02-18 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-02-19 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-02-20 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-02-21 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-02-22 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-02-23 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-02-24 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-02-25 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-02-26 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-02-27 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-02-28 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-03-01 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-03-02 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-03-03 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-03-04 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-03-05 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-03-06 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-03-07 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-03-08 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-03-09 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-03-10 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-03-11 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-03-12 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-03-13 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-03-14 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-03-15 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-03-16 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-03-17 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-03-18 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-03-19 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-03-20 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-03-21 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-03-22 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-03-23 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-03-24 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-03-25 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-03-26 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-03-27 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-03-28 06:00:00', 'surface', 29.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-03-29 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-03-30 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-03-31 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-04-01 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-04-02 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-04-03 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-04-04 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-04-05 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-04-06 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-04-07 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-04-08 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-04-09 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-04-10 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-04-11 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-04-12 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-04-13 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-04-14 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-04-15 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-04-16 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-04-17 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-04-18 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-04-19 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-04-20 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-04-21 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-04-22 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-04-23 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-04-24 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-04-25 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-04-26 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-04-27 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-04-28 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-04-29 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-04-30 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-05-01 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-05-02 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-05-03 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-05-04 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-05-05 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-05-06 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-05-07 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-05-08 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-05-09 06:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-05-10 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-05-11 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-05-12 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-05-13 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-05-14 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-05-15 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-05-16 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-05-17 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-05-18 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-05-19 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-05-20 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-05-21 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-05-22 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-05-23 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-05-24 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-05-25 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-05-26 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-05-27 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-05-28 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-05-29 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-05-30 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-05-31 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-06-01 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-06-02 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-06-03 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-06-04 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-06-05 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-06-06 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-06-07 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-06-08 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-06-09 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-06-10 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-06-11 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-06-12 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-06-13 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-06-14 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-06-15 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-06-16 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-06-17 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-06-18 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-06-19 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-06-20 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-06-21 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-06-22 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-06-23 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-06-24 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-06-25 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-06-26 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-06-27 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-06-28 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-06-29 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-06-30 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-07-01 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-07-02 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-07-03 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-07-04 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-07-05 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-07-06 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-07-07 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-07-08 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-07-09 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-07-10 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-07-11 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-07-12 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-07-13 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-07-14 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-07-15 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-07-16 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-07-17 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-07-18 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-07-19 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-07-20 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-07-21 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-07-22 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-07-23 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-07-24 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-07-25 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-07-26 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-07-27 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-07-28 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-07-29 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-07-30 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-07-31 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-08-01 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-08-02 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-08-03 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-08-04 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-08-05 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-08-06 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-08-07 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-08-08 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-08-09 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-08-10 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-08-11 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-08-12 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-08-13 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-08-14 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-08-15 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-08-16 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-08-17 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-08-18 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-08-19 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-08-20 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-08-21 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-08-22 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-08-23 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-08-24 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-08-25 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-08-26 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-08-27 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-08-28 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-08-29 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-08-30 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-08-31 06:00:00', 'surface', 30.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-09-01 06:00:00', 'surface', 32.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-09-02 06:00:00', 'surface', 32.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-09-03 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-09-04 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-09-05 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-09-06 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-09-07 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-09-08 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-09-09 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-09-10 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-09-11 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-09-12 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-09-13 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-09-14 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-09-15 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-09-16 06:00:00', 'surface', 31.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-09-17 06:00:00', 'surface', 31.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-09-18 06:00:00', 'surface', 31.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-09-19 06:00:00', 'surface', 29.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-09-20 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-09-21 06:00:00', 'surface', 29.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-09-22 06:00:00', 'surface', 31.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-09-23 06:00:00', 'surface', 33.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-09-24 06:00:00', 'surface', 33.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-09-25 06:00:00', 'surface', 31.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-09-26 06:00:00', 'surface', 30.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-09-27 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-09-28 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-09-29 06:00:00', 'surface', 29.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-09-30 06:00:00', 'surface', 30.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-10-01 06:00:00', 'surface', 32.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-10-02 06:00:00', 'surface', 32.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-10-03 06:00:00', 'surface', 33.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-10-04 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-10-05 06:00:00', 'surface', 29.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-10-06 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-10-07 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-10-08 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-10-09 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-10-10 06:00:00', 'surface', 30.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-10-11 06:00:00', 'surface', 30.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-10-12 06:00:00', 'surface', 31.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-10-13 06:00:00', 'surface', 30.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-10-14 06:00:00', 'surface', 30.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-10-15 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-10-16 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-10-17 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-10-18 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-10-19 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-10-20 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-10-21 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-10-22 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-10-23 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-10-24 06:00:00', 'surface', 29.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-10-25 06:00:00', 'surface', 30.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-10-26 06:00:00', 'surface', 31.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-10-27 06:00:00', 'surface', 32.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-10-28 06:00:00', 'surface', 33.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-10-29 06:00:00', 'surface', 31.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-10-30 06:00:00', 'surface', 29.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-10-31 06:00:00', 'surface', 29.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-11-01 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-11-02 06:00:00', 'surface', 29.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-11-03 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-11-04 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-11-05 06:00:00', 'surface', 29.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-11-06 06:00:00', 'surface', 30.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-11-07 06:00:00', 'surface', 30.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-11-08 06:00:00', 'surface', 30.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-11-09 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-11-10 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-11-11 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-11-12 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-11-13 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-11-14 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-11-15 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-11-16 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-11-17 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-11-18 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-11-19 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-11-20 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-11-21 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-11-22 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-11-23 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-11-24 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-11-25 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-11-26 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-11-27 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-11-28 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-11-29 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-11-30 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-12-01 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-12-02 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-12-03 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-12-04 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-12-05 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-12-06 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-12-07 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-12-08 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-12-09 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-12-10 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-12-11 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-12-12 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-12-13 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-12-14 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-12-15 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-12-16 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-12-17 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-12-18 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-12-19 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-12-20 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-12-21 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-12-22 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-12-23 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-12-24 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-12-25 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-12-26 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-12-27 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-12-28 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-12-29 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-12-30 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1979-12-31 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-01-01 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-01-02 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-01-03 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-01-04 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-01-05 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-01-06 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-01-07 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-01-08 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-01-09 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-01-10 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-01-11 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-01-12 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-01-13 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-01-14 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-01-15 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-01-16 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-01-17 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-01-18 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-01-19 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-01-20 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-01-21 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-01-22 06:00:00', 'surface', 29.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-01-23 06:00:00', 'surface', 29.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-01-24 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-01-25 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-01-26 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-01-27 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-01-28 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-01-29 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-01-30 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-01-31 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-02-01 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-02-02 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-02-03 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-02-04 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-02-05 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-02-06 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-02-07 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-02-08 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-02-09 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-02-10 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-02-11 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-02-12 06:00:00', 'surface', 30.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-02-13 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-02-14 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-02-15 06:00:00', 'surface', 29.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-02-16 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-02-17 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-02-18 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-02-19 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-02-20 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-02-21 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-02-22 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-02-23 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-02-24 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-02-25 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-02-26 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-02-27 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-02-28 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-02-29 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-03-01 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-03-02 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-03-03 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-03-04 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-03-05 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-03-06 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-03-07 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-03-08 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-03-09 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-03-10 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-03-11 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-03-12 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-03-13 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-03-14 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-03-15 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-03-16 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-03-17 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-03-18 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-03-19 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-03-20 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-03-21 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-03-22 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-03-23 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-03-24 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-03-25 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-03-26 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-03-27 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-03-28 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-03-29 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-03-30 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-03-31 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-04-01 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-04-02 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-04-03 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-04-04 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-04-05 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-04-06 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-04-07 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-04-08 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-04-09 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-04-10 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-04-11 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-04-12 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-04-13 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-04-14 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-04-15 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-04-16 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-04-17 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-04-18 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-04-19 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-04-20 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-04-21 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-04-22 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-04-23 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-04-24 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-04-25 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-04-26 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-04-27 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-04-28 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-04-29 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-04-30 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-05-01 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-05-02 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-05-03 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-05-04 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-05-05 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-05-06 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-05-07 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-05-08 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-05-09 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-05-10 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-05-11 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-05-12 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-05-13 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-05-14 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-05-15 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-05-16 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-05-17 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-05-18 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-05-19 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-05-20 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-05-21 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-05-22 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-05-23 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-05-24 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-05-25 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-05-26 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-05-27 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-05-28 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-05-29 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-05-30 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-05-31 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-06-01 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-06-02 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-06-03 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-06-04 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-06-05 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-06-06 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-06-07 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-06-08 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-06-09 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-06-10 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-06-11 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-06-12 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-06-13 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-06-14 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-06-15 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-06-16 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-06-17 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-06-18 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-06-19 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-06-20 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-06-21 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-06-22 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-06-23 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-06-24 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-06-25 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-06-26 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-06-27 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-06-28 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-06-29 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-06-30 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-07-01 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-07-02 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-07-03 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-07-04 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-07-05 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-07-06 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-07-07 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-07-08 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-07-09 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-07-10 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-07-11 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-07-12 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-07-13 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-07-14 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-07-15 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-07-16 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-07-17 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-07-18 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-07-19 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-07-20 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-07-21 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-07-22 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-07-23 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-07-24 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-07-25 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-07-26 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-07-27 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-07-28 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-07-29 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-07-30 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-07-31 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-08-01 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-08-02 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-08-03 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-08-04 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-08-05 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-08-06 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-08-07 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-08-08 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-08-09 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-08-10 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-08-11 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-08-12 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-08-13 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-08-14 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-08-15 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-08-16 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-08-17 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-08-18 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-08-19 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-08-20 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-08-21 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-08-22 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-08-23 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-08-24 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-08-25 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-08-26 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-08-27 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-08-28 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-08-29 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-08-30 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-08-31 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-09-01 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-09-02 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-09-03 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-09-04 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-09-05 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-09-06 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-09-07 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-09-08 06:00:00', 'surface', 29.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-09-09 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-09-10 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-09-11 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-09-12 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-09-13 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-09-14 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-09-15 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-09-16 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-09-17 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-09-18 06:00:00', 'surface', 30.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-09-19 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-09-20 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-09-21 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-09-22 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-09-23 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-09-24 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-09-25 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-09-26 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-09-27 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-09-28 06:00:00', 'surface', 29.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-09-29 06:00:00', 'surface', 29.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-09-30 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-10-01 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-10-02 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-10-03 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-10-04 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-10-05 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-10-06 06:00:00', 'surface', 29.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-10-07 06:00:00', 'surface', 29.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-10-08 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-10-09 06:00:00', 'surface', 29.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-10-10 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-10-11 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-10-12 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-10-13 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-10-14 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-10-15 06:00:00', 'surface', 31.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-10-16 06:00:00', 'surface', 31.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-10-17 06:00:00', 'surface', 32.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-10-18 06:00:00', 'surface', 30.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-10-19 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-10-20 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-10-21 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-10-22 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-10-23 06:00:00', 'surface', 32.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-10-24 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-10-25 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-10-26 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-10-27 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-10-28 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-10-29 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-10-30 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-10-31 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-11-01 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-11-02 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-11-03 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-11-04 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-11-05 06:00:00', 'surface', 29.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-11-06 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-11-07 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-11-08 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-11-09 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-11-10 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-11-11 06:00:00', 'surface', 30.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-11-12 06:00:00', 'surface', 32.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-11-13 06:00:00', 'surface', 33.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-11-14 06:00:00', 'surface', 30.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-11-15 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-11-16 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-11-17 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-11-18 06:00:00', 'surface', 30.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-11-19 06:00:00', 'surface', 29.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-11-20 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-11-21 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-11-22 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-11-23 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-11-24 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-11-25 06:00:00', 'surface', 29.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-11-26 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-11-27 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-11-28 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-11-29 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-11-30 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-12-01 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-12-02 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-12-03 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-12-04 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-12-05 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-12-06 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-12-07 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-12-08 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-12-09 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-12-10 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-12-11 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-12-12 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-12-13 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-12-14 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-12-15 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-12-16 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-12-17 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-12-18 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-12-19 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-12-20 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-12-21 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-12-22 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-12-23 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-12-24 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-12-25 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-12-26 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-12-27 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-12-28 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-12-29 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-12-30 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1980-12-31 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-01-01 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-01-02 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-01-03 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-01-04 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-01-05 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-01-06 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-01-07 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-01-08 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-01-09 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-01-10 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-01-11 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-01-12 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-01-13 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-01-14 06:00:00', 'surface', 11.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-01-15 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-01-16 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-01-17 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-01-18 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-01-19 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-01-20 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-01-21 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-01-22 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-01-23 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-01-24 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-01-25 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-01-26 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-01-27 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-01-28 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-01-29 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-01-30 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-01-31 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-02-01 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-02-02 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-02-03 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-02-04 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-02-05 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-02-06 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-02-07 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-02-08 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-02-09 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-02-10 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-02-11 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-02-12 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-02-13 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-02-14 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-02-15 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-02-16 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-02-17 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-02-18 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-02-19 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-02-20 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-02-21 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-02-22 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-02-23 06:00:00', 'surface', 11.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-02-24 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-02-25 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-02-26 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-02-27 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-02-28 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-03-01 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-03-02 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-03-03 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-03-04 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-03-05 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-03-06 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-03-07 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-03-08 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-03-09 06:00:00', 'surface', 11.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-03-10 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-03-11 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-03-12 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-03-13 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-03-14 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-03-15 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-03-16 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-03-17 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-03-18 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-03-19 06:00:00', 'surface', 12.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-03-20 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-03-21 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-03-22 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-03-23 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-03-24 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-03-25 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-03-26 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-03-27 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-03-28 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-03-29 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-03-30 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-03-31 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-04-01 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-04-02 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-04-03 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-04-04 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-04-05 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-04-06 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-04-07 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-04-08 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-04-09 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-04-10 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-04-11 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-04-12 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-04-13 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-04-14 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-04-15 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-04-16 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-04-17 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-04-18 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-04-19 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-04-20 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-04-21 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-04-22 06:00:00', 'surface', 11.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-04-23 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-04-24 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-04-25 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-04-26 06:00:00', 'surface', 10.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-04-27 06:00:00', 'surface', 9.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-04-28 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-04-29 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-04-30 06:00:00', 'surface', 8.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-05-01 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-05-02 06:00:00', 'surface', 9.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-05-03 06:00:00', 'surface', 11.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-05-04 06:00:00', 'surface', 8.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-05-05 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-05-06 06:00:00', 'surface', 9.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-05-07 06:00:00', 'surface', 10.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-05-08 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-05-09 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-05-10 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-05-11 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-05-12 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-05-13 06:00:00', 'surface', 11.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-05-14 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-05-15 06:00:00', 'surface', 9.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-05-16 06:00:00', 'surface', 9.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-05-17 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-05-18 06:00:00', 'surface', 4.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-05-19 06:00:00', 'surface', 6.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-05-20 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-05-21 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-05-22 06:00:00', 'surface', 8.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-05-23 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-05-24 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-05-25 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-05-26 06:00:00', 'surface', 5.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-05-27 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-05-28 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-05-29 06:00:00', 'surface', 4.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-05-30 06:00:00', 'surface', 5.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-05-31 06:00:00', 'surface', 4.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-06-01 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-06-02 06:00:00', 'surface', 4.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-06-03 06:00:00', 'surface', 4.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-06-04 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-06-05 06:00:00', 'surface', 6.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-06-06 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-06-07 06:00:00', 'surface', 4.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-06-08 06:00:00', 'surface', 4.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-06-09 06:00:00', 'surface', 6.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-06-10 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-06-11 06:00:00', 'surface', 6.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-06-12 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-06-13 06:00:00', 'surface', 4.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-06-14 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-06-15 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-06-16 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-06-17 06:00:00', 'surface', 10.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-06-18 06:00:00', 'surface', 8.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-06-19 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-06-20 06:00:00', 'surface', 8.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-06-21 06:00:00', 'surface', 8.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-06-22 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-06-23 06:00:00', 'surface', 5.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-06-24 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-06-25 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-06-26 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-06-27 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-06-28 06:00:00', 'surface', 5.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-06-29 06:00:00', 'surface', 4.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-06-30 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-07-01 06:00:00', 'surface', 4.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-07-02 06:00:00', 'surface', 10.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-07-03 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-07-04 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-07-05 06:00:00', 'surface', 12.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-07-06 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-07-07 06:00:00', 'surface', 5.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-07-08 06:00:00', 'surface', 5.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-07-09 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-07-10 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-07-11 06:00:00', 'surface', 6.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-07-12 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-07-13 06:00:00', 'surface', 8.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-07-14 06:00:00', 'surface', 4.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-07-15 06:00:00', 'surface', 2.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-07-16 06:00:00', 'surface', 4.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-07-17 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-07-18 06:00:00', 'surface', 6.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-07-19 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-07-20 06:00:00', 'surface', 8.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-07-21 06:00:00', 'surface', 6.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-07-22 06:00:00', 'surface', 7.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-07-23 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-07-24 06:00:00', 'surface', 5.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-07-25 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-07-26 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-07-27 06:00:00', 'surface', 3.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-07-28 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-07-29 06:00:00', 'surface', 6.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-07-30 06:00:00', 'surface', 9.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-07-31 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-08-01 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-08-02 06:00:00', 'surface', 9.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-08-03 06:00:00', 'surface', 10.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-08-04 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-08-05 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-08-06 06:00:00', 'surface', 10.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-08-07 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-08-08 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-08-09 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-08-10 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-08-11 06:00:00', 'surface', 8.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-08-12 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-08-13 06:00:00', 'surface', 6.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-08-14 06:00:00', 'surface', 6.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-08-15 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-08-16 06:00:00', 'surface', 7.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-08-17 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-08-18 06:00:00', 'surface', 10.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-08-19 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-08-20 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-08-21 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-08-22 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-08-23 06:00:00', 'surface', 11.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-08-24 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-08-25 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-08-26 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-08-27 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-08-28 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-08-29 06:00:00', 'surface', 8.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-08-30 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-08-31 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-09-01 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-09-02 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-09-03 06:00:00', 'surface', 11.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-09-04 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-09-05 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-09-06 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-09-07 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-09-08 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-09-09 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-09-10 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-09-11 06:00:00', 'surface', 10.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-09-12 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-09-13 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-09-14 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-09-15 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-09-16 06:00:00', 'surface', 11.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-09-17 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-09-18 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-09-19 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-09-20 06:00:00', 'surface', 11.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-09-21 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-09-22 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-09-23 06:00:00', 'surface', 10.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-09-24 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-09-25 06:00:00', 'surface', 11.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-09-26 06:00:00', 'surface', 9.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-09-27 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-09-28 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-09-29 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-09-30 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-10-01 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-10-02 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-10-03 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-10-04 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-10-05 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-10-06 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-10-07 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-10-08 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-10-09 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-10-10 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-10-11 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-10-12 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-10-13 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-10-14 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-10-15 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-10-16 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-10-17 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-10-18 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-10-19 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-10-20 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-10-21 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-10-22 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-10-23 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-10-24 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-10-25 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-10-26 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-10-27 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-10-28 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-10-29 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-10-30 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-10-31 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-11-01 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-11-02 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-11-03 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-11-04 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-11-05 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-11-06 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-11-07 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-11-08 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-11-09 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-11-10 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-11-11 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-11-12 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-11-13 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-11-14 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-11-15 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-11-16 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-11-17 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-11-18 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-11-19 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-11-20 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-11-21 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-11-22 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-11-23 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-11-24 06:00:00', 'surface', 11.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-11-25 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-11-26 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-11-27 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-11-28 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-11-29 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-11-30 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-12-01 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-12-02 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-12-03 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-12-04 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-12-05 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-12-06 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-12-07 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-12-08 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-12-09 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-12-10 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-12-11 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-12-12 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-12-13 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-12-14 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-12-15 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-12-16 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-12-17 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-12-18 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-12-19 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-12-20 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-12-21 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-12-22 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-12-23 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-12-24 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-12-25 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-12-26 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-12-27 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-12-28 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-12-29 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-12-30 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1971-12-31 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-01-01 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-01-02 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-01-03 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-01-04 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-01-05 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-01-06 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-01-07 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-01-08 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-01-09 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-01-10 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-01-11 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-01-12 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-01-13 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-01-14 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-01-15 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-01-16 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-01-17 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-01-18 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-01-19 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-01-20 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-01-21 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-01-22 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-01-23 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-01-24 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-01-25 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-01-26 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-01-27 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-01-28 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-01-29 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-01-30 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-01-31 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-02-01 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-02-02 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-02-03 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-02-04 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-02-05 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-02-06 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-02-07 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-02-08 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-02-09 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-02-10 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-02-11 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-02-12 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-02-13 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-02-14 06:00:00', 'surface', 11.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-02-15 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-02-16 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-02-17 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-02-18 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-02-19 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-02-20 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-02-21 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-02-22 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-02-23 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-02-24 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-02-25 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-02-26 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-02-27 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-02-28 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-02-29 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-03-01 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-03-02 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-03-03 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-03-04 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-03-05 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-03-06 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-03-07 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-03-08 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-03-09 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-03-10 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-03-11 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-03-12 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-03-13 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-03-14 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-03-15 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-03-16 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-03-17 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-03-18 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-03-19 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-03-20 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-03-21 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-03-22 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-03-23 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-03-24 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-03-25 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-03-26 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-03-27 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-03-28 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-03-29 06:00:00', 'surface', 12.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-03-30 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-03-31 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-04-01 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-04-02 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-04-03 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-04-04 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-04-05 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-04-06 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-04-07 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-04-08 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-04-09 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-04-10 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-04-11 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-04-12 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-04-13 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-04-14 06:00:00', 'surface', 12.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-04-15 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-04-16 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-04-17 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-04-18 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-04-19 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-04-20 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-04-21 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-04-22 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-04-23 06:00:00', 'surface', 10.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-04-24 06:00:00', 'surface', 11.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-04-25 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-04-26 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-04-27 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-04-28 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-04-29 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-04-30 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-05-01 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-05-02 06:00:00', 'surface', 9.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-05-03 06:00:00', 'surface', 9.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-05-04 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-05-05 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-05-06 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-05-07 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-05-08 06:00:00', 'surface', 10.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-05-09 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-05-10 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-05-11 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-05-12 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-05-13 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-05-14 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-05-15 06:00:00', 'surface', 10.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-05-16 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-05-17 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-05-18 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-05-19 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-05-20 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-05-21 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-05-22 06:00:00', 'surface', 6.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-05-23 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-05-24 06:00:00', 'surface', 9.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-05-25 06:00:00', 'surface', 9.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-05-26 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-05-27 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-05-28 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-05-29 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-05-30 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-05-31 06:00:00', 'surface', 8.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-06-01 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-06-02 06:00:00', 'surface', 8.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-06-03 06:00:00', 'surface', 8.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-06-04 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-06-05 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-06-06 06:00:00', 'surface', 7.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-06-07 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-06-08 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-06-09 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-06-10 06:00:00', 'surface', 6.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-06-11 06:00:00', 'surface', 3.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-06-12 06:00:00', 'surface', 3.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-06-13 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-06-14 06:00:00', 'surface', 4.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-06-15 06:00:00', 'surface', 5.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-06-16 06:00:00', 'surface', 4.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-06-17 06:00:00', 'surface', 3.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-06-18 06:00:00', 'surface', 2.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-06-19 06:00:00', 'surface', 2.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-06-20 06:00:00', 'surface', 2.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-06-21 06:00:00', 'surface', 3.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-06-22 06:00:00', 'surface', 3.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-06-23 06:00:00', 'surface', 4.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-06-24 06:00:00', 'surface', 5.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-06-25 06:00:00', 'surface', 5.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-06-26 06:00:00', 'surface', 6.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-06-27 06:00:00', 'surface', 4.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-06-28 06:00:00', 'surface', 4.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-06-29 06:00:00', 'surface', 2.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-06-30 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-07-01 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-07-02 06:00:00', 'surface', 2.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-07-03 06:00:00', 'surface', 5.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-07-04 06:00:00', 'surface', 5.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-07-05 06:00:00', 'surface', 4.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-07-06 06:00:00', 'surface', 7.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-07-07 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-07-08 06:00:00', 'surface', 5.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-07-09 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-07-10 06:00:00', 'surface', 8.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-07-11 06:00:00', 'surface', 7.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-07-12 06:00:00', 'surface', 5.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-07-13 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-07-14 06:00:00', 'surface', 3.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-07-15 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-07-16 06:00:00', 'surface', 4.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-07-17 06:00:00', 'surface', 6.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-07-18 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-07-19 06:00:00', 'surface', 5.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-07-20 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-07-21 06:00:00', 'surface', 5.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-07-22 06:00:00', 'surface', 6.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-07-23 06:00:00', 'surface', 5.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-07-24 06:00:00', 'surface', 2.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-07-25 06:00:00', 'surface', 5.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-07-26 06:00:00', 'surface', 3.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-07-27 06:00:00', 'surface', 5.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-07-28 06:00:00', 'surface', 4.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-07-29 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-07-30 06:00:00', 'surface', 4.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-07-31 06:00:00', 'surface', 6.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-08-01 06:00:00', 'surface', 6.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-08-02 06:00:00', 'surface', 3.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-08-03 06:00:00', 'surface', 6.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-08-04 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-08-05 06:00:00', 'surface', 5.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-08-06 06:00:00', 'surface', 5.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-08-07 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-08-08 06:00:00', 'surface', 5.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-08-09 06:00:00', 'surface', 5.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-08-10 06:00:00', 'surface', 5.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-08-11 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-08-12 06:00:00', 'surface', 7.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-08-13 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-08-14 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-08-15 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-08-16 06:00:00', 'surface', 5.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-08-17 06:00:00', 'surface', 4.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-08-18 06:00:00', 'surface', 4.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-08-19 06:00:00', 'surface', 6.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-08-20 06:00:00', 'surface', 5.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-08-21 06:00:00', 'surface', 7.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-08-22 06:00:00', 'surface', 7.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-08-23 06:00:00', 'surface', 8.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-08-24 06:00:00', 'surface', 9.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-08-25 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-08-26 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-08-27 06:00:00', 'surface', 11.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-08-28 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-08-29 06:00:00', 'surface', 9.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-08-30 06:00:00', 'surface', 11.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-08-31 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-09-01 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-09-02 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-09-03 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-09-04 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-09-05 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-09-06 06:00:00', 'surface', 6.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-09-07 06:00:00', 'surface', 5.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-09-08 06:00:00', 'surface', 5.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-09-09 06:00:00', 'surface', 10.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-09-10 06:00:00', 'surface', 8.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-09-11 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-09-12 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-09-13 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-09-14 06:00:00', 'surface', 11.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-09-15 06:00:00', 'surface', 10.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-09-16 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-09-17 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-09-18 06:00:00', 'surface', 10.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-09-19 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-09-20 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-09-21 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-09-22 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-09-23 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-09-24 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-09-25 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-09-26 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-09-27 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-09-28 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-09-29 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-09-30 06:00:00', 'surface', 11.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-10-01 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-10-02 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-10-03 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-10-04 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-10-05 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-10-06 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-10-07 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-10-08 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-10-09 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-10-10 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-10-11 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-10-12 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-10-13 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-10-14 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-10-15 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-10-16 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-10-17 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-10-18 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-10-19 06:00:00', 'surface', 12.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-10-20 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-10-21 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-10-22 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-10-23 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-10-24 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-10-25 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-10-26 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-10-27 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-10-28 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-10-29 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-10-30 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-10-31 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-11-01 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-11-02 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-11-03 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-11-04 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-11-05 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-11-06 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-11-07 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-11-08 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-11-09 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-11-10 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-11-11 06:00:00', 'surface', 9.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-11-12 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-11-13 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-11-14 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-11-15 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-11-16 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-11-17 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-11-18 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-11-19 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-11-20 06:00:00', 'surface', 10.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-11-21 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-11-22 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-11-23 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-11-24 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-11-25 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-11-26 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-11-27 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-11-28 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-11-29 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-11-30 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-12-01 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-12-02 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-12-03 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-12-04 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-12-05 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-12-06 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-12-07 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-12-08 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-12-09 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-12-10 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-12-11 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-12-12 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-12-13 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-12-14 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-12-15 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-12-16 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-12-17 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-12-18 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-12-19 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-12-20 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-12-21 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-12-22 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-12-23 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-12-24 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-12-25 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-12-26 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-12-27 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-12-28 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-12-29 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-12-30 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1972-12-31 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-01-01 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-01-02 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-01-03 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-01-04 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-01-05 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-01-06 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-01-07 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-01-08 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-01-09 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-01-10 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-01-11 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-01-12 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-01-13 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-01-14 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-01-15 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-01-16 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-01-17 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-01-18 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-01-19 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-01-20 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-01-21 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-01-22 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-01-23 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-01-24 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-01-25 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-01-26 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-01-27 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-01-28 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-01-29 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-01-30 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-01-31 06:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-02-01 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-02-02 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-02-03 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-02-04 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-02-05 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-02-06 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-02-07 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-02-08 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-02-09 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-02-10 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-02-11 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-02-12 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-02-13 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-02-14 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-02-15 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-02-16 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-02-17 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-02-18 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-02-19 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-02-20 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-02-21 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-02-22 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-02-23 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-02-24 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-02-25 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-02-26 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-02-27 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-02-28 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-03-01 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-03-02 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-03-03 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-03-04 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-03-05 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-03-06 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-03-07 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-03-08 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-03-09 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-03-10 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-03-11 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-03-12 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-03-13 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-03-14 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-03-15 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-03-16 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-03-17 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-03-18 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-03-19 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-03-20 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-03-21 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-03-22 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-03-23 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-03-24 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-03-25 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-03-26 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-03-27 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-03-28 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-03-29 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-03-30 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-03-31 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-04-01 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-04-02 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-04-03 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-04-04 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-04-05 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-04-06 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-04-07 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-04-08 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-04-09 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-04-10 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-04-11 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-04-12 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-04-13 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-04-14 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-04-15 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-04-16 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-04-17 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-04-18 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-04-19 06:00:00', 'surface', 10.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-04-20 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-04-21 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-04-22 06:00:00', 'surface', 11.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-04-23 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-04-24 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-04-25 06:00:00', 'surface', 9.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-04-26 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-04-27 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-04-28 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-04-29 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-04-30 06:00:00', 'surface', 10.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-05-01 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-05-02 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-05-03 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-05-04 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-05-05 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-05-06 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-05-07 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-05-08 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-05-09 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-05-10 06:00:00', 'surface', 8.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-05-11 06:00:00', 'surface', 10.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-05-12 06:00:00', 'surface', 10.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-05-13 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-05-14 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-05-15 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-05-16 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-05-17 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-05-18 06:00:00', 'surface', 9.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-05-19 06:00:00', 'surface', 8.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-05-20 06:00:00', 'surface', 11.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-05-21 06:00:00', 'surface', 9.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-05-22 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-05-23 06:00:00', 'surface', 8.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-05-24 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-05-25 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-05-26 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-05-27 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-05-28 06:00:00', 'surface', 11.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-05-29 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-05-30 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-05-31 06:00:00', 'surface', 8.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-06-01 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-06-02 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-06-03 06:00:00', 'surface', 9.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-06-04 06:00:00', 'surface', 5.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-06-05 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-06-06 06:00:00', 'surface', 4.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-06-07 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-06-08 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-06-09 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-06-10 06:00:00', 'surface', 5.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-06-11 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-06-12 06:00:00', 'surface', 5.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-06-13 06:00:00', 'surface', 6.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-06-14 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-06-15 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-06-16 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-06-17 06:00:00', 'surface', 9.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-06-18 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-06-19 06:00:00', 'surface', 9.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-06-20 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-06-21 06:00:00', 'surface', 5.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-06-22 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-06-23 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-06-24 06:00:00', 'surface', 9.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-06-25 06:00:00', 'surface', 7.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-06-26 06:00:00', 'surface', 6.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-06-27 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-06-28 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-06-29 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-06-30 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-07-01 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-07-02 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-07-03 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-07-04 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-07-05 06:00:00', 'surface', 6.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-07-06 06:00:00', 'surface', 5.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-07-07 06:00:00', 'surface', 6.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-07-08 06:00:00', 'surface', 5.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-07-09 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-07-10 06:00:00', 'surface', 4.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-07-11 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-07-12 06:00:00', 'surface', 2.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-07-13 06:00:00', 'surface', 2.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-07-14 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-07-15 06:00:00', 'surface', 4.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-07-16 06:00:00', 'surface', 2.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-07-17 06:00:00', 'surface', 3.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-07-18 06:00:00', 'surface', 4.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-07-19 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-07-20 06:00:00', 'surface', 5.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-07-21 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-07-22 06:00:00', 'surface', 10.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-07-23 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-07-24 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-07-25 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-07-26 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-07-27 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-07-28 06:00:00', 'surface', 11.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-07-29 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-07-30 06:00:00', 'surface', 8.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-07-31 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-08-01 06:00:00', 'surface', 6.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-08-02 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-08-03 06:00:00', 'surface', 5.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-08-04 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-08-05 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-08-06 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-08-07 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-08-08 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-08-09 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-08-10 06:00:00', 'surface', 10.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-08-11 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-08-12 06:00:00', 'surface', 6.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-08-13 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-08-14 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-08-15 06:00:00', 'surface', 5.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-08-16 06:00:00', 'surface', 8.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-08-17 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-08-18 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-08-19 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-08-20 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-08-21 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-08-22 06:00:00', 'surface', 11.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-08-23 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-08-24 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-08-25 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-08-26 06:00:00', 'surface', 9.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-08-27 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-08-28 06:00:00', 'surface', 10.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-08-29 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-08-30 06:00:00', 'surface', 11.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-08-31 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-09-01 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-09-02 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-09-03 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-09-04 06:00:00', 'surface', 9.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-09-05 06:00:00', 'surface', 8.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-09-06 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-09-07 06:00:00', 'surface', 11.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-09-08 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-09-09 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-09-10 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-09-11 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-09-12 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-09-13 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-09-14 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-09-15 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-09-16 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-09-17 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-09-18 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-09-19 06:00:00', 'surface', 6.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-09-20 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-09-21 06:00:00', 'surface', 10.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-09-22 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-09-23 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-09-24 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-09-25 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-09-26 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-09-27 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-09-28 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-09-29 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-09-30 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-10-01 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-10-02 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-10-03 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-10-04 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-10-05 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-10-06 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-10-07 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-10-08 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-10-09 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-10-10 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-10-11 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-10-12 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-10-13 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-10-14 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-10-15 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-10-16 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-10-17 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-10-18 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-10-19 06:00:00', 'surface', 11.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-10-20 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-10-21 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-10-22 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-10-23 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-10-24 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-10-25 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-10-26 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-10-27 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-10-28 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-10-29 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-10-30 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-10-31 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-11-01 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-11-02 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-11-03 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-11-04 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-11-05 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-11-06 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-11-07 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-11-08 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-11-09 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-11-10 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-11-11 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-11-12 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-11-13 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-11-14 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-11-15 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-11-16 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-11-17 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-11-18 06:00:00', 'surface', 11.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-11-19 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-11-20 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-11-21 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-11-22 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-11-23 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-11-24 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-11-25 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-11-26 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-11-27 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-11-28 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-11-29 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-11-30 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-12-01 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-12-02 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-12-03 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-12-04 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-12-05 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-12-06 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-12-07 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-12-08 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-12-09 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-12-10 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-12-11 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-12-12 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-12-13 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-12-14 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-12-15 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-12-16 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-12-17 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-12-18 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-12-19 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-12-20 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-12-21 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-12-22 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-12-23 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-12-24 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-12-25 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-08-01 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-08-02 06:00:00', 'surface', 4.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-08-03 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-08-04 06:00:00', 'surface', 8.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-08-05 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-08-06 06:00:00', 'surface', 4.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-08-07 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-08-08 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-08-09 06:00:00', 'surface', 5.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-08-10 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-08-11 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-08-12 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-08-13 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-08-14 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-08-15 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-08-16 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-08-17 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-08-18 06:00:00', 'surface', 5.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-08-19 06:00:00', 'surface', 8.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-08-20 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-08-21 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-08-22 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-08-23 06:00:00', 'surface', 5.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-08-24 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-08-25 06:00:00', 'surface', 10.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-08-26 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-08-27 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-08-28 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-08-29 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-08-30 06:00:00', 'surface', 10.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-08-31 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-09-01 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-09-02 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-09-03 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-09-04 06:00:00', 'surface', 8.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-09-05 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-09-06 06:00:00', 'surface', 8.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-09-07 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-09-08 06:00:00', 'surface', 9.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-09-09 06:00:00', 'surface', 8.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-09-10 06:00:00', 'surface', 12.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-09-11 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-09-12 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-09-13 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-09-14 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-09-15 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-09-16 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-09-17 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-09-18 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-09-19 06:00:00', 'surface', 10.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-09-20 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-09-21 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-09-22 06:00:00', 'surface', 10.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-09-23 06:00:00', 'surface', 11.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-09-24 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-09-25 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-09-26 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-09-27 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-09-28 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-09-29 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-09-30 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-10-01 06:00:00', 'surface', 12.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-10-02 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-10-03 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-10-04 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-10-05 06:00:00', 'surface', 8.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-10-06 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-10-07 06:00:00', 'surface', 5.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-10-08 06:00:00', 'surface', 8.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-10-09 06:00:00', 'surface', 8.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-10-10 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-10-11 06:00:00', 'surface', 10.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-10-12 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-10-13 06:00:00', 'surface', 11.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-10-14 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-10-15 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-10-16 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-10-17 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-10-18 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-10-19 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-10-20 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-10-21 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-10-22 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-10-23 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-10-24 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-10-25 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-10-26 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-10-27 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-10-28 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-10-29 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-10-30 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-10-31 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-11-01 06:00:00', 'surface', 11.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-11-02 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-11-03 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-11-04 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-11-05 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-11-06 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-11-07 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-11-08 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-11-09 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-11-10 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-11-11 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-11-12 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-11-13 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-11-14 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-11-15 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-11-16 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-11-17 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-11-18 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-11-19 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-11-20 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-11-21 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-11-22 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-11-23 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-11-24 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-11-25 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-11-26 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-11-27 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-11-28 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-11-29 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-11-30 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-12-01 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-12-02 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-12-03 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-12-04 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-12-05 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-12-06 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-12-07 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-12-08 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-12-09 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-12-10 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-12-11 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-12-12 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-12-13 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-12-14 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-12-15 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-12-16 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-12-17 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-12-18 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-12-19 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-12-20 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-12-21 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-12-22 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-12-23 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-12-24 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-12-25 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-12-26 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-12-27 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-12-28 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-12-29 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-12-30 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-12-31 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-01-01 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-01-02 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-01-03 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-01-04 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-01-05 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-01-06 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-01-07 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-01-08 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-01-09 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-01-10 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-01-11 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-01-12 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-01-13 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-01-14 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-01-15 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-01-16 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-01-17 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-01-18 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-01-19 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-01-20 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-01-21 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-01-22 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-01-23 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-01-24 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-01-25 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-01-26 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-01-27 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-01-28 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-01-29 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-01-30 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-01-31 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-02-01 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-02-02 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-02-03 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-02-04 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-02-05 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-02-06 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-02-07 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-02-08 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-02-09 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-02-10 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-02-11 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-02-12 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-02-13 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-02-14 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-02-15 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-02-16 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-02-17 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-02-18 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-02-19 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-02-20 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-02-21 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-02-22 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-02-23 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-02-24 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-02-25 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-02-26 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-02-27 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-02-28 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-02-29 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-03-01 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-03-02 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-03-03 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-03-04 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-03-05 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-03-06 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-03-07 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-03-08 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-03-09 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-03-10 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-03-11 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-03-12 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-03-13 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-03-14 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-03-15 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-03-16 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-03-17 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-03-18 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-03-19 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-03-20 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-03-21 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-03-22 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-03-23 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-03-24 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-03-25 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-03-26 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-03-27 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-03-28 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-03-29 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-03-30 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-03-31 06:00:00', 'surface', 10.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-04-01 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-04-02 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-04-03 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-04-04 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-04-05 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-04-06 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-04-07 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-04-08 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-04-09 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-04-10 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-04-11 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-04-12 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-04-13 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-04-14 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-04-15 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-04-16 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-04-17 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-04-18 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-04-19 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-04-20 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-04-21 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-04-22 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-04-23 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-04-24 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-04-25 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-04-26 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-04-27 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-04-28 06:00:00', 'surface', 11.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-04-29 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-04-30 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-05-01 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-05-02 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-05-03 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-05-04 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-05-05 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-05-06 06:00:00', 'surface', 11.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-05-07 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-05-08 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-05-09 06:00:00', 'surface', 6.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-05-10 06:00:00', 'surface', 11.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-05-11 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-05-12 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-05-13 06:00:00', 'surface', 8.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-05-14 06:00:00', 'surface', 6.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-05-15 06:00:00', 'surface', 5.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-05-16 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-05-17 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-05-18 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-05-19 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-05-20 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-05-21 06:00:00', 'surface', 8.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-05-22 06:00:00', 'surface', 8.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-05-23 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-05-24 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-05-25 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-05-26 06:00:00', 'surface', 7.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-05-27 06:00:00', 'surface', 5.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-05-28 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-05-29 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-05-30 06:00:00', 'surface', 8.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-05-31 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-06-01 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-06-02 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-06-03 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-06-04 06:00:00', 'surface', 6.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-06-05 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-06-06 06:00:00', 'surface', 5.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-06-07 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-06-08 06:00:00', 'surface', 6.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-06-09 06:00:00', 'surface', 5.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-06-10 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-06-11 06:00:00', 'surface', 8.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-06-12 06:00:00', 'surface', 8.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-06-13 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-06-14 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-06-15 06:00:00', 'surface', 8.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-06-16 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-06-17 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-06-18 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-06-19 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-06-20 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-06-21 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-06-22 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-06-23 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-06-24 06:00:00', 'surface', 6.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-06-25 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-06-26 06:00:00', 'surface', 5.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-06-27 06:00:00', 'surface', 5.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-06-28 06:00:00', 'surface', 5.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-06-29 06:00:00', 'surface', 9.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-06-30 06:00:00', 'surface', 4.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-07-01 06:00:00', 'surface', 3.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-07-02 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-07-03 06:00:00', 'surface', 5.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-07-04 06:00:00', 'surface', 9.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-07-05 06:00:00', 'surface', 5.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-07-06 06:00:00', 'surface', 4.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-07-07 06:00:00', 'surface', 5.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-07-08 06:00:00', 'surface', 6.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-07-09 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-07-10 06:00:00', 'surface', 5.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-07-11 06:00:00', 'surface', 6.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-07-12 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-07-13 06:00:00', 'surface', 4.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-07-14 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-07-15 06:00:00', 'surface', 2.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-07-16 06:00:00', 'surface', 5.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-07-17 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-07-18 06:00:00', 'surface', 2.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-07-19 06:00:00', 'surface', 4.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-07-20 06:00:00', 'surface', 6.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-07-21 06:00:00', 'surface', 3.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-07-22 06:00:00', 'surface', 2.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-07-23 06:00:00', 'surface', 4.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-07-24 06:00:00', 'surface', 6.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-07-25 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-07-26 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-07-27 06:00:00', 'surface', 8.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-07-28 06:00:00', 'surface', 9.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-07-29 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-07-30 06:00:00', 'surface', 8.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-07-31 06:00:00', 'surface', 4.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-08-01 06:00:00', 'surface', 4.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-08-02 06:00:00', 'surface', 4.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-08-03 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-08-04 06:00:00', 'surface', 5.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-08-05 06:00:00', 'surface', 1.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-12-26 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-12-27 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-12-28 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-12-29 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-12-30 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1973-12-31 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-01-01 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-01-02 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-01-03 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-01-04 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-01-05 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-01-06 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-01-07 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-01-08 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-01-09 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-01-10 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-01-11 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-01-12 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-01-13 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-01-14 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-01-15 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-01-16 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-01-17 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-01-18 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-01-19 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-01-20 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-01-21 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-01-22 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-01-23 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-01-24 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-01-25 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-01-26 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-01-27 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-01-28 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-01-29 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-01-30 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-01-31 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-02-01 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-02-02 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-02-03 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-02-04 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-02-05 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-02-06 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-02-07 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-02-08 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-02-09 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-02-10 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-02-11 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-02-12 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-02-13 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-02-14 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-02-15 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-02-16 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-02-17 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-02-18 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-02-19 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-02-20 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-02-21 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-02-22 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-02-23 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-02-24 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-02-25 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-02-26 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-02-27 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-02-28 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-03-01 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-03-02 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-03-03 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-03-04 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-03-05 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-03-06 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-03-07 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-03-08 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-03-09 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-03-10 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-03-11 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-03-12 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-03-13 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-03-14 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-03-15 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-03-16 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-03-17 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-03-18 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-03-19 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-03-20 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-03-21 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-03-22 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-03-23 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-03-24 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-03-25 06:00:00', 'surface', 11.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-03-26 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-03-27 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-03-28 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-03-29 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-03-30 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-03-31 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-04-01 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-04-02 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-04-03 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-04-04 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-04-05 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-04-06 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-04-07 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-04-08 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-04-09 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-04-10 06:00:00', 'surface', 10.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-04-11 06:00:00', 'surface', 10.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-04-12 06:00:00', 'surface', 11.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-04-13 06:00:00', 'surface', 12.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-04-14 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-04-15 06:00:00', 'surface', 9.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-04-16 06:00:00', 'surface', 11.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-04-17 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-04-18 06:00:00', 'surface', 11.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-04-19 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-04-20 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-04-21 06:00:00', 'surface', 10.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-04-22 06:00:00', 'surface', 10.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-04-23 06:00:00', 'surface', 11.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-04-24 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-04-25 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-04-26 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-04-27 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-04-28 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-04-29 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-04-30 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-05-01 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-05-02 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-05-03 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-05-04 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-05-05 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-05-06 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-05-07 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-05-08 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-05-09 06:00:00', 'surface', 10.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-05-10 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-05-11 06:00:00', 'surface', 10.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-05-12 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-05-13 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-05-14 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-05-15 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-05-16 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-05-17 06:00:00', 'surface', 10.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-05-18 06:00:00', 'surface', 5.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-05-19 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-05-20 06:00:00', 'surface', 4.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-05-21 06:00:00', 'surface', 6.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-05-22 06:00:00', 'surface', 5.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-05-23 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-05-24 06:00:00', 'surface', 9.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-05-25 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-05-26 06:00:00', 'surface', 9.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-05-27 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-05-28 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-05-29 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-05-30 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-05-31 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-06-01 06:00:00', 'surface', 5.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-06-02 06:00:00', 'surface', 5.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-06-03 06:00:00', 'surface', 4.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-06-04 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-06-05 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-06-06 06:00:00', 'surface', 4.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-06-07 06:00:00', 'surface', 5.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-06-08 06:00:00', 'surface', 4.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-06-09 06:00:00', 'surface', 5.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-06-10 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-06-11 06:00:00', 'surface', 5.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-06-12 06:00:00', 'surface', 7.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-06-13 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-06-14 06:00:00', 'surface', 4.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-06-15 06:00:00', 'surface', 1.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-06-16 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-06-17 06:00:00', 'surface', 2.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-06-18 06:00:00', 'surface', 5.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-06-19 06:00:00', 'surface', 4.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-06-20 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-06-21 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-06-22 06:00:00', 'surface', 4.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-06-23 06:00:00', 'surface', 5.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-06-24 06:00:00', 'surface', 5.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-06-25 06:00:00', 'surface', 5.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-06-26 06:00:00', 'surface', 6.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-06-27 06:00:00', 'surface', 10.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-06-28 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-06-29 06:00:00', 'surface', 8.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-06-30 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-07-01 06:00:00', 'surface', 5.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-07-02 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-07-03 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-07-04 06:00:00', 'surface', 3.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-07-05 06:00:00', 'surface', 4.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-07-06 06:00:00', 'surface', 6.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-07-07 06:00:00', 'surface', 7.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-07-08 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-07-09 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-07-10 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-07-11 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-07-12 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-07-13 06:00:00', 'surface', 8.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-07-14 06:00:00', 'surface', 3.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-07-15 06:00:00', 'surface', 5.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-07-16 06:00:00', 'surface', 5.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-07-17 06:00:00', 'surface', 6.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-07-18 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-07-19 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-07-20 06:00:00', 'surface', 8.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-07-21 06:00:00', 'surface', 5.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-07-22 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-07-23 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-07-24 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-07-25 06:00:00', 'surface', 5.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-07-26 06:00:00', 'surface', 5.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-07-27 06:00:00', 'surface', 1.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-07-28 06:00:00', 'surface', 3.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-07-29 06:00:00', 'surface', 4.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-07-30 06:00:00', 'surface', 2.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-07-31 06:00:00', 'surface', 5.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-08-01 06:00:00', 'surface', 6.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-08-02 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-08-03 06:00:00', 'surface', 6.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-08-04 06:00:00', 'surface', 4.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-08-05 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-08-06 06:00:00', 'surface', 5.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-08-07 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-08-08 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-08-09 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-08-10 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-08-11 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-08-12 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-08-13 06:00:00', 'surface', 9.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-08-14 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-08-15 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-08-16 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-08-17 06:00:00', 'surface', 6.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-08-18 06:00:00', 'surface', 7.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-08-19 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-08-20 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-08-21 06:00:00', 'surface', 10.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-08-22 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-08-23 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-08-24 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-08-25 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-08-26 06:00:00', 'surface', 11.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-08-27 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-08-28 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-08-29 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-08-30 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-08-31 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-09-01 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-09-02 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-09-03 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-09-04 06:00:00', 'surface', 9.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-09-05 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-09-06 06:00:00', 'surface', 10.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-09-07 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-09-08 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-09-09 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-09-10 06:00:00', 'surface', 4.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-09-11 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-09-12 06:00:00', 'surface', 8.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-09-13 06:00:00', 'surface', 9.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-09-14 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-09-15 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-09-16 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-09-17 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-09-18 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-09-19 06:00:00', 'surface', 11.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-09-20 06:00:00', 'surface', 9.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-09-21 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-09-22 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-09-23 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-09-24 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-09-25 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-09-26 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-09-27 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-09-28 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-09-29 06:00:00', 'surface', 9.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-09-30 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-10-01 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-10-02 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-10-03 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-10-04 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-10-05 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-10-06 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-10-07 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-10-08 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-10-09 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-10-10 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-10-11 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-10-12 06:00:00', 'surface', 10.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-10-13 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-10-14 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-10-15 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-10-16 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-10-17 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-10-18 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-10-19 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-10-20 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-10-21 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-10-22 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-10-23 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-10-24 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-10-25 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-10-26 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-10-27 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-10-28 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-10-29 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-10-30 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-10-31 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-11-01 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-11-02 06:00:00', 'surface', 12.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-11-03 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-11-04 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-11-05 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-11-06 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-11-07 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-11-08 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-11-09 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-11-10 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-11-11 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-11-12 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-11-13 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-11-14 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-11-15 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-11-16 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-11-17 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-11-18 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-11-19 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-11-20 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-11-21 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-11-22 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-11-23 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-11-24 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-11-25 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-11-26 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-11-27 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-11-28 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-11-29 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-11-30 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-12-01 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-12-02 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-12-03 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-12-04 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-12-05 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-12-06 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-12-07 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-12-08 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-12-09 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-12-10 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-12-11 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-12-12 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-12-13 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-12-14 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-12-15 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-12-16 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-12-17 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-12-18 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-12-19 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-12-20 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-12-21 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-12-22 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-12-23 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-12-24 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-12-25 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-12-26 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-12-27 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-12-28 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-12-29 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-12-30 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1974-12-31 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-01-01 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-01-02 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-01-03 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-01-04 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-01-05 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-01-06 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-01-07 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-01-08 06:00:00', 'surface', 12.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-01-09 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-01-10 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-01-11 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-01-12 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-01-13 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-01-14 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-01-15 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-01-16 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-01-17 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-01-18 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-01-19 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-01-20 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-01-21 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-01-22 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-01-23 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-01-24 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-01-25 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-01-26 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-01-27 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-01-28 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-01-29 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-01-30 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-01-31 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-02-01 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-02-02 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-02-03 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-02-04 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-02-05 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-02-06 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-02-07 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-02-08 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-02-09 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-02-10 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-02-11 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-02-12 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-02-13 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-02-14 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-02-15 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-02-16 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-02-17 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-02-18 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-02-19 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-02-20 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-02-21 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-02-22 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-02-23 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-02-24 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-02-25 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-02-26 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-02-27 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-02-28 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-03-01 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-03-02 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-03-03 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-03-04 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-03-05 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-03-06 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-03-07 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-03-08 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-03-09 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-03-10 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-03-11 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-03-12 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-03-13 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-03-14 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-03-15 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-03-16 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-03-17 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-03-18 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-03-19 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-03-20 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-03-21 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-03-22 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-03-23 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-03-24 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-03-25 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-03-26 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-03-27 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-03-28 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-03-29 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-03-30 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-03-31 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-04-01 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-04-02 06:00:00', 'surface', 10.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-04-03 06:00:00', 'surface', 11.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-04-04 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-04-05 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-04-06 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-04-07 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-04-08 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-04-09 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-04-10 06:00:00', 'surface', 11.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-04-11 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-04-12 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-04-13 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-04-14 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-04-15 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-04-16 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-04-17 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-04-18 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-04-19 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-04-20 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-04-21 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-04-22 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-04-23 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-04-24 06:00:00', 'surface', 10.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-04-25 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-04-26 06:00:00', 'surface', 8.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-04-27 06:00:00', 'surface', 12.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-04-28 06:00:00', 'surface', 10.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-04-29 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-04-30 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-05-01 06:00:00', 'surface', 11.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-05-02 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-05-03 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-05-04 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-05-05 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-05-06 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-05-07 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-05-08 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-05-09 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-05-10 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-05-11 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-05-12 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-05-13 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-05-14 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-05-15 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-05-16 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-05-17 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-05-18 06:00:00', 'surface', 5.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-05-19 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-05-20 06:00:00', 'surface', 9.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-05-21 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-05-22 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-05-23 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-05-24 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-05-25 06:00:00', 'surface', 9.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-05-26 06:00:00', 'surface', 9.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-05-27 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-05-28 06:00:00', 'surface', 8.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-05-29 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-05-30 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-05-31 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-06-01 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-06-02 06:00:00', 'surface', 6.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-06-03 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-06-04 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-06-05 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-06-06 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-06-07 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-06-08 06:00:00', 'surface', 6.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-06-09 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-06-10 06:00:00', 'surface', 5.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-06-11 06:00:00', 'surface', 5.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-06-12 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-06-13 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-06-14 06:00:00', 'surface', 4.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-06-15 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-06-16 06:00:00', 'surface', 4.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-06-17 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-06-18 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-06-19 06:00:00', 'surface', 5.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-06-20 06:00:00', 'surface', 5.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-06-21 06:00:00', 'surface', 5.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-06-22 06:00:00', 'surface', 5.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-06-23 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-06-24 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-06-25 06:00:00', 'surface', 8.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-06-26 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-06-27 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-06-28 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-06-29 06:00:00', 'surface', 4.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-06-30 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-07-01 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-07-02 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-07-03 06:00:00', 'surface', 5.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-07-04 06:00:00', 'surface', 5.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-07-05 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-07-06 06:00:00', 'surface', 5.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-07-07 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-07-08 06:00:00', 'surface', 9.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-07-09 06:00:00', 'surface', 9.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-07-10 06:00:00', 'surface', 7.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-07-11 06:00:00', 'surface', 6.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-07-12 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-07-13 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-07-14 06:00:00', 'surface', 7.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-07-15 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-07-16 06:00:00', 'surface', 5.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-07-17 06:00:00', 'surface', 4.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-07-18 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-07-19 06:00:00', 'surface', 3.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-07-20 06:00:00', 'surface', 3.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-07-21 06:00:00', 'surface', 5.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-07-22 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-07-23 06:00:00', 'surface', 8.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-07-24 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-07-25 06:00:00', 'surface', 0.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-07-26 06:00:00', 'surface', 1.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-07-27 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-07-28 06:00:00', 'surface', 3.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-07-29 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-07-30 06:00:00', 'surface', 5.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1975-07-31 06:00:00', 'surface', 4.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-08-06 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-08-07 06:00:00', 'surface', 4.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-08-08 06:00:00', 'surface', 4.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-08-09 06:00:00', 'surface', 3.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-08-10 06:00:00', 'surface', 5.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-08-11 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-08-12 06:00:00', 'surface', 5.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-08-13 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-08-14 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-08-15 06:00:00', 'surface', 3.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-08-16 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-08-17 06:00:00', 'surface', 6.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-08-18 06:00:00', 'surface', 4.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-08-19 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-08-20 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-08-21 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-08-22 06:00:00', 'surface', 6.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-08-23 06:00:00', 'surface', 8.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-08-24 06:00:00', 'surface', 8.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-08-25 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-08-26 06:00:00', 'surface', 9.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-08-27 06:00:00', 'surface', 8.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-08-28 06:00:00', 'surface', 5.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-08-29 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-08-30 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-08-31 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-09-01 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-09-02 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-09-03 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-09-04 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-09-05 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-09-06 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-09-07 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-09-08 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-09-09 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-09-10 06:00:00', 'surface', 8.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-09-11 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-09-12 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-09-13 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-09-14 06:00:00', 'surface', 8.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-09-15 06:00:00', 'surface', 8.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-09-16 06:00:00', 'surface', 7.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-09-17 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-09-18 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-09-19 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-09-20 06:00:00', 'surface', 12.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-09-21 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-09-22 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-09-23 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-09-24 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-09-25 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-09-26 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-09-27 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-09-28 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-09-29 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-09-30 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-10-01 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-10-02 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-10-03 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-10-04 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-10-05 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-10-06 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-10-07 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-10-08 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-10-09 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-10-10 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-10-11 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-10-12 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-10-13 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-10-14 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-10-15 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-10-16 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-10-17 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-10-18 06:00:00', 'surface', 11.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-10-19 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-10-20 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-10-21 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-10-22 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-10-23 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-10-24 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-10-25 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-10-26 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-10-27 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-10-28 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-10-29 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-10-30 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-10-31 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-11-01 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-11-02 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-11-03 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-11-04 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-11-05 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-11-06 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-11-07 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-11-08 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-11-09 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-11-10 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-11-11 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-11-12 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-11-13 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-11-14 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-11-15 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-11-16 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-11-17 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-11-18 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-11-19 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-11-20 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-11-21 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-11-22 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-11-23 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-11-24 06:00:00', 'surface', 18.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-11-25 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-11-26 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-11-27 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-11-28 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-11-29 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-11-30 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-12-01 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-12-02 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-12-03 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-12-04 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-12-05 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-12-06 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-12-07 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-12-08 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-12-09 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-12-10 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-12-11 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-12-12 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-12-13 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-12-14 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-12-15 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-12-16 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-12-17 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-12-18 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-12-19 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-12-20 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-12-21 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-12-22 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-12-23 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-12-24 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-12-25 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-12-26 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-12-27 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-12-28 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-12-29 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-12-30 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1976-12-31 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-01-01 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-01-02 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-01-03 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-01-04 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-01-05 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-01-06 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-01-07 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-01-08 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-01-09 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-01-10 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-01-11 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-01-12 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-01-13 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-01-14 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-01-15 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-01-16 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-01-17 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-01-18 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-01-19 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-01-20 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-01-21 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-01-22 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-01-23 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-01-24 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-01-25 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-01-26 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-01-27 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-01-28 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-01-29 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-01-30 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-01-31 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-02-01 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-02-02 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-02-03 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-02-04 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-02-05 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-02-06 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-02-07 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-02-08 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-02-09 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-02-10 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-02-11 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-02-12 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-02-13 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-02-14 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-02-15 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-02-16 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-02-17 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-02-18 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-02-19 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-02-20 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-02-21 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-02-22 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-02-23 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-02-24 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-02-25 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-02-26 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-02-27 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-02-28 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-03-01 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-03-02 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-03-03 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-03-04 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-03-05 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-03-06 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-03-07 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-03-08 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-03-09 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-03-10 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-03-11 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-03-12 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-03-13 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-03-14 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-03-15 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-03-16 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-03-17 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-03-18 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-03-19 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-03-20 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-03-21 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-03-22 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-03-23 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-03-24 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-03-25 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-03-26 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-03-27 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-03-28 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-03-29 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-03-30 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-03-31 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-04-01 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-04-02 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-04-03 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-04-04 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-04-05 06:00:00', 'surface', 12.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-04-06 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-04-07 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-04-08 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-04-09 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-04-10 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-04-11 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-04-12 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-04-13 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-04-14 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-04-15 06:00:00', 'surface', 9.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-04-16 06:00:00', 'surface', 8.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-04-17 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-04-18 06:00:00', 'surface', 9.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-04-19 06:00:00', 'surface', 9.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-04-20 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-04-21 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-04-22 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-04-23 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-04-24 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-04-25 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-04-26 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-04-27 06:00:00', 'surface', 10.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-04-28 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-04-29 06:00:00', 'surface', 10.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-04-30 06:00:00', 'surface', 10.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-05-01 06:00:00', 'surface', 9.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-05-02 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-05-03 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-05-04 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-05-05 06:00:00', 'surface', 10.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-05-06 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-05-07 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-05-08 06:00:00', 'surface', 11.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-05-09 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-05-10 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-05-11 06:00:00', 'surface', 11.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-05-12 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-05-13 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-05-14 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-05-15 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-05-16 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-05-17 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-05-18 06:00:00', 'surface', 9.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-05-19 06:00:00', 'surface', 8.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-05-20 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-05-21 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-05-22 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-05-23 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-05-24 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-05-25 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-05-26 06:00:00', 'surface', 8.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-05-27 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-05-28 06:00:00', 'surface', 4.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-05-29 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-05-30 06:00:00', 'surface', 5.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-05-31 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-06-01 06:00:00', 'surface', 5.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-06-02 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-06-03 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-06-04 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-06-05 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-06-06 06:00:00', 'surface', 7.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-06-07 06:00:00', 'surface', 5.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-06-08 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-06-09 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-06-10 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-06-11 06:00:00', 'surface', 5.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-06-12 06:00:00', 'surface', 4.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-06-13 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-06-14 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-06-15 06:00:00', 'surface', 6.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-06-16 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-06-17 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-06-18 06:00:00', 'surface', 6.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-06-19 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-06-20 06:00:00', 'surface', 5.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-06-21 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-06-22 06:00:00', 'surface', 6.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-06-23 06:00:00', 'surface', 6.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-06-24 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-06-25 06:00:00', 'surface', 4.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-06-26 06:00:00', 'surface', 4.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-06-27 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-06-28 06:00:00', 'surface', 3.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-06-29 06:00:00', 'surface', 5.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-06-30 06:00:00', 'surface', 8.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-07-01 06:00:00', 'surface', 9.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-07-02 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-07-03 06:00:00', 'surface', 9.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-07-04 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-07-05 06:00:00', 'surface', 1.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-07-06 06:00:00', 'surface', 3.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-07-07 06:00:00', 'surface', 3.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-07-08 06:00:00', 'surface', 3.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-07-09 06:00:00', 'surface', 5.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-07-10 06:00:00', 'surface', 3.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-07-11 06:00:00', 'surface', 4.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-07-12 06:00:00', 'surface', 6.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-07-13 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-07-14 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-07-15 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-07-16 06:00:00', 'surface', 9.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-07-17 06:00:00', 'surface', 8.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-07-18 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-07-19 06:00:00', 'surface', 5.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-07-20 06:00:00', 'surface', 5.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-07-21 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-07-22 06:00:00', 'surface', 5.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-07-23 06:00:00', 'surface', 8.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-07-24 06:00:00', 'surface', 8.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-07-25 06:00:00', 'surface', 10.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-07-26 06:00:00', 'surface', 4.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-07-27 06:00:00', 'surface', 5.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-07-28 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-07-29 06:00:00', 'surface', 4.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-07-30 06:00:00', 'surface', 4.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-07-31 06:00:00', 'surface', 8.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-08-01 06:00:00', 'surface', 10.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-08-02 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-08-03 06:00:00', 'surface', 6.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-08-04 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-08-05 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-08-06 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-08-07 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-08-08 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-08-09 06:00:00', 'surface', 6.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-08-10 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-08-11 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-08-12 06:00:00', 'surface', 8.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-08-13 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-08-14 06:00:00', 'surface', 4.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-08-15 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-08-16 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-08-17 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-08-18 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-08-19 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-08-20 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-08-21 06:00:00', 'surface', 11.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-08-22 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-08-23 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-08-24 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-08-25 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-08-26 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-08-27 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-08-28 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-08-29 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-08-30 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-08-31 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-09-01 06:00:00', 'surface', 9.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-09-02 06:00:00', 'surface', 9.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-09-03 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-09-04 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-09-05 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-09-06 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-09-07 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-09-08 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-09-09 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-09-10 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-09-11 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-09-12 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-09-13 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-09-14 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-09-15 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-09-16 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-09-17 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-09-18 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-09-19 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-09-20 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-09-21 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-09-22 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-09-23 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-09-24 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-09-25 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-09-26 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-09-27 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-09-28 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-09-29 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-09-30 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-10-01 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-10-02 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-10-03 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-10-04 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-10-05 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-10-06 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-10-07 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-10-08 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-10-09 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-10-10 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-10-11 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-10-12 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-10-13 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-10-14 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-10-15 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-10-16 06:00:00', 'surface', 11.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-10-17 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-10-18 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-10-19 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-10-20 06:00:00', 'surface', 18.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-10-21 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-10-22 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-10-23 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-10-24 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-10-25 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-10-26 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-10-27 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-10-28 06:00:00', 'surface', 10.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-10-29 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-10-30 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-10-31 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-11-01 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-11-02 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-11-03 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-11-04 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-11-05 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-11-06 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-11-07 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-11-08 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-11-09 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-11-10 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-11-11 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-11-12 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-11-13 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-11-14 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-11-15 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-11-16 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-11-17 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-11-18 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-11-19 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-11-20 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-11-21 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-11-22 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-11-23 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-11-24 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-11-25 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-11-26 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-11-27 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-11-28 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-11-29 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-11-30 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-12-01 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-12-02 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-12-03 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-12-04 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-12-05 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-12-06 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-12-07 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-12-08 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-12-09 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-12-10 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-12-11 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-12-12 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-12-13 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-12-14 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-12-15 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-12-16 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-12-17 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-12-18 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-12-19 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-12-20 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-12-21 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-12-22 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-12-23 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-12-24 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-12-25 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-12-26 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-12-27 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-12-28 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-12-29 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-12-30 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1977-12-31 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-01-01 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-01-02 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-01-03 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-01-04 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-01-05 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-01-06 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-01-07 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-01-08 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-01-09 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-01-10 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-01-11 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-01-12 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-01-13 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-01-14 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-01-15 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-01-16 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-01-17 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-01-18 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-01-19 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-01-20 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-01-21 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-01-22 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-01-23 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-01-24 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-01-25 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-01-26 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-01-27 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-01-28 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-01-29 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-01-30 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-01-31 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-02-01 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-02-02 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-02-03 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-02-04 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-02-05 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-02-06 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-02-07 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-02-08 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-02-09 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-02-10 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-02-11 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-02-12 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-02-13 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-02-14 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-02-15 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-02-16 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-02-17 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-02-18 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-02-19 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-02-20 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-02-21 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-02-22 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-02-23 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-02-24 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-02-25 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-02-26 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-02-27 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-02-28 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-03-01 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-03-02 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-03-03 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-03-04 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-03-05 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-03-06 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-03-07 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-03-08 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-03-09 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-03-10 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-03-11 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-03-12 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-03-13 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-03-14 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-03-15 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-03-16 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-03-17 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-03-18 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-03-19 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-03-20 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-03-21 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-03-22 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-03-23 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-03-24 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-03-25 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-03-26 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-03-27 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-03-28 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-03-29 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-03-30 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-03-31 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-04-01 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-04-02 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-04-03 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-04-04 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-04-05 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-04-06 06:00:00', 'surface', 11.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-04-07 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-04-08 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-04-09 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-04-10 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-04-11 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-04-12 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-04-13 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-04-14 06:00:00', 'surface', 11.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-04-15 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-04-16 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-04-17 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-04-18 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-04-19 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-04-20 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-04-21 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-04-22 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-04-23 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-04-24 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-04-25 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-04-26 06:00:00', 'surface', 12.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-04-27 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-04-28 06:00:00', 'surface', 5.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-04-29 06:00:00', 'surface', 5.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-04-30 06:00:00', 'surface', 8.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-05-01 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-05-02 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-05-03 06:00:00', 'surface', 9.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-05-04 06:00:00', 'surface', 9.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-05-05 06:00:00', 'surface', 8.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-05-06 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-05-07 06:00:00', 'surface', 9.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-05-08 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-05-09 06:00:00', 'surface', 8.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-05-10 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-05-11 06:00:00', 'surface', 8.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-05-12 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-05-13 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-05-14 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-05-15 06:00:00', 'surface', 8.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-05-16 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-05-17 06:00:00', 'surface', 9.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-05-18 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-05-19 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-05-20 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-05-21 06:00:00', 'surface', 9.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-05-22 06:00:00', 'surface', 11.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-05-23 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-05-24 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-05-25 06:00:00', 'surface', 9.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-05-26 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-05-27 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-05-28 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-05-29 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-05-30 06:00:00', 'surface', 10.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-05-31 06:00:00', 'surface', 10.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-06-01 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-06-02 06:00:00', 'surface', 8.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-06-03 06:00:00', 'surface', 3.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-06-04 06:00:00', 'surface', 4.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-06-05 06:00:00', 'surface', 4.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-06-06 06:00:00', 'surface', 3.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-06-07 06:00:00', 'surface', 9.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-06-08 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-06-09 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-06-10 06:00:00', 'surface', 9.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-06-11 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-06-12 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-06-13 06:00:00', 'surface', 8.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-06-14 06:00:00', 'surface', 8.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-06-15 06:00:00', 'surface', 0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-06-16 06:00:00', 'surface', 5.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-06-17 06:00:00', 'surface', 6.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-06-18 06:00:00', 'surface', 5.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-06-19 06:00:00', 'surface', 3.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-06-20 06:00:00', 'surface', 5.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-06-21 06:00:00', 'surface', 5.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-06-22 06:00:00', 'surface', 5.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-06-23 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-06-24 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-06-25 06:00:00', 'surface', 7.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-06-26 06:00:00', 'surface', 4.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-06-27 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-06-28 06:00:00', 'surface', 3.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-06-29 06:00:00', 'surface', 4.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-06-30 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-07-01 06:00:00', 'surface', 4.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-07-02 06:00:00', 'surface', 8.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-07-03 06:00:00', 'surface', 8.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-07-04 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-07-05 06:00:00', 'surface', 2.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-07-06 06:00:00', 'surface', 5.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-07-07 06:00:00', 'surface', 4.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-07-08 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-07-09 06:00:00', 'surface', 4.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-07-10 06:00:00', 'surface', 7.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-07-11 06:00:00', 'surface', 7.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-07-12 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-07-13 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-07-14 06:00:00', 'surface', 5.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-07-15 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-07-16 06:00:00', 'surface', 3.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-07-17 06:00:00', 'surface', 5.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-07-18 06:00:00', 'surface', 4.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-07-19 06:00:00', 'surface', 1.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-07-20 06:00:00', 'surface', 2.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-07-21 06:00:00', 'surface', 2.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-07-22 06:00:00', 'surface', 2.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-07-23 06:00:00', 'surface', 5.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-07-24 06:00:00', 'surface', 6.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-07-25 06:00:00', 'surface', 5.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-07-26 06:00:00', 'surface', 4.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-07-27 06:00:00', 'surface', 3.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-07-28 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-07-29 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-07-30 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-07-31 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-08-01 06:00:00', 'surface', 4.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-08-02 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-08-03 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-08-04 06:00:00', 'surface', 7.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-08-05 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-08-06 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-08-07 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-08-08 06:00:00', 'surface', 6.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-08-09 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-08-10 06:00:00', 'surface', 8.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-08-11 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-08-12 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-08-13 06:00:00', 'surface', 7.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-08-14 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-08-15 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-08-16 06:00:00', 'surface', 11.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-08-17 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-08-18 06:00:00', 'surface', 11.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-08-19 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-08-20 06:00:00', 'surface', 10.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-08-21 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-08-22 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-08-23 06:00:00', 'surface', 10.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-08-24 06:00:00', 'surface', 11.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-08-25 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-08-26 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-08-27 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-08-28 06:00:00', 'surface', 8.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-08-29 06:00:00', 'surface', 10.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-08-30 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-08-31 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-09-01 06:00:00', 'surface', 12.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-09-02 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-09-03 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-09-04 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-09-05 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-09-06 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-09-07 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-09-08 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-09-09 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-09-10 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-09-11 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-09-12 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-09-13 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-09-14 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-09-15 06:00:00', 'surface', 9.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-09-16 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-09-17 06:00:00', 'surface', 10.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-09-18 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-09-19 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-09-20 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-09-21 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-09-22 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-09-23 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-09-24 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-09-25 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-09-26 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-09-27 06:00:00', 'surface', 11.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-09-28 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-09-29 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-09-30 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-10-01 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-10-02 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-10-03 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-10-04 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-10-05 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-10-06 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-10-07 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-10-08 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-10-09 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-10-10 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-10-11 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-10-12 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-10-13 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-10-14 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-10-15 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-10-16 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-10-17 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-10-18 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-10-19 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-10-20 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-10-21 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-10-22 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-10-23 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-10-24 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-10-25 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-10-26 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-10-27 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-10-28 06:00:00', 'surface', 10.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-10-29 06:00:00', 'surface', 11.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-10-30 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-10-31 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-11-01 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-11-02 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-11-03 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-11-04 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-11-05 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-11-06 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-11-07 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-11-08 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-11-09 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-11-10 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-11-11 06:00:00', 'surface', 11.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-11-12 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-11-13 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-11-14 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-11-15 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-11-16 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-11-17 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-11-18 06:00:00', 'surface', 11.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-11-19 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-11-20 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-11-21 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-11-22 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-11-23 06:00:00', 'surface', 11.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-11-24 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-11-25 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-11-26 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-11-27 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-11-28 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-11-29 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-11-30 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-12-01 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-12-02 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-12-03 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-12-04 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-12-05 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-12-06 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-12-07 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-12-08 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-12-09 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-12-10 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-12-11 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-12-12 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-12-13 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-12-14 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-12-15 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-12-16 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-12-17 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-12-18 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-12-19 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-12-20 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-12-21 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-12-22 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-12-23 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-12-24 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-12-25 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-12-26 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-12-27 06:00:00', 'surface', 11.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-12-28 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-12-29 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-12-30 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1978-12-31 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-01-01 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-01-02 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-01-03 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-01-04 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-01-05 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-01-06 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-01-07 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-01-08 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-01-09 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-01-10 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-01-11 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-01-12 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-01-13 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-01-14 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-01-15 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-01-16 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-01-17 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-01-18 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-01-19 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-01-20 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-01-21 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-01-22 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-01-23 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-01-24 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-01-25 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-01-26 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-01-27 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-01-28 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-01-29 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-01-30 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-01-31 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-02-01 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-02-02 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-02-03 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-02-04 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-02-05 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-02-06 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-02-07 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-02-08 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-02-09 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-02-10 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-02-11 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-02-12 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-02-13 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-02-14 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-02-15 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-02-16 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-02-17 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-02-18 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-02-19 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-02-20 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-02-21 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-02-22 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-02-23 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-02-24 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-02-25 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-02-26 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-02-27 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-02-28 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-03-01 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-03-02 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-03-03 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-03-04 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-03-05 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-03-06 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-03-07 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-03-08 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-03-09 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-03-10 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-03-11 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-03-12 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-03-13 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-03-14 06:00:00', 'surface', 12.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-03-15 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-03-16 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-03-17 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-03-18 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-03-19 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-03-20 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-03-21 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-03-22 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-03-23 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-03-24 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-03-25 06:00:00', 'surface', 12.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-03-26 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-03-27 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-03-28 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-03-29 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-03-30 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-03-31 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-04-01 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-04-02 06:00:00', 'surface', 11.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-04-03 06:00:00', 'surface', 11.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-04-04 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-04-05 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-04-06 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-04-07 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-04-08 06:00:00', 'surface', 9.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-04-09 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-04-10 06:00:00', 'surface', 11.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-04-11 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-04-12 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-04-13 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-04-14 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-04-15 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-04-16 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-04-17 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-04-18 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-04-19 06:00:00', 'surface', 10.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-04-20 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-04-21 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-04-22 06:00:00', 'surface', 9.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-04-23 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-04-24 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-04-25 06:00:00', 'surface', 11.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-04-26 06:00:00', 'surface', 11.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-04-27 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-04-28 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-04-29 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-04-30 06:00:00', 'surface', 11.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-05-01 06:00:00', 'surface', 10.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-05-02 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-05-03 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-05-04 06:00:00', 'surface', 10.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-05-05 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-05-06 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-05-07 06:00:00', 'surface', 10.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-05-08 06:00:00', 'surface', 11.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-05-09 06:00:00', 'surface', 10.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-05-10 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-05-11 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-05-12 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-05-13 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-05-14 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-05-15 06:00:00', 'surface', 5.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-05-16 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-05-17 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-05-18 06:00:00', 'surface', 9.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-05-19 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-05-20 06:00:00', 'surface', 9.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-05-21 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-05-22 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-05-23 06:00:00', 'surface', 10.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-05-24 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-05-25 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-05-26 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-05-27 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-05-28 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-05-29 06:00:00', 'surface', 10.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-05-30 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-05-31 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-06-01 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-06-02 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-06-03 06:00:00', 'surface', 8.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-06-04 06:00:00', 'surface', 7.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-06-05 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-06-06 06:00:00', 'surface', 9.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-06-07 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-06-08 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-06-09 06:00:00', 'surface', 6.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-06-10 06:00:00', 'surface', 8.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-06-11 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-06-12 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-06-13 06:00:00', 'surface', 7.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-06-14 06:00:00', 'surface', 2.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-06-15 06:00:00', 'surface', 3.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-06-16 06:00:00', 'surface', 5.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-06-17 06:00:00', 'surface', 6.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-06-18 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-06-19 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-06-20 06:00:00', 'surface', 5.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-06-21 06:00:00', 'surface', 5.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-06-22 06:00:00', 'surface', 6.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-06-23 06:00:00', 'surface', 6.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-06-24 06:00:00', 'surface', 5.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-06-25 06:00:00', 'surface', 4.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-06-26 06:00:00', 'surface', 4.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-06-27 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-06-28 06:00:00', 'surface', 3.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-06-29 06:00:00', 'surface', 6.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-06-30 06:00:00', 'surface', 6.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-07-01 06:00:00', 'surface', 5.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-07-02 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-07-03 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-07-04 06:00:00', 'surface', 6.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-07-05 06:00:00', 'surface', 3.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-07-06 06:00:00', 'surface', 2.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-07-07 06:00:00', 'surface', 6.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-07-08 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-07-09 06:00:00', 'surface', 10.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-07-10 06:00:00', 'surface', 6.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-07-11 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-07-12 06:00:00', 'surface', 4.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-07-13 06:00:00', 'surface', 3.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-07-14 06:00:00', 'surface', 4.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-07-15 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-07-16 06:00:00', 'surface', 7.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-07-17 06:00:00', 'surface', 8.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-07-18 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-07-19 06:00:00', 'surface', 9.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-07-20 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-07-21 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-07-22 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-07-23 06:00:00', 'surface', 10.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-07-24 06:00:00', 'surface', 9.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-07-25 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-07-26 06:00:00', 'surface', 3.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-07-27 06:00:00', 'surface', 3.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-07-28 06:00:00', 'surface', 5.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-07-29 06:00:00', 'surface', 6.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-07-30 06:00:00', 'surface', 4.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-07-31 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-08-01 06:00:00', 'surface', 7.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-08-02 06:00:00', 'surface', 5.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-08-03 06:00:00', 'surface', 8.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-08-04 06:00:00', 'surface', 4.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-08-05 06:00:00', 'surface', 5.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-08-06 06:00:00', 'surface', 5.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-08-07 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-08-08 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-08-09 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-08-10 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-08-11 06:00:00', 'surface', 5.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-08-12 06:00:00', 'surface', 5.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-08-13 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-08-14 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-08-15 06:00:00', 'surface', 8.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-08-16 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-08-17 06:00:00', 'surface', 5.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-08-18 06:00:00', 'surface', 8.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-08-19 06:00:00', 'surface', 7.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-08-20 06:00:00', 'surface', 8.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-08-21 06:00:00', 'surface', 11.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-08-22 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-08-23 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-08-24 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-08-25 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-08-26 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-08-27 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-08-28 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-08-29 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-08-30 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-08-31 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-09-01 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-09-02 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-09-03 06:00:00', 'surface', 11.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-09-04 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-09-05 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-09-06 06:00:00', 'surface', 9.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-09-07 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-09-08 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-09-09 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-09-10 06:00:00', 'surface', 3.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-09-11 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-09-12 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-09-13 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-09-14 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-09-15 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-09-16 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-09-17 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-09-18 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-09-19 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-09-20 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-09-21 06:00:00', 'surface', 10.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-09-22 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-09-23 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-09-24 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-09-25 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-09-26 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-09-27 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-09-28 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-09-29 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-09-30 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-10-01 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-10-02 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-10-03 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-10-04 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-10-05 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-10-06 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-10-07 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-10-08 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-10-09 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-10-10 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-10-11 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-10-12 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-10-13 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-10-14 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-10-15 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-10-16 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-10-17 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-10-18 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-10-19 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-10-20 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-10-21 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-10-22 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-10-23 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-10-24 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-10-25 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-10-26 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-10-27 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-10-28 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-10-29 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-10-30 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-10-31 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-11-01 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-11-02 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-11-03 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-11-04 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-11-05 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-11-06 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-11-07 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-11-08 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-11-09 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-11-10 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-11-11 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-11-12 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-11-13 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-11-14 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-11-15 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-11-16 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-11-17 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-11-18 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-11-19 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-11-20 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-11-21 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-11-22 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-11-23 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-11-24 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-11-25 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-11-26 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-11-27 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-11-28 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-11-29 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-11-30 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-12-01 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-12-02 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-12-03 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-12-04 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-12-05 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-12-06 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-12-07 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-12-08 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-12-09 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-12-10 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-12-11 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-12-12 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-12-13 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-12-14 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-12-15 06:00:00', 'surface', 11.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-12-16 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-12-17 06:00:00', 'surface', 10.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-12-18 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-12-19 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-12-20 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-12-21 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-12-22 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-12-23 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-12-24 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-12-25 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-12-26 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-12-27 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-12-28 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-12-29 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-12-30 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1979-12-31 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-01-01 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-01-02 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-01-03 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-01-04 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-01-05 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-01-06 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-01-07 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-01-08 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-01-09 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-01-10 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-01-11 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-01-12 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-01-13 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-01-14 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-01-15 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-01-16 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-01-17 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-01-18 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-01-19 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-01-20 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-01-21 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-01-22 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-01-23 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-01-24 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-01-25 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-01-26 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-01-27 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-01-28 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-01-29 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-01-30 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-01-31 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-02-01 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-02-02 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-02-03 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-02-04 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-02-05 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-02-06 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-02-07 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-02-08 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-02-09 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-02-10 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-02-11 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-02-12 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-02-13 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-02-14 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-02-15 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-02-16 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-02-17 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-02-18 06:00:00', 'surface', 18.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-02-19 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-02-20 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-02-21 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-02-22 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-02-23 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-02-24 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-02-25 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-02-26 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-02-27 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-02-28 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-02-29 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-03-01 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-03-02 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-03-03 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-03-04 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-03-05 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-03-06 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-03-07 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-03-08 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-03-09 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-03-10 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-03-11 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-03-12 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-03-13 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-03-14 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-03-15 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-03-16 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-03-17 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-03-18 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-03-19 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-03-20 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-03-21 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-03-22 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-03-23 06:00:00', 'surface', 11.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-03-24 06:00:00', 'surface', 10.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-03-25 06:00:00', 'surface', 11.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-03-26 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-03-27 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-03-28 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-03-29 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-03-30 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-03-31 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-04-01 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-04-02 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-04-03 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-04-04 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-04-05 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-04-06 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-04-07 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-04-08 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-04-09 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-04-10 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-04-11 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-04-12 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-04-13 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-04-14 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-04-15 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-04-16 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-04-17 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-04-18 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-04-19 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-04-20 06:00:00', 'surface', 11.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-04-21 06:00:00', 'surface', 9.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-04-22 06:00:00', 'surface', 10.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-04-23 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-04-24 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-04-25 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-04-26 06:00:00', 'surface', 11.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-04-27 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-04-28 06:00:00', 'surface', 10.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-04-29 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-04-30 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-05-01 06:00:00', 'surface', 10.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-05-02 06:00:00', 'surface', 8.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-05-03 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-05-04 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-05-05 06:00:00', 'surface', 9.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-05-06 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-05-07 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-05-08 06:00:00', 'surface', 9.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-05-09 06:00:00', 'surface', 10.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-05-10 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-05-11 06:00:00', 'surface', 10.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-05-12 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-05-13 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-05-14 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-05-15 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-05-16 06:00:00', 'surface', 8.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-05-17 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-05-18 06:00:00', 'surface', 6.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-05-19 06:00:00', 'surface', 9.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-05-20 06:00:00', 'surface', 8.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-05-21 06:00:00', 'surface', 12.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-05-22 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-05-23 06:00:00', 'surface', 5.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-05-24 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-05-25 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-05-26 06:00:00', 'surface', 10.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-05-27 06:00:00', 'surface', 7.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-05-28 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-05-29 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-05-30 06:00:00', 'surface', 3.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-05-31 06:00:00', 'surface', 7.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-06-01 06:00:00', 'surface', 5.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-06-02 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-06-03 06:00:00', 'surface', 10.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-06-04 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-06-05 06:00:00', 'surface', 6.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-06-06 06:00:00', 'surface', 4.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-06-07 06:00:00', 'surface', 4.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-06-08 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-06-09 06:00:00', 'surface', 6.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-06-10 06:00:00', 'surface', 3.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-06-11 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-06-12 06:00:00', 'surface', 4.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-06-13 06:00:00', 'surface', 5.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-06-14 06:00:00', 'surface', 3.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-06-15 06:00:00', 'surface', 3.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-06-16 06:00:00', 'surface', 3.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-06-17 06:00:00', 'surface', 4.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-06-18 06:00:00', 'surface', 6.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-06-19 06:00:00', 'surface', 5.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-06-20 06:00:00', 'surface', 4.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-06-21 06:00:00', 'surface', 5.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-06-22 06:00:00', 'surface', 4.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-06-23 06:00:00', 'surface', 3.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-06-24 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-06-25 06:00:00', 'surface', 5.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-06-26 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-06-27 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-06-28 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-06-29 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-06-30 06:00:00', 'surface', 6.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-07-01 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-07-02 06:00:00', 'surface', 5.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-07-03 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-07-04 06:00:00', 'surface', 5.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-07-05 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-07-06 06:00:00', 'surface', 3.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-07-07 06:00:00', 'surface', 2.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-07-08 06:00:00', 'surface', 5.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-07-09 06:00:00', 'surface', 4.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-07-10 06:00:00', 'surface', 5.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-07-11 06:00:00', 'surface', 4.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-07-12 06:00:00', 'surface', 3.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-07-13 06:00:00', 'surface', 3.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-07-14 06:00:00', 'surface', 8.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-07-15 06:00:00', 'surface', 4.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-07-16 06:00:00', 'surface', 5.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-07-17 06:00:00', 'surface', 7.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-07-18 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-07-19 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-07-20 06:00:00', 'surface', 6.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-07-21 06:00:00', 'surface', 5.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-07-22 06:00:00', 'surface', 5.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-07-23 06:00:00', 'surface', 6.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-07-24 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-07-25 06:00:00', 'surface', 6.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-07-26 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-07-27 06:00:00', 'surface', 5.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-07-28 06:00:00', 'surface', 5.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-07-29 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-07-30 06:00:00', 'surface', 8.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-07-31 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-08-01 06:00:00', 'surface', 10.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-08-02 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-08-03 06:00:00', 'surface', 8.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-08-04 06:00:00', 'surface', 8.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-08-05 06:00:00', 'surface', 7.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-08-06 06:00:00', 'surface', 6.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-08-07 06:00:00', 'surface', 5.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-08-08 06:00:00', 'surface', 6.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-08-09 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-08-10 06:00:00', 'surface', 11.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-08-11 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-08-12 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-08-13 06:00:00', 'surface', 9.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-08-14 06:00:00', 'surface', 10.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-08-15 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-08-16 06:00:00', 'surface', 4.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-08-17 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-08-18 06:00:00', 'surface', 5.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-08-19 06:00:00', 'surface', 5.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-08-20 06:00:00', 'surface', 6.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-08-21 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-08-22 06:00:00', 'surface', 5.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-08-23 06:00:00', 'surface', 8.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-08-24 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-08-25 06:00:00', 'surface', 11.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-08-26 06:00:00', 'surface', 9.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-08-27 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-08-28 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-08-29 06:00:00', 'surface', 9.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-08-30 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-08-31 06:00:00', 'surface', 8.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-09-01 06:00:00', 'surface', 11.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-09-02 06:00:00', 'surface', 11.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-09-03 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-09-04 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-09-05 06:00:00', 'surface', 9.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-09-06 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-09-07 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-09-08 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-09-09 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-09-10 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-09-11 06:00:00', 'surface', 11.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-09-12 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-09-13 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-09-14 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-09-15 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-09-16 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-09-17 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-09-18 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-09-19 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-09-20 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-09-21 06:00:00', 'surface', 11.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-09-22 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-09-23 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-09-24 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-09-25 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-09-26 06:00:00', 'surface', 9.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-09-27 06:00:00', 'surface', 11.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-09-28 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-09-29 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-09-30 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-10-01 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-10-02 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-10-03 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-10-04 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-10-05 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-10-06 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-10-07 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-10-08 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-10-09 06:00:00', 'surface', 12.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-10-10 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-10-11 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-10-12 06:00:00', 'surface', 10.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-10-13 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-10-14 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-10-15 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-10-16 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-10-17 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-10-18 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-10-19 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-10-20 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-10-21 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-10-22 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-10-23 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-10-24 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-10-25 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-10-26 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-10-27 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-10-28 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-10-29 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-10-30 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-10-31 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-11-01 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-11-02 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-11-03 06:00:00', 'surface', 11.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-11-04 06:00:00', 'surface', 12.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-11-05 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-11-06 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-11-07 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-11-08 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-11-09 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-11-10 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-11-11 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-11-12 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-11-13 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-11-14 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-11-15 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-11-16 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-11-17 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-11-18 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-11-19 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-11-20 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-11-21 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-11-22 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-11-23 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-11-24 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-11-25 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-11-26 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-11-27 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-11-28 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-11-29 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-11-30 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-12-01 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-12-02 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-12-03 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-12-04 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-12-05 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-12-06 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-12-07 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-12-08 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-12-09 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-12-10 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-12-11 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-12-12 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-12-13 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-12-14 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-12-15 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-12-16 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-12-17 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-12-18 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-12-19 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-12-20 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-12-21 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-12-22 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-12-23 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-12-24 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-12-25 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-12-26 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-12-27 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-12-28 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-12-29 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-12-30 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1980-12-31 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-07-01 06:00:00', 'surface', 11.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-07-02 06:00:00', 'surface', 12.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-07-03 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-07-04 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-07-05 06:00:00', 'surface', 11.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-07-06 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-07-07 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-07-08 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-07-09 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-07-10 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-07-11 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-07-12 06:00:00', 'surface', 12.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-07-13 06:00:00', 'surface', 11.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-07-14 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-07-15 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-07-16 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-07-17 06:00:00', 'surface', 9.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-07-18 06:00:00', 'surface', 10.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-07-19 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-07-20 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-07-21 06:00:00', 'surface', 11.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-07-22 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-07-23 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-07-24 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-07-25 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-07-26 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-07-27 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-07-28 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-07-29 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-07-30 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-07-31 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-08-01 06:00:00', 'surface', 12.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-08-02 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-08-03 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-08-04 06:00:00', 'surface', 10.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-08-05 06:00:00', 'surface', 11.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-08-06 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-08-07 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-08-08 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-08-09 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-08-10 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-08-11 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-08-12 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-08-13 06:00:00', 'surface', 10.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-08-14 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-08-15 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-08-16 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-08-17 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-08-18 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-08-19 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-08-20 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-08-21 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-08-22 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-08-23 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-08-24 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-08-25 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-08-26 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-08-27 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-08-28 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-08-29 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-08-30 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-08-31 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-09-01 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-09-02 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-09-03 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-09-04 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-09-05 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-09-06 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-09-07 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-09-08 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-09-09 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-09-10 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-09-11 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-09-12 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-09-13 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-09-14 06:00:00', 'surface', 18.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-09-15 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-09-16 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-09-17 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-09-18 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-09-19 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-09-20 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-09-21 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-09-22 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-09-23 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-09-24 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-09-25 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-09-26 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-09-27 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-09-28 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-09-29 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-09-30 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-10-01 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-10-02 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-10-03 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-10-04 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-10-05 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-10-06 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-10-07 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-10-08 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-10-09 06:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-10-10 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-10-11 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-10-12 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-10-13 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-10-14 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-10-15 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-10-16 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-10-17 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-10-18 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-10-19 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-10-20 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-10-21 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-10-22 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-10-23 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-10-24 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-10-25 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-10-26 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-10-27 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-10-28 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-10-29 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-10-30 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-10-31 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-11-01 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-11-02 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-11-03 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-11-04 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-11-05 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-11-06 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-11-07 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-11-08 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-11-09 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-11-10 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-11-11 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-11-12 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-11-13 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-11-14 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-11-15 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-11-16 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-11-17 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-11-18 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-11-19 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-11-20 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-11-21 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-11-22 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-11-23 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-11-24 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-11-25 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-11-26 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-11-27 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-11-28 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-11-29 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-11-30 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-12-01 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-12-02 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-12-03 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-12-04 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-12-05 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-12-06 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-12-07 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-12-08 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-12-09 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-12-10 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-12-11 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-12-12 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-12-13 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-12-14 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-12-15 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-12-16 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-12-17 06:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-12-18 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-12-19 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-12-20 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-12-21 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-12-22 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-12-23 06:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-12-24 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-12-25 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-12-26 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-12-27 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-12-28 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-12-29 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-12-30 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1976-12-31 06:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-01-01 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-01-02 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-01-03 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-01-04 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-01-05 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-01-06 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-01-07 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-01-08 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-01-09 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-01-10 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-01-11 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-01-12 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-01-13 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-01-14 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-01-15 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-01-16 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-01-17 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-01-18 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-01-19 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-01-20 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-01-21 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-01-22 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-01-23 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-01-24 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-01-25 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-01-26 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-01-27 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-01-28 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-01-29 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-01-30 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-01-31 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-02-01 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-02-02 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-02-03 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-02-04 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-02-05 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-02-06 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-02-07 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-02-08 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-02-09 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-02-10 06:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-02-11 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-02-12 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-02-13 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-02-14 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-02-15 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-02-16 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-02-17 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-02-18 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-02-19 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-02-20 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-02-21 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-02-22 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-02-23 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-02-24 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-02-25 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-02-26 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-02-27 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-02-28 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-03-01 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-03-02 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-03-03 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-03-04 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-03-05 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-03-06 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-03-07 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-03-08 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-03-09 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-03-10 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-03-11 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-03-12 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-03-13 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-03-14 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-03-15 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-03-16 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-03-17 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-03-18 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-03-19 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-03-20 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-03-21 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-03-22 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-03-23 06:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-03-24 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-03-25 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-03-26 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-03-27 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-03-28 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-03-29 06:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-03-30 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-03-31 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-04-01 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-04-02 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-04-03 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-04-04 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-04-05 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-04-06 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-04-07 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-04-08 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-04-09 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-04-10 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-04-11 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-04-12 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-04-13 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-04-14 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-04-15 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-04-16 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-04-17 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-04-18 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-04-19 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-04-20 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-04-21 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-04-22 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-04-23 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-04-24 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-04-25 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-04-26 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-04-27 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-04-28 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-04-29 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-04-30 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-05-01 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-05-02 06:00:00', 'surface', 18.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-05-03 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-05-04 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-05-05 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-05-06 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-05-07 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-05-08 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-05-09 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-05-10 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-05-11 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-05-12 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-05-13 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-05-14 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-05-15 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-05-16 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-05-17 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-05-18 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-05-19 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-05-20 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-05-21 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-05-22 06:00:00', 'surface', 18.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-05-23 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-05-24 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-05-25 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-05-26 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-05-27 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-05-28 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-05-29 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-05-30 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-05-31 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-06-01 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-06-02 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-06-03 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-06-04 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-06-05 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-06-06 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-06-07 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-06-08 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-06-09 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-06-10 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-06-11 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-06-12 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-06-13 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-06-14 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-06-15 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-06-16 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-06-17 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-06-18 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-06-19 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-06-20 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-06-21 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-06-22 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-06-23 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-06-24 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-06-25 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-06-26 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-06-27 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-06-28 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-06-29 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-06-30 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-07-01 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-07-02 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-07-03 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-07-04 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-07-05 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-07-06 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-07-07 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-07-08 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-07-09 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-07-10 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-07-11 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-07-12 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-07-13 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-07-14 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-07-15 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-07-16 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-07-17 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-07-18 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-07-19 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-07-20 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-07-21 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-07-22 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-07-23 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-07-24 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-07-25 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-07-26 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-07-27 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-07-28 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-07-29 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-07-30 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-07-31 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-08-01 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-08-02 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-08-03 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-08-04 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-08-05 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-08-06 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-08-07 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-08-08 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-08-09 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-08-10 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-08-11 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-08-12 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-08-13 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-08-14 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-08-15 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-08-16 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-08-17 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-08-18 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-08-19 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-08-20 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-08-21 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-08-22 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-08-23 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-08-24 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-08-25 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-08-26 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-08-27 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-08-28 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-08-29 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-08-30 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-08-31 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-09-01 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-09-02 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-09-03 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-09-04 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-09-05 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-09-06 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-09-07 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-09-08 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-09-09 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-09-10 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-09-11 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-09-12 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-09-13 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-09-14 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-09-15 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-09-16 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-09-17 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-09-18 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-09-19 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-09-20 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-09-21 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-09-22 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-09-23 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-09-24 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-09-25 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-09-26 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-09-27 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-09-28 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-09-29 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-09-30 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-10-01 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-10-02 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-10-03 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-10-04 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-10-05 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-10-06 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-10-07 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-10-08 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-10-09 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-10-10 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-10-11 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-10-12 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-10-13 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-10-14 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-10-15 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-10-16 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-10-17 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-10-18 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-10-19 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-10-20 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-10-21 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-10-22 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-10-23 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-10-24 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-10-25 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-10-26 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-10-27 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-10-28 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-10-29 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-10-30 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-10-31 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-11-01 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-11-02 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-11-03 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-11-04 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-11-05 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-11-06 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-11-07 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-11-08 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-11-09 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-11-10 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-11-11 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-11-12 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-11-13 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-11-14 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-11-15 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-11-16 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-11-17 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-11-18 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-11-19 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-11-20 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-11-21 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-11-22 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-11-23 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-11-24 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-11-25 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-11-26 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-11-27 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-11-28 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-11-29 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-11-30 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-12-01 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-12-02 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-12-03 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-12-04 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-12-05 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-12-06 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-12-07 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-12-08 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-12-09 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-12-10 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-12-11 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-12-12 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-12-13 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-12-14 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-12-15 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-12-16 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-12-17 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-12-18 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-12-19 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-12-20 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-12-21 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-12-22 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-12-23 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-12-24 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-12-25 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-12-26 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-12-27 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-12-28 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-12-29 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-12-30 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1977-12-31 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-01-01 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-01-02 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-01-03 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-01-04 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-01-05 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-01-06 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-01-07 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-01-08 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-01-09 06:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-01-10 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-01-11 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-01-12 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-01-13 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-01-14 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-01-15 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-01-16 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-01-17 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-01-18 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-01-19 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-01-20 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-01-21 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-01-22 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-01-23 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-01-24 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-01-25 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-01-26 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-01-27 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-01-28 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-01-29 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-01-30 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-01-31 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-02-01 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-02-02 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-02-03 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-02-04 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-02-05 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-02-06 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-02-07 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-02-08 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-02-09 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-02-10 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-02-11 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-02-12 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-02-13 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-02-14 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-02-15 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-02-16 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-02-17 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-02-18 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-02-19 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-02-20 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-02-21 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-02-22 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-02-23 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-02-24 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-02-25 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-02-26 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-02-27 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-02-28 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-03-01 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-03-02 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-03-03 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-03-04 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-03-05 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-03-06 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-03-07 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-03-08 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-03-09 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-03-10 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-03-11 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-03-12 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-03-13 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-03-14 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-03-15 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-03-16 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-03-17 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-03-18 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-03-19 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-03-20 06:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-03-21 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-03-22 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-03-23 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-03-24 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-03-25 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-03-26 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-03-27 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-03-28 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-03-29 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-03-30 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-03-31 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-04-01 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-04-02 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-04-03 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-04-04 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-04-05 06:00:00', 'surface', 18.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-04-06 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-04-07 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-04-08 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-04-09 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-04-10 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-04-11 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-04-12 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-04-13 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-04-14 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-04-15 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-04-16 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-04-17 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-04-18 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-04-19 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-04-20 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-04-21 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-04-22 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-04-23 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-04-24 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-04-25 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-04-26 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-04-27 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-04-28 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-04-29 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-04-30 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-05-01 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-05-02 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-05-03 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-05-04 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-05-05 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-05-06 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-05-07 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-05-08 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-05-09 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-05-10 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-05-11 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-05-12 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-05-13 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-05-14 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-05-15 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-05-16 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-05-17 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-05-18 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-05-19 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-05-20 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-05-21 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-05-22 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-05-23 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-05-24 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-05-25 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-05-26 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-05-27 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-05-28 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-05-29 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-05-30 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-05-31 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-06-01 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-06-02 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-06-03 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-06-04 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-06-05 06:00:00', 'surface', 11.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-06-06 06:00:00', 'surface', 11.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-06-07 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-06-08 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-06-09 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-06-10 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-06-11 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-06-12 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-06-13 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-06-14 06:00:00', 'surface', 11.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-06-15 06:00:00', 'surface', 9.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-06-16 06:00:00', 'surface', 11.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-06-17 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-06-18 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-06-19 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-06-20 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-06-21 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-06-22 06:00:00', 'surface', 12.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-06-23 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-06-24 06:00:00', 'surface', 12.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-06-25 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-06-26 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-06-27 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-06-28 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-06-29 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-06-30 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-07-01 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-07-02 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-07-03 06:00:00', 'surface', 12.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-07-04 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-07-05 06:00:00', 'surface', 9.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-07-06 06:00:00', 'surface', 11.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-07-07 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-07-08 06:00:00', 'surface', 11.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-07-09 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-07-10 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-07-11 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-07-12 06:00:00', 'surface', 10.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-07-13 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-07-14 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-07-15 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-07-16 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-07-17 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-07-18 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-07-19 06:00:00', 'surface', 11.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-07-20 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-07-21 06:00:00', 'surface', 11.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-07-22 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-07-23 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-07-24 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-07-25 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-07-26 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-07-27 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-07-28 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-07-29 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-07-30 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-07-31 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-08-01 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-08-02 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-08-03 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-08-04 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-08-05 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-08-06 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-08-07 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-08-08 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-08-09 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-08-10 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-08-11 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-08-12 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-08-13 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-08-14 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-08-15 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-08-16 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-08-17 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-08-18 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-08-19 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-08-20 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-08-21 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-08-22 06:00:00', 'surface', 18.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-08-23 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-08-24 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-08-25 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-08-26 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-08-27 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-08-28 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-08-29 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-08-30 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-08-31 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-09-01 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-09-02 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-09-03 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-09-04 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-09-05 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-09-06 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-09-07 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-09-08 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-09-09 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-09-10 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-09-11 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-09-12 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-09-13 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-09-14 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-09-15 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-09-16 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-09-17 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-09-18 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-09-19 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-09-20 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-09-21 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-09-22 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-09-23 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-09-24 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-09-25 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-09-26 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-09-27 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-09-28 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-09-29 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-09-30 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-10-01 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-10-02 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-10-03 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-10-04 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-10-05 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-10-06 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-10-07 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-10-08 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-10-09 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-10-10 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-10-11 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-10-12 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-10-13 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-10-14 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-10-15 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-10-16 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-10-17 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-10-18 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-10-19 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-10-20 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-10-21 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-10-22 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-10-23 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-10-24 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-10-25 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-10-26 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-10-27 06:00:00', 'surface', 18.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-10-28 06:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-10-29 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-10-30 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-10-31 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-11-01 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-11-02 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-11-03 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-11-04 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-11-05 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-11-06 06:00:00', 'surface', 18.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-11-07 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-11-08 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-11-09 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-11-10 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-11-11 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-11-12 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-11-13 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-11-14 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-11-15 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-11-16 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-11-17 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-11-18 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-11-19 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-11-20 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-11-21 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-11-22 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-11-23 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-11-24 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-11-25 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-11-26 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-11-27 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-11-28 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-11-29 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-11-30 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-12-01 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-12-02 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-12-03 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-12-04 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-12-05 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-12-06 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-12-07 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-12-08 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-12-09 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-12-10 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-12-11 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-12-12 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-12-13 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-12-14 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-12-15 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-12-16 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-12-17 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-12-18 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-12-19 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-12-20 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-12-21 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-12-22 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-12-23 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-12-24 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-12-25 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-12-26 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-12-27 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-12-28 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-12-29 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-12-30 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1978-12-31 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-01-01 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-01-02 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-01-03 06:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-01-04 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-01-05 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-01-06 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-01-07 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-01-08 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-01-09 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-01-10 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-01-11 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-01-12 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-01-13 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-01-14 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-01-15 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-01-16 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-01-17 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-01-18 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-01-19 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-01-20 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-01-21 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-01-22 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-01-23 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-01-24 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-01-25 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-01-26 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-01-27 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-01-28 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-01-29 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-01-30 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-01-31 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-02-01 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-02-02 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-02-03 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-02-04 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-02-05 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-02-06 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-02-07 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-02-08 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-02-09 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-02-10 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-02-11 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-02-12 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-02-13 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-02-14 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-02-15 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-02-16 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-02-17 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-02-18 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-02-19 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-02-20 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-02-21 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-02-22 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-02-23 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-02-24 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-02-25 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-02-26 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-02-27 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-02-28 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-03-01 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-03-02 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-03-03 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-03-04 06:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-03-05 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-03-06 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-03-07 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-03-08 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-03-09 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-03-10 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-03-11 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-03-12 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-03-13 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-03-14 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-03-15 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-03-16 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-03-17 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-03-18 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-03-19 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-03-20 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-03-21 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-03-22 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-03-23 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-03-24 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-03-25 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-03-26 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-03-27 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-03-28 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-03-29 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-03-30 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-03-31 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-04-01 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-04-02 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-04-03 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-04-04 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-04-05 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-04-06 06:00:00', 'surface', 18.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-04-07 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-04-08 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-04-09 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-04-10 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-04-11 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-04-12 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-04-13 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-04-14 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-04-15 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-04-16 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-04-17 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-04-18 06:00:00', 'surface', 18.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-04-19 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-04-20 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-04-21 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-04-22 06:00:00', 'surface', 18.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-04-23 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-04-24 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-04-25 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-04-26 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-04-27 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-04-28 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-04-29 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-04-30 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-05-01 06:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-05-02 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-05-03 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-05-04 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-05-05 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-05-06 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-05-07 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-05-08 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-05-09 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-05-10 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-05-11 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-05-12 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-05-13 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-05-14 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-05-15 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-05-16 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-05-17 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-05-18 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-05-19 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-05-20 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-05-21 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-05-22 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-05-23 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-05-24 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-05-25 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-05-26 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-05-27 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-05-28 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-05-29 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-05-30 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-05-31 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-06-01 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-06-02 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-06-03 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-06-04 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-06-05 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-06-06 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-06-07 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-06-08 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-06-09 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-06-10 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-06-11 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-06-12 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-06-13 06:00:00', 'surface', 10.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-06-14 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-06-15 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-06-16 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-06-17 06:00:00', 'surface', 11.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-06-18 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-06-19 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-06-20 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-06-21 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-06-22 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-06-23 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-06-24 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-06-25 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-06-26 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-06-27 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-06-28 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-06-29 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-06-30 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-07-01 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-07-02 06:00:00', 'surface', 11.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-07-03 06:00:00', 'surface', 11.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-07-04 06:00:00', 'surface', 11.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-07-05 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-07-06 06:00:00', 'surface', 11.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-07-07 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-07-08 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-07-09 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-07-10 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-07-11 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-07-12 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-07-13 06:00:00', 'surface', 11.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-07-14 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-07-15 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-07-16 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-07-17 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-07-18 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-07-19 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-07-20 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-07-21 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-07-22 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-07-23 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-07-24 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-07-25 06:00:00', 'surface', 12.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-07-26 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-07-27 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-07-28 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-07-29 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-07-30 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-07-31 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-08-01 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-08-02 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-08-03 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-08-04 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-08-05 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-08-06 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-08-07 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-08-08 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-08-09 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-08-10 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-08-11 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-08-12 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-08-13 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-08-14 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-08-15 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-08-16 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-08-17 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-08-18 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-08-19 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-08-20 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-08-21 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-08-22 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-08-23 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-08-24 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-08-25 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-08-26 06:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-08-27 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-08-28 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-08-29 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-08-30 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-08-31 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-09-01 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-09-02 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-09-03 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-09-04 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-09-05 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-09-06 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-09-07 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-09-08 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-09-09 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-09-10 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-09-11 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-09-12 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-09-13 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-09-14 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-09-15 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-09-16 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-09-17 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-09-18 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-09-19 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-09-20 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-09-21 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-09-22 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-09-23 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-09-24 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-09-25 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-09-26 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-09-27 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-09-28 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-09-29 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-09-30 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-10-01 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-10-02 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-10-03 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-10-04 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-10-05 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-10-06 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-10-07 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-10-08 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-10-09 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-10-10 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-10-11 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-10-12 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-10-13 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-10-14 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-10-15 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-10-16 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-10-17 06:00:00', 'surface', 18.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-10-18 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-10-19 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-10-20 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-10-21 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-10-22 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-10-23 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-10-24 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-10-25 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-10-26 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-10-27 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-10-28 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-10-29 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-10-30 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-10-31 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-11-01 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-11-02 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-11-03 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-11-04 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-11-05 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-11-06 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-11-07 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-11-08 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-11-09 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-11-10 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-11-11 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-11-12 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-11-13 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-11-14 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-11-15 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-11-16 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-11-17 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-11-18 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-11-19 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-11-20 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-11-21 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-11-22 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-11-23 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-11-24 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-11-25 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-11-26 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-11-27 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-11-28 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-11-29 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-11-30 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-12-01 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-12-02 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-12-03 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-12-04 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-12-05 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-12-06 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-12-07 06:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-12-08 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-12-09 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-12-10 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-12-11 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-12-12 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-12-13 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-12-14 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-12-15 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-12-16 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-12-17 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-12-18 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-12-19 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-12-20 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-12-21 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-12-22 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-12-23 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-12-24 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-12-25 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-12-26 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-12-27 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-12-28 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-12-29 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-12-30 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1979-12-31 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-01-01 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-01-02 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-01-03 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-01-04 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-01-05 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-01-06 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-01-07 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-01-08 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-01-09 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-01-10 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-01-11 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-01-12 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-01-13 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-01-14 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-01-15 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-01-16 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-01-17 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-01-18 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-01-19 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-01-20 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-01-21 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-01-22 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-01-23 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-01-24 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-01-25 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-01-26 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-01-27 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-01-28 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-01-29 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-01-30 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-01-31 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-02-01 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-02-02 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-02-03 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-02-04 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-02-05 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-02-06 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-02-07 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-02-08 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-02-09 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-02-10 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-02-11 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-02-12 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-02-13 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-02-14 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-02-15 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-02-16 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-02-17 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-02-18 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-02-19 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-02-20 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-02-21 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-02-22 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-02-23 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-02-24 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-02-25 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-02-26 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-02-27 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-02-28 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-02-29 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-03-01 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-03-02 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-03-03 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-03-04 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-03-05 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-03-06 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-03-07 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-03-08 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-03-09 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-03-10 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-03-11 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-03-12 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-03-13 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-03-14 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-03-15 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-03-16 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-03-17 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-03-18 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-03-19 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-03-20 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-03-21 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-03-22 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-03-23 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-03-24 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-03-25 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-03-26 06:00:00', 'surface', 18.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-03-27 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-03-28 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-03-29 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-03-30 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-03-31 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-04-01 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-04-02 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-04-03 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-04-04 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-04-05 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-04-06 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-04-07 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-04-08 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-04-09 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-04-10 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-04-11 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-04-12 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-04-13 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-04-14 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-04-15 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-04-16 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-04-17 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-04-18 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-04-19 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-04-20 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-04-21 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-04-22 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-04-23 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-04-24 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-04-25 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-04-26 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-04-27 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-04-28 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-04-29 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-04-30 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-05-01 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-05-02 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-05-03 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-05-04 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-05-05 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-05-06 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-05-07 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-05-08 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-05-09 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-05-10 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-05-11 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-05-12 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-05-13 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-05-14 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-05-15 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-05-16 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-05-17 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-05-18 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-05-19 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-05-20 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-05-21 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-05-22 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-05-23 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-05-24 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-05-25 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-05-26 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-05-27 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-05-28 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-05-29 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-05-30 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-05-31 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-06-01 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-06-02 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-06-03 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-06-04 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-06-05 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-06-06 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-06-07 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-06-08 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-06-09 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-06-10 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-06-11 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-06-12 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-06-13 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-06-14 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-06-15 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-06-16 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-06-17 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-06-18 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-06-19 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-06-20 06:00:00', 'surface', 11.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-06-21 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-06-22 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-06-23 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-06-24 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-06-25 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-06-26 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-06-27 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-06-28 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-06-29 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-06-30 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-07-01 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-07-02 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-07-03 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-07-04 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-07-05 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-07-06 06:00:00', 'surface', 12.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-07-07 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-07-08 06:00:00', 'surface', 11.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-07-09 06:00:00', 'surface', 10.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-07-10 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-07-11 06:00:00', 'surface', 11.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-07-12 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-07-13 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-07-14 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-07-15 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-07-16 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-07-17 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-07-18 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-07-19 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-07-20 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-07-21 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-07-22 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-07-23 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-07-24 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-07-25 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-07-26 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-07-27 06:00:00', 'surface', 11.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-07-28 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-07-29 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-07-30 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-07-31 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-08-01 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-08-02 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-08-03 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-08-04 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-08-05 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-08-06 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-08-07 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-08-08 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-08-09 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-08-10 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-08-11 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-08-12 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-08-13 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-08-14 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-08-15 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-08-16 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-08-17 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-08-18 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-08-19 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-08-20 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-08-21 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-08-22 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-08-23 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-08-24 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-08-25 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-08-26 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-08-27 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-08-28 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-08-29 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-08-30 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-08-31 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-09-01 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-09-02 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-09-03 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-09-04 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-09-05 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-09-06 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-09-07 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-09-08 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-09-09 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-09-10 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-09-11 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-09-12 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-09-13 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-09-14 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-09-15 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-09-16 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-09-17 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-09-18 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-09-19 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-09-20 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-09-21 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-09-22 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-09-23 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-09-24 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-09-25 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-09-26 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-09-27 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-09-28 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-09-29 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-09-30 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-10-01 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-10-02 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-10-03 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-10-04 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-10-05 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-10-06 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-10-07 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-10-08 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-10-09 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-10-10 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-10-11 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-10-12 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-10-13 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-10-14 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-10-15 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-10-16 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-10-17 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-10-18 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-10-19 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-10-20 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-10-21 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-10-22 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-10-23 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-10-24 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-10-25 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-10-26 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-10-27 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-10-28 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-10-29 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-10-30 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-10-31 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-11-01 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-11-02 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-11-03 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-11-04 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-11-05 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-11-06 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-11-07 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-11-08 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-11-09 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-11-10 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-11-11 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-11-12 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-11-13 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-11-14 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-11-15 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-11-16 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-11-17 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-11-18 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-11-19 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-11-20 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-11-21 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-11-22 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-11-23 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-11-24 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-11-25 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-11-26 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-11-27 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-11-28 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-11-29 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-11-30 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-12-01 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-12-02 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-12-03 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-12-04 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-12-05 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-12-06 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-12-07 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-12-08 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-12-09 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-12-10 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-12-11 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-12-12 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-12-13 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-12-14 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-12-15 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-12-16 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-12-17 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-12-18 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-12-19 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-12-20 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-12-21 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-12-22 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-12-23 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-12-24 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-12-25 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-12-26 06:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-12-27 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-12-28 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-12-29 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-12-30 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1980-12-31 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-01-01 06:00:00', 'surface', 3.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-01-02 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-01-03 06:00:00', 'surface', 2.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-01-04 06:00:00', 'surface', 0.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-01-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-01-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-01-07 06:00:00', 'surface', 0.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-01-08 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-01-09 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-01-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-01-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-01-12 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-01-13 06:00:00', 'surface', 10.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-01-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-01-15 06:00:00', 'surface', 5.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-01-16 06:00:00', 'surface', 5.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-01-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-01-18 06:00:00', 'surface', 0.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-01-19 06:00:00', 'surface', 1.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-01-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-01-21 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-01-22 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-01-23 06:00:00', 'surface', 1.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-01-24 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-01-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-01-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-01-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-01-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-01-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-01-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-01-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-02-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-02-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-02-03 06:00:00', 'surface', 0.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-02-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-02-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-02-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-02-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-02-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-02-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-02-10 06:00:00', 'surface', 33.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-02-11 06:00:00', 'surface', 48.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-02-12 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-02-13 06:00:00', 'surface', 1.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-02-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-02-15 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-02-16 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-02-17 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-02-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-02-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-02-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-02-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-02-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-02-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-02-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-02-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-02-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-02-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-02-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-03-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-03-02 06:00:00', 'surface', 51.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-03-03 06:00:00', 'surface', 1.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-03-04 06:00:00', 'surface', 3.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-03-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-03-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-03-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-03-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-03-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-03-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-03-11 06:00:00', 'surface', 3.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-03-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-03-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-03-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-03-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-03-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-03-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-03-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-03-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-03-20 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-03-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-03-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-03-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-03-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-03-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-03-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-03-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-03-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-03-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-03-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-03-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-04-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-04-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-04-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-04-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-04-05 06:00:00', 'surface', 0.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-04-06 06:00:00', 'surface', 0.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-04-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-04-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-04-09 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-04-10 06:00:00', 'surface', 0.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-04-11 06:00:00', 'surface', 29.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-04-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-04-13 06:00:00', 'surface', 4.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-04-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-04-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-04-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-04-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-04-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-04-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-04-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-04-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-04-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-04-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-04-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-04-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-04-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-04-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-04-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-04-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-04-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-05-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-05-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-05-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-05-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-05-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-05-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-05-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-05-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-05-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-05-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-05-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-05-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-05-13 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-05-14 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-05-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-05-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-05-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-05-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-05-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-05-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-05-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-05-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-05-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-05-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-05-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-05-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-05-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-05-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-05-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-05-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-05-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-06-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-06-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-06-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-06-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-06-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-06-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-06-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-06-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-06-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-06-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-06-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-06-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-06-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-06-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-06-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-06-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-06-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-06-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-06-19 06:00:00', 'surface', 1.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-06-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-06-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-06-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-06-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-06-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-06-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-06-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-06-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-06-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-06-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-06-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-07-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-07-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-07-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-07-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-07-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-07-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-07-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-07-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-07-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-07-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-07-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-07-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-07-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-07-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-07-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-07-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-07-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-07-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-07-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-07-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-07-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-07-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-07-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-07-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-07-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-07-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-07-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-07-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-07-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-07-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-07-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-08-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-08-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-08-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-08-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-08-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-08-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-08-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-08-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-08-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-08-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-08-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-08-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-08-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-08-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-08-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-08-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-08-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-08-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-08-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-08-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-08-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-08-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-08-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-08-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-08-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-08-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-08-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-08-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-08-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-08-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-08-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-09-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-09-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-09-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-09-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-09-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-09-06 06:00:00', 'surface', 1.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-09-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-09-08 06:00:00', 'surface', 8.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-09-09 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-09-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-09-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-09-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-09-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-09-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-09-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-09-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-09-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-09-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-09-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-09-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-09-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-09-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-09-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-09-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-09-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-09-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-09-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-09-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-09-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-09-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-10-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-10-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-10-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-10-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-10-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-10-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-10-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-10-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-10-09 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-10-10 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-10-11 06:00:00', 'surface', 1.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-10-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-10-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-10-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-10-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-10-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-10-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-10-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-10-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-10-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-10-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-10-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-10-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-10-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-10-25 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-10-26 06:00:00', 'surface', 0.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-10-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-10-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-10-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-10-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-10-31 06:00:00', 'surface', 3.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-11-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-11-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-11-03 06:00:00', 'surface', 0.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-11-04 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-11-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-11-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-11-07 06:00:00', 'surface', 0.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-11-08 06:00:00', 'surface', 1.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-11-09 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-11-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-11-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-11-12 06:00:00', 'surface', 5.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-11-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-11-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-11-15 06:00:00', 'surface', 5.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-11-16 06:00:00', 'surface', 31.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-11-17 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-11-18 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-11-19 06:00:00', 'surface', 5.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-11-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-11-21 06:00:00', 'surface', 5.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-11-22 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-11-23 06:00:00', 'surface', 1.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-11-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-11-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-11-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-11-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-11-28 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-11-29 06:00:00', 'surface', 4.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-11-30 06:00:00', 'surface', 7.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-12-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-12-02 06:00:00', 'surface', 41.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-12-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-12-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-12-05 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-12-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-12-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-12-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-12-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-12-10 06:00:00', 'surface', 5.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-12-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-12-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-12-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-12-14 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-12-15 06:00:00', 'surface', 0.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-12-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-12-17 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-12-18 06:00:00', 'surface', 12.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-12-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-12-20 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-12-21 06:00:00', 'surface', 1.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-12-22 06:00:00', 'surface', 2.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-12-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-12-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-12-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-12-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-12-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-12-28 06:00:00', 'surface', 1.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-12-29 06:00:00', 'surface', 0.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-12-30 06:00:00', 'surface', 2.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1971-12-31 06:00:00', 'surface', 2.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-01-01 06:00:00', 'surface', 0.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-01-02 06:00:00', 'surface', 1.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-01-03 06:00:00', 'surface', 6.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-01-04 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-01-05 06:00:00', 'surface', 8.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-01-06 06:00:00', 'surface', 0.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-01-07 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-01-08 06:00:00', 'surface', 32.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-01-09 06:00:00', 'surface', 31.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-01-10 06:00:00', 'surface', 0.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-01-11 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-01-12 06:00:00', 'surface', 67.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-01-13 06:00:00', 'surface', 7.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-01-14 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-01-15 06:00:00', 'surface', 0.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-01-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-01-17 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-01-18 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-01-19 06:00:00', 'surface', 3.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-01-20 06:00:00', 'surface', 71.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-01-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-01-22 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-01-23 06:00:00', 'surface', 0.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-01-24 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-01-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-01-26 06:00:00', 'surface', 1.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-01-27 06:00:00', 'surface', 1.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-01-28 06:00:00', 'surface', 0.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-01-29 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-01-30 06:00:00', 'surface', 3.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-01-31 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-02-01 06:00:00', 'surface', 57.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-02-02 06:00:00', 'surface', 39.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-02-03 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-02-04 06:00:00', 'surface', 3.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-02-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-02-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-02-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-02-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-02-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-02-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-02-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-02-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-02-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-02-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-02-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-02-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-02-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-02-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-02-19 06:00:00', 'surface', 0.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-02-20 06:00:00', 'surface', 2.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-02-21 06:00:00', 'surface', 1.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-02-22 06:00:00', 'surface', 3.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-02-23 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-02-24 06:00:00', 'surface', 5.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-02-25 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-02-26 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-02-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-02-28 06:00:00', 'surface', 1.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-02-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-03-01 06:00:00', 'surface', 29.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-03-02 06:00:00', 'surface', 0.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-03-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-03-04 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-03-05 06:00:00', 'surface', 1.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-03-06 06:00:00', 'surface', 9.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-03-07 06:00:00', 'surface', 2.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-03-08 06:00:00', 'surface', 0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-03-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-03-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-03-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-03-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-03-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-03-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-03-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-03-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-03-17 06:00:00', 'surface', 0.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-03-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-03-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-03-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-03-21 06:00:00', 'surface', 3.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-03-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-03-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-03-24 06:00:00', 'surface', 0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-03-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-03-26 06:00:00', 'surface', 5.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-03-27 06:00:00', 'surface', 0.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-03-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-03-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-03-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-03-31 06:00:00', 'surface', 73.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-04-01 06:00:00', 'surface', 10.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-04-02 06:00:00', 'surface', 1.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-04-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-04-04 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-04-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-04-06 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-04-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-04-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-04-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-04-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-04-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-04-12 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-04-13 06:00:00', 'surface', 1.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-04-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-04-15 06:00:00', 'surface', 0.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-04-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-04-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-04-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-04-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-04-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-04-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-04-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-04-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-04-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-04-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-04-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-04-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-04-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-04-29 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-04-30 06:00:00', 'surface', 2.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-05-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-05-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-05-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-05-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-05-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-05-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-05-07 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-05-08 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-05-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-05-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-05-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-05-12 06:00:00', 'surface', 1.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-05-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-05-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-05-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-05-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-05-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-05-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-05-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-05-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-05-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-05-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-05-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-05-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-05-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-05-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-05-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-05-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-05-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-05-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-05-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-06-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-06-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-06-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-06-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-06-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-06-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-06-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-06-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-06-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-06-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-06-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-06-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-06-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-06-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-06-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-06-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-06-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-06-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-06-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-06-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-06-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-06-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-06-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-06-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-06-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-06-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-06-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-06-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-06-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-06-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-07-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-07-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-07-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-07-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-07-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-07-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-07-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-07-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-07-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-07-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-07-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-07-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-07-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-07-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-07-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-07-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-07-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-07-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-07-19 06:00:00', 'surface', 4.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-07-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-07-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-07-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-07-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-07-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-07-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-07-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-07-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-07-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-07-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-07-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-07-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-08-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-08-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-08-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-08-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-08-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-08-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-08-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-08-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-08-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-08-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-08-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-08-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-08-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-08-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-08-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-08-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-08-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-08-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-08-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-08-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-08-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-08-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-08-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-08-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-08-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-08-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-08-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-08-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-08-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-08-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-08-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-09-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-09-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-09-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-09-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-09-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-09-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-09-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-09-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-09-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-09-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-09-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-09-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-09-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-09-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-09-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-09-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-09-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-09-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-09-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-09-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-09-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-09-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-09-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-09-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-09-25 06:00:00', 'surface', 2.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-09-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-09-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-09-28 06:00:00', 'surface', 9.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-09-29 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-09-30 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-10-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-10-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-10-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-10-04 06:00:00', 'surface', 2.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-10-05 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-10-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-10-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-10-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-10-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-10-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-10-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-10-12 06:00:00', 'surface', 1.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-10-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-10-14 06:00:00', 'surface', 0.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-10-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-10-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-10-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-10-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-10-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-10-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-10-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-10-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-10-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-10-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-10-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-10-26 06:00:00', 'surface', 1.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-10-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-10-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-10-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-10-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-10-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-11-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-11-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-11-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-11-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-11-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-11-06 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-11-07 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-11-08 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-11-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-11-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-11-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-11-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-11-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-11-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-11-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-11-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-11-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-11-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-11-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-11-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-11-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-11-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-11-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-11-24 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0);
INSERT INTO `observationfinal` (`recordedFrom`, `describedBy`, `obsDatetime`, `obsLevel`, `obsValue`, `flag`, `period`, `qcStatus`, `qcTypeLog`, `acquisitionType`, `dataForm`, `capturedBy`, `mark`, `temperatureUnits`, `precipitationUnits`, `cloudHeightUnits`, `visUnits`, `dataSourceTimeZone`) VALUES
	('67774010', 5, '1972-11-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-11-26 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-11-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-11-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-11-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-11-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-12-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-12-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-12-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-12-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-12-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-12-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-12-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-12-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-12-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-12-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-12-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-12-12 06:00:00', 'surface', 3.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-12-13 06:00:00', 'surface', 3.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-12-14 06:00:00', 'surface', 9.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-12-15 06:00:00', 'surface', 1.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-12-16 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-12-17 06:00:00', 'surface', 3.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-12-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-12-19 06:00:00', 'surface', 0.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-12-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-12-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-12-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-12-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-12-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-12-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-12-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-12-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-12-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-12-29 06:00:00', 'surface', 3.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-12-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1972-12-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-01-01 06:00:00', 'surface', 4.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-01-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-01-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-01-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-01-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-01-06 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-01-07 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-01-08 06:00:00', 'surface', 34.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-01-09 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-01-10 06:00:00', 'surface', 11.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-01-11 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-01-12 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-01-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-01-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-01-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-01-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-01-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-01-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-01-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-01-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-01-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-01-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-01-23 06:00:00', 'surface', 1.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-01-24 06:00:00', 'surface', 0.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-01-25 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-01-26 06:00:00', 'surface', 1.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-01-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-01-28 06:00:00', 'surface', 0.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-01-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-01-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-01-31 06:00:00', 'surface', 45.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-02-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-02-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-02-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-02-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-02-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-02-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-02-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-02-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-02-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-02-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-02-11 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-02-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-02-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-02-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-02-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-02-16 06:00:00', 'surface', 3.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-02-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-02-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-02-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-02-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-02-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-02-22 06:00:00', 'surface', 4.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-02-23 06:00:00', 'surface', 1.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-02-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-02-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-02-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-02-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-02-28 06:00:00', 'surface', 0.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-03-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-03-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-03-03 06:00:00', 'surface', 7.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-03-04 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-03-05 06:00:00', 'surface', 2.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-03-06 06:00:00', 'surface', 11.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-03-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-03-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-03-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-03-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-03-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-03-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-03-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-03-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-03-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-03-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-03-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-03-18 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-03-19 06:00:00', 'surface', 32.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-03-20 06:00:00', 'surface', 1.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-03-21 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-03-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-03-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-03-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-03-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-03-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-03-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-03-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-03-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-03-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-03-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-04-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-04-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-04-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-04-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-04-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-04-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-04-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-04-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-04-09 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-04-10 06:00:00', 'surface', 2.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-04-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-04-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-04-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-04-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-04-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-04-16 06:00:00', 'surface', 0.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-04-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-04-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-04-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-04-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-04-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-04-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-04-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-04-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-04-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-04-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-04-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-04-28 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-04-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-04-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-05-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-05-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-05-03 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-05-04 06:00:00', 'surface', 2.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-05-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-05-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-05-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-05-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-05-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-05-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-05-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-05-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-05-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-05-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-05-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-05-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-05-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-05-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-05-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-05-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-05-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-05-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-05-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-05-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-05-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-05-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-05-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-05-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-05-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-05-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-05-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-06-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-06-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-06-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-06-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-06-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-06-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-06-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-06-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-06-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-06-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-06-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-06-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-06-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-06-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-06-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-06-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-06-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-06-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-06-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-06-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-06-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-06-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-06-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-06-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-06-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-06-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-06-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-06-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-06-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-06-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-07-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-07-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-07-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-07-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-07-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-07-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-07-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-07-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-07-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-07-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-07-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-07-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-07-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-07-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-07-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-07-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-07-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-07-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-07-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-07-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-07-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-07-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-07-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-07-24 06:00:00', 'surface', 0.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-07-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-07-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-07-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-07-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-07-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-07-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-07-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-08-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-08-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-08-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-08-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-08-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-08-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-08-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-08-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-08-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-08-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-08-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-08-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-08-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-08-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-08-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-08-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-08-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-08-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-08-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-08-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-08-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-08-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-08-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-08-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-08-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-08-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-08-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-08-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-08-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-08-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-08-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-09-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-09-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-09-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-09-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-09-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-09-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-09-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-09-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-09-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-09-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-09-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-09-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-09-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-09-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-09-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-09-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-09-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-09-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-09-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-09-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-09-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-09-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-09-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-09-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-09-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-09-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-09-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-09-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-09-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-09-30 06:00:00', 'surface', 4.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-10-01 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-10-02 06:00:00', 'surface', 2.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-10-03 06:00:00', 'surface', 0.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-10-04 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-10-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-10-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-10-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-10-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-10-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-10-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-10-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-10-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-10-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-10-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-10-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-10-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-10-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-10-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-10-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-10-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-10-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-10-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-10-23 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-10-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-10-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-10-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-10-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-10-28 06:00:00', 'surface', 1.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-10-29 06:00:00', 'surface', 2.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-10-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-10-31 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-11-01 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-11-02 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-11-03 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-11-04 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-11-05 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-11-06 06:00:00', 'surface', 1.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-11-07 06:00:00', 'surface', 2.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-11-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-11-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-11-10 06:00:00', 'surface', 0.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-11-11 06:00:00', 'surface', 31.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-11-12 06:00:00', 'surface', 36.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-11-13 06:00:00', 'surface', 30.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-11-14 06:00:00', 'surface', 4.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-11-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-11-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-11-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-11-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-11-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-11-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-11-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-11-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-11-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-11-24 06:00:00', 'surface', 37.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-11-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-11-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-11-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-11-28 06:00:00', 'surface', 3.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-11-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-11-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-12-01 06:00:00', 'surface', 0.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-12-02 06:00:00', 'surface', 1.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-12-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-12-04 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-12-05 06:00:00', 'surface', 1.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-12-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-12-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-12-08 06:00:00', 'surface', 5.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-12-09 06:00:00', 'surface', 2.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-12-10 06:00:00', 'surface', 2.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-12-11 06:00:00', 'surface', 76.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-12-12 06:00:00', 'surface', 0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-12-13 06:00:00', 'surface', 10.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-12-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-12-15 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-12-16 06:00:00', 'surface', 1.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-12-17 06:00:00', 'surface', 0.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-12-18 06:00:00', 'surface', 6.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-12-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-12-20 06:00:00', 'surface', 0.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-12-21 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-12-22 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-12-23 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-12-24 06:00:00', 'surface', 5.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-12-25 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-12-26 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-12-27 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-12-28 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-12-29 06:00:00', 'surface', 32.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-12-30 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1973-12-31 06:00:00', 'surface', 0.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-01-01 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-01-02 06:00:00', 'surface', 30.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-01-03 06:00:00', 'surface', 1.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-01-04 06:00:00', 'surface', 0.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-01-05 06:00:00', 'surface', 10.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-01-06 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-01-07 06:00:00', 'surface', 31.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-01-08 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-01-09 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-01-10 06:00:00', 'surface', 5.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-01-11 06:00:00', 'surface', 0.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-01-12 06:00:00', 'surface', 0.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-01-13 06:00:00', 'surface', 0.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-01-14 06:00:00', 'surface', 1.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-01-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-01-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-01-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-01-18 06:00:00', 'surface', 4.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-01-19 06:00:00', 'surface', 1.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-01-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-01-21 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-01-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-01-23 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-01-24 06:00:00', 'surface', 2.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-01-25 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-01-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-01-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-01-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-01-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-01-30 06:00:00', 'surface', 4.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-01-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-02-01 06:00:00', 'surface', 2.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-02-02 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-02-03 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-02-04 06:00:00', 'surface', 32.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-02-05 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-02-06 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-02-07 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-02-08 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-02-09 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-02-10 06:00:00', 'surface', 58.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-02-11 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-02-12 06:00:00', 'surface', 1.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-02-13 06:00:00', 'surface', 5.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-02-14 06:00:00', 'surface', 1.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-02-15 06:00:00', 'surface', 1.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-02-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-02-17 06:00:00', 'surface', 46.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-02-18 06:00:00', 'surface', 2.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-02-19 06:00:00', 'surface', 3.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-02-20 06:00:00', 'surface', 8.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-02-21 06:00:00', 'surface', 0.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-02-22 06:00:00', 'surface', 1.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-02-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-02-24 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-02-25 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-02-26 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-02-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-02-28 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-03-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-03-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-03-03 06:00:00', 'surface', 0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-03-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-03-05 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-03-06 06:00:00', 'surface', 0.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-03-07 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-03-08 06:00:00', 'surface', 2.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-03-09 06:00:00', 'surface', 36.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-03-10 06:00:00', 'surface', 1.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-03-11 06:00:00', 'surface', 9.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-03-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-03-13 06:00:00', 'surface', 0.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-03-14 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-03-15 06:00:00', 'surface', 0.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-03-16 06:00:00', 'surface', 2.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-03-17 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-03-18 06:00:00', 'surface', 1.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-03-19 06:00:00', 'surface', 2.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-03-20 06:00:00', 'surface', 5.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-03-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-03-22 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-03-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-03-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-03-25 06:00:00', 'surface', 4.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-03-26 06:00:00', 'surface', 0.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-03-27 06:00:00', 'surface', 3.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-03-28 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-03-29 06:00:00', 'surface', 2.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-03-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-03-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-04-01 06:00:00', 'surface', 8.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-04-02 06:00:00', 'surface', 0.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-04-03 06:00:00', 'surface', 0.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-04-04 06:00:00', 'surface', 0.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-04-05 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-04-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-04-07 06:00:00', 'surface', 2.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-04-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-04-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-04-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-04-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-04-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-04-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-04-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-04-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-04-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-04-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-04-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-04-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-04-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-04-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-04-22 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-04-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-04-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-04-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-04-26 06:00:00', 'surface', 1.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-04-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-04-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-04-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-04-30 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-05-01 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-05-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-05-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-05-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-05-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-05-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-05-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-05-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-05-09 06:00:00', 'surface', 1.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-05-10 06:00:00', 'surface', 4.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-05-11 06:00:00', 'surface', 2.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-05-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-05-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-05-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-05-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-05-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-05-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-05-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-05-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-05-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-05-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-05-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-05-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-05-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-05-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-05-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-05-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-05-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-05-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-05-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-05-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-06-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-06-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-06-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-06-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-06-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-06-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-06-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-06-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-06-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-06-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-06-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-06-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-06-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-06-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-06-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-06-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-06-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-06-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-06-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-06-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-06-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-06-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-06-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-06-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-06-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-06-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-06-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-06-28 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-06-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-06-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-07-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-07-02 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-07-03 06:00:00', 'surface', 30.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-07-04 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-07-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-07-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-07-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-07-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-07-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-07-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-07-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-07-12 06:00:00', 'surface', 0.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-07-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-07-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-07-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-07-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-07-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-07-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-07-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-07-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-07-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-07-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-07-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-07-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-07-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-07-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-07-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-07-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-07-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-07-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-07-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-08-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-08-02 06:00:00', 'surface', 0.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-08-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-08-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-08-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-08-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-08-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-08-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-08-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-08-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-08-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-08-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-08-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-08-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-08-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-08-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-08-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-08-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-08-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-08-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-08-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-08-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-08-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-08-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-08-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-08-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-08-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-08-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-08-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-08-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-08-31 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-09-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-09-02 06:00:00', 'surface', 1.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-09-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-09-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-09-05 06:00:00', 'surface', 0.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-09-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-09-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-09-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-09-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-09-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-09-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-09-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-09-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-09-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-09-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-09-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-09-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-09-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-09-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-09-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-09-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-09-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-09-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-09-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-09-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-09-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-09-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-09-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-09-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-09-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-10-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-10-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-10-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-10-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-10-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-10-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-10-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-10-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-10-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-10-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-10-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-10-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-10-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-10-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-10-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-10-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-10-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-10-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-10-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-10-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-10-21 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-10-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-10-23 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-10-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-10-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-10-26 06:00:00', 'surface', 0.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-10-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-10-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-10-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-10-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-10-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-11-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-11-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-11-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-11-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-11-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-11-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-11-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-11-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-11-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-11-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-11-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-11-12 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-11-13 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-11-14 06:00:00', 'surface', 57.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-11-15 06:00:00', 'surface', 7.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-11-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-11-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-11-18 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-11-19 06:00:00', 'surface', 36.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-11-20 06:00:00', 'surface', 0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-11-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-11-22 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-11-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-11-24 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-11-25 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-11-26 06:00:00', 'surface', 6.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-11-27 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-11-28 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-11-29 06:00:00', 'surface', 1.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-11-30 06:00:00', 'surface', 3.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-12-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-12-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-12-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-12-04 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-12-05 06:00:00', 'surface', 32.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-12-06 06:00:00', 'surface', 3.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-12-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-12-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-12-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-12-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-12-11 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-12-12 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-12-13 06:00:00', 'surface', 63.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-12-14 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-12-15 06:00:00', 'surface', 0.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-12-16 06:00:00', 'surface', 38.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-12-17 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-12-18 06:00:00', 'surface', 11.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-12-19 06:00:00', 'surface', 39.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-12-20 06:00:00', 'surface', 30.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-12-21 06:00:00', 'surface', 0.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-12-22 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-12-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-12-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-12-25 06:00:00', 'surface', 2.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-12-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-12-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-12-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-12-29 06:00:00', 'surface', 2.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-12-30 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1974-12-31 06:00:00', 'surface', 3.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-01-01 06:00:00', 'surface', 2.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-01-02 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-01-03 06:00:00', 'surface', 2.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-01-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-01-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-01-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-01-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-01-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-01-09 06:00:00', 'surface', 0.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-01-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-01-11 06:00:00', 'surface', 4.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-01-12 06:00:00', 'surface', 3.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-01-13 06:00:00', 'surface', 5.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-01-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-01-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-01-16 06:00:00', 'surface', 1.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-01-17 06:00:00', 'surface', 40.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-01-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-01-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-01-20 06:00:00', 'surface', 0.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-01-21 06:00:00', 'surface', 1.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-01-22 06:00:00', 'surface', 3.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-01-23 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-01-24 06:00:00', 'surface', 0.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-01-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-01-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-01-27 06:00:00', 'surface', 0.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-01-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-01-29 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-01-30 06:00:00', 'surface', 0.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-01-31 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-02-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-02-02 06:00:00', 'surface', 33.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-02-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-02-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-02-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-02-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-02-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-02-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-02-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-02-10 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-02-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-02-12 06:00:00', 'surface', 5.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-02-13 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-02-14 06:00:00', 'surface', 82.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-02-15 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-02-16 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-02-17 06:00:00', 'surface', 100.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-02-18 06:00:00', 'surface', 5.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-02-19 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-02-20 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-02-21 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-02-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-02-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-02-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-02-25 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-02-26 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-02-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-02-28 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-03-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-03-02 06:00:00', 'surface', 1.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-03-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-03-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-03-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-03-06 06:00:00', 'surface', 3.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-03-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-03-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-03-09 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-03-10 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-03-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-03-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-03-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-03-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-03-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-03-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-03-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-03-18 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-03-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-03-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-03-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-03-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-03-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-03-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-03-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-03-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-03-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-03-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-03-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-03-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-03-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-04-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-04-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-04-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-04-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-04-05 06:00:00', 'surface', 3.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-04-06 06:00:00', 'surface', 3.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-04-07 06:00:00', 'surface', 1.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-04-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-04-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-04-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-04-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-04-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-04-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-04-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-04-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-04-16 06:00:00', 'surface', 3.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-04-17 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-04-18 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-04-19 06:00:00', 'surface', 0.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-04-20 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-04-21 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-04-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-04-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-04-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-04-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-04-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-04-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-04-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-04-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-04-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-05-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-05-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-05-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-05-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-05-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-05-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-05-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-05-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-05-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-05-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-05-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-05-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-05-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-05-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-05-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-05-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-05-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-05-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-05-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-05-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-05-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-05-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-05-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-05-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-05-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-05-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-05-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-05-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-05-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-05-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-05-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-06-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-06-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-06-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-06-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-06-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-06-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-06-07 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-06-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-06-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-06-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-06-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-06-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-06-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-06-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-06-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-06-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-06-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-06-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-06-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-06-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-06-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-06-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-06-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-06-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-06-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-06-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-06-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-06-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-06-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-06-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-07-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-07-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-07-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-07-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-07-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-07-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-07-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-07-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-07-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-07-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-07-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-07-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-07-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-07-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-07-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-07-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-07-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-07-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-07-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-07-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-07-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-07-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-07-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-07-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-07-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-07-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-07-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-07-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-07-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-07-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-07-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-08-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-08-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-08-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-08-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-08-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-08-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-08-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-08-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-08-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-08-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-08-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-08-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-08-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-08-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-08-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-08-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-08-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-08-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-08-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-08-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-08-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-08-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-08-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-08-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-08-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-08-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-08-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-08-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-08-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-08-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-08-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-09-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-09-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-09-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-09-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-09-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-09-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-09-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-09-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-09-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-09-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-09-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-09-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-09-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-09-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-09-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-09-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-09-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-09-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-09-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-09-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-09-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-09-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-09-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-09-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-09-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-09-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-09-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-09-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-09-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-09-30 06:00:00', 'surface', 0.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-10-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-10-02 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-10-03 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-10-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-10-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-10-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-10-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-10-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-10-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-10-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-10-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-10-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-10-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-10-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-10-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-10-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-10-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-10-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-10-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-10-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-10-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-10-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-10-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-10-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-10-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-10-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-10-27 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-10-28 06:00:00', 'surface', 1.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-10-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-10-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-10-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-11-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-11-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-11-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-11-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-11-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-11-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-11-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-11-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-11-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-11-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-11-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-11-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-11-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-11-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-11-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-11-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-11-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-11-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-11-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-11-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-11-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-11-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-11-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-11-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-11-25 06:00:00', 'surface', 0.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-11-26 06:00:00', 'surface', 5.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-11-27 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-11-28 06:00:00', 'surface', 41.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-11-29 06:00:00', 'surface', 0.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-11-30 06:00:00', 'surface', 1.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-12-01 06:00:00', 'surface', 2.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-12-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-12-03 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-12-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-12-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-12-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-12-07 06:00:00', 'surface', 8.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-12-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-12-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-12-10 06:00:00', 'surface', 3.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-12-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-12-12 06:00:00', 'surface', 0.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-12-13 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-12-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-12-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-12-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-12-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-12-18 06:00:00', 'surface', 0.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-12-19 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-12-20 06:00:00', 'surface', 3.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-12-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-12-22 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-12-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-12-24 06:00:00', 'surface', 5.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-12-25 06:00:00', 'surface', 35.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-12-26 06:00:00', 'surface', 5.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-12-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-12-28 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-12-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-12-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1975-12-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-01-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-01-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-01-03 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-01-04 06:00:00', 'surface', 8.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-01-05 06:00:00', 'surface', 56.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-01-06 06:00:00', 'surface', 39.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-01-07 06:00:00', 'surface', 5.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-01-08 06:00:00', 'surface', 2.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-01-09 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-01-10 06:00:00', 'surface', 8.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-01-11 06:00:00', 'surface', 2.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-01-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-01-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-01-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-01-15 06:00:00', 'surface', 71.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-01-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-01-17 06:00:00', 'surface', 3.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-01-18 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-01-19 06:00:00', 'surface', 1.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-01-20 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-01-21 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-01-22 06:00:00', 'surface', 9.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-01-23 06:00:00', 'surface', 3.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-01-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-01-25 06:00:00', 'surface', 0.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-01-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-01-27 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-01-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-01-29 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-01-30 06:00:00', 'surface', 1.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-01-31 06:00:00', 'surface', 0.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-02-01 06:00:00', 'surface', 1.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-02-02 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-02-03 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-02-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-02-05 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-02-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-02-07 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-02-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-02-09 06:00:00', 'surface', 4.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-02-10 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-02-11 06:00:00', 'surface', 0.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-02-12 06:00:00', 'surface', 8.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-02-13 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-02-14 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-02-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-02-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-02-17 06:00:00', 'surface', 0.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-02-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-02-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-02-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-02-21 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-02-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-02-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-02-24 06:00:00', 'surface', 0.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-02-25 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-02-26 06:00:00', 'surface', 0.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-02-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-02-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-02-29 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-03-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-03-02 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-03-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-03-04 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-03-05 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-03-06 06:00:00', 'surface', 4.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-03-07 06:00:00', 'surface', 0.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-03-08 06:00:00', 'surface', 4.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-03-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-03-10 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-03-11 06:00:00', 'surface', 0.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-03-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-03-13 06:00:00', 'surface', 5.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-03-14 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-03-15 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-03-16 06:00:00', 'surface', 2.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-03-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-03-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-03-19 06:00:00', 'surface', 0.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-03-20 06:00:00', 'surface', 0.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-03-21 06:00:00', 'surface', 3.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-03-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-03-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-03-24 06:00:00', 'surface', 2.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-03-25 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-03-26 06:00:00', 'surface', 9.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-03-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-03-28 06:00:00', 'surface', 0.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-03-29 06:00:00', 'surface', 0.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-03-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-03-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-04-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-04-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-04-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-04-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-04-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-04-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-04-07 06:00:00', 'surface', 2.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-04-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-04-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-04-10 06:00:00', 'surface', 18.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-04-11 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-04-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-04-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-04-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-04-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-04-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-04-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-04-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-04-19 06:00:00', 'surface', 3.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-04-20 06:00:00', 'surface', 7.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-04-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-04-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-04-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-04-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-04-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-04-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-04-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-04-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-04-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-04-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-05-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-05-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-05-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-05-04 06:00:00', 'surface', 4.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-05-05 06:00:00', 'surface', 0.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-05-06 06:00:00', 'surface', 5.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-05-07 06:00:00', 'surface', 0.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-05-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-05-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-05-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-05-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-05-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-05-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-05-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-05-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-05-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-05-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-05-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-05-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-05-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-05-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-05-22 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-05-23 06:00:00', 'surface', 8.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-05-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-05-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-05-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-05-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-05-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-05-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-05-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-05-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-06-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-06-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-06-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-06-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-06-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-06-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-06-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-06-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-06-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-06-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-06-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-06-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-06-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-06-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-06-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-06-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-06-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-06-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-06-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-06-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-06-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-06-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-06-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-06-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-06-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-06-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-06-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-06-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-06-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-06-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-07-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-07-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-07-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-07-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-07-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-07-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-07-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-07-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-07-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-07-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-07-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-07-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-07-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-07-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-07-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-07-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-07-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-07-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-07-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-07-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-07-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-07-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-07-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-07-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-07-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-07-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-07-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-07-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-07-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-07-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-07-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-08-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-08-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-08-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-08-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-08-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-08-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-08-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-08-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-08-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-08-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-08-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-08-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-08-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-08-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-08-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-08-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-08-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-08-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-08-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-08-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-08-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-08-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-08-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-08-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-08-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-08-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-08-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-08-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-08-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-08-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-08-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-09-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-09-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-09-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-09-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-09-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-09-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-09-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-09-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-09-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-09-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-09-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-09-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-09-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-09-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-09-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-09-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-09-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-09-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-09-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-09-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-09-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-09-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-09-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-09-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-09-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-09-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-09-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-09-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-09-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-09-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-10-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-10-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-10-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-10-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-10-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-10-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-10-07 06:00:00', 'surface', 1.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-10-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-10-09 06:00:00', 'surface', 4.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-10-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-10-11 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-10-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-10-13 06:00:00', 'surface', 18.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-10-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-10-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-10-16 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-10-17 06:00:00', 'surface', 6.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-10-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-10-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-10-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-10-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-10-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-10-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-10-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-10-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-10-26 06:00:00', 'surface', 1.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-10-27 06:00:00', 'surface', 2.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-10-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-10-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-10-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-10-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-11-01 06:00:00', 'surface', 8.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-11-02 06:00:00', 'surface', 2.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-11-03 06:00:00', 'surface', 7.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-11-04 06:00:00', 'surface', 4.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-11-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-11-06 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-11-07 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-11-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-11-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-11-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-11-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-11-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-11-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-11-14 06:00:00', 'surface', 5.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-11-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-11-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-11-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-11-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-11-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-11-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-11-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-11-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-11-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-11-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-11-25 06:00:00', 'surface', 1.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-11-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-11-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-11-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-11-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-11-30 06:00:00', 'surface', 8.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-12-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-12-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-12-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-12-04 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-12-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-12-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-12-07 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-12-08 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-12-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-12-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-12-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-12-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-12-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-12-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-12-15 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-12-16 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-12-17 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-12-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-12-19 06:00:00', 'surface', 6.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-12-20 06:00:00', 'surface', 9.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-12-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-12-22 06:00:00', 'surface', 35.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-12-23 06:00:00', 'surface', 31.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-12-24 06:00:00', 'surface', 5.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-12-25 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-12-26 06:00:00', 'surface', 2.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-12-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-12-28 06:00:00', 'surface', 2.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-12-29 06:00:00', 'surface', 0.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-12-30 06:00:00', 'surface', 0.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1976-12-31 06:00:00', 'surface', 1.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-01-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-01-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-01-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-01-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-01-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-01-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-01-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-01-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-01-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-01-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-01-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-01-12 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-01-13 06:00:00', 'surface', 0.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-01-14 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-01-15 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-01-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-01-17 06:00:00', 'surface', 1.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-01-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-01-19 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-01-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-01-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-01-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-01-23 06:00:00', 'surface', 4.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-01-24 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-01-25 06:00:00', 'surface', 4.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-01-26 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-01-27 06:00:00', 'surface', 0.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-01-28 06:00:00', 'surface', 7.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-01-29 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-01-30 06:00:00', 'surface', 0.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-01-31 06:00:00', 'surface', 0.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-02-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-02-02 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-02-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-02-04 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-02-05 06:00:00', 'surface', 5.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-02-06 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-02-07 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-02-08 06:00:00', 'surface', 0.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-02-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-02-10 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-02-11 06:00:00', 'surface', 90.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-02-12 06:00:00', 'surface', 59.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-02-13 06:00:00', 'surface', 6.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-02-14 06:00:00', 'surface', 31.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-02-15 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-02-16 06:00:00', 'surface', 4.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-02-17 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-02-18 06:00:00', 'surface', 38.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-02-19 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-02-20 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-02-21 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-02-22 06:00:00', 'surface', 5.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-02-23 06:00:00', 'surface', 2.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-02-24 06:00:00', 'surface', 3.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-02-25 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-02-26 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-02-27 06:00:00', 'surface', 1.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-02-28 06:00:00', 'surface', 0.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-03-01 06:00:00', 'surface', 1.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-03-02 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-03-03 06:00:00', 'surface', 1.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-03-04 06:00:00', 'surface', 62.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-03-05 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-03-06 06:00:00', 'surface', 0.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-03-07 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-03-08 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-03-09 06:00:00', 'surface', 0.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-03-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-03-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-03-12 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-03-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-03-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-03-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-03-16 06:00:00', 'surface', 37.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-03-17 06:00:00', 'surface', 55.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-03-18 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-03-19 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-03-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-03-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-03-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-03-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-03-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-03-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-03-26 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-03-27 06:00:00', 'surface', 34.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-03-28 06:00:00', 'surface', 4.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-03-29 06:00:00', 'surface', 1.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-03-30 06:00:00', 'surface', 3.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-03-31 06:00:00', 'surface', 4.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-04-01 06:00:00', 'surface', 1.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-04-02 06:00:00', 'surface', 2.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-04-03 06:00:00', 'surface', 1.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-04-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-04-05 06:00:00', 'surface', 0.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-04-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-04-07 06:00:00', 'surface', 0.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-04-08 06:00:00', 'surface', 1.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-04-09 06:00:00', 'surface', 8.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-04-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-04-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-04-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-04-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-04-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-04-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-04-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-04-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-04-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-04-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-04-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-04-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-04-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-04-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-04-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-04-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-04-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-04-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-04-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-04-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-04-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-05-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-05-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-05-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-05-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-05-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-05-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-05-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-05-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-05-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-05-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-05-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-05-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-05-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-05-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-05-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-05-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-05-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-05-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-05-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-05-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-05-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-05-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-05-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-05-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-05-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-05-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-05-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-05-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-05-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-05-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-05-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-06-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-06-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-06-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-06-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-06-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-06-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-06-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-06-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-06-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-06-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-06-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-06-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-06-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-06-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-06-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-06-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-06-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-06-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-06-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-06-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-06-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-06-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-06-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-06-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-06-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-06-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-06-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-06-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-06-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-06-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-07-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-07-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-07-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-07-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-07-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-07-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-07-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-07-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-07-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-07-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-07-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-07-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-07-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-07-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-07-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-07-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-07-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-07-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-07-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-07-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-07-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-07-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-07-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-07-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-07-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-07-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-07-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-07-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-07-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-07-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-07-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-08-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-08-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-08-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-08-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-08-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-08-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-08-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-08-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-08-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-08-10 06:00:00', 'surface', 2.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-08-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-08-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-08-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-08-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-08-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-08-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-08-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-08-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-08-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-08-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-08-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-08-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-08-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-08-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-08-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-08-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-08-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-08-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-08-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-08-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-08-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-09-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-09-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-09-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-09-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-09-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-09-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-09-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-09-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-09-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-09-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-09-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-09-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-09-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-09-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-09-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-09-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-09-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-09-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-09-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-09-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-09-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-09-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-09-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-09-24 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-09-25 06:00:00', 'surface', 8.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-09-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-09-27 06:00:00', 'surface', 5.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-09-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-09-29 06:00:00', 'surface', 1.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-09-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-10-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-10-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-10-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-10-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-10-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-10-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-10-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-10-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-10-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-10-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-10-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-10-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-10-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-10-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-10-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-10-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-10-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-10-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-10-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-10-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-10-21 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-10-22 06:00:00', 'surface', 3.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-10-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-10-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-10-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-10-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-10-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-10-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-10-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-10-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-10-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-11-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-11-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-11-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-11-04 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-11-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-11-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-11-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-11-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-11-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-11-10 06:00:00', 'surface', 10.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-11-11 06:00:00', 'surface', 2.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-11-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-11-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-11-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-11-15 06:00:00', 'surface', 2.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-11-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-11-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-11-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-11-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-11-20 06:00:00', 'surface', 1.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-11-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-11-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-11-23 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-11-24 06:00:00', 'surface', 3.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-11-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-11-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-11-27 06:00:00', 'surface', 8.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-11-28 06:00:00', 'surface', 35.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-11-29 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-11-30 06:00:00', 'surface', 2.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-12-01 06:00:00', 'surface', 0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-12-02 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-12-03 06:00:00', 'surface', 4.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-12-04 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-12-05 06:00:00', 'surface', 0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-12-06 06:00:00', 'surface', 0.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-12-07 06:00:00', 'surface', 1.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-12-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-12-09 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-12-10 06:00:00', 'surface', 0.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-12-11 06:00:00', 'surface', 0.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-12-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-12-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-12-14 06:00:00', 'surface', 0.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-12-15 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-12-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-12-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-12-18 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-12-19 06:00:00', 'surface', 8.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-12-20 06:00:00', 'surface', 3.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-12-21 06:00:00', 'surface', 4.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-12-22 06:00:00', 'surface', 5.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-12-23 06:00:00', 'surface', 1.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-12-24 06:00:00', 'surface', 1.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-12-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-12-26 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-12-27 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-12-28 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-12-29 06:00:00', 'surface', 9.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-12-30 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1977-12-31 06:00:00', 'surface', 2.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-01-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-01-02 06:00:00', 'surface', 0.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-01-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-01-04 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-01-05 06:00:00', 'surface', 38.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-01-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-01-07 06:00:00', 'surface', 2.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-01-08 06:00:00', 'surface', 3.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-01-09 06:00:00', 'surface', 3.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-01-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-01-11 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-01-12 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-01-13 06:00:00', 'surface', 4.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-01-14 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-01-15 06:00:00', 'surface', 3.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-01-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-01-17 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-01-18 06:00:00', 'surface', 10.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-01-19 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-01-20 06:00:00', 'surface', 11.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-01-21 06:00:00', 'surface', 32.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-01-22 06:00:00', 'surface', 0.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-01-23 06:00:00', 'surface', 34.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-01-24 06:00:00', 'surface', 9.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-01-25 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-01-26 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-01-27 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-01-28 06:00:00', 'surface', 2.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-01-29 06:00:00', 'surface', 2.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-01-30 06:00:00', 'surface', 1.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-01-31 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-02-01 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-02-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-02-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-02-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-02-05 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-02-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-02-07 06:00:00', 'surface', 6.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-02-08 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-02-09 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-02-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-02-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-02-12 06:00:00', 'surface', 2.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-02-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-02-14 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-02-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-02-16 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-02-17 06:00:00', 'surface', 11.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-02-18 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-02-19 06:00:00', 'surface', 40.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-02-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-02-21 06:00:00', 'surface', 10.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-02-22 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-02-23 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-02-24 06:00:00', 'surface', 29.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-02-25 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-02-26 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-02-27 06:00:00', 'surface', 0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-02-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-03-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-03-02 06:00:00', 'surface', 6.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-03-03 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-03-04 06:00:00', 'surface', 1.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-03-05 06:00:00', 'surface', 63.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-03-06 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-03-07 06:00:00', 'surface', 37.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-03-08 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-03-09 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-03-10 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-03-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-03-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-03-13 06:00:00', 'surface', 2.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-03-14 06:00:00', 'surface', 46.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-03-15 06:00:00', 'surface', 0.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-03-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-03-17 06:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-03-18 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-03-19 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-03-20 06:00:00', 'surface', 2.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-03-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-03-22 06:00:00', 'surface', 1.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-03-23 06:00:00', 'surface', 1.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-03-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-03-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-03-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-03-27 06:00:00', 'surface', 5.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-03-28 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-03-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-03-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-03-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-04-01 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-04-02 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-04-03 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-04-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-04-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-04-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-04-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-04-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-04-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-04-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-04-11 06:00:00', 'surface', 2.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-04-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-04-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-04-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-04-15 06:00:00', 'surface', 0.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-04-16 06:00:00', 'surface', 0.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-04-17 06:00:00', 'surface', 3.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-04-18 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-04-19 06:00:00', 'surface', 0.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-04-20 06:00:00', 'surface', 1.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-04-21 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-04-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-04-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-04-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-04-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-04-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-04-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-04-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-04-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-04-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-05-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-05-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-05-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-05-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-05-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-05-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-05-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-05-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-05-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-05-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-05-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-05-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-05-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-05-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-05-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-05-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-05-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-05-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-05-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-05-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-05-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-05-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-05-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-05-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-05-25 06:00:00', 'surface', 0.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-05-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-05-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-05-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-05-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-05-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-05-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-06-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-06-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-06-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-06-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-06-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-06-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-06-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-06-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-06-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-06-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-06-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-06-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-06-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-06-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-06-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-06-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-06-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-06-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-06-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-06-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-06-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-06-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-06-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-06-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-06-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-06-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-06-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-06-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-06-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-06-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-07-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-07-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-07-03 06:00:00', 'surface', 1.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-07-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-07-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-07-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-07-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-07-08 06:00:00', 'surface', 0.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-07-09 06:00:00', 'surface', 1.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-07-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-07-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-07-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-07-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-07-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-07-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-07-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-07-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-07-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-07-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-07-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-07-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-07-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-07-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-07-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-07-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-07-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-07-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-07-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-07-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-07-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-07-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-08-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-08-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-08-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-08-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-08-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-08-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-08-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-08-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-08-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-08-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-08-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-08-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-08-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-08-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-08-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-08-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-08-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-08-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-08-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-08-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-08-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-08-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-08-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-08-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-08-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-08-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-08-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-08-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-08-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-08-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-08-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-09-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-09-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-09-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-09-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-09-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-09-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-09-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-09-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-09-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-09-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-09-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-09-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-09-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-09-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-09-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-09-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-09-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-09-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-09-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-09-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-09-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-09-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-09-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-09-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-09-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-09-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-09-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-09-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-09-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-09-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-10-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-10-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-10-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-10-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-10-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-10-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-10-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-10-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-10-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-10-10 06:00:00', 'surface', 2.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-10-11 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-10-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-10-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-10-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-10-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-10-16 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-10-17 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-10-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-10-19 06:00:00', 'surface', 34.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-10-20 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-10-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-10-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-10-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-10-24 06:00:00', 'surface', 5.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-10-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-10-26 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-10-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-10-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-10-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-10-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-10-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-11-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-11-02 06:00:00', 'surface', 5.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-11-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-11-04 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-11-05 06:00:00', 'surface', 0.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-11-06 06:00:00', 'surface', 0.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-11-07 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-11-08 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-11-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-11-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-11-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-11-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-11-13 06:00:00', 'surface', 1.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-11-14 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-11-15 06:00:00', 'surface', 1.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-11-16 06:00:00', 'surface', 3.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-11-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-11-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-11-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-11-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-11-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-11-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-11-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-11-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-11-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-11-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-11-27 06:00:00', 'surface', 1.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-11-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-11-29 06:00:00', 'surface', 1.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-11-30 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-12-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-12-02 06:00:00', 'surface', 1.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-12-03 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-12-04 06:00:00', 'surface', 2.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-12-05 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-12-06 06:00:00', 'surface', 55.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-12-07 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-12-08 06:00:00', 'surface', 4.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-12-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-12-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-12-11 06:00:00', 'surface', 0.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-12-12 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-12-13 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-12-14 06:00:00', 'surface', 0.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-12-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-12-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-12-17 06:00:00', 'surface', 44.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-12-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-12-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-12-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-12-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-12-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-12-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-12-24 06:00:00', 'surface', 2.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-12-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-12-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-12-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-12-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-12-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-12-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1978-12-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-01-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-01-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-01-03 06:00:00', 'surface', 11.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-01-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-01-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-01-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-01-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-01-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-01-09 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-01-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-01-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-01-12 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-01-13 06:00:00', 'surface', 3.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-01-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-01-15 06:00:00', 'surface', 0.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-01-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-01-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-01-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-01-19 06:00:00', 'surface', 4.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-01-20 06:00:00', 'surface', 1.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-01-21 06:00:00', 'surface', 35.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-01-22 06:00:00', 'surface', 4.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-01-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-01-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-01-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-01-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-01-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-01-28 06:00:00', 'surface', 66.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-01-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-01-30 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-01-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-02-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-02-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-02-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-02-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-02-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-02-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-02-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-02-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-02-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-02-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-02-11 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-02-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-02-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-02-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-02-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-02-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-02-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-02-18 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-02-19 06:00:00', 'surface', 2.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-02-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-02-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-02-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-02-23 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-02-24 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-02-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-02-26 06:00:00', 'surface', 36.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-02-27 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-02-28 06:00:00', 'surface', 0.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-03-01 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-03-02 06:00:00', 'surface', 3.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-03-03 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-03-04 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-03-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-03-06 06:00:00', 'surface', 3.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-03-07 06:00:00', 'surface', 2.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-03-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-03-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-03-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-03-11 06:00:00', 'surface', 0.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-03-12 06:00:00', 'surface', 0.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-03-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-03-14 06:00:00', 'surface', 0.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-03-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-03-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-03-17 06:00:00', 'surface', 34.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-03-18 06:00:00', 'surface', 2.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-03-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-03-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-03-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-03-22 06:00:00', 'surface', 3.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-03-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-03-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-03-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-03-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-03-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-03-28 06:00:00', 'surface', 0.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-03-29 06:00:00', 'surface', 1.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-03-30 06:00:00', 'surface', 0.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-03-31 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-04-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-04-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-04-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-04-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-04-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-04-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-04-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-04-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-04-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-04-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-04-11 06:00:00', 'surface', 0.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-04-12 06:00:00', 'surface', 2.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-04-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-04-14 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-04-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-04-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-04-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-04-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-04-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-04-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-04-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-04-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-04-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-04-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-04-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-04-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-04-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-04-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-04-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-04-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-05-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-05-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-05-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-05-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-05-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-05-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-05-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-05-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-05-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-05-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-05-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-05-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-05-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-05-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-05-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-05-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-05-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-05-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-05-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-05-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-05-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-05-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-05-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-05-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-05-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-05-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-05-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-05-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-05-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-05-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-05-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-06-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-06-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-06-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-06-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-06-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-06-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-06-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-06-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-06-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-06-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-06-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-06-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-06-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-06-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-06-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-06-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-06-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-06-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-06-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-06-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-06-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-06-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-06-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-06-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-06-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-06-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-06-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-06-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-06-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-06-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-07-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-07-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-07-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-07-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-07-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-07-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-07-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-07-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-07-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-07-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-07-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-07-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-07-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-07-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-07-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-07-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-07-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-07-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-07-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-07-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-07-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-07-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-07-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-07-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-07-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-07-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-07-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-07-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-07-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-07-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-07-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-08-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-08-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-08-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-08-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-08-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-08-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-08-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-08-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-08-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-08-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-08-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-08-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-08-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-08-14 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-08-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-08-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-08-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-08-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-08-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-08-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-08-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-08-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-08-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-08-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-08-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-08-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-08-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-08-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-08-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-08-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-08-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-09-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-09-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-09-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-09-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-09-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-09-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-09-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-09-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-09-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-09-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-09-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-09-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-09-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-09-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-09-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-09-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-09-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-09-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-09-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-09-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-09-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-09-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-09-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-09-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-09-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-09-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-09-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-09-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-09-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-09-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-10-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-10-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-10-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-10-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-10-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-10-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-10-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-10-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-10-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-10-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-10-11 06:00:00', 'surface', 7.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-10-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-10-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-10-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-10-15 06:00:00', 'surface', 0.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-10-16 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-10-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-10-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-10-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-10-20 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-10-21 06:00:00', 'surface', 1.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-10-22 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-10-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-10-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-10-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-10-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-10-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-10-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-10-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-10-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-10-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-11-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-11-02 06:00:00', 'surface', 0.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-11-03 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-11-04 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-11-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-11-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-11-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-11-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-11-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-11-10 06:00:00', 'surface', 4.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-11-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-11-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-11-13 06:00:00', 'surface', 36.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-11-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-11-15 06:00:00', 'surface', 1.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-11-16 06:00:00', 'surface', 1.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-11-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-11-18 06:00:00', 'surface', 0.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-11-19 06:00:00', 'surface', 9.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-11-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-11-21 06:00:00', 'surface', 11.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-11-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-11-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-11-24 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-11-25 06:00:00', 'surface', 48.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-11-26 06:00:00', 'surface', 8.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-11-27 06:00:00', 'surface', 1.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-11-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-11-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-11-30 06:00:00', 'surface', 2.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-12-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-12-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-12-03 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-12-04 06:00:00', 'surface', 53.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-12-05 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-12-06 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-12-07 06:00:00', 'surface', 0.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-12-08 06:00:00', 'surface', 12.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-12-09 06:00:00', 'surface', 1.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-12-10 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-12-11 06:00:00', 'surface', 0.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-12-12 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-12-13 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-12-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-12-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-12-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-12-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-12-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-12-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-12-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-12-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-12-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-12-23 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-12-24 06:00:00', 'surface', 3.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-12-25 06:00:00', 'surface', 0.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-12-26 06:00:00', 'surface', 6.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-12-27 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-12-28 06:00:00', 'surface', 32.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-12-29 06:00:00', 'surface', 5.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-12-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1979-12-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-01-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-01-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-01-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-01-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-01-05 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-01-06 06:00:00', 'surface', 10.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-01-07 06:00:00', 'surface', 37.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-01-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-01-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-01-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-01-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-01-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-01-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-01-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-01-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-01-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-01-17 06:00:00', 'surface', 0.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-01-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-01-19 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-01-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-01-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-01-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-01-23 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-01-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-01-25 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-01-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-01-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-01-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-01-29 06:00:00', 'surface', 4.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-01-30 06:00:00', 'surface', 0.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-01-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-02-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-02-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-02-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-02-04 06:00:00', 'surface', 2.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-02-05 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-02-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-02-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-02-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-02-09 06:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-02-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-02-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-02-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-02-13 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-02-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-02-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-02-16 06:00:00', 'surface', 3.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-02-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-02-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-02-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-02-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-02-21 06:00:00', 'surface', 8.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-02-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-02-23 06:00:00', 'surface', 34.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-02-24 06:00:00', 'surface', 0.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-02-25 06:00:00', 'surface', 2.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-02-26 06:00:00', 'surface', 0.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-02-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-02-28 06:00:00', 'surface', 2.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-02-29 06:00:00', 'surface', 1.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-03-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-03-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-03-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-03-04 06:00:00', 'surface', 3.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-03-05 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-03-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-03-07 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-03-08 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-03-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-03-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-03-11 06:00:00', 'surface', 0.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-03-12 06:00:00', 'surface', 1.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-03-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-03-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-03-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-03-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-03-17 06:00:00', 'surface', 1.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-03-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-03-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-03-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-03-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-03-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-03-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-03-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-03-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-03-26 06:00:00', 'surface', 0.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-03-27 06:00:00', 'surface', 1.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-03-28 06:00:00', 'surface', 5.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-03-29 06:00:00', 'surface', 0.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-03-30 06:00:00', 'surface', 0.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-03-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-04-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-04-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-04-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-04-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-04-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-04-06 06:00:00', 'surface', 9.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-04-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-04-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-04-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-04-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-04-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-04-12 06:00:00', 'surface', 2.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-04-13 06:00:00', 'surface', 1.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-04-14 06:00:00', 'surface', 1.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-04-15 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-04-16 06:00:00', 'surface', 2.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-04-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-04-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-04-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-04-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-04-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-04-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-04-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-04-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-04-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-04-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-04-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-04-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-04-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-04-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-05-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-05-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-05-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-05-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-05-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-05-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-05-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-05-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-05-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-05-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-05-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-05-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-05-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-05-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-05-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-05-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-05-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-05-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-05-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-05-20 06:00:00', 'surface', 1.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-05-21 06:00:00', 'surface', 0.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-05-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-05-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-05-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-05-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-05-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-05-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-05-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-05-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-05-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-05-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-06-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-06-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-06-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-06-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-06-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-06-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-06-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-06-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-06-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-06-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-06-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-06-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-06-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-06-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-06-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-06-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-06-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-06-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-06-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-06-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-06-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-06-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-06-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-06-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-06-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-06-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-06-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-06-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-06-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-06-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-07-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-07-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-07-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-07-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-07-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-07-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-07-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-07-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-07-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-07-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-07-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-07-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-07-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-07-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-07-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-07-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-07-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-07-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-07-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-07-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-07-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-07-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-07-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-07-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-07-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-07-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-07-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-07-28 06:00:00', 'surface', 0.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-07-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-07-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-07-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-08-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-08-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-08-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-08-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-08-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-08-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-08-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-08-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-08-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-08-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-08-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-08-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-08-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-08-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-08-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-08-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-08-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-08-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-08-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-08-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-08-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-08-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-08-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-08-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-08-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-08-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-08-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-08-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-08-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-08-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-08-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-09-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-09-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-09-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-09-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-09-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-09-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-09-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-09-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-09-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-09-10 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-09-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-09-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-09-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-09-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-09-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-09-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-09-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-09-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-09-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-09-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-09-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-09-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-09-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-09-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-09-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-09-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-09-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-09-28 06:00:00', 'surface', 0.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-09-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-09-30 06:00:00', 'surface', 9.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-10-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-10-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-10-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-10-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-10-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-10-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-10-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-10-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-10-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-10-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-10-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-10-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-10-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-10-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-10-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-10-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-10-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-10-18 06:00:00', 'surface', 3.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-10-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-10-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-10-21 06:00:00', 'surface', 8.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-10-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-10-23 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-10-24 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-10-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-10-26 06:00:00', 'surface', 33.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-10-27 06:00:00', 'surface', 4.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-10-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-10-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-10-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-10-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-11-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-11-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-11-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-11-04 06:00:00', 'surface', 0.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-11-05 06:00:00', 'surface', 2.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-11-06 06:00:00', 'surface', 1.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-11-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-11-08 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-11-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-11-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-11-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-11-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-11-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-11-14 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-11-15 06:00:00', 'surface', 6.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-11-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-11-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-11-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-11-19 06:00:00', 'surface', 1.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-11-20 06:00:00', 'surface', 5.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-11-21 06:00:00', 'surface', 1.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-11-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-11-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-11-24 06:00:00', 'surface', 0.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-11-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-11-26 06:00:00', 'surface', 5.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-11-27 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-11-28 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-11-29 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-11-30 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-12-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-12-02 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-12-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-12-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-12-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-12-06 06:00:00', 'surface', 1.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-12-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-12-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-12-09 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-12-10 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-12-11 06:00:00', 'surface', 0.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-12-12 06:00:00', 'surface', 2.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-12-13 06:00:00', 'surface', 1.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-12-14 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-12-15 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-12-16 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-12-17 06:00:00', 'surface', 0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-12-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-12-19 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-12-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-12-21 06:00:00', 'surface', 1.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-12-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-12-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-12-24 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-12-25 06:00:00', 'surface', 10.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-12-26 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-12-27 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-12-28 06:00:00', 'surface', 0.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-12-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-12-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1980-12-31 06:00:00', 'surface', 4.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1978-12-01 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1978-12-02 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1978-12-03 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1978-12-04 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1978-12-05 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1978-12-06 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1978-12-07 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1978-12-08 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1978-12-09 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1978-12-10 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1978-12-11 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1978-12-12 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1978-12-13 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1978-12-14 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1978-12-15 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1978-12-16 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1978-12-17 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1978-12-18 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1978-12-19 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1978-12-20 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1978-12-21 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1978-12-22 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1978-12-23 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1978-12-24 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1978-12-25 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1978-12-26 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1978-12-27 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1978-12-28 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1978-12-29 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1978-12-30 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1978-12-31 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-01-01 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-01-02 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-01-03 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-01-04 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-01-05 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-01-06 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-01-07 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-01-08 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-01-09 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-01-10 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-01-11 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-01-12 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-01-13 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-01-14 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-01-15 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-01-16 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-01-17 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-01-18 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-01-19 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-01-20 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-01-21 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-01-22 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-01-23 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-01-24 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-01-25 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-01-26 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-01-27 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-01-28 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-01-29 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-01-30 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-01-31 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-02-01 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-02-02 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-02-03 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-02-04 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-02-05 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-02-06 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-02-07 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-02-08 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-02-09 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-02-10 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-02-11 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-02-12 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-02-13 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-02-14 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-02-15 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-02-16 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-02-17 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-02-18 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-02-19 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-02-20 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-02-21 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-02-22 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-02-23 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-02-24 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-02-25 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-02-26 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-02-27 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-02-28 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-03-01 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-03-02 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-03-03 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-03-04 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-03-05 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-03-06 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-03-07 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-03-08 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-03-09 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-03-10 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-03-11 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-03-12 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-03-13 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-03-14 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-03-15 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-03-16 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-03-17 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-03-18 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-03-19 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-03-20 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-03-21 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-03-22 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-03-23 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-03-24 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-03-25 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-03-26 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-03-27 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-03-28 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-03-29 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-03-30 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-03-31 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-04-01 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-04-02 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-04-03 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-04-04 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-04-05 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-04-06 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-04-07 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-04-08 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-04-09 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-04-10 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-04-11 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-04-12 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-04-13 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-04-14 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-04-15 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-04-16 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-04-17 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-04-18 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-04-19 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-04-20 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-04-21 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-04-22 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-04-23 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-04-24 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-04-25 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-04-26 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-04-27 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-04-28 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-04-29 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-04-30 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-05-01 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-05-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-05-03 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-05-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-05-05 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-05-06 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-05-07 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-05-08 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-05-09 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-05-10 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-05-11 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-05-12 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-05-13 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-05-14 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-05-15 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-05-16 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-05-17 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-05-18 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-05-19 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-05-20 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-05-21 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-05-22 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-05-23 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-05-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-05-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-05-26 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-05-27 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-05-28 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-05-29 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-05-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-05-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-06-01 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-06-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-06-03 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-06-04 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-06-05 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-06-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-06-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-06-08 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-06-09 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-06-10 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-06-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-06-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-06-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-06-14 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-06-15 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-06-16 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-06-17 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-06-18 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-06-19 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-06-20 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-06-21 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-06-22 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-06-23 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-06-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-06-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-06-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-06-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-06-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-06-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-06-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-07-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-07-02 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-07-03 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-07-04 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-07-05 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-07-06 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-07-07 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-07-08 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-07-09 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-07-10 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-07-11 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-07-12 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-07-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-07-14 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-07-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-07-16 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-07-17 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-07-18 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-07-19 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-07-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-07-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-07-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-07-23 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-07-24 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-07-25 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-07-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-07-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-07-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-07-29 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-07-30 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-07-31 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-08-01 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-08-02 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-08-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-08-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-08-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-08-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-08-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-08-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-08-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-08-10 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-08-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-08-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-08-13 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-08-14 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-08-15 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-08-16 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-08-17 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-08-18 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-08-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-08-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-08-21 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-08-22 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-08-23 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-08-24 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-08-25 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-08-26 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-08-27 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-08-28 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-08-29 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-08-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-08-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-09-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-09-02 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-09-03 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-09-04 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-09-05 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-09-06 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-09-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-09-08 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-09-09 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-09-10 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-09-11 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-09-12 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-09-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-09-14 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-09-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-09-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-09-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-09-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-09-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-09-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-09-21 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-09-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-09-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-09-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-09-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-09-26 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-09-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-09-28 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-09-29 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-09-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-10-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-10-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-10-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-10-04 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-10-05 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-10-06 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-10-07 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-10-08 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-10-09 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-10-10 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-10-11 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-10-12 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-10-13 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-10-14 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-10-15 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-10-16 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-10-17 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-10-18 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-10-19 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-10-20 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-10-21 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-10-22 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-10-23 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-10-24 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-10-25 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-10-26 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-10-27 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-10-28 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-10-29 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-10-30 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-10-31 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-11-01 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-11-02 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-11-03 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-11-04 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-11-05 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-11-06 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-11-07 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-11-08 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-11-09 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-11-10 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-11-11 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-11-12 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-11-13 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-11-14 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-11-15 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-11-16 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-11-17 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-11-18 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-11-19 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-11-20 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-11-21 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-11-22 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-11-23 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-11-24 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-11-25 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-11-26 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-11-27 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-11-28 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-11-29 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-11-30 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-12-01 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-12-02 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-12-03 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-12-04 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-12-05 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-12-06 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-12-07 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-12-08 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-12-09 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-12-10 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-12-11 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-12-12 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-12-13 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-12-14 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-12-15 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-12-16 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-12-17 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-12-18 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-12-19 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-12-20 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-12-21 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-12-22 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-12-23 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-12-24 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-12-25 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-12-26 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-12-27 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-12-28 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-12-29 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-12-30 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1979-12-31 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-01-01 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-01-02 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-01-03 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-01-04 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-01-05 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-01-06 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-01-07 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-01-08 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-01-09 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-01-10 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-01-11 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-01-12 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-01-13 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-01-14 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-01-15 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-01-16 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-01-17 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-01-18 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-01-19 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-01-20 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-01-21 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-01-22 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-01-23 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-01-24 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-01-25 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-01-26 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-01-27 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-01-28 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-01-29 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-01-30 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-01-31 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-02-01 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-02-02 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-02-03 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-02-04 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-02-05 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-02-06 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-02-07 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-02-08 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-02-09 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-02-10 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-02-11 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-02-12 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-02-13 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-02-14 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-02-15 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-02-16 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-02-17 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-02-18 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-02-19 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-02-20 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-02-21 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-02-22 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-02-23 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-02-24 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-02-25 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-02-26 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-02-27 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-02-28 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-02-29 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-03-01 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-03-02 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-03-03 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-03-04 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-03-05 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-03-06 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-03-07 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-03-08 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-03-09 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-03-10 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-03-11 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-03-12 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-03-13 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-03-14 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-03-15 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-03-16 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-03-17 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-03-18 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-03-19 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-03-20 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-03-21 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-03-22 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-03-23 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-03-24 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-03-25 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-03-26 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-03-27 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-03-28 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-03-29 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-03-30 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-03-31 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-04-01 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-04-02 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-04-03 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-04-04 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-04-05 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-04-06 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-04-07 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-04-08 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-04-09 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-04-10 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-04-11 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-04-12 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-04-13 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-04-14 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-04-15 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-04-16 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-04-17 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-04-18 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-04-19 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-04-20 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-04-21 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-04-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-04-23 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-04-24 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-04-25 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-04-26 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-04-27 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-04-28 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-04-29 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-04-30 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-05-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-05-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-05-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-05-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-05-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-05-06 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-05-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-05-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-05-09 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-05-10 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-05-11 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-05-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-05-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-05-14 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-05-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-05-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-05-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-05-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-05-19 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-05-20 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-05-21 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-05-22 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-05-23 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-05-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-05-25 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-05-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-05-27 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-05-28 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-05-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-05-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-05-31 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-06-01 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-06-02 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-06-03 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-06-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-06-05 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-06-06 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-06-07 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-06-08 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-06-09 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-06-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-06-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-06-12 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-06-13 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-06-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-06-15 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-06-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-06-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-06-18 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-06-19 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-06-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-06-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-06-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-06-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-06-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-06-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-06-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-06-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-06-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-06-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-06-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-07-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-07-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-07-03 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-07-04 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-07-05 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-07-06 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-07-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-07-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-07-09 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-07-10 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-07-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-07-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-07-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-07-14 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-07-15 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-07-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-07-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-07-18 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-07-19 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-07-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-07-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-07-22 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-07-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-07-24 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-07-25 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-07-26 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-07-27 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-07-28 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-07-29 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-07-30 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-07-31 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-08-01 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-08-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-08-03 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-08-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-08-05 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-08-06 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-08-07 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-08-08 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-08-09 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-08-10 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-08-11 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-08-12 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-08-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-08-14 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-08-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-08-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-08-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-08-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-08-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-08-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-08-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-08-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-08-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-08-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-08-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-08-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-08-27 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-08-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-08-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-08-30 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-08-31 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-09-01 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-09-02 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-09-03 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-09-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-09-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-09-06 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-09-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-09-08 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-09-09 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-09-10 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-09-11 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-09-12 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-09-13 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-09-14 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-09-15 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-09-16 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-09-17 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-09-18 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-09-19 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-09-20 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-09-21 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-09-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-09-23 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-09-24 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-09-25 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-09-26 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-09-27 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-09-28 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-09-29 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-09-30 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-10-01 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-10-02 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-10-03 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-10-04 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-10-05 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-10-06 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-10-07 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-10-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-10-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-10-10 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-10-11 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-10-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-10-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-10-14 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-10-15 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-10-16 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-10-17 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-10-18 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-10-19 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-10-20 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-10-21 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-10-22 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-10-23 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-10-24 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-10-25 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-10-26 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-10-27 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-10-28 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-10-29 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-10-30 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-10-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-11-01 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-11-02 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-11-03 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-11-04 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-11-05 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-11-06 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-11-07 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-11-08 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-11-09 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-11-10 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-11-11 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-11-12 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-11-13 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-11-14 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-11-15 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-11-16 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-11-17 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-11-18 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-11-19 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-11-20 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-11-21 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-11-22 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-11-23 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-11-24 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-11-25 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-11-26 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-11-27 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-11-28 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-11-29 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-11-30 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-12-01 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-12-02 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-12-03 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-12-04 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-12-05 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-12-06 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-12-07 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-12-08 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-12-09 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-12-10 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-12-11 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-12-12 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-12-13 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-12-14 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-12-15 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-12-16 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-12-17 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-12-18 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-12-19 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-12-20 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-12-21 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-12-22 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-12-23 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-12-24 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-12-25 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-12-26 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-12-27 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-12-28 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-12-29 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-12-30 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1980-12-31 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-07-01 06:00:00', 'surface', 859.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-07-02 06:00:00', 'surface', 862.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-07-03 06:00:00', 'surface', 861.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-07-04 06:00:00', 'surface', 859.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-07-05 06:00:00', 'surface', 857.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-07-06 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-07-07 06:00:00', 'surface', 856.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-07-08 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-07-09 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-07-10 06:00:00', 'surface', 857.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-07-11 06:00:00', 'surface', 859.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-07-12 06:00:00', 'surface', 862.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-07-13 06:00:00', 'surface', 860.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-07-14 06:00:00', 'surface', 859.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-07-15 06:00:00', 'surface', 858.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-07-16 06:00:00', 'surface', 860.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-07-17 06:00:00', 'surface', 861.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-07-18 06:00:00', 'surface', 859.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-07-19 06:00:00', 'surface', 859.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-07-20 06:00:00', 'surface', 861.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-07-21 06:00:00', 'surface', 860.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-07-22 06:00:00', 'surface', 861.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-07-23 06:00:00', 'surface', 860.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-07-24 06:00:00', 'surface', 858.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-07-25 06:00:00', 'surface', 856.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-07-26 06:00:00', 'surface', 856.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-07-27 06:00:00', 'surface', 858.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-07-28 06:00:00', 'surface', 858.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-07-29 06:00:00', 'surface', 859.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-07-30 06:00:00', 'surface', 860.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-07-31 06:00:00', 'surface', 859.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-08-01 06:00:00', 'surface', 859.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-08-02 06:00:00', 'surface', 860.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-08-03 06:00:00', 'surface', 861.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-08-04 06:00:00', 'surface', 860.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-08-05 06:00:00', 'surface', 859.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-08-08 06:00:00', 'surface', 858.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-08-09 06:00:00', 'surface', 858.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-08-10 06:00:00', 'surface', 858.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-08-11 06:00:00', 'surface', 857.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-08-12 06:00:00', 'surface', 857.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-08-13 06:00:00', 'surface', 861.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-08-14 06:00:00', 'surface', 861.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-08-15 06:00:00', 'surface', 859.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-08-16 06:00:00', 'surface', 859.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-08-17 06:00:00', 'surface', 858.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-08-18 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-08-19 06:00:00', 'surface', 858.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-08-20 06:00:00', 'surface', 858.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-08-21 06:00:00', 'surface', 858.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-08-22 06:00:00', 'surface', 859.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-08-23 06:00:00', 'surface', 857.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-08-24 06:00:00', 'surface', 857.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-08-25 06:00:00', 'surface', 858.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-08-26 06:00:00', 'surface', 860.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-08-27 06:00:00', 'surface', 859.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-08-28 06:00:00', 'surface', 859.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-08-29 06:00:00', 'surface', 858.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-08-30 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-08-31 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-09-01 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-09-02 06:00:00', 'surface', 855.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-09-03 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-09-04 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-09-05 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-09-06 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-09-07 06:00:00', 'surface', 859.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-09-08 06:00:00', 'surface', 859.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-09-09 06:00:00', 'surface', 859.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-09-10 06:00:00', 'surface', 858.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-09-11 06:00:00', 'surface', 858.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-09-12 06:00:00', 'surface', 858.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-09-13 06:00:00', 'surface', 858.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-09-14 06:00:00', 'surface', 857.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-09-15 06:00:00', 'surface', 857.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-09-16 06:00:00', 'surface', 858.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-09-17 06:00:00', 'surface', 857.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-09-18 06:00:00', 'surface', 857.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-09-19 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-09-20 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-09-21 06:00:00', 'surface', 858.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-09-22 06:00:00', 'surface', 858.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-09-23 06:00:00', 'surface', 857.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-09-24 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-09-25 06:00:00', 'surface', 855.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-09-26 06:00:00', 'surface', 854.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-09-27 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-09-28 06:00:00', 'surface', 856.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-09-29 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-09-30 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-10-01 06:00:00', 'surface', 853.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-10-02 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-10-03 06:00:00', 'surface', 855.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-10-04 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-10-05 06:00:00', 'surface', 853.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-10-06 06:00:00', 'surface', 853.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-10-07 06:00:00', 'surface', 853.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-10-08 06:00:00', 'surface', 855.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-10-09 06:00:00', 'surface', 856.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-10-10 06:00:00', 'surface', 857.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-10-11 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-10-12 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-10-13 06:00:00', 'surface', 856.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-10-14 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-10-15 06:00:00', 'surface', 853.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-10-16 06:00:00', 'surface', 850.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-10-17 06:00:00', 'surface', 851.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-10-18 06:00:00', 'surface', 857.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-10-19 06:00:00', 'surface', 859.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-10-20 06:00:00', 'surface', 857.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-10-21 06:00:00', 'surface', 857.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-10-22 06:00:00', 'surface', 857.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-10-23 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-10-24 06:00:00', 'surface', 852.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-10-25 06:00:00', 'surface', 851.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-10-26 06:00:00', 'surface', 850.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-10-27 06:00:00', 'surface', 853.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-10-28 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-10-29 06:00:00', 'surface', 854.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-10-30 06:00:00', 'surface', 851.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-10-31 06:00:00', 'surface', 852.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-11-01 06:00:00', 'surface', 853.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-11-02 06:00:00', 'surface', 852.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-11-03 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-11-04 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-11-05 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-11-08 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-11-09 06:00:00', 'surface', 852.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-11-10 06:00:00', 'surface', 854.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-11-11 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-11-12 06:00:00', 'surface', 853.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-11-13 06:00:00', 'surface', 851.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-11-14 06:00:00', 'surface', 851.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-11-15 06:00:00', 'surface', 853.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-11-16 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-11-17 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-11-18 06:00:00', 'surface', 854.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-11-19 06:00:00', 'surface', 852.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-11-20 06:00:00', 'surface', 852.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-11-21 06:00:00', 'surface', 853.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-11-22 06:00:00', 'surface', 853.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-11-23 06:00:00', 'surface', 852.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-11-24 06:00:00', 'surface', 851.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-11-25 06:00:00', 'surface', 851.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-11-26 06:00:00', 'surface', 855.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-11-30 06:00:00', 'surface', 854.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-12-01 06:00:00', 'surface', 854.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-12-02 06:00:00', 'surface', 852.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-12-03 06:00:00', 'surface', 852.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-12-04 06:00:00', 'surface', 851.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-12-05 06:00:00', 'surface', 851.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-12-06 06:00:00', 'surface', 852.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-12-07 06:00:00', 'surface', 851.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-12-08 06:00:00', 'surface', 852.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-12-09 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-12-10 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-12-11 06:00:00', 'surface', 857.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-12-12 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-12-13 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-12-14 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-12-15 06:00:00', 'surface', 853.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-12-16 06:00:00', 'surface', 852.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-12-17 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-12-18 06:00:00', 'surface', 852.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-12-19 06:00:00', 'surface', 850.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-12-20 06:00:00', 'surface', 850.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-12-21 06:00:00', 'surface', 851.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-12-22 06:00:00', 'surface', 852.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-12-23 06:00:00', 'surface', 852.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-12-24 06:00:00', 'surface', 852.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-12-25 06:00:00', 'surface', 852.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-12-26 06:00:00', 'surface', 852.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-12-27 06:00:00', 'surface', 851.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-12-28 06:00:00', 'surface', 851.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-12-29 06:00:00', 'surface', 850.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-12-30 06:00:00', 'surface', 848.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1976-12-31 06:00:00', 'surface', 847.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-01-01 06:00:00', 'surface', 849.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-01-02 06:00:00', 'surface', 851.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-01-03 06:00:00', 'surface', 853.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-01-04 06:00:00', 'surface', 854.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-01-05 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-01-06 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-01-07 06:00:00', 'surface', 853.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-01-08 06:00:00', 'surface', 853.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-01-09 06:00:00', 'surface', 853.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-01-10 06:00:00', 'surface', 853.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-01-11 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-01-12 06:00:00', 'surface', 853.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-01-13 06:00:00', 'surface', 852.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-01-14 06:00:00', 'surface', 851.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-01-15 06:00:00', 'surface', 852.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-01-16 06:00:00', 'surface', 853.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-01-17 06:00:00', 'surface', 853.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-01-18 06:00:00', 'surface', 852.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-01-19 06:00:00', 'surface', 852.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-01-20 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-01-21 06:00:00', 'surface', 853.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-01-22 06:00:00', 'surface', 852.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-01-23 06:00:00', 'surface', 853.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-01-24 06:00:00', 'surface', 853.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-01-25 06:00:00', 'surface', 852.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-01-26 06:00:00', 'surface', 851.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-01-27 06:00:00', 'surface', 851.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-01-28 06:00:00', 'surface', 850.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-01-29 06:00:00', 'surface', 849.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-01-30 06:00:00', 'surface', 848.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-01-31 06:00:00', 'surface', 848.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-02-01 06:00:00', 'surface', 849.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-02-02 06:00:00', 'surface', 849.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-02-03 06:00:00', 'surface', 850.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-02-04 06:00:00', 'surface', 849.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-02-05 06:00:00', 'surface', 846.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-02-06 06:00:00', 'surface', 846.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-02-07 06:00:00', 'surface', 846.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-02-08 06:00:00', 'surface', 848.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-02-09 06:00:00', 'surface', 852.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-02-10 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-02-11 06:00:00', 'surface', 852.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-02-12 06:00:00', 'surface', 851.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-02-13 06:00:00', 'surface', 852.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-02-14 06:00:00', 'surface', 852.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-02-15 06:00:00', 'surface', 853.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-02-16 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-02-17 06:00:00', 'surface', 853.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-02-18 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-02-19 06:00:00', 'surface', 854.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-02-20 06:00:00', 'surface', 854.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-02-21 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-02-22 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-02-23 06:00:00', 'surface', 855.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-02-24 06:00:00', 'surface', 853.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-02-25 06:00:00', 'surface', 852.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-02-26 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-02-27 06:00:00', 'surface', 853.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-02-28 06:00:00', 'surface', 851.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-03-01 06:00:00', 'surface', 850.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-03-02 06:00:00', 'surface', 852.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-03-03 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-03-04 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-03-05 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-03-06 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-03-07 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-03-08 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-03-09 06:00:00', 'surface', 857.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-03-10 06:00:00', 'surface', 857.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-03-11 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-03-12 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-03-13 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-03-14 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-03-15 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-03-16 06:00:00', 'surface', 854.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-03-17 06:00:00', 'surface', 854.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-03-18 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-03-19 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-03-20 06:00:00', 'surface', 856.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-03-21 06:00:00', 'surface', 857.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-03-22 06:00:00', 'surface', 855.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-03-23 06:00:00', 'surface', 855.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-03-24 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-03-25 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-03-26 06:00:00', 'surface', 856.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-03-27 06:00:00', 'surface', 856.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-03-28 06:00:00', 'surface', 856.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-03-29 06:00:00', 'surface', 853.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-03-30 06:00:00', 'surface', 852.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-03-31 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-04-01 06:00:00', 'surface', 852.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-04-02 06:00:00', 'surface', 851.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-04-05 06:00:00', 'surface', 857.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-04-06 06:00:00', 'surface', 856.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-04-07 06:00:00', 'surface', 855.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-04-08 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-04-09 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-04-10 06:00:00', 'surface', 858.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-04-11 06:00:00', 'surface', 860.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-04-12 06:00:00', 'surface', 859.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-04-13 06:00:00', 'surface', 858.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-04-16 06:00:00', 'surface', 856.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-04-17 06:00:00', 'surface', 854.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-04-18 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-04-19 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-04-20 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-04-21 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-04-22 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-04-23 06:00:00', 'surface', 855.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-04-24 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-04-25 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-04-26 06:00:00', 'surface', 854.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-04-27 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-04-28 06:00:00', 'surface', 855.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-04-29 06:00:00', 'surface', 855.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-04-30 06:00:00', 'surface', 855.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-05-01 06:00:00', 'surface', 856.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-05-02 06:00:00', 'surface', 857.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-05-03 06:00:00', 'surface', 855.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-05-04 06:00:00', 'surface', 854.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-05-05 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-05-06 06:00:00', 'surface', 857.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-05-07 06:00:00', 'surface', 857.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-05-08 06:00:00', 'surface', 856.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-05-09 06:00:00', 'surface', 856.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-05-10 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-05-11 06:00:00', 'surface', 855.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-05-12 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-05-13 06:00:00', 'surface', 853.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-05-14 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-05-15 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-05-16 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-05-17 06:00:00', 'surface', 857.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-05-18 06:00:00', 'surface', 858.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-05-19 06:00:00', 'surface', 858.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-05-20 06:00:00', 'surface', 859.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-05-23 06:00:00', 'surface', 858.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-05-24 06:00:00', 'surface', 860.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-05-25 06:00:00', 'surface', 858.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-05-26 06:00:00', 'surface', 858.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-05-27 06:00:00', 'surface', 858.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-05-28 06:00:00', 'surface', 858.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-05-29 06:00:00', 'surface', 858.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-05-30 06:00:00', 'surface', 857.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-05-31 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-06-01 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-06-02 06:00:00', 'surface', 856.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-06-03 06:00:00', 'surface', 857.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-06-04 06:00:00', 'surface', 856.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-06-05 06:00:00', 'surface', 856.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-06-06 06:00:00', 'surface', 858.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-06-07 06:00:00', 'surface', 857.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-06-08 06:00:00', 'surface', 858.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-06-09 06:00:00', 'surface', 859.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-06-13 06:00:00', 'surface', 858.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-06-14 06:00:00', 'surface', 859.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-06-15 06:00:00', 'surface', 861.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-06-16 06:00:00', 'surface', 862.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-06-17 06:00:00', 'surface', 862.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-06-18 06:00:00', 'surface', 861.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-06-19 06:00:00', 'surface', 859.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-06-20 06:00:00', 'surface', 859.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-06-21 06:00:00', 'surface', 858.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-06-22 06:00:00', 'surface', 858.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-06-23 06:00:00', 'surface', 858.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-06-24 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-06-25 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-06-26 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-06-27 06:00:00', 'surface', 858.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-06-28 06:00:00', 'surface', 858.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-06-29 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-06-30 06:00:00', 'surface', 857.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-07-01 06:00:00', 'surface', 857.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-07-02 06:00:00', 'surface', 858.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-07-03 06:00:00', 'surface', 859.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-07-04 06:00:00', 'surface', 859.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-07-05 06:00:00', 'surface', 856.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-07-06 06:00:00', 'surface', 857.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-07-07 06:00:00', 'surface', 857.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-07-08 06:00:00', 'surface', 858.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-07-09 06:00:00', 'surface', 857.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-07-10 06:00:00', 'surface', 857.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-07-11 06:00:00', 'surface', 858.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-07-12 06:00:00', 'surface', 858.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-07-13 06:00:00', 'surface', 860.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-07-14 06:00:00', 'surface', 860.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-07-15 06:00:00', 'surface', 860.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-07-16 06:00:00', 'surface', 860.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-07-17 06:00:00', 'surface', 859.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-07-18 06:00:00', 'surface', 859.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-07-19 06:00:00', 'surface', 860.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-07-20 06:00:00', 'surface', 860.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-07-21 06:00:00', 'surface', 860.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-07-22 06:00:00', 'surface', 860.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-07-23 06:00:00', 'surface', 860.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-07-24 06:00:00', 'surface', 860.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-07-25 06:00:00', 'surface', 859.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-07-26 06:00:00', 'surface', 858.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-07-27 06:00:00', 'surface', 858.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-07-28 06:00:00', 'surface', 858.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-07-29 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-07-30 06:00:00', 'surface', 857.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-07-31 06:00:00', 'surface', 861.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-08-01 06:00:00', 'surface', 859.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-08-02 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-08-03 06:00:00', 'surface', 854.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-08-04 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-08-05 06:00:00', 'surface', 858.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-08-06 06:00:00', 'surface', 858.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-08-09 06:00:00', 'surface', 861.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-08-10 06:00:00', 'surface', 858.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-08-11 06:00:00', 'surface', 857.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-08-12 06:00:00', 'surface', 859.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-08-13 06:00:00', 'surface', 860.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-08-14 06:00:00', 'surface', 860.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-08-15 06:00:00', 'surface', 860.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-08-16 06:00:00', 'surface', 858.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-08-17 06:00:00', 'surface', 857.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-08-18 06:00:00', 'surface', 858.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-08-19 06:00:00', 'surface', 858.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-08-20 06:00:00', 'surface', 857.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-08-21 06:00:00', 'surface', 855.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-08-22 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-08-23 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-08-24 06:00:00', 'surface', 857.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-08-25 06:00:00', 'surface', 856.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-08-26 06:00:00', 'surface', 858.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-08-27 06:00:00', 'surface', 858.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-08-28 06:00:00', 'surface', 857.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-08-29 06:00:00', 'surface', 856.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-08-30 06:00:00', 'surface', 856.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-08-31 06:00:00', 'surface', 858.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-09-01 06:00:00', 'surface', 858.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-09-02 06:00:00', 'surface', 858.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-09-03 06:00:00', 'surface', 858.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-09-04 06:00:00', 'surface', 856.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-09-05 06:00:00', 'surface', 856.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-09-06 06:00:00', 'surface', 857.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-09-07 06:00:00', 'surface', 858.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-09-08 06:00:00', 'surface', 857.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-09-09 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-09-10 06:00:00', 'surface', 856.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-09-11 06:00:00', 'surface', 858.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-09-12 06:00:00', 'surface', 858.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-09-13 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-09-14 06:00:00', 'surface', 856.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-09-15 06:00:00', 'surface', 855.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-09-16 06:00:00', 'surface', 855.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-09-17 06:00:00', 'surface', 855.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-09-18 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-09-21 06:00:00', 'surface', 858.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-09-22 06:00:00', 'surface', 858.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-09-23 06:00:00', 'surface', 857.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-09-24 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-09-25 06:00:00', 'surface', 857.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-09-26 06:00:00', 'surface', 854.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-09-29 06:00:00', 'surface', 854.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-09-30 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-10-01 06:00:00', 'surface', 857.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-10-02 06:00:00', 'surface', 856.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-10-03 06:00:00', 'surface', 855.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-10-04 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-10-05 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-10-06 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-10-07 06:00:00', 'surface', 853.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-10-08 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-10-09 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-10-10 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-10-11 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-10-12 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-10-13 06:00:00', 'surface', 855.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-10-14 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-10-15 06:00:00', 'surface', 860.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-10-16 06:00:00', 'surface', 858.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-10-17 06:00:00', 'surface', 856.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-10-18 06:00:00', 'surface', 855.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-10-19 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-10-20 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-10-21 06:00:00', 'surface', 853.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-10-22 06:00:00', 'surface', 851.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-10-23 06:00:00', 'surface', 852.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-10-24 06:00:00', 'surface', 853.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-10-25 06:00:00', 'surface', 855.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-10-26 06:00:00', 'surface', 856.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-10-27 06:00:00', 'surface', 857.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-10-28 06:00:00', 'surface', 858.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-10-29 06:00:00', 'surface', 858.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-10-30 06:00:00', 'surface', 857.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-10-31 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-11-01 06:00:00', 'surface', 854.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-11-02 06:00:00', 'surface', 854.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-11-03 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-11-04 06:00:00', 'surface', 854.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-11-05 06:00:00', 'surface', 855.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-11-06 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-11-07 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-11-08 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-11-09 06:00:00', 'surface', 853.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-11-10 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-11-11 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-11-12 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-11-13 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-11-14 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-11-15 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-11-16 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-11-17 06:00:00', 'surface', 855.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-11-18 06:00:00', 'surface', 853.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-11-19 06:00:00', 'surface', 852.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-11-20 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-11-21 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-11-22 06:00:00', 'surface', 854.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-11-23 06:00:00', 'surface', 854.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-11-24 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-11-25 06:00:00', 'surface', 853.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-11-26 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-11-27 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-11-28 06:00:00', 'surface', 853.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-11-29 06:00:00', 'surface', 853.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-11-30 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-12-01 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-12-02 06:00:00', 'surface', 853.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-12-03 06:00:00', 'surface', 854.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-12-04 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-12-05 06:00:00', 'surface', 853.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-12-06 06:00:00', 'surface', 853.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-12-07 06:00:00', 'surface', 853.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-12-08 06:00:00', 'surface', 852.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-12-09 06:00:00', 'surface', 852.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-12-10 06:00:00', 'surface', 853.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-12-11 06:00:00', 'surface', 853.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-12-12 06:00:00', 'surface', 854.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-12-13 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-12-14 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-12-17 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-12-18 06:00:00', 'surface', 854.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-12-21 06:00:00', 'surface', 855.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-12-22 06:00:00', 'surface', 854.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-12-23 06:00:00', 'surface', 853.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-12-24 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-12-25 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-12-26 06:00:00', 'surface', 854.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-12-27 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-12-28 06:00:00', 'surface', 853.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-12-29 06:00:00', 'surface', 853.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-12-30 06:00:00', 'surface', 852.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1977-12-31 06:00:00', 'surface', 851.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-01-01 06:00:00', 'surface', 852.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-01-02 06:00:00', 'surface', 853.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-01-03 06:00:00', 'surface', 854.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-01-04 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-01-05 06:00:00', 'surface', 855.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-01-06 06:00:00', 'surface', 853.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-01-07 06:00:00', 'surface', 852.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-01-08 06:00:00', 'surface', 853.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-01-09 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-01-10 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-01-11 06:00:00', 'surface', 852.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-01-12 06:00:00', 'surface', 853.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-01-13 06:00:00', 'surface', 854.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-01-14 06:00:00', 'surface', 854.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-01-15 06:00:00', 'surface', 853.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-01-16 06:00:00', 'surface', 852.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-01-17 06:00:00', 'surface', 851.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-01-18 06:00:00', 'surface', 851.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-01-19 06:00:00', 'surface', 852.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-01-20 06:00:00', 'surface', 852.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-01-21 06:00:00', 'surface', 852.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-01-22 06:00:00', 'surface', 852.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-01-23 06:00:00', 'surface', 852.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-01-24 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-01-25 06:00:00', 'surface', 853.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-01-26 06:00:00', 'surface', 852.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-01-27 06:00:00', 'surface', 852.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-01-28 06:00:00', 'surface', 853.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-01-29 06:00:00', 'surface', 852.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-01-30 06:00:00', 'surface', 852.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-01-31 06:00:00', 'surface', 853.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-02-01 06:00:00', 'surface', 854.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-02-02 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-02-03 06:00:00', 'surface', 853.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-02-04 06:00:00', 'surface', 852.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-02-05 06:00:00', 'surface', 852.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-02-06 06:00:00', 'surface', 852.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-02-07 06:00:00', 'surface', 852.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-02-08 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-02-09 06:00:00', 'surface', 853.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-02-10 06:00:00', 'surface', 852.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-02-11 06:00:00', 'surface', 851.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-02-12 06:00:00', 'surface', 851.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-02-13 06:00:00', 'surface', 851.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-02-14 06:00:00', 'surface', 852.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-02-15 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-02-16 06:00:00', 'surface', 855.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-02-17 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-02-18 06:00:00', 'surface', 856.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-02-19 06:00:00', 'surface', 856.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-02-20 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-02-21 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-02-22 06:00:00', 'surface', 855.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-02-23 06:00:00', 'surface', 856.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-02-24 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-02-25 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-02-26 06:00:00', 'surface', 856.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-02-27 06:00:00', 'surface', 855.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-02-28 06:00:00', 'surface', 854.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-03-01 06:00:00', 'surface', 853.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-03-02 06:00:00', 'surface', 853.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-03-03 06:00:00', 'surface', 854.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-03-04 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-03-05 06:00:00', 'surface', 853.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-03-06 06:00:00', 'surface', 851.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-03-07 06:00:00', 'surface', 849.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-03-08 06:00:00', 'surface', 849.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-03-09 06:00:00', 'surface', 852.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-03-10 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-03-11 06:00:00', 'surface', 853.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-03-12 06:00:00', 'surface', 853.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-03-13 06:00:00', 'surface', 854.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-03-14 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-03-15 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-03-16 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-03-17 06:00:00', 'surface', 853.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-03-18 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-03-19 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-03-20 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-03-21 06:00:00', 'surface', 854.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-03-22 06:00:00', 'surface', 854.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-03-23 06:00:00', 'surface', 856.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-03-24 06:00:00', 'surface', 855.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-03-25 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-03-26 06:00:00', 'surface', 856.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-03-27 06:00:00', 'surface', 856.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-03-28 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-03-29 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-03-30 06:00:00', 'surface', 853.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-03-31 06:00:00', 'surface', 852.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-04-01 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-04-02 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-04-03 06:00:00', 'surface', 855.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-04-04 06:00:00', 'surface', 857.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-04-05 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-04-06 06:00:00', 'surface', 857.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-04-07 06:00:00', 'surface', 857.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-04-08 06:00:00', 'surface', 856.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-04-09 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-04-10 06:00:00', 'surface', 854.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-04-11 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-04-12 06:00:00', 'surface', 857.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-04-13 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-04-14 06:00:00', 'surface', 854.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-04-15 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-04-16 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-04-17 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-04-18 06:00:00', 'surface', 855.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-04-19 06:00:00', 'surface', 854.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-04-20 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-04-21 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-04-22 06:00:00', 'surface', 854.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-04-23 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-04-24 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-04-25 06:00:00', 'surface', 854.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-04-26 06:00:00', 'surface', 857.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-04-27 06:00:00', 'surface', 861.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-04-28 06:00:00', 'surface', 860.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-04-29 06:00:00', 'surface', 858.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-04-30 06:00:00', 'surface', 857.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-05-01 06:00:00', 'surface', 855.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-05-02 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-05-03 06:00:00', 'surface', 857.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-05-04 06:00:00', 'surface', 857.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-05-05 06:00:00', 'surface', 857.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-05-06 06:00:00', 'surface', 856.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-05-07 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-05-08 06:00:00', 'surface', 856.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-05-09 06:00:00', 'surface', 858.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-05-10 06:00:00', 'surface', 860.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-05-11 06:00:00', 'surface', 861.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-05-12 06:00:00', 'surface', 860.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-05-13 06:00:00', 'surface', 858.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-05-14 06:00:00', 'surface', 857.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-05-15 06:00:00', 'surface', 858.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-05-16 06:00:00', 'surface', 859.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-05-17 06:00:00', 'surface', 859.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-05-18 06:00:00', 'surface', 859.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-05-19 06:00:00', 'surface', 859.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-05-20 06:00:00', 'surface', 858.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-05-21 06:00:00', 'surface', 857.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-05-22 06:00:00', 'surface', 857.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-05-23 06:00:00', 'surface', 858.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-05-24 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-05-25 06:00:00', 'surface', 855.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-05-26 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-05-27 06:00:00', 'surface', 857.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-05-28 06:00:00', 'surface', 858.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-05-29 06:00:00', 'surface', 857.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-05-30 06:00:00', 'surface', 857.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-05-31 06:00:00', 'surface', 858.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-06-01 06:00:00', 'surface', 859.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-06-02 06:00:00', 'surface', 859.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-06-03 06:00:00', 'surface', 858.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-06-04 06:00:00', 'surface', 858.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-06-05 06:00:00', 'surface', 858.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-06-06 06:00:00', 'surface', 858.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-06-07 06:00:00', 'surface', 860.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-06-08 06:00:00', 'surface', 861.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-06-09 06:00:00', 'surface', 860.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-06-10 06:00:00', 'surface', 858.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-06-11 06:00:00', 'surface', 858.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-06-12 06:00:00', 'surface', 858.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-06-13 06:00:00', 'surface', 860.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-06-14 06:00:00', 'surface', 862.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-06-15 06:00:00', 'surface', 861.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-06-16 06:00:00', 'surface', 858.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-06-17 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-06-18 06:00:00', 'surface', 855.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-06-19 06:00:00', 'surface', 856.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-06-20 06:00:00', 'surface', 859.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-06-21 06:00:00', 'surface', 861.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-06-22 06:00:00', 'surface', 862.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-06-23 06:00:00', 'surface', 862.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-06-24 06:00:00', 'surface', 862.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-06-25 06:00:00', 'surface', 862.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-06-26 06:00:00', 'surface', 860.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-06-27 06:00:00', 'surface', 859.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-06-28 06:00:00', 'surface', 858.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-06-29 06:00:00', 'surface', 857.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-06-30 06:00:00', 'surface', 857.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-07-01 06:00:00', 'surface', 858.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-07-02 06:00:00', 'surface', 859.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-07-03 06:00:00', 'surface', 859.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-07-04 06:00:00', 'surface', 860.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-07-05 06:00:00', 'surface', 861.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-07-06 06:00:00', 'surface', 862.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-07-07 06:00:00', 'surface', 861.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-07-08 06:00:00', 'surface', 861.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-07-09 06:00:00', 'surface', 861.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-07-10 06:00:00', 'surface', 859.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-07-11 06:00:00', 'surface', 858.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-07-12 06:00:00', 'surface', 857.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-07-13 06:00:00', 'surface', 858.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-07-14 06:00:00', 'surface', 858.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-07-15 06:00:00', 'surface', 858.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-07-16 06:00:00', 'surface', 857.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-07-17 06:00:00', 'surface', 858.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-07-18 06:00:00', 'surface', 859.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-07-19 06:00:00', 'surface', 859.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-07-20 06:00:00', 'surface', 859.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-07-21 06:00:00', 'surface', 858.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-07-22 06:00:00', 'surface', 858.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-07-23 06:00:00', 'surface', 858.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-07-24 06:00:00', 'surface', 857.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-07-25 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-07-26 06:00:00', 'surface', 856.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-07-27 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-07-28 06:00:00', 'surface', 856.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-07-29 06:00:00', 'surface', 857.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-07-30 06:00:00', 'surface', 858.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-07-31 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-08-01 06:00:00', 'surface', 856.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-08-02 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-08-03 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-08-04 06:00:00', 'surface', 855.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-08-05 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-08-06 06:00:00', 'surface', 859.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-08-07 06:00:00', 'surface', 859.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-08-08 06:00:00', 'surface', 859.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-08-09 06:00:00', 'surface', 858.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-08-10 06:00:00', 'surface', 859.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-08-11 06:00:00', 'surface', 859.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-08-12 06:00:00', 'surface', 859.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-08-13 06:00:00', 'surface', 859.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-08-14 06:00:00', 'surface', 859.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-08-15 06:00:00', 'surface', 859.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-08-16 06:00:00', 'surface', 858.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-08-17 06:00:00', 'surface', 856.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-08-18 06:00:00', 'surface', 857.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-08-19 06:00:00', 'surface', 858.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-08-20 06:00:00', 'surface', 856.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-08-21 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-08-22 06:00:00', 'surface', 857.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-08-23 06:00:00', 'surface', 856.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-08-24 06:00:00', 'surface', 858.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-08-25 06:00:00', 'surface', 860.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-08-26 06:00:00', 'surface', 859.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-08-27 06:00:00', 'surface', 857.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-08-28 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-08-29 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-08-30 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-08-31 06:00:00', 'surface', 853.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-09-01 06:00:00', 'surface', 853.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-09-02 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-09-03 06:00:00', 'surface', 856.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-09-04 06:00:00', 'surface', 857.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-09-05 06:00:00', 'surface', 857.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-09-06 06:00:00', 'surface', 857.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-09-07 06:00:00', 'surface', 855.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-09-08 06:00:00', 'surface', 854.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-09-09 06:00:00', 'surface', 854.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-09-10 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-09-11 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-09-12 06:00:00', 'surface', 855.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-09-13 06:00:00', 'surface', 857.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-09-14 06:00:00', 'surface', 859.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-09-15 06:00:00', 'surface', 859.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-09-16 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-09-17 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-09-18 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-09-19 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-09-20 06:00:00', 'surface', 855.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-09-21 06:00:00', 'surface', 855.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-09-22 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-09-23 06:00:00', 'surface', 854.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-09-24 06:00:00', 'surface', 854.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-09-25 06:00:00', 'surface', 856.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-09-26 06:00:00', 'surface', 857.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-09-27 06:00:00', 'surface', 857.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-09-28 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-09-29 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-09-30 06:00:00', 'surface', 856.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-10-01 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-10-02 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-10-03 06:00:00', 'surface', 855.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-10-04 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-10-05 06:00:00', 'surface', 852.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-10-06 06:00:00', 'surface', 853.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-10-07 06:00:00', 'surface', 854.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-10-08 06:00:00', 'surface', 855.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-10-09 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-10-10 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-10-11 06:00:00', 'surface', 855.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-10-12 06:00:00', 'surface', 855.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-10-13 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-10-14 06:00:00', 'surface', 854.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-10-15 06:00:00', 'surface', 853.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-10-16 06:00:00', 'surface', 853.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-10-17 06:00:00', 'surface', 854.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-10-18 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-10-19 06:00:00', 'surface', 854.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-10-20 06:00:00', 'surface', 855.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-10-21 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-10-22 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-10-23 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-10-24 06:00:00', 'surface', 853.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-10-25 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-10-26 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-10-27 06:00:00', 'surface', 855.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-10-28 06:00:00', 'surface', 855.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-10-29 06:00:00', 'surface', 854.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-10-30 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-10-31 06:00:00', 'surface', 854.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-11-01 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-11-02 06:00:00', 'surface', 853.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-11-03 06:00:00', 'surface', 854.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-11-04 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-11-05 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-11-06 06:00:00', 'surface', 856.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-11-07 06:00:00', 'surface', 856.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-11-08 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-11-09 06:00:00', 'surface', 856.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-11-10 06:00:00', 'surface', 856.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-11-11 06:00:00', 'surface', 854.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-11-12 06:00:00', 'surface', 852.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-11-13 06:00:00', 'surface', 853.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-11-14 06:00:00', 'surface', 853.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-11-15 06:00:00', 'surface', 854.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-11-16 06:00:00', 'surface', 857.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-11-17 06:00:00', 'surface', 857.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-11-18 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-11-19 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-11-20 06:00:00', 'surface', 856.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-11-21 06:00:00', 'surface', 857.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-11-22 06:00:00', 'surface', 858.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-11-23 06:00:00', 'surface', 857.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-11-24 06:00:00', 'surface', 855.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-11-25 06:00:00', 'surface', 854.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-11-26 06:00:00', 'surface', 854.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-11-27 06:00:00', 'surface', 857.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-11-28 06:00:00', 'surface', 855.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-11-29 06:00:00', 'surface', 853.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-11-30 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-12-01 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-12-02 06:00:00', 'surface', 856.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-12-03 06:00:00', 'surface', 856.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-12-04 06:00:00', 'surface', 855.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-12-05 06:00:00', 'surface', 855.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-12-06 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-12-07 06:00:00', 'surface', 853.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-12-08 06:00:00', 'surface', 851.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-12-09 06:00:00', 'surface', 852.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-12-10 06:00:00', 'surface', 852.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-12-11 06:00:00', 'surface', 851.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-12-12 06:00:00', 'surface', 853.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-12-13 06:00:00', 'surface', 855.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-12-14 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-12-15 06:00:00', 'surface', 852.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-12-16 06:00:00', 'surface', 850.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-12-17 06:00:00', 'surface', 851.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-12-18 06:00:00', 'surface', 853.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-12-19 06:00:00', 'surface', 853.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-12-20 06:00:00', 'surface', 851.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-12-21 06:00:00', 'surface', 850.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-12-22 06:00:00', 'surface', 851.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-12-23 06:00:00', 'surface', 850.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-12-24 06:00:00', 'surface', 850.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-12-25 06:00:00', 'surface', 853.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-12-26 06:00:00', 'surface', 853.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-12-27 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-12-28 06:00:00', 'surface', 853.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-12-29 06:00:00', 'surface', 853.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-12-30 06:00:00', 'surface', 853.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1978-12-31 06:00:00', 'surface', 853.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-01-01 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-01-02 06:00:00', 'surface', 852.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-01-03 06:00:00', 'surface', 853.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-01-04 06:00:00', 'surface', 857.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-01-05 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-01-06 06:00:00', 'surface', 855.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-01-07 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-01-08 06:00:00', 'surface', 858.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-01-09 06:00:00', 'surface', 857.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-01-10 06:00:00', 'surface', 855.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-01-11 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-01-12 06:00:00', 'surface', 854.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-01-13 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-01-14 06:00:00', 'surface', 856.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-01-15 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-01-16 06:00:00', 'surface', 854.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-01-17 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-01-18 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-01-19 06:00:00', 'surface', 855.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-01-20 06:00:00', 'surface', 852.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-01-21 06:00:00', 'surface', 853.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-01-22 06:00:00', 'surface', 855.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-01-23 06:00:00', 'surface', 858.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-01-24 06:00:00', 'surface', 856.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-01-25 06:00:00', 'surface', 855.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-01-26 06:00:00', 'surface', 854.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-01-27 06:00:00', 'surface', 852.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-01-28 06:00:00', 'surface', 851.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-01-29 06:00:00', 'surface', 851.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-01-30 06:00:00', 'surface', 852.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-01-31 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-02-01 06:00:00', 'surface', 854.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-02-02 06:00:00', 'surface', 854.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-02-03 06:00:00', 'surface', 853.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-02-04 06:00:00', 'surface', 852.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-02-05 06:00:00', 'surface', 852.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-02-06 06:00:00', 'surface', 853.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-02-07 06:00:00', 'surface', 853.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-02-08 06:00:00', 'surface', 852.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-02-09 06:00:00', 'surface', 852.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-02-10 06:00:00', 'surface', 852.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-02-11 06:00:00', 'surface', 852.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-02-12 06:00:00', 'surface', 853.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-02-13 06:00:00', 'surface', 854.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-02-14 06:00:00', 'surface', 853.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-02-15 06:00:00', 'surface', 851.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-02-16 06:00:00', 'surface', 851.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-02-17 06:00:00', 'surface', 852.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-02-18 06:00:00', 'surface', 852.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-02-19 06:00:00', 'surface', 851.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-02-20 06:00:00', 'surface', 854.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-02-21 06:00:00', 'surface', 854.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-02-22 06:00:00', 'surface', 853.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-02-23 06:00:00', 'surface', 853.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-02-24 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-02-25 06:00:00', 'surface', 853.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-02-26 06:00:00', 'surface', 852.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-02-27 06:00:00', 'surface', 852.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-02-28 06:00:00', 'surface', 851.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-03-01 06:00:00', 'surface', 851.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-03-02 06:00:00', 'surface', 852.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-03-03 06:00:00', 'surface', 852.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-03-04 06:00:00', 'surface', 850.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-03-05 06:00:00', 'surface', 852.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-03-06 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-03-07 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-03-08 06:00:00', 'surface', 856.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-03-09 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-03-10 06:00:00', 'surface', 854.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-03-11 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-03-12 06:00:00', 'surface', 854.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-03-13 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-03-14 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-03-15 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-03-16 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-03-17 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-03-18 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-03-19 06:00:00', 'surface', 853.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-03-20 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-03-21 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-03-22 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-03-23 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-03-24 06:00:00', 'surface', 854.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-03-25 06:00:00', 'surface', 854.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-03-26 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-03-27 06:00:00', 'surface', 853.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-03-28 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-03-29 06:00:00', 'surface', 853.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-03-30 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-03-31 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-04-01 06:00:00', 'surface', 857.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-04-02 06:00:00', 'surface', 857.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-04-03 06:00:00', 'surface', 857.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-04-04 06:00:00', 'surface', 857.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-04-05 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-04-06 06:00:00', 'surface', 855.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-04-07 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-04-08 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-04-09 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-04-10 06:00:00', 'surface', 856.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-04-11 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-04-12 06:00:00', 'surface', 854.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-04-13 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-04-14 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-04-15 06:00:00', 'surface', 856.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-04-16 06:00:00', 'surface', 858.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-04-17 06:00:00', 'surface', 857.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-04-18 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-04-19 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-04-20 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-04-21 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-04-22 06:00:00', 'surface', 857.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-04-23 06:00:00', 'surface', 856.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-04-24 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-04-25 06:00:00', 'surface', 855.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-04-26 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-04-27 06:00:00', 'surface', 853.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-04-28 06:00:00', 'surface', 854.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-04-29 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-04-30 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-05-01 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-05-02 06:00:00', 'surface', 857.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-05-03 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-05-04 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-05-05 06:00:00', 'surface', 857.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-05-06 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-05-07 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-05-08 06:00:00', 'surface', 858.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-05-09 06:00:00', 'surface', 859.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-05-10 06:00:00', 'surface', 860.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-05-11 06:00:00', 'surface', 860.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-05-12 06:00:00', 'surface', 859.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-05-13 06:00:00', 'surface', 858.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-05-14 06:00:00', 'surface', 858.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-05-15 06:00:00', 'surface', 860.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-05-16 06:00:00', 'surface', 860.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-05-17 06:00:00', 'surface', 859.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-05-18 06:00:00', 'surface', 857.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-05-19 06:00:00', 'surface', 857.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-05-20 06:00:00', 'surface', 858.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-05-21 06:00:00', 'surface', 859.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-05-22 06:00:00', 'surface', 859.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-05-23 06:00:00', 'surface', 859.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-05-24 06:00:00', 'surface', 858.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-05-25 06:00:00', 'surface', 858.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-05-26 06:00:00', 'surface', 858.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-05-27 06:00:00', 'surface', 859.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-05-28 06:00:00', 'surface', 858.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-05-29 06:00:00', 'surface', 857.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-05-30 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-05-31 06:00:00', 'surface', 857.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-06-01 06:00:00', 'surface', 859.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-06-02 06:00:00', 'surface', 862.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-06-03 06:00:00', 'surface', 860.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-06-04 06:00:00', 'surface', 858.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-06-05 06:00:00', 'surface', 857.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-06-06 06:00:00', 'surface', 857.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-06-07 06:00:00', 'surface', 857.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-06-08 06:00:00', 'surface', 858.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-06-09 06:00:00', 'surface', 856.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-06-10 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-06-11 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-06-12 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-06-13 06:00:00', 'surface', 860.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-06-14 06:00:00', 'surface', 864.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-06-15 06:00:00', 'surface', 864.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-06-16 06:00:00', 'surface', 864.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-06-17 06:00:00', 'surface', 864.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-06-18 06:00:00', 'surface', 863.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-06-19 06:00:00', 'surface', 862.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-06-20 06:00:00', 'surface', 861.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-06-21 06:00:00', 'surface', 862.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-06-22 06:00:00', 'surface', 862.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-06-23 06:00:00', 'surface', 861.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-06-24 06:00:00', 'surface', 860.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-06-25 06:00:00', 'surface', 859.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-06-26 06:00:00', 'surface', 859.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-06-27 06:00:00', 'surface', 859.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-06-28 06:00:00', 'surface', 860.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-06-29 06:00:00', 'surface', 861.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-06-30 06:00:00', 'surface', 861.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-07-01 06:00:00', 'surface', 861.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-07-02 06:00:00', 'surface', 862.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-07-03 06:00:00', 'surface', 863.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-07-04 06:00:00', 'surface', 864.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-07-05 06:00:00', 'surface', 863.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-07-06 06:00:00', 'surface', 861.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-07-07 06:00:00', 'surface', 861.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-07-08 06:00:00', 'surface', 862.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-07-09 06:00:00', 'surface', 864.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-07-10 06:00:00', 'surface', 863.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-07-11 06:00:00', 'surface', 863.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-07-12 06:00:00', 'surface', 861.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-07-13 06:00:00', 'surface', 860.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-07-14 06:00:00', 'surface', 859.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-07-15 06:00:00', 'surface', 859.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-07-16 06:00:00', 'surface', 859.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-07-17 06:00:00', 'surface', 858.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-07-18 06:00:00', 'surface', 857.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-07-19 06:00:00', 'surface', 857.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-07-20 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-07-21 06:00:00', 'surface', 856.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-07-22 06:00:00', 'surface', 857.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-07-23 06:00:00', 'surface', 856.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-07-24 06:00:00', 'surface', 856.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-07-25 06:00:00', 'surface', 857.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-07-26 06:00:00', 'surface', 859.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-07-27 06:00:00', 'surface', 859.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-07-28 06:00:00', 'surface', 859.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-07-29 06:00:00', 'surface', 862.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-07-30 06:00:00', 'surface', 861.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-07-31 06:00:00', 'surface', 861.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-08-01 06:00:00', 'surface', 860.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-08-02 06:00:00', 'surface', 860.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-08-03 06:00:00', 'surface', 859.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-08-04 06:00:00', 'surface', 859.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-08-05 06:00:00', 'surface', 858.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-08-06 06:00:00', 'surface', 858.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-08-07 06:00:00', 'surface', 858.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-08-08 06:00:00', 'surface', 858.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-08-09 06:00:00', 'surface', 858.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-08-10 06:00:00', 'surface', 859.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-08-11 06:00:00', 'surface', 858.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-08-12 06:00:00', 'surface', 858.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-08-13 06:00:00', 'surface', 858.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-08-14 06:00:00', 'surface', 857.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-08-15 06:00:00', 'surface', 859.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-08-16 06:00:00', 'surface', 858.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-08-17 06:00:00', 'surface', 857.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-08-18 06:00:00', 'surface', 857.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-08-19 06:00:00', 'surface', 857.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-08-20 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-08-21 06:00:00', 'surface', 855.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-08-22 06:00:00', 'surface', 854.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-08-23 06:00:00', 'surface', 854.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-08-24 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-08-25 06:00:00', 'surface', 855.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-08-26 06:00:00', 'surface', 854.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-08-27 06:00:00', 'surface', 854.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-08-28 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-08-29 06:00:00', 'surface', 855.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-08-30 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-08-31 06:00:00', 'surface', 851.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-09-01 06:00:00', 'surface', 850.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-09-02 06:00:00', 'surface', 851.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-09-03 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-09-04 06:00:00', 'surface', 861.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-09-05 06:00:00', 'surface', 860.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-09-06 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-09-07 06:00:00', 'surface', 856.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-09-08 06:00:00', 'surface', 860.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-09-09 06:00:00', 'surface', 860.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-09-10 06:00:00', 'surface', 859.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-09-11 06:00:00', 'surface', 857.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-09-12 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-09-13 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-09-14 06:00:00', 'surface', 858.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-09-15 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-09-16 06:00:00', 'surface', 854.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-09-17 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-09-18 06:00:00', 'surface', 855.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-09-19 06:00:00', 'surface', 857.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-09-20 06:00:00', 'surface', 858.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-09-21 06:00:00', 'surface', 857.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-09-22 06:00:00', 'surface', 855.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-09-23 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-09-24 06:00:00', 'surface', 854.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-09-25 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-09-26 06:00:00', 'surface', 857.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-09-27 06:00:00', 'surface', 858.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-09-28 06:00:00', 'surface', 858.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-09-29 06:00:00', 'surface', 857.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-09-30 06:00:00', 'surface', 856.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-10-01 06:00:00', 'surface', 855.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-10-02 06:00:00', 'surface', 854.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-10-03 06:00:00', 'surface', 855.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-10-04 06:00:00', 'surface', 857.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-10-05 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-10-06 06:00:00', 'surface', 858.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-10-07 06:00:00', 'surface', 858.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-10-08 06:00:00', 'surface', 857.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-10-09 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-10-10 06:00:00', 'surface', 855.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-10-11 06:00:00', 'surface', 854.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-10-12 06:00:00', 'surface', 854.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-10-13 06:00:00', 'surface', 855.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-10-14 06:00:00', 'surface', 853.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-10-15 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-10-16 06:00:00', 'surface', 857.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-10-17 06:00:00', 'surface', 858.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-10-18 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-10-19 06:00:00', 'surface', 853.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-10-20 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-10-21 06:00:00', 'surface', 854.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-10-22 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-10-23 06:00:00', 'surface', 855.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-10-24 06:00:00', 'surface', 856.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-10-25 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-10-26 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-10-27 06:00:00', 'surface', 854.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-10-28 06:00:00', 'surface', 852.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-10-29 06:00:00', 'surface', 852.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-10-30 06:00:00', 'surface', 853.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-10-31 06:00:00', 'surface', 854.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-11-01 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-11-02 06:00:00', 'surface', 853.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-11-03 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-11-04 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-11-05 06:00:00', 'surface', 854.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-11-06 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-11-07 06:00:00', 'surface', 853.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-11-08 06:00:00', 'surface', 852.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-11-09 06:00:00', 'surface', 853.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-11-10 06:00:00', 'surface', 856.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-11-11 06:00:00', 'surface', 856.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-11-12 06:00:00', 'surface', 854.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-11-13 06:00:00', 'surface', 853.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-11-14 06:00:00', 'surface', 854.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-11-15 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-11-16 06:00:00', 'surface', 854.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-11-17 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-11-18 06:00:00', 'surface', 854.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-11-19 06:00:00', 'surface', 853.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-11-20 06:00:00', 'surface', 853.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-11-21 06:00:00', 'surface', 853.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-11-22 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-11-23 06:00:00', 'surface', 852.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-11-24 06:00:00', 'surface', 853.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-11-25 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-11-26 06:00:00', 'surface', 854.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-11-27 06:00:00', 'surface', 852.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-11-28 06:00:00', 'surface', 852.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-11-29 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-11-30 06:00:00', 'surface', 852.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-12-01 06:00:00', 'surface', 853.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-12-02 06:00:00', 'surface', 855.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-12-03 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-12-04 06:00:00', 'surface', 853.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-12-05 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-12-06 06:00:00', 'surface', 856.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-12-07 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-12-08 06:00:00', 'surface', 855.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-12-09 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-12-10 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-12-11 06:00:00', 'surface', 854.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-12-12 06:00:00', 'surface', 853.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-12-13 06:00:00', 'surface', 854.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-12-14 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-12-15 06:00:00', 'surface', 854.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-12-16 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-12-17 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-12-18 06:00:00', 'surface', 854.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-12-19 06:00:00', 'surface', 854.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-12-20 06:00:00', 'surface', 854.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-12-21 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-12-22 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-12-23 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-12-24 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-12-25 06:00:00', 'surface', 853.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-12-26 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-12-27 06:00:00', 'surface', 854.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-12-28 06:00:00', 'surface', 854.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-12-29 06:00:00', 'surface', 854.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-12-30 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1979-12-31 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-01-01 06:00:00', 'surface', 853.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-01-02 06:00:00', 'surface', 852.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-01-03 06:00:00', 'surface', 852.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-01-04 06:00:00', 'surface', 852.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-01-05 06:00:00', 'surface', 851.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-01-06 06:00:00', 'surface', 850.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-01-07 06:00:00', 'surface', 850.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-01-08 06:00:00', 'surface', 852.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-01-09 06:00:00', 'surface', 853.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-01-10 06:00:00', 'surface', 853.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-01-11 06:00:00', 'surface', 853.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-01-12 06:00:00', 'surface', 852.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-01-13 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-01-14 06:00:00', 'surface', 855.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-01-15 06:00:00', 'surface', 855.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-01-16 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-01-17 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-01-18 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-01-19 06:00:00', 'surface', 855.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-01-20 06:00:00', 'surface', 855.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-01-21 06:00:00', 'surface', 854.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-01-22 06:00:00', 'surface', 852.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-01-23 06:00:00', 'surface', 852.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-01-24 06:00:00', 'surface', 852.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-01-25 06:00:00', 'surface', 852.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-01-26 06:00:00', 'surface', 853.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-01-27 06:00:00', 'surface', 853.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-01-28 06:00:00', 'surface', 852.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-01-29 06:00:00', 'surface', 852.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-01-30 06:00:00', 'surface', 851.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-01-31 06:00:00', 'surface', 853.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-02-01 06:00:00', 'surface', 853.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-02-02 06:00:00', 'surface', 853.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-02-03 06:00:00', 'surface', 853.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-02-04 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-02-05 06:00:00', 'surface', 853.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-02-06 06:00:00', 'surface', 852.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-02-07 06:00:00', 'surface', 852.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-02-08 06:00:00', 'surface', 852.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-02-09 06:00:00', 'surface', 852.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-02-10 06:00:00', 'surface', 853.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-02-11 06:00:00', 'surface', 854.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-02-12 06:00:00', 'surface', 854.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-02-13 06:00:00', 'surface', 855.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-02-14 06:00:00', 'surface', 855.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-02-15 06:00:00', 'surface', 855.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-02-16 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-02-17 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-02-18 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-02-19 06:00:00', 'surface', 854.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-02-20 06:00:00', 'surface', 853.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-02-21 06:00:00', 'surface', 853.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-02-22 06:00:00', 'surface', 853.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-02-23 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-02-24 06:00:00', 'surface', 852.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-02-25 06:00:00', 'surface', 851.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-02-26 06:00:00', 'surface', 851.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-02-27 06:00:00', 'surface', 852.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-02-28 06:00:00', 'surface', 852.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-02-29 06:00:00', 'surface', 852.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-03-01 06:00:00', 'surface', 851.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-03-02 06:00:00', 'surface', 851.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-03-03 06:00:00', 'surface', 852.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-03-04 06:00:00', 'surface', 853.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-03-05 06:00:00', 'surface', 853.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-03-06 06:00:00', 'surface', 852.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-03-07 06:00:00', 'surface', 851.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-03-08 06:00:00', 'surface', 852.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-03-09 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-03-10 06:00:00', 'surface', 853.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-03-11 06:00:00', 'surface', 853.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-03-12 06:00:00', 'surface', 853.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-03-13 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-03-14 06:00:00', 'surface', 854.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-03-15 06:00:00', 'surface', 854.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-03-16 06:00:00', 'surface', 853.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-03-17 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-03-18 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-03-19 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-03-20 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-03-21 06:00:00', 'surface', 857.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-03-22 06:00:00', 'surface', 857.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-03-23 06:00:00', 'surface', 856.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-03-24 06:00:00', 'surface', 856.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-03-25 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-03-26 06:00:00', 'surface', 857.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-03-27 06:00:00', 'surface', 857.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-03-28 06:00:00', 'surface', 857.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-03-29 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-03-30 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-03-31 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-04-01 06:00:00', 'surface', 857.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-04-02 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-04-03 06:00:00', 'surface', 854.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-04-04 06:00:00', 'surface', 853.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-04-05 06:00:00', 'surface', 853.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-04-06 06:00:00', 'surface', 854.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-04-07 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-04-08 06:00:00', 'surface', 854.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-04-09 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-04-10 06:00:00', 'surface', 853.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-04-11 06:00:00', 'surface', 851.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-04-12 06:00:00', 'surface', 853.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-04-13 06:00:00', 'surface', 855.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-04-14 06:00:00', 'surface', 855.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-04-15 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-04-16 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-04-17 06:00:00', 'surface', 853.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-04-18 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-04-19 06:00:00', 'surface', 856.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-04-20 06:00:00', 'surface', 859.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-04-21 06:00:00', 'surface', 858.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-04-22 06:00:00', 'surface', 856.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-04-23 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-04-24 06:00:00', 'surface', 855.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-04-25 06:00:00', 'surface', 857.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-04-26 06:00:00', 'surface', 859.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-04-27 06:00:00', 'surface', 858.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-04-28 06:00:00', 'surface', 858.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-04-29 06:00:00', 'surface', 858.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-04-30 06:00:00', 'surface', 858.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-05-01 06:00:00', 'surface', 857.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-05-02 06:00:00', 'surface', 856.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-05-03 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-05-04 06:00:00', 'surface', 857.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-05-05 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-05-06 06:00:00', 'surface', 857.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-05-07 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-05-08 06:00:00', 'surface', 855.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-05-09 06:00:00', 'surface', 858.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-05-10 06:00:00', 'surface', 859.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-05-11 06:00:00', 'surface', 859.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-05-12 06:00:00', 'surface', 857.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-05-13 06:00:00', 'surface', 855.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-05-14 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-05-15 06:00:00', 'surface', 858.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-05-16 06:00:00', 'surface', 859.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-05-17 06:00:00', 'surface', 858.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-05-18 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-05-19 06:00:00', 'surface', 859.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-05-20 06:00:00', 'surface', 861.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-05-21 06:00:00', 'surface', 862.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-05-22 06:00:00', 'surface', 861.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-05-23 06:00:00', 'surface', 859.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-05-24 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-05-25 06:00:00', 'surface', 857.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-05-26 06:00:00', 'surface', 857.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-05-27 06:00:00', 'surface', 857.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-05-28 06:00:00', 'surface', 857.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-05-29 06:00:00', 'surface', 858.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-05-30 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-05-31 06:00:00', 'surface', 859.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-06-01 06:00:00', 'surface', 858.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-06-02 06:00:00', 'surface', 860.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-06-03 06:00:00', 'surface', 860.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-06-04 06:00:00', 'surface', 861.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-06-05 06:00:00', 'surface', 861.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-06-06 06:00:00', 'surface', 861.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-06-07 06:00:00', 'surface', 859.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-06-08 06:00:00', 'surface', 858.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-06-09 06:00:00', 'surface', 859.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-06-10 06:00:00', 'surface', 860.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-06-11 06:00:00', 'surface', 860.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-06-12 06:00:00', 'surface', 860.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-06-13 06:00:00', 'surface', 859.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-06-14 06:00:00', 'surface', 859.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-06-15 06:00:00', 'surface', 859.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-06-16 06:00:00', 'surface', 858.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-06-17 06:00:00', 'surface', 860.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-06-18 06:00:00', 'surface', 861.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-06-19 06:00:00', 'surface', 860.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-06-20 06:00:00', 'surface', 859.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-06-21 06:00:00', 'surface', 857.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-06-22 06:00:00', 'surface', 857.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-06-23 06:00:00', 'surface', 859.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-06-24 06:00:00', 'surface', 859.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-06-25 06:00:00', 'surface', 860.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-06-26 06:00:00', 'surface', 859.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-06-27 06:00:00', 'surface', 857.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-06-28 06:00:00', 'surface', 856.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-06-29 06:00:00', 'surface', 857.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-06-30 06:00:00', 'surface', 858.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-07-01 06:00:00', 'surface', 860.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-07-02 06:00:00', 'surface', 861.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-07-03 06:00:00', 'surface', 861.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-07-04 06:00:00', 'surface', 860.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-07-05 06:00:00', 'surface', 861.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-07-06 06:00:00', 'surface', 860.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-07-07 06:00:00', 'surface', 860.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-07-08 06:00:00', 'surface', 860.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-07-09 06:00:00', 'surface', 860.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-07-10 06:00:00', 'surface', 860.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-07-11 06:00:00', 'surface', 861.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-07-12 06:00:00', 'surface', 861.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-07-13 06:00:00', 'surface', 860.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-07-14 06:00:00', 'surface', 861.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-07-15 06:00:00', 'surface', 860.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-07-16 06:00:00', 'surface', 859.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-07-17 06:00:00', 'surface', 862.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-07-18 06:00:00', 'surface', 862.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-07-19 06:00:00', 'surface', 860.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-07-20 06:00:00', 'surface', 859.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-07-21 06:00:00', 'surface', 859.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-07-22 06:00:00', 'surface', 859.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-07-23 06:00:00', 'surface', 860.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-07-24 06:00:00', 'surface', 862.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-07-25 06:00:00', 'surface', 862.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-07-26 06:00:00', 'surface', 861.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-07-27 06:00:00', 'surface', 860.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-07-28 06:00:00', 'surface', 859.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-07-29 06:00:00', 'surface', 859.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-07-30 06:00:00', 'surface', 857.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-07-31 06:00:00', 'surface', 857.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-08-01 06:00:00', 'surface', 858.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-08-02 06:00:00', 'surface', 859.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-08-03 06:00:00', 'surface', 859.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-08-04 06:00:00', 'surface', 859.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-08-05 06:00:00', 'surface', 861.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-08-06 06:00:00', 'surface', 861.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-08-07 06:00:00', 'surface', 860.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-08-08 06:00:00', 'surface', 859.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-08-09 06:00:00', 'surface', 859.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-08-10 06:00:00', 'surface', 860.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-08-11 06:00:00', 'surface', 860.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-08-12 06:00:00', 'surface', 859.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-08-13 06:00:00', 'surface', 857.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-08-14 06:00:00', 'surface', 858.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-08-15 06:00:00', 'surface', 860.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-08-16 06:00:00', 'surface', 861.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-08-17 06:00:00', 'surface', 861.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-08-18 06:00:00', 'surface', 860.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-08-19 06:00:00', 'surface', 859.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-08-20 06:00:00', 'surface', 860.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-08-21 06:00:00', 'surface', 861.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-08-22 06:00:00', 'surface', 860.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-08-23 06:00:00', 'surface', 858.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-08-24 06:00:00', 'surface', 856.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-08-25 06:00:00', 'surface', 857.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-08-26 06:00:00', 'surface', 857.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-08-27 06:00:00', 'surface', 857.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-08-28 06:00:00', 'surface', 859.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-08-29 06:00:00', 'surface', 862.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-08-30 06:00:00', 'surface', 860.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-08-31 06:00:00', 'surface', 857.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-09-01 06:00:00', 'surface', 857.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-09-02 06:00:00', 'surface', 857.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-09-03 06:00:00', 'surface', 857.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-09-04 06:00:00', 'surface', 858.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-09-05 06:00:00', 'surface', 857.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-09-06 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-09-07 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-09-08 06:00:00', 'surface', 854.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-09-09 06:00:00', 'surface', 856.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-09-10 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-09-11 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-09-12 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-09-13 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-09-14 06:00:00', 'surface', 856.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-09-15 06:00:00', 'surface', 858.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-09-16 06:00:00', 'surface', 857.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-09-17 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-09-18 06:00:00', 'surface', 854.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-09-19 06:00:00', 'surface', 855.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-09-20 06:00:00', 'surface', 857.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-09-21 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-09-22 06:00:00', 'surface', 854.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-09-23 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-09-24 06:00:00', 'surface', 858.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-09-25 06:00:00', 'surface', 859.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-09-26 06:00:00', 'surface', 856.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-09-27 06:00:00', 'surface', 852.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-09-28 06:00:00', 'surface', 851.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-09-29 06:00:00', 'surface', 853.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-09-30 06:00:00', 'surface', 856.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-10-01 06:00:00', 'surface', 858.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-10-02 06:00:00', 'surface', 857.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-10-03 06:00:00', 'surface', 857.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-10-04 06:00:00', 'surface', 858.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-10-05 06:00:00', 'surface', 857.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-10-06 06:00:00', 'surface', 857.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-10-07 06:00:00', 'surface', 857.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-10-08 06:00:00', 'surface', 858.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-10-09 06:00:00', 'surface', 857.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-10-10 06:00:00', 'surface', 857.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-10-11 06:00:00', 'surface', 857.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-10-12 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-10-13 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-10-14 06:00:00', 'surface', 854.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-10-15 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-10-16 06:00:00', 'surface', 853.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-10-17 06:00:00', 'surface', 852.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-10-18 06:00:00', 'surface', 853.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-10-19 06:00:00', 'surface', 853.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-10-20 06:00:00', 'surface', 855.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-10-21 06:00:00', 'surface', 855.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-10-22 06:00:00', 'surface', 854.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-10-23 06:00:00', 'surface', 853.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-10-24 06:00:00', 'surface', 856.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-10-25 06:00:00', 'surface', 857.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-10-26 06:00:00', 'surface', 857.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-10-27 06:00:00', 'surface', 858.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-10-28 06:00:00', 'surface', 858.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-10-29 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-10-30 06:00:00', 'surface', 856.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-10-31 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-11-01 06:00:00', 'surface', 857.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-11-02 06:00:00', 'surface', 857.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-11-03 06:00:00', 'surface', 857.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-11-04 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-11-05 06:00:00', 'surface', 853.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-11-06 06:00:00', 'surface', 852.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-11-07 06:00:00', 'surface', 852.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-11-08 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-11-09 06:00:00', 'surface', 856.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-11-10 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-11-11 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-11-12 06:00:00', 'surface', 853.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-11-13 06:00:00', 'surface', 852.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-11-14 06:00:00', 'surface', 851.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-11-15 06:00:00', 'surface', 852.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-11-16 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-11-17 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-11-18 06:00:00', 'surface', 852.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-11-19 06:00:00', 'surface', 853.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-11-20 06:00:00', 'surface', 853.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-11-21 06:00:00', 'surface', 854.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-11-22 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-11-23 06:00:00', 'surface', 854.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-11-24 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-11-25 06:00:00', 'surface', 854.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-11-26 06:00:00', 'surface', 854.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-11-27 06:00:00', 'surface', 854.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-11-28 06:00:00', 'surface', 855.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-11-29 06:00:00', 'surface', 854.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-11-30 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-12-01 06:00:00', 'surface', 853.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-12-02 06:00:00', 'surface', 852.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-12-03 06:00:00', 'surface', 852.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-12-04 06:00:00', 'surface', 853.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-12-05 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-12-06 06:00:00', 'surface', 853.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-12-07 06:00:00', 'surface', 854.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-12-08 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-12-09 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-12-10 06:00:00', 'surface', 856.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-12-11 06:00:00', 'surface', 855.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-12-12 06:00:00', 'surface', 855.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-12-13 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-12-14 06:00:00', 'surface', 854.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-12-15 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-12-16 06:00:00', 'surface', 853.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-12-17 06:00:00', 'surface', 853.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-12-18 06:00:00', 'surface', 850.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-12-19 06:00:00', 'surface', 848.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-12-20 06:00:00', 'surface', 852.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-12-21 06:00:00', 'surface', 853.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-12-22 06:00:00', 'surface', 852.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-12-23 06:00:00', 'surface', 852.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-12-24 06:00:00', 'surface', 852.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-12-25 06:00:00', 'surface', 851.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-12-26 06:00:00', 'surface', 851.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-12-27 06:00:00', 'surface', 850.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-12-28 06:00:00', 'surface', 850.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-12-29 06:00:00', 'surface', 851.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-12-30 06:00:00', 'surface', 852.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1980-12-31 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-01-01 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-01-02 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-01-03 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-01-04 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-01-05 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-01-06 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-01-07 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-01-08 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-01-09 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-01-10 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-01-11 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-01-12 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-01-13 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-01-14 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-01-15 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-01-16 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-01-17 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-01-18 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-01-19 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-01-20 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-01-21 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-01-22 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-01-23 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-01-24 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-01-25 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-01-26 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-01-27 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-01-28 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-01-29 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-01-30 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-01-31 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-02-01 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-02-02 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-02-03 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-02-04 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-02-05 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-02-06 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-02-07 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-02-08 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-02-09 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-02-10 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-02-11 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-02-12 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-02-13 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-02-14 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-02-15 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-02-16 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-02-17 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-02-18 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-02-19 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-02-20 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-02-21 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-02-22 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-02-23 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-02-24 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-02-25 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-02-26 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-02-27 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-02-28 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-03-01 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-03-02 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-03-03 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-03-04 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-03-05 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-03-06 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-03-07 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-03-08 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-03-09 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-03-10 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-03-11 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-03-12 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-03-13 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-03-14 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-03-15 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-03-16 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-03-17 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-03-18 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-03-19 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-03-20 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-03-21 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-03-22 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-03-23 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-03-24 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-03-25 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-03-26 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-03-27 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-03-28 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-03-29 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-03-30 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-03-31 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-04-01 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-04-02 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-04-03 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-04-04 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-04-05 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-04-06 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-04-07 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-04-08 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-04-09 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-04-10 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-04-11 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-04-12 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-04-13 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-04-14 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-04-15 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-04-16 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-04-17 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-04-18 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-04-19 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-04-20 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-04-21 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-04-22 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-04-23 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-04-24 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-04-25 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-04-26 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-04-27 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-04-28 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-04-29 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-04-30 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-05-01 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-05-02 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-05-03 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-05-04 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-05-05 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-05-06 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-05-07 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-05-08 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-05-09 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-05-10 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-05-11 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-05-12 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-05-13 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-05-14 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-05-15 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-05-16 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-05-17 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-05-18 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-05-19 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-05-20 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-05-21 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-05-22 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-05-23 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-05-24 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-05-25 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-05-26 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-05-27 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-05-28 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-05-29 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-05-30 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-05-31 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-06-01 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-06-02 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-06-03 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-06-04 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-06-05 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-06-06 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-06-07 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-06-08 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-06-09 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-06-10 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-06-11 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-06-12 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-06-13 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-06-14 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-06-15 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-06-16 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-06-17 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-06-18 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-06-19 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-06-20 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-06-21 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-06-22 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-06-23 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-06-24 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-06-25 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-06-26 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-06-27 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-06-28 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-06-29 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-06-30 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-07-01 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-07-02 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-07-03 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-07-04 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-07-05 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-07-06 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-07-07 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-07-08 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-07-09 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-07-10 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-07-11 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-07-12 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-07-13 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-07-14 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-07-15 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-07-16 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-07-17 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-07-18 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-07-19 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-07-20 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-07-21 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-07-22 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-07-23 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-07-24 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-07-25 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-07-26 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-07-27 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-07-28 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-07-29 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-07-30 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-07-31 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-08-01 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-08-02 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-08-03 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-08-04 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-08-05 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-08-06 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-08-07 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-08-08 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-08-09 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-08-10 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-08-11 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-08-12 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-08-13 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-08-14 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-08-15 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-08-16 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-08-17 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-08-18 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-08-19 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-08-20 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-08-21 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-08-22 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-08-23 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-08-24 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-08-25 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-08-26 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-08-27 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-08-28 06:00:00', 'surface', 31.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-08-29 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-08-30 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-08-31 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-09-01 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-09-02 06:00:00', 'surface', 11.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-09-03 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-09-04 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-09-05 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-09-06 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-09-07 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-09-08 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-09-09 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-09-10 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-09-11 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-09-12 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-09-13 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-09-14 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-09-15 06:00:00', 'surface', 30.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-09-16 06:00:00', 'surface', 31.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-09-17 06:00:00', 'surface', 30.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-09-18 06:00:00', 'surface', 31.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-09-19 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-09-20 06:00:00', 'surface', 30.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-09-21 06:00:00', 'surface', 29.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-09-22 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-09-23 06:00:00', 'surface', 29.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-09-24 06:00:00', 'surface', 30.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-09-25 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-09-26 06:00:00', 'surface', 29.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-09-27 06:00:00', 'surface', 30.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-09-28 06:00:00', 'surface', 30.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-09-29 06:00:00', 'surface', 30.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-09-30 06:00:00', 'surface', 30.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-10-01 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-10-02 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-10-03 06:00:00', 'surface', 31.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-10-04 06:00:00', 'surface', 31.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-10-05 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-10-06 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-10-07 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-10-08 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-10-09 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-10-10 06:00:00', 'surface', 29.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-10-11 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-10-12 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-10-13 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-10-14 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-10-15 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-10-16 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-10-17 06:00:00', 'surface', 31.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-10-18 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-10-19 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-10-20 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-10-21 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-10-22 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-10-23 06:00:00', 'surface', 30.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-10-24 06:00:00', 'surface', 30.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-10-25 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-10-26 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-10-27 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-10-28 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-10-29 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-10-30 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-10-31 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-11-01 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-11-02 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-11-03 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-11-04 06:00:00', 'surface', 29.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-11-05 06:00:00', 'surface', 30.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-11-06 06:00:00', 'surface', 32.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-11-07 06:00:00', 'surface', 32.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-11-08 06:00:00', 'surface', 33.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-11-09 06:00:00', 'surface', 30.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-11-10 06:00:00', 'surface', 30.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-11-11 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-11-12 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-11-13 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-11-14 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-11-15 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-11-16 06:00:00', 'surface', 30.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-11-17 06:00:00', 'surface', 31.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-11-18 06:00:00', 'surface', 31.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-11-19 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-11-20 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-11-21 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-11-22 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-11-23 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-11-24 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-11-25 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-11-26 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-11-27 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-11-28 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-11-29 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-11-30 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-12-01 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-12-02 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-12-03 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-12-04 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-12-05 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-12-06 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-12-07 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-12-08 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-12-09 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-12-10 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-12-11 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-12-12 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-12-13 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-12-14 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-12-15 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-12-16 06:00:00', 'surface', 30.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-12-17 06:00:00', 'surface', 30.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-12-18 06:00:00', 'surface', 29.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-12-19 06:00:00', 'surface', 29.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-12-20 06:00:00', 'surface', 30.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-12-21 06:00:00', 'surface', 30.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-12-22 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-12-23 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-12-24 06:00:00', 'surface', 30.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-12-25 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-12-26 06:00:00', 'surface', 29.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-12-27 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-12-28 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-12-29 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-12-30 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1981-12-31 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-01-01 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-01-02 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-01-03 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-01-04 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-01-05 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-01-06 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-01-07 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-01-08 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-01-09 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-01-10 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-01-11 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-01-12 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-01-13 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-01-14 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-01-15 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-01-16 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-01-17 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-01-18 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-01-19 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-01-20 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-01-21 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-01-22 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-01-23 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-01-24 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-01-25 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-01-26 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-01-27 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-01-28 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-01-29 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-01-30 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-01-31 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-02-01 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-02-02 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-02-03 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-02-04 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-02-05 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-02-06 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-02-07 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-02-08 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-02-09 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-02-10 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-02-11 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-02-12 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-02-13 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-02-14 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-02-15 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-02-16 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-02-17 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-02-18 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-02-19 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-02-20 06:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-02-21 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-02-22 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-02-23 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-02-24 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-02-25 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-02-26 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-02-27 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-02-28 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-03-01 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-03-02 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-03-03 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-03-04 06:00:00', 'surface', 29.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-03-05 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-03-06 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-03-07 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-03-08 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-03-09 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-03-10 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-03-11 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-03-12 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-03-13 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-03-14 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-03-15 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-03-16 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-03-17 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-03-18 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-03-19 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-03-20 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-03-21 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-03-22 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-03-23 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-03-24 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-03-25 06:00:00', 'surface', 30.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-03-26 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-03-27 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-03-28 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-03-29 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-03-30 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-03-31 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-04-01 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-04-02 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-04-03 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-04-04 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-04-05 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-04-06 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-04-07 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-04-08 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-04-09 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-04-10 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-04-11 06:00:00', 'surface', 30.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-04-12 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-04-13 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-04-14 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-04-15 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-04-16 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-04-17 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-04-18 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-04-19 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-04-20 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-04-21 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-04-22 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-04-23 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-04-24 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-04-25 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-04-26 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-04-27 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-04-28 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-04-29 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-04-30 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-05-01 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-05-02 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-05-03 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-05-04 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-05-05 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-05-06 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-05-07 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-05-08 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-05-09 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-05-10 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-05-11 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-05-12 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-05-13 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-05-14 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-05-15 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-05-16 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-05-17 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-05-18 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-05-19 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-05-20 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-05-21 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-05-22 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-05-23 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-05-24 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-05-25 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-05-26 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-05-27 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-05-28 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-05-29 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-05-30 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-05-31 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-06-01 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-06-02 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-06-03 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-06-04 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-06-05 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-06-06 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-06-07 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-06-08 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-06-09 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-06-10 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-06-11 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-06-12 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-06-13 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-06-14 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-06-15 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-06-16 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-06-17 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-06-18 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-06-19 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-06-20 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-06-21 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-06-22 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-06-23 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-06-24 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-06-25 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-06-26 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-06-27 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-06-28 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-06-29 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-06-30 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-07-01 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-07-02 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-07-03 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-07-04 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-07-05 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-07-06 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-07-07 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-07-08 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-07-09 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-07-10 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-07-11 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-07-12 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-07-13 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-07-14 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-07-15 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-07-16 06:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-07-17 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-07-18 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-07-19 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-07-20 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-07-21 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-07-22 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-07-23 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-07-24 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-07-25 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-07-26 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-07-27 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-07-28 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-07-29 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-07-30 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-07-31 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-08-01 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-08-02 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-08-03 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-08-04 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-08-05 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-08-06 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-08-07 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-08-08 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-08-09 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-08-10 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-08-11 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-08-12 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-08-13 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-08-14 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-08-15 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-08-16 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-08-17 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-08-18 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-08-19 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-08-20 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-08-21 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-08-22 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-08-23 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-08-24 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-08-25 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-08-26 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-08-27 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-08-28 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-08-29 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-08-30 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-08-31 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-09-01 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-09-02 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-09-03 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-09-04 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-09-05 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-09-06 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-09-07 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-09-08 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-09-09 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-09-10 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-09-11 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-09-12 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-09-13 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-09-14 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-09-15 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-09-16 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-09-17 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-09-18 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-09-19 06:00:00', 'surface', 29.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-09-20 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-09-21 06:00:00', 'surface', 30.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-09-22 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-09-23 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-09-24 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-09-25 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-09-26 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-09-27 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-09-28 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-09-29 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-09-30 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-10-01 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-10-02 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-10-03 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-10-04 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-10-05 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-10-06 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-10-07 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-10-08 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-10-09 06:00:00', 'surface', 31.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-10-10 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-10-11 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-10-12 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-10-13 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-10-14 06:00:00', 'surface', 30.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-10-15 06:00:00', 'surface', 31.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-10-16 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-10-17 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-10-18 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-10-19 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-10-20 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-10-21 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-10-22 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-10-23 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-10-24 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-10-25 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-10-26 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-10-27 06:00:00', 'surface', 30.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-10-28 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-10-29 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-10-30 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-10-31 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-11-01 06:00:00', 'surface', 31.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-11-02 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-11-03 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-11-04 06:00:00', 'surface', 29.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-11-05 06:00:00', 'surface', 30.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-11-06 06:00:00', 'surface', 30.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-11-07 06:00:00', 'surface', 31.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-11-08 06:00:00', 'surface', 31.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-11-09 06:00:00', 'surface', 30.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-11-10 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-11-11 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-11-12 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-11-13 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-11-14 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-11-15 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-11-16 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-11-17 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-11-18 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-11-19 06:00:00', 'surface', 31.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-11-20 06:00:00', 'surface', 31.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-11-21 06:00:00', 'surface', 29.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-11-22 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-11-23 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-11-24 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-11-25 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-11-26 06:00:00', 'surface', 31.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-11-27 06:00:00', 'surface', 29.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-11-28 06:00:00', 'surface', 30.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-11-29 06:00:00', 'surface', 30.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-11-30 06:00:00', 'surface', 30.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-12-01 06:00:00', 'surface', 31.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-12-02 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-12-03 06:00:00', 'surface', 31.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-12-04 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-12-05 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-12-06 06:00:00', 'surface', 30.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-12-07 06:00:00', 'surface', 31.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-12-08 06:00:00', 'surface', 30.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-12-09 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-12-10 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-12-11 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-12-12 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-12-13 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-12-14 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-12-15 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-12-16 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-12-17 06:00:00', 'surface', 29.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-12-18 06:00:00', 'surface', 30.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-12-19 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-12-20 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-12-21 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-12-22 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-12-23 06:00:00', 'surface', 30.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-12-24 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-12-25 06:00:00', 'surface', 30.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-12-26 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-12-27 06:00:00', 'surface', 30.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-12-28 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-12-29 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-12-30 06:00:00', 'surface', 31.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1982-12-31 06:00:00', 'surface', 31.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-01-01 06:00:00', 'surface', 30.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-01-02 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-01-03 06:00:00', 'surface', 29.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-01-04 06:00:00', 'surface', 30.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-01-05 06:00:00', 'surface', 31.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-01-06 06:00:00', 'surface', 31.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-01-07 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-01-08 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-01-09 06:00:00', 'surface', 31.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-01-10 06:00:00', 'surface', 33.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-01-11 06:00:00', 'surface', 32.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-01-12 06:00:00', 'surface', 32.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-01-13 06:00:00', 'surface', 31.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-01-14 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-01-15 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-01-16 06:00:00', 'surface', 30.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-01-17 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-01-18 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-01-19 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-01-20 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-01-21 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-01-22 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-01-23 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-01-24 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-01-25 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-01-26 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-01-27 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-01-28 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-01-29 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-01-30 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-01-31 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-02-01 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-02-02 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-02-03 06:00:00', 'surface', 30.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-02-04 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-02-05 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-02-06 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-02-07 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-02-08 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-02-09 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-02-10 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-02-11 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-02-12 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-02-13 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-02-14 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-02-15 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-02-16 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-02-17 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-02-18 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-02-19 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-02-20 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-02-21 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-02-22 06:00:00', 'surface', 30.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-02-23 06:00:00', 'surface', 33.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-02-24 06:00:00', 'surface', 29.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-02-25 06:00:00', 'surface', 30.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-02-26 06:00:00', 'surface', 30.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-02-27 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-02-28 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-03-01 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-03-02 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-03-03 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-03-04 06:00:00', 'surface', 31.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-03-05 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-03-06 06:00:00', 'surface', 30.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-03-07 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-03-08 06:00:00', 'surface', 29.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-03-09 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-03-10 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-03-11 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-03-12 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-03-13 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-03-14 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-03-15 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-03-16 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-03-17 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-03-18 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-03-19 06:00:00', 'surface', 29.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-03-20 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-03-21 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-03-22 06:00:00', 'surface', 30.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-03-23 06:00:00', 'surface', 31.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-03-24 06:00:00', 'surface', 30.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-03-25 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-03-26 06:00:00', 'surface', 29.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-03-27 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-03-28 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-03-29 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-03-30 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-03-31 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-04-01 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-04-02 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-04-03 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-04-04 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-04-05 06:00:00', 'surface', 30.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-04-06 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-04-07 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-04-08 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-04-09 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-04-10 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-04-11 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-04-12 06:00:00', 'surface', 29.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-04-13 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-04-14 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-04-15 06:00:00', 'surface', 31.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-04-16 06:00:00', 'surface', 30.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-04-17 06:00:00', 'surface', 30.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-04-18 06:00:00', 'surface', 31.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-04-19 06:00:00', 'surface', 30.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-04-20 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-04-21 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-04-22 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-04-23 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-04-24 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-04-25 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-04-26 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-04-27 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-04-28 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-04-29 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-04-30 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-05-01 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-05-02 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-05-03 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-05-04 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-05-05 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-05-06 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-05-07 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-05-08 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-05-09 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-05-10 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-05-11 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-05-12 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-05-13 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-05-14 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-05-15 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-05-16 06:00:00', 'surface', 29.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-05-17 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-05-18 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-05-19 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-05-20 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-05-21 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-05-22 06:00:00', 'surface', 29.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-05-23 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-05-24 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-05-25 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-05-26 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-05-27 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-05-28 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-05-29 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-05-30 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-05-31 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-06-01 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-06-02 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-06-03 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-06-04 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-06-05 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-06-06 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-06-07 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-06-08 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-06-09 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-06-10 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-06-11 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-06-12 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-06-13 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-06-14 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-06-15 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-06-16 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-06-17 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-06-18 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-06-19 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-06-20 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-06-21 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-06-22 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-06-23 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-06-24 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-06-25 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-06-26 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-06-27 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-06-28 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-06-29 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-06-30 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-11-06 06:00:00', 'surface', 32.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-11-07 06:00:00', 'surface', 30.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-11-08 06:00:00', 'surface', 30.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-11-09 06:00:00', 'surface', 30.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-11-10 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-11-11 06:00:00', 'surface', 30.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-11-12 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-11-13 06:00:00', 'surface', 31.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-11-14 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-11-15 06:00:00', 'surface', 30.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-11-16 06:00:00', 'surface', 32.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-11-17 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-11-18 06:00:00', 'surface', 30.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-11-19 06:00:00', 'surface', 31.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-11-20 06:00:00', 'surface', 31.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-11-21 06:00:00', 'surface', 32.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-11-22 06:00:00', 'surface', 31.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-11-23 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-11-24 06:00:00', 'surface', 29.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-11-25 06:00:00', 'surface', 30.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-11-26 06:00:00', 'surface', 31.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-11-27 06:00:00', 'surface', 32.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-11-28 06:00:00', 'surface', 32.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-11-29 06:00:00', 'surface', 31.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-11-30 06:00:00', 'surface', 32.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-12-01 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-12-02 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-12-03 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-12-04 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-12-05 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-12-06 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-12-07 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-12-08 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-12-09 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-12-10 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-12-11 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-12-12 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-12-13 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-12-14 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-12-15 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-12-16 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-12-17 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-12-18 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-12-19 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-12-20 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-12-21 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-12-22 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-12-23 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-12-24 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-12-25 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-12-26 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-12-27 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-12-28 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-12-29 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-12-30 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1983-12-31 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-01-01 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-01-02 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-01-03 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-01-04 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-01-05 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-01-06 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-01-07 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-01-08 06:00:00', 'surface', 29.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-01-09 06:00:00', 'surface', 29.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-01-10 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-01-11 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-01-12 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-01-13 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-01-14 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-01-15 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-01-16 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-01-17 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-01-18 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-01-19 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-01-20 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-01-21 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-01-22 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-01-23 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-01-24 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-01-25 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-01-26 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-01-27 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-01-28 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-01-29 06:00:00', 'surface', 30.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-01-30 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-01-31 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-02-01 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-02-02 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-02-03 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-02-04 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-02-05 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-02-06 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-02-07 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-02-08 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-02-09 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-02-10 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-02-11 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-02-12 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-02-13 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-02-14 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-02-15 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-02-16 06:00:00', 'surface', 29.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-02-17 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-02-18 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-02-19 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-02-20 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-02-21 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-02-22 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-02-23 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-02-24 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-02-25 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-02-26 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-02-27 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-02-28 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-02-29 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-03-01 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-03-02 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-03-03 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-03-04 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-03-05 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-03-06 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-03-07 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-03-08 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-03-09 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-03-10 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-03-11 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-03-12 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-03-13 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-03-14 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-03-15 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-03-16 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-03-17 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-03-18 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-03-19 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-03-20 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-03-21 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-03-22 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-03-23 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-03-24 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-03-25 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-03-26 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-03-27 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-03-28 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-03-29 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-03-30 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-03-31 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-04-01 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-04-02 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-04-03 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-04-04 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-04-05 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-04-06 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-04-07 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-04-08 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-04-09 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-04-10 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-04-11 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-04-12 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-04-13 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-04-14 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-04-15 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-04-16 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-04-17 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-04-18 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-04-19 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-04-20 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-04-21 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-04-22 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-04-23 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-04-24 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-04-25 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-04-26 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-04-27 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-04-28 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-04-29 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-04-30 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-05-01 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-05-02 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-05-03 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-05-04 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-05-05 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-05-06 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-05-07 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-05-08 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-05-09 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-05-10 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-05-11 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-05-12 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-05-13 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-05-14 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-05-15 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-05-16 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-05-17 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-05-18 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-05-19 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-05-20 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-05-21 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-05-22 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-05-23 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-05-24 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-05-25 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-05-26 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-05-27 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-05-28 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-05-29 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-05-30 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-05-31 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-06-01 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-06-02 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-06-03 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-06-04 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-06-05 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-06-06 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-06-07 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-06-08 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-06-09 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-06-10 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-06-11 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-06-12 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-06-13 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-06-14 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-06-15 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-06-16 06:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-06-17 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-06-18 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-06-19 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-06-20 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-06-21 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-06-22 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-06-23 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-06-24 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-06-25 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-06-26 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-06-27 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-06-28 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-06-29 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-06-30 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-07-01 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-07-02 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-07-03 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-07-04 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-07-05 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-07-06 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-07-07 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-07-08 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-07-09 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-07-10 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-07-11 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-07-12 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-07-13 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-07-14 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-07-15 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-07-16 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-07-17 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-07-18 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-07-19 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-07-20 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-07-21 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-07-22 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-07-23 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-07-24 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-07-25 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-07-26 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-07-27 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-07-28 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-07-29 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-07-30 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-07-31 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-08-01 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-08-02 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-08-03 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-08-04 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-08-05 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-08-06 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-08-07 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-08-08 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-08-09 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-08-10 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-08-11 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-08-12 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-08-13 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-08-14 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-08-15 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-08-16 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-08-17 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-08-18 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-08-19 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-08-20 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-08-21 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-08-22 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-08-23 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-08-24 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-08-25 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-08-26 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-08-27 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-08-28 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-08-29 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-08-30 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-08-31 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-09-01 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-09-02 06:00:00', 'surface', 30.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-09-03 06:00:00', 'surface', 30.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-09-04 06:00:00', 'surface', 32.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-09-05 06:00:00', 'surface', 32.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-09-06 06:00:00', 'surface', 30.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-09-07 06:00:00', 'surface', 30.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-09-08 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-09-09 06:00:00', 'surface', 31.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-09-10 06:00:00', 'surface', 29.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-09-11 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-09-12 06:00:00', 'surface', 29.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-09-13 06:00:00', 'surface', 29.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-09-14 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-09-15 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-09-16 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-09-17 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-09-18 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-09-19 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-09-20 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-09-21 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-09-22 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-09-23 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-09-24 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-09-25 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-09-26 06:00:00', 'surface', 31.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-09-27 06:00:00', 'surface', 30.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-09-28 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-09-29 06:00:00', 'surface', 30.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-09-30 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-10-01 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-10-02 06:00:00', 'surface', 30.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-10-03 06:00:00', 'surface', 31.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-10-04 06:00:00', 'surface', 31.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-10-05 06:00:00', 'surface', 30.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-10-06 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-10-07 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-10-08 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-10-09 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-10-10 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-10-11 06:00:00', 'surface', 29.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-10-12 06:00:00', 'surface', 31.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-10-13 06:00:00', 'surface', 30.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-10-14 06:00:00', 'surface', 31.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-10-15 06:00:00', 'surface', 32.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-10-16 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-10-17 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-10-18 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-10-19 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-10-20 06:00:00', 'surface', 30.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-10-21 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-10-22 06:00:00', 'surface', 30.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-10-23 06:00:00', 'surface', 30.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-10-24 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-10-25 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-10-26 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-10-27 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-10-28 06:00:00', 'surface', 31.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-10-29 06:00:00', 'surface', 32.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-10-30 06:00:00', 'surface', 32.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-10-31 06:00:00', 'surface', 31.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-11-01 06:00:00', 'surface', 30.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-11-02 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-11-03 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-11-04 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-11-05 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-11-06 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-11-07 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-11-08 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-11-09 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-11-10 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-11-11 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-11-12 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-11-13 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-11-14 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-11-15 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-11-16 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-11-17 06:00:00', 'surface', 30.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-11-18 06:00:00', 'surface', 30.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-11-19 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-11-20 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-11-21 06:00:00', 'surface', 30.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-11-22 06:00:00', 'surface', 31.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-11-23 06:00:00', 'surface', 31.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-11-24 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-11-25 06:00:00', 'surface', 31.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-11-26 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-11-27 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-11-28 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-11-29 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-11-30 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-12-01 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-12-02 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-12-03 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-12-04 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-12-05 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-12-06 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-12-07 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-12-08 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-12-09 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-12-10 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-12-11 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-12-12 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-12-13 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-12-14 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-12-15 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-12-16 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-12-17 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-12-18 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-12-19 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-12-20 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-12-21 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-12-22 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-12-23 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-12-24 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-12-25 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-12-26 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-12-27 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-12-28 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-12-29 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-12-30 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1984-12-31 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-01-01 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-01-02 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-01-03 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-01-04 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-01-05 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-01-06 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-01-07 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-01-08 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-01-09 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-01-10 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-01-11 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-01-12 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-01-13 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-01-14 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-01-15 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-01-16 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-01-17 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-01-18 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-01-19 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-01-20 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-01-21 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-01-22 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-01-23 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-01-24 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-01-25 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-01-26 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-01-27 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-01-28 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-01-29 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-01-30 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-01-31 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-02-01 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-02-02 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-02-03 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-02-04 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-02-05 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-02-06 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-02-07 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-02-08 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-02-09 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-02-10 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-02-11 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-02-12 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-02-13 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-02-14 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-02-15 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-02-16 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-02-17 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-02-18 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-02-19 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-02-20 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-02-21 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-02-22 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-02-23 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-02-24 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-02-25 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-02-26 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-02-27 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-02-28 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-03-01 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-03-02 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-03-03 06:00:00', 'surface', 30.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-03-04 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-03-05 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-03-06 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-03-07 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-03-08 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-03-09 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-03-10 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-03-11 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-03-12 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-03-13 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-03-14 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-03-15 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-03-16 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-03-17 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-03-18 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-03-19 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-03-20 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-03-21 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-03-22 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-03-23 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-03-24 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-03-25 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-03-26 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-03-27 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-03-28 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-03-29 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-03-30 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-03-31 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-04-01 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-04-02 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-04-03 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-04-04 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-04-05 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-04-06 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-04-07 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-04-08 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-04-09 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-04-10 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-04-11 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-04-12 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-04-13 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-04-14 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-04-15 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-04-16 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-04-17 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-04-18 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-04-19 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-04-20 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-04-21 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-04-22 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-04-23 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-04-24 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-04-25 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-04-26 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-04-27 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-04-28 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-04-29 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-04-30 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-05-01 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-05-02 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-05-03 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-05-04 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-05-05 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-05-06 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-05-07 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-05-08 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-05-09 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-05-10 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-05-11 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-05-12 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-05-13 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-05-14 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-05-15 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-05-16 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-05-17 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-05-18 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-05-19 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-05-20 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-05-21 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-05-22 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-05-23 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-05-24 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-05-25 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-05-26 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-05-27 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-05-28 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-05-29 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-05-30 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-05-31 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-06-01 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-06-02 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-06-03 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-06-04 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-06-05 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-06-06 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-06-07 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-06-08 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-06-09 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-06-10 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-06-11 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-06-12 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-06-13 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-06-14 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-06-15 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-06-16 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-06-17 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-06-18 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-06-19 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-06-20 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-06-21 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-06-22 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-06-23 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-06-24 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-06-25 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-06-26 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-06-27 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-06-28 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-06-29 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-06-30 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-07-01 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-07-02 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-07-03 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-07-04 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-07-05 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-07-06 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-07-07 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-07-08 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-07-09 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-07-10 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-07-11 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-07-12 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-07-13 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-07-14 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-07-15 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-07-16 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-07-17 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-07-18 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-07-19 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-07-20 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-07-21 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-07-22 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-07-23 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-07-24 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-07-25 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-07-26 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-07-27 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-07-28 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-07-29 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-07-30 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-07-31 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-08-01 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-08-02 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-08-03 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-08-04 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-08-05 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-08-06 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-08-07 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-08-08 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-08-09 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-08-10 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-08-11 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-08-12 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-08-13 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-08-14 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-08-15 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-08-16 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-08-17 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-08-18 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-08-19 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-08-20 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-08-21 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-08-22 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-08-23 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-08-24 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-08-25 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-08-26 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-08-27 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-08-28 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-08-29 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-08-30 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-08-31 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-09-01 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-09-02 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-09-03 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-09-04 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-09-05 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-09-06 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-09-07 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-09-08 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-09-09 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-09-10 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-09-11 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-09-12 06:00:00', 'surface', 30.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-09-13 06:00:00', 'surface', 30.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-09-14 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-09-15 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-09-16 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-09-17 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-09-18 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-09-19 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-09-20 06:00:00', 'surface', 30.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-09-21 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-09-22 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-09-23 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-09-24 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-09-25 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-09-26 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-09-27 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-09-28 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-09-29 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-09-30 06:00:00', 'surface', 30.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-10-01 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-10-02 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-10-03 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-10-04 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-10-05 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-10-06 06:00:00', 'surface', 30.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-10-07 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-10-08 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-10-09 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-10-10 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-10-11 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-10-12 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-10-13 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-10-14 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-10-15 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-10-16 06:00:00', 'surface', 30.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-10-17 06:00:00', 'surface', 29.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-10-18 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-10-19 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-10-20 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-10-21 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-10-22 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-10-23 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-10-24 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-10-25 06:00:00', 'surface', 29.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-10-26 06:00:00', 'surface', 29.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-10-27 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-10-28 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-10-29 06:00:00', 'surface', 30.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-10-30 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-10-31 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-11-01 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-11-02 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-11-03 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-11-04 06:00:00', 'surface', 30.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-11-05 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-11-06 06:00:00', 'surface', 30.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-11-07 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-11-08 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-11-09 06:00:00', 'surface', 29.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-11-10 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-11-11 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-11-12 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-11-13 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-11-14 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-11-15 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-11-16 06:00:00', 'surface', 29.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-11-17 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-11-18 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-11-19 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-11-20 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-11-21 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-11-22 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-11-23 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-11-24 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-11-25 06:00:00', 'surface', 30.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-11-26 06:00:00', 'surface', 29.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-11-27 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-11-28 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-11-29 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-11-30 06:00:00', 'surface', 29.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-12-01 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-12-02 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-12-03 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-12-04 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-12-05 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-12-06 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-12-07 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-12-08 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-12-09 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-12-10 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-12-11 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-12-12 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-12-13 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-12-14 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-12-15 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-12-16 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-12-17 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-12-18 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-12-19 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-12-20 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-12-21 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-12-22 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-12-23 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-12-24 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-12-25 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-12-26 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-12-27 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-12-28 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-12-29 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-12-30 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1985-12-31 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-01-01 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-01-02 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-01-03 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-01-04 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-01-05 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-01-06 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-01-07 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-01-08 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-01-09 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-01-10 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-01-11 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-01-12 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-01-13 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-01-14 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-01-15 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-01-16 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-01-17 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-01-18 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-01-19 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-01-20 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-01-21 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-01-22 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-01-23 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-01-24 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-01-25 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-01-26 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-01-27 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-01-28 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-01-29 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-01-30 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-01-31 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-02-01 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-02-02 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-02-03 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-02-04 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-02-05 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-02-06 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-02-07 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-02-08 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-02-09 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-02-10 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-02-11 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-02-12 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-02-13 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-02-14 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-02-15 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-02-16 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-02-17 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-02-18 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-02-19 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-02-20 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-02-21 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-02-22 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-02-23 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-02-24 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-02-25 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-02-26 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-02-27 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-02-28 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-03-01 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-03-02 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-03-03 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-03-04 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-03-05 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-03-06 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-03-07 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-03-08 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-03-09 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-03-10 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-03-11 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-03-12 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-03-13 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-03-14 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-03-15 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-03-16 06:00:00', 'surface', 29.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-03-17 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-03-18 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-03-19 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-03-20 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-03-21 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-03-22 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-03-23 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-03-24 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-03-25 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-03-26 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-03-27 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-03-28 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-03-29 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-03-30 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-03-31 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-04-01 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-04-02 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-04-03 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-04-04 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-04-05 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-04-06 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-04-07 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-04-08 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-04-09 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-04-10 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-04-11 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-04-12 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-04-13 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-04-14 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-04-15 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-04-16 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-04-17 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-04-18 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-04-19 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-04-20 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-04-21 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-04-22 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-04-23 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-04-24 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-04-25 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-04-26 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-04-27 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-04-28 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-04-29 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-04-30 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-05-01 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-05-02 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-05-03 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-05-04 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-05-05 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-05-06 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-05-07 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-05-08 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-05-09 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-05-10 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-05-11 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-05-12 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-05-13 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-05-14 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-05-15 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-05-16 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-05-17 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-05-18 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-05-19 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-05-20 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-05-21 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-05-22 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-05-23 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-05-24 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-05-25 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-05-26 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-05-27 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-05-28 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-05-29 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-05-30 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-05-31 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-06-01 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-06-02 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-06-03 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-06-04 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-06-05 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-06-06 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-06-07 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-06-08 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-06-09 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-06-10 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-06-11 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-06-12 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-06-13 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-06-14 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-06-15 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-06-16 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-06-17 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-06-18 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-06-19 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-06-20 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-06-21 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-06-22 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-06-23 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-06-24 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-06-25 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-06-26 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-06-27 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-06-28 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-06-29 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-06-30 06:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-07-01 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-07-02 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-07-03 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-07-04 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-07-05 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-07-06 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-07-07 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-07-08 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-07-09 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-07-10 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-07-11 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-07-12 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-07-13 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-07-14 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-07-15 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-07-16 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-07-17 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-07-18 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-07-19 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-07-20 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-07-21 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-07-22 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-07-23 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-07-24 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-07-25 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-07-26 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-07-27 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-07-28 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-07-29 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-07-30 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-07-31 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-08-01 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-08-02 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-08-03 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-08-04 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-08-05 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-08-06 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-08-07 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-08-08 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-08-09 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-08-10 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-08-11 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-08-12 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-08-13 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-08-14 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-08-15 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-08-16 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-08-17 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-08-18 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-08-19 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-08-20 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-08-21 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-08-22 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-08-23 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-08-24 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-08-25 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-08-26 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-08-27 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-08-28 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-08-29 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-08-30 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-08-31 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-09-01 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-09-02 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-09-03 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-09-04 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-09-05 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-09-06 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-09-07 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-09-08 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-09-09 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-09-10 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-09-11 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-09-12 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-09-13 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-09-14 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-09-15 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-09-16 06:00:00', 'surface', 29.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-09-17 06:00:00', 'surface', 30.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-09-18 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-09-19 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-09-20 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-09-21 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-09-22 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-09-23 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-09-24 06:00:00', 'surface', 30.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-09-25 06:00:00', 'surface', 30.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-09-26 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-09-27 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-09-28 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-09-29 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-09-30 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-10-01 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-10-02 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-10-03 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-10-04 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-10-05 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-10-06 06:00:00', 'surface', 30.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-10-07 06:00:00', 'surface', 32.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-10-08 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-10-09 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-10-10 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-10-11 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-10-12 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-10-13 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-10-14 06:00:00', 'surface', 29.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-10-15 06:00:00', 'surface', 30.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-10-16 06:00:00', 'surface', 29.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-10-17 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-10-18 06:00:00', 'surface', 30.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-10-19 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-10-20 06:00:00', 'surface', 30.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-10-21 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-10-22 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-10-23 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-10-24 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-10-25 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-10-26 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-10-27 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-10-28 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-10-29 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-10-30 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-10-31 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-11-01 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-11-02 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-11-03 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-11-04 06:00:00', 'surface', 29.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-11-05 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-11-06 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-11-07 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-11-08 06:00:00', 'surface', 31.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-11-09 06:00:00', 'surface', 30.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-11-10 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-11-11 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-11-12 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-11-13 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-11-14 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-11-15 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-11-16 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-11-17 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-11-18 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-11-19 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-11-20 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-11-21 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-11-22 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-11-23 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-11-24 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-11-25 06:00:00', 'surface', 29.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-11-26 06:00:00', 'surface', 31.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-11-27 06:00:00', 'surface', 31.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-11-28 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-11-29 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-11-30 06:00:00', 'surface', 30.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-12-01 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-12-02 06:00:00', 'surface', 30.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-12-03 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-12-04 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-12-05 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-12-06 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-12-07 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-12-08 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-12-09 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-12-10 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-12-11 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-12-12 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-12-13 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-12-14 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-12-15 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-12-16 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-12-17 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-12-18 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-12-19 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-12-20 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-12-21 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-12-22 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-12-23 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-12-24 06:00:00', 'surface', 30.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-12-25 06:00:00', 'surface', 30.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-12-26 06:00:00', 'surface', 30.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-12-27 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-12-28 06:00:00', 'surface', 30.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-12-29 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-12-30 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1986-12-31 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-01-01 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-01-02 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-01-03 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-01-04 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-01-05 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-01-06 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-01-07 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-01-08 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-01-09 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-01-10 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-01-11 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-01-12 06:00:00', 'surface', 30.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-01-13 06:00:00', 'surface', 30.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-01-14 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-01-15 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-01-16 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-01-17 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-01-18 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-01-19 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-01-20 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-01-21 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0);
INSERT INTO `observationfinal` (`recordedFrom`, `describedBy`, `obsDatetime`, `obsLevel`, `obsValue`, `flag`, `period`, `qcStatus`, `qcTypeLog`, `acquisitionType`, `dataForm`, `capturedBy`, `mark`, `temperatureUnits`, `precipitationUnits`, `cloudHeightUnits`, `visUnits`, `dataSourceTimeZone`) VALUES
	('67774010', 2, '1987-01-22 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-01-23 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-01-24 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-01-25 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-01-26 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-01-27 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-01-28 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-01-29 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-01-30 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-01-31 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-02-01 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-02-02 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-02-03 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-02-04 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-02-05 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-02-06 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-02-07 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-02-08 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-02-09 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-02-10 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-02-11 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-02-12 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-02-13 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-02-14 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-02-15 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-02-16 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-02-17 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-02-18 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-02-19 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-02-20 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-02-21 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-02-22 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-02-23 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-02-24 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-02-25 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-02-26 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-02-27 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-02-28 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-03-01 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-03-02 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-03-03 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-03-04 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-03-05 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-03-06 06:00:00', 'surface', 30.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-03-07 06:00:00', 'surface', 30.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-03-08 06:00:00', 'surface', 31.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-03-09 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-03-10 06:00:00', 'surface', 30.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-03-11 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-03-12 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-03-13 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-03-14 06:00:00', 'surface', 30.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-03-15 06:00:00', 'surface', 30.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-03-16 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-03-17 06:00:00', 'surface', 30.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-03-18 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-03-19 06:00:00', 'surface', 30.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-03-20 06:00:00', 'surface', 30.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-03-21 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-03-22 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-03-23 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-03-24 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-03-25 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-03-26 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-03-27 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-03-28 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-03-29 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-03-30 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-03-31 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-04-01 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-04-02 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-04-03 06:00:00', 'surface', 29.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-04-04 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-04-05 06:00:00', 'surface', 29.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-04-06 06:00:00', 'surface', 29.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-04-07 06:00:00', 'surface', 30.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-04-08 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-04-09 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-04-10 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-04-11 06:00:00', 'surface', 29.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-04-12 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-04-13 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-04-14 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-04-15 06:00:00', 'surface', 29.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-04-16 06:00:00', 'surface', 31.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-04-17 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-04-18 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-04-19 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-04-20 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-04-21 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-04-22 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-04-23 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-04-24 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-04-25 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-04-26 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-04-27 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-04-28 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-04-29 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-04-30 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-05-01 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-05-02 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-05-03 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-05-04 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-05-05 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-05-06 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-05-07 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-05-08 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-05-09 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-05-10 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-05-11 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-05-12 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-05-13 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-05-14 06:00:00', 'surface', 30.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-05-15 06:00:00', 'surface', 30.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-05-16 06:00:00', 'surface', 30.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-05-17 06:00:00', 'surface', 29.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-05-18 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-05-19 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-05-20 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-05-21 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-05-22 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-05-23 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-05-24 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-05-25 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-05-26 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-05-27 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-05-28 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-05-29 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-05-30 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-05-31 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-06-01 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-06-02 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-06-03 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-06-04 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-06-05 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-06-06 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-06-07 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-06-08 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-06-09 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-06-10 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-06-11 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-06-12 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-06-13 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-06-14 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-06-15 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-06-16 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-06-17 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-06-18 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-06-19 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-06-20 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-06-21 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-06-22 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-06-23 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-06-24 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-06-25 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-06-26 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-06-27 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-06-28 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-06-29 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-06-30 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-07-01 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-07-02 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-07-03 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-07-04 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-07-05 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-07-06 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-07-07 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-07-08 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-07-09 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-07-10 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-07-11 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-07-12 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-07-13 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-07-14 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-07-15 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-07-16 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-07-17 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-07-18 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-07-19 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-07-20 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-07-21 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-07-22 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-07-23 06:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-07-24 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-07-25 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-07-26 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-07-27 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-07-28 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-07-29 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-07-30 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-07-31 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-08-01 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-08-02 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-08-03 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-08-04 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-08-05 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-08-06 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-08-07 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-08-08 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-08-09 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-08-10 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-08-11 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-08-12 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-08-13 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-08-14 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-08-15 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-08-16 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-08-17 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-08-18 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-08-19 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-08-20 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-08-21 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-08-22 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-08-23 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-08-24 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-08-25 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-08-26 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-08-27 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-08-28 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-08-29 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-08-30 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-08-31 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-09-01 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-09-02 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-09-03 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-09-04 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-09-05 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-09-06 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-09-07 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-09-08 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-09-09 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-09-10 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-09-11 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-09-12 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-09-13 06:00:00', 'surface', 30.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-09-14 06:00:00', 'surface', 29.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-09-15 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-09-16 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-09-17 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-09-18 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-09-19 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-09-20 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-09-21 06:00:00', 'surface', 31.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-09-22 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-09-23 06:00:00', 'surface', 30.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-09-24 06:00:00', 'surface', 31.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-09-25 06:00:00', 'surface', 31.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-09-26 06:00:00', 'surface', 32.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-09-27 06:00:00', 'surface', 30.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-09-28 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-09-29 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-09-30 06:00:00', 'surface', 30.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-10-01 06:00:00', 'surface', 32.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-10-02 06:00:00', 'surface', 32.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-10-03 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-10-04 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-10-05 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-10-06 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-10-07 06:00:00', 'surface', 29.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-10-08 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-10-09 06:00:00', 'surface', 29.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-10-10 06:00:00', 'surface', 31.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-10-11 06:00:00', 'surface', 31.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-10-12 06:00:00', 'surface', 31.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-10-13 06:00:00', 'surface', 31.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-10-14 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-10-15 06:00:00', 'surface', 29.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-10-16 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-10-17 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-10-18 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-10-19 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-10-20 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-10-21 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-10-22 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-10-23 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-10-24 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-10-25 06:00:00', 'surface', 31.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-10-26 06:00:00', 'surface', 31.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-10-27 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-10-28 06:00:00', 'surface', 33.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-10-29 06:00:00', 'surface', 33.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-10-30 06:00:00', 'surface', 30.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-10-31 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-11-01 06:00:00', 'surface', 30.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-11-02 06:00:00', 'surface', 31.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-11-03 06:00:00', 'surface', 32.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-11-04 06:00:00', 'surface', 33.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-11-05 06:00:00', 'surface', 33.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-11-06 06:00:00', 'surface', 32.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-11-07 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-11-08 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-11-09 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-11-10 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-11-11 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-11-12 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-11-13 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-11-14 06:00:00', 'surface', 30.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-11-15 06:00:00', 'surface', 32.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-11-16 06:00:00', 'surface', 33.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-11-17 06:00:00', 'surface', 32.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-11-18 06:00:00', 'surface', 32.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-11-19 06:00:00', 'surface', 33.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-11-20 06:00:00', 'surface', 35.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-11-21 06:00:00', 'surface', 33.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-11-22 06:00:00', 'surface', 31.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-11-23 06:00:00', 'surface', 32.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-11-24 06:00:00', 'surface', 31.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-11-25 06:00:00', 'surface', 32.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-11-26 06:00:00', 'surface', 30.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-11-27 06:00:00', 'surface', 32.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-11-28 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-11-29 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-11-30 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-12-01 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-12-02 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-12-03 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-12-04 06:00:00', 'surface', 29.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-12-05 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-12-06 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-12-07 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-12-08 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-12-09 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-12-10 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-12-11 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-12-12 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-12-13 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-12-14 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-12-15 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-12-16 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-12-17 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-12-18 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-12-19 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-12-20 06:00:00', 'surface', 29.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-12-21 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-12-22 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-12-23 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-12-24 06:00:00', 'surface', 29.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-12-25 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-12-26 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-12-27 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-12-28 06:00:00', 'surface', 29.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-12-29 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-12-30 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1987-12-31 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-01-01 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-01-02 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-01-03 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-01-04 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-01-05 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-01-06 06:00:00', 'surface', 29.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-01-07 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-01-08 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-01-09 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-01-10 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-01-11 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-01-12 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-01-13 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-01-14 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-01-15 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-01-16 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-01-17 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-01-18 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-01-19 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-01-20 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-01-21 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-01-22 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-01-23 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-01-24 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-01-25 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-01-26 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-01-27 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-01-28 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-01-29 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-01-30 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-01-31 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-02-01 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-02-02 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-02-03 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-02-04 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-02-05 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-02-06 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-02-07 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-02-08 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-02-09 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-02-10 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-02-11 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-02-12 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-02-13 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-02-14 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-02-15 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-02-16 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-02-17 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-02-18 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-02-19 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-02-20 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-02-21 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-02-22 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-02-23 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-02-24 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-02-25 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-02-26 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-02-27 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-02-28 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-02-29 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-03-01 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-03-02 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-03-03 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-03-04 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-03-05 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-03-06 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-03-07 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-03-08 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-03-09 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-03-10 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-03-11 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-03-12 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-03-13 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-03-14 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-03-15 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-03-16 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-03-17 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-03-18 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-03-19 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-03-20 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-03-21 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-03-22 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-03-23 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-03-24 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-03-25 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-03-26 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-03-27 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-03-28 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-03-29 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-03-30 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-03-31 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-04-01 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-04-02 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-04-03 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-04-04 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-04-05 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-04-06 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-04-07 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-04-08 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-04-09 06:00:00', 'surface', 29.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-04-10 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-04-11 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-04-12 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-04-13 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-04-14 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-04-15 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-04-16 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-04-17 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-04-18 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-04-19 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-04-20 06:00:00', 'surface', 29.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-04-21 06:00:00', 'surface', 29.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-04-22 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-04-23 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-04-24 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-04-25 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-04-26 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-04-27 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-04-28 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-04-29 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-04-30 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-05-01 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-05-02 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-05-03 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-05-04 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-05-05 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-05-06 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-05-07 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-05-08 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-05-09 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-05-10 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-05-11 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-05-12 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-05-13 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-05-14 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-05-15 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-05-16 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-05-17 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-05-18 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-05-19 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-05-20 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-05-21 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-05-22 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-05-23 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-05-24 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-05-25 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-05-26 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-05-27 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-05-28 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-05-29 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-05-30 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-05-31 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-06-01 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-06-02 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-06-03 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-06-04 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-06-05 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-06-06 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-06-07 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-06-08 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-06-09 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-06-10 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-06-11 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-06-12 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-06-13 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-06-14 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-06-15 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-06-16 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-06-17 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-06-18 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-06-19 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-06-20 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-06-21 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-06-22 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-06-23 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-06-24 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-06-25 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-06-26 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-06-27 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-06-28 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-06-29 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-06-30 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-07-01 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-07-02 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-07-03 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-07-04 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-07-05 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-07-06 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-07-07 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-07-08 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-07-09 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-07-10 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-07-11 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-07-12 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-07-13 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-07-14 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-07-15 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-07-16 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-07-17 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-07-18 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-07-19 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-07-20 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-07-21 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-07-22 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-07-23 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-07-24 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-07-25 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-07-26 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-07-27 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-07-28 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-07-29 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-07-30 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-07-31 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-08-01 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-08-02 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-08-03 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-08-04 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-08-05 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-08-06 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-08-07 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-08-08 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-08-09 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-08-10 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-08-11 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-08-12 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-08-13 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-08-14 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-08-15 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-08-16 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-08-17 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-08-18 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-08-19 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-08-20 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-08-21 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-08-22 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-08-23 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-08-24 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-08-25 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-08-26 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-08-27 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-08-28 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-08-29 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-08-30 06:00:00', 'surface', 29.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-08-31 06:00:00', 'surface', 30.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-09-01 06:00:00', 'surface', 30.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-09-02 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-09-03 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-09-04 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-09-05 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-09-06 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-09-07 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-09-08 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-09-09 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-09-10 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-09-11 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-09-12 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-09-13 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-09-14 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-09-15 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-09-16 06:00:00', 'surface', 31.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-09-17 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-09-18 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-09-19 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-09-20 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-09-21 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-09-22 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-09-23 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-09-24 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-09-25 06:00:00', 'surface', 29.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-09-26 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-09-27 06:00:00', 'surface', 31.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-09-28 06:00:00', 'surface', 29.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-09-29 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-09-30 06:00:00', 'surface', 30.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-10-01 06:00:00', 'surface', 30.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-10-02 06:00:00', 'surface', 30.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-10-03 06:00:00', 'surface', 30.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-10-04 06:00:00', 'surface', 30.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-10-05 06:00:00', 'surface', 29.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-10-06 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-10-07 06:00:00', 'surface', 30.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-10-08 06:00:00', 'surface', 31.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-10-09 06:00:00', 'surface', 31.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-10-10 06:00:00', 'surface', 33.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-10-11 06:00:00', 'surface', 33.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-10-12 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-10-13 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-10-14 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-10-15 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-10-16 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-10-17 06:00:00', 'surface', 30.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-10-18 06:00:00', 'surface', 32.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-10-19 06:00:00', 'surface', 30.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-10-20 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-10-21 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-10-22 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-10-23 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-10-24 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-10-25 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-10-26 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-10-27 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-10-28 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-10-29 06:00:00', 'surface', 29.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-10-30 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-10-31 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-11-01 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-11-02 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-11-03 06:00:00', 'surface', 30.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-11-04 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-11-05 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-11-06 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-11-07 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-11-08 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-11-09 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-11-10 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-11-11 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-11-12 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-11-13 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-11-14 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-11-15 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-11-16 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-11-17 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-11-18 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-11-19 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-11-20 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-11-21 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-11-22 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-11-23 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-11-24 06:00:00', 'surface', 30.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-11-25 06:00:00', 'surface', 30.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-11-26 06:00:00', 'surface', 30.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-11-27 06:00:00', 'surface', 31.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-11-28 06:00:00', 'surface', 31.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-11-29 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-11-30 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-12-01 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-12-02 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-12-03 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-12-04 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-12-05 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-12-06 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-12-07 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-12-08 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-12-09 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-12-10 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-12-11 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-12-12 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-12-13 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-12-14 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-12-15 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-12-16 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-12-17 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-12-18 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-12-19 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-12-20 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-12-21 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-12-22 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-12-23 06:00:00', 'surface', 30.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-12-24 06:00:00', 'surface', 30.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-12-25 06:00:00', 'surface', 31.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-12-26 06:00:00', 'surface', 31.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-12-27 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-12-28 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-12-29 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-12-30 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1988-12-31 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-01-01 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-01-02 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-01-03 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-01-04 06:00:00', 'surface', 29.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-01-05 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-01-06 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-01-07 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-01-08 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-01-09 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-01-10 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-01-11 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-01-12 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-01-13 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-01-14 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-01-15 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-01-16 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-01-17 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-01-18 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-01-19 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-01-20 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-01-21 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-01-22 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-01-23 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-01-24 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-01-25 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-01-26 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-01-27 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-01-28 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-01-29 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-01-30 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-01-31 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-02-01 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-02-02 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-02-03 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-02-04 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-02-05 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-02-06 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-02-07 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-02-08 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-02-09 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-02-10 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-02-11 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-02-12 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-02-13 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-02-14 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-02-15 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-02-16 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-02-17 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-02-18 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-02-19 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-02-20 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-02-21 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-02-22 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-02-23 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-02-24 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-02-25 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-02-26 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-02-27 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-02-28 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-03-01 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-03-02 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-03-03 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-03-04 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-03-05 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-03-06 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-03-07 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-03-08 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-03-09 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-03-10 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-03-11 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-03-12 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-03-13 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-03-14 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-03-15 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-03-16 06:00:00', 'surface', 29.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-03-17 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-03-18 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-03-19 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-03-20 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-03-21 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-03-22 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-03-23 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-03-24 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-03-25 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-03-26 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-03-27 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-03-28 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-03-29 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-03-30 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-03-31 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-04-01 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-04-02 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-04-03 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-04-04 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-04-05 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-04-06 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-04-07 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-04-08 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-04-09 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-04-10 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-04-11 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-04-12 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-04-13 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-04-14 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-04-15 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-04-16 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-04-17 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-04-18 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-04-19 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-04-20 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-04-21 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-04-22 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-04-23 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-04-24 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-04-25 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-04-26 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-04-27 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-04-28 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-04-29 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-04-30 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-05-01 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-05-02 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-05-03 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-05-04 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-05-05 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-05-06 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-05-07 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-05-08 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-05-09 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-05-10 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-05-11 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-05-12 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-05-13 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-05-14 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-05-15 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-05-16 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-05-17 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-05-18 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-05-19 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-05-20 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-05-21 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-05-22 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-05-23 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-05-24 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-05-25 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-05-26 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-05-27 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-05-28 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-05-29 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-05-30 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-05-31 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-06-01 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-06-02 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-06-03 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-06-04 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-06-05 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-06-06 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-06-07 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-06-08 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-06-09 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-06-10 06:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-06-11 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-06-12 06:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-06-13 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-06-14 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-06-15 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-06-16 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-06-17 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-06-18 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-06-19 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-06-20 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-06-21 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-06-22 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-06-23 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-06-24 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-06-25 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-06-26 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-06-27 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-06-28 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-06-29 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-06-30 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-07-01 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-07-02 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-07-03 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-07-04 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-07-05 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-07-06 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-07-07 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-07-08 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-07-09 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-07-10 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-07-11 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-07-12 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-07-13 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-07-14 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-07-15 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-07-16 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-07-17 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-07-18 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-07-19 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-07-20 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-07-21 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-07-22 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-07-23 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-07-24 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-07-25 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-07-26 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-07-27 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-07-28 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-07-29 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-07-30 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-07-31 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-08-01 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-08-02 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-08-03 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-08-04 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-08-05 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-08-06 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-08-07 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-08-08 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-08-09 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-08-10 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-08-11 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-08-12 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-08-13 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-08-14 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-08-15 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-08-16 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-08-17 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-08-18 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-08-19 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-08-20 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-08-21 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-08-22 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-08-23 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-08-24 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-08-25 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-08-26 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-08-27 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-08-28 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-08-29 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-08-30 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-08-31 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-09-01 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-09-02 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-09-03 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-09-04 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-09-05 06:00:00', 'surface', 29.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-09-06 06:00:00', 'surface', 30.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-09-07 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-09-08 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-09-09 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-09-10 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-09-11 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-09-12 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-09-13 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-09-14 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-09-15 06:00:00', 'surface', 29.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-09-16 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-09-17 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-09-18 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-09-19 06:00:00', 'surface', 32.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-09-20 06:00:00', 'surface', 31.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-09-21 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-09-22 06:00:00', 'surface', 30.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-09-23 06:00:00', 'surface', 30.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-09-24 06:00:00', 'surface', 31.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-09-25 06:00:00', 'surface', 30.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-09-26 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-09-27 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-09-28 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-09-29 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-09-30 06:00:00', 'surface', 29.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-10-01 06:00:00', 'surface', 29.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-10-02 06:00:00', 'surface', 31.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-10-03 06:00:00', 'surface', 33.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-10-04 06:00:00', 'surface', 33.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-10-05 06:00:00', 'surface', 31.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-10-06 06:00:00', 'surface', 31.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-10-07 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-10-08 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-10-09 06:00:00', 'surface', 32.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-10-10 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-10-11 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-10-12 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-10-13 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-10-14 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-10-15 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-10-16 06:00:00', 'surface', 30.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-10-17 06:00:00', 'surface', 29.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-10-18 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-10-19 06:00:00', 'surface', 30.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-10-20 06:00:00', 'surface', 30.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-10-21 06:00:00', 'surface', 30.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-10-22 06:00:00', 'surface', 32.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-10-23 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-10-24 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-10-25 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-10-26 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-10-27 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-10-28 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-10-29 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-10-30 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-10-31 06:00:00', 'surface', 29.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-11-01 06:00:00', 'surface', 31.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-11-02 06:00:00', 'surface', 31.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-11-03 06:00:00', 'surface', 30.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-11-04 06:00:00', 'surface', 31.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-11-05 06:00:00', 'surface', 31.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-11-06 06:00:00', 'surface', 29.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-11-07 06:00:00', 'surface', 30.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-11-08 06:00:00', 'surface', 31.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-11-09 06:00:00', 'surface', 31.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-11-10 06:00:00', 'surface', 33.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-11-11 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-11-12 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-11-13 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-11-14 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-11-15 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-11-16 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-11-17 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-11-18 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-11-19 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-11-20 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-11-21 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-11-22 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-11-23 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-11-24 06:00:00', 'surface', 29.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-11-25 06:00:00', 'surface', 29.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-11-26 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-11-27 06:00:00', 'surface', 30.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-11-28 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-11-29 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-11-30 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-12-01 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-12-02 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-12-03 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-12-04 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-12-05 06:00:00', 'surface', 31.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-12-06 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-12-07 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-12-08 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-12-09 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-12-10 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-12-11 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-12-12 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-12-13 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-12-14 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-12-15 06:00:00', 'surface', 30.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-12-16 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-12-17 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-12-18 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-12-19 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-12-20 06:00:00', 'surface', 32.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-12-21 06:00:00', 'surface', 33.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-12-22 06:00:00', 'surface', 31.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-12-23 06:00:00', 'surface', 29.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-12-24 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-12-25 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-12-26 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-12-27 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-12-28 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-12-29 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-12-30 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1989-12-31 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-01-01 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-01-02 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-01-03 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-01-04 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-01-05 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-01-06 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-01-07 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-01-08 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-01-09 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-01-10 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-01-11 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-01-12 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-01-13 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-01-14 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-01-15 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-01-16 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-01-17 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-01-18 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-01-19 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-01-20 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-01-21 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-01-22 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-01-23 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-01-24 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-01-25 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-01-26 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-01-27 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-01-28 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-01-29 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-01-30 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-01-31 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-02-01 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-02-02 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-02-03 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-02-04 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-02-05 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-02-06 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-02-07 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-02-08 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-02-09 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-02-10 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-02-11 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-02-12 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-02-13 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-02-14 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-02-15 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-02-16 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-02-17 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-02-18 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-02-19 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-02-20 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-02-21 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-02-22 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-02-23 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-02-24 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-02-25 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-02-26 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-02-27 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-02-28 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-04-01 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-04-02 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-04-03 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-04-04 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-04-05 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-04-06 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-04-07 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-04-08 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-04-09 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-04-10 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-04-11 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-04-12 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-04-13 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-04-14 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-04-15 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-04-16 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-04-17 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-04-18 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-04-19 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-04-20 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-04-21 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-04-22 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-04-23 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-04-24 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-04-25 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-04-26 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-04-27 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-04-28 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-04-29 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-04-30 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-05-01 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-05-02 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-05-03 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-05-04 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-05-05 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-05-06 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-05-07 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-05-08 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-05-09 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-05-10 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-05-11 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-05-12 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-05-13 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-05-14 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-05-15 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-05-16 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-05-17 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-05-18 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-05-19 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-05-20 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-05-21 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-05-22 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-05-23 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-05-24 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-05-25 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-05-26 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-05-27 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-05-28 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-05-29 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-05-30 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-05-31 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-06-01 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-06-02 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-06-03 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-06-04 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-06-05 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-06-06 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-06-07 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-06-08 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-06-09 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-06-10 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-06-11 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-06-12 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-06-13 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-06-14 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-06-15 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-06-16 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-06-17 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-06-18 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-06-19 06:00:00', 'surface', 18.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-06-20 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-06-21 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-06-22 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-06-23 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-06-24 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-06-25 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-06-26 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-06-27 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-06-28 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-06-29 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-06-30 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-07-01 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-07-02 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-07-03 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-07-04 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-07-05 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-07-06 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-07-07 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-07-08 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-07-09 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-07-10 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-07-11 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-07-12 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-07-13 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-07-14 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-07-15 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-07-16 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-07-17 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-07-18 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-07-19 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-07-20 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-07-21 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-07-22 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-07-23 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-07-24 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-07-25 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-07-26 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-07-27 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-07-28 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-07-29 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-07-30 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-07-31 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-08-01 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-08-02 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-08-03 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-08-04 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-08-05 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-08-06 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-08-07 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-08-08 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-08-09 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-08-10 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-08-11 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-08-12 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-08-13 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-08-14 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-08-15 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-08-16 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-08-17 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-08-18 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-08-19 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-08-20 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-08-21 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-08-22 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-08-23 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-08-24 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-08-25 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-08-26 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-08-27 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-08-28 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-08-29 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-08-30 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-08-31 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-09-01 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-09-02 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-09-03 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-09-04 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-09-05 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-09-06 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-09-07 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-09-08 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-09-09 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-09-10 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-09-11 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-09-12 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-09-13 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-09-14 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-09-15 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-09-16 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-09-17 06:00:00', 'surface', 30.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-09-18 06:00:00', 'surface', 32.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-09-19 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-09-20 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-09-21 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-09-22 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-09-23 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-09-24 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-09-25 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-09-26 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-09-27 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-09-28 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-09-29 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-09-30 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-10-01 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-10-02 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-10-03 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-10-04 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-10-05 06:00:00', 'surface', 30.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-10-06 06:00:00', 'surface', 31.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-10-07 06:00:00', 'surface', 33.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-10-08 06:00:00', 'surface', 32.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-10-09 06:00:00', 'surface', 30.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-10-10 06:00:00', 'surface', 30.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-10-11 06:00:00', 'surface', 32.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-10-12 06:00:00', 'surface', 31.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-10-13 06:00:00', 'surface', 31.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-10-14 06:00:00', 'surface', 32.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-10-15 06:00:00', 'surface', 33.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-10-16 06:00:00', 'surface', 34.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-10-17 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-10-18 06:00:00', 'surface', 31.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-10-19 06:00:00', 'surface', 30.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-10-20 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-10-21 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-10-22 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-10-23 06:00:00', 'surface', 31.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-10-24 06:00:00', 'surface', 33.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-10-25 06:00:00', 'surface', 32.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-10-26 06:00:00', 'surface', 29.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-10-27 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-10-28 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-10-29 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-10-30 06:00:00', 'surface', 29.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-10-31 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-11-01 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-11-02 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-11-03 06:00:00', 'surface', 31.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-11-04 06:00:00', 'surface', 31.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-11-05 06:00:00', 'surface', 32.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-11-06 06:00:00', 'surface', 34.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-11-07 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-11-08 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-11-09 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-11-10 06:00:00', 'surface', 30.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-11-11 06:00:00', 'surface', 30.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-11-12 06:00:00', 'surface', 32.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-11-13 06:00:00', 'surface', 33.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-11-14 06:00:00', 'surface', 33.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-11-15 06:00:00', 'surface', 32.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-11-16 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-11-17 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-11-18 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-11-19 06:00:00', 'surface', 31.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-11-20 06:00:00', 'surface', 33.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-11-21 06:00:00', 'surface', 32.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-11-22 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-11-23 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-11-24 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-11-25 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-11-26 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-11-27 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-11-28 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-11-29 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-11-30 06:00:00', 'surface', 29.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-12-01 06:00:00', 'surface', 30.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-12-02 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-12-03 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-12-04 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-12-05 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-12-06 06:00:00', 'surface', 30.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-12-07 06:00:00', 'surface', 30.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-12-08 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-12-09 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-12-10 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-12-11 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-12-12 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-12-13 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-12-14 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-12-15 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-12-16 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-12-17 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-12-18 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-12-19 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-12-20 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-12-21 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-12-22 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-12-23 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-12-24 06:00:00', 'surface', 29.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-12-25 06:00:00', 'surface', 30.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-12-26 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-12-27 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-12-28 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-12-29 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-12-30 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1990-12-31 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-01-01 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-01-02 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-01-03 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-01-04 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-01-05 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-01-06 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-01-07 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-01-08 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-01-09 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-01-10 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-01-11 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-01-12 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-01-13 06:00:00', 'surface', 18.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-01-14 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-01-15 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-01-16 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-01-17 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-01-18 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-01-19 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-01-20 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-01-21 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-01-22 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-01-23 06:00:00', 'surface', 18.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-01-24 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-01-25 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-01-26 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-01-27 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-01-28 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-01-29 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-01-30 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-01-31 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-02-01 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-02-02 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-02-03 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-02-04 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-02-05 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-02-06 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-02-07 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-02-08 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-02-09 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-02-10 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-02-11 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-02-12 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-02-13 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-02-14 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-02-15 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-02-16 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-02-17 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-02-18 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-02-19 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-02-20 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-02-21 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-02-22 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-02-23 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-02-24 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-02-25 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-02-26 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-02-27 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-02-28 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-03-01 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-03-02 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-03-03 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-03-04 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-03-05 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-03-06 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-03-07 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-03-08 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-03-09 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-03-10 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-03-11 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-03-12 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-03-13 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-03-14 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-03-15 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-03-16 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-03-17 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-03-18 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-03-19 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-03-20 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-03-21 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-03-22 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-03-23 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-03-24 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-03-25 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-03-26 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-03-27 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-03-28 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-03-29 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-03-30 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-03-31 06:00:00', 'surface', 11.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-04-01 06:00:00', 'surface', 10.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-04-02 06:00:00', 'surface', 8.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-04-03 06:00:00', 'surface', 8.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-04-04 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-04-05 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-04-06 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-04-07 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-04-08 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-04-09 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-04-10 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-04-11 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-04-12 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-04-13 06:00:00', 'surface', 10.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-04-14 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-04-15 06:00:00', 'surface', 8.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-04-16 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-04-17 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-04-18 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-04-19 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-04-20 06:00:00', 'surface', 11.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-04-21 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-04-22 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-04-23 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-04-24 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-04-25 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-04-26 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-04-27 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-04-28 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-04-29 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-04-30 06:00:00', 'surface', 10.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-05-01 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-05-02 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-05-03 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-05-04 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-05-05 06:00:00', 'surface', 6.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-05-06 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-05-07 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-05-08 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-05-09 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-05-10 06:00:00', 'surface', 8.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-05-11 06:00:00', 'surface', 6.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-05-12 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-05-13 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-05-14 06:00:00', 'surface', 9.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-05-15 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-05-16 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-05-17 06:00:00', 'surface', 5.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-05-18 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-05-19 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-05-20 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-05-21 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-05-22 06:00:00', 'surface', 8.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-05-23 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-05-24 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-05-25 06:00:00', 'surface', 8.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-05-26 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-05-27 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-05-28 06:00:00', 'surface', 10.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-05-29 06:00:00', 'surface', 9.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-05-30 06:00:00', 'surface', 10.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-05-31 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-06-01 06:00:00', 'surface', 10.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-06-02 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-06-03 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-06-04 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-06-05 06:00:00', 'surface', 8.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-06-06 06:00:00', 'surface', 5.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-06-07 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-06-08 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-06-09 06:00:00', 'surface', 5.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-06-10 06:00:00', 'surface', 1.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-06-11 06:00:00', 'surface', 2.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-06-12 06:00:00', 'surface', 2.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-06-13 06:00:00', 'surface', 2.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-06-14 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-06-15 06:00:00', 'surface', 3.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-06-16 06:00:00', 'surface', 2.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-06-17 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-06-18 06:00:00', 'surface', 2.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-06-19 06:00:00', 'surface', 3.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-06-20 06:00:00', 'surface', 2.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-06-21 06:00:00', 'surface', 4.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-06-22 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-06-23 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-06-24 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-06-25 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-06-26 06:00:00', 'surface', 4.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-06-27 06:00:00', 'surface', 5.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-06-28 06:00:00', 'surface', 4.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-06-29 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-06-30 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-07-01 06:00:00', 'surface', 5.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-07-02 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-07-03 06:00:00', 'surface', 5.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-07-04 06:00:00', 'surface', 6.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-07-05 06:00:00', 'surface', 6.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-07-06 06:00:00', 'surface', 3.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-07-07 06:00:00', 'surface', 3.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-07-08 06:00:00', 'surface', 5.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-07-09 06:00:00', 'surface', 8.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-07-10 06:00:00', 'surface', 5.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-07-11 06:00:00', 'surface', 8.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-07-12 06:00:00', 'surface', 6.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-07-13 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-07-14 06:00:00', 'surface', 5.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-07-15 06:00:00', 'surface', 2.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-07-16 06:00:00', 'surface', 5.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-07-17 06:00:00', 'surface', 4.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-07-18 06:00:00', 'surface', 4.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-07-19 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-07-20 06:00:00', 'surface', 3.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-07-21 06:00:00', 'surface', 3.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-07-22 06:00:00', 'surface', 1.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-07-23 06:00:00', 'surface', 4.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-07-24 06:00:00', 'surface', 2.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-07-25 06:00:00', 'surface', 6.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-07-26 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-07-27 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-07-28 06:00:00', 'surface', 5.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-07-29 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-07-30 06:00:00', 'surface', 9.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-07-31 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-08-01 06:00:00', 'surface', 3.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-08-02 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-08-03 06:00:00', 'surface', 6.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-08-04 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-08-05 06:00:00', 'surface', 10.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-08-06 06:00:00', 'surface', 10.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-08-07 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-08-08 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-08-09 06:00:00', 'surface', 3.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-08-10 06:00:00', 'surface', 4.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-08-11 06:00:00', 'surface', 8.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-08-12 06:00:00', 'surface', 8.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-08-13 06:00:00', 'surface', 10.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-08-14 06:00:00', 'surface', 10.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-08-15 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-08-16 06:00:00', 'surface', 7.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-08-17 06:00:00', 'surface', 5.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-08-18 06:00:00', 'surface', 9.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-08-19 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-08-20 06:00:00', 'surface', 10.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-08-21 06:00:00', 'surface', 8.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-08-22 06:00:00', 'surface', 7.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-08-23 06:00:00', 'surface', 5.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-08-24 06:00:00', 'surface', 8.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-08-25 06:00:00', 'surface', 10.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-08-26 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-08-27 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-08-28 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-08-29 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-08-30 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-08-31 06:00:00', 'surface', 12.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-09-01 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-09-02 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-09-03 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-09-04 06:00:00', 'surface', 5.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-09-05 06:00:00', 'surface', 5.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-09-06 06:00:00', 'surface', 5.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-09-07 06:00:00', 'surface', 5.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-09-08 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-09-09 06:00:00', 'surface', 9.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-09-10 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-09-11 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-09-12 06:00:00', 'surface', 10.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-09-13 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-09-14 06:00:00', 'surface', 12.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-09-15 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-09-16 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-09-17 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-09-18 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-09-19 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-09-20 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-09-21 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-09-22 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-09-23 06:00:00', 'surface', 10.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-09-24 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-09-25 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-09-26 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-09-27 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-09-28 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-09-29 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-09-30 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-10-01 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-10-02 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-10-03 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-10-04 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-10-05 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-10-06 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-10-07 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-10-08 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-10-09 06:00:00', 'surface', 10.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-10-10 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-10-11 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-10-12 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-10-13 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-10-14 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-10-15 06:00:00', 'surface', 11.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-10-16 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-10-17 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-10-18 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-10-19 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-10-20 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-10-21 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-10-22 06:00:00', 'surface', 10.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-10-23 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-10-24 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-10-25 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-10-26 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-10-27 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-10-28 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-10-29 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-10-30 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-10-31 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-11-01 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-11-02 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-11-03 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-11-04 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-11-05 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-11-06 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-11-07 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-11-08 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-11-09 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-11-10 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-11-11 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-11-12 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-11-13 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-11-14 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-11-15 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-11-16 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-11-17 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-11-18 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-11-19 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-11-20 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-11-21 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-11-22 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-11-23 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-11-24 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-11-25 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-11-26 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-11-27 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-11-28 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-11-29 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-11-30 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-12-01 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-12-02 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-12-03 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-12-04 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-12-05 06:00:00', 'surface', 10.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-12-06 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-12-07 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-12-08 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-12-09 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-12-10 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-12-11 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-12-12 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-12-13 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-12-14 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-12-15 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-12-16 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-12-17 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-12-18 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-12-19 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-12-20 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-12-21 06:00:00', 'surface', 18.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-12-22 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-12-23 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-12-24 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-12-25 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-12-26 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-12-27 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-12-28 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-12-29 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-12-30 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1981-12-31 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-01-01 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-01-02 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-01-03 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-01-04 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-01-05 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-01-06 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-01-07 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-01-08 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-01-09 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-01-10 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-01-11 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-01-12 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-01-13 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-01-14 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-01-15 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-01-16 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-01-17 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-01-18 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-01-19 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-01-20 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-01-21 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-01-22 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-01-23 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-01-24 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-01-25 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-01-26 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-01-27 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-01-28 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-01-29 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-01-30 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-01-31 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-02-01 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-02-02 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-02-03 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-02-04 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-02-05 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-02-06 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-02-07 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-02-08 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-02-09 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-02-10 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-02-11 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-02-12 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-02-13 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-02-14 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-02-15 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-02-16 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-02-17 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-02-18 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-02-19 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-02-20 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-02-21 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-02-22 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-02-23 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-02-24 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-02-25 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-02-26 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-02-27 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-02-28 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-03-01 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-03-02 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-03-03 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-03-04 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-03-05 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-03-06 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-03-07 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-03-08 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-03-09 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-03-10 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-03-11 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-03-12 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-03-13 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-03-14 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-03-15 06:00:00', 'surface', 11.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-03-16 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-03-17 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-03-18 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-03-19 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-03-20 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-03-21 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-03-22 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-03-23 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-03-24 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-03-25 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-03-26 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-03-27 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-03-28 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-03-29 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-03-30 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-03-31 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-04-01 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-04-02 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-04-03 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-04-04 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-04-05 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-04-06 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-04-07 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-04-08 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-04-09 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-04-10 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-04-11 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-04-12 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-04-13 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-04-14 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-04-15 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-04-16 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-04-17 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-04-18 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-04-19 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-04-20 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-04-21 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-04-22 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-04-23 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-04-24 06:00:00', 'surface', 11.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-04-25 06:00:00', 'surface', 11.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-04-26 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-04-27 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-04-28 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-04-29 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-04-30 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-05-01 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-05-02 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-05-03 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-05-04 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-05-05 06:00:00', 'surface', 11.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-05-06 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-05-07 06:00:00', 'surface', 10.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-05-08 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-05-09 06:00:00', 'surface', 11.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-05-10 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-05-11 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-05-12 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-05-13 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-05-14 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-05-15 06:00:00', 'surface', 5.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-05-16 06:00:00', 'surface', 6.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-05-17 06:00:00', 'surface', 6.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-05-18 06:00:00', 'surface', 6.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-05-19 06:00:00', 'surface', 9.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-05-20 06:00:00', 'surface', 6.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-05-21 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-05-22 06:00:00', 'surface', 6.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-05-23 06:00:00', 'surface', 6.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-05-24 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-05-25 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-05-26 06:00:00', 'surface', 8.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-05-27 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-05-28 06:00:00', 'surface', 10.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-05-29 06:00:00', 'surface', 6.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-05-30 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-05-31 06:00:00', 'surface', 4.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-06-01 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-06-02 06:00:00', 'surface', 5.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-06-03 06:00:00', 'surface', 5.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-06-04 06:00:00', 'surface', 6.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-06-05 06:00:00', 'surface', 6.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-06-06 06:00:00', 'surface', 4.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-06-07 06:00:00', 'surface', 4.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-06-08 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-06-09 06:00:00', 'surface', 5.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-06-10 06:00:00', 'surface', 4.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-06-11 06:00:00', 'surface', 5.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-06-12 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-06-13 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-06-14 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-06-15 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-06-16 06:00:00', 'surface', 8.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-06-17 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-06-18 06:00:00', 'surface', 8.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-06-19 06:00:00', 'surface', 9.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-06-20 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-06-21 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-06-22 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-06-23 06:00:00', 'surface', 5.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-06-24 06:00:00', 'surface', 5.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-06-25 06:00:00', 'surface', 6.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-06-26 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-06-27 06:00:00', 'surface', 8.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-06-28 06:00:00', 'surface', 6.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-06-29 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-06-30 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-07-01 06:00:00', 'surface', 6.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-07-02 06:00:00', 'surface', 9.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-07-03 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-07-04 06:00:00', 'surface', 9.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-07-05 06:00:00', 'surface', 8.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-07-06 06:00:00', 'surface', 8.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-07-07 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-07-08 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-07-09 06:00:00', 'surface', 6.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-07-10 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-07-11 06:00:00', 'surface', 4.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-07-12 06:00:00', 'surface', 2.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-07-13 06:00:00', 'surface', 5.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-07-14 06:00:00', 'surface', 5.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-07-15 06:00:00', 'surface', 5.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-07-16 06:00:00', 'surface', 5.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-07-17 06:00:00', 'surface', 5.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-07-18 06:00:00', 'surface', 5.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-07-19 06:00:00', 'surface', 6.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-07-20 06:00:00', 'surface', 5.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-07-21 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-07-22 06:00:00', 'surface', 6.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-07-23 06:00:00', 'surface', 9.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-07-24 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-07-25 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-07-26 06:00:00', 'surface', 11.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-07-27 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-07-28 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-07-29 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-07-30 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-07-31 06:00:00', 'surface', 10.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-08-01 06:00:00', 'surface', 6.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-08-02 06:00:00', 'surface', 6.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-08-03 06:00:00', 'surface', 6.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-08-04 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-08-05 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-08-06 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-08-07 06:00:00', 'surface', 6.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-08-08 06:00:00', 'surface', 5.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-08-09 06:00:00', 'surface', 6.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-08-10 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-08-11 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-08-12 06:00:00', 'surface', 7.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-08-13 06:00:00', 'surface', 8.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-08-14 06:00:00', 'surface', 6.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-08-15 06:00:00', 'surface', 6.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-08-16 06:00:00', 'surface', 8.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-08-17 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-08-18 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-08-19 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-08-20 06:00:00', 'surface', 9.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-08-21 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-08-22 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-08-23 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-08-24 06:00:00', 'surface', 5.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-08-25 06:00:00', 'surface', 6.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-08-26 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-08-27 06:00:00', 'surface', 6.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-08-28 06:00:00', 'surface', 9.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-08-29 06:00:00', 'surface', 8.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-08-30 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-08-31 06:00:00', 'surface', 9.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-09-01 06:00:00', 'surface', 9.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-09-02 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-09-03 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-09-04 06:00:00', 'surface', 11.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-09-05 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-09-06 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-09-07 06:00:00', 'surface', 9.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-09-08 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-09-09 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-09-10 06:00:00', 'surface', 9.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-09-11 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-09-12 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-09-13 06:00:00', 'surface', 8.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-09-14 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-09-15 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-09-16 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-09-17 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-09-18 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-09-19 06:00:00', 'surface', 8.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-09-20 06:00:00', 'surface', 9.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-09-21 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-09-22 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-09-23 06:00:00', 'surface', 10.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-09-24 06:00:00', 'surface', 11.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-09-25 06:00:00', 'surface', 10.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-09-26 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-09-27 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-09-28 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-09-29 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-09-30 06:00:00', 'surface', 10.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-10-01 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-10-02 06:00:00', 'surface', 11.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-10-03 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-10-04 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-10-05 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-10-06 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-10-07 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-10-08 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-10-09 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-10-10 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-10-11 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-10-12 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-10-13 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-10-14 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-10-15 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-10-16 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-10-17 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-10-18 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-10-19 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-10-20 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-10-21 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-10-22 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-10-23 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-10-24 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-10-25 06:00:00', 'surface', 10.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-10-26 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-10-27 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-10-28 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-10-29 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-10-30 06:00:00', 'surface', 10.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-10-31 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-11-01 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-11-02 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-11-03 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-11-04 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-11-05 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-11-06 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-11-07 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-11-08 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-11-09 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-11-10 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-11-11 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-11-12 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-11-13 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-11-14 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-11-15 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-11-16 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-11-17 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-11-18 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-11-19 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-11-20 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-11-21 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-11-22 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-11-23 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-11-24 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-11-25 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-11-26 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-11-27 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-11-28 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-11-29 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-11-30 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-12-01 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-12-02 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-12-03 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-12-04 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-12-05 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-12-06 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-12-07 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-12-08 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-12-09 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-12-10 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-12-11 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-12-12 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-12-13 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-12-14 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-12-15 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-12-16 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-12-17 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-12-18 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-12-19 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-12-20 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-12-21 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-12-22 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-12-23 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-12-24 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-12-25 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-12-26 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-12-27 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-12-28 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-12-29 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-12-30 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1982-12-31 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-01-01 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-01-02 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-01-03 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-01-04 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-01-05 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-01-06 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-01-07 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-01-08 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-01-09 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-01-10 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-01-11 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-01-12 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-01-13 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-01-14 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-01-15 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-01-16 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-01-17 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-01-18 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-01-19 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-01-20 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-01-21 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-01-22 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-01-23 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-01-24 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-01-25 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-01-26 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-01-27 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-01-28 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-01-29 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-01-30 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-01-31 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-02-01 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-02-02 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-02-03 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-02-04 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-02-05 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-02-06 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-02-07 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-02-08 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-02-09 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-02-10 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-02-11 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-02-12 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-02-13 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-02-14 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-02-15 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-02-16 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-02-17 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-02-18 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-02-19 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-02-20 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-02-21 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-02-22 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-02-23 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-02-24 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-02-25 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-02-26 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-02-27 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-02-28 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-03-01 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-03-02 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-03-03 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-03-04 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-03-05 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-03-06 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-03-07 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-03-08 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-03-09 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-03-10 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-03-11 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-03-12 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-03-13 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-03-14 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-03-15 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-03-16 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-03-17 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-03-18 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-03-19 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-03-20 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-03-21 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-03-22 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-03-23 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-03-24 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-03-25 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-03-26 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-03-27 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-03-28 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-03-29 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-03-30 06:00:00', 'surface', 12.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-03-31 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-04-01 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-04-02 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-04-03 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-04-04 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-04-05 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-04-06 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-04-07 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-04-08 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-04-09 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-04-10 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-04-11 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-04-12 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-04-13 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-04-14 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-04-15 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-04-16 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-04-17 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-04-18 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-04-19 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-04-20 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-04-21 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-04-22 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-04-23 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-04-24 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-04-25 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-04-26 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-04-27 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-04-28 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-04-29 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-04-30 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-05-01 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-05-02 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-05-03 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-05-04 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-05-05 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-05-06 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-05-07 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-05-08 06:00:00', 'surface', 9.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-05-09 06:00:00', 'surface', 8.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-05-10 06:00:00', 'surface', 9.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-05-11 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-05-12 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-05-13 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-05-14 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-05-15 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-05-16 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-05-17 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-05-18 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-05-19 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-05-20 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-05-21 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-05-22 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-05-23 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-05-24 06:00:00', 'surface', 3.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-05-25 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-05-26 06:00:00', 'surface', 9.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-05-27 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-05-28 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-05-29 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-05-30 06:00:00', 'surface', 9.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-05-31 06:00:00', 'surface', 9.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-06-01 06:00:00', 'surface', 8.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-06-02 06:00:00', 'surface', 8.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-06-03 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-06-04 06:00:00', 'surface', 8.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-06-05 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-06-06 06:00:00', 'surface', 6.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-06-07 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-06-08 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-06-09 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-06-10 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-06-11 06:00:00', 'surface', 10.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-06-12 06:00:00', 'surface', 8.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-06-13 06:00:00', 'surface', 6.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-06-14 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-06-15 06:00:00', 'surface', 10.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-06-16 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-06-17 06:00:00', 'surface', 10.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-06-18 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-06-19 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-06-20 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-06-21 06:00:00', 'surface', 6.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-06-22 06:00:00', 'surface', 5.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-06-23 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-06-24 06:00:00', 'surface', 6.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-06-25 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-06-26 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-06-27 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-06-28 06:00:00', 'surface', 6.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-06-29 06:00:00', 'surface', 7.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-06-30 06:00:00', 'surface', 7.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-11-06 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-11-07 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-11-08 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-11-09 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-11-10 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-11-11 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-11-12 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-11-13 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-11-14 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-11-15 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-11-16 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-11-17 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-11-18 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-11-19 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-11-20 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-11-21 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-11-22 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-11-23 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-11-24 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-11-25 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-11-26 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-11-27 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-11-28 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-11-29 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-11-30 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-12-01 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-12-02 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-12-03 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-12-04 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-12-05 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-12-06 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-12-07 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-12-08 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-12-09 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-12-10 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-12-11 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-12-12 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-12-13 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-12-14 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-12-15 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-12-16 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-12-17 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-12-18 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-12-19 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-12-20 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-12-21 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-12-22 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-12-23 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-12-24 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-12-25 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-12-26 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-12-27 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-12-28 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-12-29 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-12-30 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1983-12-31 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-01-01 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-01-02 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-01-03 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-01-04 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-01-05 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-01-06 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-01-07 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-01-08 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-01-09 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-01-10 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-01-11 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-01-12 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-01-13 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-01-14 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-01-15 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-01-16 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-01-17 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-01-18 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-01-19 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-01-20 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-01-21 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-01-22 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-01-23 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-01-24 06:00:00', 'surface', 11.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-01-25 06:00:00', 'surface', 11.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-01-26 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-01-27 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-01-28 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-01-29 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-01-30 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-01-31 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-02-01 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-02-02 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-02-03 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-02-04 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-02-05 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-02-06 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-02-07 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-02-08 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-02-09 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-02-10 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-02-11 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-02-12 06:00:00', 'surface', 9.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-02-13 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-02-14 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-02-15 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-02-16 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-02-17 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-02-18 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-02-19 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-02-20 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-02-21 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-02-22 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-02-23 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-02-24 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-02-25 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-02-26 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-02-27 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-02-28 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-02-29 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-03-01 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-03-02 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-03-03 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-03-04 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-03-05 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-03-06 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-03-07 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-03-08 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-03-09 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-03-10 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-03-11 06:00:00', 'surface', 11.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-03-12 06:00:00', 'surface', 11.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-03-13 06:00:00', 'surface', 11.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-03-14 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-03-15 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-03-16 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-03-17 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-03-18 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-03-19 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-03-20 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-03-21 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-03-22 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-03-23 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-03-24 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-03-25 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-03-26 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-03-27 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-03-28 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-03-29 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-03-30 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-03-31 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-04-01 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-04-02 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-04-03 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-04-04 06:00:00', 'surface', 11.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-04-05 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-04-06 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-04-07 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-04-08 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-04-09 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-04-10 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-04-11 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-04-12 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-04-13 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-04-14 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-04-15 06:00:00', 'surface', 11.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-04-16 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-04-17 06:00:00', 'surface', 11.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-04-18 06:00:00', 'surface', 10.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-04-19 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-04-20 06:00:00', 'surface', 11.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-04-21 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-04-22 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-04-23 06:00:00', 'surface', 10.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-04-24 06:00:00', 'surface', 10.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-04-25 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-04-26 06:00:00', 'surface', 11.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-04-27 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-04-28 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-04-29 06:00:00', 'surface', 10.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-04-30 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-05-01 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-05-02 06:00:00', 'surface', 10.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-05-03 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-05-04 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-05-05 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-05-06 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-05-07 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-05-08 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-05-09 06:00:00', 'surface', 10.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-05-10 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-05-11 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-05-12 06:00:00', 'surface', 11.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-05-13 06:00:00', 'surface', 9.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-05-14 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-05-15 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-05-16 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-05-17 06:00:00', 'surface', 8.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-05-18 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-05-19 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-05-20 06:00:00', 'surface', 10.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-05-21 06:00:00', 'surface', 11.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-05-22 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-05-23 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-05-24 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-05-25 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-05-26 06:00:00', 'surface', 5.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-05-27 06:00:00', 'surface', 5.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-05-28 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-05-29 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-05-30 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-05-31 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-06-01 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-06-02 06:00:00', 'surface', 5.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-06-03 06:00:00', 'surface', 8.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-06-04 06:00:00', 'surface', 10.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-06-05 06:00:00', 'surface', 10.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-06-06 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-06-07 06:00:00', 'surface', 5.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-06-08 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-06-09 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-06-10 06:00:00', 'surface', 6.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-06-11 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-06-12 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-06-13 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-06-14 06:00:00', 'surface', 8.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-06-15 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-06-16 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-06-17 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-06-18 06:00:00', 'surface', 4.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-06-19 06:00:00', 'surface', 4.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-06-20 06:00:00', 'surface', 5.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-06-21 06:00:00', 'surface', 3.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-06-22 06:00:00', 'surface', 6.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-06-23 06:00:00', 'surface', 6.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-06-24 06:00:00', 'surface', 5.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-06-25 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-06-26 06:00:00', 'surface', 8.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-06-27 06:00:00', 'surface', 7.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-06-28 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-06-29 06:00:00', 'surface', 5.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-06-30 06:00:00', 'surface', 7.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-07-01 06:00:00', 'surface', 7.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-07-02 06:00:00', 'surface', 5.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-07-03 06:00:00', 'surface', 4.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-07-04 06:00:00', 'surface', 8.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-07-05 06:00:00', 'surface', 5.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-07-06 06:00:00', 'surface', 9.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-07-07 06:00:00', 'surface', 10.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-07-08 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-07-09 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-07-10 06:00:00', 'surface', 7.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-07-11 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-07-12 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-07-13 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-07-14 06:00:00', 'surface', 8.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-07-15 06:00:00', 'surface', 8.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-07-16 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-07-17 06:00:00', 'surface', 7.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-07-18 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-07-19 06:00:00', 'surface', 5.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-07-20 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-07-21 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-07-22 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-07-23 06:00:00', 'surface', 4.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-07-24 06:00:00', 'surface', 8.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-07-25 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-07-26 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-07-27 06:00:00', 'surface', 9.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-07-28 06:00:00', 'surface', 12.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-07-29 06:00:00', 'surface', 11.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-07-30 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-07-31 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-08-01 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-08-02 06:00:00', 'surface', 8.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-08-03 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-08-04 06:00:00', 'surface', 7.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-08-05 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-08-06 06:00:00', 'surface', 6.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-08-07 06:00:00', 'surface', 10.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-08-08 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-08-09 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-08-10 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-08-11 06:00:00', 'surface', 8.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-08-12 06:00:00', 'surface', 8.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-08-13 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-08-14 06:00:00', 'surface', 6.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-08-15 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-08-16 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-08-17 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-08-18 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-08-19 06:00:00', 'surface', 6.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-08-20 06:00:00', 'surface', 5.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-08-21 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-08-22 06:00:00', 'surface', 9.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-08-23 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-08-24 06:00:00', 'surface', 6.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-08-25 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-08-26 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-08-27 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-08-28 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-08-29 06:00:00', 'surface', 11.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-08-30 06:00:00', 'surface', 11.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-08-31 06:00:00', 'surface', 11.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-09-01 06:00:00', 'surface', 9.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-09-02 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-09-03 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-09-04 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-09-05 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-09-06 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-09-07 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-09-08 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-09-09 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-09-10 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-09-11 06:00:00', 'surface', 11.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-09-12 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-09-13 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-09-14 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-09-15 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-09-16 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-09-17 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-09-18 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-09-19 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-09-20 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-09-21 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-09-22 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-09-23 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-09-24 06:00:00', 'surface', 10.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-09-25 06:00:00', 'surface', 9.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-09-26 06:00:00', 'surface', 10.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-09-27 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-09-28 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-09-29 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-09-30 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-10-01 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-10-02 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-10-03 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-10-04 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-10-05 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-10-06 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-10-07 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-10-08 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-10-09 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-10-10 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-10-11 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-10-12 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-10-13 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-10-14 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-10-15 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-10-16 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-10-17 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-10-18 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-10-19 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-10-20 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-10-21 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-10-22 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-10-23 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-10-24 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-10-25 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-10-26 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-10-27 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-10-28 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-10-29 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-10-30 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-10-31 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-11-01 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-11-02 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-11-03 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-11-04 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-11-05 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-11-06 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-11-07 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-11-08 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-11-09 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-11-10 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-11-11 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-11-12 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-11-13 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-11-14 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-11-15 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-11-16 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-11-17 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-11-18 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-11-19 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-11-20 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-11-21 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-11-22 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-11-23 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-11-24 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-11-25 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-11-26 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-11-27 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-11-28 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-11-29 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-11-30 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-12-01 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-12-02 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-12-03 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-12-04 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-12-05 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-12-06 06:00:00', 'surface', 18.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-12-07 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-12-08 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-12-09 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-12-10 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-12-11 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-12-12 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-12-13 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-12-14 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-12-15 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-12-16 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-12-17 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-12-18 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-12-19 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-12-20 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-12-21 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-12-22 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-12-23 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-12-24 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-12-25 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-12-26 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-12-27 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-12-28 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-12-29 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-12-30 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1984-12-31 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-01-01 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-01-02 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-01-03 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-01-04 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-01-05 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-01-06 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-01-07 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-01-08 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-01-09 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-01-10 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-01-11 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-01-12 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-01-13 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-01-14 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-01-15 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-01-16 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-01-17 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-01-18 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-01-19 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-01-20 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-01-21 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-01-22 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-01-23 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-01-24 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-01-25 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-01-26 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-01-27 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-01-28 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-01-29 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-01-30 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-01-31 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-02-01 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-02-02 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-02-03 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-02-04 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-02-05 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-02-06 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-02-07 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-02-08 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-02-09 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-02-10 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-02-11 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-02-12 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-02-13 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-02-14 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-02-15 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-02-16 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-02-17 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-02-18 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-02-19 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-02-20 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-02-21 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-02-22 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-02-23 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-02-24 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-02-25 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-02-26 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-02-27 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-02-28 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-03-01 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-03-02 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-03-03 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-03-04 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-03-05 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-03-06 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-03-07 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-03-08 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-03-09 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-03-10 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-03-11 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-03-12 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-03-13 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-03-14 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-03-15 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-03-16 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-03-17 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-03-18 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-03-19 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-03-20 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-03-21 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-03-22 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-03-23 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-03-24 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-03-25 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-03-26 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-03-27 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-03-28 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-03-29 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-03-30 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-03-31 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-04-01 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-04-02 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-04-03 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-04-04 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-04-05 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-04-06 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-04-07 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-04-08 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-04-09 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-04-10 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-04-11 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-04-12 06:00:00', 'surface', 12.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-04-13 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-04-14 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-04-15 06:00:00', 'surface', 9.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-04-16 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-04-17 06:00:00', 'surface', 11.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-04-18 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-04-19 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-04-20 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-04-21 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-04-22 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-04-23 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-04-24 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-04-25 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-04-26 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-04-27 06:00:00', 'surface', 9.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-04-28 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-04-29 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-04-30 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-05-01 06:00:00', 'surface', 8.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-05-02 06:00:00', 'surface', 10.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-05-03 06:00:00', 'surface', 9.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-05-04 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-05-05 06:00:00', 'surface', 10.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-05-06 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-05-07 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-05-08 06:00:00', 'surface', 7.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-05-09 06:00:00', 'surface', 8.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-05-10 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-05-11 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-05-12 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-05-13 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-05-14 06:00:00', 'surface', 11.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-05-15 06:00:00', 'surface', 11.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-05-16 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-05-17 06:00:00', 'surface', 7.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-05-18 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-05-19 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-05-20 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-05-21 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-05-22 06:00:00', 'surface', 8.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-05-23 06:00:00', 'surface', 8.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-05-24 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-05-25 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-05-26 06:00:00', 'surface', 11.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-05-27 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-05-28 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-05-29 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-05-30 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-05-31 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-06-01 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-06-02 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-06-03 06:00:00', 'surface', 4.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-06-04 06:00:00', 'surface', 3.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-06-05 06:00:00', 'surface', 6.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-06-06 06:00:00', 'surface', 5.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-06-07 06:00:00', 'surface', 5.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-06-08 06:00:00', 'surface', 8.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-06-09 06:00:00', 'surface', 5.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-06-10 06:00:00', 'surface', 5.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-06-11 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-06-12 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-06-13 06:00:00', 'surface', 4.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-06-14 06:00:00', 'surface', 4.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-06-15 06:00:00', 'surface', 4.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-06-16 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-06-17 06:00:00', 'surface', 5.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-06-18 06:00:00', 'surface', 4.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-06-19 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-06-20 06:00:00', 'surface', 5.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-06-21 06:00:00', 'surface', 1.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-06-22 06:00:00', 'surface', 3.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-06-23 06:00:00', 'surface', 4.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-06-24 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-06-25 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-06-26 06:00:00', 'surface', 6.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-06-27 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-06-28 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-06-29 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-06-30 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-07-01 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-07-02 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-07-03 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-07-04 06:00:00', 'surface', 6.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-07-05 06:00:00', 'surface', 11.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-07-06 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-07-07 06:00:00', 'surface', 9.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-07-08 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-07-09 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-07-10 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-07-11 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-07-12 06:00:00', 'surface', 6.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-07-13 06:00:00', 'surface', 3.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-07-14 06:00:00', 'surface', 2.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-07-15 06:00:00', 'surface', 3.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-07-16 06:00:00', 'surface', 5.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-07-17 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-07-18 06:00:00', 'surface', 8.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-07-19 06:00:00', 'surface', 10.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-07-20 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-07-21 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-07-22 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-07-23 06:00:00', 'surface', 6.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-07-24 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-07-25 06:00:00', 'surface', 6.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-07-26 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-07-27 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-07-28 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-07-29 06:00:00', 'surface', 8.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-07-30 06:00:00', 'surface', 5.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-07-31 06:00:00', 'surface', 5.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-08-01 06:00:00', 'surface', 4.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-08-02 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-08-03 06:00:00', 'surface', 6.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-08-04 06:00:00', 'surface', 8.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-08-05 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-08-06 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-08-07 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-08-08 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-08-09 06:00:00', 'surface', 10.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-08-10 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-08-11 06:00:00', 'surface', 9.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-08-12 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-08-13 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-08-14 06:00:00', 'surface', 5.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-08-15 06:00:00', 'surface', 7.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-08-16 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-08-17 06:00:00', 'surface', 8.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-08-18 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-08-19 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-08-20 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-08-21 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-08-22 06:00:00', 'surface', 8.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-08-23 06:00:00', 'surface', 10.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-08-24 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-08-25 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-08-26 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-08-27 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-08-28 06:00:00', 'surface', 4.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-08-29 06:00:00', 'surface', 7.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-08-30 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-08-31 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-09-01 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-09-02 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-09-03 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-09-04 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-09-05 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-09-06 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-09-07 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-09-08 06:00:00', 'surface', 9.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-09-09 06:00:00', 'surface', 8.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-09-10 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-09-11 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-09-12 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-09-13 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-09-14 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-09-15 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-09-16 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-09-17 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-09-18 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-09-19 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-09-20 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-09-21 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-09-22 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-09-23 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-09-24 06:00:00', 'surface', 12.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-09-25 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-09-26 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-09-27 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-09-28 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-09-29 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-09-30 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-10-01 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-10-02 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-10-03 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-10-04 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-10-05 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-10-06 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-10-07 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-10-08 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-10-09 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-10-10 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-10-11 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-10-12 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-10-13 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-10-14 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-10-15 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-10-16 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-10-17 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-10-18 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-10-19 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-10-20 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-10-21 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-10-22 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-10-23 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-10-24 06:00:00', 'surface', 12.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-10-25 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-10-26 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-10-27 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-10-28 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-10-29 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-10-30 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-10-31 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-11-01 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-11-02 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-11-03 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-11-04 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-11-05 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-11-06 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-11-07 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-11-08 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-11-09 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-11-10 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-11-11 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-11-12 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-11-13 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-11-14 06:00:00', 'surface', 12.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-11-15 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-11-16 06:00:00', 'surface', 11.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-11-17 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-11-18 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-11-19 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-11-20 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-11-21 06:00:00', 'surface', 10.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-11-22 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-11-23 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-11-24 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-11-25 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-11-26 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-11-27 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-11-28 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-11-29 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-11-30 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-12-01 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-12-02 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-12-03 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-12-04 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-12-05 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-12-06 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-12-07 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-12-08 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-12-09 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-12-10 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-12-11 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-12-12 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-12-13 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-12-14 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-12-15 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-12-16 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-12-17 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-12-18 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-12-19 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-12-20 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-12-21 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-12-22 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-12-23 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-12-24 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-12-25 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-12-26 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-12-27 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-12-28 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-12-29 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-12-30 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1985-12-31 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-01-01 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-01-02 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-01-03 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-01-04 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-01-05 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-01-06 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-01-07 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-01-08 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-01-09 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-01-10 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-01-11 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-01-12 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-01-13 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-01-14 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-01-15 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-01-16 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-01-17 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-01-18 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-01-19 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-01-20 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-01-21 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-01-22 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-01-23 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-01-24 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-01-25 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-01-26 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-01-27 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-01-28 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-01-29 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-01-30 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-01-31 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-02-01 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-02-02 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-02-03 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-02-04 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-02-05 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-02-06 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-02-07 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-02-08 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-02-09 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-02-10 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-02-11 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-02-12 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-02-13 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-02-14 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-02-15 06:00:00', 'surface', 11.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-02-16 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-02-17 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-02-18 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-02-19 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-02-20 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-02-21 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-02-22 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-02-23 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-02-24 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-02-25 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-02-26 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-02-27 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-02-28 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-03-01 06:00:00', 'surface', 9.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-03-02 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-03-03 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-03-04 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-03-05 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-03-06 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-03-07 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-03-08 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-03-09 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-03-10 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-03-11 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-03-12 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-03-13 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-03-14 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-03-15 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-03-16 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-03-17 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-03-18 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-03-19 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-03-20 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-03-21 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-03-22 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-03-23 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-03-24 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-03-25 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-03-26 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-03-27 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-03-28 06:00:00', 'surface', 11.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-03-29 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-03-30 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-03-31 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-04-01 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-04-02 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-04-03 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-04-04 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-04-05 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-04-06 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-04-07 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-04-08 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-04-09 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-04-10 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-04-11 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-04-12 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-04-13 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-04-14 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-04-15 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-04-16 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-04-17 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-04-18 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-04-19 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-04-20 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-04-21 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-04-22 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-04-23 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-04-24 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-04-25 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-04-26 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-04-27 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-04-28 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-04-29 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-04-30 06:00:00', 'surface', 10.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-05-01 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-05-02 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-05-03 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-05-04 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-05-05 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-05-06 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-05-07 06:00:00', 'surface', 11.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-05-08 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-05-09 06:00:00', 'surface', 8.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-05-10 06:00:00', 'surface', 6.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-05-11 06:00:00', 'surface', 8.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-05-12 06:00:00', 'surface', 5.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-05-13 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-05-14 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-05-15 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-05-16 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-05-17 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-05-18 06:00:00', 'surface', 9.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-05-19 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-05-20 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-05-21 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-05-22 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-05-23 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-05-24 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-05-25 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-05-26 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-05-27 06:00:00', 'surface', 9.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-05-28 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-05-29 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-05-30 06:00:00', 'surface', 10.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-05-31 06:00:00', 'surface', 8.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-06-01 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-06-02 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-06-03 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-06-04 06:00:00', 'surface', 9.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-06-05 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-06-06 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-06-07 06:00:00', 'surface', 8.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-06-08 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-06-09 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-06-10 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-06-11 06:00:00', 'surface', 4.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-06-12 06:00:00', 'surface', 5.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-06-13 06:00:00', 'surface', 4.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-06-14 06:00:00', 'surface', 3.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-06-15 06:00:00', 'surface', 5.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-06-16 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-06-17 06:00:00', 'surface', 4.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-06-18 06:00:00', 'surface', 4.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-06-19 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-06-20 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-06-21 06:00:00', 'surface', 5.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-06-22 06:00:00', 'surface', 6.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-06-23 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-06-24 06:00:00', 'surface', 5.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-06-25 06:00:00', 'surface', 5.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-06-26 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-06-27 06:00:00', 'surface', 2.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-06-28 06:00:00', 'surface', 3.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-06-29 06:00:00', 'surface', 6.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-06-30 06:00:00', 'surface', 5.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-07-01 06:00:00', 'surface', 4.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-07-02 06:00:00', 'surface', 3.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-07-03 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-07-04 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-07-05 06:00:00', 'surface', 6.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-07-06 06:00:00', 'surface', 8.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-07-07 06:00:00', 'surface', 8.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-07-08 06:00:00', 'surface', 6.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-07-09 06:00:00', 'surface', 4.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-07-10 06:00:00', 'surface', 4.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-07-11 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-07-12 06:00:00', 'surface', 5.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-07-13 06:00:00', 'surface', 8.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-07-14 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-07-15 06:00:00', 'surface', 7.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-07-16 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-07-17 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-07-18 06:00:00', 'surface', 7.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-07-19 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-07-20 06:00:00', 'surface', 6.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-07-21 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-07-22 06:00:00', 'surface', 4.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-07-23 06:00:00', 'surface', 3.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-07-24 06:00:00', 'surface', 3.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-07-25 06:00:00', 'surface', 5.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-07-26 06:00:00', 'surface', 5.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-07-27 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-07-28 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-07-29 06:00:00', 'surface', 4.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-07-30 06:00:00', 'surface', 4.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-07-31 06:00:00', 'surface', 3.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-08-01 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-08-02 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-08-03 06:00:00', 'surface', 5.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-08-04 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-08-05 06:00:00', 'surface', 10.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-08-06 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-08-07 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-08-08 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-08-09 06:00:00', 'surface', 9.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-08-10 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-08-11 06:00:00', 'surface', 5.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-08-12 06:00:00', 'surface', 3.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-08-13 06:00:00', 'surface', 9.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-08-14 06:00:00', 'surface', 6.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-08-15 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-08-16 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-08-17 06:00:00', 'surface', 4.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-08-18 06:00:00', 'surface', 7.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-08-19 06:00:00', 'surface', 8.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-08-20 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-08-21 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-08-22 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-08-23 06:00:00', 'surface', 9.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-08-24 06:00:00', 'surface', 10.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-08-25 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-08-26 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-08-27 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-08-28 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-08-29 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-08-30 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-08-31 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-09-01 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-09-02 06:00:00', 'surface', 9.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-09-03 06:00:00', 'surface', 11.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-09-04 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-09-05 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-09-06 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-09-07 06:00:00', 'surface', 10.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-09-08 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-09-09 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-09-10 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-09-11 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-09-12 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-09-13 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-09-14 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-09-15 06:00:00', 'surface', 11.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-09-16 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-09-17 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-09-18 06:00:00', 'surface', 12.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-09-19 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-09-20 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-09-21 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-09-22 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-09-23 06:00:00', 'surface', 10.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-09-24 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-09-25 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-09-26 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-09-27 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-09-28 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-09-29 06:00:00', 'surface', 10.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-09-30 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-10-01 06:00:00', 'surface', 10.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-10-02 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-10-03 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-10-04 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-10-05 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-10-06 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-10-07 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-10-08 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-10-09 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-10-10 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-10-11 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-10-12 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-10-13 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-10-14 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-10-15 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-10-16 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-10-17 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-10-18 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-10-19 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-10-20 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-10-21 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-10-22 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-10-23 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-10-24 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-10-25 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-10-26 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-10-27 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-10-28 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-10-29 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-10-30 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-10-31 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-11-01 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-11-02 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-11-03 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-11-04 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-11-05 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-11-06 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-11-07 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-11-08 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-11-09 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-11-10 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-11-11 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-11-12 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-11-13 06:00:00', 'surface', 11.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-11-14 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-11-15 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-11-16 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-11-17 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-11-18 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-11-19 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-11-20 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-11-21 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-11-22 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-11-23 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-11-24 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-11-25 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-11-26 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-11-27 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-11-28 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-11-29 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-11-30 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-12-01 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-12-02 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-12-03 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-12-04 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-12-05 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-12-06 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-12-07 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-12-08 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-12-09 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-12-10 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-12-11 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-12-12 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-12-13 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-12-14 06:00:00', 'surface', 10.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-12-15 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-12-16 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-12-17 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-12-18 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-12-19 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-12-20 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-12-21 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-12-22 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-12-23 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-12-24 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-12-25 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-12-26 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-12-27 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-12-28 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-12-29 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-12-30 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1986-12-31 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-01-01 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-01-02 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-01-03 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-01-04 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-01-05 06:00:00', 'surface', 11.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-01-06 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-01-07 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-01-08 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-01-09 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-01-10 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-01-11 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-01-12 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-01-13 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-01-14 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-01-15 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-01-16 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-01-17 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-01-18 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-01-19 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-01-20 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-01-21 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-01-22 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-01-23 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-01-24 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-01-25 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-01-26 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-01-27 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-01-28 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-01-29 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-01-30 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-01-31 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-02-01 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-02-02 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-02-03 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-02-04 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-02-05 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-02-06 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-02-07 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-02-08 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-02-09 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-02-10 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-02-11 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-02-12 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-02-13 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-02-14 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-02-15 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-02-16 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-02-17 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-02-18 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-02-19 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-02-20 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-02-21 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-02-22 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-02-23 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-02-24 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-02-25 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-02-26 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-02-27 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-02-28 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-03-01 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-03-02 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-03-03 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-03-04 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-03-05 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-03-06 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-03-07 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-03-08 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-03-09 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-03-10 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-03-11 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-03-12 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-03-13 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-03-14 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-03-15 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-03-16 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-03-17 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-03-18 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-03-19 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-03-20 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-03-21 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-03-22 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-03-23 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-03-24 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-03-25 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-03-26 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-03-27 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-03-28 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-03-29 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-03-30 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-03-31 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-04-01 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-04-02 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-04-03 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-04-04 06:00:00', 'surface', 10.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-04-05 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-04-06 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-04-07 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-04-08 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-04-09 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-04-10 06:00:00', 'surface', 11.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-04-11 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-04-12 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-04-13 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-04-14 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-04-15 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-04-16 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-04-17 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-04-18 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-04-19 06:00:00', 'surface', 7.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-04-20 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-04-21 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-04-22 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-04-23 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-04-24 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-04-25 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-04-26 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-04-27 06:00:00', 'surface', 9.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-04-28 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-04-29 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-04-30 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-05-01 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-05-02 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-05-03 06:00:00', 'surface', 9.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-05-04 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-05-05 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-05-06 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-05-07 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-05-08 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-05-09 06:00:00', 'surface', 9.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-05-10 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-05-11 06:00:00', 'surface', 9.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-05-12 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-05-13 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-05-14 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-05-15 06:00:00', 'surface', 11.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-05-16 06:00:00', 'surface', 9.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-05-17 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-05-18 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-05-19 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-05-20 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-05-21 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-05-22 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-05-23 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-05-24 06:00:00', 'surface', 8.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-05-25 06:00:00', 'surface', 6.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-05-26 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-05-27 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-05-28 06:00:00', 'surface', 9.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-05-29 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-05-30 06:00:00', 'surface', 10.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-05-31 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-06-01 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-06-02 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-06-03 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-06-04 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-06-05 06:00:00', 'surface', 8.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-06-06 06:00:00', 'surface', 8.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-06-07 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-06-08 06:00:00', 'surface', 5.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-06-09 06:00:00', 'surface', 6.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-06-10 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-06-11 06:00:00', 'surface', 4.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-06-12 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-06-13 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-06-14 06:00:00', 'surface', 7.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-06-15 06:00:00', 'surface', 5.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-06-16 06:00:00', 'surface', 4.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-06-17 06:00:00', 'surface', 5.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-06-18 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-06-19 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-06-20 06:00:00', 'surface', 4.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-06-21 06:00:00', 'surface', 5.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-06-22 06:00:00', 'surface', 5.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-06-23 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-06-24 06:00:00', 'surface', 3.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-06-25 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-06-26 06:00:00', 'surface', 5.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-06-27 06:00:00', 'surface', 3.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-06-28 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-06-29 06:00:00', 'surface', 6.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-06-30 06:00:00', 'surface', 5.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-07-01 06:00:00', 'surface', 2.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-07-02 06:00:00', 'surface', 3.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-07-03 06:00:00', 'surface', 5.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-07-04 06:00:00', 'surface', 4.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-07-05 06:00:00', 'surface', 4.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-07-06 06:00:00', 'surface', 5.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-07-07 06:00:00', 'surface', 5.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-07-08 06:00:00', 'surface', 5.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-07-09 06:00:00', 'surface', 5.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-07-10 06:00:00', 'surface', 4.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-07-11 06:00:00', 'surface', 4.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-07-12 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-07-13 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-07-14 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-07-15 06:00:00', 'surface', 8.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-07-16 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-07-17 06:00:00', 'surface', 5.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-07-18 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-07-19 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-07-20 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-07-21 06:00:00', 'surface', 8.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-07-22 06:00:00', 'surface', 3.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-07-23 06:00:00', 'surface', 5.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-07-24 06:00:00', 'surface', 5.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-07-25 06:00:00', 'surface', 3.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-07-26 06:00:00', 'surface', 6.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-07-27 06:00:00', 'surface', 8.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-07-28 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-07-29 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-07-30 06:00:00', 'surface', 11.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-07-31 06:00:00', 'surface', 9.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-08-01 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-08-02 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-08-03 06:00:00', 'surface', 9.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-08-04 06:00:00', 'surface', 6.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-08-05 06:00:00', 'surface', 7.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-08-06 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-08-07 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-08-08 06:00:00', 'surface', 4.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-08-09 06:00:00', 'surface', 6.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-08-10 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-08-11 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-08-12 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-08-13 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-08-14 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-08-15 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-08-16 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-08-17 06:00:00', 'surface', 10.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-08-18 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-08-19 06:00:00', 'surface', 9.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-08-20 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-08-21 06:00:00', 'surface', 9.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-08-22 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-08-23 06:00:00', 'surface', 11.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-08-24 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-08-25 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-08-26 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-08-27 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-08-28 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-08-29 06:00:00', 'surface', 10.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-08-30 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-08-31 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-09-01 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-09-02 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-09-03 06:00:00', 'surface', 9.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-09-04 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-09-05 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-09-06 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-09-07 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-09-08 06:00:00', 'surface', 9.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-09-09 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-09-10 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-09-11 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-09-12 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-09-13 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-09-14 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-09-15 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-09-16 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-09-17 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-09-18 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-09-19 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-09-20 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-09-21 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-09-22 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-09-23 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-09-24 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-09-25 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-09-26 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-09-27 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-09-28 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-09-29 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-09-30 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-10-01 06:00:00', 'surface', 11.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-10-02 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-10-03 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-10-04 06:00:00', 'surface', 10.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-10-05 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-10-06 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-10-07 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-10-08 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-10-09 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-10-10 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-10-11 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-10-12 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-10-13 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-10-14 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-10-15 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-10-16 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-10-17 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-10-18 06:00:00', 'surface', 10.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-10-19 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-10-20 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-10-21 06:00:00', 'surface', 11.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-10-22 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-10-23 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-10-24 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-10-25 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-10-26 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-10-27 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-10-28 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-10-29 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-10-30 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-10-31 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-11-01 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-11-02 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-11-03 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-11-04 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-11-05 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-11-06 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-11-07 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-11-08 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-11-09 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-11-10 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-11-11 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-11-12 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-11-13 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-11-14 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-11-15 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-11-16 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-11-17 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-11-18 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-11-19 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-11-20 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-11-21 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-11-22 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-11-23 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-11-24 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-11-25 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-11-26 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-11-27 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-11-28 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-11-29 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-11-30 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-12-01 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-12-02 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-12-03 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-12-04 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-12-05 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-12-06 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-12-07 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-12-08 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-12-09 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-12-10 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-12-11 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-12-12 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-12-13 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-12-14 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-12-15 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-12-16 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-12-17 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-12-18 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-12-19 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-12-20 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-12-21 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-12-22 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-12-23 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-12-24 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-12-25 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-12-26 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-12-27 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-12-28 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-12-29 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-12-30 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1987-12-31 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-01-01 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-01-02 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-01-03 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-01-04 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-01-05 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-01-06 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-01-07 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-01-08 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-01-09 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-01-10 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-01-11 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-01-12 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-01-13 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-01-14 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-01-15 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-01-16 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-01-17 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-01-18 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-01-19 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-01-20 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-01-21 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-01-22 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-01-23 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-01-24 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-01-25 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-01-26 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-01-27 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-01-28 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-01-29 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-01-30 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-01-31 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-02-01 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-02-02 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-02-03 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-02-04 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-02-05 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-02-06 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-02-07 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-02-08 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-02-09 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-02-10 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-02-11 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-02-12 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-02-13 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-02-14 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-02-15 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-02-16 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-02-17 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-02-18 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-02-19 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-02-20 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-02-21 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-02-22 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-02-23 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-02-24 06:00:00', 'surface', 18.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-02-25 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-02-26 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-02-27 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-02-28 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-02-29 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-03-01 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-03-02 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-03-03 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-03-04 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-03-05 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-03-06 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-03-07 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-03-08 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-03-09 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-03-10 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-03-11 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-03-12 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-03-13 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-03-14 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-03-15 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-03-16 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-03-17 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-03-18 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-03-19 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-03-20 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-03-21 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-03-22 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-03-23 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-03-24 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-03-25 06:00:00', 'surface', 12.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-03-26 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-03-27 06:00:00', 'surface', 10.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-03-28 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-03-29 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-03-30 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-03-31 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-04-01 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-04-02 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-04-03 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-04-04 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-04-05 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-04-06 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-04-07 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-04-08 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-04-09 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-04-10 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-04-11 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-04-12 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-04-13 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-04-14 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-04-15 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-04-16 06:00:00', 'surface', 10.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-04-17 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-04-18 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-04-19 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-04-20 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-04-21 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-04-22 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-04-23 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-04-24 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-04-25 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-04-26 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-04-27 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-04-28 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-04-29 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-04-30 06:00:00', 'surface', 9.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-05-01 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-05-02 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-05-03 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-05-04 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-05-05 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-05-06 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-05-07 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-05-08 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-05-09 06:00:00', 'surface', 8.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-05-10 06:00:00', 'surface', 10.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-05-11 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-05-12 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-05-13 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-05-14 06:00:00', 'surface', 10.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-05-15 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-05-16 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-05-17 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-05-18 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-05-19 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-05-20 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-05-21 06:00:00', 'surface', 8.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-05-22 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-05-23 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-05-24 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-05-25 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-05-26 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-05-27 06:00:00', 'surface', 9.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-05-28 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-05-29 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-05-30 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-05-31 06:00:00', 'surface', 10.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-06-01 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-06-02 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-06-03 06:00:00', 'surface', 8.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-06-04 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-06-05 06:00:00', 'surface', 10.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-06-06 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-06-07 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-06-08 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-06-09 06:00:00', 'surface', 8.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-06-10 06:00:00', 'surface', 5.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-06-11 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-06-12 06:00:00', 'surface', 6.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-06-13 06:00:00', 'surface', 5.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-06-14 06:00:00', 'surface', 3.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-06-15 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-06-16 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-06-17 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-06-18 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-06-19 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-06-20 06:00:00', 'surface', 8.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-06-21 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-06-22 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-06-23 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-06-24 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-06-25 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-06-26 06:00:00', 'surface', 4.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-06-27 06:00:00', 'surface', 8.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-06-28 06:00:00', 'surface', 8.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-06-29 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-06-30 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-07-01 06:00:00', 'surface', 8.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-07-02 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-07-03 06:00:00', 'surface', 10.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-07-04 06:00:00', 'surface', 8.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-07-05 06:00:00', 'surface', 8.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-07-06 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-07-07 06:00:00', 'surface', 8.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-07-08 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-07-09 06:00:00', 'surface', 4.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-07-10 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-07-11 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-07-12 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-07-13 06:00:00', 'surface', 5.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-07-14 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-07-15 06:00:00', 'surface', 4.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-07-16 06:00:00', 'surface', 3.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-07-17 06:00:00', 'surface', 3.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-07-18 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-07-19 06:00:00', 'surface', 6.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-07-20 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-07-21 06:00:00', 'surface', 9.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-07-22 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-07-23 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-07-24 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-07-25 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-07-26 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-07-27 06:00:00', 'surface', 8.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-07-28 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-07-29 06:00:00', 'surface', 5.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-07-30 06:00:00', 'surface', 6.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-07-31 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-08-01 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-08-02 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-08-03 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-08-04 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-08-05 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-08-06 06:00:00', 'surface', 3.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-08-07 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-08-08 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-08-09 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-08-10 06:00:00', 'surface', 7.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-08-11 06:00:00', 'surface', 8.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-08-12 06:00:00', 'surface', 5.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-08-13 06:00:00', 'surface', 6.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-08-14 06:00:00', 'surface', 8.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-08-15 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-08-16 06:00:00', 'surface', 5.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-08-17 06:00:00', 'surface', 3.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-08-18 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-08-19 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-08-20 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-08-21 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-08-22 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-08-23 06:00:00', 'surface', 8.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-08-24 06:00:00', 'surface', 8.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-08-25 06:00:00', 'surface', 7.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-08-26 06:00:00', 'surface', 11.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-08-27 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-08-28 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-08-29 06:00:00', 'surface', 11.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-08-30 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-08-31 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-09-01 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-09-02 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-09-03 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-09-04 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-09-05 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-09-06 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-09-07 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-09-08 06:00:00', 'surface', 7.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-09-09 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-09-10 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-09-11 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-09-12 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-09-13 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-09-14 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-09-15 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-09-16 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-09-17 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-09-18 06:00:00', 'surface', 8.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-09-19 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-09-20 06:00:00', 'surface', 8.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-09-21 06:00:00', 'surface', 8.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-09-22 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-09-23 06:00:00', 'surface', 8.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-09-24 06:00:00', 'surface', 8.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-09-25 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-09-26 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-09-27 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-09-28 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-09-29 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-09-30 06:00:00', 'surface', 9.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-10-01 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-10-02 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-10-03 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-10-04 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-10-05 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-10-06 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-10-07 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-10-08 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-10-09 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-10-10 06:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-10-11 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-10-12 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-10-13 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-10-14 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-10-15 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-10-16 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-10-17 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-10-18 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-10-19 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-10-20 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-10-21 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-10-22 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-10-23 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-10-24 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-10-25 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-10-26 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-10-27 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-10-28 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-10-29 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-10-30 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-10-31 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-11-01 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-11-02 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-11-03 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-11-04 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-11-05 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-11-06 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-11-07 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-11-08 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-11-09 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-11-10 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-11-11 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-11-12 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-11-13 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-11-14 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-11-15 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-11-16 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-11-17 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-11-18 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-11-19 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-11-20 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-11-21 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-11-22 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-11-23 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-11-24 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-11-25 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-11-26 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-11-27 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-11-28 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-11-29 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-11-30 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-12-01 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-12-02 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-12-03 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-12-04 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-12-05 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-12-06 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-12-07 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-12-08 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-12-09 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-12-10 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-12-11 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-12-12 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-12-13 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-12-14 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-12-15 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-12-16 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-12-17 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-12-18 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-12-19 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-12-20 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-12-21 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-12-22 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-12-23 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-12-24 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-12-25 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-12-26 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-12-27 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-12-28 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-12-29 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-12-30 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1988-12-31 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-01-01 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-01-02 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-01-03 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-01-04 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-01-05 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-01-06 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-01-07 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-01-08 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-01-09 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-01-10 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-01-11 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-01-12 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-01-13 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-01-14 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-01-15 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-01-16 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-01-17 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-01-18 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-01-19 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-01-20 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-01-21 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-01-22 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-01-23 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-01-24 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-01-25 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-01-26 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-01-27 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-01-28 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-01-29 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-01-30 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-01-31 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-02-01 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-02-02 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-02-03 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-02-04 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-02-05 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-02-06 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-02-07 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-02-08 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-02-09 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-02-10 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-02-11 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-02-12 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-02-13 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-02-14 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-02-15 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-02-16 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-02-17 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-02-18 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-02-19 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-02-20 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-02-21 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-02-22 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-02-23 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-02-24 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-02-25 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-02-26 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-02-27 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-02-28 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-03-01 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-03-02 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-03-03 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-03-04 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-03-05 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-03-06 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-03-07 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-03-08 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-03-09 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-03-10 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-03-11 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-03-12 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-03-13 06:00:00', 'surface', 12.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-03-14 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-03-15 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-03-16 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-03-17 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-03-18 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-03-19 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-03-20 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-03-21 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-03-22 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-03-23 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-03-24 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-03-25 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-03-26 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-03-27 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-03-28 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-03-29 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-03-30 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-03-31 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-04-01 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-04-02 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-04-03 06:00:00', 'surface', 10.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-04-04 06:00:00', 'surface', 11.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-04-05 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-04-06 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-04-07 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-04-08 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-04-09 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-04-10 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-04-11 06:00:00', 'surface', 10.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-04-12 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-04-13 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-04-14 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-04-15 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-04-16 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-04-17 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-04-18 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-04-19 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-04-20 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-04-21 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-04-22 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-04-23 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-04-24 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-04-25 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-04-26 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-04-27 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-04-28 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-04-29 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-04-30 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-05-01 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-05-02 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-05-03 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-05-04 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-05-05 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-05-06 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-05-07 06:00:00', 'surface', 7.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-05-08 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-05-09 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-05-10 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-05-11 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-05-12 06:00:00', 'surface', 7.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-05-13 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-05-14 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-05-15 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-05-16 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-05-17 06:00:00', 'surface', 8.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-05-18 06:00:00', 'surface', 8.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-05-19 06:00:00', 'surface', 8.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-05-20 06:00:00', 'surface', 9.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-05-21 06:00:00', 'surface', 10.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-05-22 06:00:00', 'surface', 9.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-05-23 06:00:00', 'surface', 8.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-05-24 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-05-25 06:00:00', 'surface', 6.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-05-26 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-05-27 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-05-28 06:00:00', 'surface', 9.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-05-29 06:00:00', 'surface', 9.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-05-30 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-05-31 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-06-01 06:00:00', 'surface', 8.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-06-02 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-06-03 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-06-04 06:00:00', 'surface', 9.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-06-05 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-06-06 06:00:00', 'surface', 11.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-06-07 06:00:00', 'surface', 6.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-06-08 06:00:00', 'surface', 8.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-06-09 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-06-10 06:00:00', 'surface', 7.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-06-11 06:00:00', 'surface', 8.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-06-12 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-06-13 06:00:00', 'surface', 6.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-06-14 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-06-15 06:00:00', 'surface', 6.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-06-16 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-06-17 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-06-18 06:00:00', 'surface', 3.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-06-19 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-06-20 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-06-21 06:00:00', 'surface', 8.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-06-22 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-06-23 06:00:00', 'surface', 9.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-06-24 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-06-25 06:00:00', 'surface', 10.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-06-26 06:00:00', 'surface', 8.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-06-27 06:00:00', 'surface', 10.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-06-28 06:00:00', 'surface', 8.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-06-29 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-06-30 06:00:00', 'surface', 7.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-07-01 06:00:00', 'surface', 6.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-07-02 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-07-03 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-07-04 06:00:00', 'surface', 9.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-07-05 06:00:00', 'surface', 9.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-07-06 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-07-07 06:00:00', 'surface', 7.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-07-08 06:00:00', 'surface', 8.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-07-09 06:00:00', 'surface', 8.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-07-10 06:00:00', 'surface', 7.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-07-11 06:00:00', 'surface', 5.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-07-12 06:00:00', 'surface', 5.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-07-13 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-07-14 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-07-15 06:00:00', 'surface', 4.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-07-16 06:00:00', 'surface', 7.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-07-17 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-07-18 06:00:00', 'surface', 8.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-07-19 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-07-20 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-07-21 06:00:00', 'surface', 5.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-07-22 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-07-23 06:00:00', 'surface', 5.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-07-24 06:00:00', 'surface', 8.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-07-25 06:00:00', 'surface', 4.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-07-26 06:00:00', 'surface', 6.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-07-27 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-07-28 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-07-29 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-07-30 06:00:00', 'surface', 7.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-07-31 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-08-01 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-08-02 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-08-03 06:00:00', 'surface', 8.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-08-04 06:00:00', 'surface', 9.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-08-05 06:00:00', 'surface', 7.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-08-06 06:00:00', 'surface', 7.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-08-07 06:00:00', 'surface', 5.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-08-08 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-08-09 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-08-10 06:00:00', 'surface', 8.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-08-11 06:00:00', 'surface', 9.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-08-12 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-08-13 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-08-14 06:00:00', 'surface', 10.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-08-15 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-08-16 06:00:00', 'surface', 10.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-08-17 06:00:00', 'surface', 11.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-08-18 06:00:00', 'surface', 10.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-08-19 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-08-20 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-08-21 06:00:00', 'surface', 8.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-08-22 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-08-23 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-08-24 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-08-25 06:00:00', 'surface', 9.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-08-26 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-08-27 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-08-28 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-08-29 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-08-30 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-08-31 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-09-01 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-09-02 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-09-03 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-09-04 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-09-05 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-09-06 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-09-07 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-09-08 06:00:00', 'surface', 8.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-09-09 06:00:00', 'surface', 8.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-09-10 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-09-11 06:00:00', 'surface', 8.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-09-12 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-09-13 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-09-14 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-09-15 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-09-16 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-09-17 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-09-18 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-09-19 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-09-20 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-09-21 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-09-22 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-09-23 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-09-24 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-09-25 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-09-26 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-09-27 06:00:00', 'surface', 8.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-09-28 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-09-29 06:00:00', 'surface', 9.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-09-30 06:00:00', 'surface', 10.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-10-01 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-10-02 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-10-03 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-10-04 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-10-05 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-10-06 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-10-07 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-10-08 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-10-09 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-10-10 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-10-11 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-10-12 06:00:00', 'surface', 12.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-10-13 06:00:00', 'surface', 11.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-10-14 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-10-15 06:00:00', 'surface', 9.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-10-16 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-10-17 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-10-18 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-10-19 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-10-20 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-10-21 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-10-22 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-10-23 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-10-24 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-10-25 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-10-26 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-10-27 06:00:00', 'surface', 12.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-10-28 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-10-29 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-10-30 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-10-31 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-11-01 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-11-02 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-11-03 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-11-04 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-11-05 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-11-06 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-11-07 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-11-08 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-11-09 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-11-10 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-11-11 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-11-12 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-11-13 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-11-14 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-11-15 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-11-16 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-11-17 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-11-18 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-11-19 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-11-20 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-11-21 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-11-22 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-11-23 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-11-24 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-11-25 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-11-26 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-11-27 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-11-28 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-11-29 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-11-30 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-12-01 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-12-02 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-12-03 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-12-04 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-12-05 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-12-06 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-12-07 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-12-08 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-12-09 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-12-10 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-12-11 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-12-12 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-12-13 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-12-14 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-12-15 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-12-16 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-12-17 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-12-18 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-12-19 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-12-20 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-12-21 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-12-22 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-12-23 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-12-24 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-12-25 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-12-26 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-12-27 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-12-28 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-12-29 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-12-30 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1989-12-31 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-01-01 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-01-02 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-01-03 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-01-04 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-01-05 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-01-06 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-01-07 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-01-08 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-01-09 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-01-10 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-01-11 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-01-12 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-01-13 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-01-14 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-01-15 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-01-16 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-01-17 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-01-18 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-01-19 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-01-20 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-01-21 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-01-22 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-01-23 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-01-24 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-01-25 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-01-26 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-01-27 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-01-28 06:00:00', 'surface', 18.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-01-29 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-01-30 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-01-31 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-02-01 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-02-02 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-02-03 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-02-04 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-02-05 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-02-06 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-02-07 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-02-08 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-02-09 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-02-10 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-02-11 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-02-12 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-02-13 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-02-14 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-02-15 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-02-16 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-02-17 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-02-18 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-02-19 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-02-20 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-02-21 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-02-22 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-02-23 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-02-24 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-02-25 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-02-26 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-02-27 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-02-28 06:00:00', 'surface', 11.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-04-01 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-04-02 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-04-03 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-04-04 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-04-05 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-04-06 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-04-07 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-04-08 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-04-09 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-04-10 06:00:00', 'surface', 10.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-04-11 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-04-12 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-04-13 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-04-14 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-04-15 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-04-16 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-04-17 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-04-18 06:00:00', 'surface', 11.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-04-19 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-04-20 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-04-21 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-04-22 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-04-23 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-04-24 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-04-25 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-04-26 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-04-27 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-04-28 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-04-29 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-04-30 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-05-01 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-05-02 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-05-03 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-05-04 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-05-05 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-05-06 06:00:00', 'surface', 12.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-05-07 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-05-08 06:00:00', 'surface', 10.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-05-09 06:00:00', 'surface', 9.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-05-10 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-05-11 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-05-12 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-05-13 06:00:00', 'surface', 9.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-05-14 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-05-15 06:00:00', 'surface', 8.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-05-16 06:00:00', 'surface', 8.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-05-17 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-05-18 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-05-19 06:00:00', 'surface', 11.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-05-20 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-05-21 06:00:00', 'surface', 9.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-05-22 06:00:00', 'surface', 8.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-05-23 06:00:00', 'surface', 9.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-05-24 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-05-25 06:00:00', 'surface', 10.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-05-26 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-05-27 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-05-28 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-05-29 06:00:00', 'surface', 8.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-05-30 06:00:00', 'surface', 9.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-05-31 06:00:00', 'surface', 10.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-06-01 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-06-02 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-06-03 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-06-04 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-06-05 06:00:00', 'surface', 11.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-06-06 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-06-07 06:00:00', 'surface', 9.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-06-08 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-06-09 06:00:00', 'surface', 10.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-06-10 06:00:00', 'surface', 10.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-06-11 06:00:00', 'surface', 10.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-06-12 06:00:00', 'surface', 9.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-06-13 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-06-14 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-06-15 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-06-16 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-06-17 06:00:00', 'surface', 8.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-06-18 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-06-19 06:00:00', 'surface', 9.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-06-20 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-06-21 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-06-22 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-06-23 06:00:00', 'surface', 8.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-06-24 06:00:00', 'surface', 6.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-06-25 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-06-26 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-06-27 06:00:00', 'surface', 5.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-06-28 06:00:00', 'surface', 5.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-06-29 06:00:00', 'surface', 8.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-06-30 06:00:00', 'surface', 7.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-07-01 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-07-02 06:00:00', 'surface', 4.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-07-03 06:00:00', 'surface', 4.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-07-04 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-07-05 06:00:00', 'surface', 5.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-07-06 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-07-07 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-07-08 06:00:00', 'surface', 7.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-07-09 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-07-10 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-07-11 06:00:00', 'surface', 7.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-07-12 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-07-13 06:00:00', 'surface', 6.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-07-14 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-07-15 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-07-16 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-07-17 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-07-18 06:00:00', 'surface', 6.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-07-19 06:00:00', 'surface', 6.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-07-20 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-07-21 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-07-22 06:00:00', 'surface', 7.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-07-23 06:00:00', 'surface', 6.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-07-24 06:00:00', 'surface', 5.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-07-25 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-07-26 06:00:00', 'surface', 7.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-07-27 06:00:00', 'surface', 9.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-07-28 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-07-29 06:00:00', 'surface', 8.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-07-30 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-07-31 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-08-01 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-08-02 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-08-03 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-08-04 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-08-05 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-08-06 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-08-07 06:00:00', 'surface', 6.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-08-08 06:00:00', 'surface', 8.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-08-09 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-08-10 06:00:00', 'surface', 9.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-08-11 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-08-12 06:00:00', 'surface', 10.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-08-13 06:00:00', 'surface', 11.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-08-14 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-08-15 06:00:00', 'surface', 4.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-08-16 06:00:00', 'surface', 4.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-08-17 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-08-18 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-08-19 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-08-20 06:00:00', 'surface', 10.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-08-21 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-08-22 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-08-23 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-08-24 06:00:00', 'surface', 8.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-08-25 06:00:00', 'surface', 7.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-08-26 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-08-27 06:00:00', 'surface', 11.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-08-28 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-08-29 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-08-30 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-08-31 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-09-01 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-09-02 06:00:00', 'surface', 8.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-09-03 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-09-04 06:00:00', 'surface', 9.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-09-05 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-09-06 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-09-07 06:00:00', 'surface', 6.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-09-08 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-09-09 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-09-10 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-09-11 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-09-12 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-09-13 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-09-14 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-09-15 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-09-16 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-09-17 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-09-18 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-09-19 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-09-20 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-09-21 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-09-22 06:00:00', 'surface', 5.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-09-23 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-09-24 06:00:00', 'surface', 7.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-09-25 06:00:00', 'surface', 7.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-09-26 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-09-27 06:00:00', 'surface', 8.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-09-28 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-09-29 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-09-30 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-10-01 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-10-02 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-10-03 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-10-04 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-10-05 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-10-06 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-10-07 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-10-08 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-10-09 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-10-10 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-10-11 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-10-12 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-10-13 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-10-14 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-10-15 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-10-16 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-10-17 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-10-18 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-10-19 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-10-20 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-10-21 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-10-22 06:00:00', 'surface', 11.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-10-23 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-10-24 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-10-25 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-10-26 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-10-27 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-10-28 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-10-29 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-10-30 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-10-31 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-11-01 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-11-02 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-11-03 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-11-04 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-11-05 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-11-06 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-11-07 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-11-08 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-11-09 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-11-10 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-11-11 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-11-12 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-11-13 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-11-14 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-11-15 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-11-16 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-11-17 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-11-18 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-11-19 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-11-20 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-11-21 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-11-22 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-11-23 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-11-24 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-11-25 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-11-26 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-11-27 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-11-28 06:00:00', 'surface', 11.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-11-29 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-11-30 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-12-01 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-12-02 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-12-03 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-12-04 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-12-05 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-12-06 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-12-07 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-12-08 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-12-09 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-12-10 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-12-11 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-12-12 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-12-13 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-12-14 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-12-15 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-12-16 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-12-17 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-12-18 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-12-19 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-12-20 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-12-21 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-12-22 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-12-23 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-12-24 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-12-25 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-12-26 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-12-27 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-12-28 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-12-29 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-12-30 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1990-12-31 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-01-01 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-01-02 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-01-03 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-01-04 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-01-05 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-01-06 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-01-07 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-01-08 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-01-09 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-01-10 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-01-11 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-01-12 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-01-13 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-01-14 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-01-15 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-01-16 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-01-17 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-01-18 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-01-19 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-01-20 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-01-21 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-01-22 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-01-23 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-01-24 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-01-25 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-01-26 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-01-27 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-01-28 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-01-29 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-01-30 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-01-31 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-02-01 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-02-02 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-02-03 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-02-04 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-02-05 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-02-06 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-02-07 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-02-08 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-02-09 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-02-10 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-02-11 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-02-12 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-02-13 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-02-14 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-02-15 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-02-16 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-02-17 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-02-18 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-02-19 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-02-20 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-02-21 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-02-22 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-02-23 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-02-24 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-02-25 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-02-26 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-02-27 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-02-28 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-03-01 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-03-02 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-03-03 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-03-04 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-03-05 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-03-06 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-03-07 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-03-08 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-03-09 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-03-10 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-03-11 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-03-12 06:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-03-13 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-03-14 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-03-15 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-03-16 06:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-03-17 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-03-18 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-03-19 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-03-20 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-03-21 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-03-22 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-03-23 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-03-24 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-03-25 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-03-26 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-03-27 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-03-28 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-03-29 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-03-30 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-03-31 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-04-01 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-04-02 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-04-03 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-04-04 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-04-05 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-04-06 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-04-07 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-04-08 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-04-09 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-04-10 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-04-11 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-04-12 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-04-13 06:00:00', 'surface', 18.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-04-14 06:00:00', 'surface', 18.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-04-15 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-04-16 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-04-17 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-04-18 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-04-19 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-04-20 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-04-21 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-04-22 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-04-23 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-04-24 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-04-25 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-04-26 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-04-27 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-04-28 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-04-29 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-04-30 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-05-01 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-05-02 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-05-03 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-05-04 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-05-05 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-05-06 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-05-07 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-05-08 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-05-09 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-05-10 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-05-11 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-05-12 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-05-13 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-05-14 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-05-15 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-05-16 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-05-17 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-05-18 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-05-19 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-05-20 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-05-21 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-05-22 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-05-23 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-05-24 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-05-25 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-05-26 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-05-27 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-05-28 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-05-29 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-05-30 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-05-31 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-06-01 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-06-02 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-06-03 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-06-04 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-06-05 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-06-06 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-06-07 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-06-08 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-06-09 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-06-10 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-06-11 06:00:00', 'surface', 10.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-06-12 06:00:00', 'surface', 10.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-06-13 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-06-14 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-06-15 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-06-16 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-06-17 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-06-18 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-06-19 06:00:00', 'surface', 10.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-06-20 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-06-21 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-06-22 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-06-23 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-06-24 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-06-25 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-06-26 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-06-27 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-06-28 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-06-29 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-06-30 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-07-01 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-07-02 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-07-03 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-07-04 06:00:00', 'surface', 12.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-07-05 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-07-06 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-07-07 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-07-08 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-07-09 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-07-10 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-07-11 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-07-12 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-07-13 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-07-14 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-07-15 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-07-16 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-07-17 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-07-18 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-07-19 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-07-20 06:00:00', 'surface', 11.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-07-21 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-07-22 06:00:00', 'surface', 11.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-07-23 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-07-24 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-07-25 06:00:00', 'surface', 11.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-07-26 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-07-27 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-07-28 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-07-29 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-07-30 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-07-31 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-08-01 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-08-02 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-08-03 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-08-04 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-08-05 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-08-06 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-08-07 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-08-08 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-08-09 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-08-10 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-08-11 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-08-12 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-08-13 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-08-14 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-08-15 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-08-16 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-08-17 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-08-18 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-08-19 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-08-20 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-08-21 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-08-22 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-08-23 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-08-24 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-08-25 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-08-26 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-08-27 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-08-28 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-08-29 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-08-30 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-08-31 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-09-01 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-09-02 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-09-03 06:00:00', 'surface', 9.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-09-04 06:00:00', 'surface', 11.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-09-05 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-09-06 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-09-07 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-09-08 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-09-09 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-09-10 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-09-11 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-09-12 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-09-13 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-09-14 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-09-15 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-09-16 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-09-17 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-09-18 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-09-19 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-09-20 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-09-21 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-09-22 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-09-23 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-09-24 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-09-25 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-09-26 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-09-27 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-09-28 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-09-29 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-09-30 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-10-01 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-10-02 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-10-03 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-10-04 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-10-05 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-10-06 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-10-07 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-10-08 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-10-09 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-10-10 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-10-11 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-10-12 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-10-13 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-10-14 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-10-15 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-10-16 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-10-17 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-10-18 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-10-19 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-10-20 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-10-21 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-10-22 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-10-23 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-10-24 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-10-25 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-10-26 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-10-27 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-10-28 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-10-29 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-10-30 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-10-31 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-11-01 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-11-02 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-11-03 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-11-04 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-11-05 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-11-06 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-11-07 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-11-08 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-11-09 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-11-10 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-11-11 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-11-12 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-11-13 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-11-14 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-11-15 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-11-16 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-11-17 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-11-18 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-11-19 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-11-20 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-11-21 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-11-22 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-11-23 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-11-24 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-11-25 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-11-26 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-11-27 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-11-28 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-11-29 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-11-30 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-12-01 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-12-02 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-12-03 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-12-04 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-12-05 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-12-06 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-12-07 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-12-08 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-12-09 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-12-10 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-12-11 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-12-12 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-12-13 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-12-14 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-12-15 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-12-16 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-12-17 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-12-18 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-12-19 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-12-20 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-12-21 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-12-22 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-12-23 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-12-24 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-12-25 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-12-26 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-12-27 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-12-28 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-12-29 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-12-30 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1981-12-31 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-01-01 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-01-02 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-01-03 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-01-04 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-01-05 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-01-06 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-01-07 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-01-08 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-01-09 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-01-10 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-01-11 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-01-12 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-01-13 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-01-14 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-01-15 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-01-16 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-01-17 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-01-18 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-01-19 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-01-20 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-01-21 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-01-22 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-01-23 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-01-24 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-01-25 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-01-26 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-01-27 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-01-28 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-01-29 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-01-30 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-01-31 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-02-01 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-02-02 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-02-03 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-02-04 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-02-05 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-02-06 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-02-07 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-02-08 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-02-09 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-02-10 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-02-11 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-02-12 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-02-13 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-02-14 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-02-15 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-02-16 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-02-17 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-02-18 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-02-19 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-02-20 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-02-21 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-02-22 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-02-23 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-02-24 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-02-25 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-02-26 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-02-27 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-02-28 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-03-01 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-03-02 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-03-03 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-03-04 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-03-05 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-03-06 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-03-07 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-03-08 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-03-09 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-03-10 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-03-11 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-03-12 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-03-13 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-03-14 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-03-15 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-03-16 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-03-17 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-03-18 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-03-19 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-03-20 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-03-21 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-03-22 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-03-23 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-03-24 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-03-25 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-03-26 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-03-27 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-03-28 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-03-29 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-03-30 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-03-31 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-04-01 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-04-02 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-04-03 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-04-04 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-04-05 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-04-06 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-04-07 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-04-08 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-04-09 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-04-10 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-04-11 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-04-12 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-04-13 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-04-14 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-04-15 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-04-16 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-04-17 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-04-18 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-04-19 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-04-20 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-04-21 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-04-22 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-04-23 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-04-24 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-04-25 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-04-26 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-04-27 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-04-28 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-04-29 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-04-30 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-05-01 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-05-02 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-05-03 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-05-04 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-05-05 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-05-06 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-05-07 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-05-08 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-05-09 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-05-10 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-05-11 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-05-12 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-05-13 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-05-14 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-05-15 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-05-16 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-05-17 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-05-18 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-05-19 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-05-20 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-05-21 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-05-22 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-05-23 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-05-24 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-05-25 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-05-26 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-05-27 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-05-28 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-05-29 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-05-30 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-05-31 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-06-01 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-06-02 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-06-03 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-06-04 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-06-05 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-06-06 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-06-07 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-06-08 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-06-09 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-06-10 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-06-11 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-06-12 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-06-13 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-06-14 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-06-15 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-06-16 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-06-17 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-06-18 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-06-19 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-06-20 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-06-21 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-06-22 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-06-23 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-06-24 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-06-25 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-06-26 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-06-27 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-06-28 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-06-29 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-06-30 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-07-01 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-07-02 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-07-03 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-07-04 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-07-05 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-07-06 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-07-07 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-07-08 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-07-09 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-07-10 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-07-11 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-07-12 06:00:00', 'surface', 11.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-07-13 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-07-14 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-07-15 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-07-16 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-07-17 06:00:00', 'surface', 11.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-07-18 06:00:00', 'surface', 12.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-07-19 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-07-20 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-07-21 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-07-22 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-07-23 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-07-24 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-07-25 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-07-26 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-07-27 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-07-28 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-07-29 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-07-30 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-07-31 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-08-01 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-08-02 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-08-03 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-08-04 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-08-05 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-08-06 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-08-07 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-08-08 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-08-09 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-08-10 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-08-11 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-08-12 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-08-13 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-08-14 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-08-15 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-08-16 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-08-17 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-08-18 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-08-19 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-08-20 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-08-21 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-08-22 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-08-23 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-08-24 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-08-25 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-08-26 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-08-27 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-08-28 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-08-29 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-08-30 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-08-31 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-09-01 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-09-02 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-09-03 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-09-04 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-09-05 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-09-06 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-09-07 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-09-08 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-09-09 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-09-10 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-09-11 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-09-12 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-09-13 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-09-14 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-09-15 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-09-16 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-09-17 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-09-18 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-09-19 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-09-20 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-09-21 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-09-22 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-09-23 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-09-24 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-09-25 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-09-26 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-09-27 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-09-28 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-09-29 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-09-30 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-10-01 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-10-02 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-10-03 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-10-04 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-10-05 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-10-06 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-10-07 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-10-08 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-10-09 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-10-10 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-10-11 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-10-12 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-10-13 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-10-14 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-10-15 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-10-16 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-10-17 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-10-18 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-10-19 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-10-20 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-10-21 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-10-22 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-10-23 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-10-24 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-10-25 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-10-26 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-10-27 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-10-28 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-10-29 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-10-30 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-10-31 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-11-01 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-11-02 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-11-03 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-11-04 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-11-05 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-11-06 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-11-07 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-11-08 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-11-09 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-11-10 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-11-11 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-11-12 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-11-13 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-11-14 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-11-15 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-11-16 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-11-17 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-11-18 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-11-19 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-11-20 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-11-21 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-11-22 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-11-23 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-11-24 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-11-25 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-11-26 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-11-27 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-11-28 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-11-29 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-11-30 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-12-01 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-12-02 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-12-03 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-12-04 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-12-05 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-12-06 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-12-07 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-12-08 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-12-09 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-12-10 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-12-11 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-12-12 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-12-13 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-12-14 06:00:00', 'surface', 29.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-12-15 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-12-16 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-12-17 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-12-18 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-12-19 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-12-20 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-12-21 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-12-22 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-12-23 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-12-24 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-12-25 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-12-26 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-12-27 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-12-28 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-12-29 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-12-30 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1982-12-31 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-01-01 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-01-02 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-01-03 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-01-04 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-01-05 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-01-06 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-01-07 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-01-08 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-01-09 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-01-10 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-01-11 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-01-12 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-01-13 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-01-14 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-01-15 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-01-16 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-01-17 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-01-18 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-01-19 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-01-20 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-01-21 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-01-22 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-01-23 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-01-24 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-01-25 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-01-26 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-01-27 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-01-28 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-01-29 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-01-30 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-01-31 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-02-01 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-02-02 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-02-03 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-02-04 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-02-05 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-02-06 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-02-07 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-02-08 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-02-09 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-02-10 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-02-11 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-02-12 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-02-13 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-02-14 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-02-15 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-02-16 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-02-17 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-02-18 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-02-19 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-02-20 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-02-21 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-02-22 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-02-23 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-02-24 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-02-25 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-02-26 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-02-27 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-02-28 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-03-01 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-03-02 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-03-03 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-03-04 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-03-05 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-03-06 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-03-07 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-03-08 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-03-09 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-03-10 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-03-11 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-03-12 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-03-13 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-03-14 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-03-15 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-03-16 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-03-17 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-03-18 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-03-19 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-03-20 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-03-21 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-03-22 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-03-23 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-03-24 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-03-25 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-03-26 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-03-27 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-03-28 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-03-29 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-03-30 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-03-31 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-04-01 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-04-02 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-04-03 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-04-04 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-04-05 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-04-06 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-04-07 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-04-08 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-04-09 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-04-10 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-04-11 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-04-12 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-04-13 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-04-14 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-04-15 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-04-16 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-04-17 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-04-18 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-04-19 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-04-20 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-04-21 06:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-04-22 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-04-23 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-04-24 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-04-25 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-04-26 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-04-27 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-04-28 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-04-29 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-04-30 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-05-01 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-05-02 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-05-03 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-05-04 06:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-05-05 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-05-06 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-05-07 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-05-08 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-05-09 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-05-10 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-05-11 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-05-12 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-05-13 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-05-14 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-05-15 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-05-16 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-05-17 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-05-18 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-05-19 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-05-20 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-05-21 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-05-22 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-05-23 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-05-24 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-05-25 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-05-26 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-05-27 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-05-28 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-05-29 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-05-30 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-05-31 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-06-01 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-06-02 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-06-03 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-06-04 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-06-05 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-06-06 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-06-07 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-06-08 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-06-09 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-06-10 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-06-11 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-06-12 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-06-13 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-06-14 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-06-15 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-06-16 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-06-17 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-06-18 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-06-19 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-06-20 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-06-21 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-06-22 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-06-23 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-06-24 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-06-25 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-06-26 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-06-27 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-06-28 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-06-29 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-06-30 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-11-06 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-11-07 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-11-08 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-11-09 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-11-10 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-11-11 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-11-12 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-11-13 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-11-14 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-11-15 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-11-16 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-11-17 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-11-18 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-11-19 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-11-20 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-11-21 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-11-22 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-11-23 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-11-24 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-11-25 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-11-26 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-11-27 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-11-28 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-11-29 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-11-30 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-12-01 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-12-02 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-12-03 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-12-04 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-12-05 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-12-06 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-12-07 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-12-08 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-12-09 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-12-10 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-12-11 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-12-12 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-12-13 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-12-14 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-12-15 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-12-16 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-12-17 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-12-18 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-12-19 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-12-20 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-12-21 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-12-22 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-12-23 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-12-24 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-12-25 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-12-26 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-12-27 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-12-28 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-12-29 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-12-30 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1983-12-31 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-01-01 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-01-02 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-01-03 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-01-04 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-01-05 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-01-06 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-01-07 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-01-08 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-01-09 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-01-10 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-01-11 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-01-12 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-01-13 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-01-14 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-01-15 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-01-16 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-01-17 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-01-18 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-01-19 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-01-20 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-01-21 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-01-22 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-01-23 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-01-24 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-01-25 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-01-26 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-01-27 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-01-28 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-01-29 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-01-30 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-01-31 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-02-01 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-02-02 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-02-03 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-02-04 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-02-05 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-02-06 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-02-07 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-02-08 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-02-09 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-02-10 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-02-11 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-02-12 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-02-13 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-02-14 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-02-15 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-02-16 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-02-17 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-02-18 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-02-19 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-02-20 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-02-21 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-02-22 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-02-23 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-02-24 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-02-25 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-02-26 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-02-27 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-02-28 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-02-29 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-03-01 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-03-02 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-03-03 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-03-04 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-03-05 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-03-06 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-03-07 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-03-08 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-03-09 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-03-10 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-03-11 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-03-12 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-03-13 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-03-14 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-03-15 06:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-03-16 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-03-17 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-03-18 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-03-19 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-03-20 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-03-21 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-03-22 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-03-23 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-03-24 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-03-25 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-03-26 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-03-27 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-03-28 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-03-29 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-03-30 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-03-31 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-04-01 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-04-02 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-04-03 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-04-04 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-04-05 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-04-06 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-04-07 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-04-08 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-04-09 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-04-10 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-04-11 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-04-12 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-04-13 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-04-14 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-04-15 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-04-16 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-04-17 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-04-18 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-04-19 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-04-20 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-04-21 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-04-22 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-04-23 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-04-24 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-04-25 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-04-26 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-04-27 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-04-28 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-04-29 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-04-30 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-05-01 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-05-02 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-05-03 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-05-04 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-05-05 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-05-06 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-05-07 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-05-08 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-05-09 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-05-10 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-05-11 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-05-12 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-05-13 06:00:00', 'surface', 18.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-05-14 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-05-15 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-05-16 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-05-17 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-05-18 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-05-19 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-05-20 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-05-21 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-05-22 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-05-23 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-05-24 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-05-25 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-05-26 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-05-27 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-05-28 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-05-29 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-05-30 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-05-31 06:00:00', 'surface', 10.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-06-01 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-06-02 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-06-03 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-06-04 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-06-05 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-06-06 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-06-07 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-06-08 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-06-09 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-06-10 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-06-11 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-06-12 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-06-13 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-06-14 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-06-15 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-06-16 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-06-17 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-06-18 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-06-19 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-06-20 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-06-21 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-06-22 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-06-23 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-06-24 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-06-25 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-06-26 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-06-27 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-06-28 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-06-29 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-06-30 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-07-01 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-07-02 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-07-03 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-07-04 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-07-05 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-07-06 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-07-07 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-07-08 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-07-09 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-07-10 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-07-11 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-07-12 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-07-13 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-07-14 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-07-15 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-07-16 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-07-17 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-07-18 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-07-19 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-07-20 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-07-21 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-07-22 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-07-23 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-07-24 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-07-25 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-07-26 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-07-27 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-07-28 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-07-29 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-07-30 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-07-31 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-08-01 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-08-02 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-08-03 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-08-04 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-08-05 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-08-06 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-08-07 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-08-08 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-08-09 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-08-10 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-08-11 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-08-12 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-08-13 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-08-14 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-08-15 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-08-16 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-08-17 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-08-18 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-08-19 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-08-20 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-08-21 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-08-22 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-08-23 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-08-24 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-08-25 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-08-26 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-08-27 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-08-28 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-08-29 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-08-30 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-08-31 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-09-01 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-09-02 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-09-03 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-09-04 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-09-05 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-09-06 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-09-07 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-09-08 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-09-09 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-09-10 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-09-11 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-09-12 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-09-13 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-09-14 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-09-15 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-09-16 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-09-17 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-09-18 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-09-19 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-09-20 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-09-21 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-09-22 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-09-23 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-09-24 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-09-25 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-09-26 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-09-27 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-09-28 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-09-29 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-09-30 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-10-01 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-10-02 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-10-03 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-10-04 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-10-05 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-10-06 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-10-07 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-10-08 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-10-09 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-10-10 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-10-11 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-10-12 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-10-13 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-10-14 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-10-15 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-10-16 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-10-17 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-10-18 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-10-19 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-10-20 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-10-21 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-10-22 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-10-23 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-10-24 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-10-25 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-10-26 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-10-27 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-10-28 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-10-29 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-10-30 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-10-31 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-11-01 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-11-02 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-11-03 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-11-04 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-11-05 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-11-06 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-11-07 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-11-08 06:00:00', 'surface', 18.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-11-09 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-11-10 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-11-11 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-11-12 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-11-13 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-11-14 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-11-15 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-11-16 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-11-17 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-11-18 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-11-19 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-11-20 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-11-21 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-11-22 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-11-23 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-11-24 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-11-25 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-11-26 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-11-27 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-11-28 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-11-29 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-11-30 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-12-01 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-12-02 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-12-03 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-12-04 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-12-05 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-12-06 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-12-07 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-12-08 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-12-09 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-12-10 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-12-11 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-12-12 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-12-13 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-12-14 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-12-15 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-12-16 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-12-17 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-12-18 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-12-19 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-12-20 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-12-21 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-12-22 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-12-23 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-12-24 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-12-25 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-12-26 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-12-27 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-12-28 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-12-29 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-12-30 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1984-12-31 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-01-01 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-01-02 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-01-03 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-01-04 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-01-05 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-01-06 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-01-07 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-01-08 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-01-09 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-01-10 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-01-11 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-01-12 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-01-13 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-01-14 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-01-15 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-01-16 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-01-17 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-01-18 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-01-19 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-01-20 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-01-21 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-01-22 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-01-23 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-01-24 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-01-25 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-01-26 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-01-27 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-01-28 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-01-29 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-01-30 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-01-31 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-02-01 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-02-02 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-02-03 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-02-04 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-02-05 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-02-06 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-02-07 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-02-08 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-02-09 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-02-10 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-02-11 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-02-12 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-02-13 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-02-14 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-02-15 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-02-16 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-02-17 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-02-18 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-02-19 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-02-20 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-02-21 06:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-02-22 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-02-23 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-02-24 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-02-25 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-02-26 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-02-27 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-02-28 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-03-01 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-03-02 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-03-03 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-03-04 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-03-05 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-03-06 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-03-07 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-03-08 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-03-09 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-03-10 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-03-11 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-03-12 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-03-13 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-03-14 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-03-15 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-03-16 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-03-17 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-03-18 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-03-19 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-03-20 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-03-21 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-03-22 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-03-23 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-03-24 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-03-25 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-03-26 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-03-27 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-03-28 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-03-29 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-03-30 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-03-31 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-04-01 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-04-02 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-04-03 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-04-04 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-04-05 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-04-06 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-04-07 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-04-08 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-04-09 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-04-10 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-04-11 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-04-12 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-04-13 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-04-14 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-04-15 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-04-16 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-04-17 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-04-18 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-04-19 06:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-04-20 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-04-21 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-04-22 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-04-23 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-04-24 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-04-25 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-04-26 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-04-27 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-04-28 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-04-29 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-04-30 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-05-01 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-05-02 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-05-03 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-05-04 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-05-05 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-05-06 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-05-07 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-05-08 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-05-09 06:00:00', 'surface', 18.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-05-10 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-05-11 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-05-12 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-05-13 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-05-14 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-05-15 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-05-16 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-05-17 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-05-18 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-05-19 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-05-20 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-05-21 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-05-22 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-05-23 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-05-24 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-05-25 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-05-26 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-05-27 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-05-28 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-05-29 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-05-30 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-05-31 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-06-01 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-06-02 06:00:00', 'surface', 11.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-06-03 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-06-04 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-06-05 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-06-06 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-06-07 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-06-08 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-06-09 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-06-10 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-06-11 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-06-12 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-06-13 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-06-14 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-06-15 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-06-16 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-06-17 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-06-18 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-06-19 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-06-20 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-06-21 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-06-22 06:00:00', 'surface', 11.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-06-23 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-06-24 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-06-25 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-06-26 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-06-27 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-06-28 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-06-29 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-06-30 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-07-01 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-07-02 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-07-03 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-07-04 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-07-05 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-07-06 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-07-07 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-07-08 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-07-09 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-07-10 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-07-11 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-07-12 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-07-13 06:00:00', 'surface', 8.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-07-14 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-07-15 06:00:00', 'surface', 11.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-07-16 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-07-17 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-07-18 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-07-19 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-07-20 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-07-21 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-07-22 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-07-23 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-07-24 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-07-25 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-07-26 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-07-27 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-07-28 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-07-29 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-07-30 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-07-31 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-08-01 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-08-02 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-08-03 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-08-04 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-08-05 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-08-06 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-08-07 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-08-08 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-08-09 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-08-10 06:00:00', 'surface', 18.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-08-11 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-08-12 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-08-13 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-08-14 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-08-15 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-08-16 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-08-17 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-08-18 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-08-19 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-08-20 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-08-21 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-08-22 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-08-23 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-08-24 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-08-25 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-08-26 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-08-27 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-08-28 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-08-29 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-08-30 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-08-31 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-09-01 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-09-02 06:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-09-03 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-09-04 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-09-05 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-09-06 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-09-07 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-09-08 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-09-09 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-09-10 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-09-11 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-09-12 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-09-13 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-09-14 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-09-15 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-09-16 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-09-17 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-09-18 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-09-19 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-09-20 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-09-21 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-09-22 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-09-23 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-09-24 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-09-25 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-09-26 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-09-27 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-09-28 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-09-29 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-09-30 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-10-01 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-10-02 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-10-03 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-10-04 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-10-05 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-10-06 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-10-07 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-10-08 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-10-09 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-10-10 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-10-11 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-10-12 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-10-13 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-10-14 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-10-15 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-10-16 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-10-17 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-10-18 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-10-19 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-10-20 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-10-21 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-10-22 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-10-23 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-10-24 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-10-25 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-10-26 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-10-27 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-10-28 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-10-29 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-10-30 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-10-31 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-11-01 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-11-02 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-11-03 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-11-04 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-11-05 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-11-06 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-11-07 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-11-08 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-11-09 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-11-10 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-11-11 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-11-12 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-11-13 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-11-14 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-11-15 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-11-16 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-11-17 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-11-18 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-11-19 06:00:00', 'surface', 18.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-11-20 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-11-21 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-11-22 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-11-23 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-11-24 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-11-25 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-11-26 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-11-27 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-11-28 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-11-29 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-11-30 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-12-01 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-12-02 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-12-03 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-12-04 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-12-05 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-12-06 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-12-07 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-12-08 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-12-09 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-12-10 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-12-11 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-12-12 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-12-13 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-12-14 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-12-15 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-12-16 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-12-17 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-12-18 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-12-19 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-12-20 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-12-21 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-12-22 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-12-23 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-12-24 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-12-25 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-12-26 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-12-27 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-12-28 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-12-29 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-12-30 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1985-12-31 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-01-01 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-01-02 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-01-03 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-01-04 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-01-05 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-01-06 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-01-07 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-01-08 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-01-09 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-01-10 06:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-01-11 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-01-12 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-01-13 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-01-14 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-01-15 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-01-16 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-01-17 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-01-18 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-01-19 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-01-20 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-01-21 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-01-22 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-01-23 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-01-24 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-01-25 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-01-26 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-01-27 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-01-28 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-01-29 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-01-30 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-01-31 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-02-01 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-02-02 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-02-03 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-02-04 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-02-05 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-02-06 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-02-07 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-02-08 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-02-09 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-02-10 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-02-11 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-02-12 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-02-13 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-02-14 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-02-15 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-02-16 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-02-17 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-02-18 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-02-19 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-02-20 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-02-21 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-02-22 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-02-23 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-02-24 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-02-25 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-02-26 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-02-27 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-02-28 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-03-01 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-03-02 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-03-03 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-03-04 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-03-05 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-03-06 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-03-07 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-03-08 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-03-09 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-03-10 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-03-11 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-03-12 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-03-13 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-03-14 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-03-15 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-03-16 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-03-17 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-03-18 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-03-19 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-03-20 06:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-03-21 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-03-22 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-03-23 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-03-24 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-03-25 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-03-26 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-03-27 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-03-28 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-03-29 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-03-30 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-03-31 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-04-01 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-04-02 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-04-03 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-04-04 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-04-05 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-04-06 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-04-07 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-04-08 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-04-09 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-04-10 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-04-11 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-04-12 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-04-13 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-04-14 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-04-15 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-04-16 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-04-17 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-04-18 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-04-19 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-04-20 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-04-21 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-04-22 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-04-23 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-04-24 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-04-25 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-04-26 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-04-27 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-04-28 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-04-29 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-04-30 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-05-01 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-05-02 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-05-03 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-05-04 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-05-05 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-05-06 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-05-07 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-05-08 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-05-09 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-05-10 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-05-11 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-05-12 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-05-13 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-05-14 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-05-15 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-05-16 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-05-17 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-05-18 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-05-19 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-05-20 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-05-21 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-05-22 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-05-23 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-05-24 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-05-25 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-05-26 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-05-27 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-05-28 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-05-29 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-05-30 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-05-31 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-06-01 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-06-02 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-06-03 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-06-04 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-06-05 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-06-06 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-06-07 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-06-08 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-06-09 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-06-10 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-06-11 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-06-12 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-06-13 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-06-14 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-06-15 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-06-16 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-06-17 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-06-18 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-06-19 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-06-20 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-06-21 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-06-22 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-06-23 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-06-24 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-06-25 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-06-26 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-06-27 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-06-28 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-06-29 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-06-30 06:00:00', 'surface', 11.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-07-01 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-07-02 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-07-03 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-07-04 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-07-05 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-07-06 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-07-07 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-07-08 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-07-09 06:00:00', 'surface', 11.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-07-10 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-07-11 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-07-12 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-07-13 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-07-14 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-07-15 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-07-16 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-07-17 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-07-18 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-07-19 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-07-20 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-07-21 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-07-22 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-07-23 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-07-24 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-07-25 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-07-26 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-07-27 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-07-28 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-07-29 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-07-30 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-07-31 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-08-01 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-08-02 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-08-03 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-08-04 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-08-05 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-08-06 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-08-07 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-08-08 06:00:00', 'surface', 18.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-08-09 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-08-10 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-08-11 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-08-12 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-08-13 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-08-14 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-08-15 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-08-16 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-08-17 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-08-18 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-08-19 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-08-20 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-08-21 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-08-22 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-08-23 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-08-24 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-08-25 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-08-26 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-08-27 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-08-28 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-08-29 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-08-30 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-08-31 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-09-01 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-09-02 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-09-03 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-09-04 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-09-05 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-09-06 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-09-07 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-09-08 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-09-09 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-09-10 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-09-11 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-09-12 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-09-13 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-09-14 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-09-15 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-09-16 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-09-17 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-09-18 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-09-19 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-09-20 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-09-21 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-09-22 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-09-23 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-09-24 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-09-25 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-09-26 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-09-27 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-09-28 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-09-29 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-09-30 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-10-01 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-10-02 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-10-03 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-10-04 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-10-05 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-10-06 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-10-07 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-10-08 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-10-09 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-10-10 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-10-11 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-10-12 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-10-13 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-10-14 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-10-15 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-10-16 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-10-17 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-10-18 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-10-19 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-10-20 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-10-21 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-10-22 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-10-23 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-10-24 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-10-25 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-10-26 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-10-27 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-10-28 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-10-29 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-10-30 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-10-31 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-11-01 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-11-02 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-11-03 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-11-04 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-11-05 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-11-06 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-11-07 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-11-08 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-11-09 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-11-10 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-11-11 06:00:00', 'surface', 18.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-11-12 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-11-13 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-11-14 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-11-15 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-11-16 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-11-17 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-11-18 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-11-19 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-11-20 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-11-21 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-11-22 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-11-23 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-11-24 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-11-25 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-11-26 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-11-27 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-11-28 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-11-29 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-11-30 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-12-01 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-12-02 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-12-03 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-12-04 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-12-05 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-12-06 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-12-07 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-12-08 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-12-09 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-12-10 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-12-11 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-12-12 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-12-13 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-12-14 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-12-15 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-12-16 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-12-17 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-12-18 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-12-19 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-12-20 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-12-21 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-12-22 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-12-23 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-12-24 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-12-25 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-12-26 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-12-27 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-12-28 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-12-29 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-12-30 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1986-12-31 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-01-01 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-01-02 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-01-03 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-01-04 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-01-05 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-01-06 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-01-07 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-01-08 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-01-09 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-01-10 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-01-11 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-01-12 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-01-13 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-01-14 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-01-15 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-01-16 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-01-17 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-01-18 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-01-19 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-01-20 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-01-21 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-01-22 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-01-23 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-01-24 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-01-25 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-01-26 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-01-27 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-01-28 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-01-29 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-01-30 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-01-31 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-02-01 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-02-02 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-02-03 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-02-04 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-02-05 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-02-06 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-02-07 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-02-08 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-02-09 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-02-10 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-02-11 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-02-12 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-02-13 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-02-14 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-02-15 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-02-16 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-02-17 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-02-18 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-02-19 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-02-20 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-02-21 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-02-22 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-02-23 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-02-24 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-02-25 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-02-26 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-02-27 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-02-28 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-03-01 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-03-02 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-03-03 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-03-04 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-03-05 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-03-06 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-03-07 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-03-08 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-03-09 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-03-10 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-03-11 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-03-12 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-03-13 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-03-14 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-03-15 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-03-16 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-03-17 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-03-18 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-03-19 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-03-20 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-03-21 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-03-22 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-03-23 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-03-24 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-03-25 06:00:00', 'surface', 18.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-03-26 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-03-27 06:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-03-28 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-03-29 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-03-30 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-03-31 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-04-01 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-04-02 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-04-03 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-04-04 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-04-05 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-04-06 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-04-07 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-04-08 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-04-09 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-04-10 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-04-11 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-04-12 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-04-13 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-04-14 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-04-15 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-04-16 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-04-17 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-04-18 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-04-19 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-04-20 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-04-21 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-04-22 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-04-23 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-04-24 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-04-25 06:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-04-26 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-04-27 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-04-28 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-04-29 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-04-30 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-05-01 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-05-02 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-05-03 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-05-04 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-05-05 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-05-06 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-05-07 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-05-08 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-05-09 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-05-10 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-05-11 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-05-12 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-05-13 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-05-14 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-05-15 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-05-16 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-05-17 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-05-18 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-05-19 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-05-20 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-05-21 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-05-22 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-05-23 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-05-24 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-05-25 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-05-26 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-05-27 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-05-28 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-05-29 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-05-30 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-05-31 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-06-01 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-06-02 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-06-03 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-06-04 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-06-05 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-06-06 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-06-07 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-06-08 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-06-09 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-06-10 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-06-11 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-06-12 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-06-13 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-06-14 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-06-15 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-06-16 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-06-17 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-06-18 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-06-19 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-06-20 06:00:00', 'surface', 9.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-06-21 06:00:00', 'surface', 10.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-06-22 06:00:00', 'surface', 11.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-06-23 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-06-24 06:00:00', 'surface', 11.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-06-25 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-06-26 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-06-27 06:00:00', 'surface', 11.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-06-28 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-06-29 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-06-30 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-07-01 06:00:00', 'surface', 11.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-07-02 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-07-03 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-07-04 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-07-05 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-07-06 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-07-07 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-07-08 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-07-09 06:00:00', 'surface', 12.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-07-10 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-07-11 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-07-12 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-07-13 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-07-14 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-07-15 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-07-16 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-07-17 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-07-18 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-07-19 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-07-20 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-07-21 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-07-22 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-07-23 06:00:00', 'surface', 10.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-07-24 06:00:00', 'surface', 11.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-07-25 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-07-26 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-07-27 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-07-28 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-07-29 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-07-30 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-07-31 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-08-01 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-08-02 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-08-03 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-08-04 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-08-05 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-08-06 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-08-07 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-08-08 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-08-09 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-08-10 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-08-11 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-08-12 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-08-13 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-08-14 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-08-15 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-08-16 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-08-17 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-08-18 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-08-19 06:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-08-20 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-08-21 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-08-22 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-08-23 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-08-24 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-08-25 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-08-26 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-08-27 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-08-28 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-08-29 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-08-30 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-08-31 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-09-01 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-09-02 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-09-03 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-09-04 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-09-05 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-09-06 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-09-07 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-09-08 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-09-09 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-09-10 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-09-11 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-09-12 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-09-13 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-09-14 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-09-15 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-09-16 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-09-17 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-09-18 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-09-19 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-09-20 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-09-21 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-09-22 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-09-23 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-09-24 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-09-25 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-09-26 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-09-27 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-09-28 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-09-29 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-09-30 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-10-01 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-10-02 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-10-03 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-10-04 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-10-05 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-10-06 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-10-07 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-10-08 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-10-09 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-10-10 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-10-11 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-10-12 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-10-13 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-10-14 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-10-15 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-10-16 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-10-17 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-10-18 06:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-10-19 06:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-10-20 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-10-21 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-10-22 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-10-23 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-10-24 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-10-25 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-10-26 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-10-27 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-10-28 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-10-29 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-10-30 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-10-31 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-11-01 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-11-02 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-11-03 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-11-04 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-11-05 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-11-06 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-11-07 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-11-08 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-11-09 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-11-10 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-11-11 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-11-12 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-11-13 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-11-14 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-11-15 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-11-16 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-11-17 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-11-18 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-11-19 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-11-20 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-11-21 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-11-22 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-11-23 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-11-24 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-11-25 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-11-26 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-11-27 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-11-28 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-11-29 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-11-30 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-12-01 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-12-02 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-12-03 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-12-04 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-12-05 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-12-06 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-12-07 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-12-08 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-12-09 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-12-10 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-12-11 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-12-12 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-12-13 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-12-14 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-12-15 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-12-16 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-12-17 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-12-18 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-12-19 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-12-20 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-12-21 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-12-22 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-12-23 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-12-24 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-12-25 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-12-26 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-12-27 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-12-28 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-12-29 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-12-30 06:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1987-12-31 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-01-01 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-01-02 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-01-03 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-01-04 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-01-05 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-01-06 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-01-07 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-01-08 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-01-09 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-01-10 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-01-11 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-01-12 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-01-13 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-01-14 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-01-15 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-01-16 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-01-17 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-01-18 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-01-19 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-01-20 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-01-21 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-01-22 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-01-23 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-01-24 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-01-25 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-01-26 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-01-27 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-01-28 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-01-29 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-01-30 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-01-31 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-02-01 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-02-02 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-02-03 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-02-04 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-02-05 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-02-06 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-02-07 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-02-08 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-02-09 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-02-10 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-02-11 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-02-12 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-02-13 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-02-14 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-02-15 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-02-16 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-02-17 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-02-18 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-02-19 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-02-20 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-02-21 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-02-22 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-02-23 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-02-24 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-02-25 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-02-26 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-02-27 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-02-28 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-02-29 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-03-01 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-03-02 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-03-03 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-03-04 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-03-05 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-03-06 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-03-07 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-03-08 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-03-09 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-03-10 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-03-11 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-03-12 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-03-13 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-03-14 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-03-15 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-03-16 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-03-17 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-03-18 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-03-19 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-03-20 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-03-21 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-03-22 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-03-23 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-03-24 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-03-25 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-03-26 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-03-27 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-03-28 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-03-29 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-03-30 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-03-31 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-04-01 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-04-02 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-04-03 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-04-04 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-04-05 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-04-06 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-04-07 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-04-08 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-04-09 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-04-10 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-04-11 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-04-12 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-04-13 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-04-14 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-04-15 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0);
INSERT INTO `observationfinal` (`recordedFrom`, `describedBy`, `obsDatetime`, `obsLevel`, `obsValue`, `flag`, `period`, `qcStatus`, `qcTypeLog`, `acquisitionType`, `dataForm`, `capturedBy`, `mark`, `temperatureUnits`, `precipitationUnits`, `cloudHeightUnits`, `visUnits`, `dataSourceTimeZone`) VALUES
	('67774010', 4, '1988-04-16 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-04-17 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-04-18 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-04-19 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-04-20 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-04-21 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-04-22 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-04-23 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-04-24 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-04-25 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-04-26 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-04-27 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-04-28 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-04-29 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-04-30 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-05-01 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-05-02 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-05-03 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-05-04 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-05-05 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-05-06 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-05-07 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-05-08 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-05-09 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-05-10 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-05-11 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-05-12 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-05-13 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-05-14 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-05-15 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-05-16 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-05-17 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-05-18 06:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-05-19 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-05-20 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-05-21 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-05-22 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-05-23 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-05-24 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-05-25 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-05-26 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-05-27 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-05-28 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-05-29 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-05-30 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-05-31 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-06-01 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-06-02 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-06-03 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-06-04 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-06-05 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-06-06 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-06-07 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-06-08 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-06-09 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-06-10 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-06-11 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-06-12 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-06-13 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-06-14 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-06-15 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-06-16 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-06-17 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-06-18 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-06-19 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-06-20 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-06-21 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-06-22 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-06-23 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-06-24 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-06-25 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-06-26 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-06-27 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-06-28 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-06-29 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-06-30 06:00:00', 'surface', 11.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-07-01 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-07-02 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-07-03 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-07-04 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-07-05 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-07-06 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-07-07 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-07-08 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-07-09 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-07-10 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-07-11 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-07-12 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-07-13 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-07-14 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-07-15 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-07-16 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-07-17 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-07-18 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-07-19 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-07-20 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-07-21 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-07-22 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-07-23 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-07-24 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-07-25 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-07-26 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-07-27 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-07-28 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-07-29 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-07-30 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-07-31 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-08-01 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-08-02 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-08-03 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-08-04 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-08-05 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-08-06 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-08-07 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-08-08 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-08-09 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-08-10 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-08-11 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-08-12 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-08-13 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-08-14 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-08-15 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-08-16 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-08-17 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-08-18 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-08-19 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-08-20 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-08-21 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-08-22 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-08-23 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-08-24 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-08-25 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-08-26 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-08-27 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-08-28 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-08-29 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-08-30 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-08-31 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-09-01 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-09-02 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-09-03 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-09-04 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-09-05 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-09-06 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-09-07 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-09-08 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-09-09 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-09-10 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-09-11 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-09-12 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-09-13 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-09-14 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-09-15 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-09-16 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-09-17 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-09-18 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-09-19 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-09-20 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-09-21 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-09-22 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-09-23 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-09-24 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-09-25 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-09-26 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-09-27 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-09-28 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-09-29 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-09-30 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-10-01 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-10-02 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-10-03 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-10-04 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-10-05 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-10-06 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-10-07 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-10-08 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-10-09 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-10-10 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-10-11 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-10-12 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-10-13 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-10-14 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-10-15 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-10-16 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-10-17 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-10-18 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-10-19 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-10-20 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-10-21 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-10-22 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-10-23 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-10-24 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-10-25 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-10-26 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-10-27 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-10-28 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-10-29 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-10-30 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-10-31 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-11-01 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-11-02 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-11-03 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-11-04 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-11-05 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-11-06 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-11-07 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-11-08 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-11-09 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-11-10 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-11-11 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-11-12 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-11-13 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-11-14 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-11-15 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-11-16 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-11-17 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-11-18 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-11-19 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-11-20 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-11-21 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-11-22 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-11-23 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-11-24 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-11-25 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-11-26 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-11-27 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-11-28 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-11-29 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-11-30 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-12-01 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-12-02 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-12-03 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-12-04 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-12-05 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-12-06 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-12-07 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-12-08 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-12-09 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-12-10 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-12-11 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-12-12 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-12-13 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-12-14 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-12-15 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-12-16 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-12-17 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-12-18 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-12-19 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-12-20 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-12-21 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-12-22 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-12-23 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-12-24 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-12-25 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-12-26 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-12-27 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-12-28 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-12-29 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-12-30 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1988-12-31 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-01-01 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-01-02 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-01-03 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-01-04 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-01-05 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-01-06 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-01-07 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-01-08 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-01-09 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-01-10 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-01-11 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-01-12 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-01-13 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-01-14 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-01-15 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-01-16 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-01-17 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-01-18 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-01-19 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-01-20 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-01-21 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-01-22 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-01-23 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-01-24 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-01-25 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-01-26 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-01-27 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-01-28 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-01-29 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-01-30 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-01-31 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-02-01 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-02-02 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-02-03 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-02-04 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-02-05 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-02-06 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-02-07 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-02-08 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-02-09 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-02-10 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-02-11 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-02-12 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-02-13 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-02-14 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-02-15 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-02-16 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-02-17 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-02-18 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-02-19 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-02-20 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-02-21 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-02-22 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-02-23 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-02-24 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-02-25 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-02-26 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-02-27 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-02-28 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-03-01 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-03-02 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-03-03 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-03-04 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-03-05 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-03-06 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-03-07 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-03-08 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-03-09 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-03-10 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-03-11 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-03-12 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-03-13 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-03-14 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-03-15 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-03-16 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-03-17 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-03-18 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-03-19 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-03-20 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-03-21 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-03-22 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-03-23 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-03-24 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-03-25 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-03-26 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-03-27 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-03-28 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-03-29 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-03-30 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-03-31 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-04-01 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-04-02 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-04-03 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-04-04 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-04-05 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-04-06 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-04-07 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-04-08 06:00:00', 'surface', 18.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-04-09 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-04-10 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-04-11 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-04-12 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-04-13 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-04-14 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-04-15 06:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-04-16 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-04-17 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-04-18 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-04-19 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-04-20 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-04-21 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-04-22 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-04-23 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-04-24 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-04-25 06:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-04-26 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-04-27 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-04-28 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-04-29 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-04-30 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-05-01 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-05-02 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-05-03 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-05-04 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-05-05 06:00:00', 'surface', 18.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-05-06 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-05-07 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-05-08 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-05-09 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-05-10 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-05-11 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-05-12 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-05-13 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-05-14 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-05-15 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-05-16 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-05-17 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-05-18 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-05-19 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-05-20 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-05-21 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-05-22 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-05-23 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-05-24 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-05-25 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-05-26 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-05-27 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-05-28 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-05-29 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-05-30 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-05-31 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-06-01 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-06-02 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-06-03 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-06-04 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-06-05 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-06-06 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-06-07 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-06-08 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-06-09 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-06-10 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-06-11 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-06-12 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-06-13 06:00:00', 'surface', 11.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-06-14 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-06-15 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-06-16 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-06-17 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-06-18 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-06-19 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-06-20 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-06-21 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-06-22 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-06-23 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-06-24 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-06-25 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-06-26 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-06-27 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-06-28 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-06-29 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-06-30 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-07-01 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-07-02 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-07-03 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-07-04 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-07-05 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-07-06 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-07-07 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-07-08 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-07-09 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-07-10 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-07-11 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-07-12 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-07-13 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-07-14 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-07-15 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-07-16 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-07-17 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-07-18 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-07-19 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-07-20 06:00:00', 'surface', 10.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-07-21 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-07-22 06:00:00', 'surface', 10.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-07-23 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-07-24 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-07-25 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-07-26 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-07-27 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-07-28 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-07-29 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-07-30 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-07-31 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-08-01 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-08-02 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-08-03 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-08-04 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-08-05 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-08-06 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-08-07 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-08-08 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-08-09 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-08-10 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-08-11 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-08-12 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-08-13 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-08-14 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-08-15 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-08-16 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-08-17 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-08-18 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-08-19 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-08-20 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-08-21 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-08-22 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-08-23 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-08-24 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-08-25 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-08-26 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-08-27 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-08-28 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-08-29 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-08-30 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-08-31 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-09-01 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-09-02 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-09-03 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-09-04 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-09-05 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-09-06 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-09-07 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-09-08 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-09-09 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-09-10 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-09-11 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-09-12 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-09-13 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-09-14 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-09-15 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-09-16 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-09-17 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-09-18 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-09-19 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-09-20 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-09-21 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-09-22 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-09-23 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-09-24 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-09-25 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-09-26 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-09-27 06:00:00', 'surface', 18.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-09-28 06:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-09-29 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-09-30 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-10-01 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-10-02 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-10-03 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-10-04 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-10-05 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-10-06 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-10-07 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-10-08 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-10-09 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-10-10 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-10-11 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-10-12 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-10-13 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-10-14 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-10-15 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-10-16 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-10-17 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-10-18 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-10-19 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-10-20 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-10-21 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-10-22 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-10-23 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-10-24 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-10-25 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-10-26 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-10-27 06:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-10-28 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-10-29 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-10-30 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-10-31 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-11-01 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-11-02 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-11-03 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-11-04 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-11-05 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-11-06 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-11-07 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-11-08 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-11-09 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-11-10 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-11-11 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-11-12 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-11-13 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-11-14 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-11-15 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-11-16 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-11-17 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-11-18 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-11-19 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-11-20 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-11-21 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-11-22 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-11-23 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-11-24 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-11-25 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-11-26 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-11-27 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-11-28 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-11-29 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-11-30 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-12-01 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-12-02 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-12-03 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-12-04 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-12-05 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-12-06 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-12-07 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-12-08 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-12-09 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-12-10 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-12-11 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-12-12 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-12-13 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-12-14 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-12-15 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-12-16 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-12-17 06:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-12-18 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-12-19 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-12-20 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-12-21 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-12-22 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-12-23 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-12-24 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-12-25 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-12-26 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-12-27 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-12-28 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-12-29 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-12-30 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1989-12-31 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1990-01-01 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1990-01-02 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1990-01-03 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1990-01-04 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1990-01-05 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1990-01-06 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1990-01-07 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1990-01-08 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1990-01-09 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1990-01-10 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1990-01-11 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1990-01-12 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1990-01-13 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1990-01-14 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1990-01-15 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1990-01-16 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1990-01-17 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1990-01-18 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1990-01-19 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1990-01-20 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1990-01-21 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1990-01-22 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1990-01-23 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1990-01-24 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1990-01-25 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1990-01-26 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1990-01-27 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1990-01-28 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1990-01-29 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1990-01-30 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1990-01-31 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1990-02-01 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1990-02-02 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1990-02-03 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1990-02-04 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1990-02-05 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1990-02-06 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1990-02-07 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1990-02-08 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1990-02-09 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1990-02-10 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1990-02-11 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1990-02-12 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1990-02-13 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1990-02-14 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1990-02-15 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1990-02-16 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1990-02-17 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1990-02-18 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1990-02-19 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1990-02-20 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1990-02-21 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1990-02-22 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1990-02-23 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1990-02-24 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1990-02-25 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1990-02-26 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1990-02-27 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1990-02-28 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1990-04-01 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1990-04-02 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1990-04-03 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1990-04-04 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1990-04-05 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1990-04-06 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1990-04-07 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1990-04-08 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1990-04-09 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1990-04-10 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1990-04-11 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1990-04-12 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1990-04-13 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1990-04-14 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1990-04-15 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1990-04-16 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1990-04-17 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1990-04-18 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1990-04-19 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1990-04-20 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1990-04-21 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1990-04-22 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1990-04-23 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1990-04-24 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1990-04-25 06:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1990-04-26 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1990-04-27 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1990-04-28 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1990-04-29 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1990-04-30 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-01-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-01-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-01-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-01-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-01-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-01-06 06:00:00', 'surface', 2.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-01-07 06:00:00', 'surface', 2.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-01-08 06:00:00', 'surface', 10.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-01-09 06:00:00', 'surface', 3.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-01-10 06:00:00', 'surface', 3.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-01-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-01-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-01-13 06:00:00', 'surface', 1.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-01-14 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-01-15 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-01-16 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-01-17 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-01-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-01-19 06:00:00', 'surface', 1.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-01-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-01-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-01-22 06:00:00', 'surface', 1.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-01-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-01-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-01-25 06:00:00', 'surface', 0.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-01-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-01-27 06:00:00', 'surface', 30.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-01-28 06:00:00', 'surface', 5.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-01-29 06:00:00', 'surface', 4.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-01-30 06:00:00', 'surface', 2.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-01-31 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-02-01 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-02-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-02-03 06:00:00', 'surface', 8.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-02-04 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-02-05 06:00:00', 'surface', 45.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-02-06 06:00:00', 'surface', 5.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-02-07 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-02-08 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-02-09 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-02-10 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-02-11 06:00:00', 'surface', 35.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-02-12 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-02-13 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-02-14 06:00:00', 'surface', 9.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-02-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-02-16 06:00:00', 'surface', 0.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-02-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-02-18 06:00:00', 'surface', 40.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-02-19 06:00:00', 'surface', 0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-02-20 06:00:00', 'surface', 93.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-02-21 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-02-22 06:00:00', 'surface', 2.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-02-23 06:00:00', 'surface', 1.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-02-24 06:00:00', 'surface', 0.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-02-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-02-26 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-02-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-02-28 06:00:00', 'surface', 1.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-03-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-03-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-03-03 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-03-04 06:00:00', 'surface', 3.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-03-05 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-03-06 06:00:00', 'surface', 0.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-03-07 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-03-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-03-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-03-10 06:00:00', 'surface', 1.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-03-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-03-12 06:00:00', 'surface', 11.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-03-13 06:00:00', 'surface', 40.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-03-14 06:00:00', 'surface', 2.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-03-15 06:00:00', 'surface', 0.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-03-16 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-03-17 06:00:00', 'surface', 0.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-03-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-03-19 06:00:00', 'surface', 2.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-03-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-03-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-03-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-03-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-03-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-03-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-03-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-03-27 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-03-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-03-29 06:00:00', 'surface', 59.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-03-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-03-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-04-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-04-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-04-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-04-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-04-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-04-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-04-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-04-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-04-09 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-04-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-04-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-04-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-04-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-04-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-04-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-04-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-04-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-04-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-04-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-04-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-04-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-04-22 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-04-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-04-24 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-04-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-04-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-04-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-04-28 06:00:00', 'surface', 4.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-04-29 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-04-30 06:00:00', 'surface', 2.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-05-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-05-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-05-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-05-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-05-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-05-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-05-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-05-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-05-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-05-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-05-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-05-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-05-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-05-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-05-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-05-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-05-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-05-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-05-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-05-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-05-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-05-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-05-23 06:00:00', 'surface', 1.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-05-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-05-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-05-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-05-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-05-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-05-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-05-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-05-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-06-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-06-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-06-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-06-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-06-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-06-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-06-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-06-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-06-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-06-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-06-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-06-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-06-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-06-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-06-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-06-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-06-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-06-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-06-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-06-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-06-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-06-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-06-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-06-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-06-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-06-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-06-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-06-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-06-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-06-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-07-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-07-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-07-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-07-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-07-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-07-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-07-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-07-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-07-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-07-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-07-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-07-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-07-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-07-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-07-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-07-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-07-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-07-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-07-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-07-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-07-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-07-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-07-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-07-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-07-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-07-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-07-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-07-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-07-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-07-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-07-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-08-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-08-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-08-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-08-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-08-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-08-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-08-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-08-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-08-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-08-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-08-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-08-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-08-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-08-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-08-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-08-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-08-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-08-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-08-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-08-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-08-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-08-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-08-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-08-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-08-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-08-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-08-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-08-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-08-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-08-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-08-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-09-01 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-09-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-09-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-09-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-09-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-09-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-09-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-09-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-09-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-09-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-09-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-09-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-09-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-09-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-09-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-09-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-09-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-09-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-09-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-09-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-09-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-09-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-09-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-09-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-09-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-09-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-09-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-09-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-09-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-09-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-10-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-10-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-10-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-10-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-10-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-10-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-10-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-10-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-10-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-10-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-10-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-10-12 06:00:00', 'surface', 3.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-10-13 06:00:00', 'surface', 1.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-10-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-10-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-10-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-10-17 06:00:00', 'surface', 0.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-10-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-10-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-10-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-10-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-10-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-10-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-10-24 06:00:00', 'surface', 57.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-10-25 06:00:00', 'surface', 0.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-10-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-10-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-10-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-10-29 06:00:00', 'surface', 1.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-10-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-10-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-11-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-11-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-11-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-11-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-11-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-11-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-11-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-11-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-11-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-11-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-11-11 06:00:00', 'surface', 6.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-11-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-11-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-11-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-11-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-11-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-11-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-11-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-11-19 06:00:00', 'surface', 2.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-11-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-11-21 06:00:00', 'surface', 2.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-11-22 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-11-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-11-24 06:00:00', 'surface', 9.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-11-25 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-11-26 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-11-27 06:00:00', 'surface', 9.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-11-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-11-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-11-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-12-01 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-12-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-12-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-12-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-12-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-12-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-12-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-12-08 06:00:00', 'surface', 8.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-12-09 06:00:00', 'surface', 36.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-12-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-12-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-12-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-12-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-12-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-12-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-12-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-12-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-12-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-12-19 06:00:00', 'surface', 4.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-12-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-12-21 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-12-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-12-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-12-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-12-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-12-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-12-27 06:00:00', 'surface', 2.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-12-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-12-29 06:00:00', 'surface', 1.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-12-30 06:00:00', 'surface', 48.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1981-12-31 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-01-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-01-04 06:00:00', 'surface', 1.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-01-05 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-01-06 06:00:00', 'surface', 0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-01-07 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-01-08 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-01-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-01-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-01-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-01-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-01-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-01-14 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-01-15 06:00:00', 'surface', 5.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-01-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-01-17 06:00:00', 'surface', 2.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-01-18 06:00:00', 'surface', 2.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-01-19 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-01-20 06:00:00', 'surface', 1.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-01-21 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-01-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-01-23 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-01-24 06:00:00', 'surface', 11.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-01-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-01-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-01-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-01-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-01-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-01-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-01-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-02-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-02-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-02-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-02-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-02-05 06:00:00', 'surface', 1.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-02-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-02-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-02-08 06:00:00', 'surface', 0.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-02-09 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-02-10 06:00:00', 'surface', 43.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-02-11 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-02-12 06:00:00', 'surface', 6.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-02-13 06:00:00', 'surface', 1.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-02-14 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-02-15 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-02-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-02-17 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-02-18 06:00:00', 'surface', 3.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-02-19 06:00:00', 'surface', 80.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-02-20 06:00:00', 'surface', 2.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-02-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-02-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-02-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-02-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-02-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-02-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-02-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-02-28 06:00:00', 'surface', 0.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-03-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-03-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-03-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-03-04 06:00:00', 'surface', 30.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-03-05 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-03-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-03-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-03-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-03-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-03-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-03-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-03-12 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-03-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-03-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-03-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-03-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-03-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-03-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-03-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-03-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-03-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-03-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-03-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-03-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-03-25 06:00:00', 'surface', 5.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-03-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-03-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-03-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-03-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-03-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-03-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-04-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-04-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-04-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-04-04 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-04-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-04-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-04-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-04-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-04-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-04-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-04-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-04-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-04-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-04-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-04-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-04-16 06:00:00', 'surface', 2.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-04-17 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-04-18 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-04-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-04-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-04-21 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-04-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-04-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-04-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-04-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-04-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-04-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-04-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-04-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-04-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-05-01 06:00:00', 'surface', 0.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-05-02 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-05-03 06:00:00', 'surface', 1.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-05-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-05-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-05-06 06:00:00', 'surface', 1.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-05-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-05-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-05-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-05-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-05-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-05-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-05-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-05-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-05-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-05-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-05-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-05-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-05-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-05-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-05-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-05-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-05-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-05-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-05-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-05-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-05-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-05-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-05-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-05-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-05-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-06-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-06-02 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-06-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-06-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-06-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-06-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-06-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-06-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-06-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-06-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-06-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-06-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-06-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-06-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-06-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-06-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-06-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-06-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-06-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-06-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-06-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-06-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-06-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-06-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-06-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-06-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-06-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-06-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-06-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-06-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-07-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-07-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-07-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-07-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-07-05 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-07-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-07-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-07-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-07-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-07-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-07-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-07-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-07-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-07-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-07-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-07-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-07-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-07-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-07-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-07-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-07-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-07-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-07-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-07-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-07-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-07-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-07-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-07-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-07-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-07-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-07-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-08-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-08-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-08-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-08-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-08-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-08-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-08-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-08-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-08-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-08-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-08-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-08-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-08-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-08-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-08-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-08-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-08-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-08-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-08-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-08-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-08-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-08-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-08-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-08-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-08-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-08-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-08-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-08-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-08-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-08-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-08-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-09-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-09-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-09-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-09-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-09-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-09-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-09-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-09-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-09-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-09-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-09-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-09-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-09-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-09-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-09-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-09-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-09-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-09-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-09-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-09-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-09-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-09-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-09-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-09-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-09-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-09-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-09-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-09-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-09-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-09-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-10-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-10-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-10-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-10-04 06:00:00', 'surface', 2.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-10-05 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-10-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-10-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-10-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-10-09 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-10-10 06:00:00', 'surface', 2.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-10-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-10-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-10-13 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-10-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-10-15 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-10-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-10-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-10-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-10-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-10-20 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-10-21 06:00:00', 'surface', 5.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-10-22 06:00:00', 'surface', 7.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-10-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-10-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-10-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-10-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-10-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-10-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-10-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-10-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-10-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-11-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-11-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-11-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-11-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-11-05 06:00:00', 'surface', 0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-11-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-11-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-11-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-11-09 06:00:00', 'surface', 10.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-11-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-11-11 06:00:00', 'surface', 3.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-11-12 06:00:00', 'surface', 1.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-11-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-11-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-11-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-11-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-11-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-11-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-11-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-11-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-11-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-11-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-11-23 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-11-24 06:00:00', 'surface', 1.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-11-25 06:00:00', 'surface', 6.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-11-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-11-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-11-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-11-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-11-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-12-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-12-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-12-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-12-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-12-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-12-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-12-07 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-12-08 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-12-09 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-12-10 06:00:00', 'surface', 0.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-12-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-12-12 06:00:00', 'surface', 5.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-12-13 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-12-14 06:00:00', 'surface', 33.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-12-15 06:00:00', 'surface', 4.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-12-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-12-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-12-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-12-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-12-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-12-21 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-12-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-12-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-12-24 06:00:00', 'surface', 2.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-12-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-12-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-12-27 06:00:00', 'surface', 2.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-12-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-12-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-12-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1982-12-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-01-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-01-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-01-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-01-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-01-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-01-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-01-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-01-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-01-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-01-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-01-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-01-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-01-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-01-14 06:00:00', 'surface', 4.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-01-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-01-16 06:00:00', 'surface', 5.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-01-17 06:00:00', 'surface', 34.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-01-18 06:00:00', 'surface', 6.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-01-19 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-01-20 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-01-21 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-01-22 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-01-23 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-01-24 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-01-25 06:00:00', 'surface', 0.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-01-26 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-01-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-01-28 06:00:00', 'surface', 0.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-01-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-01-30 06:00:00', 'surface', 1.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-01-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-02-01 06:00:00', 'surface', 3.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-02-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-02-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-02-04 06:00:00', 'surface', 10.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-02-05 06:00:00', 'surface', 9.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-02-06 06:00:00', 'surface', 7.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-02-07 06:00:00', 'surface', 0.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-02-08 06:00:00', 'surface', 0.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-02-09 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-02-10 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-02-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-02-12 06:00:00', 'surface', 2.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-02-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-02-14 06:00:00', 'surface', 1.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-02-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-02-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-02-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-02-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-02-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-02-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-02-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-02-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-02-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-02-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-02-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-02-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-02-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-02-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-03-01 06:00:00', 'surface', 0.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-03-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-03-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-03-04 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-03-05 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-03-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-03-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-03-08 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-03-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-03-10 06:00:00', 'surface', 4.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-03-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-03-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-03-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-03-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-03-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-03-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-03-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-03-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-03-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-03-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-03-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-03-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-03-23 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-03-24 06:00:00', 'surface', 0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-03-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-03-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-03-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-03-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-03-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-03-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-03-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-04-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-04-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-04-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-04-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-04-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-04-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-04-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-04-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-04-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-04-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-04-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-04-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-04-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-04-14 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-04-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-04-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-04-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-04-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-04-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-04-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-04-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-04-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-04-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-04-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-04-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-04-26 06:00:00', 'surface', 1.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-04-27 06:00:00', 'surface', 3.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-04-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-04-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-04-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-05-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-05-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-05-03 06:00:00', 'surface', 2.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-05-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-05-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-05-06 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-05-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-05-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-05-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-05-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-05-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-05-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-05-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-05-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-05-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-05-16 06:00:00', 'surface', 1.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-05-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-05-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-05-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-05-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-05-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-05-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-05-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-05-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-05-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-05-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-05-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-05-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-05-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-05-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-05-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-06-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-06-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-06-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-06-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-06-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-06-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-06-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-06-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-06-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-06-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-06-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-06-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-06-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-06-14 06:00:00', 'surface', 3.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-06-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-06-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-06-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-06-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-06-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-06-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-06-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-06-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-06-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-06-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-06-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-06-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-06-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-06-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-06-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-06-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-11-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-11-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-11-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-11-10 06:00:00', 'surface', 0.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-11-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-11-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-11-13 06:00:00', 'surface', 3.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-11-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-11-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-11-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-11-17 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-11-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-11-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-11-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-11-21 06:00:00', 'surface', 4.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-11-22 06:00:00', 'surface', 3.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-11-23 06:00:00', 'surface', 10.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-11-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-11-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-11-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-11-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-11-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-11-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-11-30 06:00:00', 'surface', 5.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-12-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-12-02 06:00:00', 'surface', 3.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-12-03 06:00:00', 'surface', 5.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-12-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-12-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-12-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-12-07 06:00:00', 'surface', 5.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-12-08 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-12-09 06:00:00', 'surface', 0.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-12-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-12-11 06:00:00', 'surface', 5.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-12-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-12-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-12-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-12-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-12-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-12-17 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-12-18 06:00:00', 'surface', 6.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-12-19 06:00:00', 'surface', 37.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-12-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-12-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-12-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-12-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-12-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-12-25 06:00:00', 'surface', 0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-12-26 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-12-27 06:00:00', 'surface', 1.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-12-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-12-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-12-30 06:00:00', 'surface', 1.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1983-12-31 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-01-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-01-02 06:00:00', 'surface', 32.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-01-03 06:00:00', 'surface', 0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-01-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-01-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-01-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-01-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-01-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-01-09 06:00:00', 'surface', 43.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-01-10 06:00:00', 'surface', 3.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-01-11 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-01-12 06:00:00', 'surface', 0.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-01-13 06:00:00', 'surface', 2.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-01-14 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-01-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-01-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-01-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-01-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-01-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-01-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-01-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-01-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-01-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-01-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-01-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-01-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-01-27 06:00:00', 'surface', 0.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-01-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-01-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-01-30 06:00:00', 'surface', 8.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-01-31 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-02-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-02-02 06:00:00', 'surface', 36.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-02-03 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-02-04 06:00:00', 'surface', 8.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-02-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-02-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-02-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-02-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-02-09 06:00:00', 'surface', 2.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-02-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-02-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-02-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-02-13 06:00:00', 'surface', 1.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-02-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-02-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-02-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-02-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-02-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-02-19 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-02-20 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-02-21 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-02-22 06:00:00', 'surface', 10.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-02-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-02-24 06:00:00', 'surface', 9.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-02-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-02-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-02-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-02-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-02-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-03-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-03-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-03-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-03-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-03-05 06:00:00', 'surface', 1.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-03-06 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-03-07 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-03-08 06:00:00', 'surface', 0.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-03-09 06:00:00', 'surface', 2.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-03-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-03-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-03-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-03-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-03-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-03-15 06:00:00', 'surface', 5.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-03-16 06:00:00', 'surface', 3.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-03-17 06:00:00', 'surface', 3.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-03-18 06:00:00', 'surface', 8.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-03-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-03-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-03-21 06:00:00', 'surface', 1.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-03-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-03-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-03-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-03-25 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-03-26 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-03-27 06:00:00', 'surface', 8.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-03-28 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-03-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-03-30 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-03-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-04-01 06:00:00', 'surface', 4.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-04-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-04-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-04-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-04-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-04-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-04-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-04-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-04-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-04-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-04-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-04-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-04-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-04-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-04-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-04-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-04-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-04-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-04-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-04-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-04-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-04-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-04-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-04-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-04-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-04-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-04-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-04-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-04-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-04-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-05-01 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-05-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-05-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-05-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-05-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-05-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-05-07 06:00:00', 'surface', 0.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-05-08 06:00:00', 'surface', 8.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-05-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-05-10 06:00:00', 'surface', 6.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-05-11 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-05-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-05-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-05-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-05-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-05-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-05-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-05-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-05-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-05-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-05-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-05-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-05-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-05-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-05-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-05-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-05-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-05-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-05-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-05-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-05-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-06-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-06-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-06-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-06-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-06-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-06-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-06-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-06-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-06-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-06-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-06-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-06-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-06-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-06-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-06-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-06-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-06-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-06-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-06-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-06-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-06-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-06-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-06-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-06-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-06-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-06-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-06-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-06-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-06-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-06-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-07-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-07-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-07-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-07-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-07-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-07-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-07-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-07-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-07-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-07-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-07-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-07-12 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-07-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-07-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-07-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-07-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-07-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-07-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-07-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-07-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-07-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-07-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-07-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-07-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-07-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-07-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-07-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-07-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-07-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-07-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-07-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-08-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-08-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-08-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-08-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-08-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-08-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-08-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-08-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-08-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-08-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-08-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-08-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-08-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-08-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-08-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-08-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-08-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-08-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-08-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-08-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-08-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-08-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-08-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-08-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-08-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-08-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-08-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-08-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-08-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-08-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-08-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-09-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-09-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-09-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-09-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-09-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-09-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-09-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-09-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-09-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-09-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-09-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-09-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-09-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-09-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-09-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-09-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-09-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-09-18 06:00:00', 'surface', 1.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-09-19 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-09-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-09-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-09-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-09-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-09-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-09-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-09-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-09-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-09-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-09-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-09-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-10-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-10-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-10-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-10-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-10-05 06:00:00', 'surface', 0.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-10-06 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-10-07 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-10-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-10-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-10-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-10-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-10-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-10-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-10-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-10-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-10-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-10-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-10-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-10-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-10-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-10-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-10-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-10-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-10-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-10-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-10-26 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-10-27 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-10-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-10-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-10-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-10-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-11-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-11-02 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-11-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-11-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-11-05 06:00:00', 'surface', 4.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-11-06 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-11-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-11-08 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-11-09 06:00:00', 'surface', 1.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-11-10 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-11-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-11-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-11-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-11-14 06:00:00', 'surface', 2.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-11-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-11-16 06:00:00', 'surface', 3.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-11-17 06:00:00', 'surface', 2.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-11-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-11-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-11-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-11-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-11-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-11-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-11-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-11-25 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-11-26 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-11-27 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-11-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-11-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-11-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-12-01 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-12-02 06:00:00', 'surface', 0.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-12-03 06:00:00', 'surface', 36.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-12-04 06:00:00', 'surface', 1.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-12-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-12-06 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-12-07 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-12-08 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-12-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-12-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-12-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-12-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-12-13 06:00:00', 'surface', 0.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-12-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-12-15 06:00:00', 'surface', 1.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-12-16 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-12-17 06:00:00', 'surface', 0.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-12-18 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-12-19 06:00:00', 'surface', 10.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-12-20 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-12-21 06:00:00', 'surface', 4.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-12-22 06:00:00', 'surface', 4.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-12-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-12-24 06:00:00', 'surface', 11.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-12-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-12-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-12-27 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-12-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-12-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-12-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1984-12-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-01-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-01-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-01-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-01-04 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-01-05 06:00:00', 'surface', 6.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-01-06 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-01-07 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-01-08 06:00:00', 'surface', 7.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-01-09 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-01-10 06:00:00', 'surface', 1.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-01-11 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-01-12 06:00:00', 'surface', 0.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-01-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-01-14 06:00:00', 'surface', 47.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-01-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-01-16 06:00:00', 'surface', 3.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-01-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-01-18 06:00:00', 'surface', 2.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-01-19 06:00:00', 'surface', 52.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-01-20 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-01-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-01-22 06:00:00', 'surface', 49.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-01-23 06:00:00', 'surface', 35.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-01-24 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-01-25 06:00:00', 'surface', 10.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-01-26 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-01-27 06:00:00', 'surface', 7.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-01-28 06:00:00', 'surface', 0.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-01-29 06:00:00', 'surface', 5.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-01-30 06:00:00', 'surface', 30.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-01-31 06:00:00', 'surface', 5.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-02-01 06:00:00', 'surface', 38.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-02-02 06:00:00', 'surface', 6.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-02-03 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-02-04 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-02-05 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-02-06 06:00:00', 'surface', 7.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-02-07 06:00:00', 'surface', 4.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-02-08 06:00:00', 'surface', 3.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-02-09 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-02-10 06:00:00', 'surface', 0.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-02-11 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-02-12 06:00:00', 'surface', 11.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-02-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-02-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-02-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-02-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-02-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-02-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-02-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-02-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-02-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-02-22 06:00:00', 'surface', 9.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-02-23 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-02-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-02-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-02-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-02-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-02-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-03-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-03-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-03-03 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-03-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-03-05 06:00:00', 'surface', 1.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-03-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-03-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-03-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-03-09 06:00:00', 'surface', 5.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-03-10 06:00:00', 'surface', 1.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-03-11 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-03-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-03-13 06:00:00', 'surface', 0.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-03-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-03-15 06:00:00', 'surface', 78.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-03-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-03-17 06:00:00', 'surface', 0.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-03-18 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-03-19 06:00:00', 'surface', 9.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-03-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-03-21 06:00:00', 'surface', 0.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-03-22 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-03-23 06:00:00', 'surface', 1.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-03-24 06:00:00', 'surface', 2.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-03-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-03-26 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-03-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-03-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-03-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-03-30 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-03-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-04-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-04-02 06:00:00', 'surface', 0.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-04-03 06:00:00', 'surface', 1.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-04-04 06:00:00', 'surface', 0.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-04-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-04-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-04-07 06:00:00', 'surface', 0.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-04-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-04-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-04-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-04-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-04-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-04-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-04-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-04-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-04-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-04-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-04-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-04-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-04-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-04-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-04-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-04-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-04-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-04-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-04-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-04-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-04-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-04-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-04-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-05-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-05-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-05-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-05-04 06:00:00', 'surface', 0.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-05-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-05-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-05-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-05-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-05-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-05-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-05-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-05-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-05-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-05-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-05-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-05-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-05-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-05-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-05-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-05-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-05-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-05-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-05-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-05-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-05-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-05-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-05-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-05-28 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-05-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-05-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-05-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-06-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-06-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-06-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-06-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-06-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-06-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-06-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-06-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-06-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-06-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-06-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-06-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-06-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-06-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-06-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-06-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-06-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-06-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-06-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-06-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-06-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-06-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-06-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-06-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-06-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-06-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-06-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-06-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-06-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-06-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-07-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-07-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-07-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-07-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-07-05 06:00:00', 'surface', 8.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-07-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-07-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-07-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-07-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-07-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-07-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-07-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-07-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-07-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-07-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-07-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-07-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-07-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-07-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-07-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-07-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-07-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-07-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-07-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-07-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-07-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-07-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-07-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-07-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-07-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-07-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-08-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-08-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-08-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-08-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-08-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-08-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-08-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-08-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-08-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-08-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-08-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-08-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-08-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-08-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-08-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-08-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-08-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-08-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-08-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-08-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-08-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-08-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-08-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-08-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-08-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-08-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-08-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-08-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-08-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-08-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-08-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-09-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-09-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-09-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-09-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-09-05 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-09-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-09-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-09-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-09-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-09-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-09-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-09-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-09-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-09-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-09-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-09-16 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-09-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-09-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-09-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-09-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-09-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-09-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-09-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-09-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-09-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-09-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-09-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-09-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-09-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-09-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-10-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-10-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-10-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-10-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-10-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-10-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-10-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-10-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-10-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-10-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-10-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-10-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-10-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-10-14 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-10-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-10-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-10-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-10-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-10-19 06:00:00', 'surface', 2.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-10-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-10-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-10-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-10-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-10-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-10-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-10-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-10-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-10-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-10-29 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-10-30 06:00:00', 'surface', 3.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-10-31 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-11-01 06:00:00', 'surface', 1.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-11-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-11-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-11-04 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-11-05 06:00:00', 'surface', 0.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-11-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-11-07 06:00:00', 'surface', 0.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-11-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-11-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-11-10 06:00:00', 'surface', 2.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-11-11 06:00:00', 'surface', 4.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-11-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-11-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-11-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-11-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-11-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-11-17 06:00:00', 'surface', 0.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-11-18 06:00:00', 'surface', 0.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-11-19 06:00:00', 'surface', 4.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-11-20 06:00:00', 'surface', 2.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-11-21 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-11-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-11-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-11-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-11-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-11-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-11-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-11-28 06:00:00', 'surface', 0.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-11-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-11-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-12-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-12-02 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-12-03 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-12-04 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-12-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-12-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-12-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-12-08 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-12-09 06:00:00', 'surface', 0.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-12-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-12-11 06:00:00', 'surface', 3.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-12-12 06:00:00', 'surface', 4.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-12-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-12-14 06:00:00', 'surface', 30.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-12-15 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-12-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-12-17 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-12-18 06:00:00', 'surface', 5.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-12-19 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-12-20 06:00:00', 'surface', 4.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-12-21 06:00:00', 'surface', 4.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-12-22 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-12-23 06:00:00', 'surface', 37.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-12-24 06:00:00', 'surface', 38.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-12-25 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-12-26 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-12-27 06:00:00', 'surface', 0.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-12-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-12-29 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-12-30 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1985-12-31 06:00:00', 'surface', 2.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-01-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-01-02 06:00:00', 'surface', 0.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-01-03 06:00:00', 'surface', 4.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-01-04 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-01-05 06:00:00', 'surface', 0.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-01-06 06:00:00', 'surface', 48.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-01-07 06:00:00', 'surface', 40.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-01-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-01-09 06:00:00', 'surface', 0.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-01-10 06:00:00', 'surface', 4.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-01-11 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-01-12 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-01-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-01-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-01-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-01-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-01-17 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-01-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-01-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-01-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-01-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-01-22 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-01-23 06:00:00', 'surface', 0.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-01-24 06:00:00', 'surface', 3.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-01-25 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-01-26 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-01-27 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-01-28 06:00:00', 'surface', 3.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-01-29 06:00:00', 'surface', 30.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-01-30 06:00:00', 'surface', 0.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-01-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-02-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-02-02 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-02-03 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-02-04 06:00:00', 'surface', 4.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-02-05 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-02-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-02-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-02-08 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-02-09 06:00:00', 'surface', 11.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-02-10 06:00:00', 'surface', 47.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-02-11 06:00:00', 'surface', 40.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-02-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-02-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-02-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-02-15 06:00:00', 'surface', 5.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-02-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-02-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-02-18 06:00:00', 'surface', 0.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-02-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-02-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-02-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-02-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-02-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-02-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-02-25 06:00:00', 'surface', 39.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-02-26 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-02-27 06:00:00', 'surface', 1.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-02-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-03-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-03-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-03-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-03-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-03-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-03-06 06:00:00', 'surface', 3.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-03-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-03-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-03-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-03-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-03-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-03-12 06:00:00', 'surface', 1.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-03-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-03-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-03-15 06:00:00', 'surface', 1.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-03-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-03-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-03-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-03-19 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-03-20 06:00:00', 'surface', 1.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-03-21 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-03-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-03-23 06:00:00', 'surface', 0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-03-24 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-03-25 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-03-26 06:00:00', 'surface', 9.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-03-27 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-03-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-03-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-03-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-03-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-04-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-04-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-04-03 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-04-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-04-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-04-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-04-07 06:00:00', 'surface', 3.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-04-08 06:00:00', 'surface', 0.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-04-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-04-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-04-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-04-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-04-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-04-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-04-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-04-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-04-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-04-18 06:00:00', 'surface', 8.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-04-19 06:00:00', 'surface', 1.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-04-20 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-04-21 06:00:00', 'surface', 29.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-04-22 06:00:00', 'surface', 2.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-04-23 06:00:00', 'surface', 0.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-04-24 06:00:00', 'surface', 2.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-04-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-04-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-04-27 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-04-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-04-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-04-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-05-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-05-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-05-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-05-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-05-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-05-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-05-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-05-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-05-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-05-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-05-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-05-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-05-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-05-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-05-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-05-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-05-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-05-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-05-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-05-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-05-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-05-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-05-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-05-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-05-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-05-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-05-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-05-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-05-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-05-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-05-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-06-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-06-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-06-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-06-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-06-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-06-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-06-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-06-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-06-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-06-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-06-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-06-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-06-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-06-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-06-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-06-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-06-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-06-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-06-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-06-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-06-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-06-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-06-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-06-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-06-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-06-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-06-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-06-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-06-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-06-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-07-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-07-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-07-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-07-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-07-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-07-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-07-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-07-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-07-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-07-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-07-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-07-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-07-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-07-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-07-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-07-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-07-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-07-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-07-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-07-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-07-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-07-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-07-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-07-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-07-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-07-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-07-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-07-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-07-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-07-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-07-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-08-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-08-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-08-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-08-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-08-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-08-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-08-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-08-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-08-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-08-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-08-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-08-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-08-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-08-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-08-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-08-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-08-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-08-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-08-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-08-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-08-21 06:00:00', 'surface', 0.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-08-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-08-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-08-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-08-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-08-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-08-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-08-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-08-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-08-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-08-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-09-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-09-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-09-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-09-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-09-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-09-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-09-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-09-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-09-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-09-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-09-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-09-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-09-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-09-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-09-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-09-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-09-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-09-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-09-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-09-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-09-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-09-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-09-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-09-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-09-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-09-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-09-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-09-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-09-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-09-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-10-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-10-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-10-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-10-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-10-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-10-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-10-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-10-08 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-10-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-10-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-10-11 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-10-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-10-13 06:00:00', 'surface', 8.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-10-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-10-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-10-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-10-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-10-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-10-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-10-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-10-21 06:00:00', 'surface', 8.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-10-22 06:00:00', 'surface', 6.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-10-23 06:00:00', 'surface', 5.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-10-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-10-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-10-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-10-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-10-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-10-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-10-30 06:00:00', 'surface', 1.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-10-31 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-11-01 06:00:00', 'surface', 4.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-11-02 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-11-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-11-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-11-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-11-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-11-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-11-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-11-09 06:00:00', 'surface', 31.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-11-10 06:00:00', 'surface', 0.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-11-11 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-11-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-11-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-11-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-11-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-11-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-11-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-11-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-11-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-11-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-11-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-11-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-11-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-11-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-11-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-11-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-11-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-11-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-11-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-11-30 06:00:00', 'surface', 40.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-12-01 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-12-02 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-12-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-12-04 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-12-05 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-12-06 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-12-07 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-12-08 06:00:00', 'surface', 2.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-12-09 06:00:00', 'surface', 44.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-12-10 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-12-11 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-12-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-12-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-12-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-12-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-12-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-12-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-12-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-12-19 06:00:00', 'surface', 0.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-12-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-12-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-12-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-12-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-12-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-12-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-12-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-12-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-12-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-12-29 06:00:00', 'surface', 7.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-12-30 06:00:00', 'surface', 4.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1986-12-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-01-01 06:00:00', 'surface', 0.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-01-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-01-03 06:00:00', 'surface', 1.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-01-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-01-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-01-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-01-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-01-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-01-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-01-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-01-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-01-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-01-13 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-01-14 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-01-15 06:00:00', 'surface', 6.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-01-16 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-01-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-01-18 06:00:00', 'surface', 2.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-01-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-01-20 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-01-21 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-01-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-01-23 06:00:00', 'surface', 7.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-01-24 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-01-25 06:00:00', 'surface', 47.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-01-26 06:00:00', 'surface', 0.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-01-27 06:00:00', 'surface', 0.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-01-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-01-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-01-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-01-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-02-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-02-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-02-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-02-04 06:00:00', 'surface', 43.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-02-05 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-02-06 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-02-07 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-02-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-02-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-02-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-02-11 06:00:00', 'surface', 43.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-02-12 06:00:00', 'surface', 6.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-02-13 06:00:00', 'surface', 0.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-02-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-02-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-02-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-02-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-02-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-02-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-02-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-02-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-02-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-02-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-02-24 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-02-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-02-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-02-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-02-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-03-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-03-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-03-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-03-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-03-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-03-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-03-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-03-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-03-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-03-10 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-03-11 06:00:00', 'surface', 3.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-03-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-03-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-03-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-03-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-03-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-03-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-03-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-03-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-03-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-03-21 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-03-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-03-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-03-24 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-03-25 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-03-26 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-03-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-03-28 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-03-29 06:00:00', 'surface', 5.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-03-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-03-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-04-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-04-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-04-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-04-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-04-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-04-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-04-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-04-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-04-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-04-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-04-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-04-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-04-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-04-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-04-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-04-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-04-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-04-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-04-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-04-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-04-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-04-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-04-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-04-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-04-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-04-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-04-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-04-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-04-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-04-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-05-01 06:00:00', 'surface', 1.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-05-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-05-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-05-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-05-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-05-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-05-07 06:00:00', 'surface', 0.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-05-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-05-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-05-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-05-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-05-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-05-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-05-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-05-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-05-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-05-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-05-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-05-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-05-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-05-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-05-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-05-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-05-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-05-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-05-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-05-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-05-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-05-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-05-30 06:00:00', 'surface', 0.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-05-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-06-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-06-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-06-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-06-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-06-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-06-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-06-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-06-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-06-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-06-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-06-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-06-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-06-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-06-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-06-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-06-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-06-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-06-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-06-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-06-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-06-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-06-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-06-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-06-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-06-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-06-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-06-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-06-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-06-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-06-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-07-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-07-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-07-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-07-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-07-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-07-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-07-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-07-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-07-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-07-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-07-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-07-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-07-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-07-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-07-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-07-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-07-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-07-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-07-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-07-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-07-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-07-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-07-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-07-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-07-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-07-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-07-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-07-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-07-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-07-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-07-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-08-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-08-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-08-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-08-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-08-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-08-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-08-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-08-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-08-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-08-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-08-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-08-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-08-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-08-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-08-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-08-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-08-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-08-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-08-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-08-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-08-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-08-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-08-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-08-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-08-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-08-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-08-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-08-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-08-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-08-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-08-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-09-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-09-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-09-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-09-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-09-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-09-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-09-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-09-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-09-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-09-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-09-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-09-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-09-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-09-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-09-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-09-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-09-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-09-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-09-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-09-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-09-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-09-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-09-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-09-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-09-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-09-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-09-27 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-09-28 06:00:00', 'surface', 1.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-09-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-09-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-10-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-10-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-10-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-10-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-10-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-10-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-10-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-10-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-10-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-10-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-10-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-10-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-10-13 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-10-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-10-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-10-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-10-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-10-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-10-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-10-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-10-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-10-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-10-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-10-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-10-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-10-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-10-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-10-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-10-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-10-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-10-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-11-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-11-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-11-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-11-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-11-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-11-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-11-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-11-08 06:00:00', 'surface', 0.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-11-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-11-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-11-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-11-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-11-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-11-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-11-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-11-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-11-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-11-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-11-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-11-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-11-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-11-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-11-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-11-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-11-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-11-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-11-27 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-11-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-11-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-11-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-12-01 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-12-02 06:00:00', 'surface', 10.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-12-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-12-04 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-12-05 06:00:00', 'surface', 2.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-12-06 06:00:00', 'surface', 5.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-12-07 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-12-08 06:00:00', 'surface', 33.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-12-09 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-12-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-12-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-12-12 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-12-13 06:00:00', 'surface', 35.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-12-14 06:00:00', 'surface', 3.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-12-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-12-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-12-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-12-18 06:00:00', 'surface', 11.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-12-19 06:00:00', 'surface', 34.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-12-20 06:00:00', 'surface', 11.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-12-21 06:00:00', 'surface', 1.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-12-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-12-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-12-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-12-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-12-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-12-27 06:00:00', 'surface', 0.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-12-28 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-12-29 06:00:00', 'surface', 70.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-12-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1987-12-31 06:00:00', 'surface', 5.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-01-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-01-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-01-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-01-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-01-05 06:00:00', 'surface', 3.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-01-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-01-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-01-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-01-09 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-01-10 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-01-11 06:00:00', 'surface', 6.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-01-12 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-01-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-01-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-01-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-01-16 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-01-17 06:00:00', 'surface', 0.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-01-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-01-19 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-01-20 06:00:00', 'surface', 1.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-01-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-01-22 06:00:00', 'surface', 88.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-01-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-01-24 06:00:00', 'surface', 5.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-01-25 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-01-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-01-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-01-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-01-29 06:00:00', 'surface', 0.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-01-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-01-31 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-02-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-02-02 06:00:00', 'surface', 4.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-02-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-02-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-02-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-02-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-02-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-02-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-02-09 06:00:00', 'surface', 2.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-02-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-02-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-02-12 06:00:00', 'surface', 3.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-02-13 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-02-14 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-02-15 06:00:00', 'surface', 4.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-02-16 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-02-17 06:00:00', 'surface', 2.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-02-18 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-02-19 06:00:00', 'surface', 8.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-02-20 06:00:00', 'surface', 30.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-02-21 06:00:00', 'surface', 8.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-02-22 06:00:00', 'surface', 1.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-02-23 06:00:00', 'surface', 34.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-02-24 06:00:00', 'surface', 36.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-02-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-02-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-02-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-02-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-02-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-03-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-03-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-03-03 06:00:00', 'surface', 2.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-03-04 06:00:00', 'surface', 2.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-03-05 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-03-06 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-03-07 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-03-08 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-03-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-03-10 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-03-11 06:00:00', 'surface', 54.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-03-12 06:00:00', 'surface', 2.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-03-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-03-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-03-15 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-03-16 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-03-17 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-03-18 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-03-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-03-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-03-21 06:00:00', 'surface', 1.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-03-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-03-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-03-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-03-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-03-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-03-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-03-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-03-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-03-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-03-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-04-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-04-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-04-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-04-04 06:00:00', 'surface', 4.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-04-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-04-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-04-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-04-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-04-09 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-04-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-04-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-04-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-04-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-04-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-04-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-04-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-04-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-04-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-04-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-04-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-04-21 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-04-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-04-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-04-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-04-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-04-26 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-04-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-04-28 06:00:00', 'surface', 6.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-04-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-04-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-05-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-05-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-05-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-05-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-05-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-05-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-05-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-05-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-05-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-05-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-05-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-05-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-05-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-05-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-05-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-05-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-05-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-05-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-05-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-05-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-05-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-05-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-05-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-05-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-05-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-05-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-05-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-05-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-05-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-05-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-05-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-06-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-06-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-06-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-06-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-06-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-06-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-06-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-06-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-06-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-06-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-06-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-06-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-06-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-06-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-06-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-06-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-06-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-06-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-06-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-06-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-06-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-06-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-06-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-06-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-06-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-06-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-06-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-06-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-06-29 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-06-30 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-07-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-07-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-07-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-07-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-07-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-07-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-07-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-07-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-07-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-07-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-07-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-07-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-07-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-07-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-07-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-07-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-07-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-07-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-07-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-07-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-07-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-07-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-07-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-07-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-07-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-07-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-07-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-07-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-07-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-07-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-07-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-08-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-08-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-08-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-08-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-08-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-08-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-08-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-08-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-08-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-08-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-08-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-08-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-08-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-08-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-08-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-08-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-08-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-08-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-08-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-08-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-08-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-08-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-08-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-08-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-08-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-08-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-08-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-08-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-08-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-08-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-08-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-09-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-09-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-09-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-09-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-09-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-09-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-09-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-09-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-09-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-09-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-09-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-09-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-09-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-09-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-09-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-09-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-09-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-09-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-09-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-09-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-09-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-09-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-09-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-09-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-09-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-09-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-09-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-09-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-09-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-09-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-10-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-10-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-10-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-10-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-10-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-10-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-10-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-10-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-10-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-10-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-10-11 06:00:00', 'surface', 11.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-10-12 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-10-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-10-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-10-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-10-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-10-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-10-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-10-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-10-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-10-21 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-10-22 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-10-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-10-24 06:00:00', 'surface', 1.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-10-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-10-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-10-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-10-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-10-29 06:00:00', 'surface', 1.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-10-30 06:00:00', 'surface', 10.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-10-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-11-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-11-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-11-03 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-11-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-11-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-11-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-11-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-11-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-11-09 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-11-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-11-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-11-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-11-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-11-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-11-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-11-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-11-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-11-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-11-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-11-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-11-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-11-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-11-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-11-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-11-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-11-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-11-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-11-28 06:00:00', 'surface', 5.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-11-29 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-11-30 06:00:00', 'surface', 10.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-12-01 06:00:00', 'surface', 1.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-12-02 06:00:00', 'surface', 0.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-12-03 06:00:00', 'surface', 0.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-12-04 06:00:00', 'surface', 3.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-12-05 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-12-06 06:00:00', 'surface', 5.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-12-07 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-12-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-12-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-12-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-12-11 06:00:00', 'surface', 1.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-12-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-12-13 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-12-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-12-15 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-12-16 06:00:00', 'surface', 10.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-12-17 06:00:00', 'surface', 1.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-12-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-12-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-12-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-12-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-12-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-12-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-12-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-12-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-12-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-12-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-12-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-12-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-12-30 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1988-12-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-01-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-01-02 06:00:00', 'surface', 1.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-01-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-01-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-01-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-01-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-01-07 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-01-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-01-09 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-01-10 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-01-11 06:00:00', 'surface', 32.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-01-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-01-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-01-14 06:00:00', 'surface', 4.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-01-15 06:00:00', 'surface', 0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-01-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-01-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-01-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-01-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-01-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-01-21 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-01-22 06:00:00', 'surface', 1.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-01-23 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-01-24 06:00:00', 'surface', 5.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-01-25 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-01-26 06:00:00', 'surface', 4.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-01-27 06:00:00', 'surface', 55.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-01-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-01-29 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-01-30 06:00:00', 'surface', 32.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-01-31 06:00:00', 'surface', 5.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-02-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-02-02 06:00:00', 'surface', 1.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-02-03 06:00:00', 'surface', 31.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-02-04 06:00:00', 'surface', 1.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-02-05 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-02-06 06:00:00', 'surface', 4.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-02-07 06:00:00', 'surface', 0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-02-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-02-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-02-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-02-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-02-12 06:00:00', 'surface', 0.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-02-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-02-14 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-02-15 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-02-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-02-17 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-02-18 06:00:00', 'surface', 0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-02-19 06:00:00', 'surface', 4.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-02-20 06:00:00', 'surface', 2.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-02-21 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-02-22 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-02-23 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-02-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-02-25 06:00:00', 'surface', 9.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-02-26 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-02-27 06:00:00', 'surface', 5.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-02-28 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-03-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-03-02 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-03-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-03-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-03-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-03-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-03-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-03-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-03-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-03-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-03-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-03-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-03-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-03-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-03-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-03-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-03-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-03-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-03-19 06:00:00', 'surface', 0.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-03-20 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-03-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-03-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-03-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-03-24 06:00:00', 'surface', 0.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-03-25 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-03-26 06:00:00', 'surface', 0.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-03-27 06:00:00', 'surface', 1.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-03-28 06:00:00', 'surface', 0.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-03-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-03-30 06:00:00', 'surface', 0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-03-31 06:00:00', 'surface', 9.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-04-01 06:00:00', 'surface', 4.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-04-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-04-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-04-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-04-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-04-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-04-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-04-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-04-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-04-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-04-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-04-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-04-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-04-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-04-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-04-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-04-17 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-04-18 06:00:00', 'surface', 1.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-04-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-04-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-04-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-04-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-04-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-04-24 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-04-25 06:00:00', 'surface', 1.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-04-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-04-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-04-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-04-29 06:00:00', 'surface', 0.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-04-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-05-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-05-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-05-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-05-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-05-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-05-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-05-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-05-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-05-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-05-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-05-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-05-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-05-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-05-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-05-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-05-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-05-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-05-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-05-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-05-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-05-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-05-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-05-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-05-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-05-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-05-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-05-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-05-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-05-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-05-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-05-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-06-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-06-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-06-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-06-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-06-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-06-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-06-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-06-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-06-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-06-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-06-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-06-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-06-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-06-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-06-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-06-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-06-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-06-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-06-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-06-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-06-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-06-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-06-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-06-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-06-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-06-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-06-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-06-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-06-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-06-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-07-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-07-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-07-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-07-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-07-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-07-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-07-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-07-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-07-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-07-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-07-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-07-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-07-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-07-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-07-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-07-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-07-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-07-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-07-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-07-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-07-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-07-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-07-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-07-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-07-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-07-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-07-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-07-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-07-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-07-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-07-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-08-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-08-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-08-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-08-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-08-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-08-06 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-08-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-08-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-08-09 06:00:00', 'surface', 0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-08-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-08-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-08-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-08-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-08-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-08-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-08-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-08-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-08-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-08-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-08-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-08-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-08-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-08-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-08-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-08-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-08-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-08-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-08-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-08-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-08-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-08-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-09-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-09-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-09-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-09-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-09-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-09-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-09-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-09-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-09-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-09-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-09-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-09-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-09-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-09-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-09-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-09-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-09-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-09-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-09-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-09-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-09-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-09-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-09-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-09-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-09-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-09-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-09-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-09-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-09-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-09-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-10-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-10-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-10-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-10-04 06:00:00', 'surface', 2.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-10-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-10-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-10-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-10-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-10-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-10-10 06:00:00', 'surface', 2.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-10-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-10-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-10-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-10-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-10-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-10-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-10-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-10-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-10-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-10-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-10-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-10-22 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-10-23 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-10-24 06:00:00', 'surface', 0.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-10-25 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-10-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-10-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-10-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-10-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-10-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-10-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-11-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-11-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-11-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-11-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-11-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-11-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-11-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-11-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-11-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-11-10 06:00:00', 'surface', 4.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-11-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-11-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-11-13 06:00:00', 'surface', 49.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-11-14 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-11-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-11-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-11-17 06:00:00', 'surface', 32.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-11-18 06:00:00', 'surface', 0.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-11-19 06:00:00', 'surface', 2.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-11-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-11-21 06:00:00', 'surface', 4.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-11-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-11-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-11-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-11-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-11-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-11-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-11-28 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-11-29 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-11-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-12-01 06:00:00', 'surface', 8.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-12-02 06:00:00', 'surface', 0.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-12-03 06:00:00', 'surface', 1.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-12-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-12-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-12-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-12-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-12-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-12-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-12-10 06:00:00', 'surface', 0.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-12-11 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-12-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-12-13 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-12-14 06:00:00', 'surface', 1.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-12-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-12-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-12-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-12-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-12-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-12-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-12-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-12-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-12-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-12-24 06:00:00', 'surface', 0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-12-25 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-12-26 06:00:00', 'surface', 0.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-12-27 06:00:00', 'surface', 0.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-12-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-12-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-12-30 06:00:00', 'surface', 0.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1989-12-31 06:00:00', 'surface', 1.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-01-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-01-02 06:00:00', 'surface', 3.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-01-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-01-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-01-05 06:00:00', 'surface', 64.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-01-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-01-07 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-01-08 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-01-09 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-01-10 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-01-11 06:00:00', 'surface', 10.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-01-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-01-13 06:00:00', 'surface', 39.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-01-14 06:00:00', 'surface', 31.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-01-15 06:00:00', 'surface', 6.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-01-16 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-01-17 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-01-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-01-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-01-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-01-21 06:00:00', 'surface', 4.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-01-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-01-23 06:00:00', 'surface', 68.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-01-24 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-01-25 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-01-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-01-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-01-28 06:00:00', 'surface', 2.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-01-29 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-01-30 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-01-31 06:00:00', 'surface', 2.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-02-01 06:00:00', 'surface', 3.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-02-02 06:00:00', 'surface', 0.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-02-03 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-02-04 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-02-05 06:00:00', 'surface', 0.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-02-06 06:00:00', 'surface', 56.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-02-07 06:00:00', 'surface', 0.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-02-08 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-02-09 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-02-10 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-02-11 06:00:00', 'surface', 4.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-02-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-02-13 06:00:00', 'surface', 2.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-02-14 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-02-15 06:00:00', 'surface', 4.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-02-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-02-17 06:00:00', 'surface', 8.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-02-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-02-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-02-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-02-21 06:00:00', 'surface', 0.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-02-22 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-02-23 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-02-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-02-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-02-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-02-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-02-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-04-01 06:00:00', 'surface', 0.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-04-02 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-04-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-04-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-04-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-04-06 06:00:00', 'surface', 6.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-04-07 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-04-08 06:00:00', 'surface', 2.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-04-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-04-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-04-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-04-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-04-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-04-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-04-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-04-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-04-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-04-18 06:00:00', 'surface', 9.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-04-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-04-20 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-04-21 06:00:00', 'surface', 5.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-04-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-04-23 06:00:00', 'surface', 4.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-04-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-04-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-04-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-04-27 06:00:00', 'surface', 2.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-04-28 06:00:00', 'surface', 2.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-04-29 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-04-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-05-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-08-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-08-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-08-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-08-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-08-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-08-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-08-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-08-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-08-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-08-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-08-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-08-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-08-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-08-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-08-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-08-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-09-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-09-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-09-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-09-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-09-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-09-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-09-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-09-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-09-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-09-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-09-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-09-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-09-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-09-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-09-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-09-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-09-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-09-18 06:00:00', 'surface', 0.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-09-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-09-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-09-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-09-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-09-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-09-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-09-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-09-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-09-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-09-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-09-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-09-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-10-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-10-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-10-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-10-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-10-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-10-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-10-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-10-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-10-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-10-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-10-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-10-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-10-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-10-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-10-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-10-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-10-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-10-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-10-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-10-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-10-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-10-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-10-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-10-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-10-25 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-10-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-10-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-10-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-10-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-10-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-10-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-11-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-11-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-11-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-11-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-11-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-11-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-11-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-11-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-11-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-11-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-11-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-11-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-11-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-11-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-11-15 06:00:00', 'surface', 11.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-11-16 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-11-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-11-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-11-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-11-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-11-21 06:00:00', 'surface', 33.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-11-22 06:00:00', 'surface', 3.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-11-23 06:00:00', 'surface', 0.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-11-24 06:00:00', 'surface', 38.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-11-25 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-11-26 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-11-27 06:00:00', 'surface', 0.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-11-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-11-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-11-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-12-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-12-02 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-12-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-12-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-12-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-12-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-12-07 06:00:00', 'surface', 0.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-12-08 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-12-09 06:00:00', 'surface', 11.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-12-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-12-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-12-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-12-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-12-14 06:00:00', 'surface', 10.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-12-15 06:00:00', 'surface', 6.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-12-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-12-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-12-18 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-12-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-12-20 06:00:00', 'surface', 0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-12-21 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-12-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-12-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-12-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-12-25 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-12-26 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-12-27 06:00:00', 'surface', 49.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-12-28 06:00:00', 'surface', 2.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-12-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-12-30 06:00:00', 'surface', 1.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1990-12-31 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-01-01 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-01-02 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-01-03 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-01-04 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-01-05 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-01-06 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-01-07 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-01-08 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-01-09 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-01-10 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-01-11 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-01-12 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-01-13 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-01-14 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-01-15 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-01-16 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-01-17 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-01-18 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-01-19 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-01-20 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-01-21 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-01-22 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-01-23 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-01-24 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-01-25 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-01-26 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-01-27 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-01-28 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-01-29 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-01-30 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-01-31 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-02-01 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-02-02 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-02-03 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-02-04 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-02-05 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-02-06 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-02-07 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-02-08 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-02-09 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-02-10 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-02-11 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-02-12 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-02-13 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-02-14 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-02-15 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-02-16 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-02-17 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-02-18 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-02-19 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-02-20 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-02-21 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-02-22 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-02-23 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-02-24 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-02-25 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-02-26 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-02-27 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-02-28 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-03-01 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-03-02 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-03-03 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-03-04 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-03-05 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-03-06 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-03-07 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-03-08 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-03-09 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-03-10 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-03-11 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-03-12 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-03-13 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-03-14 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-03-15 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-03-16 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-03-17 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-03-18 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-03-19 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-03-20 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-03-21 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-03-22 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-03-23 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-03-24 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-03-25 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-03-26 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-03-27 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-03-28 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-03-29 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-03-30 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-03-31 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-04-01 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-04-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-04-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-04-04 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-04-05 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-04-06 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-04-07 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-04-08 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-04-09 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-04-10 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-04-11 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-04-12 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-04-13 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-04-14 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-04-15 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-04-16 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-04-17 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-04-18 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-04-19 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-04-20 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-04-21 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-04-22 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-04-23 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-04-24 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-04-25 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-04-26 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-04-27 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-04-28 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-04-29 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-04-30 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-05-01 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-05-02 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-05-03 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-05-04 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-05-05 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-05-06 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-05-07 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-05-08 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-05-09 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-05-10 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-05-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-05-12 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-05-13 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-05-14 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-05-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-05-16 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-05-17 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-05-18 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-05-19 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-05-20 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-05-21 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-05-22 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-05-23 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-05-24 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-05-25 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-05-26 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-05-27 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-05-28 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-05-29 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-05-30 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-05-31 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-06-01 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-06-02 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-06-03 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-06-04 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-06-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-06-06 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-06-07 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-06-08 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-06-09 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-06-10 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-06-11 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-06-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-06-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-06-14 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-06-15 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-06-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-06-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-06-18 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-06-19 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-06-20 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-06-21 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-06-22 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-06-23 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-06-24 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-06-25 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-06-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-06-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-06-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-06-29 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-06-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-07-01 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-07-02 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-07-03 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-07-04 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-07-05 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-07-06 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-07-07 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-07-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-07-09 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-07-10 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-07-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-07-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-07-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-07-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-07-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-07-16 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-07-17 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-07-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-07-19 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-07-20 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-07-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-07-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-07-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-07-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-07-25 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-07-26 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-07-27 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-07-28 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-07-29 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-07-30 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-07-31 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-08-01 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-08-02 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-08-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-08-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-08-05 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-08-06 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-08-07 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-08-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-08-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-08-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-08-11 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-08-12 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-08-13 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-08-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-08-15 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-08-16 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-08-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-08-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-08-19 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-08-20 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-08-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-08-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-08-23 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-08-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-08-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-08-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-08-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-08-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-08-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-08-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-08-31 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-09-01 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-09-02 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-09-03 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-09-04 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-09-05 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-09-06 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-09-07 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-09-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-09-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-09-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-09-11 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-09-12 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-09-13 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-09-14 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-09-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-09-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-09-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-09-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-09-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-09-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-09-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-09-22 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-09-23 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-09-24 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-09-25 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-09-26 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-09-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-09-28 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-09-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-09-30 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-10-01 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-10-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-10-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-10-04 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-10-05 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-10-06 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-10-07 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-10-08 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-10-09 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-10-10 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-10-11 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-10-12 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-10-13 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-10-14 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-10-15 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-10-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-10-17 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-10-18 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-10-19 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-10-20 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-10-21 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-10-22 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-10-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-10-24 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-10-25 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-10-26 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-10-27 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-10-28 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-10-29 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-10-30 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-10-31 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-11-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-11-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-11-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-11-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-11-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-11-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-11-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-11-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-11-09 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-11-10 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-11-11 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-11-12 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-11-13 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-11-14 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-11-15 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-11-16 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-11-17 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-11-18 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-11-19 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-11-20 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-11-21 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-11-22 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-11-23 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-11-24 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-11-25 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-11-26 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-11-27 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-11-28 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-11-29 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-11-30 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-12-01 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-12-02 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-12-03 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-12-04 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-12-05 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-12-06 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-12-07 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-12-08 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-12-09 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-12-10 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-12-11 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-12-12 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-12-13 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-12-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-12-15 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-12-16 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-12-17 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-12-18 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-12-19 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-12-20 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-12-21 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-12-22 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-12-23 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-12-24 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-12-25 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-12-26 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-12-27 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-12-28 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-12-29 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-12-30 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1981-12-31 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-01-01 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-01-02 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-01-03 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-01-04 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-01-05 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-01-06 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-01-07 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-01-08 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-01-09 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-01-10 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-01-11 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-01-12 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-01-13 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-01-14 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-01-15 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-01-16 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-01-17 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-01-18 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-01-19 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-01-20 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-01-21 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-01-22 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-01-23 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-01-24 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-01-25 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-01-26 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-01-27 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-01-28 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-01-29 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-01-30 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-01-31 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-02-01 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-02-02 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-02-03 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-02-04 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-02-05 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-02-06 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-02-07 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-02-08 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-02-09 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-02-10 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-02-11 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-02-12 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-02-13 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-02-14 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-02-15 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-02-16 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-02-17 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-02-18 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-02-19 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-02-20 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-02-21 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-02-22 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-02-23 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-02-24 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-02-25 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-02-26 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-02-27 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-02-28 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-03-01 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-03-02 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-03-03 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-03-04 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-03-05 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-03-06 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-03-07 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-03-08 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-03-09 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-03-10 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-03-11 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-03-12 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-03-13 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-03-14 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-03-15 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-03-16 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-03-17 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-03-18 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-03-19 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-03-20 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-03-21 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-03-22 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-03-23 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-03-24 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-03-25 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-03-26 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-03-27 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-03-28 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-03-29 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-03-30 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-03-31 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-04-01 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-04-02 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-04-03 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-04-04 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-04-05 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-04-06 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-04-07 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-04-08 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-04-09 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-04-10 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-04-11 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-04-12 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-04-13 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-04-14 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-04-15 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-04-16 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-04-17 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-04-18 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-04-19 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-04-20 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-04-21 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-04-22 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-04-23 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-04-24 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-04-25 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-04-26 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-04-27 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-04-28 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-04-29 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-04-30 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-05-01 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-05-02 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-05-03 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-05-04 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-05-05 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-05-06 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-05-07 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-05-08 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-05-09 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-05-10 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-05-11 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-05-12 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-05-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-05-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-05-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-05-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-05-17 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-05-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-05-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-05-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-05-21 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-05-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-05-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-05-24 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-05-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-05-26 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-05-27 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-05-28 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-05-29 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-05-30 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-05-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-06-01 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-06-02 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-06-03 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-06-04 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-06-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-06-06 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-06-07 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-06-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-06-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-06-10 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-06-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-06-12 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-06-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-06-14 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-06-15 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-06-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-06-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-06-18 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-06-19 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-06-20 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-06-21 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-06-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-06-23 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-06-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-06-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-06-26 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-06-27 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-06-28 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-06-29 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-06-30 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-07-01 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-07-02 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-07-03 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-07-04 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-07-05 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-07-06 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-07-07 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-07-08 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-07-09 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-07-10 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-07-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-07-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-07-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-07-14 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-07-15 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-07-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-07-17 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-07-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-07-19 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-07-20 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-07-21 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-07-22 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-07-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-07-24 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-07-25 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-07-26 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-07-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-07-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-07-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-07-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1982-07-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-01-01 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-01-02 06:00:00', 'surface', 853.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-01-03 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-01-04 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-01-05 06:00:00', 'surface', 855.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-01-06 06:00:00', 'surface', 854.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-01-07 06:00:00', 'surface', 853.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-01-08 06:00:00', 'surface', 852.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-01-09 06:00:00', 'surface', 853.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-01-10 06:00:00', 'surface', 853.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-01-11 06:00:00', 'surface', 853.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-01-12 06:00:00', 'surface', 852.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-01-13 06:00:00', 'surface', 852.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-01-14 06:00:00', 'surface', 851.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-01-15 06:00:00', 'surface', 853.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-01-16 06:00:00', 'surface', 852.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-01-17 06:00:00', 'surface', 853.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-01-18 06:00:00', 'surface', 853.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-01-19 06:00:00', 'surface', 852.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-01-20 06:00:00', 'surface', 853.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-01-21 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-01-22 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-01-23 06:00:00', 'surface', 853.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-01-24 06:00:00', 'surface', 852.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-01-25 06:00:00', 'surface', 854.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-01-26 06:00:00', 'surface', 856.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-01-27 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-01-28 06:00:00', 'surface', 854.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-01-29 06:00:00', 'surface', 854.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-01-30 06:00:00', 'surface', 853.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-01-31 06:00:00', 'surface', 852.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-02-01 06:00:00', 'surface', 852.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-02-02 06:00:00', 'surface', 853.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-02-03 06:00:00', 'surface', 853.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-02-04 06:00:00', 'surface', 851.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-02-05 06:00:00', 'surface', 851.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-02-06 06:00:00', 'surface', 853.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-02-07 06:00:00', 'surface', 852.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-02-08 06:00:00', 'surface', 851.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-02-09 06:00:00', 'surface', 850.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-02-10 06:00:00', 'surface', 851.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-02-11 06:00:00', 'surface', 852.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-02-12 06:00:00', 'surface', 852.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-02-13 06:00:00', 'surface', 852.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-02-14 06:00:00', 'surface', 853.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-02-15 06:00:00', 'surface', 852.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-02-16 06:00:00', 'surface', 852.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-02-17 06:00:00', 'surface', 853.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-02-18 06:00:00', 'surface', 852.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-02-19 06:00:00', 'surface', 852.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-02-20 06:00:00', 'surface', 851.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-02-21 06:00:00', 'surface', 851.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-02-22 06:00:00', 'surface', 851.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-02-23 06:00:00', 'surface', 851.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-02-24 06:00:00', 'surface', 853.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-02-25 06:00:00', 'surface', 854.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-02-26 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-02-27 06:00:00', 'surface', 855.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-02-28 06:00:00', 'surface', 854.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-03-01 06:00:00', 'surface', 853.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-03-02 06:00:00', 'surface', 853.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-03-03 06:00:00', 'surface', 853.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-03-04 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-03-05 06:00:00', 'surface', 855.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-03-06 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-03-07 06:00:00', 'surface', 855.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-03-08 06:00:00', 'surface', 855.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-03-09 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-03-10 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-03-11 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-03-12 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-03-13 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-03-14 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-03-15 06:00:00', 'surface', 855.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-03-16 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-03-17 06:00:00', 'surface', 855.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-03-18 06:00:00', 'surface', 854.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-03-19 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-03-20 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-03-21 06:00:00', 'surface', 855.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-03-22 06:00:00', 'surface', 853.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-03-23 06:00:00', 'surface', 852.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-03-24 06:00:00', 'surface', 853.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-03-25 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-03-26 06:00:00', 'surface', 852.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-03-27 06:00:00', 'surface', 851.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-03-28 06:00:00', 'surface', 852.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-03-29 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-03-30 06:00:00', 'surface', 856.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-03-31 06:00:00', 'surface', 857.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-04-01 06:00:00', 'surface', 856.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-04-02 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-04-03 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-04-04 06:00:00', 'surface', 856.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-04-05 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-04-06 06:00:00', 'surface', 854.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-04-07 06:00:00', 'surface', 854.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-04-08 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-04-09 06:00:00', 'surface', 856.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-04-10 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-04-11 06:00:00', 'surface', 856.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-04-12 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-04-13 06:00:00', 'surface', 856.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-04-14 06:00:00', 'surface', 856.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-04-15 06:00:00', 'surface', 856.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-04-16 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-04-17 06:00:00', 'surface', 856.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-04-18 06:00:00', 'surface', 858.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-04-19 06:00:00', 'surface', 858.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-04-20 06:00:00', 'surface', 858.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-04-21 06:00:00', 'surface', 857.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-04-22 06:00:00', 'surface', 857.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-04-23 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-04-24 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-04-25 06:00:00', 'surface', 855.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-04-26 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-04-27 06:00:00', 'surface', 853.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-04-28 06:00:00', 'surface', 854.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-04-29 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-04-30 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-05-01 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-05-02 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-05-03 06:00:00', 'surface', 858.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-05-04 06:00:00', 'surface', 857.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-05-05 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-05-06 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-05-07 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-05-08 06:00:00', 'surface', 855.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-05-09 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-05-10 06:00:00', 'surface', 855.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-05-11 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-05-12 06:00:00', 'surface', 855.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-05-13 06:00:00', 'surface', 855.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-05-14 06:00:00', 'surface', 857.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-05-15 06:00:00', 'surface', 859.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-05-16 06:00:00', 'surface', 858.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-05-17 06:00:00', 'surface', 859.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-05-18 06:00:00', 'surface', 860.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-05-19 06:00:00', 'surface', 861.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-05-20 06:00:00', 'surface', 861.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-05-21 06:00:00', 'surface', 860.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-05-22 06:00:00', 'surface', 860.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-05-23 06:00:00', 'surface', 862.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-05-24 06:00:00', 'surface', 860.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-05-25 06:00:00', 'surface', 858.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-05-26 06:00:00', 'surface', 857.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-05-27 06:00:00', 'surface', 856.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-05-28 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-05-29 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-05-30 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-05-31 06:00:00', 'surface', 856.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-06-01 06:00:00', 'surface', 858.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-06-02 06:00:00', 'surface', 858.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-06-03 06:00:00', 'surface', 858.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-06-04 06:00:00', 'surface', 857.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-06-05 06:00:00', 'surface', 857.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-06-06 06:00:00', 'surface', 858.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-06-07 06:00:00', 'surface', 859.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-06-08 06:00:00', 'surface', 861.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-06-09 06:00:00', 'surface', 862.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-06-10 06:00:00', 'surface', 861.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-06-11 06:00:00', 'surface', 862.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-06-12 06:00:00', 'surface', 863.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-06-13 06:00:00', 'surface', 862.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-06-14 06:00:00', 'surface', 860.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-06-15 06:00:00', 'surface', 858.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-06-16 06:00:00', 'surface', 859.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-06-17 06:00:00', 'surface', 863.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-06-18 06:00:00', 'surface', 862.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-06-19 06:00:00', 'surface', 859.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-06-20 06:00:00', 'surface', 858.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-06-21 06:00:00', 'surface', 857.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-06-22 06:00:00', 'surface', 858.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-06-23 06:00:00', 'surface', 860.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-06-24 06:00:00', 'surface', 860.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-06-25 06:00:00', 'surface', 859.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-06-26 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-06-27 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-06-28 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-06-29 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-06-30 06:00:00', 'surface', 857.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-07-01 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-07-02 06:00:00', 'surface', 858.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-07-03 06:00:00', 'surface', 861.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-07-04 06:00:00', 'surface', 861.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-07-05 06:00:00', 'surface', 859.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-07-06 06:00:00', 'surface', 858.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-07-07 06:00:00', 'surface', 856.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-07-08 06:00:00', 'surface', 857.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-07-09 06:00:00', 'surface', 859.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-07-10 06:00:00', 'surface', 859.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-07-11 06:00:00', 'surface', 856.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-07-12 06:00:00', 'surface', 856.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-07-13 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-07-14 06:00:00', 'surface', 858.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-07-15 06:00:00', 'surface', 858.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-07-16 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-07-17 06:00:00', 'surface', 857.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-07-18 06:00:00', 'surface', 859.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-07-19 06:00:00', 'surface', 859.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-07-20 06:00:00', 'surface', 858.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-07-21 06:00:00', 'surface', 858.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-07-22 06:00:00', 'surface', 859.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-07-23 06:00:00', 'surface', 859.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-07-24 06:00:00', 'surface', 859.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-07-25 06:00:00', 'surface', 861.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-07-26 06:00:00', 'surface', 861.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-07-27 06:00:00', 'surface', 860.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-07-28 06:00:00', 'surface', 859.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-07-29 06:00:00', 'surface', 859.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-07-30 06:00:00', 'surface', 861.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-07-31 06:00:00', 'surface', 860.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-08-01 06:00:00', 'surface', 857.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-08-02 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-08-03 06:00:00', 'surface', 857.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-08-04 06:00:00', 'surface', 857.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-08-05 06:00:00', 'surface', 858.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-08-06 06:00:00', 'surface', 860.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-08-07 06:00:00', 'surface', 860.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-08-08 06:00:00', 'surface', 860.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-08-09 06:00:00', 'surface', 859.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-08-10 06:00:00', 'surface', 858.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-08-11 06:00:00', 'surface', 856.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-08-12 06:00:00', 'surface', 857.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-08-13 06:00:00', 'surface', 857.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-08-14 06:00:00', 'surface', 857.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-08-15 06:00:00', 'surface', 859.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-08-16 06:00:00', 'surface', 857.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-08-17 06:00:00', 'surface', 855.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-08-18 06:00:00', 'surface', 858.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-08-19 06:00:00', 'surface', 860.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-08-20 06:00:00', 'surface', 859.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-08-21 06:00:00', 'surface', 860.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-08-22 06:00:00', 'surface', 860.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-08-23 06:00:00', 'surface', 859.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-08-24 06:00:00', 'surface', 856.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-08-25 06:00:00', 'surface', 855.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-08-26 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-08-27 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-08-28 06:00:00', 'surface', 851.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-08-29 06:00:00', 'surface', 853.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-08-30 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-08-31 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-09-01 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-09-02 06:00:00', 'surface', 861.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-09-03 06:00:00', 'surface', 862.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-09-04 06:00:00', 'surface', 861.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-09-05 06:00:00', 'surface', 860.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-09-06 06:00:00', 'surface', 859.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-09-07 06:00:00', 'surface', 857.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-09-08 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-09-09 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-09-10 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-09-11 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-09-12 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-09-13 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-09-14 06:00:00', 'surface', 855.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-09-15 06:00:00', 'surface', 856.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-09-16 06:00:00', 'surface', 856.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-09-17 06:00:00', 'surface', 857.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-09-18 06:00:00', 'surface', 856.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-09-19 06:00:00', 'surface', 856.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-09-20 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-09-21 06:00:00', 'surface', 857.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-09-22 06:00:00', 'surface', 860.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-09-23 06:00:00', 'surface', 859.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-09-24 06:00:00', 'surface', 857.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-09-25 06:00:00', 'surface', 857.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-09-26 06:00:00', 'surface', 856.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-09-27 06:00:00', 'surface', 854.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-09-28 06:00:00', 'surface', 853.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-09-29 06:00:00', 'surface', 853.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-09-30 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-10-01 06:00:00', 'surface', 856.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-10-02 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-10-03 06:00:00', 'surface', 850.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-10-04 06:00:00', 'surface', 851.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-10-05 06:00:00', 'surface', 853.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-10-06 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-10-07 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-10-08 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-10-09 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-10-10 06:00:00', 'surface', 854.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-10-11 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-10-12 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-10-13 06:00:00', 'surface', 857.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-10-14 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-10-15 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-10-16 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-10-17 06:00:00', 'surface', 854.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-10-18 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-10-19 06:00:00', 'surface', 860.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-10-20 06:00:00', 'surface', 860.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-10-21 06:00:00', 'surface', 859.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-10-22 06:00:00', 'surface', 856.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-10-23 06:00:00', 'surface', 853.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-10-24 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-10-25 06:00:00', 'surface', 857.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-10-26 06:00:00', 'surface', 856.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-10-27 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-10-28 06:00:00', 'surface', 854.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-10-29 06:00:00', 'surface', 854.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-10-30 06:00:00', 'surface', 854.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-10-31 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-11-01 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-11-02 06:00:00', 'surface', 858.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-11-03 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-11-04 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-11-05 06:00:00', 'surface', 855.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-11-06 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-11-07 06:00:00', 'surface', 853.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-11-08 06:00:00', 'surface', 852.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-11-09 06:00:00', 'surface', 852.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-11-10 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-11-11 06:00:00', 'surface', 855.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-11-12 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-11-13 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-11-14 06:00:00', 'surface', 854.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-11-15 06:00:00', 'surface', 854.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-11-16 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-11-17 06:00:00', 'surface', 852.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-11-18 06:00:00', 'surface', 852.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-11-19 06:00:00', 'surface', 853.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-11-20 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-11-21 06:00:00', 'surface', 853.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-11-22 06:00:00', 'surface', 853.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-11-23 06:00:00', 'surface', 853.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-11-24 06:00:00', 'surface', 854.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-11-25 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-11-26 06:00:00', 'surface', 853.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-11-27 06:00:00', 'surface', 852.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-11-28 06:00:00', 'surface', 851.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-11-29 06:00:00', 'surface', 850.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-11-30 06:00:00', 'surface', 851.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-12-01 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-12-02 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-12-03 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-12-04 06:00:00', 'surface', 855.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-12-05 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-12-06 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-12-07 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-12-08 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-12-09 06:00:00', 'surface', 856.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-12-10 06:00:00', 'surface', 857.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-12-11 06:00:00', 'surface', 856.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-12-12 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-12-13 06:00:00', 'surface', 856.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-12-14 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-12-15 06:00:00', 'surface', 854.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-12-16 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-12-17 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-12-18 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-12-19 06:00:00', 'surface', 855.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-12-20 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-12-21 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-12-22 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-12-23 06:00:00', 'surface', 854.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-12-24 06:00:00', 'surface', 853.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-12-25 06:00:00', 'surface', 851.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-12-26 06:00:00', 'surface', 850.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-12-27 06:00:00', 'surface', 852.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-12-28 06:00:00', 'surface', 852.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-12-29 06:00:00', 'surface', 851.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-12-30 06:00:00', 'surface', 851.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1981-12-31 06:00:00', 'surface', 850.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-01-01 06:00:00', 'surface', 849.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-01-02 06:00:00', 'surface', 850.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-01-03 06:00:00', 'surface', 851.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-01-04 06:00:00', 'surface', 852.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-01-05 06:00:00', 'surface', 851.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-01-06 06:00:00', 'surface', 851.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-01-07 06:00:00', 'surface', 852.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-01-08 06:00:00', 'surface', 853.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-01-09 06:00:00', 'surface', 853.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-01-10 06:00:00', 'surface', 853.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-01-11 06:00:00', 'surface', 852.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-01-12 06:00:00', 'surface', 853.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-01-13 06:00:00', 'surface', 852.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-01-14 06:00:00', 'surface', 851.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-01-15 06:00:00', 'surface', 850.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-01-16 06:00:00', 'surface', 851.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-01-17 06:00:00', 'surface', 851.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-01-18 06:00:00', 'surface', 852.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-01-19 06:00:00', 'surface', 853.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-01-20 06:00:00', 'surface', 852.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-01-21 06:00:00', 'surface', 851.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-01-22 06:00:00', 'surface', 851.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-01-23 06:00:00', 'surface', 852.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-01-24 06:00:00', 'surface', 853.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-01-25 06:00:00', 'surface', 852.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-01-26 06:00:00', 'surface', 853.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-01-27 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-01-28 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-01-29 06:00:00', 'surface', 854.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-01-30 06:00:00', 'surface', 854.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-01-31 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-02-01 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-02-02 06:00:00', 'surface', 852.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-02-03 06:00:00', 'surface', 852.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-02-04 06:00:00', 'surface', 852.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-02-05 06:00:00', 'surface', 850.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-02-06 06:00:00', 'surface', 849.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-02-07 06:00:00', 'surface', 850.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-02-08 06:00:00', 'surface', 850.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-02-09 06:00:00', 'surface', 851.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-02-10 06:00:00', 'surface', 851.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-02-11 06:00:00', 'surface', 853.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-02-12 06:00:00', 'surface', 853.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-02-13 06:00:00', 'surface', 853.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-02-14 06:00:00', 'surface', 853.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-02-15 06:00:00', 'surface', 853.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-02-16 06:00:00', 'surface', 851.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-02-17 06:00:00', 'surface', 849.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-02-18 06:00:00', 'surface', 848.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-02-19 06:00:00', 'surface', 848.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-02-20 06:00:00', 'surface', 853.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-02-21 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-02-22 06:00:00', 'surface', 852.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-02-23 06:00:00', 'surface', 853.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-02-24 06:00:00', 'surface', 853.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-02-25 06:00:00', 'surface', 853.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-02-26 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-02-27 06:00:00', 'surface', 853.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-02-28 06:00:00', 'surface', 854.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-03-01 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-03-02 06:00:00', 'surface', 853.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-03-03 06:00:00', 'surface', 852.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-03-04 06:00:00', 'surface', 853.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-03-05 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-03-06 06:00:00', 'surface', 856.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-03-07 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-03-08 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-03-09 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-03-10 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-03-11 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-03-12 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-03-13 06:00:00', 'surface', 855.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-03-14 06:00:00', 'surface', 854.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-03-15 06:00:00', 'surface', 854.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-03-16 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-03-17 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-03-18 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-03-19 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-03-20 06:00:00', 'surface', 853.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-03-21 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-03-22 06:00:00', 'surface', 853.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-03-23 06:00:00', 'surface', 851.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-03-24 06:00:00', 'surface', 851.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-03-25 06:00:00', 'surface', 851.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-03-26 06:00:00', 'surface', 852.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-03-27 06:00:00', 'surface', 853.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-03-28 06:00:00', 'surface', 854.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-03-29 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-03-30 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-03-31 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-04-01 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-04-02 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-04-03 06:00:00', 'surface', 857.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-04-04 06:00:00', 'surface', 859.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-04-05 06:00:00', 'surface', 857.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-04-06 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-04-07 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-04-08 06:00:00', 'surface', 855.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-04-09 06:00:00', 'surface', 855.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-04-10 06:00:00', 'surface', 856.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-04-11 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-04-12 06:00:00', 'surface', 853.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-04-13 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-04-14 06:00:00', 'surface', 854.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-04-15 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-04-16 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-04-17 06:00:00', 'surface', 851.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-04-18 06:00:00', 'surface', 850.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-04-19 06:00:00', 'surface', 852.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-04-20 06:00:00', 'surface', 854.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-04-21 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-04-22 06:00:00', 'surface', 857.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-04-23 06:00:00', 'surface', 858.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-04-24 06:00:00', 'surface', 859.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-04-25 06:00:00', 'surface', 858.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-04-26 06:00:00', 'surface', 858.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-04-27 06:00:00', 'surface', 857.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-04-28 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-04-29 06:00:00', 'surface', 853.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-04-30 06:00:00', 'surface', 854.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-05-01 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-05-02 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-05-03 06:00:00', 'surface', 858.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-05-04 06:00:00', 'surface', 858.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-05-05 06:00:00', 'surface', 858.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-05-06 06:00:00', 'surface', 859.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-05-07 06:00:00', 'surface', 859.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-05-08 06:00:00', 'surface', 859.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-05-09 06:00:00', 'surface', 858.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-05-10 06:00:00', 'surface', 857.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-05-11 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-05-12 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-05-13 06:00:00', 'surface', 857.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-05-14 06:00:00', 'surface', 857.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-05-15 06:00:00', 'surface', 857.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-05-16 06:00:00', 'surface', 857.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-05-17 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-05-18 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-05-19 06:00:00', 'surface', 857.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-05-20 06:00:00', 'surface', 858.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-05-21 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-05-22 06:00:00', 'surface', 857.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-05-23 06:00:00', 'surface', 858.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-05-24 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-05-25 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-05-26 06:00:00', 'surface', 857.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-05-27 06:00:00', 'surface', 857.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-05-28 06:00:00', 'surface', 858.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-05-29 06:00:00', 'surface', 858.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-05-30 06:00:00', 'surface', 857.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-05-31 06:00:00', 'surface', 860.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-06-01 06:00:00', 'surface', 861.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-06-02 06:00:00', 'surface', 861.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-06-03 06:00:00', 'surface', 860.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-06-04 06:00:00', 'surface', 860.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-06-05 06:00:00', 'surface', 859.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-06-06 06:00:00', 'surface', 857.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-06-07 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-06-08 06:00:00', 'surface', 858.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-06-09 06:00:00', 'surface', 858.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-06-10 06:00:00', 'surface', 858.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-06-11 06:00:00', 'surface', 858.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-06-12 06:00:00', 'surface', 858.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-06-13 06:00:00', 'surface', 858.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-06-14 06:00:00', 'surface', 856.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-06-15 06:00:00', 'surface', 857.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-06-16 06:00:00', 'surface', 858.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-06-17 06:00:00', 'surface', 858.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-06-18 06:00:00', 'surface', 859.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-06-19 06:00:00', 'surface', 861.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-06-20 06:00:00', 'surface', 860.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-06-21 06:00:00', 'surface', 860.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-06-22 06:00:00', 'surface', 859.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-06-23 06:00:00', 'surface', 860.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-06-24 06:00:00', 'surface', 861.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-06-25 06:00:00', 'surface', 860.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-06-26 06:00:00', 'surface', 860.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-06-27 06:00:00', 'surface', 860.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-06-28 06:00:00', 'surface', 860.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-06-29 06:00:00', 'surface', 861.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-06-30 06:00:00', 'surface', 860.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-07-01 06:00:00', 'surface', 859.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-07-02 06:00:00', 'surface', 857.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-07-03 06:00:00', 'surface', 858.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-07-04 06:00:00', 'surface', 861.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-07-05 06:00:00', 'surface', 862.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-07-06 06:00:00', 'surface', 861.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-07-07 06:00:00', 'surface', 861.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-07-08 06:00:00', 'surface', 861.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-07-09 06:00:00', 'surface', 860.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-07-10 06:00:00', 'surface', 860.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-07-11 06:00:00', 'surface', 860.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-07-12 06:00:00', 'surface', 858.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-07-13 06:00:00', 'surface', 859.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-07-14 06:00:00', 'surface', 862.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-07-15 06:00:00', 'surface', 862.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-07-16 06:00:00', 'surface', 861.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-07-17 06:00:00', 'surface', 861.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-07-18 06:00:00', 'surface', 860.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-07-19 06:00:00', 'surface', 859.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-07-20 06:00:00', 'surface', 858.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-07-21 06:00:00', 'surface', 858.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-07-22 06:00:00', 'surface', 856.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-07-23 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-07-24 06:00:00', 'surface', 858.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-07-25 06:00:00', 'surface', 859.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-07-26 06:00:00', 'surface', 858.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-07-27 06:00:00', 'surface', 858.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-07-28 06:00:00', 'surface', 858.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-07-29 06:00:00', 'surface', 858.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-07-30 06:00:00', 'surface', 859.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-07-31 06:00:00', 'surface', 859.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-08-01 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-08-02 06:00:00', 'surface', 856.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-08-03 06:00:00', 'surface', 858.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-08-04 06:00:00', 'surface', 858.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-08-05 06:00:00', 'surface', 858.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-08-06 06:00:00', 'surface', 859.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-08-07 06:00:00', 'surface', 860.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-08-08 06:00:00', 'surface', 860.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-08-09 06:00:00', 'surface', 859.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-08-10 06:00:00', 'surface', 859.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-08-11 06:00:00', 'surface', 859.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-08-12 06:00:00', 'surface', 860.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-08-13 06:00:00', 'surface', 862.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-08-14 06:00:00', 'surface', 861.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-08-15 06:00:00', 'surface', 860.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-08-16 06:00:00', 'surface', 859.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-08-17 06:00:00', 'surface', 859.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-08-18 06:00:00', 'surface', 859.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-08-19 06:00:00', 'surface', 859.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-08-20 06:00:00', 'surface', 858.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-08-21 06:00:00', 'surface', 857.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-08-22 06:00:00', 'surface', 860.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-08-23 06:00:00', 'surface', 862.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-08-24 06:00:00', 'surface', 860.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-08-25 06:00:00', 'surface', 858.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-08-26 06:00:00', 'surface', 858.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-08-27 06:00:00', 'surface', 857.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-08-28 06:00:00', 'surface', 857.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-08-29 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-08-30 06:00:00', 'surface', 857.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-08-31 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-09-01 06:00:00', 'surface', 856.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-09-02 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-09-03 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-09-04 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-09-05 06:00:00', 'surface', 858.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-09-06 06:00:00', 'surface', 859.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-09-07 06:00:00', 'surface', 859.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-09-08 06:00:00', 'surface', 859.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-09-09 06:00:00', 'surface', 860.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-09-10 06:00:00', 'surface', 859.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-09-11 06:00:00', 'surface', 857.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-09-12 06:00:00', 'surface', 856.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-09-13 06:00:00', 'surface', 855.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-09-14 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-09-15 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-09-16 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-09-17 06:00:00', 'surface', 856.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-09-18 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-09-19 06:00:00', 'surface', 858.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-09-20 06:00:00', 'surface', 858.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-09-21 06:00:00', 'surface', 857.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-09-22 06:00:00', 'surface', 859.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-09-23 06:00:00', 'surface', 859.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-09-24 06:00:00', 'surface', 859.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-09-25 06:00:00', 'surface', 858.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-09-26 06:00:00', 'surface', 857.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-09-27 06:00:00', 'surface', 857.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-09-28 06:00:00', 'surface', 857.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-09-29 06:00:00', 'surface', 858.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-09-30 06:00:00', 'surface', 859.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-10-01 06:00:00', 'surface', 857.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-10-02 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-10-03 06:00:00', 'surface', 857.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-10-04 06:00:00', 'surface', 857.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-10-05 06:00:00', 'surface', 856.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-10-06 06:00:00', 'surface', 856.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-10-07 06:00:00', 'surface', 855.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-10-08 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-10-09 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-10-10 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-10-11 06:00:00', 'surface', 857.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-10-12 06:00:00', 'surface', 854.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-10-13 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-10-14 06:00:00', 'surface', 853.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-10-15 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-10-16 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-10-17 06:00:00', 'surface', 853.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-10-18 06:00:00', 'surface', 854.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-10-19 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-10-20 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-10-21 06:00:00', 'surface', 852.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-10-22 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-10-23 06:00:00', 'surface', 858.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-10-24 06:00:00', 'surface', 858.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-10-25 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-10-26 06:00:00', 'surface', 854.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-10-27 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-10-28 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-10-29 06:00:00', 'surface', 857.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-10-30 06:00:00', 'surface', 855.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-10-31 06:00:00', 'surface', 851.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-11-01 06:00:00', 'surface', 850.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-11-02 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-11-03 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-11-04 06:00:00', 'surface', 854.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-11-05 06:00:00', 'surface', 853.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-11-06 06:00:00', 'surface', 853.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-11-07 06:00:00', 'surface', 853.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-11-08 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-11-09 06:00:00', 'surface', 853.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-11-10 06:00:00', 'surface', 853.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-11-11 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-11-12 06:00:00', 'surface', 853.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-11-13 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-11-14 06:00:00', 'surface', 857.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-11-15 06:00:00', 'surface', 858.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-11-16 06:00:00', 'surface', 856.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-11-17 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-11-18 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-11-19 06:00:00', 'surface', 854.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-11-20 06:00:00', 'surface', 852.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-11-21 06:00:00', 'surface', 851.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-11-22 06:00:00', 'surface', 853.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-11-23 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-11-24 06:00:00', 'surface', 853.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-11-25 06:00:00', 'surface', 852.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-11-26 06:00:00', 'surface', 851.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-11-27 06:00:00', 'surface', 852.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-11-28 06:00:00', 'surface', 854.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-11-29 06:00:00', 'surface', 855.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-11-30 06:00:00', 'surface', 855.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-12-01 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-12-02 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-12-03 06:00:00', 'surface', 853.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-12-04 06:00:00', 'surface', 853.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-12-05 06:00:00', 'surface', 851.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-12-06 06:00:00', 'surface', 851.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-12-07 06:00:00', 'surface', 853.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-12-08 06:00:00', 'surface', 853.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-12-09 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-12-10 06:00:00', 'surface', 852.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-12-11 06:00:00', 'surface', 849.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-12-12 06:00:00', 'surface', 851.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-12-13 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-12-14 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-12-15 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-12-16 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-12-17 06:00:00', 'surface', 852.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-12-18 06:00:00', 'surface', 853.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-12-19 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-12-20 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-12-21 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-12-22 06:00:00', 'surface', 852.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-12-23 06:00:00', 'surface', 852.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-12-24 06:00:00', 'surface', 853.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-12-25 06:00:00', 'surface', 852.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-12-26 06:00:00', 'surface', 852.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-12-27 06:00:00', 'surface', 852.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-12-28 06:00:00', 'surface', 852.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-12-29 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-12-30 06:00:00', 'surface', 853.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1982-12-31 06:00:00', 'surface', 852.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-01-01 06:00:00', 'surface', 852.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-01-02 06:00:00', 'surface', 853.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-01-03 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-01-04 06:00:00', 'surface', 854.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-01-05 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-01-06 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-01-07 06:00:00', 'surface', 857.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-01-08 06:00:00', 'surface', 856.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-01-09 06:00:00', 'surface', 854.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-01-10 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-01-11 06:00:00', 'surface', 853.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-01-12 06:00:00', 'surface', 853.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-01-13 06:00:00', 'surface', 853.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-01-14 06:00:00', 'surface', 853.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-01-15 06:00:00', 'surface', 854.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-01-16 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-01-17 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-01-18 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-01-19 06:00:00', 'surface', 853.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-01-20 06:00:00', 'surface', 853.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-01-21 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-01-22 06:00:00', 'surface', 853.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-01-23 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-01-24 06:00:00', 'surface', 855.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-01-25 06:00:00', 'surface', 855.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-01-26 06:00:00', 'surface', 854.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-01-27 06:00:00', 'surface', 854.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-01-28 06:00:00', 'surface', 854.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-01-29 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-01-30 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-01-31 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-02-01 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-02-02 06:00:00', 'surface', 854.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-02-03 06:00:00', 'surface', 854.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-02-04 06:00:00', 'surface', 853.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-02-05 06:00:00', 'surface', 853.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-02-06 06:00:00', 'surface', 854.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-02-07 06:00:00', 'surface', 854.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-02-08 06:00:00', 'surface', 853.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-02-09 06:00:00', 'surface', 852.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-02-10 06:00:00', 'surface', 851.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-02-11 06:00:00', 'surface', 851.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-02-12 06:00:00', 'surface', 851.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-02-13 06:00:00', 'surface', 850.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-02-14 06:00:00', 'surface', 851.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-02-15 06:00:00', 'surface', 853.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-02-16 06:00:00', 'surface', 854.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-02-17 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-02-18 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-02-19 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-02-20 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-02-21 06:00:00', 'surface', 855.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-02-22 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-02-23 06:00:00', 'surface', 854.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-02-24 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-02-25 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-02-26 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-02-27 06:00:00', 'surface', 855.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-02-28 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-03-01 06:00:00', 'surface', 857.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-03-02 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-03-03 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-03-04 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-03-05 06:00:00', 'surface', 854.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-03-06 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-03-07 06:00:00', 'surface', 854.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-03-08 06:00:00', 'surface', 855.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-03-09 06:00:00', 'surface', 855.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-03-10 06:00:00', 'surface', 856.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-03-11 06:00:00', 'surface', 858.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-03-12 06:00:00', 'surface', 857.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-03-13 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-03-14 06:00:00', 'surface', 855.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-03-15 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-03-16 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-03-17 06:00:00', 'surface', 855.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-03-18 06:00:00', 'surface', 854.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-03-19 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-03-20 06:00:00', 'surface', 854.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-03-21 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-03-22 06:00:00', 'surface', 855.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-03-23 06:00:00', 'surface', 854.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-03-24 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-03-25 06:00:00', 'surface', 856.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-03-26 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-03-27 06:00:00', 'surface', 856.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-03-28 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-03-29 06:00:00', 'surface', 854.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-03-30 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-03-31 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-04-01 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-04-02 06:00:00', 'surface', 856.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-04-03 06:00:00', 'surface', 856.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-04-04 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-04-05 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-04-06 06:00:00', 'surface', 855.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-04-07 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-04-08 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-04-09 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-04-10 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-04-11 06:00:00', 'surface', 855.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-04-12 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-04-13 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-04-14 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-04-15 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-04-16 06:00:00', 'surface', 857.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-04-17 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-04-18 06:00:00', 'surface', 854.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-04-19 06:00:00', 'surface', 856.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-04-20 06:00:00', 'surface', 859.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-04-21 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-04-22 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-04-23 06:00:00', 'surface', 855.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-04-24 06:00:00', 'surface', 857.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-04-25 06:00:00', 'surface', 858.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-04-26 06:00:00', 'surface', 858.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-04-27 06:00:00', 'surface', 858.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-04-28 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-04-29 06:00:00', 'surface', 857.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-04-30 06:00:00', 'surface', 857.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-05-01 06:00:00', 'surface', 857.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-05-02 06:00:00', 'surface', 858.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-05-03 06:00:00', 'surface', 857.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-05-04 06:00:00', 'surface', 858.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-05-05 06:00:00', 'surface', 859.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-05-06 06:00:00', 'surface', 858.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-05-07 06:00:00', 'surface', 856.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-05-08 06:00:00', 'surface', 858.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-05-09 06:00:00', 'surface', 858.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-05-10 06:00:00', 'surface', 857.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-05-11 06:00:00', 'surface', 858.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-05-12 06:00:00', 'surface', 861.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-05-13 06:00:00', 'surface', 860.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-05-14 06:00:00', 'surface', 858.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-05-15 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-05-16 06:00:00', 'surface', 855.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-05-17 06:00:00', 'surface', 857.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-05-18 06:00:00', 'surface', 858.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-05-19 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-05-20 06:00:00', 'surface', 855.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-05-21 06:00:00', 'surface', 853.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-05-22 06:00:00', 'surface', 852.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-05-23 06:00:00', 'surface', 854.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-05-24 06:00:00', 'surface', 856.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-05-25 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-05-26 06:00:00', 'surface', 855.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-05-27 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-05-28 06:00:00', 'surface', 854.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-05-29 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-05-30 06:00:00', 'surface', 854.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-05-31 06:00:00', 'surface', 857.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-06-01 06:00:00', 'surface', 859.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-06-02 06:00:00', 'surface', 858.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-06-03 06:00:00', 'surface', 857.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-06-04 06:00:00', 'surface', 858.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-06-05 06:00:00', 'surface', 858.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-06-06 06:00:00', 'surface', 856.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-06-07 06:00:00', 'surface', 857.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-06-08 06:00:00', 'surface', 858.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-06-09 06:00:00', 'surface', 857.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-06-10 06:00:00', 'surface', 857.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-06-11 06:00:00', 'surface', 858.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-06-12 06:00:00', 'surface', 858.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-06-13 06:00:00', 'surface', 858.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-06-14 06:00:00', 'surface', 858.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-06-15 06:00:00', 'surface', 859.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-06-16 06:00:00', 'surface', 859.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-06-17 06:00:00', 'surface', 859.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-06-18 06:00:00', 'surface', 857.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-06-19 06:00:00', 'surface', 856.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-06-20 06:00:00', 'surface', 859.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-06-21 06:00:00', 'surface', 860.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-06-22 06:00:00', 'surface', 858.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-06-23 06:00:00', 'surface', 857.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-06-24 06:00:00', 'surface', 856.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-06-25 06:00:00', 'surface', 857.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-06-26 06:00:00', 'surface', 859.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-06-27 06:00:00', 'surface', 860.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-06-28 06:00:00', 'surface', 859.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-06-29 06:00:00', 'surface', 859.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-06-30 06:00:00', 'surface', 859.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-11-06 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-11-07 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-11-08 06:00:00', 'surface', 854.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-11-09 06:00:00', 'surface', 855.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-11-10 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-11-11 06:00:00', 'surface', 853.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-11-12 06:00:00', 'surface', 853.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-11-13 06:00:00', 'surface', 854.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-11-14 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-11-15 06:00:00', 'surface', 854.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-11-16 06:00:00', 'surface', 854.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-11-17 06:00:00', 'surface', 855.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-11-18 06:00:00', 'surface', 854.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-11-19 06:00:00', 'surface', 853.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-11-20 06:00:00', 'surface', 853.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-11-21 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-11-22 06:00:00', 'surface', 853.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-11-23 06:00:00', 'surface', 855.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-11-24 06:00:00', 'surface', 856.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-11-25 06:00:00', 'surface', 856.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-11-26 06:00:00', 'surface', 854.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-11-27 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-11-28 06:00:00', 'surface', 854.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-11-29 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-11-30 06:00:00', 'surface', 853.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-12-01 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-12-02 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-12-03 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-12-04 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-12-05 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-12-06 06:00:00', 'surface', 853.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-12-07 06:00:00', 'surface', 853.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-12-08 06:00:00', 'surface', 853.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-12-09 06:00:00', 'surface', 853.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-12-10 06:00:00', 'surface', 853.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-12-11 06:00:00', 'surface', 853.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-12-12 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-12-13 06:00:00', 'surface', 853.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-12-14 06:00:00', 'surface', 853.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-12-15 06:00:00', 'surface', 853.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-12-16 06:00:00', 'surface', 853.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-12-17 06:00:00', 'surface', 852.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-12-18 06:00:00', 'surface', 852.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-12-19 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-12-20 06:00:00', 'surface', 855.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-12-21 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-12-22 06:00:00', 'surface', 853.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-12-23 06:00:00', 'surface', 852.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-12-24 06:00:00', 'surface', 851.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-12-25 06:00:00', 'surface', 851.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-12-26 06:00:00', 'surface', 853.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-12-27 06:00:00', 'surface', 853.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-12-28 06:00:00', 'surface', 853.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-12-29 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-12-30 06:00:00', 'surface', 854.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1983-12-31 06:00:00', 'surface', 854.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-01-01 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-01-02 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-01-03 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-01-04 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-01-05 06:00:00', 'surface', 852.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-01-06 06:00:00', 'surface', 852.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-01-07 06:00:00', 'surface', 853.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-01-08 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-01-09 06:00:00', 'surface', 853.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-01-10 06:00:00', 'surface', 852.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-01-11 06:00:00', 'surface', 851.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-01-12 06:00:00', 'surface', 851.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-01-13 06:00:00', 'surface', 852.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-01-14 06:00:00', 'surface', 853.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-01-15 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-01-16 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-01-17 06:00:00', 'surface', 852.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-01-18 06:00:00', 'surface', 850.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-01-19 06:00:00', 'surface', 850.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-01-20 06:00:00', 'surface', 851.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-01-21 06:00:00', 'surface', 851.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-01-22 06:00:00', 'surface', 852.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-01-23 06:00:00', 'surface', 851.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-01-24 06:00:00', 'surface', 851.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-01-25 06:00:00', 'surface', 850.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-01-26 06:00:00', 'surface', 850.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-01-27 06:00:00', 'surface', 849.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-01-28 06:00:00', 'surface', 849.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-01-29 06:00:00', 'surface', 849.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-01-30 06:00:00', 'surface', 849.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-01-31 06:00:00', 'surface', 849.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-02-01 06:00:00', 'surface', 850.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-02-02 06:00:00', 'surface', 849.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-02-03 06:00:00', 'surface', 850.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-02-04 06:00:00', 'surface', 851.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-02-05 06:00:00', 'surface', 850.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-02-06 06:00:00', 'surface', 850.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-02-07 06:00:00', 'surface', 850.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-02-08 06:00:00', 'surface', 849.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-02-09 06:00:00', 'surface', 851.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-02-10 06:00:00', 'surface', 855.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-02-11 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-02-12 06:00:00', 'surface', 853.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-02-13 06:00:00', 'surface', 852.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-02-14 06:00:00', 'surface', 853.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-02-15 06:00:00', 'surface', 852.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-02-16 06:00:00', 'surface', 851.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-02-17 06:00:00', 'surface', 850.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-02-18 06:00:00', 'surface', 850.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-02-19 06:00:00', 'surface', 850.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-02-20 06:00:00', 'surface', 851.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-02-21 06:00:00', 'surface', 852.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-02-22 06:00:00', 'surface', 853.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-02-23 06:00:00', 'surface', 852.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-02-24 06:00:00', 'surface', 851.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-02-25 06:00:00', 'surface', 852.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-02-26 06:00:00', 'surface', 853.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-02-27 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-02-28 06:00:00', 'surface', 853.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-02-29 06:00:00', 'surface', 853.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-03-01 06:00:00', 'surface', 853.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-03-02 06:00:00', 'surface', 853.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-03-03 06:00:00', 'surface', 853.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-03-04 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-03-05 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-03-06 06:00:00', 'surface', 853.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-03-07 06:00:00', 'surface', 852.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-03-08 06:00:00', 'surface', 854.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-03-09 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-03-10 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-03-11 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-03-12 06:00:00', 'surface', 855.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-03-13 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-03-14 06:00:00', 'surface', 855.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-03-15 06:00:00', 'surface', 854.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-03-16 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-03-17 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-03-18 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-03-19 06:00:00', 'surface', 854.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-03-20 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-03-21 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-03-22 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-03-23 06:00:00', 'surface', 855.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-03-24 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-03-25 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-03-26 06:00:00', 'surface', 853.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-03-27 06:00:00', 'surface', 853.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-03-28 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-03-29 06:00:00', 'surface', 856.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-03-30 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-03-31 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-04-01 06:00:00', 'surface', 856.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-04-02 06:00:00', 'surface', 857.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-04-03 06:00:00', 'surface', 857.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-04-04 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-04-05 06:00:00', 'surface', 855.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-04-06 06:00:00', 'surface', 856.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-04-07 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-04-08 06:00:00', 'surface', 854.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-04-09 06:00:00', 'surface', 853.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-04-10 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-04-11 06:00:00', 'surface', 854.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-04-12 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-04-13 06:00:00', 'surface', 853.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-04-14 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-04-15 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-04-16 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-04-17 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-04-18 06:00:00', 'surface', 857.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-04-19 06:00:00', 'surface', 859.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-04-20 06:00:00', 'surface', 859.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-04-21 06:00:00', 'surface', 858.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-04-22 06:00:00', 'surface', 859.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-04-23 06:00:00', 'surface', 859.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-04-24 06:00:00', 'surface', 857.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-04-25 06:00:00', 'surface', 856.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-04-26 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-04-27 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-04-28 06:00:00', 'surface', 858.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-04-29 06:00:00', 'surface', 858.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-04-30 06:00:00', 'surface', 858.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-05-01 06:00:00', 'surface', 857.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-05-02 06:00:00', 'surface', 857.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-05-03 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-05-04 06:00:00', 'surface', 855.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-05-05 06:00:00', 'surface', 855.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-05-06 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-05-07 06:00:00', 'surface', 855.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-05-08 06:00:00', 'surface', 857.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-05-09 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-05-10 06:00:00', 'surface', 854.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-05-11 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-05-12 06:00:00', 'surface', 854.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-05-13 06:00:00', 'surface', 854.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-05-14 06:00:00', 'surface', 854.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-05-15 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-05-16 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-05-17 06:00:00', 'surface', 856.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-05-18 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-05-19 06:00:00', 'surface', 856.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-05-20 06:00:00', 'surface', 858.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-05-21 06:00:00', 'surface', 859.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-05-22 06:00:00', 'surface', 860.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-05-23 06:00:00', 'surface', 860.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-05-24 06:00:00', 'surface', 858.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-05-25 06:00:00', 'surface', 857.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-05-26 06:00:00', 'surface', 858.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-05-27 06:00:00', 'surface', 857.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-05-28 06:00:00', 'surface', 857.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-05-29 06:00:00', 'surface', 859.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-05-30 06:00:00', 'surface', 863.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-05-31 06:00:00', 'surface', 865.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-06-01 06:00:00', 'surface', 862.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-06-02 06:00:00', 'surface', 859.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-06-03 06:00:00', 'surface', 858.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-06-04 06:00:00', 'surface', 858.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-06-05 06:00:00', 'surface', 859.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-06-06 06:00:00', 'surface', 860.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-06-07 06:00:00', 'surface', 860.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-06-08 06:00:00', 'surface', 860.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-06-09 06:00:00', 'surface', 859.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-06-10 06:00:00', 'surface', 858.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-06-11 06:00:00', 'surface', 858.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-06-12 06:00:00', 'surface', 857.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-06-13 06:00:00', 'surface', 857.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-06-14 06:00:00', 'surface', 860.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-06-15 06:00:00', 'surface', 862.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-06-16 06:00:00', 'surface', 861.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-06-17 06:00:00', 'surface', 860.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-06-18 06:00:00', 'surface', 859.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-06-19 06:00:00', 'surface', 859.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-06-20 06:00:00', 'surface', 858.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-06-21 06:00:00', 'surface', 858.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-06-22 06:00:00', 'surface', 858.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-06-23 06:00:00', 'surface', 860.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-06-24 06:00:00', 'surface', 860.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-06-25 06:00:00', 'surface', 859.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-06-26 06:00:00', 'surface', 859.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-06-27 06:00:00', 'surface', 860.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-06-28 06:00:00', 'surface', 859.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-06-29 06:00:00', 'surface', 858.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-06-30 06:00:00', 'surface', 859.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-07-01 06:00:00', 'surface', 859.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-07-02 06:00:00', 'surface', 858.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-07-03 06:00:00', 'surface', 858.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-07-04 06:00:00', 'surface', 858.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-07-05 06:00:00', 'surface', 857.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-07-06 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-07-07 06:00:00', 'surface', 858.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-07-08 06:00:00', 'surface', 858.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-07-09 06:00:00', 'surface', 859.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-07-10 06:00:00', 'surface', 858.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-07-11 06:00:00', 'surface', 858.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-07-12 06:00:00', 'surface', 859.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-07-13 06:00:00', 'surface', 859.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-07-14 06:00:00', 'surface', 859.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-07-15 06:00:00', 'surface', 858.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-07-16 06:00:00', 'surface', 860.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-07-17 06:00:00', 'surface', 860.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-07-18 06:00:00', 'surface', 859.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-07-19 06:00:00', 'surface', 858.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-07-20 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-07-21 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-07-22 06:00:00', 'surface', 855.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-07-23 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-07-24 06:00:00', 'surface', 858.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-07-25 06:00:00', 'surface', 859.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-07-26 06:00:00', 'surface', 858.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-07-27 06:00:00', 'surface', 858.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-07-28 06:00:00', 'surface', 858.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-07-29 06:00:00', 'surface', 858.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-07-30 06:00:00', 'surface', 859.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-07-31 06:00:00', 'surface', 860.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-08-01 06:00:00', 'surface', 862.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-08-02 06:00:00', 'surface', 861.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-08-03 06:00:00', 'surface', 859.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-08-04 06:00:00', 'surface', 859.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-08-05 06:00:00', 'surface', 858.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-08-06 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-08-07 06:00:00', 'surface', 859.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-08-08 06:00:00', 'surface', 859.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-08-09 06:00:00', 'surface', 858.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-08-10 06:00:00', 'surface', 857.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-08-11 06:00:00', 'surface', 857.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-08-12 06:00:00', 'surface', 857.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-08-13 06:00:00', 'surface', 857.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-08-14 06:00:00', 'surface', 858.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-08-15 06:00:00', 'surface', 860.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-08-16 06:00:00', 'surface', 859.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-08-17 06:00:00', 'surface', 861.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-08-18 06:00:00', 'surface', 861.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-08-19 06:00:00', 'surface', 860.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-08-20 06:00:00', 'surface', 858.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-08-21 06:00:00', 'surface', 857.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-08-22 06:00:00', 'surface', 857.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-08-23 06:00:00', 'surface', 857.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-08-24 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-08-25 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-08-26 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-08-27 06:00:00', 'surface', 854.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-08-28 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-08-29 06:00:00', 'surface', 857.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-08-30 06:00:00', 'surface', 858.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-08-31 06:00:00', 'surface', 858.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-09-01 06:00:00', 'surface', 857.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-09-02 06:00:00', 'surface', 857.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-09-03 06:00:00', 'surface', 855.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-09-04 06:00:00', 'surface', 854.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-09-05 06:00:00', 'surface', 853.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-09-06 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-09-07 06:00:00', 'surface', 856.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-09-08 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-09-09 06:00:00', 'surface', 854.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-09-10 06:00:00', 'surface', 854.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-09-11 06:00:00', 'surface', 856.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-09-12 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-09-13 06:00:00', 'surface', 853.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-09-14 06:00:00', 'surface', 852.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-09-15 06:00:00', 'surface', 853.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-09-16 06:00:00', 'surface', 855.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-09-17 06:00:00', 'surface', 856.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-09-18 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-09-19 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-09-20 06:00:00', 'surface', 854.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-09-21 06:00:00', 'surface', 856.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-09-22 06:00:00', 'surface', 857.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-09-23 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-09-24 06:00:00', 'surface', 856.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-09-25 06:00:00', 'surface', 857.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-09-26 06:00:00', 'surface', 857.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-09-27 06:00:00', 'surface', 857.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-09-28 06:00:00', 'surface', 857.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-09-29 06:00:00', 'surface', 857.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-09-30 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-10-01 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-10-02 06:00:00', 'surface', 853.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-10-03 06:00:00', 'surface', 853.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-10-04 06:00:00', 'surface', 852.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-10-05 06:00:00', 'surface', 853.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-10-06 06:00:00', 'surface', 854.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-10-07 06:00:00', 'surface', 856.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-10-08 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-10-09 06:00:00', 'surface', 857.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-10-10 06:00:00', 'surface', 858.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-10-11 06:00:00', 'surface', 856.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-10-12 06:00:00', 'surface', 853.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-10-13 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-10-14 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-10-15 06:00:00', 'surface', 854.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-10-16 06:00:00', 'surface', 857.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-10-17 06:00:00', 'surface', 858.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-10-18 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-10-19 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-10-20 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-10-21 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-10-22 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-10-23 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-10-24 06:00:00', 'surface', 856.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-10-25 06:00:00', 'surface', 856.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-10-26 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-10-27 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-10-28 06:00:00', 'surface', 852.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-10-29 06:00:00', 'surface', 852.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-10-30 06:00:00', 'surface', 852.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-10-31 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-11-01 06:00:00', 'surface', 853.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-11-02 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-11-03 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-11-04 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-11-05 06:00:00', 'surface', 853.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-11-06 06:00:00', 'surface', 854.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-11-07 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-11-08 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-11-09 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-11-10 06:00:00', 'surface', 853.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-11-11 06:00:00', 'surface', 854.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-11-12 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-11-13 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-11-14 06:00:00', 'surface', 855.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-11-15 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-11-16 06:00:00', 'surface', 852.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-11-17 06:00:00', 'surface', 852.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-11-18 06:00:00', 'surface', 853.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-11-19 06:00:00', 'surface', 854.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-11-20 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-11-21 06:00:00', 'surface', 854.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-11-22 06:00:00', 'surface', 855.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-11-23 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-11-24 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-11-25 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-11-26 06:00:00', 'surface', 856.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-11-27 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-11-28 06:00:00', 'surface', 854.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-11-29 06:00:00', 'surface', 853.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-11-30 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-12-01 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-12-02 06:00:00', 'surface', 852.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-12-03 06:00:00', 'surface', 851.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-12-04 06:00:00', 'surface', 852.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-12-05 06:00:00', 'surface', 852.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-12-06 06:00:00', 'surface', 852.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-12-07 06:00:00', 'surface', 853.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-12-08 06:00:00', 'surface', 854.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-12-09 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-12-10 06:00:00', 'surface', 852.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-12-11 06:00:00', 'surface', 853.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-12-12 06:00:00', 'surface', 853.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-12-13 06:00:00', 'surface', 853.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-12-14 06:00:00', 'surface', 852.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-12-15 06:00:00', 'surface', 852.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-12-16 06:00:00', 'surface', 852.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-12-17 06:00:00', 'surface', 850.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-12-18 06:00:00', 'surface', 849.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-12-19 06:00:00', 'surface', 849.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-12-20 06:00:00', 'surface', 849.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-12-21 06:00:00', 'surface', 847.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-12-22 06:00:00', 'surface', 847.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-12-23 06:00:00', 'surface', 849.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-12-24 06:00:00', 'surface', 849.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-12-25 06:00:00', 'surface', 851.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-12-26 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-12-27 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-12-28 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-12-29 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-12-30 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1984-12-31 06:00:00', 'surface', 856.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-01-01 06:00:00', 'surface', 855.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-01-02 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-01-03 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-01-04 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-01-05 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-01-06 06:00:00', 'surface', 852.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-01-07 06:00:00', 'surface', 854.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-01-08 06:00:00', 'surface', 853.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-01-09 06:00:00', 'surface', 853.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-01-10 06:00:00', 'surface', 852.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-01-11 06:00:00', 'surface', 852.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-01-12 06:00:00', 'surface', 851.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-01-13 06:00:00', 'surface', 852.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-01-14 06:00:00', 'surface', 853.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-01-15 06:00:00', 'surface', 852.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-01-16 06:00:00', 'surface', 852.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-01-17 06:00:00', 'surface', 852.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-01-18 06:00:00', 'surface', 851.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-01-19 06:00:00', 'surface', 851.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-01-20 06:00:00', 'surface', 852.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-01-21 06:00:00', 'surface', 852.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-01-22 06:00:00', 'surface', 851.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-01-23 06:00:00', 'surface', 852.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-01-24 06:00:00', 'surface', 852.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-01-25 06:00:00', 'surface', 852.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-01-26 06:00:00', 'surface', 851.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-01-27 06:00:00', 'surface', 850.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-01-28 06:00:00', 'surface', 851.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-01-29 06:00:00', 'surface', 851.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-01-30 06:00:00', 'surface', 850.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-01-31 06:00:00', 'surface', 851.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-02-01 06:00:00', 'surface', 851.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-02-02 06:00:00', 'surface', 851.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-02-03 06:00:00', 'surface', 851.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-02-04 06:00:00', 'surface', 851.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-02-05 06:00:00', 'surface', 850.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-02-06 06:00:00', 'surface', 850.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-02-07 06:00:00', 'surface', 849.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-02-08 06:00:00', 'surface', 847.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-02-09 06:00:00', 'surface', 847.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-02-10 06:00:00', 'surface', 849.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-02-11 06:00:00', 'surface', 850.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-02-12 06:00:00', 'surface', 851.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-02-13 06:00:00', 'surface', 851.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-02-14 06:00:00', 'surface', 852.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-02-15 06:00:00', 'surface', 853.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-02-16 06:00:00', 'surface', 852.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-02-17 06:00:00', 'surface', 852.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-02-18 06:00:00', 'surface', 852.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-02-19 06:00:00', 'surface', 853.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-02-20 06:00:00', 'surface', 853.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-02-21 06:00:00', 'surface', 852.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-02-22 06:00:00', 'surface', 852.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-02-23 06:00:00', 'surface', 851.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-02-24 06:00:00', 'surface', 851.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-02-25 06:00:00', 'surface', 852.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-02-26 06:00:00', 'surface', 853.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-02-27 06:00:00', 'surface', 853.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-02-28 06:00:00', 'surface', 853.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-03-01 06:00:00', 'surface', 851.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-03-02 06:00:00', 'surface', 851.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-03-03 06:00:00', 'surface', 851.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-03-04 06:00:00', 'surface', 852.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-03-05 06:00:00', 'surface', 853.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-03-06 06:00:00', 'surface', 854.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-03-07 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-03-08 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-03-09 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-03-10 06:00:00', 'surface', 856.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-03-11 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-03-12 06:00:00', 'surface', 852.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-03-13 06:00:00', 'surface', 852.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-03-14 06:00:00', 'surface', 852.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-03-15 06:00:00', 'surface', 852.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-03-16 06:00:00', 'surface', 853.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-03-17 06:00:00', 'surface', 852.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-03-18 06:00:00', 'surface', 851.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-03-19 06:00:00', 'surface', 852.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-03-20 06:00:00', 'surface', 852.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-03-21 06:00:00', 'surface', 852.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-03-22 06:00:00', 'surface', 853.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-03-23 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-03-24 06:00:00', 'surface', 854.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-03-25 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-03-26 06:00:00', 'surface', 855.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-03-27 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-03-28 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-03-29 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-03-30 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-03-31 06:00:00', 'surface', 857.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-04-01 06:00:00', 'surface', 856.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-04-02 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-04-03 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-04-04 06:00:00', 'surface', 854.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-04-05 06:00:00', 'surface', 854.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-04-06 06:00:00', 'surface', 855.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-04-07 06:00:00', 'surface', 853.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-04-08 06:00:00', 'surface', 852.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-04-09 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-04-10 06:00:00', 'surface', 858.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-04-11 06:00:00', 'surface', 860.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-04-12 06:00:00', 'surface', 859.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-04-13 06:00:00', 'surface', 859.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-04-14 06:00:00', 'surface', 858.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-04-15 06:00:00', 'surface', 857.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-04-16 06:00:00', 'surface', 858.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-04-17 06:00:00', 'surface', 857.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-04-18 06:00:00', 'surface', 857.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-04-19 06:00:00', 'surface', 855.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-04-20 06:00:00', 'surface', 854.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-04-21 06:00:00', 'surface', 855.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-04-22 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-04-23 06:00:00', 'surface', 852.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-04-24 06:00:00', 'surface', 851.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-04-25 06:00:00', 'surface', 853.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-04-26 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-04-27 06:00:00', 'surface', 856.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-04-28 06:00:00', 'surface', 855.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-04-29 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-04-30 06:00:00', 'surface', 854.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-05-01 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-05-02 06:00:00', 'surface', 857.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-05-03 06:00:00', 'surface', 857.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-05-04 06:00:00', 'surface', 857.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-05-05 06:00:00', 'surface', 857.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-05-06 06:00:00', 'surface', 857.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-05-07 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-05-08 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-05-09 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-05-10 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-05-11 06:00:00', 'surface', 852.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-05-12 06:00:00', 'surface', 853.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-05-13 06:00:00', 'surface', 855.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-05-14 06:00:00', 'surface', 856.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-05-15 06:00:00', 'surface', 858.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-05-16 06:00:00', 'surface', 858.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-05-17 06:00:00', 'surface', 858.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-05-18 06:00:00', 'surface', 858.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-05-19 06:00:00', 'surface', 858.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-05-20 06:00:00', 'surface', 858.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-05-21 06:00:00', 'surface', 856.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-05-22 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-05-23 06:00:00', 'surface', 857.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-05-24 06:00:00', 'surface', 859.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-05-25 06:00:00', 'surface', 860.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-05-26 06:00:00', 'surface', 861.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-05-27 06:00:00', 'surface', 859.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-05-28 06:00:00', 'surface', 858.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-05-29 06:00:00', 'surface', 859.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-05-30 06:00:00', 'surface', 858.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-05-31 06:00:00', 'surface', 859.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-06-01 06:00:00', 'surface', 860.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-06-02 06:00:00', 'surface', 858.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-06-03 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-06-04 06:00:00', 'surface', 858.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-06-05 06:00:00', 'surface', 859.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-06-06 06:00:00', 'surface', 860.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-06-07 06:00:00', 'surface', 859.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-06-08 06:00:00', 'surface', 858.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-06-09 06:00:00', 'surface', 859.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-06-10 06:00:00', 'surface', 859.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-06-11 06:00:00', 'surface', 858.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-06-12 06:00:00', 'surface', 856.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-06-13 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-06-14 06:00:00', 'surface', 858.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-06-15 06:00:00', 'surface', 859.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-06-16 06:00:00', 'surface', 859.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-06-17 06:00:00', 'surface', 860.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-06-18 06:00:00', 'surface', 860.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-06-19 06:00:00', 'surface', 858.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-06-20 06:00:00', 'surface', 860.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-06-21 06:00:00', 'surface', 861.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-06-22 06:00:00', 'surface', 860.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-06-23 06:00:00', 'surface', 859.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-06-24 06:00:00', 'surface', 859.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-06-25 06:00:00', 'surface', 860.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-06-26 06:00:00', 'surface', 861.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-06-27 06:00:00', 'surface', 860.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-06-28 06:00:00', 'surface', 860.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-06-29 06:00:00', 'surface', 862.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-06-30 06:00:00', 'surface', 862.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-07-01 06:00:00', 'surface', 862.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-07-02 06:00:00', 'surface', 862.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-07-03 06:00:00', 'surface', 861.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-07-04 06:00:00', 'surface', 859.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-07-05 06:00:00', 'surface', 858.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-07-06 06:00:00', 'surface', 857.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-07-07 06:00:00', 'surface', 858.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-07-08 06:00:00', 'surface', 858.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-07-09 06:00:00', 'surface', 859.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-07-10 06:00:00', 'surface', 859.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-07-11 06:00:00', 'surface', 857.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-07-12 06:00:00', 'surface', 857.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-07-13 06:00:00', 'surface', 860.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-07-14 06:00:00', 'surface', 860.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-07-15 06:00:00', 'surface', 860.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-07-16 06:00:00', 'surface', 861.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-07-17 06:00:00', 'surface', 861.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-07-18 06:00:00', 'surface', 859.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-07-19 06:00:00', 'surface', 857.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-07-20 06:00:00', 'surface', 856.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-07-21 06:00:00', 'surface', 857.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-07-22 06:00:00', 'surface', 856.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-07-23 06:00:00', 'surface', 858.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-07-24 06:00:00', 'surface', 859.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-07-25 06:00:00', 'surface', 858.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-07-26 06:00:00', 'surface', 857.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-07-27 06:00:00', 'surface', 857.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-07-28 06:00:00', 'surface', 859.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-07-29 06:00:00', 'surface', 860.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-07-30 06:00:00', 'surface', 860.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-07-31 06:00:00', 'surface', 860.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-08-01 06:00:00', 'surface', 859.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-08-02 06:00:00', 'surface', 858.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-08-03 06:00:00', 'surface', 858.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-08-04 06:00:00', 'surface', 860.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-08-05 06:00:00', 'surface', 860.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-08-06 06:00:00', 'surface', 859.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-08-07 06:00:00', 'surface', 858.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-08-08 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-08-09 06:00:00', 'surface', 857.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-08-10 06:00:00', 'surface', 859.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-08-11 06:00:00', 'surface', 861.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-08-12 06:00:00', 'surface', 859.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-08-13 06:00:00', 'surface', 858.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-08-14 06:00:00', 'surface', 858.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-08-15 06:00:00', 'surface', 858.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-08-16 06:00:00', 'surface', 860.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-08-17 06:00:00', 'surface', 860.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-08-18 06:00:00', 'surface', 861.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-08-19 06:00:00', 'surface', 860.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-08-20 06:00:00', 'surface', 859.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-08-21 06:00:00', 'surface', 860.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-08-22 06:00:00', 'surface', 859.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-08-23 06:00:00', 'surface', 857.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-08-24 06:00:00', 'surface', 858.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-08-25 06:00:00', 'surface', 861.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-08-26 06:00:00', 'surface', 864.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-08-27 06:00:00', 'surface', 862.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-08-28 06:00:00', 'surface', 860.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-08-29 06:00:00', 'surface', 859.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-08-30 06:00:00', 'surface', 859.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-08-31 06:00:00', 'surface', 859.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-09-01 06:00:00', 'surface', 857.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-09-02 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-09-03 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-09-04 06:00:00', 'surface', 855.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-09-05 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-09-06 06:00:00', 'surface', 857.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-09-07 06:00:00', 'surface', 858.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-09-08 06:00:00', 'surface', 858.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-09-09 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-09-10 06:00:00', 'surface', 855.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-09-11 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-09-12 06:00:00', 'surface', 852.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-09-13 06:00:00', 'surface', 852.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-09-14 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-09-15 06:00:00', 'surface', 854.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-09-16 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-09-17 06:00:00', 'surface', 858.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-09-18 06:00:00', 'surface', 857.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-09-19 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-09-20 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-09-21 06:00:00', 'surface', 858.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-09-22 06:00:00', 'surface', 859.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-09-23 06:00:00', 'surface', 858.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-09-24 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-09-25 06:00:00', 'surface', 854.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-09-26 06:00:00', 'surface', 854.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-09-27 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-09-28 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-09-29 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-09-30 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-10-01 06:00:00', 'surface', 857.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-10-02 06:00:00', 'surface', 858.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-10-03 06:00:00', 'surface', 858.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-10-04 06:00:00', 'surface', 857.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-10-05 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-10-06 06:00:00', 'surface', 857.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-10-07 06:00:00', 'surface', 858.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-10-08 06:00:00', 'surface', 856.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-10-09 06:00:00', 'surface', 858.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-10-10 06:00:00', 'surface', 861.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-10-11 06:00:00', 'surface', 861.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-10-12 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-10-13 06:00:00', 'surface', 854.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-10-14 06:00:00', 'surface', 854.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-10-15 06:00:00', 'surface', 855.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-10-16 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-10-17 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-10-18 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-10-19 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-10-20 06:00:00', 'surface', 854.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-10-21 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-10-22 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-10-23 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-10-24 06:00:00', 'surface', 853.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-10-25 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-10-26 06:00:00', 'surface', 853.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-10-27 06:00:00', 'surface', 853.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-10-28 06:00:00', 'surface', 852.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-10-29 06:00:00', 'surface', 851.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-10-30 06:00:00', 'surface', 851.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-10-31 06:00:00', 'surface', 853.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-11-01 06:00:00', 'surface', 853.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-11-02 06:00:00', 'surface', 853.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-11-03 06:00:00', 'surface', 853.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-11-04 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-11-05 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-11-06 06:00:00', 'surface', 853.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-11-07 06:00:00', 'surface', 852.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-11-08 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-11-09 06:00:00', 'surface', 852.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-11-10 06:00:00', 'surface', 852.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-11-11 06:00:00', 'surface', 855.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-11-12 06:00:00', 'surface', 858.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-11-13 06:00:00', 'surface', 859.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-11-14 06:00:00', 'surface', 857.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-11-15 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-11-16 06:00:00', 'surface', 857.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-11-17 06:00:00', 'surface', 857.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-11-18 06:00:00', 'surface', 857.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-11-19 06:00:00', 'surface', 856.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-11-20 06:00:00', 'surface', 855.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-11-21 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-11-22 06:00:00', 'surface', 852.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-11-23 06:00:00', 'surface', 852.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-11-24 06:00:00', 'surface', 853.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-11-25 06:00:00', 'surface', 854.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-11-26 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-11-27 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-11-28 06:00:00', 'surface', 854.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-11-29 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-11-30 06:00:00', 'surface', 853.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-12-01 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-12-04 06:00:00', 'surface', 854.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-12-05 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-12-06 06:00:00', 'surface', 854.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-12-07 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-12-08 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-12-09 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-12-10 06:00:00', 'surface', 853.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-12-11 06:00:00', 'surface', 853.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-12-12 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-12-13 06:00:00', 'surface', 853.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-12-14 06:00:00', 'surface', 853.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-12-15 06:00:00', 'surface', 854.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-12-16 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-12-17 06:00:00', 'surface', 853.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-12-18 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-12-19 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-12-20 06:00:00', 'surface', 851.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-12-21 06:00:00', 'surface', 849.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-12-22 06:00:00', 'surface', 850.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-12-23 06:00:00', 'surface', 852.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-12-24 06:00:00', 'surface', 853.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-12-25 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-12-26 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-12-27 06:00:00', 'surface', 853.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-12-28 06:00:00', 'surface', 852.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-12-29 06:00:00', 'surface', 851.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-12-30 06:00:00', 'surface', 851.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1985-12-31 06:00:00', 'surface', 852.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-01-01 06:00:00', 'surface', 852.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-01-02 06:00:00', 'surface', 852.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-01-03 06:00:00', 'surface', 853.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-01-04 06:00:00', 'surface', 851.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-01-05 06:00:00', 'surface', 849.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-01-06 06:00:00', 'surface', 849.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-01-07 06:00:00', 'surface', 851.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-01-08 06:00:00', 'surface', 853.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-01-09 06:00:00', 'surface', 853.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-01-10 06:00:00', 'surface', 852.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-01-11 06:00:00', 'surface', 852.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-01-12 06:00:00', 'surface', 852.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-01-13 06:00:00', 'surface', 852.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-01-14 06:00:00', 'surface', 853.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-01-15 06:00:00', 'surface', 853.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-01-16 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-01-17 06:00:00', 'surface', 854.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-01-18 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-01-19 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-01-20 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-01-21 06:00:00', 'surface', 856.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-01-22 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-01-23 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-01-24 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-01-25 06:00:00', 'surface', 855.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-01-26 06:00:00', 'surface', 854.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-01-27 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-01-28 06:00:00', 'surface', 852.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-01-29 06:00:00', 'surface', 853.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-01-30 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-01-31 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-02-01 06:00:00', 'surface', 854.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-02-02 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-02-03 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-02-04 06:00:00', 'surface', 853.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-02-05 06:00:00', 'surface', 852.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-02-06 06:00:00', 'surface', 853.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-02-07 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-02-08 06:00:00', 'surface', 852.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-02-09 06:00:00', 'surface', 851.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-02-10 06:00:00', 'surface', 853.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-02-11 06:00:00', 'surface', 852.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-02-12 06:00:00', 'surface', 852.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-02-13 06:00:00', 'surface', 853.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-02-14 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-02-15 06:00:00', 'surface', 856.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-02-16 06:00:00', 'surface', 853.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-02-17 06:00:00', 'surface', 853.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-02-18 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-02-19 06:00:00', 'surface', 854.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-02-20 06:00:00', 'surface', 852.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-02-21 06:00:00', 'surface', 851.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-02-22 06:00:00', 'surface', 851.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-02-23 06:00:00', 'surface', 850.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-02-24 06:00:00', 'surface', 849.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-02-25 06:00:00', 'surface', 850.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-02-26 06:00:00', 'surface', 852.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-02-27 06:00:00', 'surface', 854.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-02-28 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-03-01 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-03-02 06:00:00', 'surface', 854.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-03-03 06:00:00', 'surface', 854.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-03-04 06:00:00', 'surface', 855.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-03-05 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-03-06 06:00:00', 'surface', 856.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-03-07 06:00:00', 'surface', 857.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-03-08 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-03-09 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-03-10 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-03-11 06:00:00', 'surface', 853.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-03-12 06:00:00', 'surface', 852.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-03-13 06:00:00', 'surface', 852.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-03-14 06:00:00', 'surface', 853.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-03-15 06:00:00', 'surface', 851.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-03-16 06:00:00', 'surface', 850.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-03-17 06:00:00', 'surface', 852.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-03-18 06:00:00', 'surface', 852.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-03-19 06:00:00', 'surface', 852.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-03-20 06:00:00', 'surface', 853.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-03-21 06:00:00', 'surface', 852.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-03-22 06:00:00', 'surface', 852.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-03-23 06:00:00', 'surface', 853.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-03-24 06:00:00', 'surface', 853.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-03-25 06:00:00', 'surface', 854.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-03-26 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-03-27 06:00:00', 'surface', 859.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-03-28 06:00:00', 'surface', 857.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-03-29 06:00:00', 'surface', 856.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-03-30 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-03-31 06:00:00', 'surface', 857.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-04-01 06:00:00', 'surface', 858.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-04-02 06:00:00', 'surface', 857.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-04-03 06:00:00', 'surface', 856.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-04-04 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-04-05 06:00:00', 'surface', 857.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-04-06 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-04-07 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-04-08 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-04-09 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-04-10 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-04-11 06:00:00', 'surface', 856.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-04-12 06:00:00', 'surface', 856.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-04-13 06:00:00', 'surface', 856.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-04-14 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-04-15 06:00:00', 'surface', 854.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-04-16 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-04-17 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-04-18 06:00:00', 'surface', 854.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-04-19 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-04-20 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-04-21 06:00:00', 'surface', 853.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-04-22 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-04-23 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-04-24 06:00:00', 'surface', 856.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-04-25 06:00:00', 'surface', 857.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-04-26 06:00:00', 'surface', 857.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-04-27 06:00:00', 'surface', 858.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-04-28 06:00:00', 'surface', 857.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-04-29 06:00:00', 'surface', 857.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-04-30 06:00:00', 'surface', 857.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-05-01 06:00:00', 'surface', 858.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-05-02 06:00:00', 'surface', 858.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-05-03 06:00:00', 'surface', 856.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-05-04 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-05-05 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-05-06 06:00:00', 'surface', 858.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-05-07 06:00:00', 'surface', 857.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-05-08 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-05-09 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-05-10 06:00:00', 'surface', 857.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-05-11 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-05-12 06:00:00', 'surface', 856.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-05-13 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-05-14 06:00:00', 'surface', 857.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-05-15 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-05-16 06:00:00', 'surface', 857.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-05-17 06:00:00', 'surface', 859.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-05-18 06:00:00', 'surface', 861.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-05-19 06:00:00', 'surface', 861.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-05-20 06:00:00', 'surface', 861.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-05-21 06:00:00', 'surface', 860.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-05-22 06:00:00', 'surface', 859.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-05-23 06:00:00', 'surface', 857.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-05-24 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-05-25 06:00:00', 'surface', 858.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-05-26 06:00:00', 'surface', 859.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-05-27 06:00:00', 'surface', 858.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-05-28 06:00:00', 'surface', 858.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-05-29 06:00:00', 'surface', 858.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-05-30 06:00:00', 'surface', 857.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-05-31 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-06-01 06:00:00', 'surface', 856.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-06-02 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-06-03 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-06-04 06:00:00', 'surface', 854.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-06-05 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-06-06 06:00:00', 'surface', 858.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-06-07 06:00:00', 'surface', 861.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-06-08 06:00:00', 'surface', 861.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-06-09 06:00:00', 'surface', 861.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-06-10 06:00:00', 'surface', 859.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-06-11 06:00:00', 'surface', 858.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-06-12 06:00:00', 'surface', 858.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-06-13 06:00:00', 'surface', 858.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-06-14 06:00:00', 'surface', 857.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-06-15 06:00:00', 'surface', 859.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-06-16 06:00:00', 'surface', 859.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-06-17 06:00:00', 'surface', 858.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-06-18 06:00:00', 'surface', 859.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-06-19 06:00:00', 'surface', 860.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-06-20 06:00:00', 'surface', 859.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-06-21 06:00:00', 'surface', 858.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-06-22 06:00:00', 'surface', 860.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-06-23 06:00:00', 'surface', 862.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-06-24 06:00:00', 'surface', 861.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-06-25 06:00:00', 'surface', 860.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-06-26 06:00:00', 'surface', 860.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-06-27 06:00:00', 'surface', 861.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-06-28 06:00:00', 'surface', 861.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-06-29 06:00:00', 'surface', 860.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-06-30 06:00:00', 'surface', 860.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-07-01 06:00:00', 'surface', 860.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-07-02 06:00:00', 'surface', 859.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-07-03 06:00:00', 'surface', 859.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-07-04 06:00:00', 'surface', 859.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-07-05 06:00:00', 'surface', 861.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-07-06 06:00:00', 'surface', 863.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-07-07 06:00:00', 'surface', 863.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-07-08 06:00:00', 'surface', 861.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-07-09 06:00:00', 'surface', 859.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-07-10 06:00:00', 'surface', 858.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-07-11 06:00:00', 'surface', 858.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-07-12 06:00:00', 'surface', 859.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-07-13 06:00:00', 'surface', 860.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-07-14 06:00:00', 'surface', 858.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-07-15 06:00:00', 'surface', 857.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-07-16 06:00:00', 'surface', 857.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-07-17 06:00:00', 'surface', 859.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-07-18 06:00:00', 'surface', 861.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-07-19 06:00:00', 'surface', 862.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-07-20 06:00:00', 'surface', 862.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-07-21 06:00:00', 'surface', 862.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-07-22 06:00:00', 'surface', 860.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-07-23 06:00:00', 'surface', 860.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-07-24 06:00:00', 'surface', 860.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-07-25 06:00:00', 'surface', 858.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-07-26 06:00:00', 'surface', 858.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-07-27 06:00:00', 'surface', 861.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-07-28 06:00:00', 'surface', 862.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-07-29 06:00:00', 'surface', 861.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-07-30 06:00:00', 'surface', 860.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-07-31 06:00:00', 'surface', 860.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-08-01 06:00:00', 'surface', 861.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-08-02 06:00:00', 'surface', 860.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-08-03 06:00:00', 'surface', 859.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-08-04 06:00:00', 'surface', 858.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-08-05 06:00:00', 'surface', 858.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-08-06 06:00:00', 'surface', 858.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-08-07 06:00:00', 'surface', 858.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-08-08 06:00:00', 'surface', 859.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-08-09 06:00:00', 'surface', 859.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-08-10 06:00:00', 'surface', 858.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-08-11 06:00:00', 'surface', 858.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-08-12 06:00:00', 'surface', 858.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-08-13 06:00:00', 'surface', 859.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-08-14 06:00:00', 'surface', 858.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-08-15 06:00:00', 'surface', 857.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-08-16 06:00:00', 'surface', 856.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-08-17 06:00:00', 'surface', 856.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-08-18 06:00:00', 'surface', 856.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-08-19 06:00:00', 'surface', 857.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-08-20 06:00:00', 'surface', 860.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-08-21 06:00:00', 'surface', 860.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-08-22 06:00:00', 'surface', 857.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-08-23 06:00:00', 'surface', 857.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-08-24 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-08-25 06:00:00', 'surface', 857.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-08-26 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-08-27 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-08-28 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-08-29 06:00:00', 'surface', 856.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-08-30 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-08-31 06:00:00', 'surface', 854.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-09-01 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-09-02 06:00:00', 'surface', 858.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-09-03 06:00:00', 'surface', 860.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-09-04 06:00:00', 'surface', 861.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-09-05 06:00:00', 'surface', 860.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-09-06 06:00:00', 'surface', 857.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-09-07 06:00:00', 'surface', 856.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-09-08 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-09-09 06:00:00', 'surface', 858.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-09-10 06:00:00', 'surface', 858.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-09-11 06:00:00', 'surface', 857.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-09-12 06:00:00', 'surface', 857.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-09-13 06:00:00', 'surface', 858.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-09-14 06:00:00', 'surface', 857.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-09-15 06:00:00', 'surface', 855.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-09-16 06:00:00', 'surface', 855.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-09-17 06:00:00', 'surface', 857.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-09-18 06:00:00', 'surface', 860.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-09-19 06:00:00', 'surface', 860.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-09-20 06:00:00', 'surface', 859.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-09-21 06:00:00', 'surface', 856.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-09-22 06:00:00', 'surface', 855.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-09-23 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-09-24 06:00:00', 'surface', 854.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-09-25 06:00:00', 'surface', 853.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-09-26 06:00:00', 'surface', 854.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-09-27 06:00:00', 'surface', 858.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-09-28 06:00:00', 'surface', 861.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-09-29 06:00:00', 'surface', 860.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-09-30 06:00:00', 'surface', 857.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-10-01 06:00:00', 'surface', 857.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-10-02 06:00:00', 'surface', 858.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-10-03 06:00:00', 'surface', 859.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-10-04 06:00:00', 'surface', 857.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-10-05 06:00:00', 'surface', 855.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-10-06 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-10-07 06:00:00', 'surface', 852.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-10-08 06:00:00', 'surface', 853.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-10-09 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-10-10 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-10-11 06:00:00', 'surface', 853.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-10-12 06:00:00', 'surface', 852.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-10-13 06:00:00', 'surface', 853.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-10-14 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-10-15 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-10-16 06:00:00', 'surface', 856.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-10-17 06:00:00', 'surface', 858.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-10-18 06:00:00', 'surface', 856.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-10-19 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-10-20 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-10-21 06:00:00', 'surface', 856.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-10-22 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-10-23 06:00:00', 'surface', 853.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-10-24 06:00:00', 'surface', 853.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-10-25 06:00:00', 'surface', 855.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-10-26 06:00:00', 'surface', 857.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-10-27 06:00:00', 'surface', 855.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-10-28 06:00:00', 'surface', 853.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-10-29 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-10-30 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-10-31 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-11-01 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-11-02 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-11-03 06:00:00', 'surface', 855.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-11-04 06:00:00', 'surface', 854.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-11-05 06:00:00', 'surface', 855.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-11-06 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-11-07 06:00:00', 'surface', 854.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-11-08 06:00:00', 'surface', 852.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-11-09 06:00:00', 'surface', 852.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-11-10 06:00:00', 'surface', 856.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-11-11 06:00:00', 'surface', 858.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-11-12 06:00:00', 'surface', 858.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-11-13 06:00:00', 'surface', 857.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-11-14 06:00:00', 'surface', 855.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-11-15 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-11-16 06:00:00', 'surface', 858.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-11-17 06:00:00', 'surface', 856.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-11-18 06:00:00', 'surface', 855.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-11-19 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-11-20 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-11-21 06:00:00', 'surface', 855.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-11-22 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-11-23 06:00:00', 'surface', 853.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-11-24 06:00:00', 'surface', 853.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-11-25 06:00:00', 'surface', 853.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-11-26 06:00:00', 'surface', 852.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-11-27 06:00:00', 'surface', 851.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-11-28 06:00:00', 'surface', 852.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-11-29 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-11-30 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-12-01 06:00:00', 'surface', 853.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-12-02 06:00:00', 'surface', 853.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-12-03 06:00:00', 'surface', 854.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-12-04 06:00:00', 'surface', 854.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-12-05 06:00:00', 'surface', 853.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-12-06 06:00:00', 'surface', 852.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-12-07 06:00:00', 'surface', 852.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-12-08 06:00:00', 'surface', 853.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-12-09 06:00:00', 'surface', 852.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-12-10 06:00:00', 'surface', 852.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-12-11 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-12-12 06:00:00', 'surface', 853.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-12-13 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-12-14 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-12-15 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-12-16 06:00:00', 'surface', 854.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-12-17 06:00:00', 'surface', 855.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-12-18 06:00:00', 'surface', 857.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-12-19 06:00:00', 'surface', 858.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-12-20 06:00:00', 'surface', 857.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-12-21 06:00:00', 'surface', 856.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-12-22 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-12-23 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-12-24 06:00:00', 'surface', 854.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-12-25 06:00:00', 'surface', 854.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-12-26 06:00:00', 'surface', 854.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-12-27 06:00:00', 'surface', 853.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-12-28 06:00:00', 'surface', 853.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-12-29 06:00:00', 'surface', 852.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-12-30 06:00:00', 'surface', 850.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1986-12-31 06:00:00', 'surface', 851.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-01-01 06:00:00', 'surface', 852.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-01-02 06:00:00', 'surface', 851.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-01-03 06:00:00', 'surface', 851.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-01-04 06:00:00', 'surface', 853.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-01-05 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-01-06 06:00:00', 'surface', 853.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-01-07 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-01-08 06:00:00', 'surface', 854.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-01-09 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-01-10 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-01-11 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-01-12 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-01-13 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-01-14 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-01-15 06:00:00', 'surface', 853.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-01-16 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-01-17 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-01-18 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-01-19 06:00:00', 'surface', 851.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-01-20 06:00:00', 'surface', 850.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-01-21 06:00:00', 'surface', 849.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-01-22 06:00:00', 'surface', 849.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-01-23 06:00:00', 'surface', 850.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-01-24 06:00:00', 'surface', 850.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-01-25 06:00:00', 'surface', 851.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-01-26 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-01-27 06:00:00', 'surface', 856.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-01-28 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-01-29 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-01-30 06:00:00', 'surface', 854.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-01-31 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-02-01 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-02-02 06:00:00', 'surface', 855.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-02-03 06:00:00', 'surface', 855.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-02-04 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-02-05 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-02-06 06:00:00', 'surface', 852.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-02-07 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-02-08 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-02-09 06:00:00', 'surface', 854.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-02-10 06:00:00', 'surface', 853.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-02-11 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-02-12 06:00:00', 'surface', 854.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-02-13 06:00:00', 'surface', 853.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-02-14 06:00:00', 'surface', 852.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-02-15 06:00:00', 'surface', 853.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-02-16 06:00:00', 'surface', 853.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-02-17 06:00:00', 'surface', 853.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-02-18 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-02-19 06:00:00', 'surface', 853.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-02-20 06:00:00', 'surface', 853.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-02-21 06:00:00', 'surface', 854.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-02-22 06:00:00', 'surface', 854.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-02-23 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-02-24 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-02-25 06:00:00', 'surface', 856.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-02-26 06:00:00', 'surface', 857.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-02-27 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-02-28 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-03-01 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-03-02 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-03-03 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-03-04 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-03-05 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-03-06 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-03-07 06:00:00', 'surface', 853.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-03-08 06:00:00', 'surface', 852.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-03-09 06:00:00', 'surface', 851.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-03-10 06:00:00', 'surface', 850.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-03-11 06:00:00', 'surface', 852.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-03-12 06:00:00', 'surface', 853.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-03-13 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-03-14 06:00:00', 'surface', 853.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-03-15 06:00:00', 'surface', 853.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-03-16 06:00:00', 'surface', 853.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-03-17 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-03-18 06:00:00', 'surface', 855.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-03-19 06:00:00', 'surface', 855.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-03-20 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-03-21 06:00:00', 'surface', 854.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-03-22 06:00:00', 'surface', 854.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-03-23 06:00:00', 'surface', 852.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-03-24 06:00:00', 'surface', 851.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-03-25 06:00:00', 'surface', 853.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-03-26 06:00:00', 'surface', 855.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-03-27 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-03-28 06:00:00', 'surface', 853.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-03-29 06:00:00', 'surface', 853.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-03-30 06:00:00', 'surface', 854.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-03-31 06:00:00', 'surface', 854.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-04-01 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-04-02 06:00:00', 'surface', 855.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-04-03 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-04-04 06:00:00', 'surface', 856.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-04-05 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-04-06 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-04-07 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-04-08 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-04-09 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-04-10 06:00:00', 'surface', 857.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-04-11 06:00:00', 'surface', 857.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-04-12 06:00:00', 'surface', 858.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-04-13 06:00:00', 'surface', 856.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-04-14 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-04-15 06:00:00', 'surface', 855.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-04-16 06:00:00', 'surface', 855.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-04-17 06:00:00', 'surface', 858.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-04-18 06:00:00', 'surface', 859.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-04-19 06:00:00', 'surface', 858.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-04-20 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-04-21 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-04-22 06:00:00', 'surface', 855.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-04-23 06:00:00', 'surface', 854.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-04-24 06:00:00', 'surface', 855.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-04-25 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-04-26 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-04-27 06:00:00', 'surface', 857.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-04-28 06:00:00', 'surface', 857.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-04-29 06:00:00', 'surface', 858.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-04-30 06:00:00', 'surface', 858.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-05-01 06:00:00', 'surface', 858.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-05-02 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-05-03 06:00:00', 'surface', 857.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-05-04 06:00:00', 'surface', 856.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-05-05 06:00:00', 'surface', 857.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-05-06 06:00:00', 'surface', 856.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-05-07 06:00:00', 'surface', 857.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-05-08 06:00:00', 'surface', 858.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-05-09 06:00:00', 'surface', 859.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-05-10 06:00:00', 'surface', 859.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-05-11 06:00:00', 'surface', 857.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-05-12 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-05-13 06:00:00', 'surface', 855.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-05-14 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-05-15 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-05-16 06:00:00', 'surface', 855.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-05-17 06:00:00', 'surface', 854.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-05-18 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-05-19 06:00:00', 'surface', 854.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-05-20 06:00:00', 'surface', 856.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-05-21 06:00:00', 'surface', 858.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-05-22 06:00:00', 'surface', 859.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-05-23 06:00:00', 'surface', 859.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-05-24 06:00:00', 'surface', 858.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-05-25 06:00:00', 'surface', 857.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-05-26 06:00:00', 'surface', 857.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-05-27 06:00:00', 'surface', 860.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-05-28 06:00:00', 'surface', 861.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-05-29 06:00:00', 'surface', 860.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-05-30 06:00:00', 'surface', 859.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-05-31 06:00:00', 'surface', 859.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-06-01 06:00:00', 'surface', 858.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-06-02 06:00:00', 'surface', 856.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-06-03 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-06-04 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-06-05 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-06-06 06:00:00', 'surface', 857.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-06-07 06:00:00', 'surface', 860.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-06-08 06:00:00', 'surface', 859.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-06-09 06:00:00', 'surface', 858.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-06-10 06:00:00', 'surface', 858.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-06-11 06:00:00', 'surface', 860.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-06-12 06:00:00', 'surface', 861.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-06-13 06:00:00', 'surface', 861.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-06-14 06:00:00', 'surface', 861.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-06-15 06:00:00', 'surface', 860.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-06-16 06:00:00', 'surface', 859.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-06-17 06:00:00', 'surface', 858.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-06-18 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-06-19 06:00:00', 'surface', 862.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-06-20 06:00:00', 'surface', 865.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-06-21 06:00:00', 'surface', 866.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-06-22 06:00:00', 'surface', 865.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-06-23 06:00:00', 'surface', 862.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-06-24 06:00:00', 'surface', 859.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-06-25 06:00:00', 'surface', 857.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-06-26 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-06-27 06:00:00', 'surface', 858.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-06-28 06:00:00', 'surface', 860.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-06-29 06:00:00', 'surface', 861.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-06-30 06:00:00', 'surface', 860.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-07-01 06:00:00', 'surface', 859.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-07-02 06:00:00', 'surface', 857.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-07-03 06:00:00', 'surface', 857.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-07-04 06:00:00', 'surface', 858.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-07-05 06:00:00', 'surface', 860.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-07-06 06:00:00', 'surface', 860.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-07-07 06:00:00', 'surface', 861.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-07-08 06:00:00', 'surface', 861.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-07-09 06:00:00', 'surface', 860.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-07-10 06:00:00', 'surface', 858.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-07-11 06:00:00', 'surface', 857.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-07-12 06:00:00', 'surface', 857.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-07-13 06:00:00', 'surface', 858.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-07-14 06:00:00', 'surface', 859.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-07-15 06:00:00', 'surface', 861.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-07-16 06:00:00', 'surface', 860.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-07-17 06:00:00', 'surface', 859.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-07-18 06:00:00', 'surface', 857.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-07-19 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-07-20 06:00:00', 'surface', 854.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-07-21 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-07-22 06:00:00', 'surface', 858.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-07-23 06:00:00', 'surface', 859.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-07-24 06:00:00', 'surface', 859.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-07-25 06:00:00', 'surface', 858.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-07-26 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-07-27 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-07-28 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-07-29 06:00:00', 'surface', 857.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-07-30 06:00:00', 'surface', 859.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-07-31 06:00:00', 'surface', 859.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-08-01 06:00:00', 'surface', 858.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-08-02 06:00:00', 'surface', 858.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-08-03 06:00:00', 'surface', 858.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-08-04 06:00:00', 'surface', 857.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-08-05 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-08-06 06:00:00', 'surface', 859.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-08-07 06:00:00', 'surface', 860.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-08-08 06:00:00', 'surface', 859.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-08-09 06:00:00', 'surface', 858.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-08-10 06:00:00', 'surface', 857.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-08-11 06:00:00', 'surface', 857.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-08-12 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-08-13 06:00:00', 'surface', 856.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-08-14 06:00:00', 'surface', 860.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-08-15 06:00:00', 'surface', 859.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-08-16 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-08-17 06:00:00', 'surface', 857.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-08-18 06:00:00', 'surface', 857.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-08-19 06:00:00', 'surface', 859.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-08-20 06:00:00', 'surface', 862.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-08-21 06:00:00', 'surface', 860.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-08-22 06:00:00', 'surface', 858.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-08-23 06:00:00', 'surface', 857.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-08-24 06:00:00', 'surface', 857.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-08-25 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-08-26 06:00:00', 'surface', 858.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-08-27 06:00:00', 'surface', 858.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-08-28 06:00:00', 'surface', 858.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-08-29 06:00:00', 'surface', 858.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-08-30 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-08-31 06:00:00', 'surface', 856.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-09-01 06:00:00', 'surface', 856.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-09-02 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-09-03 06:00:00', 'surface', 855.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-09-04 06:00:00', 'surface', 855.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-09-05 06:00:00', 'surface', 855.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-09-06 06:00:00', 'surface', 857.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-09-07 06:00:00', 'surface', 858.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-09-08 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-09-09 06:00:00', 'surface', 858.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-09-10 06:00:00', 'surface', 858.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-09-11 06:00:00', 'surface', 857.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-09-12 06:00:00', 'surface', 856.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-09-13 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-09-14 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-09-15 06:00:00', 'surface', 855.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-09-16 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-09-17 06:00:00', 'surface', 857.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-09-18 06:00:00', 'surface', 860.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-09-19 06:00:00', 'surface', 858.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-09-20 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-09-21 06:00:00', 'surface', 856.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-09-22 06:00:00', 'surface', 858.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-09-23 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-09-24 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-09-25 06:00:00', 'surface', 854.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-09-26 06:00:00', 'surface', 854.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-09-27 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-09-28 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-09-29 06:00:00', 'surface', 852.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-09-30 06:00:00', 'surface', 852.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-10-01 06:00:00', 'surface', 853.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-10-02 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-10-03 06:00:00', 'surface', 861.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-10-04 06:00:00', 'surface', 862.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-10-05 06:00:00', 'surface', 859.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-10-06 06:00:00', 'surface', 858.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-10-07 06:00:00', 'surface', 857.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-10-08 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-10-09 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-10-10 06:00:00', 'surface', 854.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-10-11 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-10-12 06:00:00', 'surface', 853.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-10-13 06:00:00', 'surface', 853.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-10-14 06:00:00', 'surface', 855.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-10-15 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-10-16 06:00:00', 'surface', 857.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-10-17 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-10-18 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-10-19 06:00:00', 'surface', 855.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-10-20 06:00:00', 'surface', 856.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-10-21 06:00:00', 'surface', 855.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-10-22 06:00:00', 'surface', 854.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-10-23 06:00:00', 'surface', 854.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-10-24 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-10-25 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-10-26 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-10-27 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-10-28 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-10-29 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-10-30 06:00:00', 'surface', 856.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-10-31 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-11-01 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-11-02 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-11-03 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-11-04 06:00:00', 'surface', 854.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-11-05 06:00:00', 'surface', 854.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-11-06 06:00:00', 'surface', 855.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-11-07 06:00:00', 'surface', 856.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-11-08 06:00:00', 'surface', 856.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-11-09 06:00:00', 'surface', 857.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-11-10 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-11-11 06:00:00', 'surface', 857.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-11-12 06:00:00', 'surface', 857.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-11-13 06:00:00', 'surface', 856.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-11-14 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-11-15 06:00:00', 'surface', 854.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-11-16 06:00:00', 'surface', 853.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-11-17 06:00:00', 'surface', 854.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-11-18 06:00:00', 'surface', 854.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-11-19 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-11-20 06:00:00', 'surface', 853.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-11-21 06:00:00', 'surface', 854.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-11-22 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-11-23 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-11-24 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-11-25 06:00:00', 'surface', 851.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-11-26 06:00:00', 'surface', 852.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-11-27 06:00:00', 'surface', 852.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-11-28 06:00:00', 'surface', 855.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-11-29 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-11-30 06:00:00', 'surface', 855.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-12-01 06:00:00', 'surface', 855.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-12-02 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-12-03 06:00:00', 'surface', 853.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-12-04 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-12-05 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-12-06 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-12-07 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-12-08 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-12-09 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-12-10 06:00:00', 'surface', 853.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-12-11 06:00:00', 'surface', 852.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-12-12 06:00:00', 'surface', 853.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-12-13 06:00:00', 'surface', 853.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-12-14 06:00:00', 'surface', 853.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-12-15 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-12-16 06:00:00', 'surface', 854.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-12-17 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-12-18 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-12-19 06:00:00', 'surface', 855.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-12-20 06:00:00', 'surface', 856.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-12-21 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-12-22 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-12-23 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-12-24 06:00:00', 'surface', 854.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-12-25 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-12-26 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-12-27 06:00:00', 'surface', 852.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-12-28 06:00:00', 'surface', 853.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-12-29 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-12-30 06:00:00', 'surface', 855.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1987-12-31 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-01-01 06:00:00', 'surface', 855.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-01-02 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-01-03 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-01-04 06:00:00', 'surface', 854.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-01-05 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-01-06 06:00:00', 'surface', 853.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-01-07 06:00:00', 'surface', 853.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-01-08 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-01-09 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-01-10 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-01-11 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-01-12 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-01-13 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-01-14 06:00:00', 'surface', 853.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-01-15 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-01-16 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-01-17 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-01-18 06:00:00', 'surface', 853.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-01-19 06:00:00', 'surface', 852.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-01-20 06:00:00', 'surface', 853.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-01-21 06:00:00', 'surface', 852.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-01-22 06:00:00', 'surface', 851.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-01-23 06:00:00', 'surface', 851.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-01-24 06:00:00', 'surface', 851.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-01-25 06:00:00', 'surface', 851.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-01-26 06:00:00', 'surface', 852.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-01-27 06:00:00', 'surface', 852.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-01-28 06:00:00', 'surface', 851.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-01-29 06:00:00', 'surface', 849.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-01-30 06:00:00', 'surface', 849.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-01-31 06:00:00', 'surface', 852.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-02-01 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-02-02 06:00:00', 'surface', 855.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-02-03 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-02-04 06:00:00', 'surface', 853.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-02-05 06:00:00', 'surface', 853.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-02-06 06:00:00', 'surface', 853.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-02-07 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-02-08 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-02-09 06:00:00', 'surface', 853.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-02-10 06:00:00', 'surface', 852.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-02-11 06:00:00', 'surface', 852.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-02-12 06:00:00', 'surface', 852.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-02-13 06:00:00', 'surface', 852.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-02-14 06:00:00', 'surface', 851.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-02-15 06:00:00', 'surface', 852.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-02-16 06:00:00', 'surface', 852.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-02-17 06:00:00', 'surface', 853.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-02-18 06:00:00', 'surface', 853.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-02-19 06:00:00', 'surface', 853.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-02-20 06:00:00', 'surface', 853.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-02-21 06:00:00', 'surface', 853.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-02-22 06:00:00', 'surface', 853.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-02-23 06:00:00', 'surface', 851.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-02-24 06:00:00', 'surface', 850.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-02-25 06:00:00', 'surface', 852.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-02-26 06:00:00', 'surface', 854.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-02-27 06:00:00', 'surface', 853.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-02-28 06:00:00', 'surface', 853.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-02-29 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-03-01 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-03-02 06:00:00', 'surface', 853.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-03-03 06:00:00', 'surface', 851.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-03-04 06:00:00', 'surface', 852.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-03-05 06:00:00', 'surface', 852.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-03-06 06:00:00', 'surface', 853.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-03-07 06:00:00', 'surface', 853.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-03-08 06:00:00', 'surface', 854.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-03-09 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-03-10 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-03-11 06:00:00', 'surface', 853.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-03-12 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-03-13 06:00:00', 'surface', 852.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-03-14 06:00:00', 'surface', 851.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-03-15 06:00:00', 'surface', 852.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-03-16 06:00:00', 'surface', 853.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-03-17 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-03-18 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-03-19 06:00:00', 'surface', 853.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-03-20 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-03-21 06:00:00', 'surface', 855.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-03-22 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-03-23 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-03-24 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-03-25 06:00:00', 'surface', 857.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-03-26 06:00:00', 'surface', 856.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-03-27 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-03-28 06:00:00', 'surface', 855.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-03-29 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-03-30 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-03-31 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-04-01 06:00:00', 'surface', 855.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-04-02 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-04-03 06:00:00', 'surface', 854.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-04-04 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-04-05 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-04-06 06:00:00', 'surface', 853.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-04-07 06:00:00', 'surface', 853.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-04-08 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-04-09 06:00:00', 'surface', 855.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-04-10 06:00:00', 'surface', 857.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-04-11 06:00:00', 'surface', 856.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-04-12 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-04-13 06:00:00', 'surface', 858.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-04-14 06:00:00', 'surface', 857.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-04-15 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-04-16 06:00:00', 'surface', 855.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-04-17 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-04-18 06:00:00', 'surface', 854.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-04-19 06:00:00', 'surface', 852.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-04-20 06:00:00', 'surface', 852.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-04-21 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-04-22 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-04-23 06:00:00', 'surface', 857.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-04-24 06:00:00', 'surface', 855.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-04-25 06:00:00', 'surface', 853.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-04-26 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-04-27 06:00:00', 'surface', 856.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-04-28 06:00:00', 'surface', 857.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-04-29 06:00:00', 'surface', 859.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-04-30 06:00:00', 'surface', 859.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-05-01 06:00:00', 'surface', 859.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-05-02 06:00:00', 'surface', 861.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-05-03 06:00:00', 'surface', 860.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-05-04 06:00:00', 'surface', 859.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-05-05 06:00:00', 'surface', 858.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-05-06 06:00:00', 'surface', 858.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-05-07 06:00:00', 'surface', 858.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-05-08 06:00:00', 'surface', 858.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-05-09 06:00:00', 'surface', 858.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-05-10 06:00:00', 'surface', 859.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-05-11 06:00:00', 'surface', 860.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-05-12 06:00:00', 'surface', 860.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-05-13 06:00:00', 'surface', 860.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-05-14 06:00:00', 'surface', 859.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-05-15 06:00:00', 'surface', 858.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-05-16 06:00:00', 'surface', 857.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-05-17 06:00:00', 'surface', 858.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-05-18 06:00:00', 'surface', 858.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-05-19 06:00:00', 'surface', 857.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-05-20 06:00:00', 'surface', 857.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-05-21 06:00:00', 'surface', 859.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-05-22 06:00:00', 'surface', 859.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-05-23 06:00:00', 'surface', 858.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-05-24 06:00:00', 'surface', 857.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-05-25 06:00:00', 'surface', 858.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-05-26 06:00:00', 'surface', 858.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-05-27 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-05-28 06:00:00', 'surface', 854.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-05-29 06:00:00', 'surface', 856.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-05-30 06:00:00', 'surface', 858.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-05-31 06:00:00', 'surface', 861.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-06-01 06:00:00', 'surface', 861.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-06-02 06:00:00', 'surface', 859.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-06-03 06:00:00', 'surface', 858.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-06-04 06:00:00', 'surface', 858.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-06-05 06:00:00', 'surface', 858.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-06-06 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-06-07 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-06-08 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-06-09 06:00:00', 'surface', 857.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-06-10 06:00:00', 'surface', 857.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-06-11 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-06-12 06:00:00', 'surface', 857.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-06-13 06:00:00', 'surface', 858.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-06-14 06:00:00', 'surface', 858.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-06-15 06:00:00', 'surface', 859.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-06-16 06:00:00', 'surface', 860.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-06-17 06:00:00', 'surface', 860.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-06-18 06:00:00', 'surface', 861.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-06-19 06:00:00', 'surface', 859.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-06-20 06:00:00', 'surface', 856.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-06-21 06:00:00', 'surface', 855.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-06-22 06:00:00', 'surface', 858.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-06-23 06:00:00', 'surface', 861.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-06-24 06:00:00', 'surface', 861.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-06-25 06:00:00', 'surface', 860.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-06-26 06:00:00', 'surface', 859.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-06-27 06:00:00', 'surface', 857.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-06-28 06:00:00', 'surface', 856.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-06-29 06:00:00', 'surface', 855.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-06-30 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-07-01 06:00:00', 'surface', 856.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-07-02 06:00:00', 'surface', 856.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-07-03 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-07-04 06:00:00', 'surface', 856.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-07-05 06:00:00', 'surface', 858.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-07-06 06:00:00', 'surface', 859.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-07-07 06:00:00', 'surface', 859.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-07-08 06:00:00', 'surface', 858.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-07-09 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-07-10 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-07-11 06:00:00', 'surface', 858.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-07-12 06:00:00', 'surface', 859.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-07-13 06:00:00', 'surface', 859.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-07-14 06:00:00', 'surface', 861.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-07-15 06:00:00', 'surface', 863.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-07-16 06:00:00', 'surface', 861.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-07-17 06:00:00', 'surface', 859.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-07-18 06:00:00', 'surface', 858.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-07-19 06:00:00', 'surface', 859.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-07-20 06:00:00', 'surface', 858.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-07-21 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-07-22 06:00:00', 'surface', 858.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-07-23 06:00:00', 'surface', 857.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-07-24 06:00:00', 'surface', 857.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-07-25 06:00:00', 'surface', 858.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-07-26 06:00:00', 'surface', 858.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-07-27 06:00:00', 'surface', 861.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-07-28 06:00:00', 'surface', 861.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-07-29 06:00:00', 'surface', 859.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-07-30 06:00:00', 'surface', 858.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-07-31 06:00:00', 'surface', 858.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-08-01 06:00:00', 'surface', 859.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-08-02 06:00:00', 'surface', 858.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-08-03 06:00:00', 'surface', 858.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-08-04 06:00:00', 'surface', 858.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-08-05 06:00:00', 'surface', 858.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-08-06 06:00:00', 'surface', 857.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-08-07 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-08-08 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-08-09 06:00:00', 'surface', 857.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-08-10 06:00:00', 'surface', 860.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-08-11 06:00:00', 'surface', 861.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-08-12 06:00:00', 'surface', 861.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-08-13 06:00:00', 'surface', 860.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-08-14 06:00:00', 'surface', 860.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-08-15 06:00:00', 'surface', 860.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-08-16 06:00:00', 'surface', 859.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-08-17 06:00:00', 'surface', 858.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-08-18 06:00:00', 'surface', 859.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-08-19 06:00:00', 'surface', 859.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-08-20 06:00:00', 'surface', 857.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-08-21 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-08-22 06:00:00', 'surface', 856.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-08-23 06:00:00', 'surface', 857.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-08-24 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-08-25 06:00:00', 'surface', 855.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-08-26 06:00:00', 'surface', 854.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-08-27 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-08-28 06:00:00', 'surface', 854.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-08-29 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-08-30 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-08-31 06:00:00', 'surface', 856.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-09-01 06:00:00', 'surface', 856.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-09-02 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-09-03 06:00:00', 'surface', 857.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-09-04 06:00:00', 'surface', 856.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-09-05 06:00:00', 'surface', 857.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-09-06 06:00:00', 'surface', 857.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-09-07 06:00:00', 'surface', 857.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-09-08 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-09-09 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-09-10 06:00:00', 'surface', 855.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-09-11 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-09-12 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-09-13 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-09-14 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-09-15 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-09-16 06:00:00', 'surface', 852.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-09-17 06:00:00', 'surface', 852.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-09-18 06:00:00', 'surface', 856.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-09-19 06:00:00', 'surface', 859.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-09-20 06:00:00', 'surface', 859.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-09-21 06:00:00', 'surface', 858.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-09-22 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-09-23 06:00:00', 'surface', 856.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-09-24 06:00:00', 'surface', 857.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-09-25 06:00:00', 'surface', 857.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-09-26 06:00:00', 'surface', 856.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-09-27 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-09-28 06:00:00', 'surface', 857.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-09-29 06:00:00', 'surface', 857.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-09-30 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-10-01 06:00:00', 'surface', 855.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-10-02 06:00:00', 'surface', 853.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-10-03 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-10-04 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-10-05 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-10-06 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-10-07 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-10-08 06:00:00', 'surface', 855.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-10-09 06:00:00', 'surface', 854.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-10-10 06:00:00', 'surface', 852.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-10-11 06:00:00', 'surface', 851.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-10-12 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-10-13 06:00:00', 'surface', 857.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-10-14 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-10-15 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-10-16 06:00:00', 'surface', 856.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-10-17 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-10-18 06:00:00', 'surface', 852.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-10-19 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-10-20 06:00:00', 'surface', 854.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-10-21 06:00:00', 'surface', 854.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-10-22 06:00:00', 'surface', 852.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-10-23 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-10-24 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-10-25 06:00:00', 'surface', 854.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-10-26 06:00:00', 'surface', 853.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-10-27 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-10-28 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-10-29 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-10-30 06:00:00', 'surface', 856.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-10-31 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-11-01 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-11-02 06:00:00', 'surface', 857.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-11-03 06:00:00', 'surface', 855.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0);
INSERT INTO `observationfinal` (`recordedFrom`, `describedBy`, `obsDatetime`, `obsLevel`, `obsValue`, `flag`, `period`, `qcStatus`, `qcTypeLog`, `acquisitionType`, `dataForm`, `capturedBy`, `mark`, `temperatureUnits`, `precipitationUnits`, `cloudHeightUnits`, `visUnits`, `dataSourceTimeZone`) VALUES
	('67774010', 47, '1988-11-04 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-11-05 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-11-06 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-11-07 06:00:00', 'surface', 856.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-11-08 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-11-09 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-11-10 06:00:00', 'surface', 857.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-11-11 06:00:00', 'surface', 859.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-11-12 06:00:00', 'surface', 859.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-11-13 06:00:00', 'surface', 858.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-11-14 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-11-15 06:00:00', 'surface', 855.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-11-16 06:00:00', 'surface', 856.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-11-17 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-11-18 06:00:00', 'surface', 855.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-11-19 06:00:00', 'surface', 855.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-11-20 06:00:00', 'surface', 855.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-11-21 06:00:00', 'surface', 855.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-11-22 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-11-23 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-11-24 06:00:00', 'surface', 855.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-11-25 06:00:00', 'surface', 854.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-11-26 06:00:00', 'surface', 853.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-11-27 06:00:00', 'surface', 854.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-11-28 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-11-29 06:00:00', 'surface', 853.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-11-30 06:00:00', 'surface', 854.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-12-01 06:00:00', 'surface', 854.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-12-02 06:00:00', 'surface', 854.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-12-03 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-12-04 06:00:00', 'surface', 854.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-12-05 06:00:00', 'surface', 852.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-12-06 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-12-07 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-12-08 06:00:00', 'surface', 856.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-12-09 06:00:00', 'surface', 856.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-12-10 06:00:00', 'surface', 856.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-12-11 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-12-12 06:00:00', 'surface', 854.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-12-13 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-12-14 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-12-15 06:00:00', 'surface', 852.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-12-16 06:00:00', 'surface', 851.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-12-17 06:00:00', 'surface', 853.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-12-18 06:00:00', 'surface', 854.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-12-19 06:00:00', 'surface', 853.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-12-20 06:00:00', 'surface', 853.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-12-21 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-12-22 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-12-23 06:00:00', 'surface', 852.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-12-24 06:00:00', 'surface', 852.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-12-25 06:00:00', 'surface', 853.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-12-26 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-12-27 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-12-28 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-12-29 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-12-30 06:00:00', 'surface', 853.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1988-12-31 06:00:00', 'surface', 854.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-01-01 06:00:00', 'surface', 854.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-01-02 06:00:00', 'surface', 853.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-01-03 06:00:00', 'surface', 853.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-01-04 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-01-05 06:00:00', 'surface', 853.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-01-06 06:00:00', 'surface', 851.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-01-07 06:00:00', 'surface', 850.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-01-08 06:00:00', 'surface', 850.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-01-09 06:00:00', 'surface', 851.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-01-10 06:00:00', 'surface', 851.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-01-11 06:00:00', 'surface', 850.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-01-12 06:00:00', 'surface', 850.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-01-13 06:00:00', 'surface', 851.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-01-14 06:00:00', 'surface', 852.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-01-15 06:00:00', 'surface', 851.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-01-16 06:00:00', 'surface', 850.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-01-17 06:00:00', 'surface', 850.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-01-18 06:00:00', 'surface', 851.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-01-19 06:00:00', 'surface', 851.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-01-20 06:00:00', 'surface', 850.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-01-21 06:00:00', 'surface', 851.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-01-22 06:00:00', 'surface', 851.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-01-23 06:00:00', 'surface', 851.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-01-24 06:00:00', 'surface', 852.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-01-25 06:00:00', 'surface', 852.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-01-26 06:00:00', 'surface', 852.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-01-27 06:00:00', 'surface', 853.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-01-28 06:00:00', 'surface', 853.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-01-29 06:00:00', 'surface', 852.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-01-30 06:00:00', 'surface', 852.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-01-31 06:00:00', 'surface', 851.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-02-01 06:00:00', 'surface', 849.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-02-02 06:00:00', 'surface', 848.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-02-03 06:00:00', 'surface', 849.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-02-04 06:00:00', 'surface', 851.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-02-05 06:00:00', 'surface', 851.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-02-06 06:00:00', 'surface', 851.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-02-07 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-02-08 06:00:00', 'surface', 854.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-02-09 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-02-10 06:00:00', 'surface', 854.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-02-11 06:00:00', 'surface', 854.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-02-12 06:00:00', 'surface', 853.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-02-13 06:00:00', 'surface', 851.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-02-14 06:00:00', 'surface', 851.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-02-15 06:00:00', 'surface', 851.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-02-16 06:00:00', 'surface', 852.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-02-17 06:00:00', 'surface', 853.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-02-18 06:00:00', 'surface', 853.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-02-19 06:00:00', 'surface', 852.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-02-20 06:00:00', 'surface', 852.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-02-21 06:00:00', 'surface', 852.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-02-22 06:00:00', 'surface', 852.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-02-23 06:00:00', 'surface', 851.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-02-24 06:00:00', 'surface', 850.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-02-25 06:00:00', 'surface', 849.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-02-26 06:00:00', 'surface', 851.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-02-27 06:00:00', 'surface', 852.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-02-28 06:00:00', 'surface', 852.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-03-01 06:00:00', 'surface', 851.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-03-02 06:00:00', 'surface', 850.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-03-03 06:00:00', 'surface', 851.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-03-04 06:00:00', 'surface', 852.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-03-05 06:00:00', 'surface', 852.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-03-06 06:00:00', 'surface', 852.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-03-07 06:00:00', 'surface', 852.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-03-08 06:00:00', 'surface', 853.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-03-09 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-03-10 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-03-11 06:00:00', 'surface', 854.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-03-12 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-03-13 06:00:00', 'surface', 854.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-03-14 06:00:00', 'surface', 853.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-03-15 06:00:00', 'surface', 853.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-03-16 06:00:00', 'surface', 853.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-03-17 06:00:00', 'surface', 854.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-03-18 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-03-19 06:00:00', 'surface', 855.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-03-20 06:00:00', 'surface', 853.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-03-21 06:00:00', 'surface', 853.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-03-22 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-03-23 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-03-24 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-03-25 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-03-26 06:00:00', 'surface', 854.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-03-27 06:00:00', 'surface', 854.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-03-28 06:00:00', 'surface', 854.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-03-29 06:00:00', 'surface', 852.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-03-30 06:00:00', 'surface', 852.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-03-31 06:00:00', 'surface', 853.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-04-01 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-04-02 06:00:00', 'surface', 857.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-04-03 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-04-04 06:00:00', 'surface', 856.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-04-05 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-04-06 06:00:00', 'surface', 855.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-04-07 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-04-08 06:00:00', 'surface', 857.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-04-09 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-04-10 06:00:00', 'surface', 856.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-04-11 06:00:00', 'surface', 856.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-04-12 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-04-13 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-04-14 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-04-15 06:00:00', 'surface', 856.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-04-16 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-04-17 06:00:00', 'surface', 856.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-04-18 06:00:00', 'surface', 856.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-04-19 06:00:00', 'surface', 856.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-04-20 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-04-21 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-04-22 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-04-23 06:00:00', 'surface', 855.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-04-24 06:00:00', 'surface', 857.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-04-25 06:00:00', 'surface', 858.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-04-26 06:00:00', 'surface', 857.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-04-27 06:00:00', 'surface', 855.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-04-28 06:00:00', 'surface', 855.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-04-29 06:00:00', 'surface', 857.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-04-30 06:00:00', 'surface', 857.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-05-01 06:00:00', 'surface', 857.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-05-02 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-05-03 06:00:00', 'surface', 855.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-05-04 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-05-05 06:00:00', 'surface', 857.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-05-06 06:00:00', 'surface', 858.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-05-07 06:00:00', 'surface', 858.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-05-08 06:00:00', 'surface', 857.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-05-09 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-05-10 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-05-11 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-05-12 06:00:00', 'surface', 855.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-05-13 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-05-14 06:00:00', 'surface', 859.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-05-15 06:00:00', 'surface', 861.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-05-16 06:00:00', 'surface', 860.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-05-17 06:00:00', 'surface', 859.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-05-18 06:00:00', 'surface', 859.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-05-19 06:00:00', 'surface', 861.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-05-20 06:00:00', 'surface', 861.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-05-21 06:00:00', 'surface', 860.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-05-22 06:00:00', 'surface', 859.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-05-23 06:00:00', 'surface', 859.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-05-24 06:00:00', 'surface', 859.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-05-25 06:00:00', 'surface', 858.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-05-26 06:00:00', 'surface', 857.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-05-27 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-05-28 06:00:00', 'surface', 859.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-05-29 06:00:00', 'surface', 860.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-05-30 06:00:00', 'surface', 859.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-05-31 06:00:00', 'surface', 858.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-06-01 06:00:00', 'surface', 857.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-06-02 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-06-03 06:00:00', 'surface', 856.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-06-04 06:00:00', 'surface', 855.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-06-05 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-06-06 06:00:00', 'surface', 858.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-06-07 06:00:00', 'surface', 858.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-06-08 06:00:00', 'surface', 859.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-06-09 06:00:00', 'surface', 860.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-06-10 06:00:00', 'surface', 861.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-06-11 06:00:00', 'surface', 860.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-06-12 06:00:00', 'surface', 862.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-06-13 06:00:00', 'surface', 863.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-06-14 06:00:00', 'surface', 862.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-06-15 06:00:00', 'surface', 863.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-06-16 06:00:00', 'surface', 864.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-06-17 06:00:00', 'surface', 861.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-06-18 06:00:00', 'surface', 860.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-06-19 06:00:00', 'surface', 859.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-06-20 06:00:00', 'surface', 860.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-06-21 06:00:00', 'surface', 859.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-06-22 06:00:00', 'surface', 859.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-06-23 06:00:00', 'surface', 859.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-06-24 06:00:00', 'surface', 857.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-06-25 06:00:00', 'surface', 857.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-06-26 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-06-27 06:00:00', 'surface', 858.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-06-28 06:00:00', 'surface', 859.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-06-29 06:00:00', 'surface', 859.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-06-30 06:00:00', 'surface', 859.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-07-01 06:00:00', 'surface', 858.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-07-02 06:00:00', 'surface', 856.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-07-03 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-07-04 06:00:00', 'surface', 858.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-07-05 06:00:00', 'surface', 858.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-07-06 06:00:00', 'surface', 859.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-07-07 06:00:00', 'surface', 861.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-07-08 06:00:00', 'surface', 860.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-07-09 06:00:00', 'surface', 860.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-07-10 06:00:00', 'surface', 859.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-07-11 06:00:00', 'surface', 858.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-07-12 06:00:00', 'surface', 858.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-07-13 06:00:00', 'surface', 861.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-07-14 06:00:00', 'surface', 861.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-07-15 06:00:00', 'surface', 861.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-07-16 06:00:00', 'surface', 860.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-07-17 06:00:00', 'surface', 858.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-07-18 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-07-19 06:00:00', 'surface', 858.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-07-20 06:00:00', 'surface', 863.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-07-21 06:00:00', 'surface', 864.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-07-22 06:00:00', 'surface', 863.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-07-23 06:00:00', 'surface', 861.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-07-24 06:00:00', 'surface', 860.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-07-25 06:00:00', 'surface', 859.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-07-26 06:00:00', 'surface', 858.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-07-27 06:00:00', 'surface', 858.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-07-28 06:00:00', 'surface', 860.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-07-29 06:00:00', 'surface', 862.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-07-30 06:00:00', 'surface', 860.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-07-31 06:00:00', 'surface', 858.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-08-01 06:00:00', 'surface', 858.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-08-02 06:00:00', 'surface', 857.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-08-03 06:00:00', 'surface', 858.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-08-04 06:00:00', 'surface', 861.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-08-05 06:00:00', 'surface', 861.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-08-06 06:00:00', 'surface', 859.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-08-07 06:00:00', 'surface', 858.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-08-08 06:00:00', 'surface', 859.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-08-09 06:00:00', 'surface', 858.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-08-10 06:00:00', 'surface', 859.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-08-11 06:00:00', 'surface', 859.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-08-12 06:00:00', 'surface', 858.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-08-13 06:00:00', 'surface', 857.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-08-14 06:00:00', 'surface', 858.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-08-15 06:00:00', 'surface', 857.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-08-16 06:00:00', 'surface', 858.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-08-17 06:00:00', 'surface', 859.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-08-18 06:00:00', 'surface', 862.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-08-19 06:00:00', 'surface', 860.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-08-20 06:00:00', 'surface', 858.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-08-21 06:00:00', 'surface', 858.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-08-22 06:00:00', 'surface', 859.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-08-23 06:00:00', 'surface', 860.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-08-24 06:00:00', 'surface', 858.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-08-25 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-08-26 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-08-27 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-08-28 06:00:00', 'surface', 855.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-08-29 06:00:00', 'surface', 855.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-08-30 06:00:00', 'surface', 852.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-08-31 06:00:00', 'surface', 853.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-09-01 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-09-02 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-09-03 06:00:00', 'surface', 853.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-09-04 06:00:00', 'surface', 853.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-09-05 06:00:00', 'surface', 851.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-09-06 06:00:00', 'surface', 852.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-09-07 06:00:00', 'surface', 857.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-09-08 06:00:00', 'surface', 860.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-09-09 06:00:00', 'surface', 860.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-09-10 06:00:00', 'surface', 858.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-09-11 06:00:00', 'surface', 857.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-09-12 06:00:00', 'surface', 857.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-09-13 06:00:00', 'surface', 858.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-09-14 06:00:00', 'surface', 858.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-09-15 06:00:00', 'surface', 857.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-09-16 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-09-17 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-09-18 06:00:00', 'surface', 853.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-09-19 06:00:00', 'surface', 852.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-09-20 06:00:00', 'surface', 854.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-09-21 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-09-22 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-09-23 06:00:00', 'surface', 853.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-09-24 06:00:00', 'surface', 853.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-09-25 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-09-26 06:00:00', 'surface', 857.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-09-27 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-09-28 06:00:00', 'surface', 857.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-09-29 06:00:00', 'surface', 856.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-09-30 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-10-01 06:00:00', 'surface', 854.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-10-02 06:00:00', 'surface', 852.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-10-03 06:00:00', 'surface', 851.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-10-04 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-10-05 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-10-06 06:00:00', 'surface', 856.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-10-07 06:00:00', 'surface', 855.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-10-08 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-10-09 06:00:00', 'surface', 852.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-10-10 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-10-11 06:00:00', 'surface', 857.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-10-12 06:00:00', 'surface', 858.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-10-13 06:00:00', 'surface', 857.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-10-14 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-10-15 06:00:00', 'surface', 854.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-10-16 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-10-17 06:00:00', 'surface', 856.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-10-18 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-10-19 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-10-20 06:00:00', 'surface', 856.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-10-21 06:00:00', 'surface', 855.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-10-22 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-10-23 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-10-24 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-10-25 06:00:00', 'surface', 857.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-10-26 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-10-27 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-10-28 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-10-29 06:00:00', 'surface', 857.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-10-30 06:00:00', 'surface', 856.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-10-31 06:00:00', 'surface', 854.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-11-01 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-11-02 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-11-03 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-11-04 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-11-05 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-11-06 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-11-07 06:00:00', 'surface', 853.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-11-08 06:00:00', 'surface', 852.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-11-09 06:00:00', 'surface', 851.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-11-10 06:00:00', 'surface', 851.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-11-11 06:00:00', 'surface', 853.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-11-12 06:00:00', 'surface', 854.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-11-13 06:00:00', 'surface', 854.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-11-14 06:00:00', 'surface', 853.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-11-15 06:00:00', 'surface', 847.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-11-16 06:00:00', 'surface', 849.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-11-17 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-11-18 06:00:00', 'surface', 855.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-11-19 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-11-20 06:00:00', 'surface', 858.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-11-21 06:00:00', 'surface', 858.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-11-22 06:00:00', 'surface', 857.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-11-23 06:00:00', 'surface', 857.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-11-24 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-11-25 06:00:00', 'surface', 856.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-11-26 06:00:00', 'surface', 855.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-11-27 06:00:00', 'surface', 853.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-11-28 06:00:00', 'surface', 851.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-11-29 06:00:00', 'surface', 852.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-11-30 06:00:00', 'surface', 853.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-12-01 06:00:00', 'surface', 853.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-12-02 06:00:00', 'surface', 851.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-12-03 06:00:00', 'surface', 851.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-12-04 06:00:00', 'surface', 852.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-12-05 06:00:00', 'surface', 852.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-12-06 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-12-07 06:00:00', 'surface', 856.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-12-08 06:00:00', 'surface', 855.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-12-09 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-12-10 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-12-11 06:00:00', 'surface', 853.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-12-12 06:00:00', 'surface', 853.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-12-13 06:00:00', 'surface', 853.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-12-14 06:00:00', 'surface', 853.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-12-15 06:00:00', 'surface', 853.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-12-16 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-12-17 06:00:00', 'surface', 854.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-12-18 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-12-19 06:00:00', 'surface', 853.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-12-20 06:00:00', 'surface', 851.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-12-21 06:00:00', 'surface', 851.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-12-22 06:00:00', 'surface', 853.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-12-23 06:00:00', 'surface', 853.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-12-24 06:00:00', 'surface', 852.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-12-25 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-12-26 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-12-27 06:00:00', 'surface', 852.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-12-28 06:00:00', 'surface', 851.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-12-29 06:00:00', 'surface', 852.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-12-30 06:00:00', 'surface', 851.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1989-12-31 06:00:00', 'surface', 851.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-01-01 06:00:00', 'surface', 852.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-01-02 06:00:00', 'surface', 852.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-01-03 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-01-04 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-01-05 06:00:00', 'surface', 853.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-01-06 06:00:00', 'surface', 853.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-01-07 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-01-08 06:00:00', 'surface', 855.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-01-09 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-01-10 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-01-11 06:00:00', 'surface', 852.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-01-12 06:00:00', 'surface', 852.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-01-13 06:00:00', 'surface', 851.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-01-14 06:00:00', 'surface', 850.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-01-15 06:00:00', 'surface', 851.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-01-16 06:00:00', 'surface', 852.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-01-17 06:00:00', 'surface', 852.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-01-18 06:00:00', 'surface', 851.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-01-19 06:00:00', 'surface', 850.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-01-20 06:00:00', 'surface', 851.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-01-21 06:00:00', 'surface', 854.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-01-22 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-01-23 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-01-24 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-01-25 06:00:00', 'surface', 854.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-01-26 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-01-27 06:00:00', 'surface', 855.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-01-28 06:00:00', 'surface', 854.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-01-29 06:00:00', 'surface', 854.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-01-30 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-01-31 06:00:00', 'surface', 856.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-02-01 06:00:00', 'surface', 856.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-02-02 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-02-03 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-02-04 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-02-05 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-02-06 06:00:00', 'surface', 853.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-02-07 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-02-08 06:00:00', 'surface', 853.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-02-09 06:00:00', 'surface', 851.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-02-10 06:00:00', 'surface', 851.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-02-11 06:00:00', 'surface', 853.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-02-12 06:00:00', 'surface', 854.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-02-13 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-02-14 06:00:00', 'surface', 854.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-02-15 06:00:00', 'surface', 852.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-02-16 06:00:00', 'surface', 851.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-02-17 06:00:00', 'surface', 852.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-02-18 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-02-19 06:00:00', 'surface', 852.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-02-20 06:00:00', 'surface', 851.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-02-21 06:00:00', 'surface', 850.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-02-22 06:00:00', 'surface', 852.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-02-23 06:00:00', 'surface', 852.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-02-24 06:00:00', 'surface', 852.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-02-25 06:00:00', 'surface', 853.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-02-26 06:00:00', 'surface', 856.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-02-27 06:00:00', 'surface', 856.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-02-28 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-04-01 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-04-02 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-04-03 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-04-04 06:00:00', 'surface', 857.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-04-05 06:00:00', 'surface', 856.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-04-06 06:00:00', 'surface', 854.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-04-07 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-04-08 06:00:00', 'surface', 857.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-04-09 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-04-10 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-04-11 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-04-12 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-04-13 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-04-14 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-04-15 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-04-16 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-04-17 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-04-18 06:00:00', 'surface', 854.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-04-19 06:00:00', 'surface', 855.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-04-20 06:00:00', 'surface', 857.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-04-21 06:00:00', 'surface', 857.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-04-22 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-04-23 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-04-24 06:00:00', 'surface', 854.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-04-25 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-04-26 06:00:00', 'surface', 852.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-04-27 06:00:00', 'surface', 853.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-04-28 06:00:00', 'surface', 854.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-04-29 06:00:00', 'surface', 853.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-04-30 06:00:00', 'surface', 852.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-05-01 06:00:00', 'surface', 851.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-05-02 06:00:00', 'surface', 852.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-05-03 06:00:00', 'surface', 853.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-05-04 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-05-05 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-05-06 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-05-07 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-05-08 06:00:00', 'surface', 857.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-05-09 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-05-10 06:00:00', 'surface', 854.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-05-11 06:00:00', 'surface', 857.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-05-12 06:00:00', 'surface', 858.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-05-13 06:00:00', 'surface', 858.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-05-14 06:00:00', 'surface', 859.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-05-15 06:00:00', 'surface', 859.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-05-16 06:00:00', 'surface', 860.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-05-17 06:00:00', 'surface', 859.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-05-18 06:00:00', 'surface', 859.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-05-19 06:00:00', 'surface', 860.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-05-20 06:00:00', 'surface', 858.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-05-21 06:00:00', 'surface', 856.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-05-22 06:00:00', 'surface', 856.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-05-23 06:00:00', 'surface', 859.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-05-24 06:00:00', 'surface', 862.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-05-25 06:00:00', 'surface', 860.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-05-29 06:00:00', 'surface', 859.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-05-30 06:00:00', 'surface', 859.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-05-31 06:00:00', 'surface', 859.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-06-01 06:00:00', 'surface', 860.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-06-02 06:00:00', 'surface', 859.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-06-03 06:00:00', 'surface', 858.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-06-04 06:00:00', 'surface', 857.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-06-05 06:00:00', 'surface', 858.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-06-06 06:00:00', 'surface', 860.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-06-07 06:00:00', 'surface', 860.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-06-08 06:00:00', 'surface', 860.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-06-09 06:00:00', 'surface', 859.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-06-10 06:00:00', 'surface', 859.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-06-11 06:00:00', 'surface', 859.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-06-12 06:00:00', 'surface', 862.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-06-13 06:00:00', 'surface', 862.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-06-14 06:00:00', 'surface', 861.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-06-15 06:00:00', 'surface', 860.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-06-16 06:00:00', 'surface', 859.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-06-17 06:00:00', 'surface', 858.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-06-18 06:00:00', 'surface', 860.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-06-19 06:00:00', 'surface', 863.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-06-20 06:00:00', 'surface', 861.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-06-21 06:00:00', 'surface', 857.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-06-22 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-06-23 06:00:00', 'surface', 856.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-06-24 06:00:00', 'surface', 859.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-06-25 06:00:00', 'surface', 859.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-06-26 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-06-27 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-06-28 06:00:00', 'surface', 854.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-06-29 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-06-30 06:00:00', 'surface', 858.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-07-01 06:00:00', 'surface', 890.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-07-02 06:00:00', 'surface', 860.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-07-03 06:00:00', 'surface', 859.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-07-04 06:00:00', 'surface', 859.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-07-05 06:00:00', 'surface', 857.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-07-06 06:00:00', 'surface', 857.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-07-07 06:00:00', 'surface', 858.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-07-08 06:00:00', 'surface', 858.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-07-09 06:00:00', 'surface', 857.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-07-10 06:00:00', 'surface', 857.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-07-11 06:00:00', 'surface', 858.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-07-12 06:00:00', 'surface', 858.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-07-13 06:00:00', 'surface', 857.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-07-14 06:00:00', 'surface', 858.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-07-15 06:00:00', 'surface', 860.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-07-16 06:00:00', 'surface', 858.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-07-17 06:00:00', 'surface', 856.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-07-18 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-07-19 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-07-20 06:00:00', 'surface', 858.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-07-21 06:00:00', 'surface', 860.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-07-22 06:00:00', 'surface', 861.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-07-23 06:00:00', 'surface', 861.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-07-24 06:00:00', 'surface', 861.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-07-25 06:00:00', 'surface', 861.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-07-26 06:00:00', 'surface', 861.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-07-27 06:00:00', 'surface', 860.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-07-28 06:00:00', 'surface', 860.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-07-29 06:00:00', 'surface', 859.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-07-30 06:00:00', 'surface', 859.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-07-31 06:00:00', 'surface', 860.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-08-01 06:00:00', 'surface', 860.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-08-02 06:00:00', 'surface', 859.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-08-03 06:00:00', 'surface', 858.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-08-04 06:00:00', 'surface', 859.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-08-05 06:00:00', 'surface', 860.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-08-06 06:00:00', 'surface', 860.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-08-07 06:00:00', 'surface', 861.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-08-08 06:00:00', 'surface', 861.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-08-09 06:00:00', 'surface', 860.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-08-10 06:00:00', 'surface', 860.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-08-11 06:00:00', 'surface', 859.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-08-12 06:00:00', 'surface', 862.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-08-13 06:00:00', 'surface', 864.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-08-14 06:00:00', 'surface', 862.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-08-15 06:00:00', 'surface', 860.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-08-16 06:00:00', 'surface', 859.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-08-17 06:00:00', 'surface', 859.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-08-18 06:00:00', 'surface', 857.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-08-19 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-08-20 06:00:00', 'surface', 856.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-08-21 06:00:00', 'surface', 859.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-08-22 06:00:00', 'surface', 860.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-08-23 06:00:00', 'surface', 858.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-08-24 06:00:00', 'surface', 859.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-08-25 06:00:00', 'surface', 859.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-08-26 06:00:00', 'surface', 859.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-08-27 06:00:00', 'surface', 858.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-08-28 06:00:00', 'surface', 858.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-08-29 06:00:00', 'surface', 857.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-08-30 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-08-31 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-09-01 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-09-02 06:00:00', 'surface', 859.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-09-03 06:00:00', 'surface', 858.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-09-04 06:00:00', 'surface', 859.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-09-05 06:00:00', 'surface', 861.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-09-06 06:00:00', 'surface', 858.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-09-07 06:00:00', 'surface', 856.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-09-08 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-09-09 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-09-10 06:00:00', 'surface', 858.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-09-11 06:00:00', 'surface', 858.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-09-12 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-09-13 06:00:00', 'surface', 855.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-09-14 06:00:00', 'surface', 856.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-09-15 06:00:00', 'surface', 855.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-09-16 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-09-17 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-09-18 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-09-19 06:00:00', 'surface', 857.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-09-20 06:00:00', 'surface', 860.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-09-21 06:00:00', 'surface', 859.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-09-22 06:00:00', 'surface', 858.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-09-23 06:00:00', 'surface', 857.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-09-24 06:00:00', 'surface', 860.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-09-25 06:00:00', 'surface', 858.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-09-26 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-09-27 06:00:00', 'surface', 856.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-09-28 06:00:00', 'surface', 856.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-09-29 06:00:00', 'surface', 857.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-09-30 06:00:00', 'surface', 858.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-10-01 06:00:00', 'surface', 859.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-10-02 06:00:00', 'surface', 858.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-10-03 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-10-04 06:00:00', 'surface', 855.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-10-05 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-10-06 06:00:00', 'surface', 853.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-10-07 06:00:00', 'surface', 853.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-10-08 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-10-09 06:00:00', 'surface', 857.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-10-10 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-10-11 06:00:00', 'surface', 855.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-10-12 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-10-13 06:00:00', 'surface', 854.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-10-14 06:00:00', 'surface', 853.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-10-15 06:00:00', 'surface', 851.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-10-16 06:00:00', 'surface', 852.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-10-17 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-10-18 06:00:00', 'surface', 852.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-10-19 06:00:00', 'surface', 852.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-10-20 06:00:00', 'surface', 853.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-10-21 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-10-22 06:00:00', 'surface', 855.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-10-23 06:00:00', 'surface', 854.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-10-24 06:00:00', 'surface', 855.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-10-25 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-10-26 06:00:00', 'surface', 856.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-10-27 06:00:00', 'surface', 857.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-10-28 06:00:00', 'surface', 857.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-10-29 06:00:00', 'surface', 856.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-10-30 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-10-31 06:00:00', 'surface', 855.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-11-01 06:00:00', 'surface', 856.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-11-02 06:00:00', 'surface', 855.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-11-03 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-11-04 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-11-05 06:00:00', 'surface', 852.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-11-06 06:00:00', 'surface', 852.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-11-07 06:00:00', 'surface', 857.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-11-08 06:00:00', 'surface', 858.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-11-09 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-11-10 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-11-11 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-11-12 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-11-13 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-11-14 06:00:00', 'surface', 853.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-11-15 06:00:00', 'surface', 853.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-11-16 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-11-17 06:00:00', 'surface', 857.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-11-18 06:00:00', 'surface', 856.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-11-19 06:00:00', 'surface', 853.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-11-20 06:00:00', 'surface', 852.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-11-21 06:00:00', 'surface', 852.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-11-22 06:00:00', 'surface', 853.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-11-23 06:00:00', 'surface', 853.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-11-24 06:00:00', 'surface', 852.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-11-25 06:00:00', 'surface', 854.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-11-26 06:00:00', 'surface', 857.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-11-27 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-11-28 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-11-29 06:00:00', 'surface', 853.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-11-30 06:00:00', 'surface', 852.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-12-01 06:00:00', 'surface', 851.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-12-02 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-12-03 06:00:00', 'surface', 857.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-12-04 06:00:00', 'surface', 857.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-12-05 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-12-06 06:00:00', 'surface', 852.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-12-07 06:00:00', 'surface', 853.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-12-08 06:00:00', 'surface', 854.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-12-09 06:00:00', 'surface', 854.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-12-10 06:00:00', 'surface', 854.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-12-11 06:00:00', 'surface', 854.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-12-12 06:00:00', 'surface', 854.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-12-13 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-12-14 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-12-15 06:00:00', 'surface', 854.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-12-16 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-12-17 06:00:00', 'surface', 852.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-12-18 06:00:00', 'surface', 852.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-12-19 06:00:00', 'surface', 853.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-12-20 06:00:00', 'surface', 855.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-12-21 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-12-22 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-12-23 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-12-24 06:00:00', 'surface', 853.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-12-25 06:00:00', 'surface', 853.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-12-26 06:00:00', 'surface', 853.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-12-27 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-12-28 06:00:00', 'surface', 854.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-12-29 06:00:00', 'surface', 852.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-12-30 06:00:00', 'surface', 851.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1990-12-31 06:00:00', 'surface', 852.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-01-01 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-01-02 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-01-03 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-01-04 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-01-05 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-01-06 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-01-07 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-01-08 06:00:00', 'surface', 29.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-01-09 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-01-10 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-01-11 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-01-12 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-01-13 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-01-14 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-01-15 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-01-16 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-01-17 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-01-18 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-01-19 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-01-20 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-01-21 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-01-22 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-01-23 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-01-24 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-01-25 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-01-26 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-01-27 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-01-28 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-01-29 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-01-30 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-01-31 06:00:00', 'surface', 29.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-02-01 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-02-02 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-02-03 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-02-04 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-02-05 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-02-06 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-02-07 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-02-08 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-02-09 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-02-10 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-02-11 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-02-12 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-02-13 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-02-14 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-02-15 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-02-16 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-02-17 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-02-18 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-02-19 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-02-20 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-02-21 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-02-22 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-02-23 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-02-24 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-02-25 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-02-26 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-02-27 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-02-28 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-03-01 06:00:00', 'surface', 30.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-03-02 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-03-03 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-03-04 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-03-05 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-03-06 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-03-07 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-03-08 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-03-09 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-03-10 06:00:00', 'surface', 29.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-03-11 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-03-12 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-03-13 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-03-14 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-03-15 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-03-16 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-03-17 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-03-18 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-03-19 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-03-20 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-03-21 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-03-22 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-03-23 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-03-24 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-03-25 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-03-26 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-03-27 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-03-28 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-03-29 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-03-30 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-03-31 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-04-01 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-04-02 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-04-03 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-04-04 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-04-05 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-04-06 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-04-07 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-04-08 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-04-09 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-04-10 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-04-11 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-04-12 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-04-13 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-04-14 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-04-15 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-04-16 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-04-17 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-04-18 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-04-19 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-04-20 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-04-21 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-04-22 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-04-23 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-04-24 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-04-25 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-04-26 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-04-27 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-04-28 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-04-29 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-04-30 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-05-01 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-05-02 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-05-03 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-05-04 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-05-05 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-05-06 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-05-07 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-05-08 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-05-09 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-05-10 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-05-11 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-05-12 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-05-13 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-05-14 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-05-15 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-05-16 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-05-17 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-05-18 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-05-19 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-05-20 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-05-21 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-05-22 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-05-23 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-05-24 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-05-25 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-05-26 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-05-27 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-05-28 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-05-29 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-05-30 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-05-31 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-06-01 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-06-02 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-06-03 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-06-04 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-06-05 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-06-06 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-06-07 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-06-08 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-06-09 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-06-10 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-06-11 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-06-12 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-06-13 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-06-14 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-06-15 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-06-16 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-06-17 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-06-18 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-06-19 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-06-20 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-06-21 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-06-22 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-06-23 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-06-24 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-06-25 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-06-26 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-06-27 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-06-28 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-06-29 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-06-30 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-07-01 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-07-02 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-07-03 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-07-04 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-07-05 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-07-06 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-07-07 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-07-08 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-07-09 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-07-10 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-07-11 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-07-12 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-07-13 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-07-14 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-07-15 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-07-16 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-07-17 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-07-18 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-07-19 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-07-20 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-07-21 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-07-22 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-07-23 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-07-24 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-07-25 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-07-26 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-07-27 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-07-28 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-07-29 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-07-30 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-07-31 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-08-01 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-08-02 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-08-03 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-08-04 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-08-05 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-08-06 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-08-07 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-08-08 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-08-09 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-08-10 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-08-11 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-08-12 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-08-13 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-08-14 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-08-15 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-08-16 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-08-17 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-08-18 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-08-19 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-08-20 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-08-21 06:00:00', 'surface', 30.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-08-22 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-08-23 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-08-24 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-08-25 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-08-26 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-08-27 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-08-28 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-08-29 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-08-30 06:00:00', 'surface', 31.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-08-31 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-09-01 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-09-02 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-09-03 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-09-04 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-09-05 06:00:00', 'surface', 29.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-09-06 06:00:00', 'surface', 31.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-09-07 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-09-08 06:00:00', 'surface', 31.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-09-09 06:00:00', 'surface', 31.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-09-10 06:00:00', 'surface', 30.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-09-11 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-09-12 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-09-13 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-09-14 06:00:00', 'surface', 30.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-09-15 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-09-16 06:00:00', 'surface', 30.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-09-17 06:00:00', 'surface', 31.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-09-18 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-09-19 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-09-20 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-09-21 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-09-22 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-09-23 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-09-24 06:00:00', 'surface', 30.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-09-25 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-09-26 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-09-27 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-09-28 06:00:00', 'surface', 29.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-09-29 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-09-30 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-10-01 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-10-02 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-10-03 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-10-04 06:00:00', 'surface', 30.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-10-05 06:00:00', 'surface', 31.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-10-06 06:00:00', 'surface', 31.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-10-07 06:00:00', 'surface', 31.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-10-08 06:00:00', 'surface', 31.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-10-09 06:00:00', 'surface', 31.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-10-10 06:00:00', 'surface', 29.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-10-11 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-10-12 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-10-13 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-10-14 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-10-15 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-10-16 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-10-17 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-10-18 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-10-19 06:00:00', 'surface', 30.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-10-20 06:00:00', 'surface', 31.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-10-21 06:00:00', 'surface', 30.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-10-22 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-10-23 06:00:00', 'surface', 29.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-10-24 06:00:00', 'surface', 29.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-10-25 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-10-26 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-10-27 06:00:00', 'surface', 30.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-10-28 06:00:00', 'surface', 31.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-10-29 06:00:00', 'surface', 31.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-10-30 06:00:00', 'surface', 32.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-10-31 06:00:00', 'surface', 32.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-11-01 06:00:00', 'surface', 32.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-11-02 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-11-03 06:00:00', 'surface', 30.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-11-04 06:00:00', 'surface', 29.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-11-05 06:00:00', 'surface', 31.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-11-06 06:00:00', 'surface', 31.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-11-07 06:00:00', 'surface', 31.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-11-08 06:00:00', 'surface', 30.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-11-09 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-11-10 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-11-11 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-11-12 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-11-13 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-11-14 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-11-15 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-11-16 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-11-17 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-11-18 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-11-19 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-11-20 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-11-21 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-11-22 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-11-23 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-11-24 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-11-25 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-11-26 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-11-27 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-11-28 06:00:00', 'surface', 30.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-11-29 06:00:00', 'surface', 30.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-11-30 06:00:00', 'surface', 30.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-12-01 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-12-02 06:00:00', 'surface', 29.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-12-03 06:00:00', 'surface', 30.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-12-04 06:00:00', 'surface', 30.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-12-05 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-12-06 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-12-07 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-12-08 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-12-09 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-12-10 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-12-11 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-12-12 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-12-13 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-12-14 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-12-15 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-12-16 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-12-17 06:00:00', 'surface', 29.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-12-18 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-12-19 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-12-20 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-12-21 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-12-22 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-12-23 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-12-24 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-12-25 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-12-26 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-12-27 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-12-28 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-12-29 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-12-30 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1991-12-31 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-01-01 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-01-02 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-01-03 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-01-04 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-01-05 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-01-06 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-01-07 06:00:00', 'surface', 30.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-01-08 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-01-09 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-01-10 06:00:00', 'surface', 30.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-01-11 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-01-12 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-01-13 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-01-14 06:00:00', 'surface', 31.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-01-15 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-01-16 06:00:00', 'surface', 31.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-01-17 06:00:00', 'surface', 32.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-01-18 06:00:00', 'surface', 30.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-01-19 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-01-20 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-01-21 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-01-22 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-01-23 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-01-24 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-01-25 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-01-26 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-01-27 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-01-28 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-01-29 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-01-30 06:00:00', 'surface', 29.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-01-31 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-02-01 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-02-02 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-02-03 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-02-04 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-02-05 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-02-06 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-02-07 06:00:00', 'surface', 29.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-02-08 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-02-09 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-02-10 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-02-11 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-02-12 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-02-13 06:00:00', 'surface', 30.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-02-14 06:00:00', 'surface', 33.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-02-15 06:00:00', 'surface', 32.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-02-16 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-02-17 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-02-18 06:00:00', 'surface', 30.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-02-19 06:00:00', 'surface', 30.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-02-20 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-02-21 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-02-22 06:00:00', 'surface', 29.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-02-23 06:00:00', 'surface', 31.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-02-24 06:00:00', 'surface', 32.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-02-25 06:00:00', 'surface', 33.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-02-26 06:00:00', 'surface', 33.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-02-27 06:00:00', 'surface', 32.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-02-28 06:00:00', 'surface', 30.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-02-29 06:00:00', 'surface', 31.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-03-01 06:00:00', 'surface', 29.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-03-02 06:00:00', 'surface', 32.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-03-03 06:00:00', 'surface', 30.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-03-04 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-03-05 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-03-06 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-03-07 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-03-08 06:00:00', 'surface', 30.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-03-09 06:00:00', 'surface', 30.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-03-10 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-03-11 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-03-12 06:00:00', 'surface', 29.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-03-13 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-03-14 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-03-15 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-03-16 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-03-17 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-03-18 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-03-19 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-03-20 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-03-21 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-03-22 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-03-23 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-03-24 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-03-25 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-03-26 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-03-27 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-03-28 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-03-29 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-03-30 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-03-31 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-04-01 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-04-02 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-04-03 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-04-04 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-04-05 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-04-06 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-04-07 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-04-08 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-04-09 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-04-10 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-04-11 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-04-12 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-04-13 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-04-14 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-04-15 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-04-16 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-04-17 06:00:00', 'surface', 29.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-04-18 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-04-19 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-04-20 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-04-21 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-04-22 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-04-23 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-04-24 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-04-25 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-04-26 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-04-27 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-04-28 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-04-29 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-04-30 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-05-01 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-05-02 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-05-03 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-05-04 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-05-05 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-05-06 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-05-07 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-05-08 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-05-09 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-05-10 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-05-11 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-05-12 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-05-13 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-05-14 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-05-15 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-05-16 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-05-17 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-05-18 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-05-19 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-05-20 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-05-21 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-05-22 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-05-23 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-05-24 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-05-25 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-05-26 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-05-27 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-05-28 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-05-29 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-05-30 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-05-31 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-06-01 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-06-02 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-06-03 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-06-04 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-06-05 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-06-06 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-06-07 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-06-08 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-06-09 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-06-10 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-06-11 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-06-12 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-06-13 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-06-14 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-06-15 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-06-16 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-06-17 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-06-18 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-06-19 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-06-20 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-06-21 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-06-22 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-06-23 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-06-24 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-06-25 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-06-26 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-06-27 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-06-28 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-06-29 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-06-30 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-07-01 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-07-02 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-07-03 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-07-04 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-07-05 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-07-06 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-07-07 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-07-08 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-07-09 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-07-10 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-07-11 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-07-12 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-07-13 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-07-14 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-07-15 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-07-16 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-07-17 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-07-18 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-07-19 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-07-20 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-07-21 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-07-22 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-07-23 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-07-24 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-07-25 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-07-26 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-07-27 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-07-28 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-07-29 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-07-30 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-07-31 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-08-01 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-08-02 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-08-03 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-08-04 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-08-05 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-08-06 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-08-07 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-08-08 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-08-09 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-08-10 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-08-11 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-08-12 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-08-13 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-08-14 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-08-15 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-08-16 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-08-17 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-08-18 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-08-19 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-08-20 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-08-21 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-08-22 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-08-23 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-08-24 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-08-25 06:00:00', 'surface', 29.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-08-26 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-08-27 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-08-28 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-08-29 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-08-30 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-08-31 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-09-01 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-09-02 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-09-03 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-09-04 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-09-05 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-09-06 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-09-07 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-09-08 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-09-09 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-09-10 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-09-11 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-09-12 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-09-13 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-09-14 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-09-15 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-09-16 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-09-17 06:00:00', 'surface', 30.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-09-18 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-09-19 06:00:00', 'surface', 30.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-09-20 06:00:00', 'surface', 29.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-09-21 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-09-22 06:00:00', 'surface', 31.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-09-23 06:00:00', 'surface', 30.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-09-24 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-09-25 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-09-26 06:00:00', 'surface', 30.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-09-27 06:00:00', 'surface', 30.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-09-28 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-09-29 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-09-30 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-10-01 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-10-02 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-10-03 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-10-04 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-10-05 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-10-06 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-10-07 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-10-08 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-10-09 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-10-10 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-10-11 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-10-12 06:00:00', 'surface', 30.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-10-13 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-10-14 06:00:00', 'surface', 30.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-10-15 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-10-16 06:00:00', 'surface', 31.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-10-17 06:00:00', 'surface', 33.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-10-18 06:00:00', 'surface', 33.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-10-19 06:00:00', 'surface', 33.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-10-20 06:00:00', 'surface', 33.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-10-21 06:00:00', 'surface', 32.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-10-22 06:00:00', 'surface', 32.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-10-23 06:00:00', 'surface', 32.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-10-24 06:00:00', 'surface', 33.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-10-25 06:00:00', 'surface', 34.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-10-26 06:00:00', 'surface', 33.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-10-27 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-10-28 06:00:00', 'surface', 32.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-10-29 06:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-10-30 06:00:00', 'surface', 33.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-10-31 06:00:00', 'surface', 31.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-11-01 06:00:00', 'surface', 32.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-11-02 06:00:00', 'surface', 31.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-11-03 06:00:00', 'surface', 31.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-11-04 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-11-05 06:00:00', 'surface', 29.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-11-06 06:00:00', 'surface', 31.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-11-07 06:00:00', 'surface', 31.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-11-08 06:00:00', 'surface', 30.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-11-09 06:00:00', 'surface', 31.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-11-10 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-11-11 06:00:00', 'surface', 29.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-11-12 06:00:00', 'surface', 31.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-11-13 06:00:00', 'surface', 31.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-11-14 06:00:00', 'surface', 30.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-11-15 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-11-16 06:00:00', 'surface', 31.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-11-17 06:00:00', 'surface', 31.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-11-18 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-11-19 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-11-20 06:00:00', 'surface', 31.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-11-21 06:00:00', 'surface', 33.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-11-22 06:00:00', 'surface', 33.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-11-23 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-11-24 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-11-25 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-11-26 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-11-27 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-11-28 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-11-29 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-11-30 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-12-01 06:00:00', 'surface', 30.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-12-02 06:00:00', 'surface', 32.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-12-03 06:00:00', 'surface', 32.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-12-04 06:00:00', 'surface', 31.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-12-05 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-12-06 06:00:00', 'surface', 29.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-12-07 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-12-08 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-12-09 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-12-10 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-12-11 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-12-12 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-12-13 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-12-14 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-12-15 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-12-16 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-12-17 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-12-18 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-12-19 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-12-20 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-12-21 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-12-22 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-12-23 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-12-24 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-12-25 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-12-26 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-12-27 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-12-28 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-12-29 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-12-30 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1992-12-31 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-01-01 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-01-02 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-01-03 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-01-04 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-01-05 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-01-06 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-01-07 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-01-08 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-01-09 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-01-10 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-01-11 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-01-12 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-01-13 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-01-14 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-01-15 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-01-16 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-01-17 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-01-18 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-01-19 06:00:00', 'surface', 29.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-01-20 06:00:00', 'surface', 30.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-01-21 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-01-22 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-01-23 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-01-24 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-01-25 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-01-26 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-01-27 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-01-28 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-01-29 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-01-30 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-01-31 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-02-01 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-02-02 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-02-03 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-02-04 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-02-05 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-02-06 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-02-07 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-02-08 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-02-09 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-02-10 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-02-11 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-02-12 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-02-13 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-02-14 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-02-15 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-02-16 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-02-17 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-02-18 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-02-19 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-02-20 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-02-21 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-02-22 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-02-23 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-02-24 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-02-25 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-02-26 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-02-27 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-02-28 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-03-01 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-03-02 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-03-03 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-03-04 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-03-05 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-03-06 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-03-07 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-03-08 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-03-09 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-03-10 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-03-11 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-03-12 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-03-13 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-03-14 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-03-15 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-03-16 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-03-17 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-03-18 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-03-19 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-03-20 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-03-21 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-03-22 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-03-23 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-03-24 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-03-25 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-03-26 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-03-27 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-03-28 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-03-29 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-03-30 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-03-31 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-04-01 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-04-02 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-04-03 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-04-04 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-04-05 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-04-06 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-04-07 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-04-08 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-04-09 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-04-10 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-04-11 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-04-12 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-04-13 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-04-14 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-04-15 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-04-16 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-04-17 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-04-18 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-04-19 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-04-20 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-04-21 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-04-22 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-04-23 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-04-24 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-04-25 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-04-26 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-04-27 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-04-28 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-04-29 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-04-30 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-05-01 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-05-02 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-05-03 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-05-04 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-05-05 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-05-06 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-05-07 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-05-08 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-05-09 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-05-10 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-05-11 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-05-12 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-05-13 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-05-14 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-05-15 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-05-16 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-05-17 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-05-18 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-05-19 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-05-20 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-05-21 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-05-22 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-05-23 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-05-24 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-05-25 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-05-26 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-05-27 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-05-28 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-05-29 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-05-30 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-05-31 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-06-01 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-06-02 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-06-03 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-06-04 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-06-05 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-06-06 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-06-07 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-06-08 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-06-09 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-06-10 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-06-11 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-06-12 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-06-13 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-06-14 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-06-15 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-06-16 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-06-17 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-06-18 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-06-19 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-06-20 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-06-21 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-06-22 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-06-23 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-06-24 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-06-25 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-06-26 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-06-27 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-06-28 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-06-29 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-06-30 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-07-01 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-07-02 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-07-03 06:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-07-04 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-07-05 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-07-06 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-07-07 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-07-08 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-07-09 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-07-10 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-07-11 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-07-12 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-07-13 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-07-14 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-07-15 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-07-16 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-07-17 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-07-18 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-07-19 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-07-20 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-07-21 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-07-22 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-07-23 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-07-24 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-07-25 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-07-26 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-07-27 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-07-28 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-07-29 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-07-30 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-07-31 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-08-01 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-08-02 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-08-03 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-08-04 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-08-05 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-08-06 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-08-07 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-08-08 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-08-09 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-08-10 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-08-11 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-08-12 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-08-13 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-08-14 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-08-15 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-08-16 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-08-17 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-08-18 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-08-19 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-08-20 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-08-21 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-08-22 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-08-23 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-08-24 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-08-25 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-08-26 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-08-27 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-08-28 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-08-29 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-08-30 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-08-31 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-09-01 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-09-02 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-09-03 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-09-04 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-09-05 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-09-06 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-09-07 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-09-08 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-09-09 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-09-10 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-09-11 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-09-12 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-09-13 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-09-14 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-09-15 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-09-16 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-09-17 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-09-18 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-09-19 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-09-20 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-09-21 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-09-22 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-09-23 06:00:00', 'surface', 30.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-09-24 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-09-25 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-09-26 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-09-27 06:00:00', 'surface', 29.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-09-28 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-09-29 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-09-30 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-10-01 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-10-02 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-10-03 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-10-04 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-10-05 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-10-06 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-10-07 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-10-08 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-10-09 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-10-10 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-10-11 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-10-12 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-10-13 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-10-14 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-10-15 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-10-16 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-10-17 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-10-18 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-10-19 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-10-20 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-10-21 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-10-22 06:00:00', 'surface', 30.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-10-23 06:00:00', 'surface', 30.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-10-24 06:00:00', 'surface', 31.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-10-25 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-10-26 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-10-27 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-10-28 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-10-29 06:00:00', 'surface', 30.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-10-30 06:00:00', 'surface', 31.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-10-31 06:00:00', 'surface', 33.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-11-01 06:00:00', 'surface', 33.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-11-02 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-11-03 06:00:00', 'surface', 32.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-11-04 06:00:00', 'surface', 30.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-11-05 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-11-06 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-11-07 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-11-08 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-11-09 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-11-10 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-11-11 06:00:00', 'surface', 31.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-11-12 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-11-13 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-11-14 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-11-15 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-11-16 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-11-17 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-11-18 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-11-19 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-11-20 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-11-21 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-11-22 06:00:00', 'surface', 30.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-11-23 06:00:00', 'surface', 32.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-11-24 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-11-25 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-11-26 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-11-27 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-11-28 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-11-29 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-11-30 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-12-01 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-12-02 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-12-03 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-12-04 06:00:00', 'surface', 30.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-12-05 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-12-06 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-12-07 06:00:00', 'surface', 30.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-12-08 06:00:00', 'surface', 29.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-12-09 06:00:00', 'surface', 30.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-12-10 06:00:00', 'surface', 30.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-12-11 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-12-12 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-12-13 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-12-14 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-12-15 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-12-16 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-12-17 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-12-18 06:00:00', 'surface', 29.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-12-19 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-12-20 06:00:00', 'surface', 29.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-12-21 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-12-22 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-12-23 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-12-24 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-12-25 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-12-26 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-12-27 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-12-28 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-12-29 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-12-30 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1993-12-31 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-01-01 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-01-02 06:00:00', 'surface', 30.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-01-03 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-01-04 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-01-05 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-01-06 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-01-07 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-01-08 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-01-09 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-01-10 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-01-11 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-01-12 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-01-13 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-01-14 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-01-15 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-01-16 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-01-17 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-01-18 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-01-19 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-01-20 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-01-21 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-01-22 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-01-23 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-01-24 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-01-25 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-01-26 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-01-27 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-01-28 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-01-29 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-01-30 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-01-31 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-02-01 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-02-02 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-02-03 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-02-04 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-02-05 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-02-06 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-02-07 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-02-08 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-02-09 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-02-10 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-02-11 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-02-12 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-02-13 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-02-14 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-02-15 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-02-16 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-02-17 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-02-18 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-02-19 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-02-20 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-02-21 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-02-22 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-02-23 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-02-24 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-02-25 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-02-26 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-02-27 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-02-28 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-03-01 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-03-02 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-03-03 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-03-04 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-03-05 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-03-06 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-03-07 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-03-08 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-03-09 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-03-10 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-03-11 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-03-12 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-03-13 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-03-14 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-03-15 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-03-16 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-03-17 06:00:00', 'surface', 29.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-03-18 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-03-19 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-03-20 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-03-21 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-03-22 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-03-23 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-03-24 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-03-25 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-03-26 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-03-27 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-03-28 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-03-29 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-03-30 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-03-31 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-04-01 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-04-02 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-04-03 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-04-04 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-04-05 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-04-06 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-04-07 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-04-08 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-04-09 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-04-10 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-04-11 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-04-12 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-04-13 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-04-14 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-04-15 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-04-16 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-04-17 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-04-18 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-04-19 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-04-20 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-04-21 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-04-22 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-04-23 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-04-24 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-04-25 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-04-26 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-04-27 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-04-28 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-04-29 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-04-30 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-05-01 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-05-02 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-05-03 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-05-04 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-05-05 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-05-06 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-05-07 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-05-08 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-05-09 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-05-10 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-05-11 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-05-12 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-05-13 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-05-14 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-05-15 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-05-16 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-05-17 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-05-18 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-05-19 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-05-20 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-05-21 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-05-22 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-05-23 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-05-24 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-05-25 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-05-26 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-05-27 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-05-28 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-05-29 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-05-30 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-05-31 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-06-01 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-06-02 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-06-03 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-06-04 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-06-05 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-06-06 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-06-07 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-06-08 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-06-09 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-06-10 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-06-11 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-06-12 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-06-13 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-06-14 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-06-15 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-06-16 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-06-17 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-06-18 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-06-19 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-06-20 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-06-21 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-06-22 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-06-23 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-06-24 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-06-25 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-06-26 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-06-27 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-06-28 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-06-29 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-06-30 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-07-01 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-07-02 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-07-03 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-07-04 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-07-05 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-07-06 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-07-07 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-07-08 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-07-09 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-07-10 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-07-11 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-07-12 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-07-13 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-07-14 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-07-15 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-07-16 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-07-17 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-07-18 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-07-19 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-07-20 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-07-21 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-07-22 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-07-23 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-07-24 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-07-25 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-07-26 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-07-27 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-07-28 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-07-29 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-07-30 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-07-31 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-08-01 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-08-02 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-08-03 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-08-04 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-08-05 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-08-06 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-08-07 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-08-08 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-08-09 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-08-10 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-08-11 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-08-12 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-08-13 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-08-14 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-08-15 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-08-16 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-08-17 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-08-18 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-08-19 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-08-20 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-08-21 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-08-22 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-08-23 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-08-24 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-08-25 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-08-26 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-08-27 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-08-28 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-08-29 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-08-30 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-08-31 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-09-01 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-09-02 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-09-03 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-09-04 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-09-05 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-09-06 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-09-07 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-09-08 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-09-09 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-09-10 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-09-11 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-09-12 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-09-13 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-09-14 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-09-15 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-09-16 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-09-17 06:00:00', 'surface', 30.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-09-18 06:00:00', 'surface', 31.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-09-19 06:00:00', 'surface', 31.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-09-20 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-09-21 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-09-22 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-09-23 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-09-24 06:00:00', 'surface', 30.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-09-25 06:00:00', 'surface', 31.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-09-26 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-09-27 06:00:00', 'surface', 29.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-09-28 06:00:00', 'surface', 32.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-09-29 06:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-09-30 06:00:00', 'surface', 31.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-10-01 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-10-02 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-10-03 06:00:00', 'surface', 30.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-10-04 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-10-05 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-10-06 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-10-07 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-10-08 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-10-09 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-10-10 06:00:00', 'surface', 31.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-10-11 06:00:00', 'surface', 32.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-10-12 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-10-13 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-10-14 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-10-15 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-10-16 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-10-17 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-10-18 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-10-19 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-10-20 06:00:00', 'surface', 30.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-10-21 06:00:00', 'surface', 32.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-10-22 06:00:00', 'surface', 30.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-10-23 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-10-24 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-10-25 06:00:00', 'surface', 31.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-10-26 06:00:00', 'surface', 31.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-10-27 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-10-28 06:00:00', 'surface', 29.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-10-29 06:00:00', 'surface', 30.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-10-30 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-10-31 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-11-01 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-11-02 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-11-03 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-11-04 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-11-05 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-11-06 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-11-07 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-11-08 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-11-09 06:00:00', 'surface', 31.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-11-10 06:00:00', 'surface', 32.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-11-11 06:00:00', 'surface', 33.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-11-12 06:00:00', 'surface', 32.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-11-13 06:00:00', 'surface', 31.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-11-14 06:00:00', 'surface', 32.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-11-15 06:00:00', 'surface', 33.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-11-16 06:00:00', 'surface', 31.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-11-17 06:00:00', 'surface', 31.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-11-18 06:00:00', 'surface', 32.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-11-19 06:00:00', 'surface', 33.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-11-20 06:00:00', 'surface', 32.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-11-21 06:00:00', 'surface', 32.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-11-22 06:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-11-23 06:00:00', 'surface', 34.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-11-24 06:00:00', 'surface', 34.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-11-25 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-11-26 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-11-27 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-11-28 06:00:00', 'surface', 32.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-11-29 06:00:00', 'surface', 29.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-11-30 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-12-01 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-12-02 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-12-03 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-12-04 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-12-05 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-12-06 06:00:00', 'surface', 30.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-12-07 06:00:00', 'surface', 29.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-12-08 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-12-09 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-12-10 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-12-11 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-12-12 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-12-13 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-12-14 06:00:00', 'surface', 30.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-12-15 06:00:00', 'surface', 30.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-12-16 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-12-17 06:00:00', 'surface', 31.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-12-18 06:00:00', 'surface', 32.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-12-19 06:00:00', 'surface', 29.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-12-20 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-12-21 06:00:00', 'surface', 30.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-12-22 06:00:00', 'surface', 30.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-12-23 06:00:00', 'surface', 31.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-12-24 06:00:00', 'surface', 30.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-12-25 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-12-26 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-12-27 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-12-28 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-12-29 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-12-30 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1994-12-31 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-01-01 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-01-02 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-01-03 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-01-04 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-01-05 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-01-06 06:00:00', 'surface', 29.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-01-07 06:00:00', 'surface', 29.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-01-08 06:00:00', 'surface', 31.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-01-09 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-01-10 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-01-11 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-01-12 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-01-13 06:00:00', 'surface', 29.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-01-14 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-01-15 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-01-16 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-01-17 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-01-18 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-01-19 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-01-20 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-01-21 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-01-22 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-01-23 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-01-24 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-01-25 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-01-26 06:00:00', 'surface', 30.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-01-27 06:00:00', 'surface', 30.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-01-28 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-01-29 06:00:00', 'surface', 30.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-01-30 06:00:00', 'surface', 29.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-01-31 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-02-01 06:00:00', 'surface', 29.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-02-02 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-02-03 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-02-04 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-02-05 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-02-06 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-02-07 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-02-08 06:00:00', 'surface', 30.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-02-09 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-02-10 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-02-11 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-02-12 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-02-13 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-02-14 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-02-15 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-02-16 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-02-17 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-02-18 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-02-19 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-02-20 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-02-21 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-02-22 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-02-23 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-02-24 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-02-25 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-02-26 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-02-27 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-02-28 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-03-01 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-03-02 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-03-03 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-03-04 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-03-05 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-03-06 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-03-07 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-03-08 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-03-09 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-03-10 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-03-11 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-03-12 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-03-13 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-03-14 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-03-15 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-03-16 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-03-17 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-03-18 06:00:00', 'surface', 29.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-03-19 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-03-20 06:00:00', 'surface', 30.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-03-21 06:00:00', 'surface', 31.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-03-22 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-03-23 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-03-24 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-03-25 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-03-26 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-03-27 06:00:00', 'surface', 31.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-03-28 06:00:00', 'surface', 30.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-03-29 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-03-30 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-03-31 06:00:00', 'surface', 31.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-04-01 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-04-02 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-04-03 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-04-04 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-04-05 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-04-06 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-04-07 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-04-08 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-04-09 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-04-10 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-04-11 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-04-12 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-04-13 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-04-14 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-04-15 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-04-16 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-04-17 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-04-18 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-04-19 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-04-20 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-04-21 06:00:00', 'surface', 29.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-04-22 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-04-23 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-04-24 06:00:00', 'surface', 30.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-04-25 06:00:00', 'surface', 32.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-04-26 06:00:00', 'surface', 31.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-04-27 06:00:00', 'surface', 31.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-04-28 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-04-29 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-04-30 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-05-01 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-05-02 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-05-03 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-05-04 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-05-05 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-05-06 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-05-07 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-05-08 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-05-09 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-05-10 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-05-11 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-05-12 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-05-13 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-05-14 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-05-15 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-05-16 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-05-17 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-05-18 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-05-19 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-05-20 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-05-21 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-05-22 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-05-23 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-05-24 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-05-25 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-05-26 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-05-27 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-05-28 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-05-29 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-05-30 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-05-31 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-06-01 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-06-02 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-06-03 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-06-04 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-06-05 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-06-06 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-06-07 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-06-08 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-06-09 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-06-10 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-06-11 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-06-12 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-06-13 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-06-14 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-06-15 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-06-16 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-06-17 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-06-18 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-06-19 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-06-20 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-06-21 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-06-22 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-06-23 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-06-24 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-06-25 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-06-26 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-06-27 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-06-28 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-06-29 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-06-30 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-07-01 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-07-02 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-07-03 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-07-04 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-07-05 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-07-06 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-07-07 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-07-08 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-07-09 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-07-10 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-07-11 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-07-12 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-07-13 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-07-14 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-07-15 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-07-16 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-07-17 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-07-18 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-07-19 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-07-20 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-07-21 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-07-22 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-07-23 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-07-24 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-07-25 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-07-26 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-07-27 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-07-28 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-07-29 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-07-30 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-07-31 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-08-01 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-08-02 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-08-03 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-08-04 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-08-05 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-08-06 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-08-07 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-08-08 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-08-09 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-08-10 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-08-11 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-08-12 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-08-13 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-08-14 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-08-15 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-08-16 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-08-17 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-08-18 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-08-19 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-08-20 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-08-21 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-08-22 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-08-23 06:00:00', 'surface', 30.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-08-24 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-08-25 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-08-26 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-08-27 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-08-28 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-08-29 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-08-30 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-08-31 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-09-01 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-09-02 06:00:00', 'surface', 29.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-09-03 06:00:00', 'surface', 30.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-09-04 06:00:00', 'surface', 30.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-09-05 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-09-06 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-09-07 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-09-08 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-09-09 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-09-10 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-09-11 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-09-12 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-09-13 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-09-14 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-09-15 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-09-16 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-09-17 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-09-18 06:00:00', 'surface', 30.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-09-19 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-09-20 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-09-21 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-09-22 06:00:00', 'surface', 30.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-09-23 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-09-24 06:00:00', 'surface', 30.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-09-25 06:00:00', 'surface', 31.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-09-26 06:00:00', 'surface', 32.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-09-27 06:00:00', 'surface', 31.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-09-28 06:00:00', 'surface', 29.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-09-29 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-09-30 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-10-01 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-10-02 06:00:00', 'surface', 30.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-10-03 06:00:00', 'surface', 32.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-10-04 06:00:00', 'surface', 32.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-10-05 06:00:00', 'surface', 31.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-10-06 06:00:00', 'surface', 31.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-10-07 06:00:00', 'surface', 31.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-10-08 06:00:00', 'surface', 31.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-10-09 06:00:00', 'surface', 31.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-10-10 06:00:00', 'surface', 33.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-10-11 06:00:00', 'surface', 33.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-10-12 06:00:00', 'surface', 33.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-10-13 06:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-10-14 06:00:00', 'surface', 32.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-10-15 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-10-16 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-10-17 06:00:00', 'surface', 30.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-10-18 06:00:00', 'surface', 33.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-10-19 06:00:00', 'surface', 34.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-10-20 06:00:00', 'surface', 34.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-10-21 06:00:00', 'surface', 31.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-10-22 06:00:00', 'surface', 31.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-10-23 06:00:00', 'surface', 31.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-10-24 06:00:00', 'surface', 32.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-10-25 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-10-26 06:00:00', 'surface', 31.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-10-27 06:00:00', 'surface', 31.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-10-28 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-10-29 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-10-30 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-10-31 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-11-01 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-11-02 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-11-03 06:00:00', 'surface', 30.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-11-04 06:00:00', 'surface', 32.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-11-05 06:00:00', 'surface', 32.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-11-06 06:00:00', 'surface', 29.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-11-07 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-11-08 06:00:00', 'surface', 31.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-11-09 06:00:00', 'surface', 33.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-11-10 06:00:00', 'surface', 32.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-11-11 06:00:00', 'surface', 32.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-11-12 06:00:00', 'surface', 30.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-11-13 06:00:00', 'surface', 31.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-11-14 06:00:00', 'surface', 31.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-11-15 06:00:00', 'surface', 31.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-11-16 06:00:00', 'surface', 32.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-11-17 06:00:00', 'surface', 32.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-11-18 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-11-19 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-11-20 06:00:00', 'surface', 29.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-11-21 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-11-22 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-11-23 06:00:00', 'surface', 29.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-11-24 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-11-25 06:00:00', 'surface', 30.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-11-26 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-11-27 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-11-28 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-11-29 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-11-30 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-12-01 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-12-02 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-12-03 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-12-04 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-12-05 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-12-06 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-12-07 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-12-08 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-12-09 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-12-10 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-12-11 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-12-12 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-12-13 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-12-14 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-12-15 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-12-16 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-12-17 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-12-18 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-12-19 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-12-20 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-12-21 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-12-22 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-12-23 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-12-24 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-12-25 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-12-26 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-12-27 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-12-28 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-12-29 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-12-30 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1995-12-31 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-01-01 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-01-02 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-01-03 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-01-04 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-01-05 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-01-06 06:00:00', 'surface', 30.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-01-07 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-01-08 06:00:00', 'surface', 31.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-01-09 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-01-10 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-01-11 06:00:00', 'surface', 29.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-01-12 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-01-13 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-01-14 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-01-15 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-01-16 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-01-17 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-01-18 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-01-19 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-01-20 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-01-21 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-01-22 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-01-23 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-01-24 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-01-25 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-01-26 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-01-27 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-01-28 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-01-29 06:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-01-30 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-01-31 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-03-01 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-03-02 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-03-03 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-03-04 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-03-05 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-03-06 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-03-07 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-03-08 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-03-09 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-03-10 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-03-11 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-03-12 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-03-13 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-03-14 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-03-15 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-03-16 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-03-17 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-03-18 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-03-19 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-03-20 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-03-21 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-03-22 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-03-23 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-03-24 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-03-25 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-03-26 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-03-27 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-03-28 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-03-29 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-03-30 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-03-31 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-04-01 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-04-02 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-04-03 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-04-04 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-04-05 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-04-06 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-04-07 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-04-08 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-04-09 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-04-10 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-04-11 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-04-12 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-04-13 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-04-14 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-04-15 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-04-16 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-04-17 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-04-18 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-04-19 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-04-20 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-04-21 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-04-22 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-04-23 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-04-24 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-04-25 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-04-26 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-04-27 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-04-28 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-04-29 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-04-30 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-05-01 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-05-02 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-05-03 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-05-04 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-05-05 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-05-06 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-05-07 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-05-08 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-05-09 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-05-10 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-05-11 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-05-12 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-05-13 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-05-14 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-05-15 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-05-16 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-05-17 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-05-18 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-05-19 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-05-20 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-05-21 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-05-22 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-05-23 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-05-24 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-05-25 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-05-26 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-05-27 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-05-28 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-05-29 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-05-30 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-05-31 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-06-01 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-06-02 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-06-03 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-06-04 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-06-05 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-06-06 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-06-07 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-06-08 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-06-09 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-06-10 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-06-11 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-06-12 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-06-13 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-06-14 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-06-15 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-06-16 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-06-17 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-06-18 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-06-19 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-06-20 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-06-21 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-06-22 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-06-23 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-06-24 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-06-25 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-06-26 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-06-27 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-06-28 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-06-29 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-06-30 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-07-01 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-07-02 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-07-03 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-07-04 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-07-05 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-07-06 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-07-07 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-07-08 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-07-09 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-07-10 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-07-11 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-07-12 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-07-13 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-07-14 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-07-15 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-07-16 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-07-17 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-07-18 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-07-19 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-07-20 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-07-21 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-07-22 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-07-23 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-07-24 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-07-25 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-07-26 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-07-27 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-07-28 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-07-29 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-07-30 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-07-31 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-08-01 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-08-02 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-08-03 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-08-04 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-08-05 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-08-06 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-08-07 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-08-08 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-08-09 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-08-10 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-08-11 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-08-12 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-08-13 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-08-14 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-08-15 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-08-16 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-08-17 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-08-18 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-08-19 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-08-20 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-08-21 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-08-22 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-08-23 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-08-24 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-08-25 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-08-26 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-08-27 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-08-28 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-08-29 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-08-30 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-08-31 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-09-01 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-09-02 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-09-03 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-09-04 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-09-05 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-09-06 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-09-07 06:00:00', 'surface', 31.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-09-08 06:00:00', 'surface', 31.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-09-09 06:00:00', 'surface', 31.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-09-10 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-09-11 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-09-12 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-09-13 06:00:00', 'surface', 31.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-09-14 06:00:00', 'surface', 32.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-09-15 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-09-16 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-09-17 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-09-18 06:00:00', 'surface', 30.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-09-19 06:00:00', 'surface', 31.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-09-20 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-09-21 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-09-22 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-09-23 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-09-24 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-09-25 06:00:00', 'surface', 30.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-09-26 06:00:00', 'surface', 32.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-09-27 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-09-28 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-09-29 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-09-30 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-10-01 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-10-02 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-10-03 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-10-04 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-10-05 06:00:00', 'surface', 29.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-10-06 06:00:00', 'surface', 29.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-10-07 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-10-08 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-10-09 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-10-10 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-10-11 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-10-12 06:00:00', 'surface', 30.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-10-13 06:00:00', 'surface', 31.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-10-14 06:00:00', 'surface', 30.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-10-15 06:00:00', 'surface', 32.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-10-16 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-10-17 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-10-18 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-10-19 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-10-20 06:00:00', 'surface', 31.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-10-21 06:00:00', 'surface', 32.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-10-22 06:00:00', 'surface', 31.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-10-23 06:00:00', 'surface', 31.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-10-24 06:00:00', 'surface', 30.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-10-25 06:00:00', 'surface', 32.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-10-26 06:00:00', 'surface', 30.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-10-27 06:00:00', 'surface', 31.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-10-28 06:00:00', 'surface', 31.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-10-29 06:00:00', 'surface', 31.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-10-30 06:00:00', 'surface', 31.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-10-31 06:00:00', 'surface', 31.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-11-01 06:00:00', 'surface', 31.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-11-02 06:00:00', 'surface', 32.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-11-03 06:00:00', 'surface', 31.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-11-04 06:00:00', 'surface', 32.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-11-05 06:00:00', 'surface', 32.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-11-06 06:00:00', 'surface', 32.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-11-07 06:00:00', 'surface', 31.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-11-08 06:00:00', 'surface', 31.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-11-09 06:00:00', 'surface', 32.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-11-10 06:00:00', 'surface', 32.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-11-11 06:00:00', 'surface', 31.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-11-12 06:00:00', 'surface', 30.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-11-13 06:00:00', 'surface', 33.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-11-14 06:00:00', 'surface', 32.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-11-15 06:00:00', 'surface', 30.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-11-16 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-11-17 06:00:00', 'surface', 31.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-11-18 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-11-19 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-11-20 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-11-21 06:00:00', 'surface', 29.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-11-22 06:00:00', 'surface', 31.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-11-23 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-11-24 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-11-25 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-11-26 06:00:00', 'surface', 30.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-11-27 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-11-28 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-11-29 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-11-30 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-12-01 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-12-02 06:00:00', 'surface', 30.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-12-03 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-12-04 06:00:00', 'surface', 29.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-12-05 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-12-06 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-12-07 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-12-08 06:00:00', 'surface', 30.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-12-09 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-12-10 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-12-11 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-12-12 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-12-13 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-12-14 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-12-15 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-12-16 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-12-17 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-12-18 06:00:00', 'surface', 30.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-12-19 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-12-20 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-12-21 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-12-22 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-12-23 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-12-24 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-12-25 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-12-26 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-12-27 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-12-28 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-12-29 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-12-30 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1996-12-31 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-01-01 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-01-02 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-01-03 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-01-04 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-01-05 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-01-06 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-01-07 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-01-08 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-01-09 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-01-10 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-01-11 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-01-12 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-01-13 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-01-14 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-01-15 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-01-16 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-01-17 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-01-18 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-01-19 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-01-20 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-01-21 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-01-22 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-01-23 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-01-24 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-01-25 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-01-26 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-01-27 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-01-28 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-01-29 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-01-30 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-01-31 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-02-01 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-02-02 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-02-03 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-02-04 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-02-05 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-02-06 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-02-07 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-02-08 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-02-09 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-02-10 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-02-11 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-02-12 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-02-13 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-02-14 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-02-15 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-02-16 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-02-17 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-02-18 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-02-19 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-02-20 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-02-21 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-02-22 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-02-23 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-02-24 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-02-25 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-02-26 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-02-27 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-02-28 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-03-01 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-03-02 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-03-03 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-03-04 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-03-05 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-03-06 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-03-07 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-03-08 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-03-09 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-03-10 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-03-11 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-03-12 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-03-13 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-03-14 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-03-15 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-03-16 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-03-17 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-03-18 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-03-19 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-03-20 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-03-21 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-03-22 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-03-23 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-03-24 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-03-25 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-03-26 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-03-27 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-03-28 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-03-29 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-03-30 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-03-31 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-04-01 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-04-02 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-04-03 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-04-04 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-04-05 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-04-06 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-04-07 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-04-08 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-04-09 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-04-10 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-04-11 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-04-12 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-04-13 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-04-14 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-04-15 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-04-16 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-04-17 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-04-18 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-04-19 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-04-20 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-04-21 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-04-22 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-04-23 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-04-24 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-04-25 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-04-26 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-04-27 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-04-28 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-04-29 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-04-30 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-05-01 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-05-02 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-05-03 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-05-04 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-05-05 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-05-06 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-05-07 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-05-08 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-05-09 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-05-10 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-05-11 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-05-12 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-05-13 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-05-14 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-05-15 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-05-16 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-05-17 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-05-18 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-05-19 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-05-20 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-05-21 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-05-22 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-05-23 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-05-24 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-05-25 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-05-26 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-05-27 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-05-28 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-05-29 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-05-30 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-05-31 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-06-01 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-06-02 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-06-03 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-06-04 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-06-05 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-06-06 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-06-07 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-06-08 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-06-09 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-06-10 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-06-11 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-06-12 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-06-13 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-06-14 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-06-15 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-06-16 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-06-17 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-06-18 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-06-19 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-06-20 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-06-21 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-06-22 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-06-23 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-06-24 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-06-25 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-06-26 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-06-27 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-06-28 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-06-29 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-06-30 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-07-01 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-07-02 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-07-03 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-07-04 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-07-05 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-07-06 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-07-07 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-07-08 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-07-09 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-07-10 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-07-11 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-07-12 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-07-13 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-07-14 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-07-15 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-07-16 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-07-17 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-07-18 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-07-19 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-07-20 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-07-21 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-07-22 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-07-23 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-07-24 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-07-25 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-07-26 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-07-27 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-07-28 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-07-29 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-07-30 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-07-31 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-08-01 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-08-02 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-08-03 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-08-04 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-08-05 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-08-06 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-08-07 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-08-08 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-08-09 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-08-10 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-08-11 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-08-12 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-08-13 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-08-14 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-08-15 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-08-16 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-08-17 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-08-18 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-08-19 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-08-20 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-08-21 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-08-22 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-08-23 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-08-24 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-08-25 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-08-26 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-08-27 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-08-28 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-08-29 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-08-30 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-08-31 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-09-01 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-09-02 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-09-03 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-09-04 06:00:00', 'surface', 32.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-09-05 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-09-06 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-09-07 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-09-08 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-09-09 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-09-10 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-09-11 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-09-12 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-09-13 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-09-14 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-09-15 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-09-16 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-09-17 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-09-18 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-09-19 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-09-20 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-09-21 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-09-22 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-09-23 06:00:00', 'surface', 29.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-09-24 06:00:00', 'surface', 32.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-09-25 06:00:00', 'surface', 32.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-09-26 06:00:00', 'surface', 29.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-09-27 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-09-28 06:00:00', 'surface', 30.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-09-29 06:00:00', 'surface', 31.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-09-30 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-10-01 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-10-02 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-10-03 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-10-04 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-10-05 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-10-06 06:00:00', 'surface', 31.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-10-07 06:00:00', 'surface', 31.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-10-08 06:00:00', 'surface', 30.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-10-09 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-10-10 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-10-11 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-10-12 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-10-13 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-10-14 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-10-15 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-10-16 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-10-17 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-10-18 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-10-19 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-10-20 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-10-21 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-10-22 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-10-23 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-10-24 06:00:00', 'surface', 30.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-10-25 06:00:00', 'surface', 30.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-10-26 06:00:00', 'surface', 31.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-10-27 06:00:00', 'surface', 32.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-10-28 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-10-29 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-10-30 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-10-31 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-11-01 06:00:00', 'surface', 29.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-11-02 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-11-03 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-11-04 06:00:00', 'surface', 30.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-11-05 06:00:00', 'surface', 30.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-11-06 06:00:00', 'surface', 30.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-11-07 06:00:00', 'surface', 31.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-11-08 06:00:00', 'surface', 32.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-11-09 06:00:00', 'surface', 32.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-11-10 06:00:00', 'surface', 33.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-11-11 06:00:00', 'surface', 32.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-11-12 06:00:00', 'surface', 33.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-11-13 06:00:00', 'surface', 30.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-11-14 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-11-15 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-11-16 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-11-17 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-11-18 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-11-19 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-11-20 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-11-21 06:00:00', 'surface', 30.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-11-22 06:00:00', 'surface', 31.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-11-23 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-11-24 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-11-25 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-11-26 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-11-27 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-11-28 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-11-29 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-11-30 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-12-01 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-12-02 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-12-03 06:00:00', 'surface', 31.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-12-04 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-12-05 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-12-06 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-12-07 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-12-08 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-12-09 06:00:00', 'surface', 29.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-12-10 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-12-11 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-12-12 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-12-13 06:00:00', 'surface', 30.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-12-14 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-12-15 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-12-16 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-12-17 06:00:00', 'surface', 30.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-12-18 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-12-19 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-12-20 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-12-21 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-12-22 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-12-23 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-12-24 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-12-25 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-12-26 06:00:00', 'surface', 29.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-12-27 06:00:00', 'surface', 30.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-12-28 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-12-29 06:00:00', 'surface', 29.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-12-30 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1997-12-31 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-01-01 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-01-02 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-01-03 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-01-04 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-01-05 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-01-06 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-01-07 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-01-08 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-01-09 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-01-10 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-01-11 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-01-12 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-01-13 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-01-14 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-01-15 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-01-16 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-01-17 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-01-18 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-01-19 06:00:00', 'surface', 31.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-01-20 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-01-21 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-01-22 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-01-23 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-01-24 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-01-25 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-01-26 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-01-27 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-01-28 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-01-29 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-01-30 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-01-31 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-02-01 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-02-02 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-02-03 06:00:00', 'surface', 29.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-02-04 06:00:00', 'surface', 30.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-02-05 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-02-06 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-02-07 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-02-08 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-02-09 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-02-10 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-02-11 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-02-12 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-02-13 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-02-14 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-02-15 06:00:00', 'surface', 29.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-02-16 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-02-17 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-02-18 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-02-19 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-02-20 06:00:00', 'surface', 29.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-02-21 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-02-22 06:00:00', 'surface', 29.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-02-23 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-02-24 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-02-25 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-02-26 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-02-27 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-02-28 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-03-01 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-03-02 06:00:00', 'surface', 31.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-03-03 06:00:00', 'surface', 31.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-03-04 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-03-05 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-03-06 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-03-07 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-03-08 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-03-09 06:00:00', 'surface', 29.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-03-10 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-03-11 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-03-12 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-03-13 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-03-14 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-03-15 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-03-16 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-03-17 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-03-18 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-03-19 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-03-20 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-03-21 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-03-22 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-03-23 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-03-24 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-03-25 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-03-26 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-03-27 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-03-28 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-03-29 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-03-30 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-03-31 06:00:00', 'surface', 29.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-04-01 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-04-02 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-04-03 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-04-04 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-04-05 06:00:00', 'surface', 30.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-04-06 06:00:00', 'surface', 30.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-04-07 06:00:00', 'surface', 30.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-04-08 06:00:00', 'surface', 30.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-04-09 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-04-10 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-04-11 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-04-12 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-04-13 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-04-14 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-04-15 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-04-16 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-04-17 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-04-18 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-04-19 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-04-20 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-04-21 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-04-22 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-04-23 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-04-24 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-04-25 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-04-26 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-04-27 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-04-28 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-04-29 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-04-30 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-05-01 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-05-02 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-05-03 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-05-04 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-05-05 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-05-06 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-05-07 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-05-08 06:00:00', 'surface', 30.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-05-09 06:00:00', 'surface', 30.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-05-10 06:00:00', 'surface', 29.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-05-11 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-05-12 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-05-13 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-05-14 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-05-15 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-05-16 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-05-17 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-05-18 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-05-19 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-05-20 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-05-21 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-05-22 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-05-23 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-05-24 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-05-25 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-05-26 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-05-27 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-05-28 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-05-29 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-05-30 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-05-31 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-06-01 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-06-02 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-06-03 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-06-04 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-06-05 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-06-06 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-06-07 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-06-08 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-06-09 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-06-10 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-06-11 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-06-12 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-06-13 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-06-14 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-06-15 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-06-16 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-06-17 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-06-18 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-06-19 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-06-20 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-06-21 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-06-22 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-06-23 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-06-24 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-06-25 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-06-26 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-06-27 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-06-28 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-06-29 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-06-30 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-07-01 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-07-02 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-07-03 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-07-04 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-07-05 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-07-06 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-07-07 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-07-08 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-07-09 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-07-10 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-07-11 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-07-12 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-07-13 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-07-14 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-07-15 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-07-16 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-07-17 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-07-18 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-07-19 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-07-20 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-07-21 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-07-22 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-07-23 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-07-24 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-07-25 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-07-26 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-07-27 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-07-28 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-07-29 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-07-30 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-07-31 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-08-01 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-08-02 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-08-03 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-08-04 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-08-05 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-08-06 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-08-07 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-08-08 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-08-09 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-08-10 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-08-11 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-08-12 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-08-13 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-08-14 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-08-15 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-08-16 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-08-17 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-08-18 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-08-19 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-08-20 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-08-21 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-08-22 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-08-23 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-08-24 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-08-25 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-08-26 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-08-27 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-08-28 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-08-29 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-08-30 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-08-31 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-09-01 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-09-02 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-09-03 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-09-04 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-09-05 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-09-06 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-09-07 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-09-08 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-09-09 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-09-10 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-09-11 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-09-12 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-09-13 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-09-14 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-09-15 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-09-16 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-09-17 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-09-18 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-09-19 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-09-20 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-09-21 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-09-22 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-09-23 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-09-24 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-09-25 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-09-26 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-09-27 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-09-28 06:00:00', 'surface', 30.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-09-29 06:00:00', 'surface', 30.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-09-30 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-10-01 06:00:00', 'surface', 31.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-10-02 06:00:00', 'surface', 33.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-10-03 06:00:00', 'surface', 33.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-10-04 06:00:00', 'surface', 29.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-10-05 06:00:00', 'surface', 30.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-10-06 06:00:00', 'surface', 32.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-10-07 06:00:00', 'surface', 32.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-10-08 06:00:00', 'surface', 31.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-10-09 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-10-10 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-10-11 06:00:00', 'surface', 31.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-10-12 06:00:00', 'surface', 32.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-10-13 06:00:00', 'surface', 32.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-10-14 06:00:00', 'surface', 32.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-10-15 06:00:00', 'surface', 30.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-10-16 06:00:00', 'surface', 30.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-10-17 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-10-18 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-10-19 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-10-20 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-10-21 06:00:00', 'surface', 30.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-10-22 06:00:00', 'surface', 30.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-10-23 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-10-24 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-10-25 06:00:00', 'surface', 31.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-10-26 06:00:00', 'surface', 29.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-10-27 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-10-28 06:00:00', 'surface', 30.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-10-29 06:00:00', 'surface', 33.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-10-30 06:00:00', 'surface', 33.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-10-31 06:00:00', 'surface', 32.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-11-01 06:00:00', 'surface', 31.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-11-02 06:00:00', 'surface', 31.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-11-03 06:00:00', 'surface', 33.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-11-04 06:00:00', 'surface', 33.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-11-05 06:00:00', 'surface', 32.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-11-06 06:00:00', 'surface', 34.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-11-07 06:00:00', 'surface', 33.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-11-08 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-11-09 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-11-10 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-11-11 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-11-12 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-11-13 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-11-14 06:00:00', 'surface', 31.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-11-15 06:00:00', 'surface', 33.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-11-16 06:00:00', 'surface', 30.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-11-17 06:00:00', 'surface', 30.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-11-18 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-11-19 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-11-20 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-11-21 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-11-22 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-11-23 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-11-24 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-11-25 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-11-26 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-11-27 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-11-28 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-11-29 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-11-30 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-12-01 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-12-02 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-12-03 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-12-04 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-12-05 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-12-06 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-12-07 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-12-08 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-12-09 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-12-10 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-12-11 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-12-12 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-12-13 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-12-14 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-12-15 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-12-16 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-12-17 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-12-18 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-12-19 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-12-20 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-12-21 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-12-22 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-12-23 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-12-24 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-12-25 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-12-26 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-12-27 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-12-28 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-12-29 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-12-30 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1998-12-31 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-01-01 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-01-02 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-01-03 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-01-04 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-01-05 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-01-06 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-01-07 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-01-08 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-01-09 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-01-10 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-01-11 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-01-12 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-01-13 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-01-14 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-01-15 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-01-16 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-01-17 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-01-18 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-01-19 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-01-20 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-01-21 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-01-22 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-01-23 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-01-24 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-01-25 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-01-26 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-01-27 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-01-28 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-01-29 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-01-30 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-01-31 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-02-01 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-02-02 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-02-03 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-02-04 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-02-05 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-02-06 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-02-07 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-02-08 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-02-09 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-02-10 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-02-11 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-02-12 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-02-13 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-02-14 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-02-15 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-02-16 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-02-17 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-02-18 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-02-19 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-02-20 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-02-21 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-02-22 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-02-23 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-02-24 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-02-25 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-02-26 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-02-27 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-02-28 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-03-01 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-03-02 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-03-03 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-03-04 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-03-05 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-03-06 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-03-07 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-03-08 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-03-09 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-03-10 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-03-11 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-03-12 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-03-13 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-03-14 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-03-15 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-03-16 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-03-17 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-03-18 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-03-19 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-03-20 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-03-21 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-03-22 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-03-23 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-03-24 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-03-25 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-03-26 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-03-27 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-03-28 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-03-29 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-03-30 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-03-31 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-04-01 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-04-02 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-04-03 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-04-04 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-04-05 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-04-06 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-04-07 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-04-08 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-04-09 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-04-10 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-04-11 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-04-12 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-04-13 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-04-14 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-04-15 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-04-16 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-04-17 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-04-18 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-04-19 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-04-20 06:00:00', 'surface', 29.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-04-21 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-04-22 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-04-23 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-04-24 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-04-25 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-04-26 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-04-27 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-04-28 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-04-29 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-04-30 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-05-01 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-05-02 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-05-03 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-05-04 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-05-05 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-05-06 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-05-07 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-05-08 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-05-09 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-05-10 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-05-11 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-05-12 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-05-13 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-05-14 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-05-15 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-05-16 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-05-17 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-05-18 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-05-19 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-05-20 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-05-21 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-05-22 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-05-23 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-05-24 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-05-25 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-05-26 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-05-27 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-05-28 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-05-29 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-05-30 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-05-31 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-06-01 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-06-02 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-06-03 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-06-04 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-06-05 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-06-06 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-06-07 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-06-08 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-06-09 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-06-10 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-06-11 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-06-12 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-06-13 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-06-14 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-06-15 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-06-16 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-06-17 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-06-18 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-06-19 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-06-20 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-06-21 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-06-22 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-06-23 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-06-24 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-06-25 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-06-26 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-06-27 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-06-28 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-06-29 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-06-30 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-07-01 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-07-02 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-07-03 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-07-04 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-07-05 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-07-06 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-07-07 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-07-08 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-07-09 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-07-10 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-07-11 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-07-12 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-07-13 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-07-14 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-07-15 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-07-16 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-07-17 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-07-18 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-07-19 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-07-20 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-07-21 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-07-22 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-07-23 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-07-24 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-07-25 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-07-26 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-07-27 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-07-28 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-07-29 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-07-30 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-07-31 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-08-01 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-08-02 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-08-03 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-08-04 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-08-05 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-08-06 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-08-07 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-08-08 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-08-09 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-08-10 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-08-11 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-08-12 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-08-13 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-08-14 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-08-15 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-08-16 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-08-17 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-08-18 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-08-19 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-08-20 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-08-21 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-08-22 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-08-23 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-08-24 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-08-25 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-08-26 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-08-27 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-08-28 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-08-29 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-08-30 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-08-31 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-09-01 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-09-02 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-09-03 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-09-04 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-09-05 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-09-06 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-09-07 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-09-08 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-09-09 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-09-10 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-09-11 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-09-12 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-09-13 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-09-14 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-09-15 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-09-16 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-09-17 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-09-18 06:00:00', 'surface', 29.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-09-19 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-09-20 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-09-21 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-09-22 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-09-23 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-09-24 06:00:00', 'surface', 29.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-09-25 06:00:00', 'surface', 31.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-09-26 06:00:00', 'surface', 32.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-09-27 06:00:00', 'surface', 32.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-09-28 06:00:00', 'surface', 32.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-09-29 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-09-30 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-10-01 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-10-02 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-10-03 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-10-04 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-10-05 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-10-06 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-10-07 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-10-08 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-10-09 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-10-10 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-10-11 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-10-12 06:00:00', 'surface', 30.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-10-13 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-10-14 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-10-15 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-10-16 06:00:00', 'surface', 29.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-10-17 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-10-18 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-10-19 06:00:00', 'surface', 30.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-10-20 06:00:00', 'surface', 30.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-10-21 06:00:00', 'surface', 30.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-10-22 06:00:00', 'surface', 32.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-10-23 06:00:00', 'surface', 32.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-10-24 06:00:00', 'surface', 33.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-10-25 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-10-26 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-10-27 06:00:00', 'surface', 30.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-10-28 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-10-29 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-10-30 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-10-31 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-11-01 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-11-02 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-11-03 06:00:00', 'surface', 29.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-11-04 06:00:00', 'surface', 29.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-11-05 06:00:00', 'surface', 32.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-11-06 06:00:00', 'surface', 30.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-11-07 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-11-08 06:00:00', 'surface', 30.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-11-09 06:00:00', 'surface', 29.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-11-10 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-11-11 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-11-12 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-11-13 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-11-14 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-11-15 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-11-16 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-11-17 06:00:00', 'surface', 31.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-11-18 06:00:00', 'surface', 32.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-11-19 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-11-20 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-11-21 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-11-22 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-11-23 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-11-24 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-11-25 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-11-26 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-11-27 06:00:00', 'surface', 30.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-11-28 06:00:00', 'surface', 30.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-11-29 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-11-30 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-12-01 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-12-02 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-12-03 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-12-04 06:00:00', 'surface', 30.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-12-05 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-12-06 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-12-07 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-12-08 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-12-09 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-12-10 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-12-11 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-12-12 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-12-13 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-12-14 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-12-15 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-12-16 06:00:00', 'surface', 30.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-12-17 06:00:00', 'surface', 29.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-12-18 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-12-19 06:00:00', 'surface', 29.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-12-20 06:00:00', 'surface', 29.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-12-21 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-12-22 06:00:00', 'surface', 29.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-12-23 06:00:00', 'surface', 31.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-12-24 06:00:00', 'surface', 31.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-12-25 06:00:00', 'surface', 29.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-12-26 06:00:00', 'surface', 30.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-12-27 06:00:00', 'surface', 31.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-12-28 06:00:00', 'surface', 31.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-12-29 06:00:00', 'surface', 30.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-12-30 06:00:00', 'surface', 31.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '1999-12-31 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-01-01 06:00:00', 'surface', 30.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-01-02 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-01-03 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-01-04 06:00:00', 'surface', 29.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-01-05 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-01-06 06:00:00', 'surface', 31.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-01-07 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-01-08 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-01-09 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-01-10 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-01-11 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-01-12 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-01-13 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-01-14 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-01-15 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-01-16 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-01-17 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-01-18 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-01-19 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-01-20 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-01-21 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-01-22 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-01-23 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-01-24 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-01-25 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-01-26 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-01-27 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-01-28 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-01-29 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-01-30 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-01-31 06:00:00', 'surface', 30.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-02-01 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-02-02 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-02-03 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-02-04 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-02-05 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-02-06 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-02-07 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-02-08 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-02-09 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-02-10 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-02-11 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-02-12 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-02-13 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-02-14 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-02-15 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-02-16 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-02-17 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-02-18 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-02-19 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-02-20 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-02-21 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-02-22 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-02-23 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-02-24 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-02-25 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-02-26 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-02-27 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-02-28 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-02-29 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-03-01 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-03-02 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-03-03 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-03-04 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-03-05 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-03-06 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-03-07 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-03-08 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-03-09 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-03-10 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-03-11 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-03-12 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-03-13 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-03-14 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-03-15 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-03-16 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-03-17 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-03-18 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-03-19 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-03-20 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-03-21 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-03-22 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-03-23 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-03-24 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-03-25 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-03-26 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-03-27 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-03-28 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-03-29 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-03-30 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-03-31 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-04-01 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-04-02 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-04-03 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-04-04 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-04-05 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-04-06 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-04-07 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-04-08 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-04-09 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-04-10 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-04-11 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-04-12 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-04-13 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-04-14 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-04-15 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-04-16 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-04-17 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-04-18 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-04-19 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-04-20 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-04-21 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-04-22 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-04-23 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-04-24 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-04-25 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-04-26 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-04-27 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-04-28 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-04-29 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-04-30 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-05-01 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-05-02 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-05-03 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-05-04 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-05-05 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-05-06 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-05-07 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-05-08 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-05-09 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-05-10 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-05-11 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-05-12 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-05-13 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-05-14 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-05-15 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-05-16 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-05-17 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-05-18 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-05-19 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-05-20 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-05-21 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-05-22 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-05-23 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-05-24 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-05-25 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-05-26 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-05-27 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-05-28 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-05-29 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-05-30 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-05-31 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-06-01 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-06-02 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-06-03 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-06-04 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-06-05 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-06-06 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-06-07 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-06-08 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-06-09 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-06-10 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-06-11 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-06-12 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-06-13 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-06-14 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-06-15 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-06-16 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-06-17 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-06-18 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-06-19 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-06-20 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-06-21 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-06-22 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-06-23 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-06-24 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-06-25 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-06-26 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-06-27 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-06-28 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-06-29 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-06-30 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-07-01 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-07-02 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-07-03 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-07-04 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-07-05 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-07-06 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-07-07 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-07-08 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-07-09 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-07-10 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-07-11 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-07-12 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-07-13 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-07-14 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-07-15 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-07-16 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-07-17 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-07-18 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-07-19 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-07-20 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-07-21 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-07-22 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-07-23 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-07-24 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-07-25 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-07-26 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-07-27 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-07-28 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-07-29 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-07-30 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-07-31 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-08-01 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-08-02 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-08-03 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-08-04 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-08-05 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-08-06 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-08-07 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-08-08 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-08-09 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-08-10 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-08-11 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-08-12 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-08-13 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-08-14 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-08-15 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-08-16 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-08-17 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-08-18 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-08-19 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-08-20 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-08-21 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-08-22 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-08-23 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-08-24 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-08-25 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-08-26 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-08-27 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-08-28 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-08-29 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-08-30 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-08-31 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-09-01 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-09-02 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-09-03 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-09-04 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-09-05 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-09-06 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-09-07 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-09-08 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-09-09 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-09-10 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-09-11 06:00:00', 'surface', 30.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-09-12 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-09-13 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-09-14 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-09-15 06:00:00', 'surface', 29.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-09-16 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-09-17 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-09-18 06:00:00', 'surface', 30.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-09-19 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-09-20 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-09-21 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-09-22 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-09-23 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-09-24 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-09-25 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-09-26 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-09-27 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-09-28 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-09-29 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-09-30 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-10-01 06:00:00', 'surface', 30.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-10-02 06:00:00', 'surface', 30.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-10-03 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-10-04 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-10-05 06:00:00', 'surface', 30.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-10-06 06:00:00', 'surface', 30.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-10-07 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-10-08 06:00:00', 'surface', 30.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-10-09 06:00:00', 'surface', 30.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-10-10 06:00:00', 'surface', 31.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-10-11 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-10-12 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-10-13 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-10-14 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-10-15 06:00:00', 'surface', 29.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-10-16 06:00:00', 'surface', 29.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-10-17 06:00:00', 'surface', 31.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-10-18 06:00:00', 'surface', 31.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-10-19 06:00:00', 'surface', 31.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-10-20 06:00:00', 'surface', 30.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-10-21 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-10-22 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-10-23 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-10-24 06:00:00', 'surface', 31.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-10-25 06:00:00', 'surface', 32.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-10-26 06:00:00', 'surface', 31.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-10-27 06:00:00', 'surface', 30.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-10-28 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-10-29 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-10-30 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-10-31 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-11-01 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-11-02 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-11-03 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-11-04 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-11-05 06:00:00', 'surface', 30.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-11-06 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-11-07 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-11-08 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-11-09 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-11-10 06:00:00', 'surface', 29.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-11-11 06:00:00', 'surface', 30.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-11-12 06:00:00', 'surface', 30.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-11-13 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-11-14 06:00:00', 'surface', 31.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-11-15 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-11-16 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-11-17 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-11-18 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-11-19 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-11-20 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-11-21 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-11-22 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-11-23 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-11-24 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-11-25 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-11-26 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-11-27 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-11-28 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-11-29 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-11-30 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-12-01 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-12-02 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-12-03 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-12-04 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-12-05 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-12-06 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-12-07 06:00:00', 'surface', 29.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-12-08 06:00:00', 'surface', 29.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-12-09 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-12-10 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-12-11 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-12-12 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-12-13 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-12-14 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-12-15 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-12-16 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-12-17 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-12-18 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-12-19 06:00:00', 'surface', 30.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-12-20 06:00:00', 'surface', 30.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-12-21 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-12-22 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-12-23 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-12-24 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-12-25 06:00:00', 'surface', 31.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-12-26 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-12-27 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-12-28 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-12-29 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-12-30 06:00:00', 'surface', 30.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 2, '2000-12-31 06:00:00', 'surface', 29.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-01-01 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-01-02 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-01-03 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-01-04 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-01-05 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-01-06 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-01-07 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-01-08 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-01-09 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-01-10 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-01-11 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-01-12 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-01-13 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-01-14 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-01-15 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-01-16 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-01-17 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-01-18 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-01-19 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-01-20 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-01-21 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-01-22 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-01-23 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-01-24 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-01-25 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-01-26 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-01-27 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-01-28 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-01-29 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-01-30 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-01-31 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-02-01 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-02-02 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-02-03 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-02-04 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-02-05 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-02-06 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-02-07 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-02-08 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-02-09 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-02-10 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-02-11 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-02-12 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-02-13 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-02-14 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-02-15 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-02-16 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-02-17 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-02-18 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-02-19 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-02-20 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-02-21 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-02-22 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-02-23 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-02-24 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-02-25 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-02-26 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-02-27 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-02-28 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-03-01 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-03-02 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-03-03 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-03-04 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-03-05 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-03-06 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-03-07 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-03-08 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-03-09 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-03-10 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-03-11 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-03-12 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-03-13 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-03-14 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-03-15 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-03-16 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-03-17 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-03-18 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-03-19 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-03-20 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-03-21 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-03-22 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-03-23 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-03-24 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-03-25 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-03-26 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-03-27 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-03-28 06:00:00', 'surface', 9.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-03-29 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-03-30 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-03-31 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-04-01 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-04-02 06:00:00', 'surface', 9.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-04-03 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-04-04 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-04-05 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-04-06 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-04-07 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-04-08 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-04-09 06:00:00', 'surface', 7.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-04-10 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-04-11 06:00:00', 'surface', 8.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-04-12 06:00:00', 'surface', 11.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-04-13 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-04-14 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-04-15 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-04-16 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-04-17 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-04-18 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-04-19 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-04-20 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-04-21 06:00:00', 'surface', 9.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-04-22 06:00:00', 'surface', 11.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-04-23 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-04-24 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-04-25 06:00:00', 'surface', 10.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-04-26 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-04-27 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-04-28 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-04-29 06:00:00', 'surface', 11.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-04-30 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-05-01 06:00:00', 'surface', 8.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-05-02 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-05-03 06:00:00', 'surface', 8.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-05-04 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-05-05 06:00:00', 'surface', 9.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-05-06 06:00:00', 'surface', 10.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-05-07 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-05-08 06:00:00', 'surface', 9.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-05-09 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-05-10 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-05-11 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-05-12 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-05-13 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-05-14 06:00:00', 'surface', 10.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-05-15 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-05-16 06:00:00', 'surface', 8.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-05-17 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-05-18 06:00:00', 'surface', 8.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-05-19 06:00:00', 'surface', 11.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-05-20 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-05-21 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-05-22 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-05-23 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-05-24 06:00:00', 'surface', 8.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-05-25 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-05-26 06:00:00', 'surface', 10.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-05-27 06:00:00', 'surface', 9.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-05-28 06:00:00', 'surface', 7.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-05-29 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-05-30 06:00:00', 'surface', 5.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-05-31 06:00:00', 'surface', 5.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-06-01 06:00:00', 'surface', 5.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-06-02 06:00:00', 'surface', 6.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-06-03 06:00:00', 'surface', 6.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-06-04 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-06-05 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-06-06 06:00:00', 'surface', 4.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-06-07 06:00:00', 'surface', 5.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-06-08 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-06-09 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-06-10 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-06-11 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-06-12 06:00:00', 'surface', 5.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-06-13 06:00:00', 'surface', 4.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-06-14 06:00:00', 'surface', 4.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-06-15 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-06-16 06:00:00', 'surface', 3.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-06-17 06:00:00', 'surface', 5.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-06-18 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-06-19 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-06-20 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-06-21 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-06-22 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-06-23 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-06-24 06:00:00', 'surface', 8.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-06-25 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-06-26 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-06-27 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-06-28 06:00:00', 'surface', 8.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-06-29 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-06-30 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-07-01 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-07-02 06:00:00', 'surface', 8.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-07-03 06:00:00', 'surface', 6.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-07-04 06:00:00', 'surface', 5.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-07-05 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-07-06 06:00:00', 'surface', 9.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-07-07 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-07-08 06:00:00', 'surface', 8.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-07-09 06:00:00', 'surface', 5.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-07-10 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-07-11 06:00:00', 'surface', 3.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-07-12 06:00:00', 'surface', 6.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-07-13 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-07-14 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-07-15 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-07-16 06:00:00', 'surface', 4.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-07-17 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-07-18 06:00:00', 'surface', 3.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-07-19 06:00:00', 'surface', 2.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-07-20 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-07-21 06:00:00', 'surface', 5.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-07-22 06:00:00', 'surface', 6.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-07-23 06:00:00', 'surface', 6.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-07-24 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-07-25 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-07-26 06:00:00', 'surface', 11.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-07-27 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-07-28 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-07-29 06:00:00', 'surface', 9.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-07-30 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-07-31 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-08-01 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-08-02 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-08-03 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-08-04 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-08-05 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-08-06 06:00:00', 'surface', 5.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-08-07 06:00:00', 'surface', 4.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-08-08 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-08-09 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-08-10 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-08-11 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-08-12 06:00:00', 'surface', 10.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-08-13 06:00:00', 'surface', 4.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-08-14 06:00:00', 'surface', 3.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-08-15 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-08-16 06:00:00', 'surface', 7.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-08-17 06:00:00', 'surface', 7.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-08-18 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-08-19 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-08-20 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-08-21 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-08-22 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-08-23 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-08-24 06:00:00', 'surface', 8.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-08-25 06:00:00', 'surface', 9.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-08-26 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-08-27 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-08-28 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-08-29 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-08-30 06:00:00', 'surface', 10.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-08-31 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-09-01 06:00:00', 'surface', 11.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-09-02 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-09-03 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-09-04 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-09-05 06:00:00', 'surface', 9.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-09-06 06:00:00', 'surface', 12.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-09-07 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-09-08 06:00:00', 'surface', 10.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-09-09 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-09-10 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-09-11 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-09-12 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-09-13 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-09-14 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-09-15 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-09-16 06:00:00', 'surface', 11.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-09-17 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-09-18 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-09-19 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-09-20 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-09-21 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-09-22 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-09-23 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-09-24 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-09-25 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-09-26 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-09-27 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-09-28 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-09-29 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-09-30 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-10-01 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-10-02 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-10-03 06:00:00', 'surface', 11.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-10-04 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-10-05 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-10-06 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-10-07 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-10-08 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-10-09 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-10-10 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-10-11 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-10-12 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-10-13 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-10-14 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-10-15 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-10-16 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-10-17 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-10-18 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-10-19 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-10-20 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-10-21 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-10-22 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-10-23 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-10-24 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-10-25 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-10-26 06:00:00', 'surface', 12.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-10-27 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-10-28 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-10-29 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-10-30 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-10-31 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-11-01 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-11-02 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-11-03 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-11-04 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-11-05 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-11-06 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-11-07 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-11-08 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-11-09 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-11-10 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-11-11 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-11-12 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-11-13 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-11-14 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-11-15 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-11-16 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-11-17 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-11-18 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-11-19 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-11-20 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-11-21 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-11-22 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-11-23 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-11-24 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-11-25 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-11-26 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-11-27 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-11-28 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-11-29 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-11-30 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-12-01 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-12-02 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-12-03 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-12-04 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-12-05 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-12-06 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-12-07 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-12-08 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-12-09 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-12-10 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-12-11 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-12-12 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-12-13 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-12-14 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-12-15 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-12-16 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-12-17 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-12-18 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-12-19 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-12-20 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-12-21 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-12-22 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-12-23 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-12-24 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-12-25 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-12-26 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-12-27 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-12-28 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-12-29 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-12-30 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1991-12-31 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-01-01 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-01-02 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-01-03 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-01-04 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-01-05 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-01-06 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-01-07 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-01-08 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-01-09 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-01-10 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-01-11 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-01-12 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-01-13 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-01-14 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-01-15 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-01-16 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-01-17 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-01-18 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-01-19 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-01-20 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-01-21 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-01-22 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-01-23 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-01-24 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-01-25 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-01-26 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-01-27 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-01-28 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-01-29 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-01-30 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-01-31 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-02-01 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-02-02 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-02-03 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-02-04 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-02-05 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-02-06 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-02-07 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-02-08 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-02-09 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-02-10 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-02-11 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-02-12 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-02-13 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-02-14 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-02-15 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-02-16 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-02-17 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-02-18 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-02-19 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-02-20 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-02-21 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-02-22 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-02-23 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-02-24 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-02-25 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-02-26 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-02-27 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-02-28 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-02-29 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-03-01 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-03-02 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-03-03 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-03-04 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-03-05 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-03-06 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-03-07 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-03-08 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-03-09 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-03-10 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-03-11 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-03-12 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-03-13 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-03-14 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-03-15 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-03-16 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-03-17 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-03-18 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-03-19 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-03-20 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-03-21 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-03-22 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-03-23 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-03-24 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-03-25 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-03-26 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-03-27 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-03-28 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-03-29 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-03-30 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-03-31 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-04-01 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-04-02 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-04-03 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-04-04 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-04-05 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-04-06 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-04-07 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-04-08 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-04-09 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-04-10 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-04-11 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-04-12 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-04-13 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-04-14 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-04-15 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-04-16 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-04-17 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-04-18 06:00:00', 'surface', 11.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-04-19 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-04-20 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-04-21 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-04-22 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-04-23 06:00:00', 'surface', 11.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-04-24 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-04-25 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-04-26 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-04-27 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-04-28 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-04-29 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-04-30 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-05-01 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-05-02 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-05-03 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-05-04 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-05-05 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-05-06 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-05-07 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-05-08 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-05-09 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-05-10 06:00:00', 'surface', 10.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-05-11 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-05-12 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-05-13 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-05-14 06:00:00', 'surface', 8.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-05-15 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-05-16 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-05-17 06:00:00', 'surface', 10.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-05-18 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-05-19 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-05-20 06:00:00', 'surface', 8.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-05-21 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-05-22 06:00:00', 'surface', 6.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-05-23 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-05-24 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-05-25 06:00:00', 'surface', 10.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-05-26 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-05-27 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-05-28 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-05-29 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-05-30 06:00:00', 'surface', 11.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-05-31 06:00:00', 'surface', 11.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-06-01 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-06-02 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-06-03 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-06-04 06:00:00', 'surface', 8.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-06-05 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-06-06 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-06-07 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-06-08 06:00:00', 'surface', 5.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-06-09 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-06-10 06:00:00', 'surface', 7.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-06-11 06:00:00', 'surface', 4.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-06-12 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-06-13 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-06-14 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-06-15 06:00:00', 'surface', 5.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-06-16 06:00:00', 'surface', 5.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-06-17 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-06-18 06:00:00', 'surface', 8.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-06-19 06:00:00', 'surface', 8.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-06-20 06:00:00', 'surface', 8.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-06-21 06:00:00', 'surface', 6.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-06-22 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-06-23 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-06-24 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-06-25 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-06-26 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-06-27 06:00:00', 'surface', 7.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-06-28 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-06-29 06:00:00', 'surface', 7.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-06-30 06:00:00', 'surface', 7.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-07-01 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-07-02 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-07-03 06:00:00', 'surface', 7.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-07-04 06:00:00', 'surface', 3.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-07-05 06:00:00', 'surface', 4.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-07-06 06:00:00', 'surface', 4.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-07-07 06:00:00', 'surface', 4.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-07-08 06:00:00', 'surface', 4.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-07-09 06:00:00', 'surface', 7.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-07-10 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-07-11 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-07-12 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-07-13 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-07-14 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-07-15 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-07-16 06:00:00', 'surface', 8.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-07-17 06:00:00', 'surface', 8.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-07-18 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-07-19 06:00:00', 'surface', 5.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-07-20 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-07-21 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-07-22 06:00:00', 'surface', 8.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-07-23 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-07-24 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-07-25 06:00:00', 'surface', 10.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-07-26 06:00:00', 'surface', 8.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-07-27 06:00:00', 'surface', 9.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-07-28 06:00:00', 'surface', 6.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-07-29 06:00:00', 'surface', 4.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-07-30 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-07-31 06:00:00', 'surface', 8.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-08-01 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-08-02 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-08-03 06:00:00', 'surface', 10.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-08-04 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-08-05 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-08-06 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-08-07 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-08-08 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-08-09 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-08-10 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-08-11 06:00:00', 'surface', 5.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-08-12 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-08-13 06:00:00', 'surface', 3.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-08-14 06:00:00', 'surface', 2.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-08-15 06:00:00', 'surface', 4.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-08-16 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-08-17 06:00:00', 'surface', 8.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-08-18 06:00:00', 'surface', 8.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-08-19 06:00:00', 'surface', 7.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-08-20 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-08-21 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-08-22 06:00:00', 'surface', 5.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-08-23 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-08-24 06:00:00', 'surface', 8.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-08-25 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-08-26 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-08-27 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-08-28 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-08-29 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-08-30 06:00:00', 'surface', 8.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-08-31 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-09-01 06:00:00', 'surface', 10.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-09-02 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-09-03 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-09-04 06:00:00', 'surface', 11.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-09-05 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-09-06 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-09-07 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-09-08 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-09-09 06:00:00', 'surface', 10.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-09-10 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-09-11 06:00:00', 'surface', 11.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-09-12 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-09-13 06:00:00', 'surface', 11.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-09-14 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-09-15 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-09-16 06:00:00', 'surface', 11.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-09-17 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-09-18 06:00:00', 'surface', 11.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-09-19 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-09-20 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-09-21 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-09-22 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-09-23 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-09-24 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-09-25 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-09-26 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-09-27 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-09-28 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-09-29 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-09-30 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-10-01 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-10-02 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-10-03 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-10-04 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-10-05 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-10-06 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-10-07 06:00:00', 'surface', 12.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-10-08 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-10-09 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-10-10 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-10-11 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-10-12 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-10-13 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-10-14 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-10-15 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-10-16 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-10-17 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-10-18 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-10-19 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-10-20 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-10-21 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-10-22 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-10-23 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-10-24 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-10-25 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-10-26 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-10-27 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-10-28 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-10-29 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-10-30 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-10-31 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-11-01 06:00:00', 'surface', 18.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-11-02 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-11-03 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-11-04 06:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-11-05 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-11-06 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-11-07 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-11-08 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-11-09 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-11-10 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-11-11 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-11-12 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-11-13 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-11-14 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-11-15 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-11-16 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-11-17 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-11-18 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-11-19 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-11-20 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-11-21 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-11-22 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-11-23 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-11-24 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-11-25 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-11-26 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-11-27 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-11-28 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-11-29 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-11-30 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-12-01 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-12-02 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-12-03 06:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-12-04 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-12-05 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-12-06 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-12-07 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-12-08 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-12-09 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-12-10 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-12-11 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-12-12 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-12-13 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-12-14 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-12-15 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-12-16 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-12-17 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-12-18 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-12-19 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-12-20 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-12-21 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-12-22 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-12-23 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-12-24 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-12-25 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-12-26 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-12-27 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-12-28 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-12-29 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-12-30 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1992-12-31 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-01-01 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-01-02 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-01-03 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-01-04 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-01-05 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-01-06 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-01-07 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-01-08 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-01-09 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-01-10 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-01-11 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-01-12 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-01-13 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-01-14 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-01-15 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-01-16 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-01-17 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-01-18 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-01-19 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-01-20 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-01-21 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-01-22 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-01-23 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-01-24 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-01-25 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-01-26 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-01-27 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-01-28 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-01-29 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-01-30 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-01-31 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-02-01 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-02-02 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-02-03 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-02-04 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-02-05 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-02-06 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-02-07 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-02-08 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-02-09 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-02-10 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-02-11 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-02-12 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-02-13 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-02-14 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-02-15 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-02-16 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-02-17 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-02-18 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-02-19 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-02-20 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-02-21 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-02-22 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-02-23 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-02-24 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-02-25 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-02-26 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-02-27 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-02-28 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-03-01 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-03-02 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-03-03 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-03-04 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-03-05 06:00:00', 'surface', 18.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-03-06 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-03-07 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-03-08 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-03-09 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-03-10 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-03-11 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-03-12 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-03-13 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-03-14 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-03-15 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-03-16 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-03-17 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-03-18 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-03-19 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-03-20 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-03-21 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-03-22 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-03-23 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-03-24 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-03-25 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-03-26 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-03-27 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-03-28 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-03-29 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-03-30 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-03-31 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-04-01 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-04-02 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-04-03 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-04-04 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-04-05 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-04-06 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-04-07 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-04-08 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-04-09 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-04-10 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-04-11 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-04-12 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-04-13 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-04-14 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-04-15 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-04-16 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-04-17 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-04-18 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-04-19 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-04-20 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-04-21 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-04-22 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-04-23 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-04-24 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-04-25 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-04-26 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-04-27 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-04-28 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-04-29 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-04-30 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-05-01 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-05-02 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-05-03 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-05-04 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-05-05 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-05-06 06:00:00', 'surface', 8.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-05-07 06:00:00', 'surface', 10.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-05-08 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-05-09 06:00:00', 'surface', 11.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-05-10 06:00:00', 'surface', 9.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-05-11 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-05-12 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-05-13 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-05-14 06:00:00', 'surface', 11.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-05-15 06:00:00', 'surface', 11.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-05-16 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-05-17 06:00:00', 'surface', 8.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-05-18 06:00:00', 'surface', 6.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-05-19 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-05-20 06:00:00', 'surface', 6.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-05-21 06:00:00', 'surface', 8.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-05-22 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-05-23 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-05-24 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-05-25 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-05-26 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-05-27 06:00:00', 'surface', 11.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-05-28 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-05-29 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-05-30 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-05-31 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-06-01 06:00:00', 'surface', 11.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-06-02 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-06-03 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-06-04 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-06-05 06:00:00', 'surface', 9.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-06-06 06:00:00', 'surface', 5.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-06-07 06:00:00', 'surface', 5.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-06-08 06:00:00', 'surface', 3.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-06-09 06:00:00', 'surface', 4.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-06-10 06:00:00', 'surface', 5.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-06-11 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-06-12 06:00:00', 'surface', 5.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-06-13 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-06-14 06:00:00', 'surface', 9.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-06-15 06:00:00', 'surface', 8.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-06-16 06:00:00', 'surface', 6.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-06-17 06:00:00', 'surface', 8.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-06-18 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-06-19 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-06-20 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-06-21 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-06-22 06:00:00', 'surface', 5.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-06-23 06:00:00', 'surface', 4.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-06-24 06:00:00', 'surface', 6.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-06-25 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-06-26 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-06-27 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-06-28 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-06-29 06:00:00', 'surface', 5.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-06-30 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-07-01 06:00:00', 'surface', 9.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-07-02 06:00:00', 'surface', 7.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-07-03 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-07-04 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-07-05 06:00:00', 'surface', 6.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-07-06 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-07-07 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-07-08 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-07-09 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-07-10 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-07-11 06:00:00', 'surface', 8.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-07-12 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-07-13 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-07-14 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-07-15 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-07-16 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-07-17 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-07-18 06:00:00', 'surface', 9.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-07-19 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-07-20 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-07-21 06:00:00', 'surface', 7.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-07-22 06:00:00', 'surface', 7.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-07-23 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-07-24 06:00:00', 'surface', 7.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-07-25 06:00:00', 'surface', 10.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-07-26 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-07-27 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-07-28 06:00:00', 'surface', 6.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-07-29 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-07-30 06:00:00', 'surface', 9.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-07-31 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-08-01 06:00:00', 'surface', 5.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-08-02 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-08-03 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-08-04 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-08-05 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-08-06 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-08-07 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-08-08 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-08-09 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-08-10 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-08-11 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-08-12 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-08-13 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-08-14 06:00:00', 'surface', 6.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-08-15 06:00:00', 'surface', 2.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-08-16 06:00:00', 'surface', 5.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-08-17 06:00:00', 'surface', 6.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-08-18 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-08-19 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-08-20 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-08-21 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-08-22 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-08-23 06:00:00', 'surface', 10.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-08-24 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-08-25 06:00:00', 'surface', 4.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-08-26 06:00:00', 'surface', 5.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-08-27 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-08-28 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-08-29 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-08-30 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-08-31 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-09-01 06:00:00', 'surface', 9.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-09-02 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-09-03 06:00:00', 'surface', 9.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-09-04 06:00:00', 'surface', 8.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-09-05 06:00:00', 'surface', 9.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-09-06 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-09-07 06:00:00', 'surface', 9.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-09-08 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-09-09 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-09-10 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-09-11 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-09-12 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-09-13 06:00:00', 'surface', 11.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-09-14 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-09-15 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-09-16 06:00:00', 'surface', 8.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-09-17 06:00:00', 'surface', 11.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-09-18 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-09-19 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-09-20 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-09-21 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-09-22 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-09-23 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-09-24 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-09-25 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-09-26 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-09-27 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-09-28 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-09-29 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-09-30 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-10-01 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-10-02 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-10-03 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-10-04 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-10-05 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-10-06 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-10-07 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-10-08 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-10-09 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-10-10 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-10-11 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-10-12 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-10-13 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-10-14 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-10-15 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-10-16 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-10-17 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-10-18 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-10-19 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-10-20 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-10-21 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-10-22 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-10-23 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-10-24 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-10-25 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-10-26 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-10-27 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-10-28 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-10-29 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-10-30 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-10-31 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-11-01 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-11-02 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-11-03 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-11-04 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-11-05 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-11-06 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-11-07 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-11-08 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-11-09 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-11-10 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-11-11 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-11-12 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-11-13 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-11-14 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-11-15 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-11-16 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-11-17 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-11-18 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-11-19 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-11-20 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-11-21 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-11-22 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-11-23 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-11-24 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-11-25 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-11-26 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-11-27 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-11-28 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-11-29 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-11-30 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-12-01 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-12-02 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-12-03 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-12-04 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-12-05 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-12-06 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-12-07 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-12-08 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-12-09 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-12-10 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-12-11 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-12-12 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-12-13 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-12-14 06:00:00', 'surface', 12.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-12-15 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-12-16 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-12-17 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-12-18 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-12-19 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-12-20 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-12-21 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-12-22 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-12-23 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-12-24 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-12-25 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-12-26 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-12-27 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-12-28 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-12-29 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-12-30 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1993-12-31 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-01-01 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-01-02 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-01-03 06:00:00', 'surface', 18.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-01-04 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-01-05 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-01-06 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-01-07 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-01-08 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-01-09 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-01-10 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-01-11 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-01-12 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-01-13 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-01-14 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-01-15 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-01-16 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-01-17 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-01-18 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-01-19 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-01-20 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-01-21 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-01-22 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-01-23 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-01-24 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-01-25 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-01-26 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-01-27 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-01-28 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-01-29 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-01-30 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-01-31 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-02-01 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-02-02 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-02-03 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-02-04 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-02-05 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-02-06 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-02-07 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-02-08 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-02-09 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-02-10 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-02-11 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-02-12 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-02-13 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-02-14 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-02-15 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-02-16 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-02-17 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-02-18 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-02-19 06:00:00', 'surface', 12.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-02-20 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-02-21 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-02-22 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-02-23 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-02-24 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-02-25 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-02-26 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-02-27 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-02-28 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-03-01 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-03-02 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-03-03 06:00:00', 'surface', 11.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-03-04 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-03-05 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-03-06 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-03-07 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-03-08 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-03-09 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-03-10 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-03-11 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-03-12 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-03-13 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-03-14 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-03-15 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-03-16 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-03-17 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-03-18 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-03-19 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-03-20 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-03-21 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-03-22 06:00:00', 'surface', 10.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-03-23 06:00:00', 'surface', 11.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-03-24 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-03-25 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-03-26 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-03-27 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-03-28 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-03-29 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-03-30 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-03-31 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-04-01 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-04-02 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-04-03 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-04-04 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-04-05 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-04-06 06:00:00', 'surface', 10.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-04-07 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-04-08 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-04-09 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-04-10 06:00:00', 'surface', 12.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-04-11 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-04-12 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-04-13 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-04-14 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-04-15 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-04-16 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-04-17 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-04-18 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-04-19 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-04-20 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-04-21 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-04-22 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-04-23 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-04-24 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-04-25 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-04-26 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-04-27 06:00:00', 'surface', 6.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-04-28 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-04-29 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-04-30 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-05-01 06:00:00', 'surface', 7.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-05-02 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-05-03 06:00:00', 'surface', 10.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-05-04 06:00:00', 'surface', 12.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-05-05 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-05-06 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-05-07 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-05-08 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-05-09 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-05-10 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-05-11 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-05-12 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-05-13 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-05-14 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-05-15 06:00:00', 'surface', 7.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-05-16 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-05-17 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-05-18 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-05-19 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-05-20 06:00:00', 'surface', 10.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-05-21 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-05-22 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-05-23 06:00:00', 'surface', 10.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-05-24 06:00:00', 'surface', 9.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-05-25 06:00:00', 'surface', 7.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-05-26 06:00:00', 'surface', 5.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-05-27 06:00:00', 'surface', 5.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-05-28 06:00:00', 'surface', 5.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-05-29 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-05-30 06:00:00', 'surface', 3.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-05-31 06:00:00', 'surface', -1.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-06-01 06:00:00', 'surface', 5.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-06-02 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-06-03 06:00:00', 'surface', 5.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-06-04 06:00:00', 'surface', 4.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-06-05 06:00:00', 'surface', 6.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-06-06 06:00:00', 'surface', 4.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-06-07 06:00:00', 'surface', 9.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-06-08 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-06-09 06:00:00', 'surface', 5.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-06-10 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-06-11 06:00:00', 'surface', 5.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-06-12 06:00:00', 'surface', 5.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-06-13 06:00:00', 'surface', 4.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-06-14 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-06-15 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-06-16 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-06-17 06:00:00', 'surface', 3.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-06-18 06:00:00', 'surface', 4.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-06-19 06:00:00', 'surface', 5.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-06-20 06:00:00', 'surface', 6.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-06-21 06:00:00', 'surface', 5.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-06-22 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-06-23 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-06-24 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-06-25 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-06-26 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-06-27 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-06-28 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-06-29 06:00:00', 'surface', 5.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-06-30 06:00:00', 'surface', 1.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-07-01 06:00:00', 'surface', 2.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-07-02 06:00:00', 'surface', 3.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-07-03 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-07-04 06:00:00', 'surface', 1.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-07-05 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-07-06 06:00:00', 'surface', 4.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-07-07 06:00:00', 'surface', 4.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-07-08 06:00:00', 'surface', 4.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-07-09 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-07-10 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-07-11 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-07-12 06:00:00', 'surface', 5.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-07-13 06:00:00', 'surface', 0.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-07-14 06:00:00', 'surface', 2.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-07-15 06:00:00', 'surface', 2.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-07-16 06:00:00', 'surface', 3.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-07-17 06:00:00', 'surface', 4.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-07-18 06:00:00', 'surface', 6.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-07-19 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-07-20 06:00:00', 'surface', 4.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-07-21 06:00:00', 'surface', 8.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-07-22 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-07-23 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-07-24 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-07-25 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-07-26 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-07-27 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-07-28 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-07-29 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-07-30 06:00:00', 'surface', 6.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-07-31 06:00:00', 'surface', 6.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-08-01 06:00:00', 'surface', 5.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-08-02 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-08-03 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-08-04 06:00:00', 'surface', 10.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-08-05 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-08-06 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-08-07 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-08-08 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-08-09 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-08-10 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-08-11 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-08-12 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-08-13 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-08-14 06:00:00', 'surface', 9.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-08-15 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-08-16 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-08-17 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-08-18 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-08-19 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-08-20 06:00:00', 'surface', 11.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-08-21 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-08-22 06:00:00', 'surface', 8.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-08-23 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-08-24 06:00:00', 'surface', 4.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-08-25 06:00:00', 'surface', 5.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-08-26 06:00:00', 'surface', 4.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-08-27 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-08-28 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-08-29 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-08-30 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-08-31 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-09-01 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-09-02 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-09-03 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-09-04 06:00:00', 'surface', 8.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-09-05 06:00:00', 'surface', 10.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-09-06 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-09-07 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-09-08 06:00:00', 'surface', 9.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-09-09 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-09-10 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-09-11 06:00:00', 'surface', 3.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-09-12 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-09-13 06:00:00', 'surface', 11.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-09-14 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-09-15 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-09-16 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-09-17 06:00:00', 'surface', 10.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-09-18 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-09-19 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-09-20 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-09-21 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-09-22 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-09-23 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-09-24 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-09-25 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-09-26 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-09-27 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-09-28 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-09-29 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-09-30 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-10-01 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-10-02 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-10-03 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-10-04 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-10-05 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-10-06 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-10-07 06:00:00', 'surface', 8.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-10-08 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-10-09 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-10-10 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-10-11 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-10-12 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-10-13 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-10-14 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-10-15 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-10-16 06:00:00', 'surface', 11.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-10-17 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-10-18 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-10-19 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-10-20 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-10-21 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-10-22 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-10-23 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-10-24 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-10-25 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-10-26 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-10-27 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-10-28 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-10-29 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-10-30 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-10-31 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-11-01 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-11-02 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-11-03 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-11-04 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-11-05 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-11-06 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-11-07 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-11-08 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-11-09 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-11-10 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-11-11 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-11-12 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-11-13 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-11-14 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-11-15 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-11-16 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-11-17 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-11-18 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-11-19 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-11-20 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-11-21 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-11-22 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-11-23 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-11-24 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-11-25 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-11-26 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-11-27 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-11-28 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-11-29 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-11-30 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-12-01 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-12-02 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-12-03 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-12-04 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-12-05 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-12-06 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-12-07 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-12-08 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-12-09 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-12-10 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-12-11 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-12-12 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-12-13 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-12-14 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-12-15 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-12-16 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-12-17 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-12-18 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-12-19 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-12-20 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-12-21 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-12-22 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-12-23 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-12-24 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-12-25 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-12-26 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-12-27 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-12-28 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-12-29 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-12-30 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1994-12-31 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-01-01 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-01-02 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-01-03 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-01-04 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-01-05 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-01-06 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-01-07 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-01-08 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-01-09 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-01-10 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-01-11 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-01-12 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-01-13 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-01-14 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-01-15 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-01-16 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-01-17 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-01-18 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-01-19 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-01-20 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-01-21 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-01-22 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-01-23 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-01-24 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-01-25 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-01-26 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-01-27 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-01-28 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-01-29 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-01-30 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-01-31 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-02-01 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-02-02 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-02-03 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-02-04 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-02-05 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-02-06 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-02-07 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-02-08 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-02-09 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-02-10 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-02-11 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-02-12 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-02-13 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-02-14 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-02-15 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-02-16 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-02-17 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-02-18 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-02-19 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-02-20 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-02-21 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-02-22 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-02-23 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-02-24 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-02-25 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-02-26 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-02-27 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-02-28 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-03-01 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-03-02 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-03-03 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-03-04 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-03-05 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-03-06 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-03-07 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-03-08 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-03-09 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-03-10 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-03-11 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-03-12 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-03-13 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-03-14 06:00:00', 'surface', 11.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-03-15 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-03-16 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-03-17 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-03-18 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-03-19 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-03-20 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-03-21 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-03-22 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-03-23 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-03-24 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-03-25 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-03-26 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-03-27 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-03-28 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-03-29 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-03-30 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-03-31 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-04-01 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-04-02 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-04-03 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-04-04 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-04-05 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-04-06 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-04-07 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-04-08 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-04-09 06:00:00', 'surface', 11.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-04-10 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-04-11 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-04-12 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-04-13 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-04-14 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-04-15 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-04-16 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-04-17 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-04-18 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-04-19 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-04-20 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-04-21 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-04-22 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-04-23 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-04-24 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-04-25 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-04-26 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-04-27 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-04-28 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-04-29 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-04-30 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-05-01 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-05-02 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-05-03 06:00:00', 'surface', 10.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-05-04 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-05-05 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-05-06 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-05-07 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-05-08 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-05-09 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-05-10 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-05-11 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-05-12 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-05-13 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-05-14 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-05-15 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-05-16 06:00:00', 'surface', 10.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-05-17 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-05-18 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-05-19 06:00:00', 'surface', 11.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-05-20 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-05-21 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-05-22 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-05-23 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-05-24 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-05-25 06:00:00', 'surface', 10.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-05-26 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-05-27 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-05-28 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-05-29 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-05-30 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-05-31 06:00:00', 'surface', 6.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-06-01 06:00:00', 'surface', 6.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-06-02 06:00:00', 'surface', 6.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-06-03 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-06-04 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-06-05 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-06-06 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-06-07 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-06-08 06:00:00', 'surface', 6.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-06-09 06:00:00', 'surface', 3.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-06-10 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-06-11 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-06-12 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-06-13 06:00:00', 'surface', 5.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-06-14 06:00:00', 'surface', 7.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-06-15 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-06-16 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-06-17 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-06-18 06:00:00', 'surface', 3.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-06-19 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-06-20 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-06-21 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-06-22 06:00:00', 'surface', 5.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-06-23 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-06-24 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-06-25 06:00:00', 'surface', 5.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-06-26 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-06-27 06:00:00', 'surface', 6.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-06-28 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-06-29 06:00:00', 'surface', 4.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-06-30 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-07-01 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-07-02 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-07-03 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-07-04 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-07-05 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-07-06 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-07-07 06:00:00', 'surface', 7.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-07-08 06:00:00', 'surface', 5.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-07-09 06:00:00', 'surface', 4.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-07-10 06:00:00', 'surface', 4.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-07-11 06:00:00', 'surface', 4.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-07-12 06:00:00', 'surface', 6.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-07-13 06:00:00', 'surface', 5.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-07-14 06:00:00', 'surface', 7.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-07-15 06:00:00', 'surface', 7.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-07-16 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-07-17 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-07-18 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-07-19 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-07-20 06:00:00', 'surface', 8.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-07-21 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-07-22 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-07-23 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-07-24 06:00:00', 'surface', 12.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-07-25 06:00:00', 'surface', 9.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-07-26 06:00:00', 'surface', 9.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-07-27 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-07-28 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-07-29 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-07-30 06:00:00', 'surface', 8.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-07-31 06:00:00', 'surface', 8.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-08-01 06:00:00', 'surface', 7.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-08-02 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-08-03 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-08-04 06:00:00', 'surface', 9.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-08-05 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-08-06 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-08-07 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-08-08 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-08-09 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-08-10 06:00:00', 'surface', 8.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-08-11 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-08-12 06:00:00', 'surface', 8.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-08-13 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-08-14 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-08-15 06:00:00', 'surface', 9.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-08-16 06:00:00', 'surface', 8.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-08-17 06:00:00', 'surface', 8.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-08-18 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-08-19 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-08-20 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-08-21 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-08-22 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-08-23 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-08-24 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-08-25 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-08-26 06:00:00', 'surface', 11.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-08-27 06:00:00', 'surface', 8.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-08-28 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-08-29 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-08-30 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-08-31 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-09-01 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-09-02 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-09-03 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-09-04 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-09-05 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-09-06 06:00:00', 'surface', 8.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-09-07 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-09-08 06:00:00', 'surface', 6.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-09-09 06:00:00', 'surface', 9.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-09-10 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-09-11 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-09-12 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-09-13 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-09-14 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-09-15 06:00:00', 'surface', 12.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-09-16 06:00:00', 'surface', 11.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-09-17 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-09-18 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-09-19 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-09-20 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-09-21 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-09-22 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-09-23 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-09-24 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-09-25 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-09-26 06:00:00', 'surface', 10.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-09-27 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-09-28 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-09-29 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-09-30 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-10-01 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-10-02 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-10-03 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-10-04 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-10-05 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-10-06 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-10-07 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-10-08 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-10-09 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-10-10 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-10-11 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-10-12 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-10-13 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-10-14 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-10-15 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-10-16 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-10-17 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-10-18 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-10-19 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-10-20 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-10-21 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-10-22 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-10-23 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-10-24 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-10-25 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-10-26 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-10-27 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-10-28 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-10-29 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-10-30 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-10-31 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-11-01 06:00:00', 'surface', 11.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-11-02 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-11-03 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-11-04 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-11-05 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-11-06 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-11-07 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-11-08 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-11-09 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-11-10 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-11-11 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-11-12 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-11-13 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-11-14 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-11-15 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-11-16 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-11-17 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-11-18 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-11-19 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-11-20 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-11-21 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-11-22 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-11-23 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-11-24 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-11-25 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-11-26 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-11-27 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-11-28 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-11-29 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-11-30 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-12-01 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-12-02 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-12-03 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-12-04 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-12-05 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-12-06 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-12-07 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-12-08 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-12-09 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-12-10 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-12-11 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-12-12 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-12-13 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-12-14 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-12-15 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-12-16 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-12-17 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-12-18 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-12-19 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-12-20 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-12-21 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-12-22 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-12-23 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-12-24 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-12-25 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-12-26 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-12-27 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-12-28 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-12-29 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-12-30 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1995-12-31 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-01-01 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-01-02 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-01-03 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-01-04 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-01-05 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-01-06 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-01-07 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-01-08 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-01-09 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-01-10 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-01-11 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-01-12 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-01-13 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-01-14 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-01-15 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-01-16 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-01-17 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-01-18 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-01-19 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-01-20 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-01-21 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-01-22 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-01-23 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-01-24 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-01-25 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-01-26 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-01-27 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-01-28 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-01-29 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-01-30 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-01-31 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-03-01 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-03-02 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-03-03 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-03-04 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-03-05 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-03-06 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-03-07 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-03-08 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-03-09 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-03-10 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-03-11 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-03-12 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-03-13 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-03-14 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-03-15 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-03-16 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-03-17 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-03-18 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-03-19 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-03-20 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-03-21 06:00:00', 'surface', 11.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-03-22 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-03-23 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-03-24 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-03-25 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-03-26 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-03-27 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-03-28 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-03-29 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-03-30 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-03-31 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-04-01 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-04-02 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-04-03 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-04-04 06:00:00', 'surface', 11.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-04-05 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-04-06 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-04-07 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-04-08 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-04-09 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-04-10 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-04-11 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-04-12 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-04-13 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-04-14 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-04-15 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-04-16 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-04-17 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-04-18 06:00:00', 'surface', 9.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-04-19 06:00:00', 'surface', 10.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-04-20 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-04-21 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-04-22 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-04-23 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-04-24 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-04-25 06:00:00', 'surface', 8.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-04-26 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-04-27 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-04-28 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-04-29 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-04-30 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-05-01 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-05-02 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-05-03 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-05-04 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-05-05 06:00:00', 'surface', 10.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-05-06 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-05-07 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-05-08 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-05-09 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-05-10 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-05-11 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-05-12 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-05-13 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-05-14 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-05-15 06:00:00', 'surface', 8.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-05-16 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-05-17 06:00:00', 'surface', 10.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-05-18 06:00:00', 'surface', 10.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-05-19 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-05-20 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-05-21 06:00:00', 'surface', 10.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-05-22 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-05-23 06:00:00', 'surface', 8.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-05-24 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-05-25 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-05-26 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-05-27 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-05-28 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-05-29 06:00:00', 'surface', 5.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-05-30 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-05-31 06:00:00', 'surface', 4.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-06-01 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-06-02 06:00:00', 'surface', 8.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-06-03 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-06-04 06:00:00', 'surface', 9.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-06-05 06:00:00', 'surface', 9.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-06-06 06:00:00', 'surface', 3.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-06-07 06:00:00', 'surface', 5.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-06-08 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-06-09 06:00:00', 'surface', 5.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-06-10 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-06-11 06:00:00', 'surface', 6.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-06-12 06:00:00', 'surface', 5.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-06-13 06:00:00', 'surface', 3.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-06-14 06:00:00', 'surface', 5.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-06-15 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-06-16 06:00:00', 'surface', 6.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-06-17 06:00:00', 'surface', 5.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-06-18 06:00:00', 'surface', 5.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-06-19 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-06-20 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-06-21 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-06-22 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-06-23 06:00:00', 'surface', 8.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-06-24 06:00:00', 'surface', 7.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-06-25 06:00:00', 'surface', 5.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-06-26 06:00:00', 'surface', 10.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-06-27 06:00:00', 'surface', 5.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-06-28 06:00:00', 'surface', 3.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-06-29 06:00:00', 'surface', 2.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-06-30 06:00:00', 'surface', 4.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-07-01 06:00:00', 'surface', 2.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-07-02 06:00:00', 'surface', 2.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-07-03 06:00:00', 'surface', 4.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-07-04 06:00:00', 'surface', 4.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-07-05 06:00:00', 'surface', 4.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-07-06 06:00:00', 'surface', 5.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-07-07 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-07-08 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-07-09 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-07-10 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-07-11 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-07-12 06:00:00', 'surface', 3.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-07-13 06:00:00', 'surface', 5.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-07-14 06:00:00', 'surface', 5.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-07-15 06:00:00', 'surface', 5.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-07-16 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-07-17 06:00:00', 'surface', 8.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-07-18 06:00:00', 'surface', 7.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-07-19 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-07-20 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-07-21 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-07-22 06:00:00', 'surface', 4.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-07-23 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-07-24 06:00:00', 'surface', 5.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-07-25 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-07-26 06:00:00', 'surface', 2.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-07-27 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-07-28 06:00:00', 'surface', 6.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-07-29 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-07-30 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-07-31 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-08-01 06:00:00', 'surface', 6.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-08-02 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-08-03 06:00:00', 'surface', 10.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-08-04 06:00:00', 'surface', 5.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-08-05 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-08-06 06:00:00', 'surface', 10.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-08-07 06:00:00', 'surface', 8.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-08-08 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-08-09 06:00:00', 'surface', 11.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-08-10 06:00:00', 'surface', 9.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-08-11 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-08-12 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-08-13 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-08-14 06:00:00', 'surface', 9.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-08-15 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-08-16 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-08-17 06:00:00', 'surface', 9.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-08-18 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-08-19 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-08-20 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-08-21 06:00:00', 'surface', 11.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-08-22 06:00:00', 'surface', 8.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-08-23 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-08-24 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-08-25 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-08-26 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-08-27 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-08-28 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-08-29 06:00:00', 'surface', 8.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-08-30 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-08-31 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-09-01 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-09-02 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-09-03 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-09-04 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-09-05 06:00:00', 'surface', 9.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-09-06 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-09-07 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-09-08 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-09-09 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-09-10 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-09-11 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-09-12 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-09-13 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-09-14 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-09-15 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-09-16 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-09-17 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-09-18 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-09-19 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-09-20 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-09-21 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-09-22 06:00:00', 'surface', 11.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-09-23 06:00:00', 'surface', 11.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-09-24 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-09-25 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-09-26 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-09-27 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-09-28 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-09-29 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-09-30 06:00:00', 'surface', 10.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-10-01 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-10-02 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-10-03 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-10-04 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-10-05 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-10-06 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-10-07 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-10-08 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-10-09 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-10-10 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-10-11 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-10-12 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-10-13 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-10-14 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-10-15 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-10-16 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-10-17 06:00:00', 'surface', 11.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-10-18 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-10-19 06:00:00', 'surface', 11.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-10-20 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-10-21 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-10-22 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-10-23 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-10-24 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-10-25 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-10-26 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-10-27 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-10-28 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-10-29 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-10-30 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-10-31 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-11-01 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-11-02 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-11-03 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-11-04 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-11-05 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-11-06 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-11-07 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-11-08 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-11-09 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-11-10 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-11-11 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-11-12 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-11-13 06:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-11-14 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-11-15 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-11-16 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-11-17 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-11-18 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-11-19 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-11-20 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-11-21 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-11-22 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-11-23 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-11-24 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-11-25 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-11-26 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-11-27 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-11-28 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-11-29 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-11-30 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-12-01 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-12-02 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-12-03 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-12-04 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-12-05 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-12-06 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-12-07 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-12-08 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-12-09 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-12-10 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-12-11 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-12-12 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-12-13 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-12-14 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-12-15 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-12-16 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-12-17 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-12-18 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-12-19 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-12-20 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-12-21 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-12-22 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-12-23 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-12-24 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-12-25 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-12-26 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-12-27 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-12-28 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-12-29 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-12-30 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1996-12-31 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-01-01 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-01-02 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-01-03 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-01-04 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-01-05 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-01-06 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-01-07 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-01-08 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-01-09 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-01-10 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-01-11 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-01-12 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-01-13 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-01-14 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-01-15 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-01-16 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-01-17 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-01-18 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-01-19 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-01-20 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-01-21 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-01-22 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-01-23 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-01-24 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-01-25 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-01-26 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-01-27 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-01-28 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-01-29 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-01-30 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-01-31 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-02-01 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-02-02 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-02-03 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-02-04 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-02-05 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-02-06 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-02-07 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-02-08 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-02-09 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-02-10 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-02-11 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-02-12 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-02-13 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-02-14 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-02-15 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-02-16 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-02-17 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-02-18 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-02-19 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-02-20 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-02-21 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-02-22 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-02-23 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-02-24 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-02-25 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-02-26 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-02-27 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-02-28 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-03-01 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-03-02 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-03-03 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-03-04 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-03-05 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-03-06 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-03-07 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-03-08 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-03-09 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-03-10 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-03-11 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-03-12 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-03-13 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-03-14 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-03-15 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-03-16 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-03-17 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-03-18 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-03-19 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-03-20 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-03-21 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-03-22 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-03-23 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-03-24 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-03-25 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-03-26 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-03-27 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-03-28 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-03-29 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-03-30 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-03-31 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-04-01 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-04-02 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-04-03 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-04-04 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-04-05 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-04-06 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-04-07 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-04-08 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-04-09 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-04-10 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-04-11 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-04-12 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-04-13 06:00:00', 'surface', 9.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-04-14 06:00:00', 'surface', 10.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-04-15 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-04-16 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-04-17 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-04-18 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-04-19 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-04-20 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-04-21 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-04-22 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-04-23 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-04-24 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-04-25 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-04-26 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-04-27 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-04-28 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-04-29 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-04-30 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-05-01 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-05-02 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-05-03 06:00:00', 'surface', 9.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-05-04 06:00:00', 'surface', 9.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-05-05 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-05-06 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-05-07 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-05-08 06:00:00', 'surface', 5.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-05-09 06:00:00', 'surface', 7.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-05-10 06:00:00', 'surface', 6.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-05-11 06:00:00', 'surface', 8.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-05-12 06:00:00', 'surface', 8.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-05-13 06:00:00', 'surface', 5.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-05-14 06:00:00', 'surface', 5.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-05-15 06:00:00', 'surface', 5.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-05-16 06:00:00', 'surface', 6.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-05-17 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-05-18 06:00:00', 'surface', 7.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-05-19 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-05-20 06:00:00', 'surface', 10.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-05-21 06:00:00', 'surface', 10.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-05-22 06:00:00', 'surface', 11.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-05-23 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-05-24 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-05-25 06:00:00', 'surface', 9.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-05-26 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-05-27 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-05-28 06:00:00', 'surface', 5.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-05-29 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-05-30 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-05-31 06:00:00', 'surface', 4.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-06-01 06:00:00', 'surface', 8.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-06-02 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-06-03 06:00:00', 'surface', 10.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-06-04 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-06-05 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-06-06 06:00:00', 'surface', 8.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-06-07 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-06-08 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-06-09 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-06-10 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-06-11 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-06-12 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-06-13 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-06-14 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-06-15 06:00:00', 'surface', 6.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-06-16 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-06-17 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-06-18 06:00:00', 'surface', 8.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-06-19 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-06-20 06:00:00', 'surface', 8.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-06-21 06:00:00', 'surface', 5.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-06-22 06:00:00', 'surface', 7.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-06-23 06:00:00', 'surface', 4.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-06-24 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-06-25 06:00:00', 'surface', 7.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-06-26 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-06-27 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-06-28 06:00:00', 'surface', 8.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-06-29 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-06-30 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-07-01 06:00:00', 'surface', 9.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-07-02 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-07-03 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-07-04 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-07-05 06:00:00', 'surface', 6.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-07-06 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-07-07 06:00:00', 'surface', 7.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-07-08 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-07-09 06:00:00', 'surface', 6.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-07-10 06:00:00', 'surface', 6.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-07-11 06:00:00', 'surface', 5.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-07-12 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-07-13 06:00:00', 'surface', 9.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-07-14 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-07-15 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-07-16 06:00:00', 'surface', 4.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-07-17 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-07-18 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-07-19 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-07-20 06:00:00', 'surface', 6.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-07-21 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-07-22 06:00:00', 'surface', 5.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-07-23 06:00:00', 'surface', 5.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-07-24 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-07-25 06:00:00', 'surface', 9.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-07-26 06:00:00', 'surface', 9.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-07-27 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-07-28 06:00:00', 'surface', 5.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-07-29 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-07-30 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-07-31 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-08-01 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-08-02 06:00:00', 'surface', 10.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-08-03 06:00:00', 'surface', 8.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-08-04 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-08-05 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-08-06 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-08-07 06:00:00', 'surface', 6.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-08-08 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-08-09 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-08-10 06:00:00', 'surface', 6.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-08-11 06:00:00', 'surface', 6.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-08-12 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-08-13 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-08-14 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-08-15 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-08-16 06:00:00', 'surface', 8.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-08-17 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-08-18 06:00:00', 'surface', 10.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-08-19 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-08-20 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-08-21 06:00:00', 'surface', 8.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-08-22 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-08-23 06:00:00', 'surface', 9.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-08-24 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-08-25 06:00:00', 'surface', 7.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-08-26 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-08-27 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-08-28 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-08-29 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-08-30 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-08-31 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-09-01 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-09-02 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-09-03 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-09-04 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-09-05 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-09-06 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-09-07 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-09-08 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-09-09 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-09-10 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-09-11 06:00:00', 'surface', 11.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-09-12 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-09-13 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-09-14 06:00:00', 'surface', 11.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-09-15 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-09-16 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-09-17 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-09-18 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-09-19 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-09-20 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-09-21 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-09-22 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-09-23 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-09-24 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-09-25 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-09-26 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-09-27 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-09-28 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-09-29 06:00:00', 'surface', 10.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-09-30 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-10-01 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-10-02 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-10-03 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-10-04 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-10-05 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-10-06 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-10-07 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-10-08 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-10-09 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-10-10 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-10-11 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-10-12 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-10-13 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-10-14 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-10-15 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-10-16 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-10-17 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-10-18 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-10-19 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-10-20 06:00:00', 'surface', 10.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-10-21 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-10-22 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-10-23 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-10-24 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-10-25 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-10-26 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-10-27 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-10-28 06:00:00', 'surface', 18.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-10-29 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-10-30 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-10-31 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-11-01 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-11-02 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-11-03 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-11-04 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-11-05 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-11-06 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-11-07 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-11-08 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-11-09 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-11-10 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-11-11 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-11-12 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-11-13 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-11-14 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-11-15 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-11-16 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-11-17 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-11-18 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-11-19 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-11-20 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-11-21 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-11-22 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-11-23 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-11-24 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-11-25 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-11-26 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-11-27 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-11-28 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-11-29 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-11-30 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-12-01 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-12-02 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-12-03 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-12-04 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-12-05 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-12-06 06:00:00', 'surface', 18.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-12-07 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-12-08 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-12-09 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-12-10 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-12-11 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-12-12 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-12-13 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-12-14 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-12-15 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-12-16 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-12-17 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-12-18 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-12-19 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-12-20 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-12-21 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-12-22 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-12-23 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-12-24 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-12-25 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-12-26 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-12-27 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-12-28 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-12-29 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-12-30 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1997-12-31 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-01-01 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-01-02 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-01-03 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-01-04 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-01-05 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-01-06 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-01-07 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-01-08 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-01-09 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-01-10 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-01-11 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-01-12 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-01-13 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-01-14 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-01-15 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-01-16 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-01-17 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-01-18 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-01-19 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-01-20 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-01-21 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-01-22 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-01-23 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-01-24 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-01-25 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-01-26 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-01-27 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-01-28 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-01-29 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-01-30 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-01-31 06:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-02-01 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-02-02 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-02-03 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-02-04 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-02-05 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-02-06 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-02-07 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-02-08 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-02-09 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-02-10 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-02-11 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-02-12 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-02-13 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-02-14 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-02-15 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-02-16 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-02-17 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-02-18 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-02-19 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-02-20 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-02-21 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-02-22 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-02-23 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-02-24 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-02-25 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-02-26 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-02-27 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-02-28 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-03-01 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-03-02 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-03-03 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-03-04 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-03-05 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-03-06 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-03-07 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-03-08 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-03-09 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-03-10 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-03-11 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-03-12 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-03-13 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-03-14 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-03-15 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-03-16 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-03-17 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-03-18 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-03-19 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-03-20 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-03-21 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-03-22 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-03-23 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-03-24 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-03-25 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-03-26 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-03-27 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-03-28 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-03-29 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-03-30 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-03-31 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-04-01 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-04-02 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-04-03 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-04-04 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-04-05 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-04-06 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-04-07 06:00:00', 'surface', 1.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-04-08 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-04-09 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-04-10 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-04-11 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-04-12 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-04-13 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-04-14 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-04-15 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-04-16 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-04-17 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-04-18 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-04-19 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-04-20 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-04-21 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-04-22 06:00:00', 'surface', 11.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-04-23 06:00:00', 'surface', 11.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-04-24 06:00:00', 'surface', 11.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-04-25 06:00:00', 'surface', 11.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-04-26 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-04-27 06:00:00', 'surface', 9.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-04-28 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-04-29 06:00:00', 'surface', 10.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-04-30 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-05-01 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-05-02 06:00:00', 'surface', 11.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-05-03 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-05-04 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-05-05 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-05-06 06:00:00', 'surface', 11.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-05-07 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-05-08 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-05-09 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-05-10 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-05-11 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-05-12 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-05-13 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-05-14 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-05-15 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-05-16 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-05-17 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-05-18 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-05-19 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-05-20 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-05-21 06:00:00', 'surface', 6.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-05-22 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-05-23 06:00:00', 'surface', 6.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-05-24 06:00:00', 'surface', 6.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-05-25 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-05-26 06:00:00', 'surface', 5.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-05-27 06:00:00', 'surface', 5.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-05-28 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-05-29 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-05-30 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-05-31 06:00:00', 'surface', 6.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-06-01 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-06-02 06:00:00', 'surface', 7.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-06-03 06:00:00', 'surface', 7.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-06-04 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-06-05 06:00:00', 'surface', 6.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-06-06 06:00:00', 'surface', 8.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-06-07 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-06-08 06:00:00', 'surface', 6.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-06-09 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-06-10 06:00:00', 'surface', 10.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-06-11 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-06-12 06:00:00', 'surface', 4.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-06-13 06:00:00', 'surface', 3.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-06-14 06:00:00', 'surface', 3.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-06-15 06:00:00', 'surface', 3.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-06-16 06:00:00', 'surface', 4.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-06-17 06:00:00', 'surface', 4.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-06-18 06:00:00', 'surface', 5.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-06-19 06:00:00', 'surface', 5.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-06-20 06:00:00', 'surface', 4.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-06-21 06:00:00', 'surface', 5.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-06-22 06:00:00', 'surface', 8.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-06-23 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-06-24 06:00:00', 'surface', 5.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-06-25 06:00:00', 'surface', 5.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-06-26 06:00:00', 'surface', 5.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-06-27 06:00:00', 'surface', 6.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-06-28 06:00:00', 'surface', 5.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-06-29 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-06-30 06:00:00', 'surface', 8.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-07-01 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-07-02 06:00:00', 'surface', 4.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-07-03 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-07-04 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-07-05 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-07-06 06:00:00', 'surface', 10.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-07-07 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-07-08 06:00:00', 'surface', 8.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-07-09 06:00:00', 'surface', 5.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-07-10 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-07-11 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-07-12 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-07-13 06:00:00', 'surface', 8.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-07-14 06:00:00', 'surface', 4.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-07-15 06:00:00', 'surface', 5.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-07-16 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-07-17 06:00:00', 'surface', 5.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-07-18 06:00:00', 'surface', 4.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-07-19 06:00:00', 'surface', 4.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-07-20 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-07-21 06:00:00', 'surface', 8.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-07-22 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-07-23 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-07-24 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-07-25 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-07-26 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-07-27 06:00:00', 'surface', 5.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-07-28 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-07-29 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-07-30 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-07-31 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-08-01 06:00:00', 'surface', 9.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-08-02 06:00:00', 'surface', 4.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-08-03 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-08-04 06:00:00', 'surface', 8.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-08-05 06:00:00', 'surface', 11.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-08-06 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-08-07 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-08-08 06:00:00', 'surface', 7.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-08-09 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-08-10 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-08-11 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-08-12 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-08-13 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-08-14 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-08-15 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-08-16 06:00:00', 'surface', 11.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-08-17 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-08-18 06:00:00', 'surface', 9.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-08-19 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-08-20 06:00:00', 'surface', 6.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-08-21 06:00:00', 'surface', 7.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-08-22 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-08-23 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-08-24 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-08-25 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-08-26 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-08-27 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-08-28 06:00:00', 'surface', 7.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-08-29 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-08-30 06:00:00', 'surface', 5.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-08-31 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-09-01 06:00:00', 'surface', 8.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-09-02 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-09-03 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-09-04 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-09-05 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-09-06 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-09-07 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-09-08 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-09-09 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-09-10 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-09-11 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-09-12 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-09-13 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-09-14 06:00:00', 'surface', 11.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-09-15 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-09-16 06:00:00', 'surface', 11.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-09-17 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-09-18 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-09-19 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-09-20 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-09-21 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-09-22 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-09-23 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-09-24 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-09-25 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-09-26 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-09-27 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-09-28 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-09-29 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-09-30 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-10-01 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-10-02 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-10-03 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-10-04 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-10-05 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-10-06 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-10-07 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-10-08 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-10-09 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-10-10 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-10-11 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-10-12 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-10-13 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-10-14 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-10-15 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-10-16 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-10-17 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-10-18 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-10-19 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-10-20 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-10-21 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-10-22 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-10-23 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-10-24 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-10-25 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-10-26 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-10-27 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-10-28 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-10-29 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-10-30 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-10-31 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-11-01 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-11-02 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-11-03 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-11-04 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-11-05 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-11-06 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-11-07 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-11-08 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-11-09 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-11-10 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-11-11 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-11-12 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-11-13 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-11-14 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-11-15 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-11-16 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-11-17 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-11-18 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-11-19 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-11-20 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-11-21 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-11-22 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-11-23 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-11-24 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-11-25 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-11-26 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-11-27 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-11-28 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-11-29 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-11-30 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-12-01 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-12-02 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-12-03 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-12-04 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-12-05 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-12-06 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-12-07 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-12-08 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-12-09 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-12-10 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-12-11 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-12-12 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-12-13 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-12-14 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-12-15 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-12-16 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-12-17 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-12-18 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-12-19 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-12-20 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-12-21 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-12-22 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-12-23 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-12-24 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-12-25 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-12-26 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-12-27 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-12-28 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-12-29 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-12-30 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1998-12-31 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-01-01 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-01-02 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-01-03 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-01-04 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-01-05 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-01-06 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-01-07 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-01-08 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-01-09 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-01-10 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-01-11 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-01-12 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-01-13 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-01-14 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-01-15 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-01-16 06:00:00', 'surface', 11.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-01-17 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-01-18 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-01-19 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-01-20 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-01-21 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-01-22 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-01-23 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-01-24 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-01-25 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-01-26 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-01-27 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-01-28 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-01-29 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-01-30 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-01-31 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-02-01 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-02-02 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-02-03 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-02-04 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-02-05 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-02-06 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-02-07 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-02-08 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-02-09 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-02-10 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-02-11 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-02-12 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-02-13 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-02-14 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-02-15 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-02-16 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-02-17 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-02-18 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-02-19 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-02-20 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-02-21 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-02-22 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-02-23 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-02-24 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-02-25 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-02-26 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-02-27 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-02-28 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-03-01 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-03-02 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-03-03 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-03-04 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-03-05 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-03-06 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-03-07 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-03-08 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-03-09 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-03-10 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-03-11 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-03-12 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-03-13 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-03-14 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-03-15 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-03-16 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-03-17 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-03-18 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-03-19 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-03-20 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-03-21 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-03-22 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-03-23 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-03-24 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-03-25 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-03-26 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-03-27 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-03-28 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-03-29 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-03-30 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-03-31 06:00:00', 'surface', 11.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-04-01 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-04-02 06:00:00', 'surface', 11.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-04-03 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-04-04 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-04-05 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-04-06 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-04-07 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-04-08 06:00:00', 'surface', 11.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-04-09 06:00:00', 'surface', 10.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-04-10 06:00:00', 'surface', 11.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-04-11 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-04-12 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-04-13 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-04-14 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-04-15 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-04-16 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-04-17 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-04-18 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-04-19 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-04-20 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-04-21 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-04-22 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-04-23 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-04-24 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-04-25 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-04-26 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-04-27 06:00:00', 'surface', 11.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-04-28 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-04-29 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-04-30 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-05-01 06:00:00', 'surface', 9.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-05-02 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-05-03 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-05-04 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-05-05 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-05-06 06:00:00', 'surface', 12.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-05-07 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-05-08 06:00:00', 'surface', 8.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-05-09 06:00:00', 'surface', 9.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-05-10 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-05-11 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-05-12 06:00:00', 'surface', 8.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-05-13 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-05-14 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-05-15 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-05-16 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-05-17 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-05-18 06:00:00', 'surface', 8.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-05-19 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-05-20 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-05-21 06:00:00', 'surface', 9.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-05-22 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-05-23 06:00:00', 'surface', 10.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-05-24 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-05-25 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-05-26 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-05-27 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-05-28 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-05-29 06:00:00', 'surface', 9.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-05-30 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-05-31 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0);
INSERT INTO `observationfinal` (`recordedFrom`, `describedBy`, `obsDatetime`, `obsLevel`, `obsValue`, `flag`, `period`, `qcStatus`, `qcTypeLog`, `acquisitionType`, `dataForm`, `capturedBy`, `mark`, `temperatureUnits`, `precipitationUnits`, `cloudHeightUnits`, `visUnits`, `dataSourceTimeZone`) VALUES
	('67774010', 3, '1999-06-01 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-06-02 06:00:00', 'surface', 10.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-06-03 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-06-04 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-06-05 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-06-06 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-06-07 06:00:00', 'surface', 5.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-06-08 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-06-09 06:00:00', 'surface', 4.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-06-10 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-06-11 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-06-12 06:00:00', 'surface', 5.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-06-13 06:00:00', 'surface', 5.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-06-14 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-06-15 06:00:00', 'surface', 6.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-06-16 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-06-17 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-06-18 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-06-19 06:00:00', 'surface', 10.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-06-20 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-06-21 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-06-22 06:00:00', 'surface', 8.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-06-23 06:00:00', 'surface', 7.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-06-24 06:00:00', 'surface', 6.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-06-25 06:00:00', 'surface', 6.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-06-26 06:00:00', 'surface', 3.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-06-27 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-06-28 06:00:00', 'surface', 5.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-06-29 06:00:00', 'surface', 6.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-06-30 06:00:00', 'surface', 3.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-07-01 06:00:00', 'surface', 4.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-07-02 06:00:00', 'surface', 5.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-07-03 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-07-04 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-07-05 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-07-06 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-07-07 06:00:00', 'surface', 7.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-07-08 06:00:00', 'surface', 10.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-07-09 06:00:00', 'surface', 6.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-07-10 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-07-11 06:00:00', 'surface', 5.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-07-12 06:00:00', 'surface', 10.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-07-13 06:00:00', 'surface', 7.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-07-14 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-07-15 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-07-16 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-07-17 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-07-18 06:00:00', 'surface', 10.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-07-19 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-07-20 06:00:00', 'surface', 8.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-07-21 06:00:00', 'surface', 6.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-07-22 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-07-23 06:00:00', 'surface', 4.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-07-24 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-07-25 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-07-26 06:00:00', 'surface', 5.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-07-27 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-07-28 06:00:00', 'surface', 5.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-07-29 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-07-30 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-07-31 06:00:00', 'surface', 11.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-08-01 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-08-02 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-08-03 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-08-04 06:00:00', 'surface', 7.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-08-05 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-08-06 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-08-07 06:00:00', 'surface', 8.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-08-08 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-08-09 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-08-10 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-08-11 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-08-12 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-08-13 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-08-14 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-08-15 06:00:00', 'surface', 4.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-08-16 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-08-17 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-08-18 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-08-19 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-08-20 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-08-21 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-08-22 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-08-23 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-08-24 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-08-25 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-08-26 06:00:00', 'surface', 9.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-08-27 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-08-28 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-08-29 06:00:00', 'surface', 7.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-08-30 06:00:00', 'surface', 8.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-08-31 06:00:00', 'surface', 10.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-09-01 06:00:00', 'surface', 9.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-09-02 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-09-03 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-09-04 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-09-05 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-09-06 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-09-07 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-09-08 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-09-09 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-09-10 06:00:00', 'surface', 9.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-09-11 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-09-12 06:00:00', 'surface', 5.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-09-13 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-09-14 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-09-15 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-09-16 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-09-17 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-09-18 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-09-19 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-09-20 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-09-21 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-09-22 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-09-23 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-09-24 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-09-25 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-09-26 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-09-27 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-09-28 06:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-09-29 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-09-30 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-10-01 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-10-02 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-10-03 06:00:00', 'surface', 11.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-10-04 06:00:00', 'surface', 12.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-10-05 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-10-06 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-10-07 06:00:00', 'surface', 11.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-10-08 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-10-09 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-10-10 06:00:00', 'surface', 8.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-10-11 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-10-12 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-10-13 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-10-14 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-10-15 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-10-16 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-10-17 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-10-18 06:00:00', 'surface', 11.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-10-19 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-10-20 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-10-21 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-10-22 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-10-23 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-10-24 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-10-25 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-10-26 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-10-27 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-10-28 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-10-29 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-10-30 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-10-31 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-11-01 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-11-02 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-11-03 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-11-04 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-11-05 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-11-06 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-11-07 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-11-08 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-11-09 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-11-10 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-11-11 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-11-12 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-11-13 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-11-14 06:00:00', 'surface', 10.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-11-15 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-11-16 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-11-17 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-11-18 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-11-19 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-11-20 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-11-21 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-11-22 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-11-23 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-11-24 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-11-25 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-11-26 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-11-27 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-11-28 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-11-29 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-11-30 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-12-01 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-12-02 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-12-03 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-12-04 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-12-05 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-12-06 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-12-07 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-12-08 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-12-09 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-12-10 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-12-11 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-12-12 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-12-13 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-12-14 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-12-15 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-12-16 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-12-17 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-12-18 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-12-19 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-12-20 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-12-21 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-12-22 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-12-23 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-12-24 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-12-25 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-12-26 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-12-27 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-12-28 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-12-29 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-12-30 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '1999-12-31 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-01-01 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-01-02 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-01-03 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-01-04 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-01-05 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-01-06 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-01-07 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-01-08 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-01-09 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-01-10 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-01-11 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-01-12 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-01-13 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-01-14 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-01-15 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-01-16 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-01-17 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-01-18 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-01-19 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-01-20 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-01-21 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-01-22 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-01-23 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-01-24 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-01-25 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-01-26 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-01-27 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-01-28 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-01-29 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-01-30 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-01-31 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-02-01 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-02-02 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-02-03 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-02-04 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-02-05 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-02-06 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-02-07 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-02-08 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-02-09 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-02-10 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-02-11 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-02-12 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-02-13 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-02-14 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-02-15 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-02-16 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-02-17 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-02-18 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-02-19 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-02-20 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-02-21 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-02-22 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-02-23 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-02-24 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-02-25 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-02-26 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-02-27 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-02-28 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-02-29 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-03-01 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-03-02 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-03-03 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-03-04 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-03-05 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-03-06 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-03-07 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-03-08 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-03-09 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-03-10 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-03-11 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-03-12 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-03-13 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-03-14 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-03-15 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-03-16 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-03-17 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-03-18 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-03-19 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-03-20 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-03-21 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-03-22 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-03-23 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-03-24 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-03-25 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-03-26 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-03-27 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-03-28 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-03-29 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-03-30 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-03-31 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-04-01 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-04-02 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-04-03 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-04-04 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-04-05 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-04-06 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-04-07 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-04-08 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-04-09 06:00:00', 'surface', 12.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-04-10 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-04-11 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-04-12 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-04-13 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-04-14 06:00:00', 'surface', 11.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-04-15 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-04-16 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-04-17 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-04-18 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-04-19 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-04-20 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-04-21 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-04-22 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-04-23 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-04-24 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-04-25 06:00:00', 'surface', 10.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-04-26 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-04-27 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-04-28 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-04-29 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-04-30 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-05-01 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-05-02 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-05-03 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-05-04 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-05-05 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-05-06 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-05-07 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-05-08 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-05-09 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-05-10 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-05-11 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-05-12 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-05-13 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-05-14 06:00:00', 'surface', 6.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-05-15 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-05-16 06:00:00', 'surface', 8.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-05-17 06:00:00', 'surface', 7.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-05-18 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-05-19 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-05-20 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-05-21 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-05-22 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-05-23 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-05-24 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-05-25 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-05-26 06:00:00', 'surface', 9.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-05-27 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-05-28 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-05-29 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-05-30 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-05-31 06:00:00', 'surface', 8.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-06-01 06:00:00', 'surface', 9.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-06-02 06:00:00', 'surface', 5.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-06-03 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-06-04 06:00:00', 'surface', 8.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-06-05 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-06-06 06:00:00', 'surface', 8.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-06-07 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-06-08 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-06-09 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-06-10 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-06-11 06:00:00', 'surface', 10.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-06-12 06:00:00', 'surface', 8.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-06-13 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-06-14 06:00:00', 'surface', 7.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-06-15 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-06-16 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-06-17 06:00:00', 'surface', 6.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-06-18 06:00:00', 'surface', 10.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-06-19 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-06-20 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-06-21 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-06-22 06:00:00', 'surface', 9.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-06-23 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-06-24 06:00:00', 'surface', 10.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-06-25 06:00:00', 'surface', 9.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-06-26 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-06-27 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-06-28 06:00:00', 'surface', 6.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-06-29 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-06-30 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-07-01 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-07-02 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-07-03 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-07-04 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-07-05 06:00:00', 'surface', 4.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-07-06 06:00:00', 'surface', 6.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-07-07 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-07-08 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-07-09 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-07-10 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-07-11 06:00:00', 'surface', 5.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-07-12 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-07-13 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-07-14 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-07-15 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-07-16 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-07-17 06:00:00', 'surface', 5.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-07-18 06:00:00', 'surface', 3.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-07-19 06:00:00', 'surface', 4.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-07-20 06:00:00', 'surface', 4.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-07-21 06:00:00', 'surface', 6.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-07-22 06:00:00', 'surface', 4.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-07-23 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-07-24 06:00:00', 'surface', 6.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-07-25 06:00:00', 'surface', 5.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-07-26 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-07-27 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-07-28 06:00:00', 'surface', 4.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-07-29 06:00:00', 'surface', 3.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-07-30 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-07-31 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-08-01 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-08-02 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-08-03 06:00:00', 'surface', 8.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-08-04 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-08-05 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-08-06 06:00:00', 'surface', 8.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-08-07 06:00:00', 'surface', 8.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-08-08 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-08-09 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-08-10 06:00:00', 'surface', 5.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-08-11 06:00:00', 'surface', 9.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-08-12 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-08-13 06:00:00', 'surface', 6.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-08-14 06:00:00', 'surface', 8.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-08-15 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-08-16 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-08-17 06:00:00', 'surface', 5.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-08-18 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-08-19 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-08-20 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-08-21 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-08-22 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-08-23 06:00:00', 'surface', 10.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-08-24 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-08-25 06:00:00', 'surface', 8.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-08-26 06:00:00', 'surface', 5.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-08-27 06:00:00', 'surface', 7.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-08-28 06:00:00', 'surface', 7.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-08-29 06:00:00', 'surface', 4.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-08-30 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-08-31 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-09-01 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-09-02 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-09-03 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-09-04 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-09-05 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-09-06 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-09-07 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-09-08 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-09-09 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-09-10 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-09-11 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-09-12 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-09-13 06:00:00', 'surface', 11.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-09-14 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-09-15 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-09-16 06:00:00', 'surface', 11.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-09-17 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-09-18 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-09-19 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-09-20 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-09-21 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-09-22 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-09-23 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-09-24 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-09-25 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-09-26 06:00:00', 'surface', 8.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-09-27 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-09-28 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-09-29 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-09-30 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-10-01 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-10-02 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-10-03 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-10-04 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-10-05 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-10-06 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-10-07 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-10-08 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-10-09 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-10-10 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-10-11 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-10-12 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-10-13 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-10-14 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-10-15 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-10-16 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-10-17 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-10-18 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-10-19 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-10-20 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-10-21 06:00:00', 'surface', 10.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-10-22 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-10-23 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-10-24 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-10-25 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-10-26 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-10-27 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-10-28 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-10-29 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-10-30 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-10-31 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-11-01 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-11-02 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-11-03 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-11-04 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-11-05 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-11-06 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-11-07 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-11-08 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-11-09 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-11-10 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-11-11 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-11-12 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-11-13 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-11-14 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-11-15 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-11-16 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-11-17 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-11-18 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-11-19 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-11-20 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-11-21 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-11-22 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-11-23 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-11-24 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-11-25 06:00:00', 'surface', 18.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-11-26 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-11-27 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-11-28 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-11-29 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-11-30 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-12-01 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-12-02 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-12-03 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-12-04 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-12-05 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-12-06 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-12-07 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-12-08 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-12-09 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-12-10 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-12-11 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-12-12 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-12-13 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-12-14 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-12-15 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-12-16 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-12-17 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-12-18 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-12-19 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-12-20 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-12-21 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-12-22 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-12-23 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-12-24 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-12-25 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-12-26 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-12-27 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-12-28 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-12-29 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-12-30 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2000-12-31 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-01-02 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-01-03 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-01-04 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-01-05 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-01-06 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-01-07 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-01-08 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-01-09 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-01-12 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-01-13 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-01-14 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-01-16 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-01-17 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-01-19 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-01-20 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-01-23 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-01-24 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-01-25 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-01-26 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-01-27 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-01-28 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-01-29 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-01-30 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-01-31 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-02-01 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-02-02 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-02-03 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-02-04 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-02-05 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-02-06 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-02-07 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-02-08 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-02-09 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-02-10 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-02-11 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-02-12 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-02-13 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-02-14 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-02-15 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-02-16 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-02-17 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-02-18 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-02-19 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-02-20 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-02-21 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-02-22 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-02-23 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-02-24 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-02-25 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-02-26 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-02-27 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-02-28 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-03-01 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-03-02 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-03-03 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-03-04 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-03-05 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-03-06 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-03-07 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-03-08 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-03-09 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-03-10 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-03-11 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-03-12 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-03-13 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-03-14 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-03-15 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-03-16 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-03-17 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-03-18 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-03-19 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-03-20 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-03-21 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-03-22 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-03-23 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-03-24 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-03-25 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-03-26 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-03-27 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-03-28 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-03-29 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-03-30 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-03-31 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-04-01 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-04-02 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-04-03 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-04-04 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-04-05 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-04-06 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-04-07 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-04-08 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-04-09 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-04-10 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-04-11 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-04-12 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-04-13 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-04-14 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-04-15 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-04-16 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-04-17 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-04-18 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-04-19 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-04-20 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-04-21 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-04-22 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-04-23 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-04-24 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-04-25 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-04-26 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-04-27 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-04-28 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-04-29 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-04-30 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-05-01 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-05-02 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-05-03 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-05-04 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-05-05 06:00:00', 'surface', 18.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-05-06 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-05-07 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-05-08 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-05-09 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-05-10 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-05-11 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-05-12 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-05-13 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-05-14 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-05-15 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-05-16 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-05-17 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-05-18 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-05-19 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-05-20 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-05-21 06:00:00', 'surface', 18.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-05-22 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-05-23 06:00:00', 'surface', 18.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-05-24 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-05-25 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-05-26 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-05-27 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-05-28 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-05-29 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-05-30 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-05-31 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-06-01 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-06-02 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-06-03 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-06-04 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-06-05 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-06-06 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-06-07 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-06-08 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-06-09 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-06-10 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-06-11 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-06-12 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-06-13 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-06-14 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-06-15 06:00:00', 'surface', 12.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-06-16 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-06-17 06:00:00', 'surface', 10.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-06-18 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-06-19 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-06-20 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-06-21 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-06-22 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-06-23 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-06-24 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-06-25 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-06-26 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-06-27 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-06-28 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-06-29 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-06-30 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-07-01 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-07-02 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-07-03 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-07-04 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-07-05 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-07-06 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-07-07 06:00:00', 'surface', 18.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-07-08 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-07-09 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-07-10 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-07-13 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-07-14 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-07-15 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-07-16 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-07-17 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-07-18 06:00:00', 'surface', 12.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-07-19 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-07-20 06:00:00', 'surface', 11.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-07-21 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-07-22 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-07-23 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-07-24 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-07-25 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-07-26 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-07-27 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-07-28 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-07-31 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-08-01 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-08-02 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-08-03 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-08-04 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-08-05 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-08-06 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-08-07 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-08-08 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-08-09 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-08-10 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-08-11 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-08-12 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-08-13 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-08-14 06:00:00', 'surface', 12.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-08-15 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-08-16 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-08-17 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-08-18 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-08-19 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-08-20 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-08-21 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-08-22 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-08-23 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-08-24 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-08-25 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-08-26 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-08-27 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-08-28 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-08-29 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-08-30 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-08-31 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-09-01 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-09-02 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-09-03 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-09-04 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-09-05 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-09-06 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-09-07 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-09-08 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-09-09 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-09-10 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-09-11 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-09-12 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-09-13 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-09-14 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-09-15 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-09-16 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-09-17 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-09-18 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-09-19 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-09-20 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-09-21 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-09-22 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-09-23 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-09-24 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-09-25 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-09-26 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-09-27 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-09-28 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-09-29 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-09-30 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-10-02 06:00:00', 'surface', 18.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-10-03 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-10-04 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-10-05 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-10-06 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-10-07 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-10-08 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-10-09 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-10-10 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-10-11 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-10-12 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-10-13 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-10-14 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-10-15 06:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-10-16 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-10-17 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-10-18 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-10-19 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-10-20 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-10-21 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-10-22 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-10-23 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-10-24 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-10-25 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-10-26 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-10-27 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-10-28 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-10-29 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-10-30 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-10-31 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-11-01 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-11-02 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-11-03 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-11-04 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-11-05 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-11-06 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-11-07 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-11-08 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-11-09 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-11-10 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-11-11 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-11-12 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-11-13 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-11-14 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-11-15 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-11-16 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-11-17 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-11-18 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-11-19 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-11-20 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-11-21 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-11-22 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-11-23 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-11-24 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-11-25 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-11-26 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-11-27 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-11-28 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-11-29 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-11-30 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-12-01 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-12-02 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-12-03 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-12-04 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-12-05 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-12-06 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-12-07 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-12-08 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-12-09 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-12-10 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-12-11 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-12-12 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-12-13 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-12-14 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-12-15 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-12-16 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-12-17 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-12-18 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-12-21 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-12-22 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-12-23 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-12-24 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-12-25 06:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-12-26 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-12-27 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-12-28 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-12-29 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-12-30 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1991-12-31 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-01-01 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-01-02 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-01-03 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-01-04 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-01-05 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-01-06 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-01-07 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-01-08 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-01-09 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-01-10 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-01-11 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-01-12 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-01-13 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-01-14 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-01-15 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-01-16 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-01-17 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-01-18 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-01-19 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-01-20 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-01-21 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-01-22 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-01-23 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-01-24 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-01-25 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-01-28 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-01-29 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-01-30 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-01-31 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-02-01 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-02-02 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-02-03 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-02-04 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-02-05 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-02-06 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-02-07 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-02-08 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-02-09 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-02-10 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-02-11 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-02-12 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-02-13 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-02-14 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-02-15 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-02-16 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-02-17 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-02-18 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-02-19 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-02-20 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-02-21 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-02-22 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-02-23 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-02-24 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-02-25 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-02-26 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-02-27 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-02-28 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-02-29 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-03-01 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-03-02 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-03-03 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-03-04 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-03-05 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-03-06 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-03-07 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-03-08 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-03-09 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-03-10 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-03-13 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-03-14 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-03-15 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-03-16 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-03-19 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-03-20 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-03-21 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-03-22 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-03-23 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-03-26 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-03-27 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-03-28 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-03-29 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-03-30 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-03-31 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-04-01 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-04-02 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-04-03 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-04-04 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-04-05 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-04-06 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-04-07 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-04-08 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-04-09 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-04-10 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-04-11 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-04-12 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-04-13 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-04-14 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-04-15 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-04-16 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-04-17 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-04-18 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-04-19 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-04-20 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-04-21 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-04-22 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-04-23 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-04-24 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-04-25 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-04-26 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-04-27 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-04-28 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-04-29 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-04-30 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-05-01 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-05-02 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-05-03 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-05-04 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-05-05 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-05-06 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-05-09 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-05-10 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-05-11 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-05-12 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-05-13 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-05-14 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-05-15 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-05-16 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-05-17 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-05-18 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-05-19 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-05-20 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-05-21 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-05-22 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-05-23 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-05-24 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-05-25 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-05-26 06:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-05-27 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-05-28 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-05-29 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-05-30 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-05-31 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-06-01 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-06-02 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-06-03 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-06-04 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-06-05 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-06-06 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-06-08 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-06-09 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-06-10 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-06-11 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-06-12 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-06-13 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-06-14 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-06-15 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-06-16 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-06-17 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-06-18 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-06-19 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-06-20 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-06-21 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-06-22 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-06-23 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-06-24 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-06-25 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-06-26 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-06-27 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-06-28 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-06-29 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-06-30 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-07-01 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-07-02 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-07-03 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-07-04 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-07-05 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-07-06 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-07-07 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-07-08 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-07-09 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-07-10 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-07-11 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-07-12 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-07-13 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-07-14 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-07-15 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-07-16 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-07-17 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-07-18 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-07-19 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-07-20 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-07-21 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-07-22 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-07-23 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-07-24 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-07-25 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-07-26 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-07-27 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-07-28 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-07-29 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-07-30 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-07-31 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-08-01 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-08-02 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-08-03 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-08-04 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-08-05 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-08-06 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-08-07 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-08-08 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-08-09 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-08-10 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-08-11 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-08-12 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-08-13 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-08-14 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-08-15 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-08-16 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-08-17 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-08-18 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-08-19 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-08-20 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-08-21 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-08-22 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-08-23 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-08-24 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-08-25 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-08-26 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-08-27 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-08-28 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-08-29 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-08-30 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-08-31 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-09-01 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-09-02 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-09-03 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-09-04 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-09-05 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-09-06 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-09-07 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-09-08 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-09-09 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-09-10 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-09-11 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-09-12 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-09-13 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-09-14 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-09-15 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-09-16 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-09-17 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-09-18 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-09-20 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-09-21 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-09-22 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-09-23 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-09-24 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-09-25 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-09-26 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-09-27 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-09-28 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-09-29 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-09-30 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-10-01 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-10-02 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-10-03 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-10-04 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-10-05 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-10-06 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-10-07 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-10-08 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-10-09 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-10-10 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-10-11 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-10-12 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-10-13 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-10-14 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-10-15 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-10-16 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-10-17 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-10-18 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-10-19 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-10-20 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-10-21 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-10-22 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-10-23 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-10-24 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-10-25 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-10-26 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-10-27 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-10-28 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-10-29 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-10-30 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-10-31 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-11-01 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-11-02 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-11-03 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-11-04 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-11-05 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-11-06 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-11-07 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-11-08 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-11-09 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-11-10 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-11-11 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-11-12 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-11-13 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-11-14 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-11-15 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-11-16 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-11-17 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-11-18 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-11-19 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-11-20 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-11-21 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-11-22 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-11-23 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-11-24 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-11-25 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-11-26 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-11-27 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-11-28 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-11-29 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-11-30 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-12-01 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-12-02 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-12-03 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-12-04 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-12-05 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-12-06 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-12-07 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-12-08 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-12-09 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-12-10 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-12-11 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-12-12 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-12-13 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-12-14 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-12-15 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-12-16 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-12-17 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-12-18 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-12-19 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-12-20 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-12-21 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-12-22 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-12-23 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-12-24 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-12-25 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-12-26 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-12-27 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-12-28 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-12-29 06:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-12-30 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1992-12-31 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-01-01 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-01-02 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-01-03 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-01-04 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-01-05 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-01-06 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-01-07 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-01-08 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-01-09 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-01-10 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-01-11 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-01-12 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-01-13 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-01-14 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-01-15 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-01-16 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-01-17 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-01-18 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-01-19 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-01-20 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-01-21 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-01-22 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-01-23 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-01-24 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-01-25 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-01-26 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-01-27 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-01-28 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-01-29 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-01-30 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-01-31 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-02-01 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-02-02 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-02-03 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-02-04 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-02-05 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-02-06 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-02-07 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-02-08 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-02-09 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-02-10 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-02-11 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-02-12 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-02-13 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-02-14 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-02-15 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-02-16 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-02-17 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-02-18 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-02-19 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-02-20 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-02-21 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-02-22 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-02-23 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-02-24 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-02-25 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-02-26 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-02-27 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-02-28 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-03-01 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-03-02 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-03-03 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-03-04 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-03-05 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-03-06 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-03-07 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-03-08 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-03-09 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-03-10 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-03-11 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-03-12 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-03-13 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-03-14 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-03-15 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-03-16 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-03-17 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-03-18 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-03-19 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-03-20 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-03-21 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-03-24 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-03-25 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-03-26 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-03-27 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-03-28 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-03-29 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-03-30 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-03-31 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-04-01 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-04-02 06:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-04-03 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-04-04 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-04-05 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-04-06 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-04-07 06:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-04-08 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-04-09 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-04-10 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-04-11 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-04-12 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-04-13 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-04-14 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-04-15 06:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-04-16 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-04-17 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-04-18 06:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-04-19 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-04-20 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-04-21 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-04-22 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-04-23 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-04-24 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-04-25 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-04-26 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-04-27 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-04-28 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-04-29 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-04-30 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-05-01 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-05-02 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-05-03 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-05-04 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-05-05 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-05-06 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-05-07 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-05-08 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-05-09 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-05-10 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-05-11 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-05-12 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-05-13 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-05-14 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-05-15 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-05-16 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-05-17 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-05-18 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-05-19 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-05-20 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-05-21 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-05-22 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-05-23 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-05-24 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-05-25 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-05-26 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-05-27 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-05-28 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-05-29 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-05-30 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-05-31 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-06-01 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-06-02 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-06-03 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-06-04 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-06-05 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-06-06 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-06-07 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-06-08 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-06-09 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-06-10 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-06-11 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-06-12 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-06-13 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-06-14 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-06-15 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-06-16 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-06-17 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-06-18 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-06-19 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-06-20 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-06-21 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-06-22 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-06-23 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-06-24 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-06-25 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-06-26 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-06-27 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-06-28 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-06-29 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-06-30 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-07-01 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-07-02 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-07-03 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-07-04 06:00:00', 'surface', 11.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-07-05 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-07-06 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-07-07 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-07-08 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-07-09 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-07-10 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-07-11 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-07-12 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-07-13 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-07-14 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-07-15 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-07-16 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-07-17 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-07-18 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-07-19 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-07-20 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-07-21 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-07-22 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-07-23 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-07-24 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-07-25 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-07-26 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-07-27 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-07-28 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-07-29 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-07-30 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-07-31 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-08-01 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-08-02 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-08-03 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-08-04 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-08-05 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-08-06 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-08-07 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-08-08 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-08-09 06:00:00', 'surface', 18.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-08-10 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-08-11 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-08-12 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-08-13 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-08-14 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-08-15 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-08-16 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-08-17 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-08-20 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-08-21 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-08-22 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-08-23 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-08-24 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-08-25 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-08-26 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-08-27 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-08-28 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-08-29 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-08-30 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-08-31 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-09-01 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-09-02 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-09-03 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-09-04 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-09-05 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-09-06 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-09-07 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-09-08 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-09-09 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-09-10 06:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-09-11 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-09-12 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-09-13 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-09-14 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-09-15 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-09-16 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-09-17 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-09-18 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-09-19 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-09-20 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-09-21 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-09-22 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-09-23 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-09-24 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-09-25 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-09-26 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-09-27 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-09-28 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-10-01 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-10-02 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-10-03 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-10-04 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-10-05 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-10-06 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-10-07 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-10-08 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-10-09 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-10-10 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-10-11 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-10-12 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-10-13 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-10-14 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-10-15 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-10-16 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-10-17 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-10-18 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-10-19 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-10-20 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-10-21 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-10-22 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-10-23 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-10-24 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-10-25 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-10-26 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-10-27 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-10-28 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-10-29 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-10-30 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-10-31 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-11-01 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-11-02 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-11-04 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-11-05 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-11-06 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-11-07 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-11-08 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-11-09 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-11-11 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-11-12 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-11-13 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-11-14 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-11-15 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-11-16 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-11-17 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-11-18 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-11-19 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-11-20 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-11-22 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-11-25 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-11-28 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-11-29 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-11-30 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-12-01 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-12-04 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-12-05 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-12-06 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-12-07 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-12-09 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-12-10 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-12-11 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-12-12 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-12-13 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-12-14 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-12-15 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-12-16 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-12-17 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-12-18 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-12-19 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-12-20 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-12-21 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-12-22 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-12-23 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-12-24 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-12-25 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-12-26 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-12-27 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-12-28 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-12-29 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1993-12-31 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-01-01 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-01-02 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-01-03 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-01-04 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-01-05 06:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-01-06 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-01-07 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-01-08 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-01-09 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-01-10 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-01-11 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-01-12 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-01-13 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-01-14 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-01-15 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-01-16 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-01-17 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-01-18 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-01-19 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-01-20 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-01-21 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-01-22 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-01-23 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-01-24 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-01-25 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-01-26 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-01-27 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-01-28 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-01-29 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-01-30 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-01-31 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-02-01 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-02-02 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-02-03 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-02-04 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-02-05 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-02-06 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-02-07 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-02-08 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-02-09 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-02-10 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-02-11 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-02-12 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-02-13 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-02-14 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-02-15 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-02-16 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-02-17 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-02-18 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-02-19 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-02-20 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-02-21 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-02-22 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-02-23 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-02-24 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-02-25 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-02-26 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-02-27 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-02-28 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-03-01 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-03-02 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-03-03 06:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-03-04 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-03-05 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-03-06 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-03-07 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-03-08 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-03-09 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-03-11 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-03-12 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-03-13 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-03-14 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-03-15 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-03-16 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-03-17 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-03-18 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-03-20 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-03-21 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-03-22 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-03-24 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-03-25 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-03-26 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-03-27 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-03-28 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-03-29 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-03-30 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-03-31 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-04-03 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-04-06 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-04-07 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-04-08 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-04-09 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-04-10 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-04-11 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-04-12 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-04-13 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-04-14 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-04-15 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-04-16 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-04-17 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-04-18 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-04-19 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-04-21 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-04-22 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-04-23 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-04-24 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-04-27 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-04-28 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-04-29 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-04-30 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-05-01 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-05-02 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-05-03 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-05-04 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-05-05 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-05-06 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-05-07 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-05-08 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-05-09 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-05-10 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-05-11 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-05-12 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-05-13 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-05-14 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-05-15 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-05-16 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-05-17 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-05-18 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-05-19 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-05-20 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-05-21 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-05-22 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-05-23 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-05-24 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-05-25 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-05-26 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-05-27 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-05-28 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-05-29 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-05-30 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-05-31 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-06-01 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-06-02 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-06-03 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-06-04 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-06-05 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-06-06 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-06-07 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-06-08 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-06-09 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-06-10 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-06-11 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-06-12 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-06-13 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-06-14 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-06-15 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-06-16 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-06-17 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-06-18 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-06-19 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-06-20 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-06-21 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-06-22 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-06-23 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-06-24 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-06-25 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-06-26 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-06-27 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-06-28 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-06-29 06:00:00', 'surface', 11.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-06-30 06:00:00', 'surface', 9.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-07-01 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-07-02 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-07-03 06:00:00', 'surface', 10.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-07-04 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-07-05 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-07-06 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-07-07 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-07-08 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-07-09 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-07-10 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-07-11 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-07-12 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-07-13 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-07-14 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-07-15 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-07-16 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-07-17 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-07-18 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-07-19 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-07-20 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-07-21 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-07-22 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-07-23 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-07-24 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-07-25 06:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-07-26 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-07-27 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-07-28 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-07-29 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-07-30 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-07-31 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-08-01 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-08-02 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-08-03 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-08-04 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-08-05 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-08-06 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-08-07 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-08-08 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-08-09 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-08-10 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-08-11 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-08-12 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-08-13 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-08-14 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-08-15 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-08-16 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-08-17 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-08-18 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-08-19 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-08-20 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-08-21 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-08-22 06:00:00', 'surface', 11.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-08-23 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-08-24 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-08-25 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-08-26 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-08-27 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-08-28 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-08-29 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-08-30 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-08-31 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-09-01 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-09-02 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-09-03 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-09-04 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-09-05 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-09-06 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-09-07 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-09-08 06:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-09-09 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-09-10 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-09-11 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-09-12 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-09-13 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-09-14 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-09-15 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-09-16 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-09-17 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-09-18 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-09-19 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-09-20 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-09-21 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-09-22 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-09-23 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-09-24 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-09-25 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-09-26 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-09-27 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-09-28 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-09-29 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-09-30 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-10-01 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-10-02 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-10-03 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-10-04 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-10-05 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-10-06 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-10-07 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-10-08 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-10-09 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-10-10 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-10-11 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-10-12 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-10-13 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-10-14 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-10-15 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-10-16 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-10-17 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-10-18 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-10-19 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-10-20 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-10-21 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-10-22 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-10-23 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-10-24 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-10-25 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-10-26 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-10-27 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-10-28 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-10-29 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-10-30 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-10-31 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-11-01 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-11-02 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-11-03 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-11-04 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-11-05 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-11-06 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-11-07 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-11-08 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-11-09 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-11-10 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-11-11 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-11-12 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-11-13 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-11-14 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-11-15 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-11-16 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-11-18 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-11-19 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-11-20 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-11-21 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-11-22 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-11-23 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-11-26 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-11-27 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-11-28 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-11-29 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-11-30 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-12-01 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-12-02 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-12-03 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-12-04 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-12-05 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-12-06 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-12-07 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-12-08 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-12-09 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-12-10 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-12-12 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-12-13 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-12-14 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-12-15 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-12-16 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-12-17 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-12-18 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-12-19 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-12-20 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-12-21 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-12-22 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-12-23 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-12-26 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-12-27 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-12-28 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-12-29 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-12-30 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1994-12-31 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-01-01 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-01-02 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-01-03 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-01-04 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-01-05 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-01-06 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-01-07 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-01-08 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-01-09 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-01-10 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-01-11 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-01-12 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-01-13 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-01-14 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-01-15 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-01-16 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-01-17 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-01-18 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-01-19 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-01-20 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-01-21 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-01-22 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-01-23 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-01-24 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-01-25 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-01-26 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-01-27 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-01-28 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-01-29 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-01-30 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-01-31 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-02-01 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-02-02 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-02-03 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-02-04 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-02-05 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-02-06 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-02-07 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-02-08 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-02-09 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-02-10 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-02-11 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-02-12 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-02-13 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-02-14 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-02-15 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-02-16 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-02-17 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-02-18 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-02-19 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-02-20 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-02-21 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-02-22 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-02-23 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-02-24 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-02-25 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-02-26 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-02-27 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-02-28 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-03-01 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-03-02 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-03-03 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-03-04 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-03-05 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-03-06 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-03-07 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-03-08 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-03-09 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-03-10 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-03-11 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-03-12 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-03-13 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-03-14 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-03-15 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-03-16 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-03-17 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-03-18 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-03-19 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-03-20 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-03-21 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-03-22 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-03-23 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-03-24 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-03-25 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-03-26 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-03-27 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-03-28 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-03-29 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-03-30 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-03-31 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-04-01 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-04-02 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-04-03 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-04-04 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-04-05 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-04-06 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-04-07 06:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-04-08 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-04-09 06:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-04-10 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-04-11 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-04-12 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-04-13 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-04-14 06:00:00', 'surface', 18.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-04-15 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-04-16 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-04-17 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-04-18 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-04-19 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-04-20 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-04-21 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-04-22 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-04-23 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-04-24 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-04-25 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-04-26 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-04-27 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-04-28 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-04-29 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-04-30 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-05-01 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-05-02 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-05-03 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-05-04 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-05-05 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-05-06 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-05-07 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-05-08 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-05-09 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-05-10 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-05-11 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-05-12 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-05-13 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-05-14 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-05-15 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-05-16 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-05-17 06:00:00', 'surface', 18.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-05-18 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-05-19 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-05-20 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-05-21 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-05-22 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-05-23 06:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-05-24 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-05-25 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-05-26 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-05-27 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-05-28 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-05-29 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-05-30 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-05-31 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-06-01 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-06-02 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-06-03 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-06-04 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-06-05 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-06-06 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-06-07 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-06-08 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-06-09 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-06-10 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-06-11 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-06-12 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-06-13 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-06-14 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-06-15 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-06-16 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-06-17 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-06-18 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-06-19 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-06-20 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-06-21 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-06-22 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-06-23 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-06-24 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-06-25 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-06-26 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-06-27 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-06-28 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-06-29 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-06-30 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-07-01 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-07-02 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-07-03 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-07-04 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-07-05 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-07-06 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-07-07 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-07-11 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-07-12 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-07-13 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-07-14 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-07-15 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-07-16 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-07-17 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-07-18 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-07-19 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-07-20 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-07-21 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-07-24 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-07-25 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-07-26 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-07-27 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-07-28 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-07-29 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-07-30 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-07-31 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-08-01 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-08-02 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-08-03 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-08-04 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-08-05 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-08-06 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-08-07 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-08-08 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-08-09 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-08-10 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-08-11 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-08-12 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-08-13 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-08-14 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-08-15 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-08-16 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-08-17 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-08-18 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-08-19 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-08-20 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-08-21 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-08-22 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-08-23 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-08-24 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-08-25 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-08-26 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-08-27 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-08-28 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-08-29 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-08-30 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-08-31 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-09-01 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-09-02 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-09-03 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-09-04 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-09-05 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-09-06 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-09-07 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-09-08 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-09-09 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-09-10 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-09-11 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-09-12 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-09-13 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-09-14 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-09-15 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-09-16 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-09-17 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-09-18 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-09-19 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-09-20 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-09-21 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-09-22 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-09-23 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-09-24 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-09-25 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-09-26 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-09-27 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-09-28 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-09-29 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-09-30 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-10-01 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-10-02 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-10-03 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-10-04 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-10-05 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-10-06 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-10-07 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-10-08 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-10-09 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-10-10 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-10-11 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-10-12 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-10-13 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-10-14 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-10-15 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-10-16 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-10-17 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-10-18 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-10-19 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-10-20 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-10-21 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-10-22 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-10-23 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-10-24 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-10-25 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-10-26 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-10-27 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-10-28 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-10-29 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-10-30 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-10-31 06:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-11-01 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-11-02 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-11-03 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-11-04 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-11-05 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-11-06 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-11-07 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-11-08 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-11-09 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-11-10 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-11-11 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-11-12 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-11-13 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-11-14 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-11-15 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-11-16 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-11-17 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-11-18 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-11-19 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-11-20 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-11-21 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-11-22 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-11-23 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-11-24 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-11-25 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-11-26 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-11-27 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-11-28 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-11-29 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-11-30 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-12-01 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-12-02 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-12-03 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-12-04 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-12-05 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-12-06 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-12-07 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-12-08 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-12-09 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-12-10 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-12-11 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-12-12 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-12-13 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-12-14 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-12-15 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-12-16 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-12-17 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-12-18 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-12-19 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-12-20 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-12-21 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-12-22 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-12-23 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-12-24 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-12-25 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-12-26 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-12-27 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-12-28 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-12-29 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-12-30 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1995-12-31 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-01-01 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-01-02 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-01-03 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-01-04 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-01-05 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-01-06 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-01-07 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-01-08 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-01-09 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-01-10 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-01-11 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-01-12 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-01-13 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-01-14 06:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-01-15 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-01-16 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-01-17 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-01-18 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-01-19 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-01-20 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-01-21 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-01-22 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-01-23 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-01-24 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-01-25 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-01-26 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-01-27 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-01-28 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-01-29 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-01-30 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-01-31 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-03-01 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-03-02 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-03-03 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-03-04 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-03-05 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-03-06 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-03-07 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-03-08 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-03-09 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-03-10 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-03-11 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-03-12 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-03-13 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-03-14 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-03-15 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-03-16 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-03-17 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-03-18 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-03-19 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-03-20 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-03-21 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-03-22 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-03-23 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-03-24 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-03-25 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-03-26 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-03-27 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-03-28 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-03-29 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-03-30 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-03-31 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-04-01 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-04-02 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-04-03 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-04-04 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-04-05 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-04-06 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-04-07 06:00:00', 'surface', 18.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-04-08 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-04-09 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-04-10 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-04-11 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-04-12 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-04-13 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-04-14 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-04-15 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-04-16 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-04-17 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-04-18 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-04-19 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-04-20 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-04-21 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-04-22 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-04-25 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-04-26 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-04-27 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-04-28 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-04-29 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-04-30 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-05-01 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-05-02 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-05-03 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-05-04 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-05-05 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-05-06 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-05-07 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-05-08 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-05-09 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-05-10 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-05-11 06:00:00', 'surface', 18.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-05-12 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-05-13 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-05-14 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-05-15 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-05-20 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-05-21 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-05-27 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-05-31 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-06-01 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-06-02 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-06-03 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-06-04 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-06-05 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-06-06 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-06-07 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-06-08 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-06-09 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-06-10 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-06-11 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-06-12 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-06-13 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-06-14 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-06-15 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-06-16 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-06-17 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-06-18 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-06-19 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-06-20 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-06-21 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-06-22 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-06-23 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-06-24 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-06-25 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-06-26 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-06-27 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-06-28 06:00:00', 'surface', 12.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-06-29 06:00:00', 'surface', 11.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-06-30 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-07-01 06:00:00', 'surface', 11.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-07-02 06:00:00', 'surface', 11.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-07-03 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-07-04 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-07-05 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-07-06 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-07-07 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-07-08 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-07-09 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-07-10 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-07-11 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-07-12 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-07-13 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-07-14 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-07-15 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-07-16 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-07-17 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-07-18 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-07-19 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-07-20 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-07-21 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-07-22 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-07-23 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-07-24 06:00:00', 'surface', 11.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-07-25 06:00:00', 'surface', 11.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-07-26 06:00:00', 'surface', 10.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-07-27 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-07-28 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-07-29 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-07-30 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-07-31 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-08-01 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-08-02 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-08-03 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-08-04 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-08-05 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-08-06 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-08-07 06:00:00', 'surface', 18.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-08-08 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-08-09 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-08-10 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-08-11 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-08-12 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-08-13 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-08-14 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-08-15 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-08-16 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-08-17 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-08-18 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-08-19 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-08-20 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-08-21 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-08-22 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-08-23 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-08-24 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-08-25 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-08-26 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-08-27 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-08-28 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-08-29 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-08-30 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-08-31 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-09-01 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-09-02 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-09-03 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-09-04 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-09-05 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-09-06 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-09-07 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-09-08 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-09-09 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-09-10 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-09-11 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-09-12 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-09-13 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-09-14 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-09-15 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-09-16 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-09-17 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-09-18 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-09-19 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-09-20 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-09-21 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-09-22 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-09-23 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-09-24 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-09-25 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-09-26 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-09-27 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-09-28 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-09-29 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-09-30 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-10-01 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-10-02 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-10-03 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-10-04 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-10-05 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-10-06 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-10-07 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-10-08 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-10-09 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-10-10 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-10-11 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-10-12 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-10-13 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-10-14 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-10-15 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-10-16 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-10-17 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-10-18 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-10-19 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-10-20 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-10-21 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-10-22 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-10-23 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-10-24 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-10-25 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-10-26 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-10-27 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-10-28 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-10-29 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-10-30 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-10-31 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-11-01 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-11-02 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-11-03 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-11-04 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-11-05 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-11-06 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-11-07 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-11-08 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-11-09 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-11-10 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-11-11 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-11-12 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-11-13 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-11-14 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-11-15 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-11-16 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-11-17 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-11-18 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-11-19 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-11-20 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-11-21 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-11-22 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-11-23 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-11-24 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-11-25 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-11-26 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-11-27 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-11-28 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-11-29 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-11-30 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-12-01 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-12-02 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-12-03 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-12-04 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-12-05 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-12-06 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-12-07 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-12-08 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-12-09 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-12-10 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-12-11 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-12-12 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-12-13 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-12-14 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-12-15 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-12-16 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-12-17 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-12-18 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-12-19 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-12-20 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-12-21 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-12-22 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-12-23 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-12-24 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-12-25 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-12-26 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-12-27 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-12-28 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-12-29 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-12-30 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1996-12-31 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-01-01 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-01-02 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-01-03 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-01-04 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-01-05 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-01-06 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-01-07 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-01-08 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-01-09 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-01-10 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-01-11 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-01-12 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-01-13 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-01-14 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-01-15 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-01-16 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-01-17 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-01-18 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-01-19 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-01-20 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-01-21 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-01-22 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-01-23 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-01-24 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-01-25 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-01-26 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-01-27 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-01-28 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-01-29 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-01-30 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-01-31 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-02-01 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-02-02 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-02-03 06:00:00', 'surface', 18.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-02-04 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-02-05 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-02-06 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-02-07 06:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-02-08 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-02-09 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-02-10 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-02-11 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-02-12 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-02-13 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-02-14 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-02-15 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-02-16 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-02-17 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-02-18 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-02-19 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-02-20 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-02-21 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-02-22 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-02-23 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-02-24 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-02-25 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-02-26 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-02-27 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-02-28 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-03-01 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-03-02 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-03-03 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-03-04 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-03-05 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-03-06 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-03-07 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-03-08 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-03-09 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-03-10 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-03-11 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-03-12 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-03-13 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-03-14 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-03-15 06:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-03-16 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-03-17 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-03-18 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-03-19 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-03-20 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-03-21 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-03-22 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-03-23 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-03-24 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-03-25 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-03-26 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-03-27 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-03-28 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-03-29 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-03-30 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-03-31 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-04-01 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-04-02 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-04-03 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-04-04 06:00:00', 'surface', 18.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-04-05 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-04-06 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-04-07 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-04-08 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-04-09 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-04-10 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-04-11 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-04-12 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-04-13 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-04-14 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-04-15 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-04-16 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-04-17 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-04-18 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-04-19 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-04-20 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-04-21 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-04-22 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-04-23 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-04-24 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-04-25 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-04-26 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-04-27 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-04-28 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-04-29 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-04-30 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-06-01 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-06-02 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-06-03 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-06-04 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-06-05 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-06-06 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-06-07 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-06-08 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-06-09 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-06-10 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-06-11 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-06-12 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-06-13 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-06-14 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-06-15 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-06-16 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-06-17 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-06-18 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-06-19 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-06-20 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-06-21 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-06-22 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-06-23 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-06-24 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-06-25 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-06-26 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-06-27 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-06-28 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-06-29 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-06-30 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-07-01 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-07-02 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-07-11 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-07-12 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-07-13 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-07-14 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-07-15 06:00:00', 'surface', 11.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-07-16 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-07-17 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-07-18 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-07-19 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-07-20 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-07-21 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-07-22 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-07-23 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-07-24 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-07-25 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-07-26 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-07-27 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-07-28 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-07-29 06:00:00', 'surface', 18.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-07-30 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-07-31 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-08-01 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-08-02 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-08-03 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-08-04 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-08-05 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-08-06 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-08-07 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-08-08 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-08-09 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-08-10 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-08-11 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-08-12 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-08-13 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-08-14 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-08-15 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-08-16 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-08-17 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-08-18 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-08-19 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-08-20 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-08-21 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-08-22 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-08-23 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-08-24 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-08-25 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-08-26 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-08-27 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-08-28 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-08-29 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-08-30 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-08-31 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-09-01 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-09-02 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-09-03 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-09-04 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-09-05 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-09-06 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-09-07 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-09-08 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-09-09 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-09-10 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-09-11 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-09-12 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-09-13 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-09-14 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-09-15 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-09-16 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-09-17 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-09-18 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-09-19 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-09-20 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-09-21 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-09-22 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-09-23 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-09-24 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-09-25 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-09-26 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-09-27 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-09-28 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-09-29 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-09-30 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-10-01 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-10-02 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-10-03 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-10-04 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-10-05 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-10-06 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-10-07 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-10-08 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-10-09 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-10-10 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-10-11 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-10-12 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-10-13 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-10-14 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-10-15 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-10-16 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-10-17 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-10-18 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-10-19 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-10-20 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-10-21 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-10-22 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-10-23 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-10-24 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-10-25 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-10-26 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-10-27 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-10-28 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-10-29 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-10-30 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-10-31 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-11-01 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-11-02 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-11-03 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-11-04 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-11-05 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-11-06 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-11-07 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-11-08 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-11-09 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-11-10 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-11-11 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-11-12 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-11-13 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-11-14 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-11-15 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-11-16 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-11-17 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-11-18 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-11-19 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-11-20 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-11-21 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-11-22 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-11-23 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-11-24 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-11-25 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-11-26 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-11-27 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-11-28 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-11-29 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-11-30 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-12-01 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-12-02 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-12-03 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-12-04 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-12-05 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-12-06 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-12-07 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-12-08 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-12-09 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-12-10 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-12-11 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-12-12 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-12-13 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-12-14 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-12-15 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-12-16 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-12-17 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-12-18 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-12-19 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-12-20 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-12-21 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-12-22 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-12-23 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-12-24 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-12-25 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-12-26 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-12-27 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-12-28 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-12-29 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-12-30 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1997-12-31 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-01-01 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-01-02 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-01-03 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-01-04 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-01-05 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-01-06 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-01-07 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-01-08 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-01-09 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-01-10 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-01-11 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-01-12 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-01-13 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-01-14 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-01-15 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-01-16 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-01-17 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-01-18 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-01-19 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-01-20 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-01-21 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-01-22 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-01-23 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-01-24 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-01-25 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-01-26 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-01-27 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-01-28 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-01-29 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-01-30 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-01-31 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-02-01 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-02-02 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-02-03 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-02-04 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-02-05 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-02-06 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-02-07 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-02-08 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-02-09 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-02-10 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-02-11 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-02-12 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-02-13 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-02-14 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-02-15 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-02-16 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-02-17 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-02-18 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-02-19 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-02-20 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-02-21 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-02-22 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-02-23 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-02-24 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-02-25 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-02-26 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-02-27 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-02-28 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-03-01 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-03-02 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-03-03 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-03-04 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-03-05 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-03-06 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-03-07 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-03-08 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-03-09 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-03-10 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-03-11 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-03-12 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-03-13 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-03-14 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-03-15 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-03-16 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-03-17 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-03-18 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-03-19 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-03-20 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-03-21 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-03-22 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-03-23 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-03-24 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-03-25 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-03-26 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-03-27 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-03-28 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-03-29 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-03-30 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-03-31 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-04-01 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-04-02 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-04-03 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-04-04 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-04-05 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-04-06 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-04-07 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-04-08 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-04-09 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-04-10 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-04-11 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-04-12 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-04-13 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-04-14 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-04-15 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-04-16 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-04-17 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-04-18 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-04-19 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-04-20 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-04-21 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-04-22 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-04-23 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-04-24 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-04-25 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-04-26 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-04-27 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-04-28 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-04-29 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-04-30 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-05-03 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-05-04 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-05-05 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-05-06 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-05-07 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-05-08 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-05-09 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-05-10 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-05-11 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-05-12 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-05-13 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-05-14 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-05-15 06:00:00', 'surface', 18.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-05-16 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-05-17 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-05-18 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-05-19 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-05-20 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-05-21 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-05-22 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-05-23 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-05-24 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-05-25 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-05-26 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-05-27 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-05-28 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-05-29 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-05-30 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-05-31 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-06-01 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-06-02 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-06-03 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-06-04 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-06-05 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-06-06 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-06-07 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-06-08 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-06-09 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-06-10 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-06-11 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-06-12 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-06-13 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-06-14 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-06-15 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-06-16 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-06-17 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-06-18 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-06-19 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-06-20 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-06-21 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-06-22 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-06-23 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-06-24 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-06-25 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-06-26 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-06-27 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-06-30 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-07-01 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-07-02 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-07-03 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-07-04 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-07-05 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-07-06 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-07-07 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-07-08 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-07-09 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-07-10 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-07-11 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-07-12 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-07-13 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-07-14 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-07-15 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-07-16 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-07-17 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-07-18 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-07-19 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-07-20 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-07-21 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-07-22 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-07-23 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-07-24 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-07-25 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-07-26 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-07-27 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-07-28 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-07-29 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-08-01 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-08-02 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-08-03 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-08-04 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-08-05 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-08-06 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-08-07 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-08-08 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-08-09 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-08-10 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-08-11 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-08-12 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-08-13 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-08-14 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-08-15 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-08-16 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-08-17 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-08-18 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-08-19 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-08-20 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-08-21 06:00:00', 'surface', 18.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-08-22 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-08-23 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-08-24 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-08-25 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-08-26 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-08-27 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-08-28 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-08-29 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-08-30 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-08-31 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-09-01 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-09-02 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-09-03 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-09-04 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-09-05 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-09-06 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-09-07 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-09-08 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-09-09 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-09-10 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-09-11 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-09-12 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-09-13 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-09-14 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-09-15 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-09-16 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-09-18 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-09-19 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-09-20 06:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-09-22 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-09-23 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-09-24 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-09-25 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-09-26 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-09-29 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-10-01 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-10-02 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-10-03 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-10-04 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-10-05 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-10-06 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-10-07 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-10-08 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-10-09 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-10-12 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-10-13 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-10-14 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-10-15 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-10-20 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-10-21 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-10-22 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-10-23 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-10-24 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-10-25 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-10-26 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-10-27 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-10-28 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-10-31 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-11-01 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-11-02 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-11-03 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-11-04 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-11-05 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-11-06 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-11-07 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-11-08 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-11-09 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-11-10 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-11-11 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-11-12 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-11-13 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-11-14 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-11-15 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-11-16 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-11-17 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-11-18 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-11-19 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-11-20 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-12-01 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-12-02 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-12-03 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-12-04 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-12-05 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-12-06 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-12-07 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-12-08 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-12-09 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-12-10 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-12-11 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-12-12 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-12-13 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-12-14 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-12-15 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-12-16 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-12-17 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-12-18 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-12-19 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-12-20 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-12-21 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-12-22 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-12-23 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-12-24 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-12-25 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-12-26 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-12-27 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-12-28 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-12-29 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-12-30 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1998-12-31 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-01-01 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-01-02 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-01-03 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-01-04 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-01-05 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-01-06 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-01-07 06:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-01-08 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-01-09 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-01-12 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-01-13 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-01-16 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-01-30 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-01-31 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-02-01 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-02-02 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-02-03 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-02-04 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-02-05 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-02-06 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-02-07 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-02-08 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-02-09 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-02-10 06:00:00', 'surface', 18.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-02-11 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-02-12 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-02-13 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-02-14 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-02-15 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-02-16 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-02-17 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-02-18 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-02-19 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-02-20 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-02-21 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-02-22 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-02-23 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-02-24 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-02-25 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-02-26 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-02-27 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-02-28 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-03-01 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-03-02 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-03-03 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-03-04 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-03-05 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-03-06 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-03-07 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-03-08 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-03-09 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-03-10 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-03-11 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-03-12 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-03-13 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-03-14 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-03-15 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-03-16 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-03-26 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-03-27 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-03-28 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-03-29 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-03-30 06:00:00', 'surface', 18.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-03-31 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-04-01 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-04-02 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-04-03 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-04-04 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-04-05 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-04-06 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-04-07 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-04-08 06:00:00', 'surface', 18.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-04-09 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-04-10 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-04-11 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-04-12 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-04-13 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-04-14 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-04-15 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-04-16 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-04-17 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-04-18 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-04-19 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-04-20 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-04-21 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-04-22 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-04-23 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-04-24 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-04-25 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-04-26 06:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-04-27 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-04-28 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-04-29 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-04-30 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-05-01 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-05-02 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-05-03 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-05-04 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-05-05 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-05-06 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-05-07 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-05-08 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-05-09 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-05-10 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-05-11 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-05-12 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-05-14 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-05-15 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-05-16 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-05-17 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-05-19 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-05-21 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-05-22 06:00:00', 'surface', 18.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-05-23 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-05-24 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-05-25 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-05-28 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-05-29 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-05-30 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-05-31 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-06-02 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-06-04 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-06-05 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-06-06 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-06-07 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-06-09 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-06-10 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-06-11 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-06-12 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-06-13 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-06-14 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-06-15 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-06-16 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-06-19 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-06-22 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-06-23 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-06-24 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-06-25 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-06-26 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-06-27 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-06-29 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-06-30 06:00:00', 'surface', 11.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-07-02 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-07-03 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-07-04 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-07-05 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-07-06 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-07-09 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-07-11 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-07-12 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-07-13 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-07-16 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-07-17 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-07-18 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-07-23 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-07-30 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-07-31 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-08-01 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-08-02 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-08-04 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-08-05 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-08-10 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-08-11 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-08-12 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-08-14 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-08-22 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-08-23 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-08-30 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-08-31 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-09-01 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-09-02 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-09-03 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-09-04 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-09-05 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-09-06 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-09-07 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-09-08 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-09-09 06:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-09-10 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-09-11 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-09-12 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-09-13 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-09-14 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-09-15 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-09-16 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-09-17 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-09-18 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-09-19 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-09-20 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-09-21 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-09-22 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-09-23 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-09-24 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-09-25 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-09-26 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-09-27 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-09-28 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-09-29 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-09-30 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-10-02 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-10-03 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-10-04 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-10-05 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-10-06 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-10-07 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-10-12 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-10-13 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-10-17 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-10-19 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-10-20 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-11-12 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-11-13 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-11-14 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-11-15 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-11-16 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-11-17 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-11-18 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-11-19 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-11-20 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-11-21 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-12-03 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-12-07 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-12-08 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-12-14 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '1999-12-31 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-01-01 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-01-02 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-01-03 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-01-04 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-01-05 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-01-06 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-01-07 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-01-08 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-01-09 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-01-10 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-01-11 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-01-12 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-01-13 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-01-14 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-01-15 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-01-16 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-01-17 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-01-18 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-06-28 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-06-29 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-06-30 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-07-01 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-07-02 06:00:00', 'surface', 12.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-07-03 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-07-04 06:00:00', 'surface', 11.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-07-05 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-07-06 06:00:00', 'surface', 11.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-07-07 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-07-08 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-07-09 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-07-10 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-07-11 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-07-12 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-07-13 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-07-14 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-07-15 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-07-16 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-07-17 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-07-18 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-07-19 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-07-20 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-07-21 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-07-22 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-07-23 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-07-24 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-07-25 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-07-26 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-07-27 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-07-28 06:00:00', 'surface', 12.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-07-29 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-07-30 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-07-31 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-08-01 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-08-02 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-08-03 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-08-04 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-08-05 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-08-06 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-08-07 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-08-08 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-08-09 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-08-10 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-08-11 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-08-12 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-08-13 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-08-14 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-08-15 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-08-16 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-08-17 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-08-18 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-08-19 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-08-20 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-08-21 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-08-22 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-08-23 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-08-24 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-08-25 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-08-26 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-08-27 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-08-28 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-08-30 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-08-31 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-09-01 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-09-02 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-09-03 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-09-04 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-09-05 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-09-06 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-09-07 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-09-08 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-09-10 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-09-11 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-09-12 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-09-13 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-09-14 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-09-15 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-09-20 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-09-21 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-09-22 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-09-23 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-09-26 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-09-27 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-09-28 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-09-29 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-09-30 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-10-01 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-10-02 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-10-03 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-10-04 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-10-05 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-10-06 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-10-07 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-10-08 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-10-09 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-10-10 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-10-11 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-10-12 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-10-13 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-10-14 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-10-15 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-10-16 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-10-17 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-10-18 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-10-19 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-10-20 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-10-21 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-10-22 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-10-24 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-10-25 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-10-26 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-11-03 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-11-04 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-11-05 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-11-06 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-11-07 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-11-08 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-11-09 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-11-10 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-11-11 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-11-12 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-11-13 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-11-14 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-11-15 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-11-16 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-11-17 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-11-18 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-11-19 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-11-20 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-11-21 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-11-22 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-11-23 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-11-24 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-11-25 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-11-26 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-11-27 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-11-28 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-11-29 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-11-30 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-12-01 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-12-02 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-12-03 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-12-04 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-12-05 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-12-06 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-12-07 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-12-08 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-12-09 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-12-10 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-12-11 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-12-12 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-12-13 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-12-14 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-12-15 06:00:00', 'surface', 18.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-12-16 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-12-17 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-12-18 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-12-19 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-12-20 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-12-21 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-12-22 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-12-23 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-12-28 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-12-29 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-12-30 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 4, '2000-12-31 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-01-01 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-01-02 06:00:00', 'surface', 0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-01-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-01-04 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-01-05 06:00:00', 'surface', 1.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-01-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-01-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-01-08 06:00:00', 'surface', 0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-01-09 06:00:00', 'surface', 35.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-01-10 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-01-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-01-12 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-01-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-01-14 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-01-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-01-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-01-17 06:00:00', 'surface', 29.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-01-18 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-01-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-01-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-01-21 06:00:00', 'surface', 4.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-01-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-01-23 06:00:00', 'surface', 0.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-01-24 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-01-25 06:00:00', 'surface', 0.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-01-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-01-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-01-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-01-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-01-30 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-01-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-02-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-02-02 06:00:00', 'surface', 1.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-02-03 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-02-04 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-02-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-02-06 06:00:00', 'surface', 8.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-02-07 06:00:00', 'surface', 0.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-02-08 06:00:00', 'surface', 42.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-02-09 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-02-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-02-11 06:00:00', 'surface', 1.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-02-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-02-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-02-14 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-02-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-02-16 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-02-17 06:00:00', 'surface', 18.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-02-18 06:00:00', 'surface', 4.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-02-19 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-02-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-02-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-02-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-02-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-02-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-02-25 06:00:00', 'surface', 3.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-02-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-02-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-02-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-03-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-03-02 06:00:00', 'surface', 0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-03-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-03-04 06:00:00', 'surface', 0.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-03-05 06:00:00', 'surface', 7.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-03-06 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-03-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-03-08 06:00:00', 'surface', 1.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-03-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-03-10 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-03-11 06:00:00', 'surface', 3.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-03-12 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-03-13 06:00:00', 'surface', 5.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-03-14 06:00:00', 'surface', 34.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-03-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-03-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-03-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-03-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-03-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-03-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-03-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-03-22 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-03-23 06:00:00', 'surface', 5.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-03-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-03-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-03-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-03-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-03-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-03-29 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-03-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-03-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-04-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-04-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-04-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-04-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-04-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-04-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-04-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-04-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-04-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-04-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-04-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-04-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-04-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-04-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-04-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-04-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-04-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-04-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-04-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-04-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-04-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-04-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-04-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-04-24 06:00:00', 'surface', 0.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-04-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-04-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-04-27 06:00:00', 'surface', 0.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-04-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-04-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-04-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-05-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-05-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-05-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-05-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-05-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-05-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-05-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-05-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-05-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-05-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-05-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-05-12 06:00:00', 'surface', 0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-05-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-05-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-05-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-05-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-05-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-05-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-05-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-05-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-05-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-05-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-05-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-05-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-05-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-05-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-05-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-05-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-05-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-05-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-05-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-06-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-06-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-06-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-06-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-06-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-06-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-06-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-06-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-06-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-06-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-06-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-06-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-06-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-06-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-06-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-06-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-06-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-06-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-06-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-06-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-06-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-06-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-06-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-06-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-06-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-06-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-06-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-06-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-06-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-06-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-07-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-07-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-07-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-07-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-07-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-07-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-07-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-07-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-07-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-07-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-07-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-07-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-07-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-07-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-07-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-07-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-07-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-07-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-07-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-07-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-07-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-07-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-07-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-07-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-07-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-07-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-07-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-07-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-07-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-07-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-07-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-08-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-08-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-08-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-08-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-08-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-08-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-08-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-08-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-08-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-08-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-08-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-08-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-08-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-08-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-08-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-08-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-08-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-08-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-08-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-08-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-08-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-08-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-08-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-08-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-08-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-08-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-08-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-08-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-08-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-08-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-08-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-09-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-09-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-09-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-09-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-09-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-09-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-09-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-09-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-09-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-09-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-09-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-09-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-09-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-09-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-09-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-09-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-09-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-09-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-09-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-09-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-09-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-09-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-09-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-09-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-09-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-09-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-09-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-09-28 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-09-29 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-09-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-10-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-10-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-10-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-10-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-10-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-10-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-10-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-10-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-10-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-10-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-10-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-10-12 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-10-13 06:00:00', 'surface', 6.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-10-14 06:00:00', 'surface', 1.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-10-15 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-10-16 06:00:00', 'surface', 1.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-10-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-10-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-10-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-10-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-10-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-10-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-10-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-10-24 06:00:00', 'surface', 1.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-10-25 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-10-26 06:00:00', 'surface', 0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-10-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-10-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-10-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-10-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-10-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-11-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-11-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-11-03 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-11-04 06:00:00', 'surface', 0.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-11-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-11-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-11-07 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-11-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-11-09 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-11-10 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-11-11 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-11-12 06:00:00', 'surface', 3.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-11-13 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-11-14 06:00:00', 'surface', 0.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-11-15 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-11-16 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-11-17 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-11-18 06:00:00', 'surface', 1.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-11-19 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-11-20 06:00:00', 'surface', 1.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-11-21 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-11-22 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-11-23 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-11-24 06:00:00', 'surface', 0.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-11-25 06:00:00', 'surface', 0.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-11-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-11-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-11-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-11-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-11-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-12-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-12-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-12-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-12-04 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-12-05 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-12-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-12-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-12-08 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-12-09 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-12-10 06:00:00', 'surface', 7.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-12-11 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-12-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-12-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-12-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-12-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-12-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-12-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-12-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-12-19 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-12-20 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-12-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-12-22 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-12-23 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-12-24 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-12-25 06:00:00', 'surface', 45.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-12-26 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-12-27 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-12-28 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-12-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-12-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1991-12-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-01-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-01-02 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-01-03 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-01-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-01-05 06:00:00', 'surface', 2.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-01-06 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-01-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-01-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-01-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-01-10 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-01-11 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-01-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-01-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-01-14 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-01-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-01-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-01-17 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-01-18 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-01-19 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-01-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-01-21 06:00:00', 'surface', 0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-01-22 06:00:00', 'surface', 3.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-01-23 06:00:00', 'surface', 1.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-01-24 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-01-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-01-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-01-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-01-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-01-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-01-30 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-01-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-02-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-02-02 06:00:00', 'surface', 4.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-02-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-02-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-02-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-02-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-02-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-02-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-02-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-02-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-02-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-02-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-02-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-02-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-02-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-02-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-02-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-02-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-02-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-02-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-02-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-02-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-02-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-02-24 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-02-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-02-26 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-02-27 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-02-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-02-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-03-01 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-03-02 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-03-03 06:00:00', 'surface', 4.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-03-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-03-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-03-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-03-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-03-08 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-03-09 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-03-10 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-03-11 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-03-12 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-03-13 06:00:00', 'surface', 1.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-03-14 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-03-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-03-16 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-03-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-03-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-03-19 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-03-20 06:00:00', 'surface', 4.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-03-21 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-03-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-03-23 06:00:00', 'surface', 33.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-03-24 06:00:00', 'surface', 5.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-03-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-03-26 06:00:00', 'surface', 1.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-03-27 06:00:00', 'surface', 7.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-03-28 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-03-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-03-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-03-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-04-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-04-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-04-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-04-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-04-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-04-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-04-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-04-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-04-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-04-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-04-11 06:00:00', 'surface', 0.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-04-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-04-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-04-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-04-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-04-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-04-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-04-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-04-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-04-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-04-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-04-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-04-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-04-24 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-04-25 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-04-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-04-27 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-04-28 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-04-29 06:00:00', 'surface', 71.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-04-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-05-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-05-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-05-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-05-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-05-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-05-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-05-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-05-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-05-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-05-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-05-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-05-12 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-05-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-05-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-05-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-05-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-05-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-05-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-05-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-05-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-05-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-05-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-05-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-05-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-05-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-05-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-05-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-05-28 06:00:00', 'surface', 4.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-05-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-05-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-05-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-06-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-06-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-06-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-06-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-06-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-06-06 06:00:00', 'surface', 0.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-06-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-06-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-06-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-06-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-06-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-06-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-06-13 06:00:00', 'surface', 4.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-06-14 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-06-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-06-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-06-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-06-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-06-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-06-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-06-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-06-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-06-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-06-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-06-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-06-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-06-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-06-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-06-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-06-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-07-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-07-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-07-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-07-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-07-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-07-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-07-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-07-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-07-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-07-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-07-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-07-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-07-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-07-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-07-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-07-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-07-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-07-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-07-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-07-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-07-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-07-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-07-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-07-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-07-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-07-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-07-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-07-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-07-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-07-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-07-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-08-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-08-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-08-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-08-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-08-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-08-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-08-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-08-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-08-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-08-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-08-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-08-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-08-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-08-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-08-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-08-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-08-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-08-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-08-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-08-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-08-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-08-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-08-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-08-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-08-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-08-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-08-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-08-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-08-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-08-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-08-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-09-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-09-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-09-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-09-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-09-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-09-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-09-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-09-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-09-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-09-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-09-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-09-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-09-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-09-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-09-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-09-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-09-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-09-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-09-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-09-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-09-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-09-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-09-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-09-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-09-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-09-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-09-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-09-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-09-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-09-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-10-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-10-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-10-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-10-04 06:00:00', 'surface', 1.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-10-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-10-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-10-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-10-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-10-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-10-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-10-11 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-10-12 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-10-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-10-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-10-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-10-16 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-10-17 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-10-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-10-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-10-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-10-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-10-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-10-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-10-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-10-25 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-10-26 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-10-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-10-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-10-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-10-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-10-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-11-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-11-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-11-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-11-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-11-05 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-11-06 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-11-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-11-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-11-09 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-11-10 06:00:00', 'surface', 0.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-11-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-11-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-11-13 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-11-14 06:00:00', 'surface', 2.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-11-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-11-16 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-11-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-11-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-11-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-11-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-11-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-11-22 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-11-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-11-24 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-11-25 06:00:00', 'surface', 7.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-11-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-11-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-11-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-11-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-11-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-12-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-12-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-12-03 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-12-04 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-12-05 06:00:00', 'surface', 0.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-12-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-12-07 06:00:00', 'surface', 1.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-12-08 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-12-09 06:00:00', 'surface', 1.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-12-10 06:00:00', 'surface', 0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-12-11 06:00:00', 'surface', 37.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-12-12 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-12-13 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-12-14 06:00:00', 'surface', 0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-12-15 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-12-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-12-17 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-12-18 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-12-19 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-12-20 06:00:00', 'surface', 4.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-12-21 06:00:00', 'surface', 5.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-12-22 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-12-23 06:00:00', 'surface', 4.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-12-24 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-12-25 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-12-26 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-12-27 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-12-28 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-12-29 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-12-30 06:00:00', 'surface', 0.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1992-12-31 06:00:00', 'surface', 3.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-01-01 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-01-02 06:00:00', 'surface', 45.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-01-03 06:00:00', 'surface', 2.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-01-04 06:00:00', 'surface', 4.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-01-05 06:00:00', 'surface', 6.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-01-06 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-01-07 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-01-08 06:00:00', 'surface', 5.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-01-09 06:00:00', 'surface', 1.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-01-10 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-01-11 06:00:00', 'surface', 4.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-01-12 06:00:00', 'surface', 1.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-01-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-01-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-01-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-01-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-01-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-01-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-01-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-01-20 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-01-21 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-01-22 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-01-23 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-01-24 06:00:00', 'surface', 0.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-01-25 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-01-26 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-01-27 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-01-28 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-01-29 06:00:00', 'surface', 1.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-01-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-01-31 06:00:00', 'surface', 18.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-02-01 06:00:00', 'surface', 4.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-02-02 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-02-05 06:00:00', 'surface', 3.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-02-06 06:00:00', 'surface', 0.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-02-07 06:00:00', 'surface', 33.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-02-08 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-02-09 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-02-10 06:00:00', 'surface', 0.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-02-11 06:00:00', 'surface', 0.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-02-12 06:00:00', 'surface', 41.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-02-14 06:00:00', 'surface', 10.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-02-15 06:00:00', 'surface', 11.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-02-16 06:00:00', 'surface', 5.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-02-17 06:00:00', 'surface', 4.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-02-18 06:00:00', 'surface', 1.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-02-19 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-02-20 06:00:00', 'surface', 1.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-02-21 06:00:00', 'surface', 117.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-02-22 06:00:00', 'surface', 9.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-02-23 06:00:00', 'surface', 2.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-02-24 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-02-25 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-03-01 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-03-02 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-03-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-03-04 06:00:00', 'surface', 2.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-03-05 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-03-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-03-07 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-03-08 06:00:00', 'surface', 0.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-03-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-03-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-03-11 06:00:00', 'surface', 1.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-03-12 06:00:00', 'surface', 5.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-03-13 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-03-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-03-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-03-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-03-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-03-18 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-03-19 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-03-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-03-21 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-03-22 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-03-23 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-03-24 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-03-25 06:00:00', 'surface', 1.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-03-26 06:00:00', 'surface', 36.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-03-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-03-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-03-29 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-03-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-03-31 06:00:00', 'surface', 39.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-04-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-04-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-04-03 06:00:00', 'surface', 0.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-04-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-04-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-04-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-04-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-04-08 06:00:00', 'surface', 1.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-04-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-04-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-04-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-04-12 06:00:00', 'surface', 3.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-04-13 06:00:00', 'surface', 0.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-04-14 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-04-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-04-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-04-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-04-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-04-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-04-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-04-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-04-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-04-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-04-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-04-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-04-26 06:00:00', 'surface', 11.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-04-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-04-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-04-29 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-04-30 06:00:00', 'surface', 0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-05-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-05-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-05-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-05-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-05-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-05-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-05-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-05-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-05-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-05-10 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-05-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-05-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-05-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-05-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-05-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-05-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-05-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-05-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-05-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-05-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-05-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-05-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-05-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-05-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-05-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-05-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-05-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-05-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-05-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-05-30 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-05-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-06-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-06-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-06-03 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-06-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-06-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-06-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-06-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-06-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-06-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-06-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-06-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-06-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-06-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-06-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-06-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-06-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-06-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-06-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-06-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-06-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-06-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-06-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-06-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-06-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-06-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-06-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-06-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-06-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-06-29 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-06-30 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-07-01 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-07-02 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-07-03 06:00:00', 'surface', 0.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-07-04 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-07-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-07-06 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-07-07 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-07-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-07-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-07-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-07-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-07-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-07-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-07-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-07-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-07-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-07-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-07-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-07-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-07-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-07-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-07-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-07-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-07-24 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-07-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-07-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-07-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-07-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-07-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-07-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-07-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-08-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-08-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-08-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-08-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-08-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-08-06 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-08-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-08-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-08-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-08-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-08-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-08-12 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-08-13 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-08-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-08-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-08-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-08-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-08-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-08-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-08-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-08-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-08-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-08-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-08-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-08-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-08-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-08-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-08-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-08-29 06:00:00', 'surface', 1.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-08-30 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-08-31 06:00:00', 'surface', 2.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-09-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-09-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-09-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-09-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-09-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-09-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-09-07 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-09-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-09-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-09-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-09-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-09-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-09-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-09-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-09-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-09-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-09-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-09-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-09-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-09-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-09-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-09-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-09-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-09-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-09-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-09-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-09-27 06:00:00', 'surface', 6.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-09-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-09-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-09-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-10-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-10-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-10-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-10-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-10-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-10-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-10-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-10-08 06:00:00', 'surface', 4.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-10-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-10-10 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-10-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-10-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-10-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-10-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-10-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-10-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-10-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-10-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-10-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-10-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-10-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-10-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-10-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-10-24 06:00:00', 'surface', 0.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-10-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-10-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-10-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-10-28 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-10-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-10-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-10-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-11-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-11-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-11-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-11-04 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-11-05 06:00:00', 'surface', 1.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-11-06 06:00:00', 'surface', 1.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-11-07 06:00:00', 'surface', 2.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-11-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-11-09 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-11-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-11-11 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-11-12 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-11-13 06:00:00', 'surface', 3.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-11-14 06:00:00', 'surface', 0.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-11-15 06:00:00', 'surface', 0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-11-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-11-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-11-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-11-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-11-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-11-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-11-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-11-23 06:00:00', 'surface', 10.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-11-24 06:00:00', 'surface', 0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-11-25 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-11-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-11-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-11-28 06:00:00', 'surface', 1.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-11-29 06:00:00', 'surface', 35.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-11-30 06:00:00', 'surface', 5.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-12-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-12-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-12-03 06:00:00', 'surface', 11.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-12-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-12-05 06:00:00', 'surface', 1.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-12-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-12-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-12-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-12-09 06:00:00', 'surface', 4.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-12-10 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-12-11 06:00:00', 'surface', 0.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-12-12 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-12-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-12-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-12-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-12-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-12-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-12-18 06:00:00', 'surface', 3.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-12-19 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-12-20 06:00:00', 'surface', 1.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-12-21 06:00:00', 'surface', 46.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-12-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-12-23 06:00:00', 'surface', 8.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-12-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-12-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-12-26 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-12-27 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-12-28 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-12-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-12-30 06:00:00', 'surface', 0.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1993-12-31 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-01-01 06:00:00', 'surface', 3.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-01-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-01-03 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-01-04 06:00:00', 'surface', 36.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-01-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-01-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-01-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-01-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-01-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-01-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-01-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-01-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-01-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-01-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-01-15 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-01-16 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-01-17 06:00:00', 'surface', 2.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-01-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-01-19 06:00:00', 'surface', 7.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-01-20 06:00:00', 'surface', 7.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-01-21 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-01-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-01-23 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-01-24 06:00:00', 'surface', 2.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-01-25 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-01-26 06:00:00', 'surface', 46.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-01-27 06:00:00', 'surface', 2.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-01-28 06:00:00', 'surface', 1.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-01-29 06:00:00', 'surface', 11.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-01-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-01-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-02-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-02-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-02-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-02-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-02-05 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-02-06 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-02-07 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-02-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-02-09 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-02-10 06:00:00', 'surface', 29.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-02-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-02-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-02-13 06:00:00', 'surface', 2.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-02-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-02-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-02-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-02-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-02-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-02-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-02-20 06:00:00', 'surface', 39.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-02-21 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-02-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-02-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-02-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-02-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-02-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-02-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-02-28 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-03-01 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-03-02 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-03-03 06:00:00', 'surface', 0.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-03-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-03-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-03-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-03-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-03-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-03-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-03-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-03-11 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-03-12 06:00:00', 'surface', 3.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-03-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-03-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-03-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-03-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-03-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-03-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-03-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-03-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-03-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-03-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-03-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-03-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-03-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-03-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-03-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-03-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-03-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-03-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-03-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-04-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-04-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-04-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-04-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-04-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-04-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-04-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-04-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-04-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-04-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-04-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-04-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-04-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-04-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-04-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-04-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-04-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-04-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-04-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-04-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-04-21 06:00:00', 'surface', 0.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-04-22 06:00:00', 'surface', 1.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-04-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-04-24 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-04-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-04-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-04-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-04-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-04-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-04-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-05-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-05-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-05-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-05-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-05-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-05-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-05-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-05-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-05-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-05-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-05-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-05-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-05-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-05-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-05-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-05-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-05-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-05-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-05-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-05-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-05-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-05-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-05-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-05-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-05-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-05-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-05-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-05-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-05-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-05-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-05-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-06-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-06-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-06-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-06-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-06-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-06-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-06-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-06-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-06-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-06-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-06-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-06-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-06-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-06-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-06-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-06-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-06-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-06-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-06-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-06-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-06-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-06-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-06-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-06-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-06-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-06-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-06-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-06-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-06-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-06-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-07-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-07-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-07-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-07-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-07-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-07-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-07-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-07-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-07-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-07-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-07-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-07-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-07-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-07-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-07-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-07-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-07-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-07-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-07-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-07-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-07-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-07-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-07-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-07-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-07-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-07-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-07-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-07-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-07-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-07-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-07-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-08-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-08-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-08-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-08-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-08-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-08-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-08-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-08-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-08-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-08-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-08-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-08-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-08-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-08-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-08-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-08-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-08-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-08-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-08-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-08-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-08-21 06:00:00', 'surface', 4.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-08-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-08-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-08-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-08-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-08-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-08-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-08-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-08-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-08-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-08-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-09-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-09-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-09-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-09-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-09-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-09-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-09-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-09-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-09-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-09-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-09-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-09-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-09-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-09-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-09-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-09-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-09-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-09-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-09-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-09-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-09-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-09-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-09-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-09-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-09-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-09-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-09-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-09-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-09-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-09-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-10-01 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-10-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-10-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-10-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-10-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-10-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-10-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-10-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-10-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-10-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-10-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-10-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-10-13 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-10-14 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-10-15 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-10-16 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-10-17 06:00:00', 'surface', 0.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-10-18 06:00:00', 'surface', 0.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-10-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-10-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-10-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-10-22 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-10-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-10-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-10-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-10-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-10-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-10-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-10-29 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-10-30 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-10-31 06:00:00', 'surface', 33.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-11-01 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-11-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-11-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-11-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-11-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-11-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-11-07 06:00:00', 'surface', 0.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-11-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-11-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-11-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-11-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-11-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-11-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-11-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-11-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-11-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-11-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-11-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-11-19 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-11-20 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-11-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-11-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-11-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-11-24 06:00:00', 'surface', 6.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-11-25 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-11-26 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-11-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-11-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-11-29 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-11-30 06:00:00', 'surface', 3.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-12-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-12-02 06:00:00', 'surface', 1.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-12-03 06:00:00', 'surface', 2.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-12-04 06:00:00', 'surface', 0.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-12-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-12-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-12-07 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-12-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-12-09 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-12-10 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-12-11 06:00:00', 'surface', 0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-12-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-12-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-12-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-12-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-12-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-12-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-12-18 06:00:00', 'surface', 1.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-12-19 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-12-20 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-12-21 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-12-22 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-12-23 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-12-24 06:00:00', 'surface', 34.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-12-25 06:00:00', 'surface', 2.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-12-26 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-12-27 06:00:00', 'surface', 2.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-12-28 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-12-29 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-12-30 06:00:00', 'surface', 0.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1994-12-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-01-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-01-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-01-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-01-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-01-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-01-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-01-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-01-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-01-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-01-10 06:00:00', 'surface', 2.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-01-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-01-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-01-13 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-01-14 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-01-15 06:00:00', 'surface', 5.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-01-16 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-01-17 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-01-18 06:00:00', 'surface', 38.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-01-19 06:00:00', 'surface', 43.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-01-20 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-01-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-01-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-01-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-01-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-01-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-01-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-01-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-01-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-01-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-01-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-01-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-02-01 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-02-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-02-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-02-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-02-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-02-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-02-07 06:00:00', 'surface', 9.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-02-08 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-02-09 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-02-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-02-11 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-02-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-02-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-02-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-02-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-02-16 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-02-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-02-18 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-02-19 06:00:00', 'surface', 5.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-02-20 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-02-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-02-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-02-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-02-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-02-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-02-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-02-27 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-02-28 06:00:00', 'surface', 5.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-03-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-03-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-03-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-03-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-03-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-03-06 06:00:00', 'surface', 2.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-03-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-03-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-03-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-03-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-03-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-03-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-03-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-03-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-03-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-03-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-03-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-03-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-03-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-03-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-03-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-03-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-03-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-03-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-03-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-03-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-03-27 06:00:00', 'surface', 0.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-03-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-03-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-03-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-03-31 06:00:00', 'surface', 1.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-04-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-04-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-04-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-04-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-04-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-04-06 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-04-07 06:00:00', 'surface', 10.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-04-08 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-04-09 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-04-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-04-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-04-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-04-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-04-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-04-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-04-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-04-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-04-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-04-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-04-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-04-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-04-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-04-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-04-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-04-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-04-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-04-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-04-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-04-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-04-30 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-05-01 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-05-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-05-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-05-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-05-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-05-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-05-07 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-05-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-05-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-05-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-05-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-05-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-05-13 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-05-14 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-05-15 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-05-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-05-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-05-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-05-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-05-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-05-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-05-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-05-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-05-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-05-25 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-05-26 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-05-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-05-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-05-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-05-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-05-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-06-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-06-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-06-03 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-06-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-06-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-06-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-06-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-06-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-06-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-06-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-06-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-06-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-06-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-06-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-06-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-06-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-06-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-06-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-06-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-06-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-06-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-06-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-06-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-06-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-06-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-06-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-06-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-06-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-06-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-06-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-07-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-07-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-07-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-07-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-07-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-07-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-07-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-07-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-07-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-07-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-07-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-07-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-07-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-07-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-07-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-07-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-07-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-07-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-07-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-07-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-07-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-07-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-07-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-07-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-07-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-07-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-07-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-07-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-07-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-07-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-07-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-08-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-08-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-08-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-08-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-08-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-08-06 06:00:00', 'surface', 0.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-08-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-08-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-08-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-08-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-08-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-08-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-08-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-08-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-08-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-08-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-08-17 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-08-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-08-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-08-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-08-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-08-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-08-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-08-24 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-08-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-08-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-08-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-08-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-08-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-08-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-08-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-09-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-09-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-09-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-09-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-09-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-09-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-09-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-09-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-09-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-09-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-09-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-09-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-09-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-09-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-09-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-09-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-09-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-09-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-09-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-09-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-09-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-09-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-09-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-09-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-09-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-09-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-09-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-09-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-09-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-09-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-10-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-10-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-10-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-10-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-10-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-10-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-10-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-10-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-10-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-10-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-10-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-10-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-10-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-10-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-10-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-10-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-10-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-10-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-10-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-10-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-10-21 06:00:00', 'surface', 1.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-10-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-10-24 06:00:00', 'surface', 2.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-10-25 06:00:00', 'surface', 3.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-10-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-10-27 06:00:00', 'surface', 6.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-10-28 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-10-29 06:00:00', 'surface', 8.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-10-30 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-10-31 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-11-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-11-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-11-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-11-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-11-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-11-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-11-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-11-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-11-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-11-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-11-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-11-12 06:00:00', 'surface', 0.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-11-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-11-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-11-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-11-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-11-17 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-11-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-11-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-11-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-11-21 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-11-22 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-11-23 06:00:00', 'surface', 2.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-11-24 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-11-25 06:00:00', 'surface', 5.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-11-26 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-11-27 06:00:00', 'surface', 2.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-11-28 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-11-29 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-11-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-12-01 06:00:00', 'surface', 39.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-12-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-12-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-12-04 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-12-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-12-06 06:00:00', 'surface', 18.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-12-07 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-12-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-12-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-12-10 06:00:00', 'surface', 0.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-12-11 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-12-12 06:00:00', 'surface', 1.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-12-13 06:00:00', 'surface', 4.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-12-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-12-15 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-12-16 06:00:00', 'surface', 10.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-12-17 06:00:00', 'surface', 3.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-12-18 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-12-19 06:00:00', 'surface', 0.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-12-20 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-12-21 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-12-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-12-23 06:00:00', 'surface', 0.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-12-24 06:00:00', 'surface', 5.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-12-25 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-12-26 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-12-27 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-12-28 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-12-29 06:00:00', 'surface', 3.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-12-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1995-12-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-01-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-01-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-01-03 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-01-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-01-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-01-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-01-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-01-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-01-09 06:00:00', 'surface', 10.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-01-10 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-01-11 06:00:00', 'surface', 0.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-01-12 06:00:00', 'surface', 12.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-01-13 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-01-14 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-01-15 06:00:00', 'surface', 57.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-01-16 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-01-17 06:00:00', 'surface', 1.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-01-18 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-01-19 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-01-20 06:00:00', 'surface', 52.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-01-21 06:00:00', 'surface', 3.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-01-22 06:00:00', 'surface', 0.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-01-23 06:00:00', 'surface', 2.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-01-24 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-01-25 06:00:00', 'surface', 1.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-01-26 06:00:00', 'surface', 9.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-01-27 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-01-28 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-01-29 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-01-30 06:00:00', 'surface', 5.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-01-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-03-01 06:00:00', 'surface', 5.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-03-02 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-03-03 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-03-04 06:00:00', 'surface', 2.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-03-05 06:00:00', 'surface', 59.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-03-06 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-03-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-03-08 06:00:00', 'surface', 1.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-03-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-03-10 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-03-11 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-03-12 06:00:00', 'surface', 37.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-03-13 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-03-14 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-03-15 06:00:00', 'surface', 3.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-03-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-03-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-03-18 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-03-19 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-03-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-03-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-03-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-03-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-03-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-03-25 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-03-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-03-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-03-28 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-03-29 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-03-30 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-03-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-04-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-04-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-04-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-04-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-04-05 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-04-06 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-04-07 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-04-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-04-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-04-10 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-04-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-04-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-04-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-04-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-04-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-04-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-04-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-04-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-04-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-04-20 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-04-21 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-04-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-04-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-04-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-04-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-04-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-04-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-04-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-04-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-04-30 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-05-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-05-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-05-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-05-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-05-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-05-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-05-07 06:00:00', 'surface', 3.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-05-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-05-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-05-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-05-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-05-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-05-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-05-14 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-05-15 06:00:00', 'surface', 0.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-05-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-05-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-05-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-05-19 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-05-20 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-05-21 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-05-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-05-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-05-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-05-25 06:00:00', 'surface', 56.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-05-26 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-05-27 06:00:00', 'surface', 9.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-05-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-05-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-05-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-05-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-06-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-06-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-06-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-06-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-06-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-06-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-06-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-06-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-06-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-06-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-06-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-06-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-06-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-06-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-06-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-06-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-06-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-06-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-06-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-06-20 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-06-21 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-06-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-06-23 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-06-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-06-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-06-26 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-06-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-06-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-06-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-06-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-07-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-07-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-07-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-07-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-07-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-07-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-07-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-07-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-07-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-07-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-07-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-07-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-07-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-07-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-07-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-07-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-07-17 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-07-18 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-07-19 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-07-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-07-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-07-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-07-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-07-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-07-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-07-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-07-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-07-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-07-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-07-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-07-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-08-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-08-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-08-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-08-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-08-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-08-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-08-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-08-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-08-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-08-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-08-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-08-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-08-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-08-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-08-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-08-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-08-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-08-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-08-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-08-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-08-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-08-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-08-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-08-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-08-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-08-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-08-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-08-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-08-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-08-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-08-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-09-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-09-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-09-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-09-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-09-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-09-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-09-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-09-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-09-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-09-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-09-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-09-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-09-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-09-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-09-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-09-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-09-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-09-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-09-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-09-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-09-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-09-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-09-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-09-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-09-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-09-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-09-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-09-28 06:00:00', 'surface', 5.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-09-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-09-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-10-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-10-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-10-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-10-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-10-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-10-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-10-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-10-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-10-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-10-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-10-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-10-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-10-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-10-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-10-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-10-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-10-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-10-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-10-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-10-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-10-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-10-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-10-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-10-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-10-25 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-10-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-10-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-10-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-10-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-10-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-10-31 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-11-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-11-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-11-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-11-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-11-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-11-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-11-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-11-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-11-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-11-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-11-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-11-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-11-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-11-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-11-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-11-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-11-17 06:00:00', 'surface', 6.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-11-18 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-11-19 06:00:00', 'surface', 6.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-11-20 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-11-21 06:00:00', 'surface', 5.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-11-22 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-11-23 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-11-24 06:00:00', 'surface', 1.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-11-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-11-26 06:00:00', 'surface', 4.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-11-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-11-28 06:00:00', 'surface', 1.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-11-29 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-11-30 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-12-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-12-02 06:00:00', 'surface', 33.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-12-03 06:00:00', 'surface', 0.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-12-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-12-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-12-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-12-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-12-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-12-09 06:00:00', 'surface', 0.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-12-10 06:00:00', 'surface', 3.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-12-11 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-12-12 06:00:00', 'surface', 48.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-12-13 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-12-14 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-12-15 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-12-16 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-12-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-12-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-12-19 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-12-20 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-12-21 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-12-22 06:00:00', 'surface', 0.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-12-23 06:00:00', 'surface', 48.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-12-24 06:00:00', 'surface', 2.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-12-25 06:00:00', 'surface', 4.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-12-26 06:00:00', 'surface', 9.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-12-27 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-12-28 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-12-29 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-12-30 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1996-12-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-01-01 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-01-02 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-01-03 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-01-04 06:00:00', 'surface', 4.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-01-05 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-01-06 06:00:00', 'surface', 3.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-01-07 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-01-08 06:00:00', 'surface', 30.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-01-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-01-10 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-01-11 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-01-12 06:00:00', 'surface', 4.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-01-13 06:00:00', 'surface', 0.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-01-14 06:00:00', 'surface', 8.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-01-15 06:00:00', 'surface', 32.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-01-16 06:00:00', 'surface', 2.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-01-17 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-01-18 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-01-19 06:00:00', 'surface', 3.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-01-20 06:00:00', 'surface', 3.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-01-21 06:00:00', 'surface', 5.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-01-22 06:00:00', 'surface', 31.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-01-23 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-01-24 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-01-25 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-01-26 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-01-27 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-01-28 06:00:00', 'surface', 2.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-01-29 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-01-30 06:00:00', 'surface', 0.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-01-31 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-02-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-02-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-02-03 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-02-04 06:00:00', 'surface', 10.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-02-05 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-02-06 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-02-07 06:00:00', 'surface', 2.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-02-08 06:00:00', 'surface', 1.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-02-09 06:00:00', 'surface', 10.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-02-10 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-02-11 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-02-12 06:00:00', 'surface', 4.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-02-13 06:00:00', 'surface', 37.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-02-14 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-02-15 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-02-16 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-02-17 06:00:00', 'surface', 9.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-02-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-02-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-02-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-02-21 06:00:00', 'surface', 2.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-02-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-02-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-02-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-02-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-02-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-02-27 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-02-28 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-03-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-03-02 06:00:00', 'surface', 4.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-03-03 06:00:00', 'surface', 30.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-03-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-03-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-03-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-03-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-03-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-03-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-03-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-03-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-03-12 06:00:00', 'surface', 1.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-03-13 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-03-14 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-03-15 06:00:00', 'surface', 1.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-03-16 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-03-17 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-03-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-03-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-03-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-03-21 06:00:00', 'surface', 11.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-03-22 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-03-23 06:00:00', 'surface', 4.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-03-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-03-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-03-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-03-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-03-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-03-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-03-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-03-31 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-04-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-04-02 06:00:00', 'surface', 3.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-04-03 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-04-04 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-04-05 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-04-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-04-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-04-08 06:00:00', 'surface', 0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-04-09 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-04-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-04-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-04-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-04-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-04-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-04-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-04-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-04-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-04-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-04-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-04-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-04-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-04-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-04-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-04-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-04-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-04-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-04-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-04-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-04-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-04-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-05-26 06:00:00', 'surface', 0.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-06-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-06-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-06-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-06-04 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-06-05 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-06-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-06-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-06-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-06-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-06-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-06-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-06-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-06-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-06-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-06-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-06-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-06-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-06-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-06-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-06-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-06-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-06-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-06-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-06-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-06-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-06-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-06-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-06-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-06-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-06-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-07-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-07-02 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-07-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-07-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-07-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-07-06 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-07-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-07-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-07-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-07-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-07-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-07-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-07-13 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-07-14 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-07-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-07-16 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-07-17 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-07-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-07-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-07-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-07-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-07-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-07-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-07-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-07-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-07-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-07-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-07-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-07-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-07-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-07-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-08-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-08-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-08-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-08-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-08-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-08-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-08-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-08-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-08-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-08-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-08-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-08-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-08-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-08-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-08-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-08-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-08-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-08-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-08-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-08-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-08-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-08-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-08-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-08-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-08-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-08-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-08-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-08-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-08-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-08-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-08-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-09-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-09-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-09-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-09-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-09-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-09-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-09-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-09-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-09-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-09-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-09-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-09-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-09-13 06:00:00', 'surface', 6.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-09-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-09-15 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-09-16 06:00:00', 'surface', 0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-09-17 06:00:00', 'surface', 1.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-09-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-09-19 06:00:00', 'surface', 4.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-09-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-09-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-09-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-09-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-09-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-09-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-09-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-09-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-09-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-09-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-09-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-10-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-10-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-10-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-10-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-10-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-10-06 06:00:00', 'surface', 1.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-10-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-10-08 06:00:00', 'surface', 48.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-10-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-10-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-10-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-10-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-10-13 06:00:00', 'surface', 2.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-10-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-10-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-10-16 06:00:00', 'surface', 4.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-10-17 06:00:00', 'surface', 1.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-10-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-10-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-10-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-10-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-10-22 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-10-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-10-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-10-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-10-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-10-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-10-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-10-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-10-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-10-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-11-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-11-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-11-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-11-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-11-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-11-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-11-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-11-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-11-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-11-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-11-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-11-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-11-13 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-11-14 06:00:00', 'surface', 2.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-11-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-11-16 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-11-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-11-18 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-11-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-11-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-11-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-11-22 06:00:00', 'surface', 3.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-11-23 06:00:00', 'surface', 4.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-11-24 06:00:00', 'surface', 2.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-11-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-11-26 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-11-27 06:00:00', 'surface', 0.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-11-28 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-11-29 06:00:00', 'surface', 84.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-11-30 06:00:00', 'surface', 6.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-12-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-12-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-12-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-12-04 06:00:00', 'surface', 2.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-12-05 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-12-06 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-12-07 06:00:00', 'surface', 0.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-12-08 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-12-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-12-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-12-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-12-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-12-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-12-14 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-12-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-12-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-12-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-12-18 06:00:00', 'surface', 5.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-12-19 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-12-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-12-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-12-22 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-12-23 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-12-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-12-25 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-12-26 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-12-27 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-12-28 06:00:00', 'surface', 5.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-12-29 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-12-30 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1997-12-31 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-01-01 06:00:00', 'surface', 5.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-01-02 06:00:00', 'surface', 1.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-01-03 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-01-04 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-01-05 06:00:00', 'surface', 10.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-01-06 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-01-07 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-01-08 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-01-09 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-01-10 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-01-11 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-01-12 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-01-13 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-01-14 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-01-15 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-01-16 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-01-17 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-01-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-01-19 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-01-20 06:00:00', 'surface', 5.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-01-21 06:00:00', 'surface', 0.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-01-22 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-01-23 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-01-24 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-01-25 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-01-26 06:00:00', 'surface', 9.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-01-27 06:00:00', 'surface', 55.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-01-28 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-01-29 06:00:00', 'surface', 3.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-01-30 06:00:00', 'surface', 2.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-01-31 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-02-01 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-02-02 06:00:00', 'surface', 38.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-02-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-02-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-02-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-02-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-02-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-02-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-02-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-02-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-02-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-02-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-02-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-02-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-02-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-02-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-02-17 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-02-18 06:00:00', 'surface', 2.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-02-19 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-02-20 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-02-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-02-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-02-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-02-24 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-02-25 06:00:00', 'surface', 0.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-02-26 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-02-27 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-02-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-03-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-03-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-03-03 06:00:00', 'surface', 58.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-03-04 06:00:00', 'surface', 9.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-03-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-03-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-03-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-03-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-03-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-03-10 06:00:00', 'surface', 32.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-03-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-03-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-03-13 06:00:00', 'surface', 57.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-03-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-03-15 06:00:00', 'surface', 4.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-03-16 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-03-17 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-03-18 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-03-19 06:00:00', 'surface', 2.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-03-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-03-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-03-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-03-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-03-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-03-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-03-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-03-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-03-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-03-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-03-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-03-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-04-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-04-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-04-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-04-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-04-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-04-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-04-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-04-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-04-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-04-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-04-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-04-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-04-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-04-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-04-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-04-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-04-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-04-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-04-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-04-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-04-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-04-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-04-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-04-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-04-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-04-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-04-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-04-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-04-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-04-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-05-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-05-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-05-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-05-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-05-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-05-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-05-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-05-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-05-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-05-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-05-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-05-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-05-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-05-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-05-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-05-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-05-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-05-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-05-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-05-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-05-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-05-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-05-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-05-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-05-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-05-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-05-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-05-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-05-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-05-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-05-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-06-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-06-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-06-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-06-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-06-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-06-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-06-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-06-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-06-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-06-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-06-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-06-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-06-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-06-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-06-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-06-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-06-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-06-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-06-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-06-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-06-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-06-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-06-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-06-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-06-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-06-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-06-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-06-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-06-29 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-06-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-07-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-07-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-07-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-07-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-07-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-07-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-07-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-07-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-07-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-07-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-07-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-07-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-07-13 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-07-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-07-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-07-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-07-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-07-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-07-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-07-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-07-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-07-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-07-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-07-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-07-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-07-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-07-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-07-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-07-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-07-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-07-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-08-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-08-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-08-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-08-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-08-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-08-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-08-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-08-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-08-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-08-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-08-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-08-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-08-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-08-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-08-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-08-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-08-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-08-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-08-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-08-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-08-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-08-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-08-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-08-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-08-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-08-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-08-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-08-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-08-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-08-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-08-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-09-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-09-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-09-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-09-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-09-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-09-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-09-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-09-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-09-09 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-09-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-09-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-09-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-09-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-09-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-09-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-09-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-09-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-09-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-09-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-09-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-09-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-09-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-09-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-09-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-09-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-09-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-09-27 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-09-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-09-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-09-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-10-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-10-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-10-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-10-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-10-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-10-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-10-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-10-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-10-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-10-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-10-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-10-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-10-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-10-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-10-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-10-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-10-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-10-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-10-19 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-10-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-10-21 06:00:00', 'surface', 1.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-10-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-10-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-10-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-10-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-10-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-10-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-10-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-10-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-10-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-10-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-11-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-11-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-11-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-11-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-11-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-11-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-11-07 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-11-08 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-11-09 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-11-10 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-11-11 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-11-12 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-11-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-11-14 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-11-15 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-11-16 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-11-17 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-11-18 06:00:00', 'surface', 1.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-11-19 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-11-20 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-11-21 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-11-22 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-11-23 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-11-24 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-11-25 06:00:00', 'surface', 3.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-11-26 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-11-27 06:00:00', 'surface', 34.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-11-28 06:00:00', 'surface', 10.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-11-29 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-11-30 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-12-01 06:00:00', 'surface', 40.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-12-02 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-12-03 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-12-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-12-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-12-06 06:00:00', 'surface', 0.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-12-07 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-12-08 06:00:00', 'surface', 4.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-12-09 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-12-10 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-12-11 06:00:00', 'surface', 2.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-12-12 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-12-13 06:00:00', 'surface', 2.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-12-14 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-12-15 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-12-16 06:00:00', 'surface', 2.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-12-17 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-12-18 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-12-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-12-20 06:00:00', 'surface', 32.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-12-21 06:00:00', 'surface', 2.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-12-22 06:00:00', 'surface', 5.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-12-23 06:00:00', 'surface', 3.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-12-24 06:00:00', 'surface', 32.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-12-25 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-12-26 06:00:00', 'surface', 30.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-12-27 06:00:00', 'surface', 5.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-12-28 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-12-29 06:00:00', 'surface', 5.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-12-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1998-12-31 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-01-01 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-01-02 06:00:00', 'surface', 1.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-01-03 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-01-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-01-05 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-01-06 06:00:00', 'surface', 8.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-01-07 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-01-08 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-01-09 06:00:00', 'surface', 59.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-01-10 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-01-11 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-01-12 06:00:00', 'surface', 41.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-01-13 06:00:00', 'surface', 41.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-01-14 06:00:00', 'surface', 0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-01-15 06:00:00', 'surface', 1.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-01-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-01-17 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-01-18 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-01-19 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-01-20 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-01-21 06:00:00', 'surface', 0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-01-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-01-23 06:00:00', 'surface', 1.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-01-24 06:00:00', 'surface', 39.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-01-25 06:00:00', 'surface', 4.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-01-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-01-27 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-01-28 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-01-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-01-30 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-01-31 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-02-01 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-02-02 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-02-03 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-02-04 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-02-05 06:00:00', 'surface', 5.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-02-06 06:00:00', 'surface', 6.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-02-07 06:00:00', 'surface', 6.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-02-08 06:00:00', 'surface', 0.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-02-09 06:00:00', 'surface', 30.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-02-10 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-02-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-02-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-02-13 06:00:00', 'surface', 1.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-02-14 06:00:00', 'surface', 5.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-02-15 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-02-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-02-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-02-18 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-02-19 06:00:00', 'surface', 41.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-02-20 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-02-21 06:00:00', 'surface', 1.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-02-22 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-02-23 06:00:00', 'surface', 4.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-02-24 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-02-25 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-02-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-02-27 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-02-28 06:00:00', 'surface', 0.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-03-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-03-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-03-03 06:00:00', 'surface', 2.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-03-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-03-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-03-06 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-03-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-03-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-03-09 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-03-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-03-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-03-12 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-03-13 06:00:00', 'surface', 1.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-03-14 06:00:00', 'surface', 2.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-03-15 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-03-16 06:00:00', 'surface', 4.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-03-17 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-03-18 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-03-19 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-03-20 06:00:00', 'surface', 1.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-03-21 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-03-22 06:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-03-23 06:00:00', 'surface', 50.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-03-24 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-03-25 06:00:00', 'surface', 2.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-03-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-03-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-03-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-03-29 06:00:00', 'surface', 3.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-03-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-03-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-04-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-04-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-04-03 06:00:00', 'surface', 1.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-04-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-04-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-04-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-04-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-04-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-04-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-04-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-04-11 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-04-12 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-04-13 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-04-14 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-04-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-04-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-04-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-04-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-04-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-04-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-04-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-04-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-04-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-04-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-04-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-04-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-04-27 06:00:00', 'surface', 0.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-04-28 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-04-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-04-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-05-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-05-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-05-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-05-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-05-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-05-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-05-07 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-05-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-05-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-05-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-05-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-05-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-05-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-05-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-05-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-05-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-05-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-05-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-05-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-05-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-05-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-05-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-05-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-05-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-05-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-05-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-05-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-05-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-05-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-05-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-05-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-06-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-06-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-06-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-06-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-06-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-06-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-06-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-06-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-06-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-06-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-06-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-06-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-06-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-06-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-06-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-06-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-06-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-06-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-06-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-06-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-06-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-06-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-06-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-06-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-06-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-06-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-06-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-06-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-06-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-06-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-07-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-07-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-07-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-07-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-07-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-07-06 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-07-07 06:00:00', 'surface', 1.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-07-08 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-07-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-07-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-07-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-07-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-07-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-07-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-07-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-07-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-07-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-07-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-07-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-07-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-07-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-07-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-07-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-07-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-07-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-07-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-07-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-07-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-07-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-07-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-07-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-08-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-08-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-08-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-08-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-08-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-08-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-08-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-08-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-08-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-08-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-08-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-08-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-08-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-08-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-08-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-08-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-08-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-08-18 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-08-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-08-20 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-08-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-08-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-08-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-08-24 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-08-25 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-08-26 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-08-27 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-08-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-08-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-08-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-08-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-09-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-09-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-09-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-09-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-09-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-09-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-09-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-09-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-09-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-09-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-09-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-09-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-09-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-09-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-09-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-09-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-09-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-09-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-09-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-09-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-09-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-09-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-09-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-09-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-09-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-09-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-09-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-09-28 06:00:00', 'surface', 2.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-09-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-09-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-10-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-10-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-10-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-10-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-10-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-10-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-10-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-10-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-10-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-10-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-10-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-10-12 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-10-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-10-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-10-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-10-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-10-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-10-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-10-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-10-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-10-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-10-22 06:00:00', 'surface', 3.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-10-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-10-24 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-10-25 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-10-26 06:00:00', 'surface', 0.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-10-27 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-10-28 06:00:00', 'surface', 6.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-10-29 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-10-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-10-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-11-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-11-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-11-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-11-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-11-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-11-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-11-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-11-08 06:00:00', 'surface', 2.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-11-09 06:00:00', 'surface', 2.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-11-10 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-11-11 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-11-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-11-13 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-11-14 06:00:00', 'surface', 1.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-11-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-11-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-11-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-11-18 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-11-19 06:00:00', 'surface', 2.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-11-20 06:00:00', 'surface', 9.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-11-21 06:00:00', 'surface', 3.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-11-22 06:00:00', 'surface', 1.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-11-23 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-11-24 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-11-25 06:00:00', 'surface', 3.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-11-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-11-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-11-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-11-29 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-11-30 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-12-01 06:00:00', 'surface', 2.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-12-02 06:00:00', 'surface', 10.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-12-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-12-04 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-12-05 06:00:00', 'surface', 11.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-12-06 06:00:00', 'surface', 2.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-12-07 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-12-08 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-12-09 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-12-10 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-12-11 06:00:00', 'surface', 4.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-12-12 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-12-13 06:00:00', 'surface', 4.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-12-14 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-12-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-12-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-12-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-12-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-12-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-12-20 06:00:00', 'surface', 1.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-12-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-12-22 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-12-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-12-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-12-25 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-12-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-12-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-12-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-12-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-12-30 06:00:00', 'surface', 4.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '1999-12-31 06:00:00', 'surface', 1.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-01-01 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-01-02 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-01-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-01-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-01-05 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-01-06 06:00:00', 'surface', 42.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-01-07 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-01-08 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-01-09 06:00:00', 'surface', 2.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-01-10 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-01-11 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-01-12 06:00:00', 'surface', 36.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-01-13 06:00:00', 'surface', 2.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-01-14 06:00:00', 'surface', 44.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-01-15 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-01-16 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-01-17 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-01-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-01-19 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-01-20 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-01-21 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-01-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-01-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-01-24 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-01-25 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-01-26 06:00:00', 'surface', 1.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-01-27 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-01-28 06:00:00', 'surface', 0.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-01-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-01-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-01-31 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-02-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-02-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-02-03 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-02-04 06:00:00', 'surface', 11.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-02-05 06:00:00', 'surface', 1.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-02-06 06:00:00', 'surface', 1.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-02-07 06:00:00', 'surface', 4.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-02-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-02-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-02-10 06:00:00', 'surface', 5.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-02-11 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-02-12 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-02-13 06:00:00', 'surface', 6.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-02-14 06:00:00', 'surface', 1.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-02-15 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-02-16 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-02-17 06:00:00', 'surface', 4.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-02-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-02-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-02-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-02-21 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-02-22 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-02-23 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-02-24 06:00:00', 'surface', 1.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-02-25 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-02-26 06:00:00', 'surface', 4.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-02-27 06:00:00', 'surface', 1.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-02-28 06:00:00', 'surface', 1.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-02-29 06:00:00', 'surface', 5.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-03-01 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-03-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-03-03 06:00:00', 'surface', 2.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-03-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-03-05 06:00:00', 'surface', 1.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-03-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-03-07 06:00:00', 'surface', 4.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-03-08 06:00:00', 'surface', 1.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-03-09 06:00:00', 'surface', 1.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-03-10 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-03-11 06:00:00', 'surface', 30.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-03-12 06:00:00', 'surface', 1.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-03-13 06:00:00', 'surface', 46.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-03-14 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-03-15 06:00:00', 'surface', 10.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-03-16 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-03-17 06:00:00', 'surface', 66.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-03-18 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-03-19 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-03-20 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-03-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-03-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-03-23 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-03-24 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-03-25 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-03-26 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-03-27 06:00:00', 'surface', 2.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-03-28 06:00:00', 'surface', 1.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-03-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-03-30 06:00:00', 'surface', 0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-03-31 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-04-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-04-02 06:00:00', 'surface', 1.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-04-03 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-04-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-04-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-04-06 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-04-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-04-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-04-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-04-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-04-11 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-04-12 06:00:00', 'surface', 3.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-04-13 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-04-14 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-04-15 06:00:00', 'surface', 36.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-04-16 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-04-17 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-04-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-04-19 06:00:00', 'surface', 5.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-04-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-04-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-04-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-04-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-04-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-04-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-04-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-04-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-04-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-04-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-04-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-05-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-05-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-05-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-05-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-05-05 06:00:00', 'surface', 9.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-05-06 06:00:00', 'surface', 1.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-05-07 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-05-08 06:00:00', 'surface', 45.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-05-09 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-05-10 06:00:00', 'surface', 82.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-05-11 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-05-12 06:00:00', 'surface', 0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-05-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-05-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-05-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-05-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-05-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-05-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-05-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-05-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-05-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-05-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-05-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-05-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-05-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-05-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-05-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-05-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-05-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-05-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-05-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-06-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-06-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-06-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-06-04 06:00:00', 'surface', 8.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-06-05 06:00:00', 'surface', 1.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-06-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-06-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-06-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-06-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-06-10 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-06-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-06-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-06-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-06-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-06-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-06-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-06-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-06-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-06-19 06:00:00', 'surface', 1.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-06-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-06-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-06-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-06-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-06-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-06-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-06-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-06-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-06-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-06-29 06:00:00', 'surface', 0.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-06-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-07-01 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-07-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-07-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-07-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-07-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-07-06 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-07-07 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-07-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-07-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-07-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-07-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-07-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-07-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-07-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-07-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-07-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-07-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-07-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-07-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-07-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-07-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-07-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-07-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-07-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-07-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-07-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-07-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-07-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-07-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-07-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-07-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-08-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-08-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-08-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-08-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-08-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-08-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-08-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-08-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-08-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-08-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-08-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-08-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-08-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-08-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-08-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-08-16 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-08-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-08-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-08-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-08-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-08-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-08-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-08-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-08-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-08-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-08-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-08-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-08-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-08-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-08-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-08-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-09-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-09-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-09-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-09-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-09-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-09-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-09-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-09-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-09-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-09-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-09-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-09-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-09-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-09-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-09-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-09-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-09-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-09-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-09-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-09-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-09-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-09-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-09-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-09-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-09-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-09-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-09-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-09-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-09-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-09-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-10-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-10-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-10-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-10-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-10-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-10-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-10-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-10-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-10-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-10-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-10-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-10-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-10-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-10-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-10-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-10-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-10-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-10-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-10-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-10-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-10-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-10-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-10-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-10-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-10-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-10-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-10-27 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-10-28 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-10-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-10-30 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-10-31 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-11-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-11-02 06:00:00', 'surface', 0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-11-03 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-11-04 06:00:00', 'surface', 2.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-11-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-11-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-11-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-11-08 06:00:00', 'surface', 2.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-11-09 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-11-10 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-11-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-11-12 06:00:00', 'surface', 4.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-11-13 06:00:00', 'surface', 38.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-11-14 06:00:00', 'surface', 1.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-11-15 06:00:00', 'surface', 3.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-11-16 06:00:00', 'surface', 0.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-11-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-11-18 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-11-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-11-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-11-21 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-11-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-11-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-11-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-11-25 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-11-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-11-27 06:00:00', 'surface', 3.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-11-28 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-11-29 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-11-30 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-12-01 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-12-02 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-12-03 06:00:00', 'surface', 1.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-12-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-12-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-12-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-12-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-12-08 06:00:00', 'surface', 30.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-12-09 06:00:00', 'surface', 53.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-12-10 06:00:00', 'surface', 1.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-12-11 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-12-12 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-12-13 06:00:00', 'surface', 5.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-12-14 06:00:00', 'surface', 5.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-12-15 06:00:00', 'surface', 5.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-12-16 06:00:00', 'surface', 1.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-12-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-12-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-12-19 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-12-20 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-12-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-12-22 06:00:00', 'surface', 3.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-12-23 06:00:00', 'surface', 3.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-12-24 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-12-25 06:00:00', 'surface', 0.00, '2', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-12-26 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-12-27 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-12-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-12-29 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-12-30 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 5, '2000-12-31 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1992-11-03 06:00:00', 'surface', 47.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1992-11-04 06:00:00', 'surface', 55.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1992-11-05 06:00:00', 'surface', 56.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1992-11-06 06:00:00', 'surface', 60.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1992-11-07 06:00:00', 'surface', 55.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1992-11-08 06:00:00', 'surface', 40.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1992-11-09 06:00:00', 'surface', 56.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1992-11-10 06:00:00', 'surface', 75.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1992-11-11 06:00:00', 'surface', 61.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1992-11-12 06:00:00', 'surface', 40.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1992-11-13 06:00:00', 'surface', 40.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1992-11-14 06:00:00', 'surface', 46.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1992-11-15 06:00:00', 'surface', 66.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1992-11-16 06:00:00', 'surface', 54.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1992-11-17 06:00:00', 'surface', 57.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1992-11-18 06:00:00', 'surface', 62.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1992-11-19 06:00:00', 'surface', 56.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1992-11-20 06:00:00', 'surface', 45.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1992-11-21 06:00:00', 'surface', 41.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1992-11-22 06:00:00', 'surface', 49.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1992-11-23 06:00:00', 'surface', 63.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1992-11-24 06:00:00', 'surface', 63.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1992-11-25 06:00:00', 'surface', 71.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1992-11-26 06:00:00', 'surface', 79.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1992-11-27 06:00:00', 'surface', 59.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1992-11-28 06:00:00', 'surface', 53.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1992-11-29 06:00:00', 'surface', 41.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1992-11-30 06:00:00', 'surface', 38.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1992-12-01 06:00:00', 'surface', 33.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1992-12-02 06:00:00', 'surface', 33.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1992-12-03 06:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1992-12-04 06:00:00', 'surface', 50.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1992-12-05 06:00:00', 'surface', 69.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1992-12-06 06:00:00', 'surface', 56.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1992-12-07 06:00:00', 'surface', 54.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1992-12-08 06:00:00', 'surface', 86.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1992-12-09 06:00:00', 'surface', 74.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1992-12-10 06:00:00', 'surface', 77.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1992-12-11 06:00:00', 'surface', 87.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1992-12-12 06:00:00', 'surface', 95.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1992-12-13 06:00:00', 'surface', 85.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1992-12-14 06:00:00', 'surface', 82.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1992-12-15 06:00:00', 'surface', 82.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1992-12-16 06:00:00', 'surface', 78.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1992-12-17 06:00:00', 'surface', 82.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1992-12-18 06:00:00', 'surface', 71.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1992-12-19 06:00:00', 'surface', 78.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1992-12-20 06:00:00', 'surface', 88.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1992-12-21 06:00:00', 'surface', 85.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1992-12-22 06:00:00', 'surface', 83.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1992-12-23 06:00:00', 'surface', 82.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1992-12-24 06:00:00', 'surface', 90.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1992-12-25 06:00:00', 'surface', 85.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1992-12-26 06:00:00', 'surface', 75.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1992-12-27 06:00:00', 'surface', 78.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1992-12-28 06:00:00', 'surface', 82.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1992-12-29 06:00:00', 'surface', 96.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1992-12-30 06:00:00', 'surface', 85.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1992-12-31 06:00:00', 'surface', 81.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-01-01 06:00:00', 'surface', 81.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-01-02 06:00:00', 'surface', 81.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-01-03 06:00:00', 'surface', 82.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-01-04 06:00:00', 'surface', 81.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-01-05 06:00:00', 'surface', 83.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-01-06 06:00:00', 'surface', 88.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-01-07 06:00:00', 'surface', 84.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-01-08 06:00:00', 'surface', 90.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-01-09 06:00:00', 'surface', 80.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-01-10 06:00:00', 'surface', 88.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-01-11 06:00:00', 'surface', 82.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-01-12 06:00:00', 'surface', 88.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-01-13 06:00:00', 'surface', 66.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-01-14 06:00:00', 'surface', 65.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-01-15 06:00:00', 'surface', 62.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-01-16 06:00:00', 'surface', 60.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-01-17 06:00:00', 'surface', 67.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-01-18 06:00:00', 'surface', 59.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-01-19 06:00:00', 'surface', 61.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-01-20 06:00:00', 'surface', 68.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-01-21 06:00:00', 'surface', 72.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-01-22 06:00:00', 'surface', 75.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-01-23 06:00:00', 'surface', 72.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-01-24 06:00:00', 'surface', 81.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-01-25 06:00:00', 'surface', 90.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-01-26 06:00:00', 'surface', 82.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-01-27 06:00:00', 'surface', 87.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-01-28 06:00:00', 'surface', 76.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-01-29 06:00:00', 'surface', 76.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-01-30 06:00:00', 'surface', 71.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-01-31 06:00:00', 'surface', 80.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-02-01 06:00:00', 'surface', 81.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-02-02 06:00:00', 'surface', 84.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-02-03 06:00:00', 'surface', 78.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-02-04 06:00:00', 'surface', 74.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-02-05 06:00:00', 'surface', 85.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-02-06 06:00:00', 'surface', 88.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-02-07 06:00:00', 'surface', 90.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-02-08 06:00:00', 'surface', 87.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-02-09 06:00:00', 'surface', 78.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-02-10 06:00:00', 'surface', 70.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-02-11 06:00:00', 'surface', 76.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-02-12 06:00:00', 'surface', 83.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-02-13 06:00:00', 'surface', 85.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-02-14 06:00:00', 'surface', 81.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-02-15 06:00:00', 'surface', 87.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-02-16 06:00:00', 'surface', 81.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-02-17 06:00:00', 'surface', 83.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-02-18 06:00:00', 'surface', 77.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-02-19 06:00:00', 'surface', 88.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-02-20 06:00:00', 'surface', 86.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-02-21 06:00:00', 'surface', 90.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-02-22 06:00:00', 'surface', 88.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-02-23 06:00:00', 'surface', 91.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-02-24 06:00:00', 'surface', 87.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-02-25 06:00:00', 'surface', 90.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-02-26 06:00:00', 'surface', 79.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-02-27 06:00:00', 'surface', 76.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-02-28 06:00:00', 'surface', 76.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-03-01 06:00:00', 'surface', 85.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-03-02 06:00:00', 'surface', 85.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-03-03 06:00:00', 'surface', 81.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-03-04 06:00:00', 'surface', 77.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-03-05 06:00:00', 'surface', 77.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-03-06 06:00:00', 'surface', 72.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-03-07 06:00:00', 'surface', 81.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-03-08 06:00:00', 'surface', 80.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-03-09 06:00:00', 'surface', 65.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-03-10 06:00:00', 'surface', 70.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0);
INSERT INTO `observationfinal` (`recordedFrom`, `describedBy`, `obsDatetime`, `obsLevel`, `obsValue`, `flag`, `period`, `qcStatus`, `qcTypeLog`, `acquisitionType`, `dataForm`, `capturedBy`, `mark`, `temperatureUnits`, `precipitationUnits`, `cloudHeightUnits`, `visUnits`, `dataSourceTimeZone`) VALUES
	('67774010', 17, '1993-03-11 06:00:00', 'surface', 73.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-03-12 06:00:00', 'surface', 86.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-03-13 06:00:00', 'surface', 82.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-03-14 06:00:00', 'surface', 78.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-03-15 06:00:00', 'surface', 76.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-03-16 06:00:00', 'surface', 65.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-03-17 06:00:00', 'surface', 71.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-03-18 06:00:00', 'surface', 79.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-03-19 06:00:00', 'surface', 74.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-03-20 06:00:00', 'surface', 69.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-03-21 06:00:00', 'surface', 72.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-03-22 06:00:00', 'surface', 76.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-03-23 06:00:00', 'surface', 78.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-03-24 06:00:00', 'surface', 80.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-03-25 06:00:00', 'surface', 84.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-03-26 06:00:00', 'surface', 87.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-03-27 06:00:00', 'surface', 73.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-03-28 06:00:00', 'surface', 73.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-03-29 06:00:00', 'surface', 78.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-03-30 06:00:00', 'surface', 77.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-03-31 06:00:00', 'surface', 88.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-04-01 06:00:00', 'surface', 70.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-04-02 06:00:00', 'surface', 78.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-04-03 06:00:00', 'surface', 82.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-04-04 06:00:00', 'surface', 75.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-04-05 06:00:00', 'surface', 70.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-04-06 06:00:00', 'surface', 74.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-04-07 06:00:00', 'surface', 75.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-04-08 06:00:00', 'surface', 81.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-04-09 06:00:00', 'surface', 78.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-04-10 06:00:00', 'surface', 73.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-04-11 06:00:00', 'surface', 67.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-04-12 06:00:00', 'surface', 71.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-04-13 06:00:00', 'surface', 87.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-04-14 06:00:00', 'surface', 89.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-04-15 06:00:00', 'surface', 89.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-04-16 06:00:00', 'surface', 81.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-04-17 06:00:00', 'surface', 81.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-04-18 06:00:00', 'surface', 75.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-04-19 06:00:00', 'surface', 66.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-04-20 06:00:00', 'surface', 73.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-04-21 06:00:00', 'surface', 71.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-04-22 06:00:00', 'surface', 63.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-04-23 06:00:00', 'surface', 71.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-04-24 06:00:00', 'surface', 71.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-04-25 06:00:00', 'surface', 73.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-04-26 06:00:00', 'surface', 79.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-04-27 06:00:00', 'surface', 80.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-04-28 06:00:00', 'surface', 72.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-04-29 06:00:00', 'surface', 81.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-04-30 06:00:00', 'surface', 84.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-05-01 06:00:00', 'surface', 72.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-05-02 06:00:00', 'surface', 75.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-05-03 06:00:00', 'surface', 75.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-05-04 06:00:00', 'surface', 66.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-05-05 06:00:00', 'surface', 67.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-05-06 06:00:00', 'surface', 58.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-05-07 06:00:00', 'surface', 58.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-05-08 06:00:00', 'surface', 54.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-05-09 06:00:00', 'surface', 63.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-05-10 06:00:00', 'surface', 60.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-05-11 06:00:00', 'surface', 59.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-05-12 06:00:00', 'surface', 71.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-05-13 06:00:00', 'surface', 77.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-05-14 06:00:00', 'surface', 70.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-05-15 06:00:00', 'surface', 61.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-05-16 06:00:00', 'surface', 47.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-05-17 06:00:00', 'surface', 60.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-05-18 06:00:00', 'surface', 56.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-05-19 06:00:00', 'surface', 68.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-05-20 06:00:00', 'surface', 64.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-05-21 06:00:00', 'surface', 67.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-05-22 06:00:00', 'surface', 63.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-05-23 06:00:00', 'surface', 63.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-05-24 06:00:00', 'surface', 60.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-05-25 06:00:00', 'surface', 64.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-05-26 06:00:00', 'surface', 64.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-05-27 06:00:00', 'surface', 61.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-05-28 06:00:00', 'surface', 55.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-05-29 06:00:00', 'surface', 56.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-05-30 06:00:00', 'surface', 63.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-05-31 06:00:00', 'surface', 69.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-06-01 06:00:00', 'surface', 72.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-06-02 06:00:00', 'surface', 71.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-06-03 06:00:00', 'surface', 67.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-06-04 06:00:00', 'surface', 63.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-06-05 06:00:00', 'surface', 69.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-06-06 06:00:00', 'surface', 65.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-06-07 06:00:00', 'surface', 69.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-06-08 06:00:00', 'surface', 54.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-06-09 06:00:00', 'surface', 47.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-06-10 06:00:00', 'surface', 58.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-06-11 06:00:00', 'surface', 67.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-06-12 06:00:00', 'surface', 66.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-06-13 06:00:00', 'surface', 65.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-06-14 06:00:00', 'surface', 54.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-06-15 06:00:00', 'surface', 58.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-06-16 06:00:00', 'surface', 63.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-06-17 06:00:00', 'surface', 60.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-06-18 06:00:00', 'surface', 59.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-06-19 06:00:00', 'surface', 60.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-06-20 06:00:00', 'surface', 44.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-06-21 06:00:00', 'surface', 41.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-06-22 06:00:00', 'surface', 59.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-06-23 06:00:00', 'surface', 66.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-06-25 06:00:00', 'surface', 57.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-06-26 06:00:00', 'surface', 70.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-06-27 06:00:00', 'surface', 68.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-06-28 06:00:00', 'surface', 73.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-06-29 06:00:00', 'surface', 67.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-06-30 06:00:00', 'surface', 74.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-07-01 06:00:00', 'surface', 81.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-07-02 06:00:00', 'surface', 73.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-07-03 06:00:00', 'surface', 80.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-07-04 06:00:00', 'surface', 81.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-07-05 06:00:00', 'surface', 77.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-07-06 06:00:00', 'surface', 77.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-07-07 06:00:00', 'surface', 71.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-07-08 06:00:00', 'surface', 65.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-07-09 06:00:00', 'surface', 61.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-07-10 06:00:00', 'surface', 66.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-07-11 06:00:00', 'surface', 62.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-07-12 06:00:00', 'surface', 53.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-07-13 06:00:00', 'surface', 57.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-07-14 06:00:00', 'surface', 60.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-07-15 06:00:00', 'surface', 53.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-07-16 06:00:00', 'surface', 60.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-07-17 06:00:00', 'surface', 61.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-07-18 06:00:00', 'surface', 58.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-07-19 06:00:00', 'surface', 53.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-07-20 06:00:00', 'surface', 45.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-07-21 06:00:00', 'surface', 45.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-07-22 06:00:00', 'surface', 63.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-07-23 06:00:00', 'surface', 61.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-07-24 06:00:00', 'surface', 66.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-07-25 06:00:00', 'surface', 64.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-07-26 06:00:00', 'surface', 56.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-07-27 06:00:00', 'surface', 54.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-07-28 06:00:00', 'surface', 55.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-07-29 06:00:00', 'surface', 46.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-07-30 06:00:00', 'surface', 42.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-07-31 06:00:00', 'surface', 37.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-08-01 06:00:00', 'surface', 52.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-08-02 06:00:00', 'surface', 51.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-08-03 06:00:00', 'surface', 64.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-08-04 06:00:00', 'surface', 65.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-08-05 06:00:00', 'surface', 55.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-08-06 06:00:00', 'surface', 55.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-08-07 06:00:00', 'surface', 51.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-08-08 06:00:00', 'surface', 50.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-08-09 06:00:00', 'surface', 48.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-08-10 06:00:00', 'surface', 62.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-08-11 06:00:00', 'surface', 46.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-08-12 06:00:00', 'surface', 40.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-08-13 06:00:00', 'surface', 71.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-08-14 06:00:00', 'surface', 49.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-08-15 06:00:00', 'surface', 64.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-08-16 06:00:00', 'surface', 60.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-08-17 06:00:00', 'surface', 55.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-08-20 06:00:00', 'surface', 38.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-08-21 06:00:00', 'surface', 39.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-08-22 06:00:00', 'surface', 39.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-08-23 06:00:00', 'surface', 69.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-08-24 06:00:00', 'surface', 59.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-08-25 06:00:00', 'surface', 50.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-08-26 06:00:00', 'surface', 55.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-08-27 06:00:00', 'surface', 59.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-08-28 06:00:00', 'surface', 63.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-08-29 06:00:00', 'surface', 72.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-08-30 06:00:00', 'surface', 61.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-08-31 06:00:00', 'surface', 66.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-09-01 06:00:00', 'surface', 71.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-09-02 06:00:00', 'surface', 53.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-09-03 06:00:00', 'surface', 61.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-09-04 06:00:00', 'surface', 57.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-09-05 06:00:00', 'surface', 48.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-09-06 06:00:00', 'surface', 42.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-09-07 06:00:00', 'surface', 64.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-09-08 06:00:00', 'surface', 49.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-09-09 06:00:00', 'surface', 42.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-09-10 06:00:00', 'surface', 41.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-09-11 06:00:00', 'surface', 35.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-09-12 06:00:00', 'surface', 32.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-09-13 06:00:00', 'surface', 41.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-09-14 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-09-15 06:00:00', 'surface', 32.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-09-16 06:00:00', 'surface', 39.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-09-17 06:00:00', 'surface', 33.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-09-18 06:00:00', 'surface', 33.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-09-19 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-09-20 06:00:00', 'surface', 33.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-09-21 06:00:00', 'surface', 33.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-09-22 06:00:00', 'surface', 35.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-09-23 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-09-24 06:00:00', 'surface', 48.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-09-25 06:00:00', 'surface', 54.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-09-26 06:00:00', 'surface', 47.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-09-27 06:00:00', 'surface', 66.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-09-28 06:00:00', 'surface', 55.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-10-01 06:00:00', 'surface', 44.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-10-02 06:00:00', 'surface', 48.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-10-03 06:00:00', 'surface', 56.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-10-04 06:00:00', 'surface', 50.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-10-05 06:00:00', 'surface', 48.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-10-06 06:00:00', 'surface', 56.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-10-07 06:00:00', 'surface', 54.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-10-08 06:00:00', 'surface', 64.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-10-09 06:00:00', 'surface', 61.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-10-10 06:00:00', 'surface', 69.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-10-11 06:00:00', 'surface', 63.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-10-12 06:00:00', 'surface', 53.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-10-13 06:00:00', 'surface', 48.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-10-14 06:00:00', 'surface', 41.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-10-15 06:00:00', 'surface', 51.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-10-16 06:00:00', 'surface', 48.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-10-17 06:00:00', 'surface', 42.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-10-18 06:00:00', 'surface', 41.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-10-19 06:00:00', 'surface', 52.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-10-20 06:00:00', 'surface', 50.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-10-21 06:00:00', 'surface', 43.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-10-22 06:00:00', 'surface', 39.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-10-23 06:00:00', 'surface', 47.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-10-24 06:00:00', 'surface', 53.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-10-25 06:00:00', 'surface', 56.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-10-26 06:00:00', 'surface', 56.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-10-27 06:00:00', 'surface', 61.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-10-28 06:00:00', 'surface', 59.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-10-29 06:00:00', 'surface', 45.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-10-30 06:00:00', 'surface', 39.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-10-31 06:00:00', 'surface', 36.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-11-01 06:00:00', 'surface', 32.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-11-02 06:00:00', 'surface', 56.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-11-03 06:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-11-04 06:00:00', 'surface', 49.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-11-05 06:00:00', 'surface', 54.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-11-06 06:00:00', 'surface', 80.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-11-07 06:00:00', 'surface', 79.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-11-08 06:00:00', 'surface', 68.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-11-09 06:00:00', 'surface', 73.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-11-12 06:00:00', 'surface', 86.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-11-13 06:00:00', 'surface', 87.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-11-14 06:00:00', 'surface', 85.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-11-15 06:00:00', 'surface', 78.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-11-16 06:00:00', 'surface', 71.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-11-17 06:00:00', 'surface', 63.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-11-18 06:00:00', 'surface', 52.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-11-19 06:00:00', 'surface', 59.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-11-20 06:00:00', 'surface', 58.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-11-21 06:00:00', 'surface', 50.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-11-22 06:00:00', 'surface', 50.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-11-23 06:00:00', 'surface', 47.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-11-24 06:00:00', 'surface', 75.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-11-25 06:00:00', 'surface', 90.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-11-28 06:00:00', 'surface', 81.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-11-29 06:00:00', 'surface', 82.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-11-30 06:00:00', 'surface', 82.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-12-01 06:00:00', 'surface', 72.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-12-04 06:00:00', 'surface', 69.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-12-05 06:00:00', 'surface', 80.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-12-06 06:00:00', 'surface', 65.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-12-07 06:00:00', 'surface', 61.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-12-08 06:00:00', 'surface', 58.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-12-09 06:00:00', 'surface', 69.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-12-10 06:00:00', 'surface', 80.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-12-11 06:00:00', 'surface', 81.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-12-12 06:00:00', 'surface', 84.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-12-13 06:00:00', 'surface', 64.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-12-14 06:00:00', 'surface', 60.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-12-15 06:00:00', 'surface', 58.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-12-17 06:00:00', 'surface', 58.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-12-18 06:00:00', 'surface', 60.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-12-19 06:00:00', 'surface', 74.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-12-20 06:00:00', 'surface', 74.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-12-21 06:00:00', 'surface', 85.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-12-22 06:00:00', 'surface', 78.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-12-23 06:00:00', 'surface', 87.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-12-24 06:00:00', 'surface', 68.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-12-25 06:00:00', 'surface', 71.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-12-26 06:00:00', 'surface', 79.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-12-28 06:00:00', 'surface', 87.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-12-29 06:00:00', 'surface', 79.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1993-12-31 06:00:00', 'surface', 78.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-01-01 06:00:00', 'surface', 82.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-01-02 06:00:00', 'surface', 63.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-01-03 06:00:00', 'surface', 80.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-01-04 06:00:00', 'surface', 90.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-01-05 06:00:00', 'surface', 82.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-01-06 06:00:00', 'surface', 78.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-01-07 06:00:00', 'surface', 66.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-01-08 06:00:00', 'surface', 60.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-01-09 06:00:00', 'surface', 60.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-01-10 06:00:00', 'surface', 66.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-01-11 06:00:00', 'surface', 60.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-01-12 06:00:00', 'surface', 66.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-01-13 06:00:00', 'surface', 69.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-01-14 06:00:00', 'surface', 69.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-01-15 06:00:00', 'surface', 90.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-01-16 06:00:00', 'surface', 90.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-01-17 06:00:00', 'surface', 88.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-01-18 06:00:00', 'surface', 77.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-01-19 06:00:00', 'surface', 83.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-01-20 06:00:00', 'surface', 78.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-01-21 06:00:00', 'surface', 82.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-01-22 06:00:00', 'surface', 82.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-01-23 06:00:00', 'surface', 81.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-01-24 06:00:00', 'surface', 81.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-01-25 06:00:00', 'surface', 92.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-01-26 06:00:00', 'surface', 86.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-01-27 06:00:00', 'surface', 85.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-01-28 06:00:00', 'surface', 83.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-01-29 06:00:00', 'surface', 86.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-01-30 06:00:00', 'surface', 76.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-01-31 06:00:00', 'surface', 76.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-02-01 06:00:00', 'surface', 60.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-02-02 06:00:00', 'surface', 66.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-02-03 06:00:00', 'surface', 69.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-02-04 06:00:00', 'surface', 80.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-02-05 06:00:00', 'surface', 88.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-02-06 06:00:00', 'surface', 88.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-02-07 06:00:00', 'surface', 91.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-02-08 06:00:00', 'surface', 79.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-02-09 06:00:00', 'surface', 83.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-02-10 06:00:00', 'surface', 93.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-02-11 06:00:00', 'surface', 73.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-02-12 06:00:00', 'surface', 70.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-02-13 06:00:00', 'surface', 73.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-02-14 06:00:00', 'surface', 71.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-02-15 06:00:00', 'surface', 66.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-02-16 06:00:00', 'surface', 62.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-02-17 06:00:00', 'surface', 66.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-02-18 06:00:00', 'surface', 60.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-02-19 06:00:00', 'surface', 59.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-02-20 06:00:00', 'surface', 77.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-02-21 06:00:00', 'surface', 89.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-02-22 06:00:00', 'surface', 69.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-02-23 06:00:00', 'surface', 73.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-02-24 06:00:00', 'surface', 72.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-02-25 06:00:00', 'surface', 67.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-02-26 06:00:00', 'surface', 70.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-02-27 06:00:00', 'surface', 71.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-02-28 06:00:00', 'surface', 83.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-03-01 06:00:00', 'surface', 86.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-03-02 06:00:00', 'surface', 86.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-03-03 06:00:00', 'surface', 75.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-03-04 06:00:00', 'surface', 68.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-03-05 06:00:00', 'surface', 60.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-03-06 06:00:00', 'surface', 71.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-03-07 06:00:00', 'surface', 69.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-03-08 06:00:00', 'surface', 60.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-03-10 06:00:00', 'surface', 66.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-03-11 06:00:00', 'surface', 67.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-03-12 06:00:00', 'surface', 76.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-03-13 06:00:00', 'surface', 75.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-03-14 06:00:00', 'surface', 69.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-03-15 06:00:00', 'surface', 66.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-03-16 06:00:00', 'surface', 63.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-03-17 06:00:00', 'surface', 63.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-03-18 06:00:00', 'surface', 55.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-03-20 06:00:00', 'surface', 80.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-03-21 06:00:00', 'surface', 66.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-03-22 06:00:00', 'surface', 56.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-03-24 06:00:00', 'surface', 47.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-03-25 06:00:00', 'surface', 48.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-03-26 06:00:00', 'surface', 65.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-03-27 06:00:00', 'surface', 56.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-03-28 06:00:00', 'surface', 65.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-03-29 06:00:00', 'surface', 72.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-03-30 06:00:00', 'surface', 66.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-03-31 06:00:00', 'surface', 63.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-04-03 06:00:00', 'surface', 58.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-04-04 06:00:00', 'surface', 57.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-04-06 06:00:00', 'surface', 67.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-04-07 06:00:00', 'surface', 60.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-04-08 06:00:00', 'surface', 60.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-04-09 06:00:00', 'surface', 64.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-04-10 06:00:00', 'surface', 54.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-04-11 06:00:00', 'surface', 52.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-04-12 06:00:00', 'surface', 54.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-04-13 06:00:00', 'surface', 64.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-04-14 06:00:00', 'surface', 57.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-04-15 06:00:00', 'surface', 52.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-04-16 06:00:00', 'surface', 53.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-04-17 06:00:00', 'surface', 53.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-04-18 06:00:00', 'surface', 46.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-04-19 06:00:00', 'surface', 39.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-04-21 06:00:00', 'surface', 74.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-04-22 06:00:00', 'surface', 73.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-04-23 06:00:00', 'surface', 80.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-04-24 06:00:00', 'surface', 84.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-04-27 06:00:00', 'surface', 61.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-04-28 06:00:00', 'surface', 64.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-04-29 06:00:00', 'surface', 62.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-04-30 06:00:00', 'surface', 63.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-05-01 06:00:00', 'surface', 64.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-05-02 06:00:00', 'surface', 67.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-05-03 06:00:00', 'surface', 56.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-05-04 06:00:00', 'surface', 42.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-05-05 06:00:00', 'surface', 37.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-05-06 06:00:00', 'surface', 50.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-05-07 06:00:00', 'surface', 50.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-05-08 06:00:00', 'surface', 59.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-05-09 06:00:00', 'surface', 56.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-05-10 06:00:00', 'surface', 57.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-05-11 06:00:00', 'surface', 51.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-05-12 06:00:00', 'surface', 36.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-05-13 06:00:00', 'surface', 51.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-05-14 06:00:00', 'surface', 60.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-05-15 06:00:00', 'surface', 59.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-05-16 06:00:00', 'surface', 69.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-05-17 06:00:00', 'surface', 65.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-05-18 06:00:00', 'surface', 62.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-05-19 06:00:00', 'surface', 67.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-05-20 06:00:00', 'surface', 77.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-05-21 06:00:00', 'surface', 75.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-05-22 06:00:00', 'surface', 65.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-05-23 06:00:00', 'surface', 52.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-05-24 06:00:00', 'surface', 64.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-05-25 06:00:00', 'surface', 56.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-05-26 06:00:00', 'surface', 51.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-05-27 06:00:00', 'surface', 52.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-05-28 06:00:00', 'surface', 44.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-05-29 06:00:00', 'surface', 35.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-05-30 06:00:00', 'surface', 58.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-05-31 06:00:00', 'surface', 49.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-06-01 06:00:00', 'surface', 51.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-06-02 06:00:00', 'surface', 63.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-06-03 06:00:00', 'surface', 59.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-06-04 06:00:00', 'surface', 56.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-06-05 06:00:00', 'surface', 54.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-06-06 06:00:00', 'surface', 44.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-06-07 06:00:00', 'surface', 40.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-06-08 06:00:00', 'surface', 64.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-06-09 06:00:00', 'surface', 66.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-06-10 06:00:00', 'surface', 50.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-06-11 06:00:00', 'surface', 64.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-06-12 06:00:00', 'surface', 60.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-06-13 06:00:00', 'surface', 54.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-06-14 06:00:00', 'surface', 56.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-06-15 06:00:00', 'surface', 57.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-06-16 06:00:00', 'surface', 61.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-06-17 06:00:00', 'surface', 56.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-06-18 06:00:00', 'surface', 59.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-06-19 06:00:00', 'surface', 44.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-06-20 06:00:00', 'surface', 48.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-06-21 06:00:00', 'surface', 44.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-06-22 06:00:00', 'surface', 53.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-06-23 06:00:00', 'surface', 74.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-06-24 06:00:00', 'surface', 67.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-06-25 06:00:00', 'surface', 63.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-06-26 06:00:00', 'surface', 56.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-06-27 06:00:00', 'surface', 46.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-06-28 06:00:00', 'surface', 47.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-06-29 06:00:00', 'surface', 40.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-06-30 06:00:00', 'surface', 40.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-07-01 06:00:00', 'surface', 60.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-07-02 06:00:00', 'surface', 70.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-07-03 06:00:00', 'surface', 63.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-07-04 06:00:00', 'surface', 57.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-07-05 06:00:00', 'surface', 53.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-07-06 06:00:00', 'surface', 41.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-07-07 06:00:00', 'surface', 61.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-07-08 06:00:00', 'surface', 64.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-07-09 06:00:00', 'surface', 59.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-07-10 06:00:00', 'surface', 50.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-07-11 06:00:00', 'surface', 48.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-07-12 06:00:00', 'surface', 54.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-07-13 06:00:00', 'surface', 42.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-07-14 06:00:00', 'surface', 50.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-07-15 06:00:00', 'surface', 49.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-07-16 06:00:00', 'surface', 55.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-07-17 06:00:00', 'surface', 60.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-07-18 06:00:00', 'surface', 52.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-07-19 06:00:00', 'surface', 60.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-07-20 06:00:00', 'surface', 63.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-07-21 06:00:00', 'surface', 56.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-07-22 06:00:00', 'surface', 57.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-07-23 06:00:00', 'surface', 61.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-07-24 06:00:00', 'surface', 54.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-07-25 06:00:00', 'surface', 43.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-07-26 06:00:00', 'surface', 46.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-07-27 06:00:00', 'surface', 40.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-07-28 06:00:00', 'surface', 62.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-07-29 06:00:00', 'surface', 54.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-07-30 06:00:00', 'surface', 58.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-07-31 06:00:00', 'surface', 57.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-08-01 06:00:00', 'surface', 53.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-08-02 06:00:00', 'surface', 54.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-08-03 06:00:00', 'surface', 52.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-08-04 06:00:00', 'surface', 50.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-08-05 06:00:00', 'surface', 58.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-08-06 06:00:00', 'surface', 49.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-08-07 06:00:00', 'surface', 46.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-08-08 06:00:00', 'surface', 45.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-08-09 06:00:00', 'surface', 42.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-08-10 06:00:00', 'surface', 41.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-08-11 06:00:00', 'surface', 40.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-08-12 06:00:00', 'surface', 32.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-08-13 06:00:00', 'surface', 33.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-08-14 06:00:00', 'surface', 32.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-08-15 06:00:00', 'surface', 53.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-08-16 06:00:00', 'surface', 68.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-08-17 06:00:00', 'surface', 64.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-08-18 06:00:00', 'surface', 51.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-08-19 06:00:00', 'surface', 51.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-08-20 06:00:00', 'surface', 53.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-08-21 06:00:00', 'surface', 69.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-08-22 06:00:00', 'surface', 80.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-08-23 06:00:00', 'surface', 65.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-08-24 06:00:00', 'surface', 49.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-08-25 06:00:00', 'surface', 43.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-08-26 06:00:00', 'surface', 48.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-08-27 06:00:00', 'surface', 41.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-08-28 06:00:00', 'surface', 35.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-08-29 06:00:00', 'surface', 40.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-08-30 06:00:00', 'surface', 45.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-08-31 06:00:00', 'surface', 39.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-09-01 06:00:00', 'surface', 35.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-09-02 06:00:00', 'surface', 37.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-09-03 06:00:00', 'surface', 43.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-09-04 06:00:00', 'surface', 48.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-09-05 06:00:00', 'surface', 44.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-09-06 06:00:00', 'surface', 42.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-09-07 06:00:00', 'surface', 37.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-09-08 06:00:00', 'surface', 32.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-09-09 06:00:00', 'surface', 55.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-09-10 06:00:00', 'surface', 69.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-09-11 06:00:00', 'surface', 51.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-09-12 06:00:00', 'surface', 52.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-09-13 06:00:00', 'surface', 38.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-09-14 06:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-09-15 06:00:00', 'surface', 50.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-09-16 06:00:00', 'surface', 48.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-09-17 06:00:00', 'surface', 40.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-09-18 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-09-19 06:00:00', 'surface', 32.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-09-20 06:00:00', 'surface', 40.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-09-21 06:00:00', 'surface', 39.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-09-22 06:00:00', 'surface', 44.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-09-23 06:00:00', 'surface', 45.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-09-24 06:00:00', 'surface', 38.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-09-25 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-09-26 06:00:00', 'surface', 39.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-09-27 06:00:00', 'surface', 43.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-09-28 06:00:00', 'surface', 33.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-09-29 06:00:00', 'surface', 35.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-09-30 06:00:00', 'surface', 66.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-10-01 06:00:00', 'surface', 50.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-10-02 06:00:00', 'surface', 41.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-10-03 06:00:00', 'surface', 38.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-10-04 06:00:00', 'surface', 33.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-10-05 06:00:00', 'surface', 60.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-10-06 06:00:00', 'surface', 60.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-10-07 06:00:00', 'surface', 49.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-10-08 06:00:00', 'surface', 45.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-10-09 06:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-10-10 06:00:00', 'surface', 35.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-10-11 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-10-12 06:00:00', 'surface', 41.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-10-13 06:00:00', 'surface', 64.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-10-14 06:00:00', 'surface', 72.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-10-15 06:00:00', 'surface', 80.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-10-16 06:00:00', 'surface', 91.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-10-17 06:00:00', 'surface', 88.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-10-18 06:00:00', 'surface', 90.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-10-19 06:00:00', 'surface', 79.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-10-20 06:00:00', 'surface', 69.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-10-21 06:00:00', 'surface', 51.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-10-22 06:00:00', 'surface', 60.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-10-23 06:00:00', 'surface', 59.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-10-24 06:00:00', 'surface', 56.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-10-25 06:00:00', 'surface', 47.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-10-26 06:00:00', 'surface', 40.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-10-27 06:00:00', 'surface', 36.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-10-28 06:00:00', 'surface', 44.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-10-29 06:00:00', 'surface', 45.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-10-30 06:00:00', 'surface', 57.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-10-31 06:00:00', 'surface', 89.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-11-01 06:00:00', 'surface', 75.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-11-02 06:00:00', 'surface', 64.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-11-03 06:00:00', 'surface', 61.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-11-04 06:00:00', 'surface', 47.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-11-05 06:00:00', 'surface', 44.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-11-06 06:00:00', 'surface', 39.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-11-07 06:00:00', 'surface', 51.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-11-08 06:00:00', 'surface', 46.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-11-09 06:00:00', 'surface', 38.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-11-10 06:00:00', 'surface', 35.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-11-11 06:00:00', 'surface', 33.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-11-12 06:00:00', 'surface', 33.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-11-13 06:00:00', 'surface', 40.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-11-14 06:00:00', 'surface', 41.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-11-15 06:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-11-16 06:00:00', 'surface', 39.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-11-18 06:00:00', 'surface', 43.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-11-19 06:00:00', 'surface', 39.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-11-20 06:00:00', 'surface', 43.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-11-21 06:00:00', 'surface', 32.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-11-22 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-11-23 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-11-26 06:00:00', 'surface', 73.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-11-27 06:00:00', 'surface', 53.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-11-28 06:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-11-29 06:00:00', 'surface', 53.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-11-30 06:00:00', 'surface', 67.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-12-01 06:00:00', 'surface', 70.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-12-02 06:00:00', 'surface', 68.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-12-03 06:00:00', 'surface', 81.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-12-04 06:00:00', 'surface', 65.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-12-05 06:00:00', 'surface', 48.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-12-06 06:00:00', 'surface', 39.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-12-07 06:00:00', 'surface', 47.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-12-08 06:00:00', 'surface', 48.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-12-09 06:00:00', 'surface', 62.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-12-10 06:00:00', 'surface', 69.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-12-12 06:00:00', 'surface', 72.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-12-13 06:00:00', 'surface', 61.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-12-14 06:00:00', 'surface', 48.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-12-15 06:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-12-16 06:00:00', 'surface', 52.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-12-17 06:00:00', 'surface', 48.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-12-18 06:00:00', 'surface', 53.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-12-19 06:00:00', 'surface', 71.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-12-20 06:00:00', 'surface', 68.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-12-21 06:00:00', 'surface', 55.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-12-22 06:00:00', 'surface', 67.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-12-23 06:00:00', 'surface', 72.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-12-26 06:00:00', 'surface', 88.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-12-27 06:00:00', 'surface', 83.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-12-28 06:00:00', 'surface', 86.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-12-29 06:00:00', 'surface', 78.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-12-30 06:00:00', 'surface', 87.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1994-12-31 06:00:00', 'surface', 81.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-01-01 06:00:00', 'surface', 63.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-01-02 06:00:00', 'surface', 63.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-01-03 06:00:00', 'surface', 66.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-01-04 06:00:00', 'surface', 64.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-01-05 06:00:00', 'surface', 59.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-01-06 06:00:00', 'surface', 53.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-01-07 06:00:00', 'surface', 51.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-01-08 06:00:00', 'surface', 61.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-01-09 06:00:00', 'surface', 69.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-01-10 06:00:00', 'surface', 75.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-01-11 06:00:00', 'surface', 79.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-01-12 06:00:00', 'surface', 69.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-01-13 06:00:00', 'surface', 69.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-01-14 06:00:00', 'surface', 85.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-01-15 06:00:00', 'surface', 92.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-01-16 06:00:00', 'surface', 93.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-01-17 06:00:00', 'surface', 85.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-01-18 06:00:00', 'surface', 91.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-01-19 06:00:00', 'surface', 96.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-01-20 06:00:00', 'surface', 84.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-01-21 06:00:00', 'surface', 74.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-01-22 06:00:00', 'surface', 70.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-01-23 06:00:00', 'surface', 66.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-01-24 06:00:00', 'surface', 62.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-01-25 06:00:00', 'surface', 71.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-01-26 06:00:00', 'surface', 68.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-01-27 06:00:00', 'surface', 71.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-01-28 06:00:00', 'surface', 69.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-01-29 06:00:00', 'surface', 61.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-01-30 06:00:00', 'surface', 62.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-01-31 06:00:00', 'surface', 67.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-02-01 06:00:00', 'surface', 74.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-02-02 06:00:00', 'surface', 75.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-02-03 06:00:00', 'surface', 61.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-02-04 06:00:00', 'surface', 65.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-02-05 06:00:00', 'surface', 64.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-02-06 06:00:00', 'surface', 60.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-02-07 06:00:00', 'surface', 71.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-02-08 06:00:00', 'surface', 68.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-02-09 06:00:00', 'surface', 78.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-02-10 06:00:00', 'surface', 80.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-02-11 06:00:00', 'surface', 74.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-02-12 06:00:00', 'surface', 70.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-02-13 06:00:00', 'surface', 51.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-02-14 06:00:00', 'surface', 55.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-02-15 06:00:00', 'surface', 66.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-02-16 06:00:00', 'surface', 76.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-02-17 06:00:00', 'surface', 78.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-02-18 06:00:00', 'surface', 82.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-02-19 06:00:00', 'surface', 84.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-02-20 06:00:00', 'surface', 82.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-02-21 06:00:00', 'surface', 70.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-02-22 06:00:00', 'surface', 59.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-02-23 06:00:00', 'surface', 65.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-02-24 06:00:00', 'surface', 63.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-02-25 06:00:00', 'surface', 63.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-02-26 06:00:00', 'surface', 58.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-02-27 06:00:00', 'surface', 70.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-02-28 06:00:00', 'surface', 88.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-03-01 06:00:00', 'surface', 70.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-03-02 06:00:00', 'surface', 68.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-03-03 06:00:00', 'surface', 64.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-03-04 06:00:00', 'surface', 60.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-03-05 06:00:00', 'surface', 60.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-03-06 06:00:00', 'surface', 74.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-03-07 06:00:00', 'surface', 71.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-03-08 06:00:00', 'surface', 64.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-03-09 06:00:00', 'surface', 59.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-03-10 06:00:00', 'surface', 58.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-03-11 06:00:00', 'surface', 75.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-03-12 06:00:00', 'surface', 59.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-03-13 06:00:00', 'surface', 42.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-03-14 06:00:00', 'surface', 47.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-03-15 06:00:00', 'surface', 63.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-03-16 06:00:00', 'surface', 70.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-03-17 06:00:00', 'surface', 68.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-03-18 06:00:00', 'surface', 61.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-03-19 06:00:00', 'surface', 52.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-03-20 06:00:00', 'surface', 49.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-03-21 06:00:00', 'surface', 43.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-03-22 06:00:00', 'surface', 55.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-03-23 06:00:00', 'surface', 64.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-03-24 06:00:00', 'surface', 61.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-03-25 06:00:00', 'surface', 69.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-03-26 06:00:00', 'surface', 70.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-03-27 06:00:00', 'surface', 63.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-03-28 06:00:00', 'surface', 61.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-03-29 06:00:00', 'surface', 65.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-03-30 06:00:00', 'surface', 67.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-03-31 06:00:00', 'surface', 64.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-04-01 06:00:00', 'surface', 73.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-04-02 06:00:00', 'surface', 63.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-04-03 06:00:00', 'surface', 55.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-04-04 06:00:00', 'surface', 56.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-04-05 06:00:00', 'surface', 47.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-04-06 06:00:00', 'surface', 54.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-04-07 06:00:00', 'surface', 67.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-04-08 06:00:00', 'surface', 74.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-04-09 06:00:00', 'surface', 77.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-04-10 06:00:00', 'surface', 65.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-04-11 06:00:00', 'surface', 73.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-04-12 06:00:00', 'surface', 61.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-04-13 06:00:00', 'surface', 58.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-04-14 06:00:00', 'surface', 53.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-04-15 06:00:00', 'surface', 47.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-04-16 06:00:00', 'surface', 40.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-04-17 06:00:00', 'surface', 46.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-04-18 06:00:00', 'surface', 67.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-04-19 06:00:00', 'surface', 63.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-04-20 06:00:00', 'surface', 53.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-04-21 06:00:00', 'surface', 39.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-04-22 06:00:00', 'surface', 48.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-04-23 06:00:00', 'surface', 54.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-04-24 06:00:00', 'surface', 47.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-04-25 06:00:00', 'surface', 43.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-04-26 06:00:00', 'surface', 49.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-04-27 06:00:00', 'surface', 49.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-04-28 06:00:00', 'surface', 51.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-04-29 06:00:00', 'surface', 66.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-04-30 06:00:00', 'surface', 69.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-05-01 06:00:00', 'surface', 72.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-05-02 06:00:00', 'surface', 63.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-05-03 06:00:00', 'surface', 59.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-05-04 06:00:00', 'surface', 59.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-05-05 06:00:00', 'surface', 54.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-05-06 06:00:00', 'surface', 57.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-05-07 06:00:00', 'surface', 50.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-05-08 06:00:00', 'surface', 58.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-05-09 06:00:00', 'surface', 50.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-05-10 06:00:00', 'surface', 65.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-05-11 06:00:00', 'surface', 69.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-05-12 06:00:00', 'surface', 63.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-05-13 06:00:00', 'surface', 66.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-05-14 06:00:00', 'surface', 84.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-05-15 06:00:00', 'surface', 71.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-05-16 06:00:00', 'surface', 68.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-05-17 06:00:00', 'surface', 58.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-05-18 06:00:00', 'surface', 59.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-05-19 06:00:00', 'surface', 62.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-05-20 06:00:00', 'surface', 61.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-05-21 06:00:00', 'surface', 52.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-05-22 06:00:00', 'surface', 49.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-05-23 06:00:00', 'surface', 58.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-05-24 06:00:00', 'surface', 67.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-05-25 06:00:00', 'surface', 76.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-05-26 06:00:00', 'surface', 66.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-05-27 06:00:00', 'surface', 61.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-05-28 06:00:00', 'surface', 56.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-05-29 06:00:00', 'surface', 64.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-05-30 06:00:00', 'surface', 68.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-05-31 06:00:00', 'surface', 53.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-06-01 06:00:00', 'surface', 50.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-06-02 06:00:00', 'surface', 64.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-06-03 06:00:00', 'surface', 82.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-06-04 06:00:00', 'surface', 73.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-06-05 06:00:00', 'surface', 66.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-06-06 06:00:00', 'surface', 46.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-06-07 06:00:00', 'surface', 57.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-06-08 06:00:00', 'surface', 58.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-06-09 06:00:00', 'surface', 52.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-06-10 06:00:00', 'surface', 48.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-06-11 06:00:00', 'surface', 50.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-06-12 06:00:00', 'surface', 46.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-06-13 06:00:00', 'surface', 56.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-06-14 06:00:00', 'surface', 58.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-06-15 06:00:00', 'surface', 56.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-06-16 06:00:00', 'surface', 44.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-06-17 06:00:00', 'surface', 40.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-06-18 06:00:00', 'surface', 38.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-06-19 06:00:00', 'surface', 65.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-06-20 06:00:00', 'surface', 65.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-06-21 06:00:00', 'surface', 61.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-06-22 06:00:00', 'surface', 64.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-06-23 06:00:00', 'surface', 67.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-06-24 06:00:00', 'surface', 59.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-06-25 06:00:00', 'surface', 58.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-06-26 06:00:00', 'surface', 59.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-06-27 06:00:00', 'surface', 52.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-06-28 06:00:00', 'surface', 53.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-06-29 06:00:00', 'surface', 50.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-06-30 06:00:00', 'surface', 48.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-07-01 06:00:00', 'surface', 35.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-07-02 06:00:00', 'surface', 53.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-07-03 06:00:00', 'surface', 68.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-07-04 06:00:00', 'surface', 70.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-07-05 06:00:00', 'surface', 68.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-07-06 06:00:00', 'surface', 64.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-07-07 06:00:00', 'surface', 68.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-07-08 06:00:00', 'surface', 58.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-07-11 06:00:00', 'surface', 37.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-07-12 06:00:00', 'surface', 40.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-07-13 06:00:00', 'surface', 51.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-07-14 06:00:00', 'surface', 72.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-07-15 06:00:00', 'surface', 59.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-07-16 06:00:00', 'surface', 48.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-07-17 06:00:00', 'surface', 57.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-07-18 06:00:00', 'surface', 47.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-07-19 06:00:00', 'surface', 43.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-07-20 06:00:00', 'surface', 62.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-07-21 06:00:00', 'surface', 70.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-07-24 06:00:00', 'surface', 60.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-07-25 06:00:00', 'surface', 53.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-07-26 06:00:00', 'surface', 51.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-07-27 06:00:00', 'surface', 54.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-07-28 06:00:00', 'surface', 46.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-07-29 06:00:00', 'surface', 57.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-07-30 06:00:00', 'surface', 54.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-07-31 06:00:00', 'surface', 50.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-08-01 06:00:00', 'surface', 62.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-08-02 06:00:00', 'surface', 60.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-08-03 06:00:00', 'surface', 50.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-08-04 06:00:00', 'surface', 56.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-08-05 06:00:00', 'surface', 55.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-08-06 06:00:00', 'surface', 62.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-08-07 06:00:00', 'surface', 56.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-08-08 06:00:00', 'surface', 61.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-08-09 06:00:00', 'surface', 52.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-08-10 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-08-11 06:00:00', 'surface', 47.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-08-12 06:00:00', 'surface', 65.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-08-13 06:00:00', 'surface', 56.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-08-14 06:00:00', 'surface', 65.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-08-15 06:00:00', 'surface', 55.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-08-16 06:00:00', 'surface', 49.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-08-17 06:00:00', 'surface', 64.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-08-18 06:00:00', 'surface', 62.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-08-19 06:00:00', 'surface', 59.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-08-20 06:00:00', 'surface', 54.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-08-21 06:00:00', 'surface', 46.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-08-22 06:00:00', 'surface', 47.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-08-23 06:00:00', 'surface', 56.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-08-24 06:00:00', 'surface', 68.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-08-25 06:00:00', 'surface', 73.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-08-26 06:00:00', 'surface', 59.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-08-27 06:00:00', 'surface', 38.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-08-28 06:00:00', 'surface', 38.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-08-29 06:00:00', 'surface', 51.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-08-30 06:00:00', 'surface', 46.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-08-31 06:00:00', 'surface', 37.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-09-01 06:00:00', 'surface', 37.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-09-02 06:00:00', 'surface', 32.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-09-03 06:00:00', 'surface', 36.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-09-04 06:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-09-05 06:00:00', 'surface', 46.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-09-06 06:00:00', 'surface', 41.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-09-07 06:00:00', 'surface', 37.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-09-08 06:00:00', 'surface', 38.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-09-09 06:00:00', 'surface', 31.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-09-10 06:00:00', 'surface', 33.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-09-11 06:00:00', 'surface', 47.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-09-12 06:00:00', 'surface', 46.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-09-13 06:00:00', 'surface', 43.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-09-14 06:00:00', 'surface', 51.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-09-15 06:00:00', 'surface', 54.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-09-16 06:00:00', 'surface', 51.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-09-17 06:00:00', 'surface', 40.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-09-18 06:00:00', 'surface', 38.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-09-19 06:00:00', 'surface', 47.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-09-20 06:00:00', 'surface', 66.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-09-21 06:00:00', 'surface', 55.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-09-22 06:00:00', 'surface', 41.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-09-23 06:00:00', 'surface', 39.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-09-24 06:00:00', 'surface', 37.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-09-25 06:00:00', 'surface', 36.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-09-26 06:00:00', 'surface', 31.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-09-27 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-09-28 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-09-29 06:00:00', 'surface', 37.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-09-30 06:00:00', 'surface', 44.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-10-01 06:00:00', 'surface', 39.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-10-02 06:00:00', 'surface', 40.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-10-03 06:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-10-04 06:00:00', 'surface', 35.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-10-05 06:00:00', 'surface', 35.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-10-06 06:00:00', 'surface', 35.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-10-07 06:00:00', 'surface', 32.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-10-08 06:00:00', 'surface', 36.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-10-09 06:00:00', 'surface', 33.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-10-10 06:00:00', 'surface', 31.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-10-11 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-10-12 06:00:00', 'surface', 32.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-10-13 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-10-14 06:00:00', 'surface', 33.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-10-15 06:00:00', 'surface', 44.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-10-16 06:00:00', 'surface', 45.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-10-17 06:00:00', 'surface', 50.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-10-18 06:00:00', 'surface', 38.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-10-19 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-10-20 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-10-21 06:00:00', 'surface', 54.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-10-22 06:00:00', 'surface', 51.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-10-23 06:00:00', 'surface', 61.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-10-24 06:00:00', 'surface', 57.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-10-25 06:00:00', 'surface', 67.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-10-26 06:00:00', 'surface', 59.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-10-27 06:00:00', 'surface', 66.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-10-28 06:00:00', 'surface', 64.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-10-29 06:00:00', 'surface', 74.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-10-30 06:00:00', 'surface', 81.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-10-31 06:00:00', 'surface', 66.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-11-01 06:00:00', 'surface', 51.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-11-02 06:00:00', 'surface', 47.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-11-03 06:00:00', 'surface', 36.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-11-04 06:00:00', 'surface', 33.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-11-05 06:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-11-06 06:00:00', 'surface', 43.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-11-07 06:00:00', 'surface', 46.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-11-08 06:00:00', 'surface', 39.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-11-09 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-11-10 06:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-11-11 06:00:00', 'surface', 42.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-11-12 06:00:00', 'surface', 50.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-11-13 06:00:00', 'surface', 41.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-11-14 06:00:00', 'surface', 39.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-11-15 06:00:00', 'surface', 37.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-11-16 06:00:00', 'surface', 37.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-11-17 06:00:00', 'surface', 41.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-11-18 06:00:00', 'surface', 52.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-11-19 06:00:00', 'surface', 54.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-11-20 06:00:00', 'surface', 60.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-11-21 06:00:00', 'surface', 65.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-11-22 06:00:00', 'surface', 83.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-11-23 06:00:00', 'surface', 77.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-11-24 06:00:00', 'surface', 63.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-11-25 06:00:00', 'surface', 65.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-11-26 06:00:00', 'surface', 67.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-11-27 06:00:00', 'surface', 71.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-11-28 06:00:00', 'surface', 84.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-11-29 06:00:00', 'surface', 92.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-11-30 06:00:00', 'surface', 73.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-12-01 06:00:00', 'surface', 77.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-12-02 06:00:00', 'surface', 80.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-12-03 06:00:00', 'surface', 76.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-12-04 06:00:00', 'surface', 73.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-12-05 06:00:00', 'surface', 56.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-12-06 06:00:00', 'surface', 64.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-12-07 06:00:00', 'surface', 83.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-12-08 06:00:00', 'surface', 76.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-12-09 06:00:00', 'surface', 74.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-12-10 06:00:00', 'surface', 82.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-12-11 06:00:00', 'surface', 92.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-12-12 06:00:00', 'surface', 85.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-12-13 06:00:00', 'surface', 76.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-12-14 06:00:00', 'surface', 74.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-12-15 06:00:00', 'surface', 83.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-12-16 06:00:00', 'surface', 82.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-12-17 06:00:00', 'surface', 74.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-12-18 06:00:00', 'surface', 79.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-12-19 06:00:00', 'surface', 85.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-12-20 06:00:00', 'surface', 79.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-12-21 06:00:00', 'surface', 78.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-12-22 06:00:00', 'surface', 73.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-12-23 06:00:00', 'surface', 80.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-12-24 06:00:00', 'surface', 80.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-12-25 06:00:00', 'surface', 88.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-12-26 06:00:00', 'surface', 78.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-12-27 06:00:00', 'surface', 80.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-12-28 06:00:00', 'surface', 72.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-12-29 06:00:00', 'surface', 86.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-12-30 06:00:00', 'surface', 68.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1995-12-31 06:00:00', 'surface', 69.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-01-01 06:00:00', 'surface', 69.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-01-02 06:00:00', 'surface', 70.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-01-03 06:00:00', 'surface', 46.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-01-04 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-01-05 06:00:00', 'surface', 50.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-01-06 06:00:00', 'surface', 64.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-01-07 06:00:00', 'surface', 59.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-01-08 06:00:00', 'surface', 57.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-01-09 06:00:00', 'surface', 67.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-01-10 06:00:00', 'surface', 78.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-01-11 06:00:00', 'surface', 62.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-01-12 06:00:00', 'surface', 74.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-01-13 06:00:00', 'surface', 63.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-01-14 06:00:00', 'surface', 86.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-01-15 06:00:00', 'surface', 97.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-01-16 06:00:00', 'surface', 93.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-01-17 06:00:00', 'surface', 85.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-01-18 06:00:00', 'surface', 73.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-01-19 06:00:00', 'surface', 79.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-01-20 06:00:00', 'surface', 92.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-01-21 06:00:00', 'surface', 93.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-01-22 06:00:00', 'surface', 89.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-01-23 06:00:00', 'surface', 85.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-01-24 06:00:00', 'surface', 82.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-01-25 06:00:00', 'surface', 77.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-01-26 06:00:00', 'surface', 93.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-01-27 06:00:00', 'surface', 91.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-01-28 06:00:00', 'surface', 93.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-01-29 06:00:00', 'surface', 88.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-01-30 06:00:00', 'surface', 91.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-01-31 06:00:00', 'surface', 86.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-03-01 06:00:00', 'surface', 85.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-03-02 06:00:00', 'surface', 79.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-03-03 06:00:00', 'surface', 77.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-03-04 06:00:00', 'surface', 77.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-03-05 06:00:00', 'surface', 91.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-03-06 06:00:00', 'surface', 87.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-03-07 06:00:00', 'surface', 83.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-03-08 06:00:00', 'surface', 77.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-03-09 06:00:00', 'surface', 74.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-03-10 06:00:00', 'surface', 70.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-03-11 06:00:00', 'surface', 84.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-03-12 06:00:00', 'surface', 78.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-03-13 06:00:00', 'surface', 79.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-03-14 06:00:00', 'surface', 83.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-03-15 06:00:00', 'surface', 75.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-03-16 06:00:00', 'surface', 73.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-03-17 06:00:00', 'surface', 63.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-03-18 06:00:00', 'surface', 71.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-03-19 06:00:00', 'surface', 75.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-03-20 06:00:00', 'surface', 73.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-03-21 06:00:00', 'surface', 67.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-03-22 06:00:00', 'surface', 70.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-03-23 06:00:00', 'surface', 67.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-03-24 06:00:00', 'surface', 65.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-03-25 06:00:00', 'surface', 68.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-03-26 06:00:00', 'surface', 71.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-03-27 06:00:00', 'surface', 69.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-03-28 06:00:00', 'surface', 75.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-03-29 06:00:00', 'surface', 78.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-03-30 06:00:00', 'surface', 73.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-03-31 06:00:00', 'surface', 72.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-04-01 06:00:00', 'surface', 62.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-04-02 06:00:00', 'surface', 65.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-04-03 06:00:00', 'surface', 71.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-04-04 06:00:00', 'surface', 75.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-04-05 06:00:00', 'surface', 85.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-04-06 06:00:00', 'surface', 81.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-04-07 06:00:00', 'surface', 78.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-04-08 06:00:00', 'surface', 72.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-04-09 06:00:00', 'surface', 74.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-04-10 06:00:00', 'surface', 74.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-04-11 06:00:00', 'surface', 78.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-04-12 06:00:00', 'surface', 70.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-04-13 06:00:00', 'surface', 68.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-04-14 06:00:00', 'surface', 69.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-04-15 06:00:00', 'surface', 75.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-04-16 06:00:00', 'surface', 65.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-04-17 06:00:00', 'surface', 68.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-04-18 06:00:00', 'surface', 73.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-04-19 06:00:00', 'surface', 69.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-04-20 06:00:00', 'surface', 60.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-04-21 06:00:00', 'surface', 74.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-04-22 06:00:00', 'surface', 72.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-04-25 06:00:00', 'surface', 61.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-04-26 06:00:00', 'surface', 51.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-04-27 06:00:00', 'surface', 49.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-04-28 06:00:00', 'surface', 65.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-04-29 06:00:00', 'surface', 63.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-04-30 06:00:00', 'surface', 69.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-05-01 06:00:00', 'surface', 71.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-05-02 06:00:00', 'surface', 73.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-05-03 06:00:00', 'surface', 68.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-05-04 06:00:00', 'surface', 66.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-05-05 06:00:00', 'surface', 65.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-05-06 06:00:00', 'surface', 70.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-05-07 06:00:00', 'surface', 81.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-05-08 06:00:00', 'surface', 75.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-05-09 06:00:00', 'surface', 74.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-05-10 06:00:00', 'surface', 72.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-05-11 06:00:00', 'surface', 73.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-05-12 06:00:00', 'surface', 71.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-05-13 06:00:00', 'surface', 71.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-05-14 06:00:00', 'surface', 91.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-05-15 06:00:00', 'surface', 81.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-05-20 06:00:00', 'surface', 89.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-05-21 06:00:00', 'surface', 96.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-05-27 06:00:00', 'surface', 91.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-05-31 06:00:00', 'surface', 70.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-06-01 06:00:00', 'surface', 69.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-06-02 06:00:00', 'surface', 65.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-06-03 06:00:00', 'surface', 70.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-06-04 06:00:00', 'surface', 56.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-06-05 06:00:00', 'surface', 68.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-06-06 06:00:00', 'surface', 59.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-06-07 06:00:00', 'surface', 72.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-06-08 06:00:00', 'surface', 61.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-06-09 06:00:00', 'surface', 62.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-06-10 06:00:00', 'surface', 57.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-06-11 06:00:00', 'surface', 62.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-06-12 06:00:00', 'surface', 61.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-06-13 06:00:00', 'surface', 63.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-06-14 06:00:00', 'surface', 67.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-06-15 06:00:00', 'surface', 64.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-06-16 06:00:00', 'surface', 69.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-06-17 06:00:00', 'surface', 55.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-06-18 06:00:00', 'surface', 50.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-06-19 06:00:00', 'surface', 54.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-06-20 06:00:00', 'surface', 77.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-06-21 06:00:00', 'surface', 86.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-06-22 06:00:00', 'surface', 74.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-06-23 06:00:00', 'surface', 78.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-06-24 06:00:00', 'surface', 69.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-06-25 06:00:00', 'surface', 70.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-06-26 06:00:00', 'surface', 70.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-06-27 06:00:00', 'surface', 53.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-06-28 06:00:00', 'surface', 48.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-06-29 06:00:00', 'surface', 48.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-06-30 06:00:00', 'surface', 55.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-07-01 06:00:00', 'surface', 52.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-07-02 06:00:00', 'surface', 56.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-07-03 06:00:00', 'surface', 58.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-07-04 06:00:00', 'surface', 55.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-07-05 06:00:00', 'surface', 49.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-07-06 06:00:00', 'surface', 46.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-07-07 06:00:00', 'surface', 51.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-07-08 06:00:00', 'surface', 66.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-07-09 06:00:00', 'surface', 66.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-07-10 06:00:00', 'surface', 63.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-07-11 06:00:00', 'surface', 42.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-07-12 06:00:00', 'surface', 47.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-07-13 06:00:00', 'surface', 46.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-07-14 06:00:00', 'surface', 48.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-07-15 06:00:00', 'surface', 47.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-07-16 06:00:00', 'surface', 38.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-07-17 06:00:00', 'surface', 59.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-07-18 06:00:00', 'surface', 84.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-07-19 06:00:00', 'surface', 80.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-07-20 06:00:00', 'surface', 76.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-07-21 06:00:00', 'surface', 68.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-07-22 06:00:00', 'surface', 65.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-07-23 06:00:00', 'surface', 63.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-07-24 06:00:00', 'surface', 62.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-07-25 06:00:00', 'surface', 70.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-07-26 06:00:00', 'surface', 70.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-07-27 06:00:00', 'surface', 55.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-07-28 06:00:00', 'surface', 52.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-07-29 06:00:00', 'surface', 42.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-07-30 06:00:00', 'surface', 41.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-07-31 06:00:00', 'surface', 52.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-08-01 06:00:00', 'surface', 51.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-08-02 06:00:00', 'surface', 45.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-08-03 06:00:00', 'surface', 36.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-08-04 06:00:00', 'surface', 54.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-08-05 06:00:00', 'surface', 67.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-08-06 06:00:00', 'surface', 49.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-08-07 06:00:00', 'surface', 59.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-08-08 06:00:00', 'surface', 63.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-08-09 06:00:00', 'surface', 68.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-08-10 06:00:00', 'surface', 62.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-08-11 06:00:00', 'surface', 53.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-08-12 06:00:00', 'surface', 42.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-08-13 06:00:00', 'surface', 50.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-08-14 06:00:00', 'surface', 33.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-08-15 06:00:00', 'surface', 50.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-08-16 06:00:00', 'surface', 64.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-08-17 06:00:00', 'surface', 53.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-08-18 06:00:00', 'surface', 46.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-08-19 06:00:00', 'surface', 43.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-08-20 06:00:00', 'surface', 44.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-08-21 06:00:00', 'surface', 61.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-08-22 06:00:00', 'surface', 68.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-08-23 06:00:00', 'surface', 57.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-08-24 06:00:00', 'surface', 55.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-08-25 06:00:00', 'surface', 53.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-08-26 06:00:00', 'surface', 43.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-08-27 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-08-28 06:00:00', 'surface', 31.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-08-29 06:00:00', 'surface', 56.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-08-30 06:00:00', 'surface', 49.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-08-31 06:00:00', 'surface', 49.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-09-01 06:00:00', 'surface', 44.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-09-02 06:00:00', 'surface', 31.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-09-03 06:00:00', 'surface', 39.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-09-04 06:00:00', 'surface', 35.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-09-05 06:00:00', 'surface', 37.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-09-06 06:00:00', 'surface', 41.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-09-07 06:00:00', 'surface', 36.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-09-08 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-09-09 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-09-10 06:00:00', 'surface', 39.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-09-11 06:00:00', 'surface', 39.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-09-12 06:00:00', 'surface', 36.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-09-13 06:00:00', 'surface', 36.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-09-14 06:00:00', 'surface', 32.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-09-15 06:00:00', 'surface', 52.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-09-16 06:00:00', 'surface', 64.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-09-17 06:00:00', 'surface', 59.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-09-18 06:00:00', 'surface', 46.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-09-19 06:00:00', 'surface', 46.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-09-20 06:00:00', 'surface', 61.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-09-21 06:00:00', 'surface', 49.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-09-22 06:00:00', 'surface', 45.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-09-23 06:00:00', 'surface', 50.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-09-24 06:00:00', 'surface', 56.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-09-25 06:00:00', 'surface', 42.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-09-26 06:00:00', 'surface', 37.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-09-27 06:00:00', 'surface', 44.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-09-28 06:00:00', 'surface', 65.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-09-29 06:00:00', 'surface', 58.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-09-30 06:00:00', 'surface', 45.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-10-01 06:00:00', 'surface', 32.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-10-02 06:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-10-03 06:00:00', 'surface', 48.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-10-04 06:00:00', 'surface', 47.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-10-05 06:00:00', 'surface', 40.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-10-06 06:00:00', 'surface', 35.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-10-07 06:00:00', 'surface', 39.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-10-08 06:00:00', 'surface', 41.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-10-09 06:00:00', 'surface', 46.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-10-10 06:00:00', 'surface', 42.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-10-11 06:00:00', 'surface', 53.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-10-12 06:00:00', 'surface', 46.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-10-13 06:00:00', 'surface', 36.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-10-14 06:00:00', 'surface', 42.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-10-15 06:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-10-16 06:00:00', 'surface', 56.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-10-17 06:00:00', 'surface', 60.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-10-18 06:00:00', 'surface', 54.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-10-19 06:00:00', 'surface', 42.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-10-20 06:00:00', 'surface', 32.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-10-21 06:00:00', 'surface', 33.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-10-22 06:00:00', 'surface', 43.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-10-23 06:00:00', 'surface', 41.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-10-24 06:00:00', 'surface', 49.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-10-25 06:00:00', 'surface', 41.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-10-26 06:00:00', 'surface', 41.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-10-27 06:00:00', 'surface', 50.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-10-28 06:00:00', 'surface', 45.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-10-29 06:00:00', 'surface', 41.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-10-30 06:00:00', 'surface', 40.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-10-31 06:00:00', 'surface', 56.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-11-01 06:00:00', 'surface', 50.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-11-02 06:00:00', 'surface', 41.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-11-03 06:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-11-04 06:00:00', 'surface', 32.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-11-05 06:00:00', 'surface', 33.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-11-06 06:00:00', 'surface', 37.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-11-07 06:00:00', 'surface', 43.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-11-08 06:00:00', 'surface', 41.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-11-09 06:00:00', 'surface', 35.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-11-10 06:00:00', 'surface', 40.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-11-11 06:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-11-12 06:00:00', 'surface', 45.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-11-13 06:00:00', 'surface', 37.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-11-14 06:00:00', 'surface', 37.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-11-15 06:00:00', 'surface', 56.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-11-16 06:00:00', 'surface', 62.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-11-17 06:00:00', 'surface', 66.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-11-18 06:00:00', 'surface', 91.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-11-19 06:00:00', 'surface', 81.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-11-20 06:00:00', 'surface', 82.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-11-21 06:00:00', 'surface', 73.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-11-22 06:00:00', 'surface', 65.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-11-23 06:00:00', 'surface', 54.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-11-24 06:00:00', 'surface', 81.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-11-25 06:00:00', 'surface', 70.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-11-26 06:00:00', 'surface', 72.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-11-27 06:00:00', 'surface', 71.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-11-28 06:00:00', 'surface', 77.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-11-29 06:00:00', 'surface', 84.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-11-30 06:00:00', 'surface', 87.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-12-01 06:00:00', 'surface', 65.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-12-02 06:00:00', 'surface', 66.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-12-03 06:00:00', 'surface', 69.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-12-04 06:00:00', 'surface', 60.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-12-05 06:00:00', 'surface', 58.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-12-06 06:00:00', 'surface', 51.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-12-07 06:00:00', 'surface', 49.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-12-08 06:00:00', 'surface', 46.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-12-09 06:00:00', 'surface', 47.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-12-10 06:00:00', 'surface', 72.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-12-11 06:00:00', 'surface', 79.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-12-12 06:00:00', 'surface', 81.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-12-13 06:00:00', 'surface', 85.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-12-14 06:00:00', 'surface', 83.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-12-15 06:00:00', 'surface', 89.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-12-16 06:00:00', 'surface', 82.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-12-17 06:00:00', 'surface', 75.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-12-18 06:00:00', 'surface', 67.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-12-19 06:00:00', 'surface', 78.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-12-20 06:00:00', 'surface', 71.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-12-21 06:00:00', 'surface', 73.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-12-22 06:00:00', 'surface', 82.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-12-23 06:00:00', 'surface', 84.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-12-24 06:00:00', 'surface', 84.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-12-25 06:00:00', 'surface', 87.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-12-26 06:00:00', 'surface', 85.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-12-27 06:00:00', 'surface', 83.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-12-28 06:00:00', 'surface', 81.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-12-29 06:00:00', 'surface', 88.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-12-30 06:00:00', 'surface', 91.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1996-12-31 06:00:00', 'surface', 80.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-01-01 06:00:00', 'surface', 81.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-01-02 06:00:00', 'surface', 87.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-01-03 06:00:00', 'surface', 78.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-01-04 06:00:00', 'surface', 80.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-01-05 06:00:00', 'surface', 85.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-01-06 06:00:00', 'surface', 83.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-01-07 06:00:00', 'surface', 85.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-01-08 06:00:00', 'surface', 82.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-01-09 06:00:00', 'surface', 85.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-01-10 06:00:00', 'surface', 84.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-01-11 06:00:00', 'surface', 84.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-01-12 06:00:00', 'surface', 85.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-01-13 06:00:00', 'surface', 83.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-01-14 06:00:00', 'surface', 89.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-01-15 06:00:00', 'surface', 83.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-01-16 06:00:00', 'surface', 85.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-01-17 06:00:00', 'surface', 80.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-01-18 06:00:00', 'surface', 81.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-01-19 06:00:00', 'surface', 82.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-01-20 06:00:00', 'surface', 83.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-01-21 06:00:00', 'surface', 88.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-01-22 06:00:00', 'surface', 90.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-01-23 06:00:00', 'surface', 89.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-01-24 06:00:00', 'surface', 88.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-01-25 06:00:00', 'surface', 90.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-01-26 06:00:00', 'surface', 86.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-01-27 06:00:00', 'surface', 86.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-01-28 06:00:00', 'surface', 80.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-01-29 06:00:00', 'surface', 89.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-01-30 06:00:00', 'surface', 87.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-01-31 06:00:00', 'surface', 89.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-02-01 06:00:00', 'surface', 68.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-02-02 06:00:00', 'surface', 65.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-02-03 06:00:00', 'surface', 84.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-02-04 06:00:00', 'surface', 95.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-02-05 06:00:00', 'surface', 94.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-02-06 06:00:00', 'surface', 90.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-02-07 06:00:00', 'surface', 92.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-02-08 06:00:00', 'surface', 77.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-02-09 06:00:00', 'surface', 90.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-02-10 06:00:00', 'surface', 82.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-02-11 06:00:00', 'surface', 88.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-02-12 06:00:00', 'surface', 91.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-02-13 06:00:00', 'surface', 91.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-02-14 06:00:00', 'surface', 88.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-02-15 06:00:00', 'surface', 97.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-02-16 06:00:00', 'surface', 89.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-02-17 06:00:00', 'surface', 85.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-02-18 06:00:00', 'surface', 71.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-02-19 06:00:00', 'surface', 78.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-02-20 06:00:00', 'surface', 60.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-02-21 06:00:00', 'surface', 77.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-02-22 06:00:00', 'surface', 69.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-02-23 06:00:00', 'surface', 64.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-02-24 06:00:00', 'surface', 75.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-02-25 06:00:00', 'surface', 70.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-02-26 06:00:00', 'surface', 73.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-02-27 06:00:00', 'surface', 73.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-02-28 06:00:00', 'surface', 71.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-03-01 06:00:00', 'surface', 73.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-03-02 06:00:00', 'surface', 85.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-03-03 06:00:00', 'surface', 97.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-03-04 06:00:00', 'surface', 88.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-03-05 06:00:00', 'surface', 80.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-03-06 06:00:00', 'surface', 74.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-03-07 06:00:00', 'surface', 74.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-03-08 06:00:00', 'surface', 70.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-03-09 06:00:00', 'surface', 73.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-03-10 06:00:00', 'surface', 70.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-03-11 06:00:00', 'surface', 76.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-03-12 06:00:00', 'surface', 71.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-03-13 06:00:00', 'surface', 78.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-03-14 06:00:00', 'surface', 85.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-03-15 06:00:00', 'surface', 77.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-03-16 06:00:00', 'surface', 79.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-03-17 06:00:00', 'surface', 84.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-03-18 06:00:00', 'surface', 84.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-03-19 06:00:00', 'surface', 81.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-03-20 06:00:00', 'surface', 88.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-03-21 06:00:00', 'surface', 91.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-03-22 06:00:00', 'surface', 80.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-03-23 06:00:00', 'surface', 90.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-03-24 06:00:00', 'surface', 81.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-03-25 06:00:00', 'surface', 80.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-03-26 06:00:00', 'surface', 80.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-03-27 06:00:00', 'surface', 70.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-03-28 06:00:00', 'surface', 77.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-03-29 06:00:00', 'surface', 81.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-03-30 06:00:00', 'surface', 79.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-03-31 06:00:00', 'surface', 83.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-04-01 06:00:00', 'surface', 86.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-04-02 06:00:00', 'surface', 91.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-04-03 06:00:00', 'surface', 90.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-04-04 06:00:00', 'surface', 91.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-04-05 06:00:00', 'surface', 88.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-04-06 06:00:00', 'surface', 83.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-04-07 06:00:00', 'surface', 84.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-04-08 06:00:00', 'surface', 85.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-04-09 06:00:00', 'surface', 90.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-04-10 06:00:00', 'surface', 76.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-04-11 06:00:00', 'surface', 66.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-04-12 06:00:00', 'surface', 70.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-04-13 06:00:00', 'surface', 76.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-04-14 06:00:00', 'surface', 76.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-04-15 06:00:00', 'surface', 80.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-04-16 06:00:00', 'surface', 74.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-04-17 06:00:00', 'surface', 67.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-04-18 06:00:00', 'surface', 63.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-04-19 06:00:00', 'surface', 67.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-04-20 06:00:00', 'surface', 74.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-04-21 06:00:00', 'surface', 66.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-04-22 06:00:00', 'surface', 69.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-04-23 06:00:00', 'surface', 75.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-04-24 06:00:00', 'surface', 66.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-04-25 06:00:00', 'surface', 74.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-04-26 06:00:00', 'surface', 82.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-04-27 06:00:00', 'surface', 70.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-04-28 06:00:00', 'surface', 61.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-04-29 06:00:00', 'surface', 60.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-04-30 06:00:00', 'surface', 80.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-05-01 06:00:00', 'surface', 74.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-05-02 06:00:00', 'surface', 71.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-05-03 06:00:00', 'surface', 57.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-05-04 06:00:00', 'surface', 58.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-05-05 06:00:00', 'surface', 63.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-05-06 06:00:00', 'surface', 70.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-05-07 06:00:00', 'surface', 64.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-05-08 06:00:00', 'surface', 71.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-05-09 06:00:00', 'surface', 68.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-05-10 06:00:00', 'surface', 59.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-05-11 06:00:00', 'surface', 64.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-05-12 06:00:00', 'surface', 72.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-05-13 06:00:00', 'surface', 63.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-05-14 06:00:00', 'surface', 60.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-05-15 06:00:00', 'surface', 47.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-05-16 06:00:00', 'surface', 49.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-05-17 06:00:00', 'surface', 64.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-05-18 06:00:00', 'surface', 62.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-05-19 06:00:00', 'surface', 65.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-05-20 06:00:00', 'surface', 67.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-05-21 06:00:00', 'surface', 67.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-05-22 06:00:00', 'surface', 71.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-05-23 06:00:00', 'surface', 71.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-05-24 06:00:00', 'surface', 78.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-05-25 06:00:00', 'surface', 68.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-05-26 06:00:00', 'surface', 77.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-05-27 06:00:00', 'surface', 71.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-05-28 06:00:00', 'surface', 57.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-05-29 06:00:00', 'surface', 78.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-05-30 06:00:00', 'surface', 83.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-05-31 06:00:00', 'surface', 70.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-06-01 06:00:00', 'surface', 73.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-06-02 06:00:00', 'surface', 77.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-06-03 06:00:00', 'surface', 78.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-06-04 06:00:00', 'surface', 80.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-06-05 06:00:00', 'surface', 77.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-06-06 06:00:00', 'surface', 75.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-06-07 06:00:00', 'surface', 69.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-06-08 06:00:00', 'surface', 63.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-06-09 06:00:00', 'surface', 71.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-06-10 06:00:00', 'surface', 68.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-06-11 06:00:00', 'surface', 70.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-06-12 06:00:00', 'surface', 71.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-06-13 06:00:00', 'surface', 67.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-06-14 06:00:00', 'surface', 63.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-06-15 06:00:00', 'surface', 48.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-06-16 06:00:00', 'surface', 49.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-06-17 06:00:00', 'surface', 50.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-06-18 06:00:00', 'surface', 59.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-06-19 06:00:00', 'surface', 54.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-06-20 06:00:00', 'surface', 70.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-06-21 06:00:00', 'surface', 66.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-06-22 06:00:00', 'surface', 57.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-06-23 06:00:00', 'surface', 59.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-06-24 06:00:00', 'surface', 65.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-06-25 06:00:00', 'surface', 70.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-06-26 06:00:00', 'surface', 65.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-06-27 06:00:00', 'surface', 63.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-06-28 06:00:00', 'surface', 63.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-06-29 06:00:00', 'surface', 61.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-06-30 06:00:00', 'surface', 57.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-07-01 06:00:00', 'surface', 61.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-07-02 06:00:00', 'surface', 82.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-07-11 06:00:00', 'surface', 59.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-07-12 06:00:00', 'surface', 68.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-07-13 06:00:00', 'surface', 73.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-07-14 06:00:00', 'surface', 75.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-07-15 06:00:00', 'surface', 63.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-07-16 06:00:00', 'surface', 66.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-07-17 06:00:00', 'surface', 71.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-07-18 06:00:00', 'surface', 67.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-07-19 06:00:00', 'surface', 73.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-07-20 06:00:00', 'surface', 64.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-07-21 06:00:00', 'surface', 67.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-07-22 06:00:00', 'surface', 51.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-07-23 06:00:00', 'surface', 44.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-07-24 06:00:00', 'surface', 49.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-07-25 06:00:00', 'surface', 45.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-07-26 06:00:00', 'surface', 48.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-07-27 06:00:00', 'surface', 52.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-07-28 06:00:00', 'surface', 50.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-07-29 06:00:00', 'surface', 43.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-07-30 06:00:00', 'surface', 65.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-07-31 06:00:00', 'surface', 66.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-08-01 06:00:00', 'surface', 65.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-08-02 06:00:00', 'surface', 66.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-08-03 06:00:00', 'surface', 53.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-08-04 06:00:00', 'surface', 52.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-08-05 06:00:00', 'surface', 53.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-08-06 06:00:00', 'surface', 36.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-08-07 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-08-08 06:00:00', 'surface', 45.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-08-09 06:00:00', 'surface', 58.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-08-10 06:00:00', 'surface', 62.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-08-11 06:00:00', 'surface', 64.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-08-12 06:00:00', 'surface', 57.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-08-13 06:00:00', 'surface', 53.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-08-14 06:00:00', 'surface', 45.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-08-15 06:00:00', 'surface', 47.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-08-16 06:00:00', 'surface', 40.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-08-17 06:00:00', 'surface', 51.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-08-18 06:00:00', 'surface', 39.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-08-19 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-08-20 06:00:00', 'surface', 35.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-08-21 06:00:00', 'surface', 32.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-08-22 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-08-23 06:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-08-24 06:00:00', 'surface', 50.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-08-25 06:00:00', 'surface', 56.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-08-26 06:00:00', 'surface', 48.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-08-27 06:00:00', 'surface', 45.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-08-28 06:00:00', 'surface', 44.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-08-29 06:00:00', 'surface', 52.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-08-30 06:00:00', 'surface', 49.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-08-31 06:00:00', 'surface', 46.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-09-01 06:00:00', 'surface', 43.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-09-02 06:00:00', 'surface', 41.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-09-03 06:00:00', 'surface', 47.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-09-04 06:00:00', 'surface', 40.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-09-05 06:00:00', 'surface', 50.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-09-06 06:00:00', 'surface', 47.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-09-07 06:00:00', 'surface', 42.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-09-08 06:00:00', 'surface', 38.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-09-09 06:00:00', 'surface', 56.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-09-10 06:00:00', 'surface', 50.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-09-11 06:00:00', 'surface', 59.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-09-12 06:00:00', 'surface', 62.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-09-13 06:00:00', 'surface', 68.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-09-14 06:00:00', 'surface', 74.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-09-15 06:00:00', 'surface', 85.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-09-16 06:00:00', 'surface', 89.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-09-17 06:00:00', 'surface', 87.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-09-18 06:00:00', 'surface', 85.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-09-19 06:00:00', 'surface', 88.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-09-20 06:00:00', 'surface', 80.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-09-21 06:00:00', 'surface', 70.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-09-22 06:00:00', 'surface', 65.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-09-23 06:00:00', 'surface', 61.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-09-24 06:00:00', 'surface', 48.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-09-25 06:00:00', 'surface', 48.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-09-26 06:00:00', 'surface', 72.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-09-27 06:00:00', 'surface', 59.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-09-28 06:00:00', 'surface', 42.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-09-29 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-09-30 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-10-01 06:00:00', 'surface', 43.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-10-02 06:00:00', 'surface', 49.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-10-03 06:00:00', 'surface', 50.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-10-04 06:00:00', 'surface', 41.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-10-05 06:00:00', 'surface', 40.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-10-06 06:00:00', 'surface', 46.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-10-07 06:00:00', 'surface', 38.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-10-08 06:00:00', 'surface', 50.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-10-09 06:00:00', 'surface', 78.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-10-10 06:00:00', 'surface', 79.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-10-11 06:00:00', 'surface', 70.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-10-12 06:00:00', 'surface', 61.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-10-13 06:00:00', 'surface', 65.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-10-14 06:00:00', 'surface', 68.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-10-15 06:00:00', 'surface', 59.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-10-16 06:00:00', 'surface', 71.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-10-17 06:00:00', 'surface', 79.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-10-18 06:00:00', 'surface', 70.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-10-19 06:00:00', 'surface', 56.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-10-20 06:00:00', 'surface', 55.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-10-21 06:00:00', 'surface', 61.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-10-22 06:00:00', 'surface', 70.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-10-23 06:00:00', 'surface', 57.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-10-24 06:00:00', 'surface', 45.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-10-25 06:00:00', 'surface', 48.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-10-26 06:00:00', 'surface', 47.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-10-27 06:00:00', 'surface', 39.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-10-28 06:00:00', 'surface', 57.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-10-29 06:00:00', 'surface', 69.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-10-30 06:00:00', 'surface', 76.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-10-31 06:00:00', 'surface', 54.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-11-01 06:00:00', 'surface', 48.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-11-02 06:00:00', 'surface', 43.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-11-03 06:00:00', 'surface', 45.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-11-04 06:00:00', 'surface', 47.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-11-05 06:00:00', 'surface', 58.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-11-06 06:00:00', 'surface', 53.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-11-07 06:00:00', 'surface', 38.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-11-08 06:00:00', 'surface', 37.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-11-09 06:00:00', 'surface', 40.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-11-10 06:00:00', 'surface', 33.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-11-11 06:00:00', 'surface', 35.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-11-12 06:00:00', 'surface', 33.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-11-13 06:00:00', 'surface', 61.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-11-14 06:00:00', 'surface', 84.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-11-15 06:00:00', 'surface', 76.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-11-16 06:00:00', 'surface', 66.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-11-17 06:00:00', 'surface', 67.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-11-18 06:00:00', 'surface', 69.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-11-19 06:00:00', 'surface', 82.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-11-20 06:00:00', 'surface', 74.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-11-21 06:00:00', 'surface', 66.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-11-22 06:00:00', 'surface', 54.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-11-23 06:00:00', 'surface', 86.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-11-24 06:00:00', 'surface', 84.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-11-25 06:00:00', 'surface', 65.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-11-26 06:00:00', 'surface', 86.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-11-27 06:00:00', 'surface', 85.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-11-28 06:00:00', 'surface', 90.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-11-29 06:00:00', 'surface', 89.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-11-30 06:00:00', 'surface', 84.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-12-01 06:00:00', 'surface', 77.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-12-02 06:00:00', 'surface', 69.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-12-03 06:00:00', 'surface', 63.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-12-04 06:00:00', 'surface', 71.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-12-05 06:00:00', 'surface', 74.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-12-06 06:00:00', 'surface', 76.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-12-07 06:00:00', 'surface', 74.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-12-08 06:00:00', 'surface', 79.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-12-09 06:00:00', 'surface', 68.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-12-10 06:00:00', 'surface', 56.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-12-11 06:00:00', 'surface', 56.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-12-12 06:00:00', 'surface', 60.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-12-13 06:00:00', 'surface', 53.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-12-14 06:00:00', 'surface', 51.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-12-15 06:00:00', 'surface', 55.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-12-16 06:00:00', 'surface', 59.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-12-17 06:00:00', 'surface', 48.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-12-18 06:00:00', 'surface', 80.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-12-19 06:00:00', 'surface', 82.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-12-20 06:00:00', 'surface', 81.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-12-21 06:00:00', 'surface', 73.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-12-22 06:00:00', 'surface', 74.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-12-23 06:00:00', 'surface', 65.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-12-24 06:00:00', 'surface', 70.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-12-25 06:00:00', 'surface', 75.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-12-26 06:00:00', 'surface', 75.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-12-27 06:00:00', 'surface', 72.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-12-28 06:00:00', 'surface', 69.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-12-29 06:00:00', 'surface', 73.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-12-30 06:00:00', 'surface', 73.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1997-12-31 06:00:00', 'surface', 85.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-01-01 06:00:00', 'surface', 78.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-01-02 06:00:00', 'surface', 86.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-01-03 06:00:00', 'surface', 79.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-01-04 06:00:00', 'surface', 81.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-01-05 06:00:00', 'surface', 90.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-01-06 06:00:00', 'surface', 85.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-01-07 06:00:00', 'surface', 91.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-01-08 06:00:00', 'surface', 91.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-01-09 06:00:00', 'surface', 86.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-01-10 06:00:00', 'surface', 88.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-01-11 06:00:00', 'surface', 86.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-01-12 06:00:00', 'surface', 91.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-01-13 06:00:00', 'surface', 86.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-01-14 06:00:00', 'surface', 83.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-01-15 06:00:00', 'surface', 78.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-01-16 06:00:00', 'surface', 76.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-01-17 06:00:00', 'surface', 75.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-01-18 06:00:00', 'surface', 72.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-01-19 06:00:00', 'surface', 75.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-01-20 06:00:00', 'surface', 84.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-01-21 06:00:00', 'surface', 87.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-01-22 06:00:00', 'surface', 86.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-01-23 06:00:00', 'surface', 80.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-01-24 06:00:00', 'surface', 88.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-01-25 06:00:00', 'surface', 89.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-01-26 06:00:00', 'surface', 89.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-01-27 06:00:00', 'surface', 92.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-01-28 06:00:00', 'surface', 90.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-01-29 06:00:00', 'surface', 85.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-01-30 06:00:00', 'surface', 81.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-01-31 06:00:00', 'surface', 91.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-02-01 06:00:00', 'surface', 96.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-02-02 06:00:00', 'surface', 91.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-02-03 06:00:00', 'surface', 65.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-02-04 06:00:00', 'surface', 67.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-02-05 06:00:00', 'surface', 75.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-02-06 06:00:00', 'surface', 78.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-02-07 06:00:00', 'surface', 69.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-02-08 06:00:00', 'surface', 70.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-02-09 06:00:00', 'surface', 64.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-02-10 06:00:00', 'surface', 65.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-02-11 06:00:00', 'surface', 70.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-02-12 06:00:00', 'surface', 73.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-02-13 06:00:00', 'surface', 69.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-02-14 06:00:00', 'surface', 61.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-02-15 06:00:00', 'surface', 65.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-02-16 06:00:00', 'surface', 78.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-02-17 06:00:00', 'surface', 76.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-02-18 06:00:00', 'surface', 79.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-02-19 06:00:00', 'surface', 80.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-02-20 06:00:00', 'surface', 73.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-02-21 06:00:00', 'surface', 71.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-02-22 06:00:00', 'surface', 68.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-02-23 06:00:00', 'surface', 77.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-02-24 06:00:00', 'surface', 72.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-02-25 06:00:00', 'surface', 81.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-02-26 06:00:00', 'surface', 80.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-02-27 06:00:00', 'surface', 83.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-02-28 06:00:00', 'surface', 79.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-03-01 06:00:00', 'surface', 77.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-03-02 06:00:00', 'surface', 67.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-03-03 06:00:00', 'surface', 81.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-03-04 06:00:00', 'surface', 81.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-03-05 06:00:00', 'surface', 82.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-03-06 06:00:00', 'surface', 78.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-03-07 06:00:00', 'surface', 69.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-03-08 06:00:00', 'surface', 71.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-03-09 06:00:00', 'surface', 71.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-03-10 06:00:00', 'surface', 76.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-03-11 06:00:00', 'surface', 82.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-03-12 06:00:00', 'surface', 82.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-03-13 06:00:00', 'surface', 93.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-03-14 06:00:00', 'surface', 85.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-03-15 06:00:00', 'surface', 83.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-03-16 06:00:00', 'surface', 90.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-03-17 06:00:00', 'surface', 91.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-03-18 06:00:00', 'surface', 89.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-03-19 06:00:00', 'surface', 88.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-03-20 06:00:00', 'surface', 74.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-03-21 06:00:00', 'surface', 81.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-03-22 06:00:00', 'surface', 85.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-03-23 06:00:00', 'surface', 77.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-03-24 06:00:00', 'surface', 77.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-03-25 06:00:00', 'surface', 78.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-03-26 06:00:00', 'surface', 76.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-03-27 06:00:00', 'surface', 81.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-03-28 06:00:00', 'surface', 74.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-03-29 06:00:00', 'surface', 65.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-03-30 06:00:00', 'surface', 64.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-03-31 06:00:00', 'surface', 78.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-04-01 06:00:00', 'surface', 72.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-04-02 06:00:00', 'surface', 63.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-04-03 06:00:00', 'surface', 64.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-04-04 06:00:00', 'surface', 67.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-04-05 06:00:00', 'surface', 64.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-04-06 06:00:00', 'surface', 57.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-04-07 06:00:00', 'surface', 61.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-04-08 06:00:00', 'surface', 68.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-04-09 06:00:00', 'surface', 66.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-04-10 06:00:00', 'surface', 76.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-04-11 06:00:00', 'surface', 71.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-04-12 06:00:00', 'surface', 60.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-04-13 06:00:00', 'surface', 67.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-04-14 06:00:00', 'surface', 64.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-04-15 06:00:00', 'surface', 58.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-04-16 06:00:00', 'surface', 53.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-04-17 06:00:00', 'surface', 73.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-04-18 06:00:00', 'surface', 62.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-04-19 06:00:00', 'surface', 71.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-04-20 06:00:00', 'surface', 66.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-04-21 06:00:00', 'surface', 69.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-04-22 06:00:00', 'surface', 67.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-04-23 06:00:00', 'surface', 56.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-04-24 06:00:00', 'surface', 57.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-04-25 06:00:00', 'surface', 73.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-04-26 06:00:00', 'surface', 52.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-04-27 06:00:00', 'surface', 45.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-04-28 06:00:00', 'surface', 41.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-04-29 06:00:00', 'surface', 58.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-04-30 06:00:00', 'surface', 63.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-05-03 06:00:00', 'surface', 59.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-05-04 06:00:00', 'surface', 55.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-05-05 06:00:00', 'surface', 46.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-05-06 06:00:00', 'surface', 45.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-05-07 06:00:00', 'surface', 59.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-05-08 06:00:00', 'surface', 57.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-05-09 06:00:00', 'surface', 50.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-05-10 06:00:00', 'surface', 47.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-05-11 06:00:00', 'surface', 42.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-05-12 06:00:00', 'surface', 39.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-05-13 06:00:00', 'surface', 39.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-05-14 06:00:00', 'surface', 47.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-05-15 06:00:00', 'surface', 54.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-05-16 06:00:00', 'surface', 40.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-05-17 06:00:00', 'surface', 61.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-05-18 06:00:00', 'surface', 62.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-05-19 06:00:00', 'surface', 63.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-05-20 06:00:00', 'surface', 58.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-05-21 06:00:00', 'surface', 57.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-05-22 06:00:00', 'surface', 49.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-05-23 06:00:00', 'surface', 61.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-05-24 06:00:00', 'surface', 55.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-05-25 06:00:00', 'surface', 37.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-05-26 06:00:00', 'surface', 39.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-05-27 06:00:00', 'surface', 45.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-05-28 06:00:00', 'surface', 55.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-05-29 06:00:00', 'surface', 53.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-05-30 06:00:00', 'surface', 59.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-05-31 06:00:00', 'surface', 66.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-06-01 06:00:00', 'surface', 66.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-06-02 06:00:00', 'surface', 58.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-06-03 06:00:00', 'surface', 44.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-06-04 06:00:00', 'surface', 50.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-06-05 06:00:00', 'surface', 50.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-06-06 06:00:00', 'surface', 46.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-06-07 06:00:00', 'surface', 33.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-06-08 06:00:00', 'surface', 35.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-06-09 06:00:00', 'surface', 71.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-06-10 06:00:00', 'surface', 79.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-06-11 06:00:00', 'surface', 60.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-06-12 06:00:00', 'surface', 54.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-06-13 06:00:00', 'surface', 44.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-06-14 06:00:00', 'surface', 46.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-06-15 06:00:00', 'surface', 55.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-06-16 06:00:00', 'surface', 48.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-06-17 06:00:00', 'surface', 40.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-06-18 06:00:00', 'surface', 68.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-06-19 06:00:00', 'surface', 66.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-06-20 06:00:00', 'surface', 54.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-06-21 06:00:00', 'surface', 57.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-06-22 06:00:00', 'surface', 63.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-06-23 06:00:00', 'surface', 69.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-06-24 06:00:00', 'surface', 66.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-06-25 06:00:00', 'surface', 68.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-06-26 06:00:00', 'surface', 77.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-06-27 06:00:00', 'surface', 69.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-06-30 06:00:00', 'surface', 66.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-07-01 06:00:00', 'surface', 68.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-07-02 06:00:00', 'surface', 62.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-07-03 06:00:00', 'surface', 60.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-07-04 06:00:00', 'surface', 58.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-07-05 06:00:00', 'surface', 59.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-07-06 06:00:00', 'surface', 60.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-07-07 06:00:00', 'surface', 62.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-07-08 06:00:00', 'surface', 61.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-07-09 06:00:00', 'surface', 56.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-07-10 06:00:00', 'surface', 48.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-07-11 06:00:00', 'surface', 52.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-07-12 06:00:00', 'surface', 63.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-07-13 06:00:00', 'surface', 51.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-07-14 06:00:00', 'surface', 52.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-07-15 06:00:00', 'surface', 65.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-07-16 06:00:00', 'surface', 56.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-07-17 06:00:00', 'surface', 48.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-07-18 06:00:00', 'surface', 47.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-07-19 06:00:00', 'surface', 56.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-07-20 06:00:00', 'surface', 60.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-07-21 06:00:00', 'surface', 55.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-07-22 06:00:00', 'surface', 48.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-07-23 06:00:00', 'surface', 49.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-07-24 06:00:00', 'surface', 70.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-07-25 06:00:00', 'surface', 67.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-07-26 06:00:00', 'surface', 60.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-07-27 06:00:00', 'surface', 55.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-07-28 06:00:00', 'surface', 63.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-07-29 06:00:00', 'surface', 48.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-08-01 06:00:00', 'surface', 68.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-08-02 06:00:00', 'surface', 73.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-08-03 06:00:00', 'surface', 63.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-08-04 06:00:00', 'surface', 62.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-08-05 06:00:00', 'surface', 71.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-08-06 06:00:00', 'surface', 66.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-08-07 06:00:00', 'surface', 62.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-08-08 06:00:00', 'surface', 55.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-08-09 06:00:00', 'surface', 60.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-08-10 06:00:00', 'surface', 56.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-08-11 06:00:00', 'surface', 58.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-08-12 06:00:00', 'surface', 66.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-08-13 06:00:00', 'surface', 60.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-08-14 06:00:00', 'surface', 53.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-08-15 06:00:00', 'surface', 40.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-08-16 06:00:00', 'surface', 51.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-08-17 06:00:00', 'surface', 74.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-08-18 06:00:00', 'surface', 60.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-08-19 06:00:00', 'surface', 41.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-08-20 06:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-08-21 06:00:00', 'surface', 43.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-08-22 06:00:00', 'surface', 39.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-08-23 06:00:00', 'surface', 40.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-08-24 06:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-08-25 06:00:00', 'surface', 78.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-08-26 06:00:00', 'surface', 50.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-08-27 06:00:00', 'surface', 55.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-08-28 06:00:00', 'surface', 58.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-08-29 06:00:00', 'surface', 53.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-08-30 06:00:00', 'surface', 39.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-08-31 06:00:00', 'surface', 36.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-09-01 06:00:00', 'surface', 47.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-09-02 06:00:00', 'surface', 41.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-09-03 06:00:00', 'surface', 36.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-09-04 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-09-05 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-09-06 06:00:00', 'surface', 33.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-09-07 06:00:00', 'surface', 47.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-09-08 06:00:00', 'surface', 51.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-09-09 06:00:00', 'surface', 51.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-09-10 06:00:00', 'surface', 49.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-09-11 06:00:00', 'surface', 48.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-09-12 06:00:00', 'surface', 60.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-09-13 06:00:00', 'surface', 67.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-09-14 06:00:00', 'surface', 52.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-09-15 06:00:00', 'surface', 55.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-09-16 06:00:00', 'surface', 61.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-09-18 06:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-09-19 06:00:00', 'surface', 39.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-09-20 06:00:00', 'surface', 67.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-09-22 06:00:00', 'surface', 38.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-09-23 06:00:00', 'surface', 36.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-09-24 06:00:00', 'surface', 48.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-09-25 06:00:00', 'surface', 43.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-09-26 06:00:00', 'surface', 42.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-09-29 06:00:00', 'surface', 40.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-10-01 06:00:00', 'surface', 46.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-10-02 06:00:00', 'surface', 37.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-10-03 06:00:00', 'surface', 31.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-10-04 06:00:00', 'surface', 47.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-10-05 06:00:00', 'surface', 52.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-10-06 06:00:00', 'surface', 40.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-10-07 06:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-10-08 06:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-10-09 06:00:00', 'surface', 56.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-10-12 06:00:00', 'surface', 36.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-10-13 06:00:00', 'surface', 38.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-10-14 06:00:00', 'surface', 40.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-10-15 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-10-20 06:00:00', 'surface', 69.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-10-21 06:00:00', 'surface', 60.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-10-22 06:00:00', 'surface', 51.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-10-23 06:00:00', 'surface', 61.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-10-24 06:00:00', 'surface', 60.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-10-25 06:00:00', 'surface', 53.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-10-26 06:00:00', 'surface', 49.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-10-27 06:00:00', 'surface', 65.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-10-28 06:00:00', 'surface', 59.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-10-31 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-11-01 06:00:00', 'surface', 37.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-11-02 06:00:00', 'surface', 42.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-11-03 06:00:00', 'surface', 41.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-11-04 06:00:00', 'surface', 37.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-11-05 06:00:00', 'surface', 45.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-11-06 06:00:00', 'surface', 33.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-11-07 06:00:00', 'surface', 48.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-11-08 06:00:00', 'surface', 73.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-11-09 06:00:00', 'surface', 71.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-11-10 06:00:00', 'surface', 66.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-11-11 06:00:00', 'surface', 65.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-11-12 06:00:00', 'surface', 57.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-11-13 06:00:00', 'surface', 52.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-11-14 06:00:00', 'surface', 52.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-11-15 06:00:00', 'surface', 60.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-11-16 06:00:00', 'surface', 74.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-11-17 06:00:00', 'surface', 70.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-11-18 06:00:00', 'surface', 79.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-11-19 06:00:00', 'surface', 70.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-11-20 06:00:00', 'surface', 77.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-12-01 06:00:00', 'surface', 83.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-12-02 06:00:00', 'surface', 90.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-12-03 06:00:00', 'surface', 86.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-12-04 06:00:00', 'surface', 83.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-12-05 06:00:00', 'surface', 79.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-12-06 06:00:00', 'surface', 79.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-12-07 06:00:00', 'surface', 81.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-12-08 06:00:00', 'surface', 80.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-12-09 06:00:00', 'surface', 89.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-12-10 06:00:00', 'surface', 76.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-12-11 06:00:00', 'surface', 85.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-12-12 06:00:00', 'surface', 85.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-12-13 06:00:00', 'surface', 81.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-12-14 06:00:00', 'surface', 79.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-12-15 06:00:00', 'surface', 85.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-12-16 06:00:00', 'surface', 80.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-12-17 06:00:00', 'surface', 89.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-12-18 06:00:00', 'surface', 78.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-12-19 06:00:00', 'surface', 81.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-12-20 06:00:00', 'surface', 88.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-12-21 06:00:00', 'surface', 85.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-12-22 06:00:00', 'surface', 83.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-12-23 06:00:00', 'surface', 87.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-12-24 06:00:00', 'surface', 86.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-12-25 06:00:00', 'surface', 84.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-12-26 06:00:00', 'surface', 91.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-12-27 06:00:00', 'surface', 89.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-12-28 06:00:00', 'surface', 86.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-12-29 06:00:00', 'surface', 86.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-12-30 06:00:00', 'surface', 78.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1998-12-31 06:00:00', 'surface', 81.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-01-01 06:00:00', 'surface', 81.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-01-02 06:00:00', 'surface', 85.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-01-03 06:00:00', 'surface', 87.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-01-04 06:00:00', 'surface', 79.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-01-05 06:00:00', 'surface', 86.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-01-06 06:00:00', 'surface', 89.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-01-07 06:00:00', 'surface', 92.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-01-08 06:00:00', 'surface', 82.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-01-09 06:00:00', 'surface', 83.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-01-12 06:00:00', 'surface', 86.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-01-13 06:00:00', 'surface', 93.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-01-16 06:00:00', 'surface', 75.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-01-30 06:00:00', 'surface', 85.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-01-31 06:00:00', 'surface', 92.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-02-01 06:00:00', 'surface', 93.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-02-02 06:00:00', 'surface', 94.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-02-03 06:00:00', 'surface', 90.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-02-04 06:00:00', 'surface', 91.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-02-05 06:00:00', 'surface', 81.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-02-06 06:00:00', 'surface', 85.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-02-07 06:00:00', 'surface', 89.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-02-08 06:00:00', 'surface', 79.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-02-09 06:00:00', 'surface', 88.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-02-10 06:00:00', 'surface', 79.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-02-11 06:00:00', 'surface', 71.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-02-12 06:00:00', 'surface', 70.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-02-13 06:00:00', 'surface', 72.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-02-14 06:00:00', 'surface', 87.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-02-15 06:00:00', 'surface', 78.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-02-16 06:00:00', 'surface', 74.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-02-17 06:00:00', 'surface', 76.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-02-18 06:00:00', 'surface', 84.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-02-19 06:00:00', 'surface', 87.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-02-20 06:00:00', 'surface', 87.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-02-21 06:00:00', 'surface', 89.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-02-22 06:00:00', 'surface', 84.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-02-23 06:00:00', 'surface', 88.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-02-24 06:00:00', 'surface', 78.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-02-25 06:00:00', 'surface', 77.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-02-26 06:00:00', 'surface', 77.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-02-27 06:00:00', 'surface', 87.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-02-28 06:00:00', 'surface', 85.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-03-01 06:00:00', 'surface', 82.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-03-02 06:00:00', 'surface', 71.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-03-03 06:00:00', 'surface', 81.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-03-04 06:00:00', 'surface', 73.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-03-05 06:00:00', 'surface', 78.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-03-06 06:00:00', 'surface', 82.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-03-07 06:00:00', 'surface', 71.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-03-08 06:00:00', 'surface', 66.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-03-09 06:00:00', 'surface', 66.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-03-10 06:00:00', 'surface', 76.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-03-12 06:00:00', 'surface', 75.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-03-13 06:00:00', 'surface', 80.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-03-14 06:00:00', 'surface', 81.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-03-15 06:00:00', 'surface', 79.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-03-26 06:00:00', 'surface', 70.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-03-27 06:00:00', 'surface', 67.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-03-28 06:00:00', 'surface', 75.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-03-29 06:00:00', 'surface', 80.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-03-30 06:00:00', 'surface', 77.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-03-31 06:00:00', 'surface', 72.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-04-01 06:00:00', 'surface', 74.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-04-02 06:00:00', 'surface', 77.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-04-03 06:00:00', 'surface', 79.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-04-04 06:00:00', 'surface', 72.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-04-05 06:00:00', 'surface', 70.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-04-06 06:00:00', 'surface', 76.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-04-07 06:00:00', 'surface', 66.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-04-08 06:00:00', 'surface', 65.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-04-09 06:00:00', 'surface', 67.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-04-10 06:00:00', 'surface', 74.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-04-11 06:00:00', 'surface', 66.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-04-12 06:00:00', 'surface', 77.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-04-13 06:00:00', 'surface', 77.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-04-14 06:00:00', 'surface', 77.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-04-15 06:00:00', 'surface', 77.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-04-16 06:00:00', 'surface', 71.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-04-17 06:00:00', 'surface', 72.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-04-18 06:00:00', 'surface', 71.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-04-19 06:00:00', 'surface', 65.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-04-20 06:00:00', 'surface', 63.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-04-21 06:00:00', 'surface', 65.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-04-22 06:00:00', 'surface', 64.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-04-23 06:00:00', 'surface', 59.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-04-24 06:00:00', 'surface', 66.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-04-25 06:00:00', 'surface', 66.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-04-26 06:00:00', 'surface', 63.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-04-27 06:00:00', 'surface', 75.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-04-28 06:00:00', 'surface', 75.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-04-29 06:00:00', 'surface', 73.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-04-30 06:00:00', 'surface', 70.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-05-01 06:00:00', 'surface', 74.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-05-03 06:00:00', 'surface', 66.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-05-04 06:00:00', 'surface', 65.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-05-05 06:00:00', 'surface', 59.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-05-06 06:00:00', 'surface', 54.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-05-07 06:00:00', 'surface', 74.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-05-08 06:00:00', 'surface', 75.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-05-09 06:00:00', 'surface', 65.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-05-10 06:00:00', 'surface', 51.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-05-11 06:00:00', 'surface', 62.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-05-12 06:00:00', 'surface', 65.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-05-13 06:00:00', 'surface', 64.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-05-14 06:00:00', 'surface', 54.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-05-15 06:00:00', 'surface', 61.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-05-16 06:00:00', 'surface', 59.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-05-17 06:00:00', 'surface', 64.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-05-19 06:00:00', 'surface', 84.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-05-21 06:00:00', 'surface', 62.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-05-22 06:00:00', 'surface', 63.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-05-23 06:00:00', 'surface', 60.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-05-24 06:00:00', 'surface', 59.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-05-25 06:00:00', 'surface', 66.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-05-28 06:00:00', 'surface', 51.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-05-29 06:00:00', 'surface', 51.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-05-30 06:00:00', 'surface', 67.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-05-31 06:00:00', 'surface', 55.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-06-02 06:00:00', 'surface', 66.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-06-03 06:00:00', 'surface', 68.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-06-04 06:00:00', 'surface', 68.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-06-05 06:00:00', 'surface', 67.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-06-06 06:00:00', 'surface', 49.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-06-09 06:00:00', 'surface', 46.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-06-10 06:00:00', 'surface', 50.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-06-11 06:00:00', 'surface', 63.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-06-12 06:00:00', 'surface', 68.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-06-13 06:00:00', 'surface', 60.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-06-14 06:00:00', 'surface', 61.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-06-15 06:00:00', 'surface', 60.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-06-16 06:00:00', 'surface', 68.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-06-19 06:00:00', 'surface', 68.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-06-22 06:00:00', 'surface', 59.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-06-23 06:00:00', 'surface', 39.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-06-24 06:00:00', 'surface', 49.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-06-25 06:00:00', 'surface', 52.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-06-26 06:00:00', 'surface', 56.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-06-27 06:00:00', 'surface', 66.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-06-29 06:00:00', 'surface', 63.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-06-30 06:00:00', 'surface', 66.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-07-02 06:00:00', 'surface', 60.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-07-03 06:00:00', 'surface', 48.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-07-04 06:00:00', 'surface', 55.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-07-05 06:00:00', 'surface', 60.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-07-09 06:00:00', 'surface', 71.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-07-11 06:00:00', 'surface', 61.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-07-12 06:00:00', 'surface', 60.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-07-13 06:00:00', 'surface', 69.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-07-16 06:00:00', 'surface', 61.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-07-17 06:00:00', 'surface', 50.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-07-18 06:00:00', 'surface', 52.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-07-30 06:00:00', 'surface', 57.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-07-31 06:00:00', 'surface', 56.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-08-01 06:00:00', 'surface', 56.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-08-02 06:00:00', 'surface', 50.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-08-03 06:00:00', 'surface', 46.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-08-04 06:00:00', 'surface', 45.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-08-05 06:00:00', 'surface', 42.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-08-10 06:00:00', 'surface', 53.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-08-11 06:00:00', 'surface', 46.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-08-12 06:00:00', 'surface', 47.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-08-15 06:00:00', 'surface', 40.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-08-23 06:00:00', 'surface', 52.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-08-24 06:00:00', 'surface', 49.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-08-30 06:00:00', 'surface', 43.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-08-31 06:00:00', 'surface', 35.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-09-01 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-09-02 06:00:00', 'surface', 36.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-09-03 06:00:00', 'surface', 50.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-09-04 06:00:00', 'surface', 55.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-09-05 06:00:00', 'surface', 50.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-09-06 06:00:00', 'surface', 32.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-09-07 06:00:00', 'surface', 44.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-09-08 06:00:00', 'surface', 48.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-09-09 06:00:00', 'surface', 38.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-09-10 06:00:00', 'surface', 35.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-09-11 06:00:00', 'surface', 32.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-09-12 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-09-13 06:00:00', 'surface', 32.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-09-15 06:00:00', 'surface', 52.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-09-16 06:00:00', 'surface', 51.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-09-17 06:00:00', 'surface', 45.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-09-18 06:00:00', 'surface', 50.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-09-22 06:00:00', 'surface', 45.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-09-23 06:00:00', 'surface', 59.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-09-24 06:00:00', 'surface', 52.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-09-25 06:00:00', 'surface', 43.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-09-26 06:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-09-27 06:00:00', 'surface', 38.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-09-28 06:00:00', 'surface', 43.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-10-02 06:00:00', 'surface', 56.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-10-03 06:00:00', 'surface', 49.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-10-04 06:00:00', 'surface', 47.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-10-05 06:00:00', 'surface', 48.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-10-06 06:00:00', 'surface', 49.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-10-07 06:00:00', 'surface', 54.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-10-12 06:00:00', 'surface', 37.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-10-13 06:00:00', 'surface', 55.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-10-17 06:00:00', 'surface', 45.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-10-19 06:00:00', 'surface', 51.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-10-20 06:00:00', 'surface', 48.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-10-21 06:00:00', 'surface', 52.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-11-12 06:00:00', 'surface', 57.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-11-13 06:00:00', 'surface', 58.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-11-14 06:00:00', 'surface', 58.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-11-15 06:00:00', 'surface', 45.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-11-16 06:00:00', 'surface', 45.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-11-17 06:00:00', 'surface', 43.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-11-18 06:00:00', 'surface', 44.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-11-19 06:00:00', 'surface', 54.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-11-20 06:00:00', 'surface', 80.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-11-21 06:00:00', 'surface', 82.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-11-26 06:00:00', 'surface', 77.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-12-03 06:00:00', 'surface', 63.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-12-08 06:00:00', 'surface', 72.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-12-14 06:00:00', 'surface', 71.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '1999-12-31 06:00:00', 'surface', 83.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-01-01 06:00:00', 'surface', 68.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-01-02 06:00:00', 'surface', 74.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-01-03 06:00:00', 'surface', 75.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-01-04 06:00:00', 'surface', 65.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-01-05 06:00:00', 'surface', 65.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-01-06 06:00:00', 'surface', 72.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-01-07 06:00:00', 'surface', 83.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-01-08 06:00:00', 'surface', 76.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-01-09 06:00:00', 'surface', 85.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-01-10 06:00:00', 'surface', 90.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-01-11 06:00:00', 'surface', 91.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-01-12 06:00:00', 'surface', 83.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-01-13 06:00:00', 'surface', 84.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-01-14 06:00:00', 'surface', 81.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-01-15 06:00:00', 'surface', 87.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-01-16 06:00:00', 'surface', 83.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-01-17 06:00:00', 'surface', 72.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-01-18 06:00:00', 'surface', 75.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-01-19 06:00:00', 'surface', 82.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-01-20 06:00:00', 'surface', 81.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-01-21 06:00:00', 'surface', 79.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-01-22 06:00:00', 'surface', 77.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-01-23 06:00:00', 'surface', 69.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-01-24 06:00:00', 'surface', 71.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-01-25 06:00:00', 'surface', 72.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-01-26 06:00:00', 'surface', 80.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-01-27 06:00:00', 'surface', 78.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-01-28 06:00:00', 'surface', 86.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-01-29 06:00:00', 'surface', 61.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-01-30 06:00:00', 'surface', 68.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-01-31 06:00:00', 'surface', 67.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-02-01 06:00:00', 'surface', 72.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-02-02 06:00:00', 'surface', 66.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-02-03 06:00:00', 'surface', 83.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-02-04 06:00:00', 'surface', 86.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-02-05 06:00:00', 'surface', 84.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-02-06 06:00:00', 'surface', 88.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-02-07 06:00:00', 'surface', 83.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-02-08 06:00:00', 'surface', 76.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-02-09 06:00:00', 'surface', 73.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-02-10 06:00:00', 'surface', 82.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-02-11 06:00:00', 'surface', 78.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-02-12 06:00:00', 'surface', 80.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-02-13 06:00:00', 'surface', 81.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-02-14 06:00:00', 'surface', 83.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-02-15 06:00:00', 'surface', 89.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-02-16 06:00:00', 'surface', 92.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-02-17 06:00:00', 'surface', 88.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-02-18 06:00:00', 'surface', 81.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-02-19 06:00:00', 'surface', 73.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-02-20 06:00:00', 'surface', 74.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-02-21 06:00:00', 'surface', 72.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-02-22 06:00:00', 'surface', 91.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-02-23 06:00:00', 'surface', 94.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-02-24 06:00:00', 'surface', 82.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-02-25 06:00:00', 'surface', 89.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-02-26 06:00:00', 'surface', 90.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-02-27 06:00:00', 'surface', 86.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-02-28 06:00:00', 'surface', 80.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-02-29 06:00:00', 'surface', 89.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-03-01 06:00:00', 'surface', 77.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-03-02 06:00:00', 'surface', 74.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-03-03 06:00:00', 'surface', 82.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-03-04 06:00:00', 'surface', 79.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-03-05 06:00:00', 'surface', 75.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-03-06 06:00:00', 'surface', 74.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-03-07 06:00:00', 'surface', 84.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-03-08 06:00:00', 'surface', 77.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-03-09 06:00:00', 'surface', 73.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-03-10 06:00:00', 'surface', 79.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-03-11 06:00:00', 'surface', 89.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-03-12 06:00:00', 'surface', 84.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-03-13 06:00:00', 'surface', 83.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-03-14 06:00:00', 'surface', 91.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-03-15 06:00:00', 'surface', 92.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-03-16 06:00:00', 'surface', 89.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-03-17 06:00:00', 'surface', 84.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-03-18 06:00:00', 'surface', 78.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-03-19 06:00:00', 'surface', 78.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-03-20 06:00:00', 'surface', 83.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-03-21 06:00:00', 'surface', 76.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-03-22 06:00:00', 'surface', 74.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-03-23 06:00:00', 'surface', 80.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-03-24 06:00:00', 'surface', 76.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-03-25 06:00:00', 'surface', 83.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-03-26 06:00:00', 'surface', 83.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-03-27 06:00:00', 'surface', 77.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-03-28 06:00:00', 'surface', 74.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-03-29 06:00:00', 'surface', 77.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-03-30 06:00:00', 'surface', 75.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-03-31 06:00:00', 'surface', 80.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-04-01 06:00:00', 'surface', 82.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-04-02 06:00:00', 'surface', 83.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-04-03 06:00:00', 'surface', 77.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-04-04 06:00:00', 'surface', 74.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-04-05 06:00:00', 'surface', 78.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-04-06 06:00:00', 'surface', 89.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-04-07 06:00:00', 'surface', 82.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-04-08 06:00:00', 'surface', 73.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-04-09 06:00:00', 'surface', 74.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-04-10 06:00:00', 'surface', 78.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-04-11 06:00:00', 'surface', 83.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-04-12 06:00:00', 'surface', 87.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-04-13 06:00:00', 'surface', 74.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-04-14 06:00:00', 'surface', 78.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-04-15 06:00:00', 'surface', 73.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-04-16 06:00:00', 'surface', 85.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-04-17 06:00:00', 'surface', 84.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-04-18 06:00:00', 'surface', 77.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-04-19 06:00:00', 'surface', 79.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-04-20 06:00:00', 'surface', 75.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-04-21 06:00:00', 'surface', 79.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-04-22 06:00:00', 'surface', 75.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-04-23 06:00:00', 'surface', 74.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-04-24 06:00:00', 'surface', 63.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-04-25 06:00:00', 'surface', 59.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-04-26 06:00:00', 'surface', 56.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-04-27 06:00:00', 'surface', 59.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-04-28 06:00:00', 'surface', 61.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-04-29 06:00:00', 'surface', 78.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-04-30 06:00:00', 'surface', 75.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-05-01 06:00:00', 'surface', 71.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-05-02 06:00:00', 'surface', 69.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-05-03 06:00:00', 'surface', 70.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-05-04 06:00:00', 'surface', 76.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-05-05 06:00:00', 'surface', 91.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-05-06 06:00:00', 'surface', 89.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-05-07 06:00:00', 'surface', 86.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-05-08 06:00:00', 'surface', 89.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-05-09 06:00:00', 'surface', 93.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-05-10 06:00:00', 'surface', 90.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-05-11 06:00:00', 'surface', 87.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-05-12 06:00:00', 'surface', 90.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-05-13 06:00:00', 'surface', 83.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-05-14 06:00:00', 'surface', 76.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-05-15 06:00:00', 'surface', 67.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-05-16 06:00:00', 'surface', 69.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-05-17 06:00:00', 'surface', 78.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-05-18 06:00:00', 'surface', 79.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-05-21 06:00:00', 'surface', 68.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-05-22 06:00:00', 'surface', 74.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-05-28 06:00:00', 'surface', 55.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-05-29 06:00:00', 'surface', 62.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-05-30 06:00:00', 'surface', 66.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-06-01 06:00:00', 'surface', 55.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-06-02 06:00:00', 'surface', 70.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-06-03 06:00:00', 'surface', 69.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-06-04 06:00:00', 'surface', 81.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-06-05 06:00:00', 'surface', 91.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-06-06 06:00:00', 'surface', 78.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-06-07 06:00:00', 'surface', 85.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-06-08 06:00:00', 'surface', 84.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-06-09 06:00:00', 'surface', 85.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-06-10 06:00:00', 'surface', 85.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-06-11 06:00:00', 'surface', 77.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-06-12 06:00:00', 'surface', 65.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-06-13 06:00:00', 'surface', 72.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-06-14 06:00:00', 'surface', 74.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-06-15 06:00:00', 'surface', 80.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-06-16 06:00:00', 'surface', 75.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-06-17 06:00:00', 'surface', 61.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-06-18 06:00:00', 'surface', 64.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-06-19 06:00:00', 'surface', 82.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-06-20 06:00:00', 'surface', 75.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-06-21 06:00:00', 'surface', 83.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-06-22 06:00:00', 'surface', 80.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-06-23 06:00:00', 'surface', 72.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-06-24 06:00:00', 'surface', 67.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-06-25 06:00:00', 'surface', 70.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-06-26 06:00:00', 'surface', 68.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-06-27 06:00:00', 'surface', 67.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-06-28 06:00:00', 'surface', 69.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-06-29 06:00:00', 'surface', 68.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-06-30 06:00:00', 'surface', 69.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-07-01 06:00:00', 'surface', 73.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-07-02 06:00:00', 'surface', 81.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-07-03 06:00:00', 'surface', 69.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-07-04 06:00:00', 'surface', 70.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-07-05 06:00:00', 'surface', 71.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-07-06 06:00:00', 'surface', 67.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-07-07 06:00:00', 'surface', 75.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-07-08 06:00:00', 'surface', 70.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-07-09 06:00:00', 'surface', 72.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-07-10 06:00:00', 'surface', 71.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-07-11 06:00:00', 'surface', 68.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-07-12 06:00:00', 'surface', 73.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-07-13 06:00:00', 'surface', 69.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-07-14 06:00:00', 'surface', 75.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-07-15 06:00:00', 'surface', 72.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-07-16 06:00:00', 'surface', 53.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-07-17 06:00:00', 'surface', 49.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-07-18 06:00:00', 'surface', 51.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-07-19 06:00:00', 'surface', 51.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-07-20 06:00:00', 'surface', 46.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-07-21 06:00:00', 'surface', 44.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-07-22 06:00:00', 'surface', 61.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-07-23 06:00:00', 'surface', 70.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-07-24 06:00:00', 'surface', 66.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-07-25 06:00:00', 'surface', 63.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-07-26 06:00:00', 'surface', 68.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-07-27 06:00:00', 'surface', 67.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-07-28 06:00:00', 'surface', 66.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-07-29 06:00:00', 'surface', 64.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-07-30 06:00:00', 'surface', 62.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-07-31 06:00:00', 'surface', 63.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-08-01 06:00:00', 'surface', 62.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-08-05 06:00:00', 'surface', 54.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-08-06 06:00:00', 'surface', 54.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-08-07 06:00:00', 'surface', 70.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-08-08 06:00:00', 'surface', 59.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-08-09 06:00:00', 'surface', 67.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-08-10 06:00:00', 'surface', 64.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-08-11 06:00:00', 'surface', 60.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-08-12 06:00:00', 'surface', 50.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-08-13 06:00:00', 'surface', 63.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-08-14 06:00:00', 'surface', 62.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-08-15 06:00:00', 'surface', 60.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-08-16 06:00:00', 'surface', 82.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-08-17 06:00:00', 'surface', 69.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-08-18 06:00:00', 'surface', 51.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-08-19 06:00:00', 'surface', 51.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-08-20 06:00:00', 'surface', 62.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-08-21 06:00:00', 'surface', 65.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-08-22 06:00:00', 'surface', 62.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-08-23 06:00:00', 'surface', 47.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-08-24 06:00:00', 'surface', 45.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-08-28 06:00:00', 'surface', 48.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-08-30 06:00:00', 'surface', 44.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-08-31 06:00:00', 'surface', 39.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-09-01 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-09-02 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-09-03 06:00:00', 'surface', 36.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-09-04 06:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-09-05 06:00:00', 'surface', 35.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-09-06 06:00:00', 'surface', 53.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-09-07 06:00:00', 'surface', 41.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-09-08 06:00:00', 'surface', 52.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-09-09 06:00:00', 'surface', 56.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-09-10 06:00:00', 'surface', 81.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-09-11 06:00:00', 'surface', 64.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-09-12 06:00:00', 'surface', 62.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-09-13 06:00:00', 'surface', 58.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-09-14 06:00:00', 'surface', 46.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-09-15 06:00:00', 'surface', 39.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-09-20 06:00:00', 'surface', 59.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-09-21 06:00:00', 'surface', 66.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-09-22 06:00:00', 'surface', 63.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-09-23 06:00:00', 'surface', 56.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-09-26 06:00:00', 'surface', 40.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-09-27 06:00:00', 'surface', 40.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-09-28 06:00:00', 'surface', 45.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-09-29 06:00:00', 'surface', 45.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-09-30 06:00:00', 'surface', 33.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-10-01 06:00:00', 'surface', 35.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-10-02 06:00:00', 'surface', 39.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-10-03 06:00:00', 'surface', 39.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-10-04 06:00:00', 'surface', 43.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-10-05 06:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-10-06 06:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-10-07 06:00:00', 'surface', 42.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-10-08 06:00:00', 'surface', 49.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-10-09 06:00:00', 'surface', 49.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-10-10 06:00:00', 'surface', 36.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-10-11 06:00:00', 'surface', 37.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-10-12 06:00:00', 'surface', 53.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-10-13 06:00:00', 'surface', 52.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-10-14 06:00:00', 'surface', 41.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-10-15 06:00:00', 'surface', 32.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-10-16 06:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-10-17 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-10-18 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-10-19 06:00:00', 'surface', 31.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-10-20 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-10-21 06:00:00', 'surface', 48.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-10-22 06:00:00', 'surface', 55.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-10-24 06:00:00', 'surface', 42.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-10-25 06:00:00', 'surface', 38.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-10-26 06:00:00', 'surface', 46.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-11-03 06:00:00', 'surface', 86.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-11-04 06:00:00', 'surface', 83.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-11-05 06:00:00', 'surface', 62.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-11-06 06:00:00', 'surface', 69.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-11-07 06:00:00', 'surface', 68.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-11-08 06:00:00', 'surface', 66.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-11-09 06:00:00', 'surface', 86.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-11-10 06:00:00', 'surface', 69.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-11-11 06:00:00', 'surface', 65.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-11-12 06:00:00', 'surface', 63.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-11-13 06:00:00', 'surface', 84.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-11-14 06:00:00', 'surface', 67.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-11-15 06:00:00', 'surface', 76.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-11-16 06:00:00', 'surface', 79.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-11-17 06:00:00', 'surface', 69.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-11-18 06:00:00', 'surface', 79.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-11-19 06:00:00', 'surface', 57.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-11-20 06:00:00', 'surface', 41.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-11-21 06:00:00', 'surface', 51.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-11-22 06:00:00', 'surface', 71.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-11-23 06:00:00', 'surface', 66.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-11-24 06:00:00', 'surface', 68.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-11-25 06:00:00', 'surface', 79.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-11-28 06:00:00', 'surface', 81.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-11-29 06:00:00', 'surface', 59.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-11-30 06:00:00', 'surface', 76.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-12-01 06:00:00', 'surface', 86.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-12-02 06:00:00', 'surface', 85.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-12-03 06:00:00', 'surface', 79.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-12-04 06:00:00', 'surface', 75.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-12-05 06:00:00', 'surface', 61.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-12-06 06:00:00', 'surface', 58.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-12-07 06:00:00', 'surface', 68.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-12-08 06:00:00', 'surface', 77.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-12-09 06:00:00', 'surface', 88.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-12-10 06:00:00', 'surface', 82.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-12-11 06:00:00', 'surface', 76.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-12-12 06:00:00', 'surface', 83.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-12-13 06:00:00', 'surface', 94.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-12-14 06:00:00', 'surface', 92.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-12-15 06:00:00', 'surface', 89.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-12-16 06:00:00', 'surface', 76.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-12-17 06:00:00', 'surface', 72.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-12-18 06:00:00', 'surface', 73.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-12-19 06:00:00', 'surface', 74.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-12-22 06:00:00', 'surface', 81.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-12-23 06:00:00', 'surface', 82.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-12-27 06:00:00', 'surface', 58.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-12-28 06:00:00', 'surface', 82.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-12-29 06:00:00', 'surface', 88.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-12-30 06:00:00', 'surface', 72.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 17, '2000-12-31 06:00:00', 'surface', 80.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-05-10 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-05-11 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-05-12 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-05-13 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-05-14 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-05-15 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-05-16 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-05-17 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-05-18 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-05-19 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-05-20 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-05-21 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-05-22 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-05-23 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-05-24 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-05-25 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-05-26 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-05-27 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-05-28 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-05-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-05-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-05-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-06-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-06-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-06-03 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-06-04 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-06-05 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-06-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-06-07 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-06-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-06-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-06-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-06-11 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-06-12 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-06-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-06-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-06-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-06-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-06-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-06-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-06-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-06-20 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-06-21 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-06-22 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-06-23 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-06-24 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-06-25 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-06-26 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-06-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-06-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-06-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-06-30 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-07-01 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-07-02 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-07-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-07-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-07-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-07-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-07-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-07-08 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-07-09 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-07-10 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-07-11 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-07-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-07-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-07-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-07-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-07-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-07-17 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-07-18 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-07-19 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-07-20 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-07-21 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-07-22 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-07-23 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-07-24 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-07-25 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-07-26 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-07-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-07-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-07-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-07-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-07-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-08-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-08-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-08-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-08-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-08-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-08-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-08-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-08-08 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-08-09 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-08-10 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-08-11 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-08-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-08-13 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-08-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-08-15 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-08-16 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-08-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-08-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-08-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-08-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-08-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-08-22 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-08-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-08-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-08-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-08-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-08-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-09-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-09-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-09-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-09-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-09-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-09-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-09-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-09-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-09-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-09-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-09-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-09-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-09-13 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-09-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-09-15 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-09-16 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-09-17 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-09-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-09-19 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-09-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-09-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-09-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-09-23 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-09-24 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-09-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-09-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-09-27 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-09-28 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-09-29 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-09-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-10-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-10-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-10-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-10-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-10-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-10-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-10-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-10-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-10-09 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-10-10 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-10-11 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-10-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-10-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-10-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-10-15 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-10-16 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-10-17 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-10-18 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-10-19 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-10-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-10-21 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-10-22 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-10-23 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-10-24 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-10-25 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-10-26 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-10-27 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-10-28 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-10-29 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-10-30 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-10-31 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-11-01 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-11-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-11-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-11-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-11-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-11-06 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-11-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-11-08 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-11-09 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-11-10 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-11-11 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-11-12 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-11-13 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-11-14 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-11-15 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-11-16 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-11-17 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-11-18 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-11-19 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-11-20 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-11-21 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-11-22 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-11-23 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-11-24 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-11-25 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-11-26 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-11-27 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-11-28 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-11-29 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-11-30 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-12-01 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-12-02 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-12-03 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-12-04 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-12-05 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-12-06 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-12-07 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-12-08 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-12-09 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-12-10 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-12-11 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-12-12 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-12-13 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-12-14 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-12-15 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-12-16 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-12-17 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-12-18 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-12-19 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-12-20 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-12-21 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-12-22 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-12-23 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-12-24 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-12-25 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-12-26 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-12-27 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-12-28 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-12-29 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-12-30 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1996-12-31 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-01-01 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-01-02 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-01-03 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-01-04 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-01-05 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-01-06 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-01-07 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-01-08 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-01-09 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-01-10 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-01-11 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-01-12 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-01-13 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-01-14 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-01-15 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-01-16 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-01-17 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-01-18 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-01-19 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-01-20 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-01-21 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-01-22 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-01-23 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-01-24 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-01-25 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-01-26 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-01-27 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-01-28 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-01-29 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-01-30 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-01-31 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-02-01 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-02-02 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-02-03 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-02-04 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-02-05 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-02-06 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-02-07 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-02-08 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-02-09 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-02-10 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-02-11 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-02-12 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-02-13 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-02-14 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-02-15 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-02-16 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-02-17 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-02-18 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-02-19 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-02-20 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-02-21 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-02-22 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-02-23 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-02-24 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-02-25 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-02-26 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-02-27 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-02-28 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-03-01 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-03-02 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-03-03 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-03-04 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-03-05 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-03-06 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-03-07 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-03-08 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-03-09 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-03-10 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-03-11 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-03-12 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-03-13 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-03-14 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-03-15 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-03-16 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-03-17 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-03-18 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-03-19 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-03-20 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-03-21 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-03-22 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-03-23 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-03-24 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-03-25 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-03-26 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-03-27 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-03-28 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-03-29 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-03-30 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-03-31 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-04-01 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-04-02 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-04-03 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-04-04 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-04-05 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-04-06 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-04-07 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-04-08 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-04-09 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-04-10 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-04-11 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-04-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-04-13 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-04-14 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-04-15 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-04-16 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-04-17 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-04-18 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-04-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-04-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-04-21 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-04-22 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-04-23 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-04-24 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-04-25 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-04-26 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-04-27 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-04-28 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-04-29 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-04-30 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-06-01 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-06-02 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-06-03 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-06-04 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-06-05 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-06-06 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-06-07 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-06-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-06-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-06-10 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-06-11 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-06-12 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-06-13 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-06-14 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-06-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-06-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-06-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-06-18 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-06-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-06-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-06-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-06-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-06-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-06-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-06-25 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-06-26 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-06-27 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-06-28 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-06-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-06-30 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-07-01 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-07-02 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-07-03 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-07-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-07-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-07-06 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-07-07 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-07-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-07-09 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-07-10 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-07-11 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-07-12 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-07-13 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-07-14 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-07-15 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-07-16 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-07-17 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-07-18 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-07-19 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-07-20 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-07-21 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-07-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-07-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-07-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-07-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-07-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-07-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-07-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-07-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-07-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-07-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-08-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-08-02 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-08-03 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-08-04 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-08-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-08-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-08-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-08-08 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-08-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-08-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-08-11 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-08-12 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-08-13 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-08-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-08-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-08-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-08-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-08-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-08-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-08-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-08-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-08-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-08-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-08-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-08-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-08-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-08-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-08-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-08-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-08-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-08-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-09-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-09-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-09-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-09-04 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-09-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-09-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-09-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-09-08 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-09-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-09-10 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-09-11 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-09-12 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-09-13 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-09-14 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-09-15 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-09-16 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-09-17 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-09-18 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-09-19 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-09-20 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-09-21 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-09-22 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-09-23 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-09-24 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-09-25 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-09-26 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-09-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-09-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-09-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-09-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-10-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-10-02 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-10-03 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-10-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-10-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-10-06 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-10-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-10-08 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-10-09 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-10-10 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-10-11 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-10-12 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-10-13 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-10-14 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-10-15 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-10-16 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-10-17 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-10-18 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-10-19 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-10-20 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-10-21 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-10-22 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-10-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-10-24 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-10-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-10-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-10-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-10-28 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-10-29 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-10-30 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-10-31 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-11-01 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-11-02 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-11-03 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-11-04 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-11-05 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-11-06 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-11-07 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-11-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-11-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-11-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-11-11 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-11-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-11-13 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-11-14 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-11-15 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-11-16 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-11-17 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-11-18 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-11-19 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-11-20 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-11-21 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-11-22 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-11-23 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-11-24 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-11-25 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-11-26 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-11-27 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-11-28 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-11-29 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-11-30 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-12-01 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-12-02 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-12-03 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-12-04 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-12-05 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-12-06 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-12-07 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-12-08 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-12-10 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-12-11 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-12-12 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-12-13 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-12-14 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-12-15 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-12-16 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-12-17 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-12-18 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-12-19 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-12-20 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-12-21 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-12-22 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-12-23 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-12-24 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-12-25 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-12-26 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-12-27 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-12-28 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-12-29 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-12-30 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1997-12-31 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-01-01 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-01-02 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-01-03 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-01-04 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-01-05 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-01-06 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-01-07 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-01-08 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-01-09 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-01-10 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-01-11 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-01-12 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-01-13 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-01-14 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-01-15 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-01-16 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-01-17 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-01-18 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-01-19 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-01-20 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-01-21 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-01-22 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-01-23 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-01-24 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-01-25 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-01-26 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-01-27 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-01-28 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-01-29 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-01-30 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-01-31 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-02-01 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-02-02 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-02-03 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-02-04 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-02-05 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-02-06 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-02-07 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-02-08 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-02-09 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-02-10 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-02-11 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-02-12 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-02-13 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-02-14 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-02-15 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-02-16 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-02-17 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-02-18 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-02-19 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-02-20 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-02-21 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-02-22 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-02-23 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-02-24 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-02-25 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-02-26 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-02-27 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-02-28 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-03-01 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-03-02 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-03-03 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-03-04 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-03-05 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-03-06 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-03-07 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-03-08 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-03-09 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-03-10 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-03-11 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-03-12 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-03-13 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-03-14 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-03-15 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-03-16 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-03-17 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-03-18 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-03-19 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-03-20 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-03-21 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-03-22 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-03-23 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-03-24 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-03-25 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-03-26 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-03-27 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-03-28 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-03-29 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-03-30 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-03-31 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-04-01 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-04-02 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-04-03 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-04-04 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-04-05 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-04-06 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-04-07 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-04-08 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-04-09 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-04-10 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-04-11 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-04-12 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-04-13 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-04-14 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-04-15 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-04-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-04-17 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-04-18 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-04-19 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-04-20 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-04-21 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-04-22 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-04-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-04-24 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-04-25 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-04-26 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-04-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-04-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-04-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-04-30 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-05-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-05-02 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-05-03 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-05-04 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-05-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-05-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-05-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-05-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-05-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-05-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-05-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-05-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-05-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-05-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-05-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-05-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-05-17 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-05-18 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-05-19 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-05-20 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-05-21 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-05-22 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-05-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-05-24 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-05-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-05-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-05-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-05-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-05-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-05-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-05-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-06-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-06-02 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-06-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-06-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-06-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-06-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-06-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-06-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-06-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-06-10 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-06-11 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-06-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-06-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-06-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-06-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-06-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-06-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-06-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-06-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-06-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-06-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-06-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-06-23 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-06-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-06-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-06-26 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-06-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-06-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-06-29 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-06-30 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-07-01 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-07-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-07-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-07-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-07-05 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-07-06 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-07-07 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-07-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-07-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-07-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-07-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-07-12 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-07-13 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-07-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-07-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-07-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-07-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-07-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-07-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-07-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-07-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-07-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-07-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-07-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-07-25 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-07-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-07-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-07-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-07-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-07-30 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-07-31 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-08-01 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-08-02 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-08-03 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-08-04 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-08-05 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-08-06 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-08-07 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-08-08 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-08-09 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-08-10 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-08-11 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-08-12 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-08-13 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-08-14 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-08-15 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-08-16 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-08-17 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-08-18 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-08-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-08-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-08-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-08-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-08-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-08-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-08-25 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-08-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-08-27 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-08-28 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-08-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-08-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-08-31 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-09-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-09-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-09-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-09-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-09-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-09-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-09-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-09-08 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-09-09 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-09-10 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-09-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-09-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-09-13 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-09-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-09-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-09-16 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-09-17 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-09-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-09-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-09-20 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-09-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-09-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-09-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-09-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-09-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-09-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-09-27 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-09-28 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-09-29 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-09-30 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-10-01 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-10-02 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-10-03 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-10-04 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-10-05 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-10-06 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-10-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-10-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-10-09 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-10-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-10-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-10-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-10-13 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-10-14 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-10-15 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-10-16 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-10-17 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-10-18 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-10-19 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-10-20 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-10-21 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-10-22 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-10-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-10-24 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-10-25 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-10-26 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-10-27 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-10-28 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-10-29 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-10-30 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-10-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-11-01 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-11-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-11-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-11-04 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-11-05 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-11-06 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-11-07 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-11-08 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-11-09 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-11-10 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-11-11 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-11-12 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-11-13 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-11-14 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-11-15 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-11-16 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-11-17 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-11-18 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-11-19 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-11-20 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-11-21 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-11-22 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-11-23 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-11-24 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-11-25 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-11-26 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-11-27 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-11-28 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-11-29 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-11-30 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-12-01 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-12-02 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-12-03 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-12-04 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-12-05 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-12-06 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-12-07 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-12-08 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-12-09 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-12-10 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-12-11 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-12-12 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-12-13 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-12-14 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-12-15 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-12-16 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-12-17 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-12-18 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-12-19 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-12-20 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-12-21 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-12-22 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-12-23 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-12-24 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-12-25 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-12-26 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-12-27 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-12-28 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-12-29 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-12-30 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1998-12-31 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-01-01 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-01-02 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-01-03 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-01-04 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-01-05 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-01-06 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-01-07 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-01-08 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-01-09 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-01-10 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-01-11 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-01-12 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-01-13 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-01-14 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-01-15 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-01-16 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-01-17 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-01-18 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-01-19 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-01-20 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-01-21 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-01-22 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-01-23 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-01-24 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-01-25 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-01-26 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-01-27 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-01-28 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-01-29 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-01-30 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-01-31 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-02-01 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-02-02 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-02-03 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-02-04 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-02-05 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-02-06 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-02-07 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-02-08 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-02-09 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-02-10 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-02-11 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-02-12 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-02-13 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-02-14 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-02-15 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-02-16 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-02-17 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-02-18 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-02-19 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-02-20 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-02-21 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-02-22 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-02-23 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-02-24 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-02-25 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-02-26 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-02-27 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-02-28 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-03-01 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-03-02 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-03-03 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-03-04 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-03-05 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-03-06 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-03-07 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-03-08 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-03-09 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-03-10 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-03-11 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-03-12 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-03-13 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-03-14 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-03-15 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-03-16 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-03-17 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-03-18 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-03-19 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-03-20 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-03-21 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-03-22 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-03-23 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-03-24 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-03-25 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-03-26 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-03-27 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-03-28 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-03-29 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-03-30 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-03-31 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-04-01 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-04-02 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-04-03 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-04-04 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-04-05 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-04-06 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-04-07 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-04-08 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-04-09 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-04-10 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-04-11 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-04-12 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-04-13 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-04-14 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-04-15 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-04-16 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-04-17 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-04-18 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-04-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-04-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-04-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-04-22 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-04-23 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-04-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-04-25 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-04-26 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-04-27 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-04-28 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-04-29 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-04-30 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-05-01 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-05-02 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-05-03 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-05-04 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-05-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-05-06 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-05-07 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-05-08 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-05-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-05-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-05-11 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-05-12 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-05-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-05-14 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-05-15 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-05-16 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-05-17 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-05-18 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-05-19 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-05-20 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-05-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-05-22 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-05-23 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-05-24 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-05-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-05-26 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-05-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-05-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-05-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-05-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-05-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-06-01 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-06-02 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-06-03 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-06-04 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-06-05 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-06-06 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-06-07 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-06-08 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-06-09 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-06-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-06-11 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-06-12 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-06-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-06-14 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-06-15 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-06-16 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-06-17 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-06-18 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-06-19 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-06-20 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-06-21 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-06-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-06-23 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-06-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-06-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-06-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-06-27 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-06-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-06-29 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-06-30 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-07-01 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-07-02 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-07-03 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-07-04 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-07-05 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-07-06 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-07-07 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-07-08 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-07-09 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-07-10 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-07-11 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-07-12 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-07-13 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-07-14 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-07-15 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-07-16 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-07-17 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-07-18 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-07-19 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-07-20 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-07-21 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-07-22 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-07-23 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-07-24 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-07-25 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-07-26 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-07-27 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-07-28 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-07-29 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-07-30 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-07-31 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-08-01 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-08-02 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-08-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-08-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-08-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-08-06 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-08-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-08-08 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-08-09 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-08-10 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-08-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-08-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-08-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-08-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-08-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-08-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-08-17 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-08-18 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-08-19 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-08-20 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-08-21 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-08-22 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-08-23 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-08-24 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-08-25 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-08-26 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-08-27 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-08-28 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-08-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-08-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-08-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-09-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-09-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-09-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-09-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-09-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-09-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-09-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-09-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-09-09 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-09-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-09-11 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-09-12 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-09-13 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-09-14 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-09-15 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-09-16 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-09-17 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-09-18 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-09-19 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-09-20 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-09-21 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-09-22 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-09-23 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-09-24 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-09-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-09-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-09-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-09-28 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-09-29 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-09-30 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-10-01 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-10-02 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-10-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-10-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-10-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-10-06 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-10-07 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-10-08 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-10-09 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-10-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-10-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-10-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-10-13 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-10-14 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-10-15 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-10-16 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-10-17 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-10-18 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-10-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-10-20 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-10-21 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-10-22 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-10-23 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-10-24 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-10-25 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-10-26 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-10-27 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-10-28 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-10-29 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-10-30 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-10-31 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-11-01 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-11-02 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-11-03 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-11-04 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-11-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-11-06 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-11-07 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-11-08 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-11-09 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-11-10 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-11-11 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-11-12 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-11-13 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-11-14 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-11-15 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-11-16 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-11-17 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-11-18 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-11-19 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-11-20 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-11-21 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-11-22 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-11-23 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-11-24 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-11-25 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-11-26 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-11-27 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-11-28 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-11-29 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-11-30 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-12-01 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-12-02 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-12-03 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-12-04 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-12-05 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-12-06 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-12-07 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-12-08 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-12-09 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-12-10 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-12-11 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-12-12 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-12-13 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-12-14 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-12-15 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-12-16 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-12-17 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-12-18 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-12-19 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-12-20 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-12-21 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-12-22 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-12-23 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-12-24 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-12-25 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-12-26 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-12-27 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-12-28 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-12-29 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-12-30 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '1999-12-31 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-01-01 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-01-02 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-01-03 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-01-04 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-01-05 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-01-06 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-01-07 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-01-08 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-01-09 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-01-10 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-01-11 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-01-12 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-01-13 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-01-14 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-01-15 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-01-16 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-01-17 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-01-18 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-01-19 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-01-20 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-01-21 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-01-22 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-01-23 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-01-24 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-01-25 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-01-26 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-01-27 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-01-28 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-01-29 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-01-30 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-01-31 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-02-01 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-02-02 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-02-03 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-02-04 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-02-05 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-02-06 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-02-07 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-02-08 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-02-09 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-02-10 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-02-11 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-02-12 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-02-13 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-02-14 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-02-15 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-02-16 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-02-17 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-02-18 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-02-19 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-02-20 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-02-21 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-02-22 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-02-23 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-02-24 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-02-25 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-02-26 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-02-27 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-02-28 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-02-29 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-03-01 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-03-02 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-03-03 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-03-04 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-03-05 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-03-06 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-03-07 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-03-08 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-03-09 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-03-10 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-03-11 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-03-12 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-03-13 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-03-14 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-03-15 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-03-16 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-03-17 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-03-18 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-03-19 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-03-20 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-03-21 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-03-22 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-03-23 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-03-24 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-03-25 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-03-26 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-03-27 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-03-28 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-03-29 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-03-30 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-03-31 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-04-01 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-04-02 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-04-03 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-04-04 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-04-05 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-04-06 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-04-07 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-04-08 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-04-09 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-04-10 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-04-11 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-04-12 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-04-13 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-04-14 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-04-15 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-04-16 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-04-17 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-04-18 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-04-19 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-04-20 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-04-21 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-04-22 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-04-23 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-04-24 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-04-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-04-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-04-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-04-28 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-04-29 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-04-30 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-05-01 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-05-02 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-05-03 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-05-04 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-05-05 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-05-06 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-05-07 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-05-08 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-05-09 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-05-10 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-05-11 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-05-12 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-05-13 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-05-14 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-05-15 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-05-16 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-05-17 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-05-18 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-05-19 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-05-20 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-05-21 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-05-22 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-05-23 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-05-24 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-05-25 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-05-26 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-05-27 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-05-28 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-05-29 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-05-30 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-05-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-06-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-06-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-06-03 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-06-04 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-06-05 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-06-06 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-06-07 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-06-08 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-06-09 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-06-10 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-06-11 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-06-12 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-06-13 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-06-14 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-06-15 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-06-16 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-06-17 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-06-18 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-06-19 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-06-20 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-06-21 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-06-22 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-06-23 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-06-24 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-06-25 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-06-26 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-06-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-06-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-06-29 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-06-30 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-07-01 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-07-02 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-07-03 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-07-04 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-07-05 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-07-06 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-07-07 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-07-08 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-07-09 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-07-10 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-07-11 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-07-12 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-07-13 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-07-14 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-07-15 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-07-16 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-07-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-07-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-07-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-07-20 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-07-21 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-07-22 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-07-23 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-07-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-07-25 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-07-26 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-07-27 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-07-28 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-07-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-07-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-07-31 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-08-01 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-08-02 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-08-03 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-08-04 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-08-05 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-08-06 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-08-07 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-08-08 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-08-09 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-08-10 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-08-11 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-08-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-08-13 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-08-14 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-08-15 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-08-16 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-08-17 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-08-18 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-08-19 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-08-20 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-08-21 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-08-22 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-08-23 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-08-24 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-08-25 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-08-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-08-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-08-28 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-08-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-08-30 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-08-31 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-09-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-09-02 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-09-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-09-04 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-09-05 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-09-06 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-09-07 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-09-08 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-09-09 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-09-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-09-11 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-09-12 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-09-13 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-09-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-09-15 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-09-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-09-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-09-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-09-19 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-09-20 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-09-21 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-09-22 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-09-23 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-09-24 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-09-25 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-09-26 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-09-27 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-09-28 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-09-29 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-09-30 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-10-01 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-10-02 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-10-03 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-10-04 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-10-05 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-10-06 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-10-07 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-10-08 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-10-09 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-10-10 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-10-11 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-10-12 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-10-13 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-10-14 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-10-15 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-10-16 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-10-17 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-10-18 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-10-19 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-10-20 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-10-21 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-10-22 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-10-23 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-10-24 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-10-25 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-10-26 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-10-27 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-10-28 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-10-29 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-10-30 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-10-31 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-11-01 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-11-02 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-11-03 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-11-04 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-11-05 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-11-06 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-11-07 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-11-08 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-11-09 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-11-10 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-11-11 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-11-12 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-11-13 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-11-14 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-11-15 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-11-16 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-11-17 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-11-18 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-11-19 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-11-20 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-11-21 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-11-22 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-11-23 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-11-24 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-11-25 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-11-26 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-11-27 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-11-28 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-11-29 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-11-30 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-12-01 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-12-02 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-12-03 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-12-04 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-12-05 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-12-06 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-12-07 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-12-08 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-12-09 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-12-10 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-12-11 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-12-12 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-12-13 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-12-14 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-12-15 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-12-16 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-12-17 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-12-18 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-12-19 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-12-20 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-12-21 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-12-22 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-12-23 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-12-24 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-12-25 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-12-26 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-12-27 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-12-28 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-12-29 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-12-30 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 43, '2000-12-31 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-01-01 06:00:00', 'surface', 851.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-01-02 06:00:00', 'surface', 853.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-01-03 06:00:00', 'surface', 853.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-01-04 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-01-05 06:00:00', 'surface', 853.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-01-06 06:00:00', 'surface', 853.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-01-07 06:00:00', 'surface', 851.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-01-08 06:00:00', 'surface', 850.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-01-09 06:00:00', 'surface', 850.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-01-10 06:00:00', 'surface', 853.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-01-11 06:00:00', 'surface', 853.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-01-12 06:00:00', 'surface', 853.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-01-13 06:00:00', 'surface', 853.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-01-14 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-01-15 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-01-16 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-01-17 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-01-18 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-01-19 06:00:00', 'surface', 854.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-01-20 06:00:00', 'surface', 854.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-01-21 06:00:00', 'surface', 854.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-01-22 06:00:00', 'surface', 854.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-01-23 06:00:00', 'surface', 854.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-01-24 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-01-25 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-01-26 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-01-27 06:00:00', 'surface', 854.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-01-28 06:00:00', 'surface', 854.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-01-29 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-01-30 06:00:00', 'surface', 853.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-01-31 06:00:00', 'surface', 853.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-02-01 06:00:00', 'surface', 852.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-02-02 06:00:00', 'surface', 852.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-02-03 06:00:00', 'surface', 852.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-02-04 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-02-05 06:00:00', 'surface', 853.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-02-06 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-02-07 06:00:00', 'surface', 853.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-02-08 06:00:00', 'surface', 852.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-02-09 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-02-10 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-02-11 06:00:00', 'surface', 853.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-02-12 06:00:00', 'surface', 851.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-02-13 06:00:00', 'surface', 851.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-02-14 06:00:00', 'surface', 851.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-02-15 06:00:00', 'surface', 850.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-02-16 06:00:00', 'surface', 849.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-02-17 06:00:00', 'surface', 849.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-02-18 06:00:00', 'surface', 849.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-02-19 06:00:00', 'surface', 851.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-02-20 06:00:00', 'surface', 851.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-02-21 06:00:00', 'surface', 852.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-02-22 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-02-23 06:00:00', 'surface', 854.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-02-24 06:00:00', 'surface', 854.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-02-25 06:00:00', 'surface', 854.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-02-26 06:00:00', 'surface', 855.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-02-27 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-02-28 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-03-01 06:00:00', 'surface', 853.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-03-02 06:00:00', 'surface', 853.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-03-03 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-03-04 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-03-05 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-03-06 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-03-07 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-03-08 06:00:00', 'surface', 854.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-03-09 06:00:00', 'surface', 853.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-03-10 06:00:00', 'surface', 853.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-03-11 06:00:00', 'surface', 853.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-03-12 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-03-13 06:00:00', 'surface', 855.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-03-14 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-03-15 06:00:00', 'surface', 854.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-03-16 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-03-17 06:00:00', 'surface', 854.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-03-18 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-03-19 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-03-20 06:00:00', 'surface', 854.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-03-21 06:00:00', 'surface', 854.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-03-22 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-03-23 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-03-24 06:00:00', 'surface', 853.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-03-25 06:00:00', 'surface', 853.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-03-26 06:00:00', 'surface', 854.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-03-27 06:00:00', 'surface', 853.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-03-28 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-03-29 06:00:00', 'surface', 855.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-03-30 06:00:00', 'surface', 855.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-03-31 06:00:00', 'surface', 855.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-04-01 06:00:00', 'surface', 854.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-04-02 06:00:00', 'surface', 855.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-04-03 06:00:00', 'surface', 855.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-04-04 06:00:00', 'surface', 856.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-04-05 06:00:00', 'surface', 855.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-04-06 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-04-07 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-04-08 06:00:00', 'surface', 859.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-04-09 06:00:00', 'surface', 859.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-04-10 06:00:00', 'surface', 857.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-04-11 06:00:00', 'surface', 856.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-04-12 06:00:00', 'surface', 856.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-04-13 06:00:00', 'surface', 856.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-04-14 06:00:00', 'surface', 857.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-04-15 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-04-16 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-04-17 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-04-18 06:00:00', 'surface', 857.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-04-19 06:00:00', 'surface', 858.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-04-20 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-04-21 06:00:00', 'surface', 857.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-04-22 06:00:00', 'surface', 858.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-04-23 06:00:00', 'surface', 858.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-04-24 06:00:00', 'surface', 858.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-04-25 06:00:00', 'surface', 857.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-04-26 06:00:00', 'surface', 856.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-04-27 06:00:00', 'surface', 856.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-04-28 06:00:00', 'surface', 855.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-04-29 06:00:00', 'surface', 855.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-04-30 06:00:00', 'surface', 856.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-05-01 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-05-02 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-05-03 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-05-04 06:00:00', 'surface', 858.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-05-05 06:00:00', 'surface', 857.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-05-06 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-05-07 06:00:00', 'surface', 857.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-05-08 06:00:00', 'surface', 858.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-05-09 06:00:00', 'surface', 858.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-05-10 06:00:00', 'surface', 857.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-05-11 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-05-12 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-05-13 06:00:00', 'surface', 856.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-05-14 06:00:00', 'surface', 858.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-05-15 06:00:00', 'surface', 857.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-05-16 06:00:00', 'surface', 858.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-05-17 06:00:00', 'surface', 858.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-05-18 06:00:00', 'surface', 857.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-05-19 06:00:00', 'surface', 855.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-05-20 06:00:00', 'surface', 856.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-05-21 06:00:00', 'surface', 858.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-05-22 06:00:00', 'surface', 858.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-05-23 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-05-24 06:00:00', 'surface', 854.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-05-25 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-05-26 06:00:00', 'surface', 857.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-05-27 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-05-28 06:00:00', 'surface', 857.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-05-29 06:00:00', 'surface', 858.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-05-30 06:00:00', 'surface', 858.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-05-31 06:00:00', 'surface', 857.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-06-01 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-06-02 06:00:00', 'surface', 858.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-06-03 06:00:00', 'surface', 857.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-06-04 06:00:00', 'surface', 856.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-06-05 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-06-06 06:00:00', 'surface', 858.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-06-07 06:00:00', 'surface', 857.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-06-08 06:00:00', 'surface', 857.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-06-09 06:00:00', 'surface', 857.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-06-10 06:00:00', 'surface', 859.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-06-11 06:00:00', 'surface', 861.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-06-12 06:00:00', 'surface', 860.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-06-13 06:00:00', 'surface', 856.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-06-14 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-06-15 06:00:00', 'surface', 858.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-06-16 06:00:00', 'surface', 859.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-06-17 06:00:00', 'surface', 858.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-06-18 06:00:00', 'surface', 858.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-06-19 06:00:00', 'surface', 859.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-06-20 06:00:00', 'surface', 858.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-06-21 06:00:00', 'surface', 858.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-06-22 06:00:00', 'surface', 857.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-06-23 06:00:00', 'surface', 856.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-06-24 06:00:00', 'surface', 856.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-06-25 06:00:00', 'surface', 857.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-06-26 06:00:00', 'surface', 859.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-06-27 06:00:00', 'surface', 859.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-06-28 06:00:00', 'surface', 857.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-06-29 06:00:00', 'surface', 857.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-06-30 06:00:00', 'surface', 858.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-07-01 06:00:00', 'surface', 859.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-07-02 06:00:00', 'surface', 859.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-07-03 06:00:00', 'surface', 859.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-07-04 06:00:00', 'surface', 858.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-07-05 06:00:00', 'surface', 857.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-07-06 06:00:00', 'surface', 857.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-07-07 06:00:00', 'surface', 859.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-07-08 06:00:00', 'surface', 861.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-07-09 06:00:00', 'surface', 861.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-07-10 06:00:00', 'surface', 859.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-07-11 06:00:00', 'surface', 857.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-07-12 06:00:00', 'surface', 858.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-07-13 06:00:00', 'surface', 860.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-07-14 06:00:00', 'surface', 862.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-07-15 06:00:00', 'surface', 860.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-07-16 06:00:00', 'surface', 862.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-07-17 06:00:00', 'surface', 864.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-07-18 06:00:00', 'surface', 864.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-07-19 06:00:00', 'surface', 862.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-07-20 06:00:00', 'surface', 861.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-07-21 06:00:00', 'surface', 860.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-07-22 06:00:00', 'surface', 859.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-07-23 06:00:00', 'surface', 857.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-07-24 06:00:00', 'surface', 858.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-07-25 06:00:00', 'surface', 858.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-07-26 06:00:00', 'surface', 858.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-07-27 06:00:00', 'surface', 858.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-07-28 06:00:00', 'surface', 861.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-07-29 06:00:00', 'surface', 862.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-07-30 06:00:00', 'surface', 860.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-07-31 06:00:00', 'surface', 857.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-08-01 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-08-02 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-08-03 06:00:00', 'surface', 856.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-08-04 06:00:00', 'surface', 858.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-08-05 06:00:00', 'surface', 860.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-08-06 06:00:00', 'surface', 858.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-08-07 06:00:00', 'surface', 857.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-08-08 06:00:00', 'surface', 858.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-08-09 06:00:00', 'surface', 858.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-08-10 06:00:00', 'surface', 858.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-08-11 06:00:00', 'surface', 859.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-08-12 06:00:00', 'surface', 863.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-08-13 06:00:00', 'surface', 863.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-08-14 06:00:00', 'surface', 862.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-08-15 06:00:00', 'surface', 860.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-08-16 06:00:00', 'surface', 859.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-08-17 06:00:00', 'surface', 858.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-08-18 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-08-19 06:00:00', 'surface', 857.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-08-20 06:00:00', 'surface', 857.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-08-21 06:00:00', 'surface', 857.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-08-22 06:00:00', 'surface', 859.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-08-23 06:00:00', 'surface', 860.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-08-24 06:00:00', 'surface', 859.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-08-25 06:00:00', 'surface', 858.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-08-26 06:00:00', 'surface', 859.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-08-27 06:00:00', 'surface', 861.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-08-28 06:00:00', 'surface', 859.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-08-29 06:00:00', 'surface', 857.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-08-30 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-08-31 06:00:00', 'surface', 857.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-09-01 06:00:00', 'surface', 860.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-09-02 06:00:00', 'surface', 862.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-09-03 06:00:00', 'surface', 859.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-09-04 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-09-05 06:00:00', 'surface', 857.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-09-06 06:00:00', 'surface', 859.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-09-07 06:00:00', 'surface', 858.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-09-08 06:00:00', 'surface', 856.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-09-09 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-09-10 06:00:00', 'surface', 858.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-09-11 06:00:00', 'surface', 859.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-09-12 06:00:00', 'surface', 858.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-09-13 06:00:00', 'surface', 856.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-09-14 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-09-15 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-09-16 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-09-17 06:00:00', 'surface', 855.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-09-18 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-09-19 06:00:00', 'surface', 856.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-09-20 06:00:00', 'surface', 857.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-09-21 06:00:00', 'surface', 858.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-09-22 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-09-23 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-09-24 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-09-25 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-09-26 06:00:00', 'surface', 857.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-09-27 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-09-28 06:00:00', 'surface', 854.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-09-29 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-09-30 06:00:00', 'surface', 858.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-10-01 06:00:00', 'surface', 858.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-10-02 06:00:00', 'surface', 855.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-10-03 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-10-04 06:00:00', 'surface', 853.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-10-05 06:00:00', 'surface', 854.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-10-06 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-10-07 06:00:00', 'surface', 855.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-10-08 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-10-09 06:00:00', 'surface', 852.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-10-10 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-10-11 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-10-12 06:00:00', 'surface', 855.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-10-13 06:00:00', 'surface', 856.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-10-14 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-10-15 06:00:00', 'surface', 854.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-10-16 06:00:00', 'surface', 857.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-10-17 06:00:00', 'surface', 857.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-10-18 06:00:00', 'surface', 855.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-10-19 06:00:00', 'surface', 853.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-10-20 06:00:00', 'surface', 853.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-10-21 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-10-22 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-10-23 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-10-24 06:00:00', 'surface', 854.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-10-25 06:00:00', 'surface', 854.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-10-26 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-10-27 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-10-28 06:00:00', 'surface', 855.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-10-29 06:00:00', 'surface', 854.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-10-30 06:00:00', 'surface', 853.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-10-31 06:00:00', 'surface', 852.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-11-01 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-11-02 06:00:00', 'surface', 857.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-11-03 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-11-04 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-11-05 06:00:00', 'surface', 855.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-11-06 06:00:00', 'surface', 856.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-11-07 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-11-08 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-11-09 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-11-10 06:00:00', 'surface', 854.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-11-11 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-11-12 06:00:00', 'surface', 853.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-11-13 06:00:00', 'surface', 852.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-11-14 06:00:00', 'surface', 853.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-11-15 06:00:00', 'surface', 853.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-11-16 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-11-17 06:00:00', 'surface', 855.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-11-18 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-11-19 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-11-20 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-11-21 06:00:00', 'surface', 855.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-11-22 06:00:00', 'surface', 857.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-11-23 06:00:00', 'surface', 858.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-11-24 06:00:00', 'surface', 856.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-11-25 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-11-26 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-11-27 06:00:00', 'surface', 856.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-11-28 06:00:00', 'surface', 855.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-11-29 06:00:00', 'surface', 854.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-11-30 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-12-01 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-12-02 06:00:00', 'surface', 855.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-12-03 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-12-04 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-12-05 06:00:00', 'surface', 854.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-12-06 06:00:00', 'surface', 857.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-12-07 06:00:00', 'surface', 855.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-12-08 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-12-09 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-12-10 06:00:00', 'surface', 855.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-12-11 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-12-12 06:00:00', 'surface', 854.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-12-13 06:00:00', 'surface', 854.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-12-14 06:00:00', 'surface', 853.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-12-15 06:00:00', 'surface', 852.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-12-16 06:00:00', 'surface', 852.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-12-17 06:00:00', 'surface', 852.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-12-18 06:00:00', 'surface', 852.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-12-19 06:00:00', 'surface', 852.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-12-20 06:00:00', 'surface', 852.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-12-21 06:00:00', 'surface', 852.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-12-22 06:00:00', 'surface', 853.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-12-23 06:00:00', 'surface', 853.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-12-24 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-12-25 06:00:00', 'surface', 853.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-12-26 06:00:00', 'surface', 852.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-12-27 06:00:00', 'surface', 852.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-12-28 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-12-29 06:00:00', 'surface', 855.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-12-30 06:00:00', 'surface', 855.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1991-12-31 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-01-01 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-01-02 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-01-03 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-01-04 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-01-05 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-01-06 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-01-07 06:00:00', 'surface', 854.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-01-08 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-01-09 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-01-10 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-01-11 06:00:00', 'surface', 856.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-01-12 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-01-13 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-01-14 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-01-15 06:00:00', 'surface', 853.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-01-16 06:00:00', 'surface', 853.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-01-17 06:00:00', 'surface', 853.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-01-18 06:00:00', 'surface', 853.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-01-19 06:00:00', 'surface', 852.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-01-20 06:00:00', 'surface', 853.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-01-21 06:00:00', 'surface', 853.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-01-22 06:00:00', 'surface', 853.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-01-23 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-01-24 06:00:00', 'surface', 853.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-01-25 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-01-26 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-01-27 06:00:00', 'surface', 854.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-01-28 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-01-29 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-01-30 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-01-31 06:00:00', 'surface', 853.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-02-01 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-02-02 06:00:00', 'surface', 855.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-02-03 06:00:00', 'surface', 855.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-02-04 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-02-05 06:00:00', 'surface', 853.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-02-06 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-02-07 06:00:00', 'surface', 854.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-02-08 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-02-09 06:00:00', 'surface', 853.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-02-10 06:00:00', 'surface', 854.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-02-11 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-02-12 06:00:00', 'surface', 854.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-02-13 06:00:00', 'surface', 853.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-02-14 06:00:00', 'surface', 853.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-02-15 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-02-16 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-02-17 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-02-18 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-02-19 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-02-20 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-02-21 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-02-22 06:00:00', 'surface', 853.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-02-23 06:00:00', 'surface', 853.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-02-24 06:00:00', 'surface', 853.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-02-25 06:00:00', 'surface', 853.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-02-26 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-02-27 06:00:00', 'surface', 853.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-02-28 06:00:00', 'surface', 853.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-02-29 06:00:00', 'surface', 852.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-03-01 06:00:00', 'surface', 853.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-03-02 06:00:00', 'surface', 853.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-03-03 06:00:00', 'surface', 853.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-03-04 06:00:00', 'surface', 854.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-03-05 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-03-06 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-03-07 06:00:00', 'surface', 853.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-03-08 06:00:00', 'surface', 853.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-03-09 06:00:00', 'surface', 853.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-03-10 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-03-11 06:00:00', 'surface', 855.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-03-12 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-03-13 06:00:00', 'surface', 857.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-03-14 06:00:00', 'surface', 857.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-03-15 06:00:00', 'surface', 855.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-03-16 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-03-17 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-03-18 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-03-19 06:00:00', 'surface', 853.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-03-20 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-03-21 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-03-22 06:00:00', 'surface', 853.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-03-23 06:00:00', 'surface', 853.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-03-24 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-03-25 06:00:00', 'surface', 854.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-03-26 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-03-27 06:00:00', 'surface', 853.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-03-28 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-03-29 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-03-30 06:00:00', 'surface', 853.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-03-31 06:00:00', 'surface', 853.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-04-01 06:00:00', 'surface', 853.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-04-02 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-04-03 06:00:00', 'surface', 857.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-04-04 06:00:00', 'surface', 857.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-04-05 06:00:00', 'surface', 857.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-04-06 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-04-07 06:00:00', 'surface', 857.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-04-08 06:00:00', 'surface', 857.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-04-09 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-04-10 06:00:00', 'surface', 854.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-04-11 06:00:00', 'surface', 853.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-04-12 06:00:00', 'surface', 854.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-04-13 06:00:00', 'surface', 854.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-04-14 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-04-15 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-04-16 06:00:00', 'surface', 857.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-04-17 06:00:00', 'surface', 857.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-04-18 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-04-19 06:00:00', 'surface', 854.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-04-20 06:00:00', 'surface', 856.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-04-21 06:00:00', 'surface', 858.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-04-22 06:00:00', 'surface', 858.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-04-23 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-04-24 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-04-25 06:00:00', 'surface', 856.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-04-26 06:00:00', 'surface', 856.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-04-27 06:00:00', 'surface', 853.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-04-28 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-04-29 06:00:00', 'surface', 854.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-04-30 06:00:00', 'surface', 857.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-05-01 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-05-02 06:00:00', 'surface', 854.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-05-03 06:00:00', 'surface', 852.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-05-04 06:00:00', 'surface', 853.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-05-05 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-05-06 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-05-07 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-05-08 06:00:00', 'surface', 857.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-05-09 06:00:00', 'surface', 858.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-05-10 06:00:00', 'surface', 860.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-05-11 06:00:00', 'surface', 860.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-05-12 06:00:00', 'surface', 859.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-05-13 06:00:00', 'surface', 858.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-05-14 06:00:00', 'surface', 858.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-05-15 06:00:00', 'surface', 857.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-05-16 06:00:00', 'surface', 857.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-05-17 06:00:00', 'surface', 858.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-05-18 06:00:00', 'surface', 857.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-05-19 06:00:00', 'surface', 857.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-05-20 06:00:00', 'surface', 858.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-05-21 06:00:00', 'surface', 858.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-05-22 06:00:00', 'surface', 857.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-05-23 06:00:00', 'surface', 858.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-05-24 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-05-25 06:00:00', 'surface', 856.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-05-26 06:00:00', 'surface', 856.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-05-27 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-05-28 06:00:00', 'surface', 856.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-05-29 06:00:00', 'surface', 858.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-05-30 06:00:00', 'surface', 857.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-05-31 06:00:00', 'surface', 856.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-06-01 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-06-02 06:00:00', 'surface', 857.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-06-03 06:00:00', 'surface', 857.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-06-04 06:00:00', 'surface', 857.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-06-05 06:00:00', 'surface', 857.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-06-06 06:00:00', 'surface', 860.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-06-07 06:00:00', 'surface', 862.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-06-08 06:00:00', 'surface', 861.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-06-09 06:00:00', 'surface', 860.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-06-10 06:00:00', 'surface', 859.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-06-11 06:00:00', 'surface', 858.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-06-12 06:00:00', 'surface', 858.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-06-13 06:00:00', 'surface', 857.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-06-14 06:00:00', 'surface', 859.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-06-15 06:00:00', 'surface', 859.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-06-16 06:00:00', 'surface', 860.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-06-17 06:00:00', 'surface', 859.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-06-18 06:00:00', 'surface', 858.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-06-19 06:00:00', 'surface', 859.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-06-20 06:00:00', 'surface', 860.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-06-21 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-06-22 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-06-23 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-06-24 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-06-25 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-06-26 06:00:00', 'surface', 858.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-06-27 06:00:00', 'surface', 860.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-06-28 06:00:00', 'surface', 859.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-06-29 06:00:00', 'surface', 859.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-06-30 06:00:00', 'surface', 859.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-07-01 06:00:00', 'surface', 857.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-07-02 06:00:00', 'surface', 858.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-07-03 06:00:00', 'surface', 861.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-07-04 06:00:00', 'surface', 862.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-07-05 06:00:00', 'surface', 860.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-07-06 06:00:00', 'surface', 859.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-07-07 06:00:00', 'surface', 858.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-07-08 06:00:00', 'surface', 859.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-07-09 06:00:00', 'surface', 850.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-07-10 06:00:00', 'surface', 859.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-07-11 06:00:00', 'surface', 858.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-07-12 06:00:00', 'surface', 859.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-07-13 06:00:00', 'surface', 861.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-07-14 06:00:00', 'surface', 861.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-07-15 06:00:00', 'surface', 861.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-07-16 06:00:00', 'surface', 862.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-07-17 06:00:00', 'surface', 863.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-07-18 06:00:00', 'surface', 861.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-07-19 06:00:00', 'surface', 860.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-07-20 06:00:00', 'surface', 860.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-07-21 06:00:00', 'surface', 859.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-07-22 06:00:00', 'surface', 859.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-07-23 06:00:00', 'surface', 859.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-07-24 06:00:00', 'surface', 859.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-07-25 06:00:00', 'surface', 861.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-07-26 06:00:00', 'surface', 861.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-07-27 06:00:00', 'surface', 860.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-07-28 06:00:00', 'surface', 859.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-07-29 06:00:00', 'surface', 858.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-07-30 06:00:00', 'surface', 861.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-07-31 06:00:00', 'surface', 863.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-08-01 06:00:00', 'surface', 862.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-08-02 06:00:00', 'surface', 861.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-08-03 06:00:00', 'surface', 859.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-08-04 06:00:00', 'surface', 858.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-08-05 06:00:00', 'surface', 858.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-08-06 06:00:00', 'surface', 858.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-08-07 06:00:00', 'surface', 857.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-08-08 06:00:00', 'surface', 858.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-08-09 06:00:00', 'surface', 859.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-08-10 06:00:00', 'surface', 860.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-08-11 06:00:00', 'surface', 862.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-08-12 06:00:00', 'surface', 863.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-08-13 06:00:00', 'surface', 862.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-08-14 06:00:00', 'surface', 859.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-08-15 06:00:00', 'surface', 859.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-08-16 06:00:00', 'surface', 859.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-08-17 06:00:00', 'surface', 859.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-08-18 06:00:00', 'surface', 860.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-08-19 06:00:00', 'surface', 862.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-08-20 06:00:00', 'surface', 862.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-08-21 06:00:00', 'surface', 860.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-08-22 06:00:00', 'surface', 858.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-08-23 06:00:00', 'surface', 856.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-08-24 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-08-25 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-08-26 06:00:00', 'surface', 859.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-08-27 06:00:00', 'surface', 861.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-08-28 06:00:00', 'surface', 862.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-08-29 06:00:00', 'surface', 861.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-08-30 06:00:00', 'surface', 860.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-08-31 06:00:00', 'surface', 858.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-09-01 06:00:00', 'surface', 857.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-09-02 06:00:00', 'surface', 857.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-09-03 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-09-04 06:00:00', 'surface', 855.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-09-05 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-09-06 06:00:00', 'surface', 854.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-09-07 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-09-08 06:00:00', 'surface', 857.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-09-09 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-09-10 06:00:00', 'surface', 857.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-09-11 06:00:00', 'surface', 858.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-09-12 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-09-13 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-09-14 06:00:00', 'surface', 859.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-09-15 06:00:00', 'surface', 859.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-09-16 06:00:00', 'surface', 858.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-09-17 06:00:00', 'surface', 857.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-09-18 06:00:00', 'surface', 858.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-09-19 06:00:00', 'surface', 857.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-09-20 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-09-21 06:00:00', 'surface', 854.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-09-22 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-09-23 06:00:00', 'surface', 855.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-09-24 06:00:00', 'surface', 856.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-09-25 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-09-26 06:00:00', 'surface', 856.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-09-27 06:00:00', 'surface', 857.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-09-28 06:00:00', 'surface', 858.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-09-29 06:00:00', 'surface', 858.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-09-30 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-10-01 06:00:00', 'surface', 854.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-10-02 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-10-03 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-10-04 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-10-05 06:00:00', 'surface', 857.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-10-06 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-10-07 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-10-08 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-10-09 06:00:00', 'surface', 858.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-10-10 06:00:00', 'surface', 858.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-10-11 06:00:00', 'surface', 854.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-10-12 06:00:00', 'surface', 852.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-10-13 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-10-14 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-10-15 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-10-16 06:00:00', 'surface', 853.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-10-17 06:00:00', 'surface', 852.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-10-18 06:00:00', 'surface', 852.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-10-19 06:00:00', 'surface', 852.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-10-20 06:00:00', 'surface', 853.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-10-21 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-10-22 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-10-23 06:00:00', 'surface', 853.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-10-24 06:00:00', 'surface', 852.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-10-25 06:00:00', 'surface', 852.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-10-26 06:00:00', 'surface', 854.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-10-27 06:00:00', 'surface', 855.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-10-28 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-10-29 06:00:00', 'surface', 851.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-10-30 06:00:00', 'surface', 852.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-10-31 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-11-01 06:00:00', 'surface', 854.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-11-02 06:00:00', 'surface', 854.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-11-03 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-11-04 06:00:00', 'surface', 854.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-11-05 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-11-06 06:00:00', 'surface', 854.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-11-07 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-11-08 06:00:00', 'surface', 853.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-11-09 06:00:00', 'surface', 853.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-11-10 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-11-11 06:00:00', 'surface', 855.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-11-12 06:00:00', 'surface', 853.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-11-13 06:00:00', 'surface', 853.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-11-14 06:00:00', 'surface', 852.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-11-15 06:00:00', 'surface', 852.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-11-16 06:00:00', 'surface', 850.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-11-17 06:00:00', 'surface', 851.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-11-18 06:00:00', 'surface', 854.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-11-19 06:00:00', 'surface', 854.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-11-20 06:00:00', 'surface', 853.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-11-21 06:00:00', 'surface', 851.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-11-22 06:00:00', 'surface', 852.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-11-23 06:00:00', 'surface', 853.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-11-24 06:00:00', 'surface', 854.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-11-25 06:00:00', 'surface', 854.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-11-26 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-11-27 06:00:00', 'surface', 857.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-11-28 06:00:00', 'surface', 858.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-11-29 06:00:00', 'surface', 857.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-11-30 06:00:00', 'surface', 856.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-12-01 06:00:00', 'surface', 855.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-12-02 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-12-03 06:00:00', 'surface', 854.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-12-04 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-12-05 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-12-06 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-12-07 06:00:00', 'surface', 853.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-12-08 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-12-09 06:00:00', 'surface', 854.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-12-10 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-12-11 06:00:00', 'surface', 853.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-12-12 06:00:00', 'surface', 852.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-12-13 06:00:00', 'surface', 852.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-12-14 06:00:00', 'surface', 852.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-12-15 06:00:00', 'surface', 852.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-12-16 06:00:00', 'surface', 853.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-12-17 06:00:00', 'surface', 853.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-12-18 06:00:00', 'surface', 854.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-12-19 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-12-20 06:00:00', 'surface', 853.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-12-21 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-12-22 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-12-23 06:00:00', 'surface', 852.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-12-24 06:00:00', 'surface', 849.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-12-25 06:00:00', 'surface', 850.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-12-26 06:00:00', 'surface', 853.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-12-27 06:00:00', 'surface', 852.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-12-28 06:00:00', 'surface', 852.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-12-29 06:00:00', 'surface', 852.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-12-30 06:00:00', 'surface', 853.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1992-12-31 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-01-01 06:00:00', 'surface', 856.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-01-02 06:00:00', 'surface', 856.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-01-03 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-01-04 06:00:00', 'surface', 853.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-01-05 06:00:00', 'surface', 853.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-01-06 06:00:00', 'surface', 854.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-01-07 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-01-08 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-01-09 06:00:00', 'surface', 853.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-01-10 06:00:00', 'surface', 852.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-01-11 06:00:00', 'surface', 849.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-01-12 06:00:00', 'surface', 849.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-01-13 06:00:00', 'surface', 852.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-01-14 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-01-15 06:00:00', 'surface', 853.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-01-16 06:00:00', 'surface', 853.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-01-17 06:00:00', 'surface', 852.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-01-18 06:00:00', 'surface', 852.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-01-19 06:00:00', 'surface', 851.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-01-20 06:00:00', 'surface', 851.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-01-21 06:00:00', 'surface', 852.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-01-22 06:00:00', 'surface', 855.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-01-23 06:00:00', 'surface', 855.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-01-24 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-01-25 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-01-26 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-01-27 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-01-28 06:00:00', 'surface', 855.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-01-29 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-01-30 06:00:00', 'surface', 853.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-01-31 06:00:00', 'surface', 852.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-02-01 06:00:00', 'surface', 852.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-02-02 06:00:00', 'surface', 853.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-02-03 06:00:00', 'surface', 853.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-02-04 06:00:00', 'surface', 855.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-02-05 06:00:00', 'surface', 856.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-02-06 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-02-07 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-02-08 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-02-09 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-02-10 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-02-11 06:00:00', 'surface', 852.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-02-12 06:00:00', 'surface', 851.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-02-13 06:00:00', 'surface', 851.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-02-14 06:00:00', 'surface', 851.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-02-15 06:00:00', 'surface', 851.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-02-16 06:00:00', 'surface', 850.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-02-17 06:00:00', 'surface', 851.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-02-18 06:00:00', 'surface', 853.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-02-19 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-02-20 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-02-21 06:00:00', 'surface', 852.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-02-22 06:00:00', 'surface', 852.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-02-23 06:00:00', 'surface', 851.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-02-24 06:00:00', 'surface', 851.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-02-25 06:00:00', 'surface', 851.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-02-26 06:00:00', 'surface', 852.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-02-27 06:00:00', 'surface', 852.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-02-28 06:00:00', 'surface', 852.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-03-01 06:00:00', 'surface', 853.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-03-02 06:00:00', 'surface', 853.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-03-03 06:00:00', 'surface', 852.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-03-04 06:00:00', 'surface', 852.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-03-05 06:00:00', 'surface', 852.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-03-06 06:00:00', 'surface', 853.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-03-07 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-03-08 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-03-09 06:00:00', 'surface', 855.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-03-10 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-03-11 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-03-12 06:00:00', 'surface', 855.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-03-13 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-03-14 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-03-15 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-03-16 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-03-17 06:00:00', 'surface', 857.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-03-18 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-03-19 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-03-20 06:00:00', 'surface', 857.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-03-21 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-03-22 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-03-23 06:00:00', 'surface', 855.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-03-24 06:00:00', 'surface', 856.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-03-25 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-03-26 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-03-27 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-03-28 06:00:00', 'surface', 854.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-03-29 06:00:00', 'surface', 854.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-03-30 06:00:00', 'surface', 853.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-03-31 06:00:00', 'surface', 853.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-04-01 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-04-02 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-04-03 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-04-04 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-04-05 06:00:00', 'surface', 857.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-04-06 06:00:00', 'surface', 857.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-04-07 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-04-08 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-04-09 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-04-10 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-04-11 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-04-12 06:00:00', 'surface', 852.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-04-13 06:00:00', 'surface', 854.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-04-14 06:00:00', 'surface', 857.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-04-15 06:00:00', 'surface', 857.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-04-16 06:00:00', 'surface', 856.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-04-17 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-04-18 06:00:00', 'surface', 856.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-04-19 06:00:00', 'surface', 857.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-04-20 06:00:00', 'surface', 858.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-04-21 06:00:00', 'surface', 858.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-04-22 06:00:00', 'surface', 857.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-04-23 06:00:00', 'surface', 857.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-04-24 06:00:00', 'surface', 857.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-04-25 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-04-26 06:00:00', 'surface', 855.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-04-27 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-04-28 06:00:00', 'surface', 854.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-04-29 06:00:00', 'surface', 854.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-04-30 06:00:00', 'surface', 856.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-05-01 06:00:00', 'surface', 857.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-05-02 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-05-03 06:00:00', 'surface', 856.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-05-04 06:00:00', 'surface', 855.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-05-05 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-05-06 06:00:00', 'surface', 856.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-05-07 06:00:00', 'surface', 855.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-05-08 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-05-09 06:00:00', 'surface', 855.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-05-10 06:00:00', 'surface', 854.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-05-11 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-05-12 06:00:00', 'surface', 856.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-05-13 06:00:00', 'surface', 857.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-05-14 06:00:00', 'surface', 857.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-05-15 06:00:00', 'surface', 858.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-05-16 06:00:00', 'surface', 857.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-05-17 06:00:00', 'surface', 857.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-05-18 06:00:00', 'surface', 857.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-05-19 06:00:00', 'surface', 858.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-05-20 06:00:00', 'surface', 858.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-05-21 06:00:00', 'surface', 856.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-05-22 06:00:00', 'surface', 856.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-05-23 06:00:00', 'surface', 857.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-05-24 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-05-25 06:00:00', 'surface', 855.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-05-26 06:00:00', 'surface', 854.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-05-27 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-05-28 06:00:00', 'surface', 857.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-05-29 06:00:00', 'surface', 857.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-05-30 06:00:00', 'surface', 858.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-05-31 06:00:00', 'surface', 858.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-06-01 06:00:00', 'surface', 859.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-06-02 06:00:00', 'surface', 859.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-06-03 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-06-04 06:00:00', 'surface', 857.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-06-05 06:00:00', 'surface', 862.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-06-06 06:00:00', 'surface', 861.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-06-07 06:00:00', 'surface', 859.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-06-08 06:00:00', 'surface', 858.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-06-09 06:00:00', 'surface', 859.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-06-10 06:00:00', 'surface', 859.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-06-11 06:00:00', 'surface', 857.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-06-12 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-06-13 06:00:00', 'surface', 857.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-06-14 06:00:00', 'surface', 859.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-06-15 06:00:00', 'surface', 860.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-06-16 06:00:00', 'surface', 859.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-06-17 06:00:00', 'surface', 859.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-06-18 06:00:00', 'surface', 860.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-06-19 06:00:00', 'surface', 859.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-06-20 06:00:00', 'surface', 859.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-06-21 06:00:00', 'surface', 860.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-06-22 06:00:00', 'surface', 861.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-06-23 06:00:00', 'surface', 861.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-06-24 06:00:00', 'surface', 861.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-06-25 06:00:00', 'surface', 863.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-06-26 06:00:00', 'surface', 862.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-06-27 06:00:00', 'surface', 861.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-06-28 06:00:00', 'surface', 860.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-06-29 06:00:00', 'surface', 861.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-06-30 06:00:00', 'surface', 863.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-07-01 06:00:00', 'surface', 862.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-07-02 06:00:00', 'surface', 861.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-07-03 06:00:00', 'surface', 861.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-07-04 06:00:00', 'surface', 859.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-07-05 06:00:00', 'surface', 858.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-07-06 06:00:00', 'surface', 858.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-07-07 06:00:00', 'surface', 858.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-07-08 06:00:00', 'surface', 858.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-07-09 06:00:00', 'surface', 860.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-07-10 06:00:00', 'surface', 858.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-07-11 06:00:00', 'surface', 858.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-07-12 06:00:00', 'surface', 860.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-07-13 06:00:00', 'surface', 861.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-07-14 06:00:00', 'surface', 860.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-07-15 06:00:00', 'surface', 859.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-07-16 06:00:00', 'surface', 860.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-07-17 06:00:00', 'surface', 860.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-07-18 06:00:00', 'surface', 860.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-07-19 06:00:00', 'surface', 861.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-07-20 06:00:00', 'surface', 861.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-07-21 06:00:00', 'surface', 862.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-07-22 06:00:00', 'surface', 863.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-07-23 06:00:00', 'surface', 863.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-07-24 06:00:00', 'surface', 861.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-07-25 06:00:00', 'surface', 860.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-07-26 06:00:00', 'surface', 859.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-07-27 06:00:00', 'surface', 858.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-07-28 06:00:00', 'surface', 859.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-07-29 06:00:00', 'surface', 860.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-07-30 06:00:00', 'surface', 861.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-07-31 06:00:00', 'surface', 861.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-08-01 06:00:00', 'surface', 860.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-08-02 06:00:00', 'surface', 860.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-08-03 06:00:00', 'surface', 859.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-08-04 06:00:00', 'surface', 858.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-08-05 06:00:00', 'surface', 858.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-08-06 06:00:00', 'surface', 858.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-08-07 06:00:00', 'surface', 857.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-08-08 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-08-09 06:00:00', 'surface', 857.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-08-10 06:00:00', 'surface', 859.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-08-11 06:00:00', 'surface', 858.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-08-12 06:00:00', 'surface', 858.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-08-13 06:00:00', 'surface', 863.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-08-14 06:00:00', 'surface', 864.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-08-15 06:00:00', 'surface', 863.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-08-16 06:00:00', 'surface', 861.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-08-17 06:00:00', 'surface', 859.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-08-18 06:00:00', 'surface', 859.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-08-19 06:00:00', 'surface', 859.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-08-20 06:00:00', 'surface', 857.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-08-21 06:00:00', 'surface', 856.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-08-22 06:00:00', 'surface', 858.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-08-23 06:00:00', 'surface', 862.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-08-24 06:00:00', 'surface', 862.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-08-25 06:00:00', 'surface', 861.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-08-26 06:00:00', 'surface', 859.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-08-27 06:00:00', 'surface', 858.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-08-28 06:00:00', 'surface', 858.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-08-29 06:00:00', 'surface', 859.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-08-30 06:00:00', 'surface', 860.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-08-31 06:00:00', 'surface', 860.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-09-01 06:00:00', 'surface', 860.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-09-02 06:00:00', 'surface', 860.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-09-03 06:00:00', 'surface', 860.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-09-04 06:00:00', 'surface', 858.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-09-05 06:00:00', 'surface', 858.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-09-06 06:00:00', 'surface', 851.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-09-07 06:00:00', 'surface', 861.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-09-08 06:00:00', 'surface', 859.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-09-09 06:00:00', 'surface', 857.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-09-10 06:00:00', 'surface', 857.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-09-11 06:00:00', 'surface', 857.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-09-12 06:00:00', 'surface', 858.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-09-13 06:00:00', 'surface', 858.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-09-14 06:00:00', 'surface', 858.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-09-15 06:00:00', 'surface', 860.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-09-16 06:00:00', 'surface', 859.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-09-17 06:00:00', 'surface', 857.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-09-18 06:00:00', 'surface', 857.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-09-19 06:00:00', 'surface', 858.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-09-20 06:00:00', 'surface', 857.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-09-21 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-09-22 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-09-23 06:00:00', 'surface', 854.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-09-24 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-09-25 06:00:00', 'surface', 855.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-09-26 06:00:00', 'surface', 856.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-09-27 06:00:00', 'surface', 856.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-09-28 06:00:00', 'surface', 856.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-09-29 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-09-30 06:00:00', 'surface', 854.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-10-01 06:00:00', 'surface', 857.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-10-02 06:00:00', 'surface', 858.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-10-04 06:00:00', 'surface', 857.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-10-05 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-10-06 06:00:00', 'surface', 857.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-10-07 06:00:00', 'surface', 857.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-10-08 06:00:00', 'surface', 857.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-10-09 06:00:00', 'surface', 857.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-10-10 06:00:00', 'surface', 857.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-10-11 06:00:00', 'surface', 856.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-10-12 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-10-13 06:00:00', 'surface', 855.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-10-14 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-10-15 06:00:00', 'surface', 854.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-10-16 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-10-17 06:00:00', 'surface', 856.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-10-18 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-10-19 06:00:00', 'surface', 856.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-10-20 06:00:00', 'surface', 856.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-10-21 06:00:00', 'surface', 856.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-10-22 06:00:00', 'surface', 854.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-10-23 06:00:00', 'surface', 856.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-10-24 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-10-25 06:00:00', 'surface', 855.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-10-26 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-10-27 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-10-28 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-10-29 06:00:00', 'surface', 855.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-10-30 06:00:00', 'surface', 855.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-11-01 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-11-02 06:00:00', 'surface', 856.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-11-03 06:00:00', 'surface', 854.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-11-04 06:00:00', 'surface', 853.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-11-05 06:00:00', 'surface', 852.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-11-06 06:00:00', 'surface', 854.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-11-07 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-11-08 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-11-09 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-11-10 06:00:00', 'surface', 852.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-11-11 06:00:00', 'surface', 851.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-11-12 06:00:00', 'surface', 853.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-11-13 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-11-14 06:00:00', 'surface', 856.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-11-15 06:00:00', 'surface', 855.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-11-16 06:00:00', 'surface', 855.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-11-17 06:00:00', 'surface', 854.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-11-18 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-11-19 06:00:00', 'surface', 853.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-11-20 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-11-21 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-11-22 06:00:00', 'surface', 853.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-11-23 06:00:00', 'surface', 852.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-11-24 06:00:00', 'surface', 853.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-11-25 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-11-26 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-11-27 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-11-28 06:00:00', 'surface', 853.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-11-29 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-11-30 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-12-01 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-12-02 06:00:00', 'surface', 853.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-12-03 06:00:00', 'surface', 853.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-12-04 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-12-05 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-12-07 06:00:00', 'surface', 855.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-12-08 06:00:00', 'surface', 854.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-12-09 06:00:00', 'surface', 854.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-12-10 06:00:00', 'surface', 855.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-12-11 06:00:00', 'surface', 855.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-12-12 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-12-13 06:00:00', 'surface', 856.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-12-14 06:00:00', 'surface', 856.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-12-15 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-12-16 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-12-17 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-12-18 06:00:00', 'surface', 853.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-12-19 06:00:00', 'surface', 853.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-12-20 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-12-21 06:00:00', 'surface', 855.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-12-22 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-12-23 06:00:00', 'surface', 857.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-12-24 06:00:00', 'surface', 855.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-12-25 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-12-26 06:00:00', 'surface', 855.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-12-27 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-12-28 06:00:00', 'surface', 853.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-12-29 06:00:00', 'surface', 852.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-12-30 06:00:00', 'surface', 853.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1993-12-31 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-01-01 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-01-02 06:00:00', 'surface', 852.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-01-03 06:00:00', 'surface', 851.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-01-04 06:00:00', 'surface', 852.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-01-05 06:00:00', 'surface', 853.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-01-06 06:00:00', 'surface', 853.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-01-07 06:00:00', 'surface', 853.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-01-08 06:00:00', 'surface', 852.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-01-09 06:00:00', 'surface', 853.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-01-10 06:00:00', 'surface', 852.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-01-11 06:00:00', 'surface', 852.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-01-12 06:00:00', 'surface', 852.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-01-13 06:00:00', 'surface', 852.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-01-14 06:00:00', 'surface', 852.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-01-15 06:00:00', 'surface', 852.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-01-16 06:00:00', 'surface', 852.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-01-17 06:00:00', 'surface', 852.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-01-18 06:00:00', 'surface', 854.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-01-19 06:00:00', 'surface', 854.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-01-20 06:00:00', 'surface', 852.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-01-21 06:00:00', 'surface', 851.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-01-22 06:00:00', 'surface', 852.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-01-23 06:00:00', 'surface', 852.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-01-24 06:00:00', 'surface', 853.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-01-25 06:00:00', 'surface', 853.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-01-26 06:00:00', 'surface', 853.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-01-27 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-01-28 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-01-29 06:00:00', 'surface', 853.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-01-30 06:00:00', 'surface', 852.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-01-31 06:00:00', 'surface', 851.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-02-01 06:00:00', 'surface', 851.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-02-02 06:00:00', 'surface', 852.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-02-03 06:00:00', 'surface', 850.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-02-04 06:00:00', 'surface', 849.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-02-05 06:00:00', 'surface', 850.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-02-06 06:00:00', 'surface', 850.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-02-07 06:00:00', 'surface', 851.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-02-08 06:00:00', 'surface', 853.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-02-09 06:00:00', 'surface', 853.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-02-10 06:00:00', 'surface', 853.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-02-11 06:00:00', 'surface', 852.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-02-12 06:00:00', 'surface', 852.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-02-13 06:00:00', 'surface', 853.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-02-14 06:00:00', 'surface', 854.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-02-15 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-02-16 06:00:00', 'surface', 852.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-02-17 06:00:00', 'surface', 853.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-02-18 06:00:00', 'surface', 853.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-02-19 06:00:00', 'surface', 852.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-02-20 06:00:00', 'surface', 853.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-02-21 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-02-22 06:00:00', 'surface', 856.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-02-23 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-02-24 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-02-25 06:00:00', 'surface', 856.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-02-26 06:00:00', 'surface', 856.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-02-27 06:00:00', 'surface', 854.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-02-28 06:00:00', 'surface', 855.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-03-01 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-03-02 06:00:00', 'surface', 856.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-03-03 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-03-04 06:00:00', 'surface', 856.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-03-05 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-03-06 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-03-07 06:00:00', 'surface', 853.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-03-08 06:00:00', 'surface', 853.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-03-09 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-03-10 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-03-11 06:00:00', 'surface', 853.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-03-12 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-03-13 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-03-14 06:00:00', 'surface', 854.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-03-15 06:00:00', 'surface', 854.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-03-16 06:00:00', 'surface', 853.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-03-17 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-03-18 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-03-19 06:00:00', 'surface', 856.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-03-20 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-03-21 06:00:00', 'surface', 854.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-03-22 06:00:00', 'surface', 854.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-03-23 06:00:00', 'surface', 855.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-03-24 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-03-25 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-03-26 06:00:00', 'surface', 853.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-03-27 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-03-28 06:00:00', 'surface', 855.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-03-29 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-03-30 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-03-31 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-04-01 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-04-02 06:00:00', 'surface', 856.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-04-03 06:00:00', 'surface', 856.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-04-04 06:00:00', 'surface', 856.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-04-05 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-04-06 06:00:00', 'surface', 856.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-04-07 06:00:00', 'surface', 855.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-04-08 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-04-09 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-04-10 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-04-11 06:00:00', 'surface', 856.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-04-12 06:00:00', 'surface', 855.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-04-13 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-04-14 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-04-15 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-04-16 06:00:00', 'surface', 855.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-04-17 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-04-18 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-04-19 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-04-20 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-04-21 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-04-22 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-04-23 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-04-24 06:00:00', 'surface', 856.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-04-25 06:00:00', 'surface', 859.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-04-26 06:00:00', 'surface', 859.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-04-27 06:00:00', 'surface', 857.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-04-28 06:00:00', 'surface', 856.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-04-29 06:00:00', 'surface', 857.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-04-30 06:00:00', 'surface', 859.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-05-01 06:00:00', 'surface', 858.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-05-02 06:00:00', 'surface', 857.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-05-03 06:00:00', 'surface', 856.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-05-04 06:00:00', 'surface', 857.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-05-05 06:00:00', 'surface', 858.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-05-06 06:00:00', 'surface', 857.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-05-07 06:00:00', 'surface', 857.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-05-08 06:00:00', 'surface', 858.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-05-09 06:00:00', 'surface', 858.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-05-10 06:00:00', 'surface', 858.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-05-11 06:00:00', 'surface', 858.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-05-12 06:00:00', 'surface', 858.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-05-13 06:00:00', 'surface', 859.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-05-14 06:00:00', 'surface', 859.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-05-15 06:00:00', 'surface', 859.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-05-16 06:00:00', 'surface', 859.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-05-17 06:00:00', 'surface', 859.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-05-18 06:00:00', 'surface', 859.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-05-19 06:00:00', 'surface', 858.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-05-20 06:00:00', 'surface', 858.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-05-21 06:00:00', 'surface', 858.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-05-22 06:00:00', 'surface', 858.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-05-23 06:00:00', 'surface', 856.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-05-24 06:00:00', 'surface', 857.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-05-25 06:00:00', 'surface', 857.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-05-26 06:00:00', 'surface', 858.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-05-27 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-05-28 06:00:00', 'surface', 855.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-05-29 06:00:00', 'surface', 857.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-05-30 06:00:00', 'surface', 858.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-05-31 06:00:00', 'surface', 859.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-06-01 06:00:00', 'surface', 860.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-06-02 06:00:00', 'surface', 861.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-06-03 06:00:00', 'surface', 860.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-06-04 06:00:00', 'surface', 859.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-06-05 06:00:00', 'surface', 857.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-06-06 06:00:00', 'surface', 857.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-06-07 06:00:00', 'surface', 858.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-06-08 06:00:00', 'surface', 859.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-06-09 06:00:00', 'surface', 859.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-06-10 06:00:00', 'surface', 862.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-06-11 06:00:00', 'surface', 862.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-06-12 06:00:00', 'surface', 861.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-06-13 06:00:00', 'surface', 860.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-06-14 06:00:00', 'surface', 861.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-06-15 06:00:00', 'surface', 861.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-06-16 06:00:00', 'surface', 860.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-06-17 06:00:00', 'surface', 858.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-06-18 06:00:00', 'surface', 857.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-06-19 06:00:00', 'surface', 856.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-06-20 06:00:00', 'surface', 856.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-06-21 06:00:00', 'surface', 856.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-06-22 06:00:00', 'surface', 857.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-06-23 06:00:00', 'surface', 859.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-06-24 06:00:00', 'surface', 858.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-06-25 06:00:00', 'surface', 857.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-06-26 06:00:00', 'surface', 857.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-06-27 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-06-28 06:00:00', 'surface', 853.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-06-29 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-06-30 06:00:00', 'surface', 858.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-07-01 06:00:00', 'surface', 860.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-07-02 06:00:00', 'surface', 860.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-07-03 06:00:00', 'surface', 860.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-07-04 06:00:00', 'surface', 859.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-07-05 06:00:00', 'surface', 859.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-07-06 06:00:00', 'surface', 861.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-07-07 06:00:00', 'surface', 861.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-07-08 06:00:00', 'surface', 860.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-07-09 06:00:00', 'surface', 859.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-07-10 06:00:00', 'surface', 859.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-07-11 06:00:00', 'surface', 860.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-07-12 06:00:00', 'surface', 863.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-07-13 06:00:00', 'surface', 862.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-07-14 06:00:00', 'surface', 860.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-07-15 06:00:00', 'surface', 859.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-07-16 06:00:00', 'surface', 860.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-07-17 06:00:00', 'surface', 859.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-07-18 06:00:00', 'surface', 860.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-07-19 06:00:00', 'surface', 859.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-07-20 06:00:00', 'surface', 859.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-07-21 06:00:00', 'surface', 858.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-07-22 06:00:00', 'surface', 858.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-07-23 06:00:00', 'surface', 857.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-07-24 06:00:00', 'surface', 855.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-07-25 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-07-26 06:00:00', 'surface', 856.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-07-27 06:00:00', 'surface', 858.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-07-28 06:00:00', 'surface', 863.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-07-29 06:00:00', 'surface', 863.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-07-30 06:00:00', 'surface', 863.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-07-31 06:00:00', 'surface', 863.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-08-01 06:00:00', 'surface', 860.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-08-02 06:00:00', 'surface', 859.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-08-03 06:00:00', 'surface', 859.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-08-04 06:00:00', 'surface', 861.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-08-05 06:00:00', 'surface', 861.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-08-06 06:00:00', 'surface', 859.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-08-07 06:00:00', 'surface', 857.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-08-08 06:00:00', 'surface', 857.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-08-09 06:00:00', 'surface', 857.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-08-10 06:00:00', 'surface', 857.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-08-11 06:00:00', 'surface', 859.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-08-12 06:00:00', 'surface', 858.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-08-13 06:00:00', 'surface', 855.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-08-14 06:00:00', 'surface', 853.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-08-15 06:00:00', 'surface', 856.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-08-16 06:00:00', 'surface', 857.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-08-17 06:00:00', 'surface', 857.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-08-18 06:00:00', 'surface', 857.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-08-19 06:00:00', 'surface', 856.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-08-20 06:00:00', 'surface', 851.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-08-21 06:00:00', 'surface', 861.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-08-22 06:00:00', 'surface', 861.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-08-23 06:00:00', 'surface', 860.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-08-24 06:00:00', 'surface', 861.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-08-25 06:00:00', 'surface', 860.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-08-26 06:00:00', 'surface', 859.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-08-27 06:00:00', 'surface', 860.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-08-28 06:00:00', 'surface', 859.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-08-29 06:00:00', 'surface', 860.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-08-30 06:00:00', 'surface', 869.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-08-31 06:00:00', 'surface', 857.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-09-01 06:00:00', 'surface', 857.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-09-02 06:00:00', 'surface', 858.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-09-03 06:00:00', 'surface', 859.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-09-04 06:00:00', 'surface', 860.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-09-05 06:00:00', 'surface', 859.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-09-06 06:00:00', 'surface', 858.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-09-07 06:00:00', 'surface', 857.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-09-08 06:00:00', 'surface', 859.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-09-09 06:00:00', 'surface', 863.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-09-10 06:00:00', 'surface', 862.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-09-11 06:00:00', 'surface', 858.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-09-12 06:00:00', 'surface', 857.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-09-13 06:00:00', 'surface', 856.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-09-14 06:00:00', 'surface', 856.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-09-15 06:00:00', 'surface', 858.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-09-16 06:00:00', 'surface', 858.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-09-17 06:00:00', 'surface', 857.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-09-18 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-09-19 06:00:00', 'surface', 856.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-09-20 06:00:00', 'surface', 858.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-09-21 06:00:00', 'surface', 857.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-09-22 06:00:00', 'surface', 857.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-09-23 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-09-24 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-09-25 06:00:00', 'surface', 856.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-09-26 06:00:00', 'surface', 857.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-09-27 06:00:00', 'surface', 855.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-09-28 06:00:00', 'surface', 851.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-09-29 06:00:00', 'surface', 850.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-09-30 06:00:00', 'surface', 851.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-10-01 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-10-02 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-10-03 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-10-04 06:00:00', 'surface', 856.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-10-05 06:00:00', 'surface', 859.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-10-06 06:00:00', 'surface', 859.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-10-07 06:00:00', 'surface', 857.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-10-08 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-10-09 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-10-10 06:00:00', 'surface', 852.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-10-11 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-10-12 06:00:00', 'surface', 854.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-10-13 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-10-14 06:00:00', 'surface', 857.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-10-15 06:00:00', 'surface', 858.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-10-16 06:00:00', 'surface', 858.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-10-17 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-10-18 06:00:00', 'surface', 854.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-10-19 06:00:00', 'surface', 854.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-10-20 06:00:00', 'surface', 853.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-10-21 06:00:00', 'surface', 853.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-10-22 06:00:00', 'surface', 855.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-10-23 06:00:00', 'surface', 858.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-10-24 06:00:00', 'surface', 857.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-10-25 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-10-26 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-10-27 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-10-28 06:00:00', 'surface', 853.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-10-29 06:00:00', 'surface', 854.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-10-30 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-10-31 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-11-01 06:00:00', 'surface', 858.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-11-02 06:00:00', 'surface', 858.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-11-03 06:00:00', 'surface', 857.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-11-04 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-11-05 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-11-06 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-11-07 06:00:00', 'surface', 854.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-11-08 06:00:00', 'surface', 854.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-11-09 06:00:00', 'surface', 853.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-11-10 06:00:00', 'surface', 853.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-11-11 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-11-12 06:00:00', 'surface', 854.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-11-13 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-11-14 06:00:00', 'surface', 854.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-11-15 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-11-16 06:00:00', 'surface', 854.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-11-17 06:00:00', 'surface', 854.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-11-18 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-11-19 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-11-20 06:00:00', 'surface', 853.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-11-21 06:00:00', 'surface', 852.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-11-22 06:00:00', 'surface', 851.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-11-23 06:00:00', 'surface', 851.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-11-24 06:00:00', 'surface', 851.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-11-25 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-11-26 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-11-27 06:00:00', 'surface', 853.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-11-28 06:00:00', 'surface', 852.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-11-29 06:00:00', 'surface', 854.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-11-30 06:00:00', 'surface', 856.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-12-01 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-12-02 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-12-03 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-12-04 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-12-05 06:00:00', 'surface', 856.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-12-06 06:00:00', 'surface', 855.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-12-07 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-12-08 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-12-09 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-12-10 06:00:00', 'surface', 853.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-12-11 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-12-12 06:00:00', 'surface', 857.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-12-13 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-12-14 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-12-15 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-12-16 06:00:00', 'surface', 857.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-12-17 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-12-18 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-12-19 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-12-20 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-12-21 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-12-22 06:00:00', 'surface', 854.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-12-23 06:00:00', 'surface', 853.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-12-24 06:00:00', 'surface', 853.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-12-25 06:00:00', 'surface', 853.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-12-26 06:00:00', 'surface', 853.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-12-27 06:00:00', 'surface', 854.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-12-28 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-12-29 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-12-30 06:00:00', 'surface', 853.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1994-12-31 06:00:00', 'surface', 852.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-01-01 06:00:00', 'surface', 852.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-01-02 06:00:00', 'surface', 854.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-01-03 06:00:00', 'surface', 854.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-01-04 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-01-05 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-01-06 06:00:00', 'surface', 854.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-01-07 06:00:00', 'surface', 853.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-01-08 06:00:00', 'surface', 853.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-01-09 06:00:00', 'surface', 853.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-01-10 06:00:00', 'surface', 853.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-01-11 06:00:00', 'surface', 854.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-01-12 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-01-13 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-01-14 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-01-15 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-01-16 06:00:00', 'surface', 852.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-01-17 06:00:00', 'surface', 851.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-01-18 06:00:00', 'surface', 851.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-01-19 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-01-20 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-01-21 06:00:00', 'surface', 853.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-01-22 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-01-23 06:00:00', 'surface', 853.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-01-24 06:00:00', 'surface', 853.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-01-25 06:00:00', 'surface', 853.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-01-26 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-01-27 06:00:00', 'surface', 853.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-01-28 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-01-29 06:00:00', 'surface', 853.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-01-30 06:00:00', 'surface', 853.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-01-31 06:00:00', 'surface', 852.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-02-01 06:00:00', 'surface', 853.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-02-02 06:00:00', 'surface', 855.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-02-03 06:00:00', 'surface', 855.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-02-04 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-02-05 06:00:00', 'surface', 855.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-02-06 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-02-07 06:00:00', 'surface', 853.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-02-08 06:00:00', 'surface', 853.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-02-09 06:00:00', 'surface', 854.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-02-10 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-02-11 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-02-12 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-02-13 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-02-14 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-02-15 06:00:00', 'surface', 853.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-02-16 06:00:00', 'surface', 853.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-02-17 06:00:00', 'surface', 852.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-02-18 06:00:00', 'surface', 853.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-02-19 06:00:00', 'surface', 853.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-02-20 06:00:00', 'surface', 852.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-02-21 06:00:00', 'surface', 852.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-02-22 06:00:00', 'surface', 853.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-02-23 06:00:00', 'surface', 854.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-02-24 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-02-25 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-02-26 06:00:00', 'surface', 853.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-02-27 06:00:00', 'surface', 853.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-02-28 06:00:00', 'surface', 854.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-03-01 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-03-02 06:00:00', 'surface', 854.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-03-03 06:00:00', 'surface', 855.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-03-04 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-03-05 06:00:00', 'surface', 855.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-03-06 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-03-07 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-03-08 06:00:00', 'surface', 855.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-03-09 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-03-10 06:00:00', 'surface', 855.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-03-11 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-03-12 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-03-13 06:00:00', 'surface', 853.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-03-14 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-03-15 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-03-16 06:00:00', 'surface', 856.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-03-17 06:00:00', 'surface', 856.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-03-18 06:00:00', 'surface', 856.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-03-19 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-03-20 06:00:00', 'surface', 854.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-03-21 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-03-22 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-03-23 06:00:00', 'surface', 853.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-03-24 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-03-25 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-03-26 06:00:00', 'surface', 854.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-03-27 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-03-28 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-03-29 06:00:00', 'surface', 856.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-03-30 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-03-31 06:00:00', 'surface', 855.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-04-01 06:00:00', 'surface', 858.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-04-02 06:00:00', 'surface', 857.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-04-03 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-04-04 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-04-05 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-04-06 06:00:00', 'surface', 856.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-04-07 06:00:00', 'surface', 856.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-04-08 06:00:00', 'surface', 855.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-04-09 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-04-10 06:00:00', 'surface', 856.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-04-11 06:00:00', 'surface', 858.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-04-12 06:00:00', 'surface', 858.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-04-13 06:00:00', 'surface', 857.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-04-14 06:00:00', 'surface', 857.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-04-15 06:00:00', 'surface', 856.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-04-16 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-04-17 06:00:00', 'surface', 857.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-04-18 06:00:00', 'surface', 857.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-04-19 06:00:00', 'surface', 855.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-04-20 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-04-21 06:00:00', 'surface', 853.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-04-22 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-04-23 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-04-24 06:00:00', 'surface', 853.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-04-25 06:00:00', 'surface', 853.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-04-26 06:00:00', 'surface', 853.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-04-27 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-04-28 06:00:00', 'surface', 854.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-04-29 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-04-30 06:00:00', 'surface', 856.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-05-01 06:00:00', 'surface', 855.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-05-02 06:00:00', 'surface', 856.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-05-03 06:00:00', 'surface', 857.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-05-04 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-05-05 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-05-06 06:00:00', 'surface', 853.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-05-07 06:00:00', 'surface', 854.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-05-08 06:00:00', 'surface', 856.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-05-09 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-05-10 06:00:00', 'surface', 858.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-05-11 06:00:00', 'surface', 858.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-05-12 06:00:00', 'surface', 858.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-05-13 06:00:00', 'surface', 859.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-05-14 06:00:00', 'surface', 859.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-05-15 06:00:00', 'surface', 859.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-05-16 06:00:00', 'surface', 859.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-05-17 06:00:00', 'surface', 860.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-05-18 06:00:00', 'surface', 860.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-05-19 06:00:00', 'surface', 858.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-05-20 06:00:00', 'surface', 856.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-05-21 06:00:00', 'surface', 854.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-05-22 06:00:00', 'surface', 854.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-05-23 06:00:00', 'surface', 857.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-05-24 06:00:00', 'surface', 859.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-05-25 06:00:00', 'surface', 860.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-05-26 06:00:00', 'surface', 860.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-05-27 06:00:00', 'surface', 859.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-05-28 06:00:00', 'surface', 861.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-05-29 06:00:00', 'surface', 861.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-05-30 06:00:00', 'surface', 859.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-05-31 06:00:00', 'surface', 857.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-06-01 06:00:00', 'surface', 857.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-06-02 06:00:00', 'surface', 859.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-06-03 06:00:00', 'surface', 860.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-06-04 06:00:00', 'surface', 858.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-06-05 06:00:00', 'surface', 856.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-06-06 06:00:00', 'surface', 857.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-06-07 06:00:00', 'surface', 850.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-06-08 06:00:00', 'surface', 861.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-06-09 06:00:00', 'surface', 859.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-06-10 06:00:00', 'surface', 858.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-06-11 06:00:00', 'surface', 858.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-06-12 06:00:00', 'surface', 858.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-06-13 06:00:00', 'surface', 858.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-06-14 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-06-15 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-06-16 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-06-17 06:00:00', 'surface', 856.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-06-18 06:00:00', 'surface', 858.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-06-19 06:00:00', 'surface', 859.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-06-20 06:00:00', 'surface', 859.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-06-21 06:00:00', 'surface', 859.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-06-22 06:00:00', 'surface', 858.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-06-23 06:00:00', 'surface', 857.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-06-24 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-06-25 06:00:00', 'surface', 858.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-06-26 06:00:00', 'surface', 860.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-06-27 06:00:00', 'surface', 860.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-06-28 06:00:00', 'surface', 858.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-06-29 06:00:00', 'surface', 857.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-06-30 06:00:00', 'surface', 857.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-07-01 06:00:00', 'surface', 858.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-07-02 06:00:00', 'surface', 859.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-07-03 06:00:00', 'surface', 858.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-07-04 06:00:00', 'surface', 858.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-07-05 06:00:00', 'surface', 857.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-07-06 06:00:00', 'surface', 859.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-07-07 06:00:00', 'surface', 859.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-07-08 06:00:00', 'surface', 859.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-07-09 06:00:00', 'surface', 858.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-07-10 06:00:00', 'surface', 858.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-07-11 06:00:00', 'surface', 857.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-07-12 06:00:00', 'surface', 857.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-07-13 06:00:00', 'surface', 859.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-07-14 06:00:00', 'surface', 861.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-07-15 06:00:00', 'surface', 861.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-07-16 06:00:00', 'surface', 858.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-07-17 06:00:00', 'surface', 857.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-07-18 06:00:00', 'surface', 858.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-07-19 06:00:00', 'surface', 860.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-07-20 06:00:00', 'surface', 859.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-07-21 06:00:00', 'surface', 857.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-07-22 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-07-23 06:00:00', 'surface', 858.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-07-24 06:00:00', 'surface', 860.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-07-25 06:00:00', 'surface', 859.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-07-26 06:00:00', 'surface', 857.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-07-27 06:00:00', 'surface', 856.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-07-28 06:00:00', 'surface', 857.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-07-29 06:00:00', 'surface', 856.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-07-30 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-07-31 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-08-01 06:00:00', 'surface', 857.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-08-02 06:00:00', 'surface', 859.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-08-03 06:00:00', 'surface', 856.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-08-04 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-08-05 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-08-06 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-08-07 06:00:00', 'surface', 859.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-08-08 06:00:00', 'surface', 860.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-08-09 06:00:00', 'surface', 857.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-08-10 06:00:00', 'surface', 856.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-08-11 06:00:00', 'surface', 859.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-08-12 06:00:00', 'surface', 858.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-08-13 06:00:00', 'surface', 858.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-08-14 06:00:00', 'surface', 860.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-08-15 06:00:00', 'surface', 861.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-08-16 06:00:00', 'surface', 860.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-08-17 06:00:00', 'surface', 859.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-08-18 06:00:00', 'surface', 859.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-08-19 06:00:00', 'surface', 860.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-08-20 06:00:00', 'surface', 860.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-08-21 06:00:00', 'surface', 858.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-08-22 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-08-23 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-08-24 06:00:00', 'surface', 857.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-08-25 06:00:00', 'surface', 859.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-08-26 06:00:00', 'surface', 858.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-08-27 06:00:00', 'surface', 856.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-08-28 06:00:00', 'surface', 859.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-08-29 06:00:00', 'surface', 860.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-08-30 06:00:00', 'surface', 859.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-08-31 06:00:00', 'surface', 857.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-09-01 06:00:00', 'surface', 858.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-09-02 06:00:00', 'surface', 857.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-09-03 06:00:00', 'surface', 856.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-09-04 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-09-05 06:00:00', 'surface', 857.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-09-06 06:00:00', 'surface', 859.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-09-07 06:00:00', 'surface', 858.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-09-08 06:00:00', 'surface', 858.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-09-09 06:00:00', 'surface', 857.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-09-10 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-09-11 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-09-12 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-09-13 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-09-14 06:00:00', 'surface', 858.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-09-15 06:00:00', 'surface', 859.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-09-16 06:00:00', 'surface', 858.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-09-17 06:00:00', 'surface', 857.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-09-18 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-09-19 06:00:00', 'surface', 857.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-09-20 06:00:00', 'surface', 858.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-09-21 06:00:00', 'surface', 859.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-09-22 06:00:00', 'surface', 860.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-09-23 06:00:00', 'surface', 858.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-09-24 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-09-25 06:00:00', 'surface', 856.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-09-26 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-09-27 06:00:00', 'surface', 856.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-09-28 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-09-29 06:00:00', 'surface', 856.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-09-30 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-10-01 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-10-02 06:00:00', 'surface', 857.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-10-03 06:00:00', 'surface', 855.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-10-04 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-10-05 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-10-06 06:00:00', 'surface', 854.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-10-07 06:00:00', 'surface', 855.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-10-08 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-10-09 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-10-10 06:00:00', 'surface', 853.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-10-11 06:00:00', 'surface', 852.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-10-12 06:00:00', 'surface', 852.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-10-13 06:00:00', 'surface', 852.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-10-14 06:00:00', 'surface', 855.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-10-15 06:00:00', 'surface', 856.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-10-16 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-10-17 06:00:00', 'surface', 854.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-10-18 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-10-19 06:00:00', 'surface', 852.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-10-20 06:00:00', 'surface', 851.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-10-21 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-10-22 06:00:00', 'surface', 855.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-10-23 06:00:00', 'surface', 853.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-10-24 06:00:00', 'surface', 852.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-10-25 06:00:00', 'surface', 852.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-10-26 06:00:00', 'surface', 852.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-10-27 06:00:00', 'surface', 853.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-10-28 06:00:00', 'surface', 852.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-10-29 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-10-30 06:00:00', 'surface', 857.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-10-31 06:00:00', 'surface', 858.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-11-01 06:00:00', 'surface', 857.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-11-02 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-11-03 06:00:00', 'surface', 854.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-11-04 06:00:00', 'surface', 856.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-11-05 06:00:00', 'surface', 857.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-11-06 06:00:00', 'surface', 858.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-11-07 06:00:00', 'surface', 856.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-11-08 06:00:00', 'surface', 854.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-11-09 06:00:00', 'surface', 853.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-11-10 06:00:00', 'surface', 853.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-11-11 06:00:00', 'surface', 853.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-11-12 06:00:00', 'surface', 855.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-11-13 06:00:00', 'surface', 855.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-11-14 06:00:00', 'surface', 857.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-11-15 06:00:00', 'surface', 856.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-11-16 06:00:00', 'surface', 853.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-11-17 06:00:00', 'surface', 853.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-11-18 06:00:00', 'surface', 854.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-11-19 06:00:00', 'surface', 854.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-11-20 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-11-21 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-11-22 06:00:00', 'surface', 855.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-11-23 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-11-24 06:00:00', 'surface', 852.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-11-25 06:00:00', 'surface', 852.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-11-26 06:00:00', 'surface', 854.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-11-27 06:00:00', 'surface', 856.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-11-28 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-11-29 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-11-30 06:00:00', 'surface', 853.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-12-01 06:00:00', 'surface', 854.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-12-02 06:00:00', 'surface', 857.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-12-03 06:00:00', 'surface', 857.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-12-04 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-12-05 06:00:00', 'surface', 854.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-12-06 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-12-07 06:00:00', 'surface', 852.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-12-08 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-12-09 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-12-10 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-12-11 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-12-12 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-12-13 06:00:00', 'surface', 857.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-12-14 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-12-15 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-12-16 06:00:00', 'surface', 855.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-12-17 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-12-18 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-12-19 06:00:00', 'surface', 856.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-12-20 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-12-21 06:00:00', 'surface', 852.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-12-22 06:00:00', 'surface', 852.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-12-23 06:00:00', 'surface', 852.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-12-24 06:00:00', 'surface', 852.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-12-25 06:00:00', 'surface', 852.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-12-26 06:00:00', 'surface', 852.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-12-27 06:00:00', 'surface', 853.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-12-28 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-12-29 06:00:00', 'surface', 854.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-12-30 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1995-12-31 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-01-01 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-01-02 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-01-03 06:00:00', 'surface', 856.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-01-04 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-01-05 06:00:00', 'surface', 852.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-01-06 06:00:00', 'surface', 852.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-01-07 06:00:00', 'surface', 852.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-01-08 06:00:00', 'surface', 852.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-01-09 06:00:00', 'surface', 852.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-01-10 06:00:00', 'surface', 852.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-01-11 06:00:00', 'surface', 851.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-01-12 06:00:00', 'surface', 850.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-01-13 06:00:00', 'surface', 851.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-01-14 06:00:00', 'surface', 850.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-01-15 06:00:00', 'surface', 846.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-01-16 06:00:00', 'surface', 846.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-01-17 06:00:00', 'surface', 850.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-01-18 06:00:00', 'surface', 851.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-01-19 06:00:00', 'surface', 852.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-01-20 06:00:00', 'surface', 850.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-01-21 06:00:00', 'surface', 850.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-01-22 06:00:00', 'surface', 851.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-01-23 06:00:00', 'surface', 851.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-01-24 06:00:00', 'surface', 852.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-01-25 06:00:00', 'surface', 852.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-01-26 06:00:00', 'surface', 850.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-01-27 06:00:00', 'surface', 848.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-01-28 06:00:00', 'surface', 847.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-01-29 06:00:00', 'surface', 849.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-01-30 06:00:00', 'surface', 849.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-01-31 06:00:00', 'surface', 850.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-03-01 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-03-02 06:00:00', 'surface', 853.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-03-03 06:00:00', 'surface', 852.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-03-04 06:00:00', 'surface', 852.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-03-05 06:00:00', 'surface', 852.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-03-06 06:00:00', 'surface', 853.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-03-07 06:00:00', 'surface', 852.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-03-08 06:00:00', 'surface', 854.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-03-09 06:00:00', 'surface', 855.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-03-10 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-03-11 06:00:00', 'surface', 853.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-03-12 06:00:00', 'surface', 852.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-03-13 06:00:00', 'surface', 852.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-03-14 06:00:00', 'surface', 853.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-03-15 06:00:00', 'surface', 853.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-03-16 06:00:00', 'surface', 853.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-03-17 06:00:00', 'surface', 854.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-03-18 06:00:00', 'surface', 856.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-03-19 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-03-20 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-03-21 06:00:00', 'surface', 855.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-03-22 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-03-23 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-03-24 06:00:00', 'surface', 853.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-03-25 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-03-26 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-03-27 06:00:00', 'surface', 856.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-03-28 06:00:00', 'surface', 857.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-03-29 06:00:00', 'surface', 857.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-03-30 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-03-31 06:00:00', 'surface', 855.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-04-01 06:00:00', 'surface', 854.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-04-02 06:00:00', 'surface', 854.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-04-03 06:00:00', 'surface', 856.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-04-04 06:00:00', 'surface', 857.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-04-05 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-04-06 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-04-07 06:00:00', 'surface', 857.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-04-08 06:00:00', 'surface', 857.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-04-09 06:00:00', 'surface', 855.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-04-10 06:00:00', 'surface', 855.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-04-11 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-04-12 06:00:00', 'surface', 856.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-04-13 06:00:00', 'surface', 856.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-04-14 06:00:00', 'surface', 856.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-04-15 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-04-16 06:00:00', 'surface', 856.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-04-17 06:00:00', 'surface', 856.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-04-18 06:00:00', 'surface', 856.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-04-19 06:00:00', 'surface', 854.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-04-20 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-04-21 06:00:00', 'surface', 856.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-04-22 06:00:00', 'surface', 858.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-04-23 06:00:00', 'surface', 858.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-04-24 06:00:00', 'surface', 858.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-04-25 06:00:00', 'surface', 858.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-04-26 06:00:00', 'surface', 858.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-04-27 06:00:00', 'surface', 859.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-04-28 06:00:00', 'surface', 859.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-04-29 06:00:00', 'surface', 859.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-04-30 06:00:00', 'surface', 859.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-05-01 06:00:00', 'surface', 858.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-05-02 06:00:00', 'surface', 856.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-05-03 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-05-04 06:00:00', 'surface', 857.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-05-05 06:00:00', 'surface', 856.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-05-06 06:00:00', 'surface', 855.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-05-07 06:00:00', 'surface', 857.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-05-08 06:00:00', 'surface', 859.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-05-09 06:00:00', 'surface', 859.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-05-10 06:00:00', 'surface', 858.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-05-11 06:00:00', 'surface', 858.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-05-12 06:00:00', 'surface', 858.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-05-13 06:00:00', 'surface', 858.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-05-14 06:00:00', 'surface', 857.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-05-15 06:00:00', 'surface', 857.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-05-16 06:00:00', 'surface', 858.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-05-17 06:00:00', 'surface', 859.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-05-18 06:00:00', 'surface', 858.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-05-19 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-05-20 06:00:00', 'surface', 858.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-05-21 06:00:00', 'surface', 859.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-05-22 06:00:00', 'surface', 858.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-05-23 06:00:00', 'surface', 857.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-05-24 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-05-25 06:00:00', 'surface', 856.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-05-26 06:00:00', 'surface', 858.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-05-27 06:00:00', 'surface', 859.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-05-28 06:00:00', 'surface', 858.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-05-29 06:00:00', 'surface', 857.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-05-30 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-05-31 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-06-01 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-06-02 06:00:00', 'surface', 856.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-06-03 06:00:00', 'surface', 858.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-06-04 06:00:00', 'surface', 860.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-06-05 06:00:00', 'surface', 861.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-06-06 06:00:00', 'surface', 859.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-06-07 06:00:00', 'surface', 859.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-06-10 06:00:00', 'surface', 858.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-06-11 06:00:00', 'surface', 859.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-06-12 06:00:00', 'surface', 858.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-06-13 06:00:00', 'surface', 858.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-06-14 06:00:00', 'surface', 858.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-06-15 06:00:00', 'surface', 857.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-06-16 06:00:00', 'surface', 857.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-06-17 06:00:00', 'surface', 857.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-06-18 06:00:00', 'surface', 859.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-06-19 06:00:00', 'surface', 861.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-06-20 06:00:00', 'surface', 862.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-06-21 06:00:00', 'surface', 863.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-06-22 06:00:00', 'surface', 863.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-06-23 06:00:00', 'surface', 861.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-06-24 06:00:00', 'surface', 859.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-06-25 06:00:00', 'surface', 858.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-06-26 06:00:00', 'surface', 858.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-06-27 06:00:00', 'surface', 860.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-06-28 06:00:00', 'surface', 861.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-06-29 06:00:00', 'surface', 862.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-06-30 06:00:00', 'surface', 861.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-07-01 06:00:00', 'surface', 859.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-07-02 06:00:00', 'surface', 857.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-07-03 06:00:00', 'surface', 857.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-07-04 06:00:00', 'surface', 857.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-07-05 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-07-06 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-07-07 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-07-08 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-07-09 06:00:00', 'surface', 858.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-07-10 06:00:00', 'surface', 859.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-07-11 06:00:00', 'surface', 859.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-07-12 06:00:00', 'surface', 858.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-07-13 06:00:00', 'surface', 857.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-07-14 06:00:00', 'surface', 857.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-07-15 06:00:00', 'surface', 857.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-07-16 06:00:00', 'surface', 857.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-07-17 06:00:00', 'surface', 860.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-07-18 06:00:00', 'surface', 864.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-07-19 06:00:00', 'surface', 863.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-07-20 06:00:00', 'surface', 861.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-07-21 06:00:00', 'surface', 860.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-07-22 06:00:00', 'surface', 861.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-07-23 06:00:00', 'surface', 863.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-07-24 06:00:00', 'surface', 864.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-07-25 06:00:00', 'surface', 861.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-07-26 06:00:00', 'surface', 860.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-07-27 06:00:00', 'surface', 859.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-07-28 06:00:00', 'surface', 859.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-07-29 06:00:00', 'surface', 859.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-07-30 06:00:00', 'surface', 859.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-07-31 06:00:00', 'surface', 857.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-08-01 06:00:00', 'surface', 857.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-08-02 06:00:00', 'surface', 858.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-08-03 06:00:00', 'surface', 858.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-08-04 06:00:00', 'surface', 859.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-08-05 06:00:00', 'surface', 858.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-08-06 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-08-07 06:00:00', 'surface', 857.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-08-08 06:00:00', 'surface', 859.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-08-09 06:00:00', 'surface', 859.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-08-10 06:00:00', 'surface', 859.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-08-11 06:00:00', 'surface', 858.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-08-12 06:00:00', 'surface', 859.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-08-13 06:00:00', 'surface', 857.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-08-14 06:00:00', 'surface', 856.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-08-15 06:00:00', 'surface', 859.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-08-16 06:00:00', 'surface', 858.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-08-17 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-08-18 06:00:00', 'surface', 856.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-08-19 06:00:00', 'surface', 854.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-08-20 06:00:00', 'surface', 854.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-08-21 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-08-22 06:00:00', 'surface', 858.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-08-23 06:00:00', 'surface', 858.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-08-24 06:00:00', 'surface', 857.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-08-25 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-08-26 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-08-27 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-08-28 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-08-29 06:00:00', 'surface', 858.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-08-30 06:00:00', 'surface', 857.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-08-31 06:00:00', 'surface', 855.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-09-01 06:00:00', 'surface', 855.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-09-02 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-09-03 06:00:00', 'surface', 854.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-09-04 06:00:00', 'surface', 855.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-09-05 06:00:00', 'surface', 854.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-09-06 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-09-07 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-09-08 06:00:00', 'surface', 854.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-09-09 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-09-10 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-09-11 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-09-12 06:00:00', 'surface', 853.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-09-13 06:00:00', 'surface', 851.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-09-14 06:00:00', 'surface', 853.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-09-15 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-09-16 06:00:00', 'surface', 858.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-09-17 06:00:00', 'surface', 857.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-09-18 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-09-19 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-09-20 06:00:00', 'surface', 860.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-09-21 06:00:00', 'surface', 859.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-09-22 06:00:00', 'surface', 859.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-09-23 06:00:00', 'surface', 858.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-09-24 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-09-25 06:00:00', 'surface', 854.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-09-26 06:00:00', 'surface', 854.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-09-27 06:00:00', 'surface', 856.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-09-28 06:00:00', 'surface', 859.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-09-29 06:00:00', 'surface', 859.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-09-30 06:00:00', 'surface', 857.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-10-01 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-10-02 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-10-03 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-10-04 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-10-05 06:00:00', 'surface', 854.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-10-06 06:00:00', 'surface', 856.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-10-07 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-10-08 06:00:00', 'surface', 857.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-10-09 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-10-10 06:00:00', 'surface', 856.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-10-11 06:00:00', 'surface', 854.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-10-12 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-10-13 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-10-14 06:00:00', 'surface', 856.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-10-15 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-10-16 06:00:00', 'surface', 858.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-10-17 06:00:00', 'surface', 858.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-10-18 06:00:00', 'surface', 857.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-10-19 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-10-20 06:00:00', 'surface', 853.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-10-21 06:00:00', 'surface', 852.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-10-22 06:00:00', 'surface', 853.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-10-23 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-10-24 06:00:00', 'surface', 857.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-10-25 06:00:00', 'surface', 857.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-10-26 06:00:00', 'surface', 857.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-10-27 06:00:00', 'surface', 854.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-10-28 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-10-29 06:00:00', 'surface', 854.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-10-30 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-10-31 06:00:00', 'surface', 853.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-11-01 06:00:00', 'surface', 852.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-11-02 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-11-03 06:00:00', 'surface', 855.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-11-04 06:00:00', 'surface', 854.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-11-05 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-11-06 06:00:00', 'surface', 853.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-11-07 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-11-08 06:00:00', 'surface', 853.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-11-09 06:00:00', 'surface', 852.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-11-10 06:00:00', 'surface', 854.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-11-11 06:00:00', 'surface', 856.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-11-12 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-11-13 06:00:00', 'surface', 852.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-11-14 06:00:00', 'surface', 850.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-11-15 06:00:00', 'surface', 852.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-11-16 06:00:00', 'surface', 853.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-11-17 06:00:00', 'surface', 852.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-11-18 06:00:00', 'surface', 853.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-11-19 06:00:00', 'surface', 854.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-11-20 06:00:00', 'surface', 854.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-11-21 06:00:00', 'surface', 854.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-11-22 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-11-23 06:00:00', 'surface', 854.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-11-24 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-11-25 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-11-26 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-11-27 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-11-28 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-11-29 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-11-30 06:00:00', 'surface', 853.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-12-01 06:00:00', 'surface', 853.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-12-02 06:00:00', 'surface', 853.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-12-03 06:00:00', 'surface', 853.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-12-04 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-12-05 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-12-06 06:00:00', 'surface', 854.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-12-07 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-12-08 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-12-09 06:00:00', 'surface', 853.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-12-10 06:00:00', 'surface', 853.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-12-11 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-12-12 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-12-13 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-12-14 06:00:00', 'surface', 853.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-12-15 06:00:00', 'surface', 853.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-12-18 06:00:00', 'surface', 851.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-12-19 06:00:00', 'surface', 852.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-12-20 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-12-21 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-12-22 06:00:00', 'surface', 855.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-12-23 06:00:00', 'surface', 855.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-12-24 06:00:00', 'surface', 854.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-12-25 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-12-26 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-12-27 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-12-28 06:00:00', 'surface', 853.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-12-29 06:00:00', 'surface', 852.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-12-30 06:00:00', 'surface', 851.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1996-12-31 06:00:00', 'surface', 851.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-01-01 06:00:00', 'surface', 853.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-01-02 06:00:00', 'surface', 854.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-01-03 06:00:00', 'surface', 855.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-01-04 06:00:00', 'surface', 855.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-01-05 06:00:00', 'surface', 855.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-01-06 06:00:00', 'surface', 854.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-01-07 06:00:00', 'surface', 854.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-01-08 06:00:00', 'surface', 852.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-01-09 06:00:00', 'surface', 852.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-01-10 06:00:00', 'surface', 852.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-01-11 06:00:00', 'surface', 853.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-01-12 06:00:00', 'surface', 855.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-01-13 06:00:00', 'surface', 854.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-01-14 06:00:00', 'surface', 852.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-01-15 06:00:00', 'surface', 851.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-01-16 06:00:00', 'surface', 851.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-01-17 06:00:00', 'surface', 850.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-01-18 06:00:00', 'surface', 852.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-01-19 06:00:00', 'surface', 853.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-01-20 06:00:00', 'surface', 852.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-01-21 06:00:00', 'surface', 851.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-01-22 06:00:00', 'surface', 851.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-01-23 06:00:00', 'surface', 850.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-01-24 06:00:00', 'surface', 849.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-01-25 06:00:00', 'surface', 850.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-01-26 06:00:00', 'surface', 850.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-01-27 06:00:00', 'surface', 851.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-01-28 06:00:00', 'surface', 850.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-01-29 06:00:00', 'surface', 849.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-01-30 06:00:00', 'surface', 850.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-01-31 06:00:00', 'surface', 849.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-02-01 06:00:00', 'surface', 850.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-02-02 06:00:00', 'surface', 852.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-02-03 06:00:00', 'surface', 853.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-02-04 06:00:00', 'surface', 851.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-02-05 06:00:00', 'surface', 851.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-02-06 06:00:00', 'surface', 851.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-02-07 06:00:00', 'surface', 852.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-02-08 06:00:00', 'surface', 853.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-02-09 06:00:00', 'surface', 852.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-02-10 06:00:00', 'surface', 851.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-02-11 06:00:00', 'surface', 850.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-02-12 06:00:00', 'surface', 851.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-02-13 06:00:00', 'surface', 850.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-02-14 06:00:00', 'surface', 851.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-02-15 06:00:00', 'surface', 850.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-02-16 06:00:00', 'surface', 851.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-02-17 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-02-18 06:00:00', 'surface', 854.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-02-19 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-02-20 06:00:00', 'surface', 856.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-02-21 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-02-22 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-02-23 06:00:00', 'surface', 854.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-02-24 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-02-25 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-02-26 06:00:00', 'surface', 853.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-02-27 06:00:00', 'surface', 853.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-02-28 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-03-01 06:00:00', 'surface', 855.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-03-02 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-03-03 06:00:00', 'surface', 852.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-03-04 06:00:00', 'surface', 854.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-03-05 06:00:00', 'surface', 855.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-03-06 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-03-07 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-03-08 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-03-09 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-03-10 06:00:00', 'surface', 855.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-03-11 06:00:00', 'surface', 854.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-03-12 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-03-16 06:00:00', 'surface', 857.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-03-17 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-03-18 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-03-19 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-03-20 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-03-21 06:00:00', 'surface', 854.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-03-22 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-03-23 06:00:00', 'surface', 856.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-03-24 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-03-25 06:00:00', 'surface', 855.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-03-26 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-03-27 06:00:00', 'surface', 856.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-03-28 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-03-29 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-03-30 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-03-31 06:00:00', 'surface', 855.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-04-01 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-04-02 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-04-03 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-04-04 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-04-05 06:00:00', 'surface', 853.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-04-06 06:00:00', 'surface', 852.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-04-07 06:00:00', 'surface', 853.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-04-08 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-04-09 06:00:00', 'surface', 858.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-04-10 06:00:00', 'surface', 860.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-04-11 06:00:00', 'surface', 859.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-04-12 06:00:00', 'surface', 858.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-04-13 06:00:00', 'surface', 858.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-04-14 06:00:00', 'surface', 858.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-04-15 06:00:00', 'surface', 857.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-04-16 06:00:00', 'surface', 856.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-04-17 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-04-18 06:00:00', 'surface', 856.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-04-19 06:00:00', 'surface', 856.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-04-20 06:00:00', 'surface', 857.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-04-21 06:00:00', 'surface', 856.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-04-22 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-04-23 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-04-24 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-04-25 06:00:00', 'surface', 856.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-04-26 06:00:00', 'surface', 857.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-04-27 06:00:00', 'surface', 857.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-04-28 06:00:00', 'surface', 857.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-04-29 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-04-30 06:00:00', 'surface', 857.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-06-01 06:00:00', 'surface', 859.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-06-02 06:00:00', 'surface', 860.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-06-03 06:00:00', 'surface', 860.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-06-04 06:00:00', 'surface', 860.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-06-05 06:00:00', 'surface', 859.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-06-06 06:00:00', 'surface', 858.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-06-07 06:00:00', 'surface', 858.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-06-08 06:00:00', 'surface', 858.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-06-09 06:00:00', 'surface', 857.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-06-10 06:00:00', 'surface', 857.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-06-11 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-06-12 06:00:00', 'surface', 855.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-06-13 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-06-14 06:00:00', 'surface', 856.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-06-15 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-06-16 06:00:00', 'surface', 857.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-06-17 06:00:00', 'surface', 857.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-06-18 06:00:00', 'surface', 859.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-06-19 06:00:00', 'surface', 860.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-06-20 06:00:00', 'surface', 861.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-06-21 06:00:00', 'surface', 859.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-06-22 06:00:00', 'surface', 858.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-06-23 06:00:00', 'surface', 858.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-06-24 06:00:00', 'surface', 857.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-06-25 06:00:00', 'surface', 857.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-06-26 06:00:00', 'surface', 857.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-06-27 06:00:00', 'surface', 857.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-06-28 06:00:00', 'surface', 856.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-06-29 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-06-30 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-07-01 06:00:00', 'surface', 859.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-07-02 06:00:00', 'surface', 859.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-07-03 06:00:00', 'surface', 860.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-07-04 06:00:00', 'surface', 859.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-07-05 06:00:00', 'surface', 859.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-07-06 06:00:00', 'surface', 864.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-07-07 06:00:00', 'surface', 865.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-07-08 06:00:00', 'surface', 864.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-07-09 06:00:00', 'surface', 863.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-07-10 06:00:00', 'surface', 863.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-07-11 06:00:00', 'surface', 862.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-07-12 06:00:00', 'surface', 863.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-07-13 06:00:00', 'surface', 864.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-07-14 06:00:00', 'surface', 865.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-07-15 06:00:00', 'surface', 863.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-07-16 06:00:00', 'surface', 860.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-07-17 06:00:00', 'surface', 859.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-07-18 06:00:00', 'surface', 861.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-07-19 06:00:00', 'surface', 862.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-07-20 06:00:00', 'surface', 861.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-07-21 06:00:00', 'surface', 860.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-07-22 06:00:00', 'surface', 860.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-07-23 06:00:00', 'surface', 859.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-07-24 06:00:00', 'surface', 859.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-07-25 06:00:00', 'surface', 859.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-07-26 06:00:00', 'surface', 859.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-07-27 06:00:00', 'surface', 859.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-07-28 06:00:00', 'surface', 859.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-07-29 06:00:00', 'surface', 859.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-07-30 06:00:00', 'surface', 861.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-07-31 06:00:00', 'surface', 860.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-08-01 06:00:00', 'surface', 858.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-08-02 06:00:00', 'surface', 857.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-08-03 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-08-04 06:00:00', 'surface', 858.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-08-05 06:00:00', 'surface', 858.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-08-06 06:00:00', 'surface', 857.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-08-07 06:00:00', 'surface', 858.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-08-08 06:00:00', 'surface', 862.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-08-09 06:00:00', 'surface', 861.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-08-10 06:00:00', 'surface', 859.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-08-11 06:00:00', 'surface', 859.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-08-12 06:00:00', 'surface', 860.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-08-13 06:00:00', 'surface', 860.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-08-14 06:00:00', 'surface', 860.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-08-15 06:00:00', 'surface', 860.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-08-16 06:00:00', 'surface', 860.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-08-17 06:00:00', 'surface', 859.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-08-18 06:00:00', 'surface', 859.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-08-19 06:00:00', 'surface', 858.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-08-20 06:00:00', 'surface', 859.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-08-21 06:00:00', 'surface', 859.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-08-22 06:00:00', 'surface', 858.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-08-23 06:00:00', 'surface', 858.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-08-24 06:00:00', 'surface', 860.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-08-25 06:00:00', 'surface', 860.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-08-26 06:00:00', 'surface', 857.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-08-27 06:00:00', 'surface', 859.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-08-28 06:00:00', 'surface', 858.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-08-29 06:00:00', 'surface', 857.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-08-30 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-08-31 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-09-01 06:00:00', 'surface', 855.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-09-02 06:00:00', 'surface', 856.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-09-03 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-09-04 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-09-05 06:00:00', 'surface', 858.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-09-06 06:00:00', 'surface', 857.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-09-07 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-09-08 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-09-09 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-09-10 06:00:00', 'surface', 857.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-09-11 06:00:00', 'surface', 858.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-09-12 06:00:00', 'surface', 859.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-09-13 06:00:00', 'surface', 860.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-09-14 06:00:00', 'surface', 859.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-09-15 06:00:00', 'surface', 857.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-09-16 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-09-17 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-09-18 06:00:00', 'surface', 857.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-09-19 06:00:00', 'surface', 857.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-09-20 06:00:00', 'surface', 857.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-09-21 06:00:00', 'surface', 857.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-09-22 06:00:00', 'surface', 856.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-09-23 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-09-24 06:00:00', 'surface', 855.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-09-25 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-09-26 06:00:00', 'surface', 859.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-09-27 06:00:00', 'surface', 858.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-09-28 06:00:00', 'surface', 859.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-09-29 06:00:00', 'surface', 859.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-09-30 06:00:00', 'surface', 851.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-10-01 06:00:00', 'surface', 860.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-10-02 06:00:00', 'surface', 860.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-10-03 06:00:00', 'surface', 859.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-10-04 06:00:00', 'surface', 859.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-10-05 06:00:00', 'surface', 856.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-10-06 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-10-07 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-10-08 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-10-09 06:00:00', 'surface', 857.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-10-10 06:00:00', 'surface', 856.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-10-11 06:00:00', 'surface', 854.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-10-12 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-10-13 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-10-14 06:00:00', 'surface', 857.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-10-15 06:00:00', 'surface', 854.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-10-16 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-10-17 06:00:00', 'surface', 858.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-10-18 06:00:00', 'surface', 860.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-10-19 06:00:00', 'surface', 858.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-10-20 06:00:00', 'surface', 857.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-10-21 06:00:00', 'surface', 857.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-10-22 06:00:00', 'surface', 856.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-10-23 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-10-24 06:00:00', 'surface', 855.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-10-25 06:00:00', 'surface', 856.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-10-26 06:00:00', 'surface', 854.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-10-27 06:00:00', 'surface', 853.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-10-28 06:00:00', 'surface', 857.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-10-29 06:00:00', 'surface', 859.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-10-30 06:00:00', 'surface', 858.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-10-31 06:00:00', 'surface', 858.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-11-01 06:00:00', 'surface', 857.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-11-02 06:00:00', 'surface', 856.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-11-03 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-11-04 06:00:00', 'surface', 857.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-11-05 06:00:00', 'surface', 857.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-11-06 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-11-07 06:00:00', 'surface', 855.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-11-08 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-11-09 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-11-10 06:00:00', 'surface', 853.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-11-11 06:00:00', 'surface', 853.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-11-12 06:00:00', 'surface', 852.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-11-13 06:00:00', 'surface', 851.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-11-14 06:00:00', 'surface', 851.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-11-15 06:00:00', 'surface', 851.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-11-16 06:00:00', 'surface', 851.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-11-17 06:00:00', 'surface', 851.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-11-18 06:00:00', 'surface', 852.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-11-19 06:00:00', 'surface', 853.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-11-20 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-11-21 06:00:00', 'surface', 852.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-11-22 06:00:00', 'surface', 851.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-11-23 06:00:00', 'surface', 853.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-11-24 06:00:00', 'surface', 851.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-11-25 06:00:00', 'surface', 850.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-11-26 06:00:00', 'surface', 852.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-11-27 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-11-28 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-11-29 06:00:00', 'surface', 854.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-11-30 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-12-01 06:00:00', 'surface', 854.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-12-02 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-12-03 06:00:00', 'surface', 853.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-12-04 06:00:00', 'surface', 854.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-12-05 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-12-06 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-12-07 06:00:00', 'surface', 854.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-12-08 06:00:00', 'surface', 853.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-12-09 06:00:00', 'surface', 853.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-12-10 06:00:00', 'surface', 853.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-12-11 06:00:00', 'surface', 854.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-12-12 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-12-13 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-12-14 06:00:00', 'surface', 854.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-12-15 06:00:00', 'surface', 856.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-12-16 06:00:00', 'surface', 855.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-12-17 06:00:00', 'surface', 854.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-12-18 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-12-19 06:00:00', 'surface', 855.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-12-20 06:00:00', 'surface', 856.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-12-21 06:00:00', 'surface', 855.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-12-22 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-12-23 06:00:00', 'surface', 856.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-12-24 06:00:00', 'surface', 855.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-12-25 06:00:00', 'surface', 853.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-12-26 06:00:00', 'surface', 855.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-12-27 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-12-28 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-12-29 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-12-30 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1997-12-31 06:00:00', 'surface', 855.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-01-01 06:00:00', 'surface', 853.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-01-02 06:00:00', 'surface', 854.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-01-03 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-01-04 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-01-05 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-01-06 06:00:00', 'surface', 852.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-01-07 06:00:00', 'surface', 851.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-01-08 06:00:00', 'surface', 851.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-01-09 06:00:00', 'surface', 851.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-01-10 06:00:00', 'surface', 853.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-01-11 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-01-12 06:00:00', 'surface', 856.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-01-13 06:00:00', 'surface', 854.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-01-14 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-01-15 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-01-16 06:00:00', 'surface', 854.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-01-17 06:00:00', 'surface', 853.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-01-18 06:00:00', 'surface', 853.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-01-19 06:00:00', 'surface', 852.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-01-20 06:00:00', 'surface', 852.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-01-21 06:00:00', 'surface', 853.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-01-22 06:00:00', 'surface', 853.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-01-23 06:00:00', 'surface', 853.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-01-24 06:00:00', 'surface', 851.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-01-25 06:00:00', 'surface', 853.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-01-26 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-01-27 06:00:00', 'surface', 853.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-01-28 06:00:00', 'surface', 853.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-01-29 06:00:00', 'surface', 854.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-01-30 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-01-31 06:00:00', 'surface', 853.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-02-01 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-02-02 06:00:00', 'surface', 852.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-02-03 06:00:00', 'surface', 852.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-02-04 06:00:00', 'surface', 859.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-02-05 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-02-06 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-02-07 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-02-08 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-02-09 06:00:00', 'surface', 854.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-02-10 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-02-11 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-02-12 06:00:00', 'surface', 856.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-02-13 06:00:00', 'surface', 856.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-02-14 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-02-15 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-02-16 06:00:00', 'surface', 853.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-02-17 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-02-18 06:00:00', 'surface', 856.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-02-19 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-02-20 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-02-21 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-02-22 06:00:00', 'surface', 854.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-02-23 06:00:00', 'surface', 852.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-02-24 06:00:00', 'surface', 853.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-02-25 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-02-26 06:00:00', 'surface', 855.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-02-27 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-02-28 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-03-01 06:00:00', 'surface', 854.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-03-02 06:00:00', 'surface', 853.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-03-03 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-03-04 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-03-05 06:00:00', 'surface', 854.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-03-06 06:00:00', 'surface', 853.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-03-07 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-03-08 06:00:00', 'surface', 854.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-03-09 06:00:00', 'surface', 853.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-03-10 06:00:00', 'surface', 853.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-03-11 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-03-12 06:00:00', 'surface', 853.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-03-13 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-03-14 06:00:00', 'surface', 856.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-03-15 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-03-16 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-03-17 06:00:00', 'surface', 855.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-03-18 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-03-19 06:00:00', 'surface', 857.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-03-20 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-03-21 06:00:00', 'surface', 856.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-03-22 06:00:00', 'surface', 856.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-03-23 06:00:00', 'surface', 857.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-03-24 06:00:00', 'surface', 856.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-03-25 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-03-26 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-03-27 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-03-28 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-03-29 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-03-30 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-03-31 06:00:00', 'surface', 856.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-04-01 06:00:00', 'surface', 855.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-04-02 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-04-03 06:00:00', 'surface', 857.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-04-04 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-04-05 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-04-06 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-04-07 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-04-08 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-04-09 06:00:00', 'surface', 856.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-04-10 06:00:00', 'surface', 856.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-04-11 06:00:00', 'surface', 856.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-04-12 06:00:00', 'surface', 856.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-04-13 06:00:00', 'surface', 855.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-04-14 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-04-15 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-04-16 06:00:00', 'surface', 860.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-04-17 06:00:00', 'surface', 860.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-04-18 06:00:00', 'surface', 860.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-04-19 06:00:00', 'surface', 860.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-04-20 06:00:00', 'surface', 859.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-04-21 06:00:00', 'surface', 858.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-04-22 06:00:00', 'surface', 857.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-04-23 06:00:00', 'surface', 857.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-04-24 06:00:00', 'surface', 857.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-04-25 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-04-26 06:00:00', 'surface', 856.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-04-27 06:00:00', 'surface', 857.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-04-28 06:00:00', 'surface', 857.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-04-29 06:00:00', 'surface', 858.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-04-30 06:00:00', 'surface', 857.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-05-01 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-05-02 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-05-03 06:00:00', 'surface', 856.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-05-04 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-05-05 06:00:00', 'surface', 854.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-05-06 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-05-07 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-05-08 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-05-09 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-05-10 06:00:00', 'surface', 853.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-05-11 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-05-12 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-05-13 06:00:00', 'surface', 857.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-05-14 06:00:00', 'surface', 857.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-05-15 06:00:00', 'surface', 858.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-05-16 06:00:00', 'surface', 859.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-05-17 06:00:00', 'surface', 861.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-05-18 06:00:00', 'surface', 851.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-05-19 06:00:00', 'surface', 859.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-05-20 06:00:00', 'surface', 859.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-05-21 06:00:00', 'surface', 860.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-05-22 06:00:00', 'surface', 861.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-05-23 06:00:00', 'surface', 859.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-05-24 06:00:00', 'surface', 859.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-05-25 06:00:00', 'surface', 859.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-05-26 06:00:00', 'surface', 859.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-05-27 06:00:00', 'surface', 859.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-05-28 06:00:00', 'surface', 858.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-05-29 06:00:00', 'surface', 858.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-05-30 06:00:00', 'surface', 860.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-05-31 06:00:00', 'surface', 861.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-06-01 06:00:00', 'surface', 860.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-06-02 06:00:00', 'surface', 858.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-06-03 06:00:00', 'surface', 857.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-06-04 06:00:00', 'surface', 858.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-06-05 06:00:00', 'surface', 857.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-06-06 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-06-07 06:00:00', 'surface', 856.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-06-08 06:00:00', 'surface', 858.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-06-09 06:00:00', 'surface', 851.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-06-10 06:00:00', 'surface', 851.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-06-11 06:00:00', 'surface', 861.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-06-12 06:00:00', 'surface', 851.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-06-13 06:00:00', 'surface', 851.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-06-14 06:00:00', 'surface', 850.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-06-15 06:00:00', 'surface', 859.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-06-16 06:00:00', 'surface', 850.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-06-17 06:00:00', 'surface', 861.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-06-18 06:00:00', 'surface', 860.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-06-19 06:00:00', 'surface', 858.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-06-20 06:00:00', 'surface', 858.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-06-21 06:00:00', 'surface', 859.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-06-22 06:00:00', 'surface', 859.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-06-23 06:00:00', 'surface', 859.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-06-24 06:00:00', 'surface', 860.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-06-25 06:00:00', 'surface', 861.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-06-26 06:00:00', 'surface', 861.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-06-27 06:00:00', 'surface', 859.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-06-28 06:00:00', 'surface', 861.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-06-29 06:00:00', 'surface', 862.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-06-30 06:00:00', 'surface', 861.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-07-01 06:00:00', 'surface', 850.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-07-02 06:00:00', 'surface', 860.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-07-03 06:00:00', 'surface', 858.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-07-04 06:00:00', 'surface', 858.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-07-05 06:00:00', 'surface', 859.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-07-06 06:00:00', 'surface', 860.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-07-07 06:00:00', 'surface', 860.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-07-08 06:00:00', 'surface', 859.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-07-09 06:00:00', 'surface', 858.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-07-10 06:00:00', 'surface', 860.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-07-11 06:00:00', 'surface', 852.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-07-12 06:00:00', 'surface', 851.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-07-13 06:00:00', 'surface', 860.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-07-14 06:00:00', 'surface', 859.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-07-15 06:00:00', 'surface', 860.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-07-16 06:00:00', 'surface', 859.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-07-17 06:00:00', 'surface', 858.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-07-18 06:00:00', 'surface', 859.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-07-19 06:00:00', 'surface', 858.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-07-20 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-07-21 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-07-22 06:00:00', 'surface', 856.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-07-23 06:00:00', 'surface', 859.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-07-24 06:00:00', 'surface', 861.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-07-25 06:00:00', 'surface', 861.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-07-26 06:00:00', 'surface', 860.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-07-27 06:00:00', 'surface', 859.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-07-28 06:00:00', 'surface', 859.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-07-29 06:00:00', 'surface', 858.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-07-30 06:00:00', 'surface', 861.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-07-31 06:00:00', 'surface', 862.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-08-01 06:00:00', 'surface', 861.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-08-02 06:00:00', 'surface', 860.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-08-03 06:00:00', 'surface', 860.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-08-04 06:00:00', 'surface', 860.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-08-05 06:00:00', 'surface', 859.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-08-06 06:00:00', 'surface', 860.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-08-07 06:00:00', 'surface', 860.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-08-08 06:00:00', 'surface', 861.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-08-09 06:00:00', 'surface', 860.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-08-10 06:00:00', 'surface', 859.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-08-11 06:00:00', 'surface', 862.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-08-12 06:00:00', 'surface', 858.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-08-13 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-08-14 06:00:00', 'surface', 854.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-08-15 06:00:00', 'surface', 854.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-08-16 06:00:00', 'surface', 857.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-08-17 06:00:00', 'surface', 858.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-08-18 06:00:00', 'surface', 856.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-08-19 06:00:00', 'surface', 858.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-08-20 06:00:00', 'surface', 859.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-08-21 06:00:00', 'surface', 857.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-08-22 06:00:00', 'surface', 855.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-08-23 06:00:00', 'surface', 853.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-08-24 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-08-25 06:00:00', 'surface', 858.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-08-26 06:00:00', 'surface', 861.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-08-27 06:00:00', 'surface', 862.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-08-28 06:00:00', 'surface', 861.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-08-29 06:00:00', 'surface', 860.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-08-30 06:00:00', 'surface', 859.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-08-31 06:00:00', 'surface', 858.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-09-01 06:00:00', 'surface', 856.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-09-02 06:00:00', 'surface', 857.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-09-03 06:00:00', 'surface', 858.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-09-04 06:00:00', 'surface', 857.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-09-05 06:00:00', 'surface', 857.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-09-06 06:00:00', 'surface', 857.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-09-07 06:00:00', 'surface', 856.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-09-08 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-09-09 06:00:00', 'surface', 856.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-09-10 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-09-11 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-09-12 06:00:00', 'surface', 858.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-09-13 06:00:00', 'surface', 859.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-09-14 06:00:00', 'surface', 859.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-09-15 06:00:00', 'surface', 859.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-09-16 06:00:00', 'surface', 858.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-09-17 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-09-18 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-09-19 06:00:00', 'surface', 859.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-09-20 06:00:00', 'surface', 859.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-09-21 06:00:00', 'surface', 858.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-09-22 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-09-23 06:00:00', 'surface', 856.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-09-24 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-09-25 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-09-26 06:00:00', 'surface', 855.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-09-27 06:00:00', 'surface', 855.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-09-28 06:00:00', 'surface', 854.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-09-29 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-09-30 06:00:00', 'surface', 855.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-10-01 06:00:00', 'surface', 854.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-10-02 06:00:00', 'surface', 854.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-10-03 06:00:00', 'surface', 854.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-10-04 06:00:00', 'surface', 856.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-10-05 06:00:00', 'surface', 856.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-10-06 06:00:00', 'surface', 854.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-10-07 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-10-08 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-10-09 06:00:00', 'surface', 859.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-10-10 06:00:00', 'surface', 857.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-10-11 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-10-12 06:00:00', 'surface', 853.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-10-13 06:00:00', 'surface', 853.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-10-14 06:00:00', 'surface', 854.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-10-15 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-10-16 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-10-17 06:00:00', 'surface', 860.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-10-18 06:00:00', 'surface', 860.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-10-19 06:00:00', 'surface', 858.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-10-20 06:00:00', 'surface', 856.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-10-21 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-10-22 06:00:00', 'surface', 857.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-10-23 06:00:00', 'surface', 856.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-10-24 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-10-25 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-10-26 06:00:00', 'surface', 858.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-10-27 06:00:00', 'surface', 856.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-10-28 06:00:00', 'surface', 854.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-10-29 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-10-30 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-10-31 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-11-01 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-11-02 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-11-03 06:00:00', 'surface', 853.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-11-04 06:00:00', 'surface', 853.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-11-05 06:00:00', 'surface', 853.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-11-06 06:00:00', 'surface', 852.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-11-07 06:00:00', 'surface', 853.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-11-08 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-11-09 06:00:00', 'surface', 858.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-11-10 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-11-11 06:00:00', 'surface', 857.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-11-12 06:00:00', 'surface', 858.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-11-13 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-11-14 06:00:00', 'surface', 854.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-11-15 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-11-16 06:00:00', 'surface', 854.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-11-17 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-11-18 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-11-19 06:00:00', 'surface', 855.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-11-20 06:00:00', 'surface', 855.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-11-21 06:00:00', 'surface', 854.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-11-22 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-11-23 06:00:00', 'surface', 853.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-11-24 06:00:00', 'surface', 852.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-11-25 06:00:00', 'surface', 852.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-11-26 06:00:00', 'surface', 852.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-11-27 06:00:00', 'surface', 853.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-11-28 06:00:00', 'surface', 855.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-11-29 06:00:00', 'surface', 854.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-11-30 06:00:00', 'surface', 853.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-12-01 06:00:00', 'surface', 853.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-12-02 06:00:00', 'surface', 852.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-12-03 06:00:00', 'surface', 853.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-12-04 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-12-05 06:00:00', 'surface', 858.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-12-06 06:00:00', 'surface', 857.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-12-07 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-12-08 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-12-09 06:00:00', 'surface', 854.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-12-10 06:00:00', 'surface', 855.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-12-11 06:00:00', 'surface', 855.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-12-12 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-12-13 06:00:00', 'surface', 854.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-12-14 06:00:00', 'surface', 854.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-12-15 06:00:00', 'surface', 854.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-12-16 06:00:00', 'surface', 854.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-12-17 06:00:00', 'surface', 854.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-12-18 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-12-19 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-12-20 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-12-21 06:00:00', 'surface', 851.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-12-22 06:00:00', 'surface', 852.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-12-23 06:00:00', 'surface', 853.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-12-24 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-12-25 06:00:00', 'surface', 853.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-12-26 06:00:00', 'surface', 853.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-12-27 06:00:00', 'surface', 852.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-12-28 06:00:00', 'surface', 853.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-12-29 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-12-30 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1998-12-31 06:00:00', 'surface', 851.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-01-01 06:00:00', 'surface', 851.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-01-02 06:00:00', 'surface', 851.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-01-03 06:00:00', 'surface', 850.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-01-04 06:00:00', 'surface', 849.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-01-05 06:00:00', 'surface', 850.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-01-06 06:00:00', 'surface', 851.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-01-07 06:00:00', 'surface', 853.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-01-08 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-01-09 06:00:00', 'surface', 852.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-01-10 06:00:00', 'surface', 852.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-01-11 06:00:00', 'surface', 852.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-01-12 06:00:00', 'surface', 852.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-01-13 06:00:00', 'surface', 851.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-01-14 06:00:00', 'surface', 851.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-01-15 06:00:00', 'surface', 851.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-01-16 06:00:00', 'surface', 853.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-01-17 06:00:00', 'surface', 852.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-01-18 06:00:00', 'surface', 852.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-01-19 06:00:00', 'surface', 852.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-01-20 06:00:00', 'surface', 854.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-01-21 06:00:00', 'surface', 854.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-01-22 06:00:00', 'surface', 855.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-01-23 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-01-24 06:00:00', 'surface', 853.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-01-25 06:00:00', 'surface', 854.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-01-26 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-01-27 06:00:00', 'surface', 852.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-01-28 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-01-29 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-01-30 06:00:00', 'surface', 852.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-01-31 06:00:00', 'surface', 850.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-02-01 06:00:00', 'surface', 848.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-02-02 06:00:00', 'surface', 848.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-02-03 06:00:00', 'surface', 849.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-02-04 06:00:00', 'surface', 850.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-02-05 06:00:00', 'surface', 851.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-02-06 06:00:00', 'surface', 852.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-02-07 06:00:00', 'surface', 853.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-02-08 06:00:00', 'surface', 854.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-02-09 06:00:00', 'surface', 854.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-02-10 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-02-11 06:00:00', 'surface', 852.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-02-12 06:00:00', 'surface', 853.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-02-13 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-02-14 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-02-15 06:00:00', 'surface', 856.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-02-16 06:00:00', 'surface', 855.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-02-17 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-02-18 06:00:00', 'surface', 853.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-02-19 06:00:00', 'surface', 853.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-02-20 06:00:00', 'surface', 853.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-02-21 06:00:00', 'surface', 852.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-02-22 06:00:00', 'surface', 852.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-02-23 06:00:00', 'surface', 852.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-02-24 06:00:00', 'surface', 852.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-02-25 06:00:00', 'surface', 852.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-02-26 06:00:00', 'surface', 852.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-02-27 06:00:00', 'surface', 852.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-02-28 06:00:00', 'surface', 853.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-03-01 06:00:00', 'surface', 852.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-03-02 06:00:00', 'surface', 852.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-03-03 06:00:00', 'surface', 853.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-03-04 06:00:00', 'surface', 853.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-03-05 06:00:00', 'surface', 850.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-03-06 06:00:00', 'surface', 850.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-03-07 06:00:00', 'surface', 850.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-03-08 06:00:00', 'surface', 852.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-03-09 06:00:00', 'surface', 853.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-03-10 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-03-11 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-03-12 06:00:00', 'surface', 853.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-03-13 06:00:00', 'surface', 853.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-03-14 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-03-15 06:00:00', 'surface', 853.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-03-16 06:00:00', 'surface', 852.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-03-17 06:00:00', 'surface', 851.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-03-18 06:00:00', 'surface', 852.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-03-19 06:00:00', 'surface', 852.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-03-20 06:00:00', 'surface', 852.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-03-21 06:00:00', 'surface', 853.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-03-22 06:00:00', 'surface', 853.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-03-23 06:00:00', 'surface', 853.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-03-24 06:00:00', 'surface', 853.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-03-25 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-03-26 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-03-27 06:00:00', 'surface', 858.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-03-28 06:00:00', 'surface', 858.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-03-29 06:00:00', 'surface', 857.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-03-30 06:00:00', 'surface', 857.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-03-31 06:00:00', 'surface', 857.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-04-01 06:00:00', 'surface', 857.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-04-02 06:00:00', 'surface', 856.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-04-03 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-04-04 06:00:00', 'surface', 856.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-04-05 06:00:00', 'surface', 857.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-04-06 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-04-07 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-04-08 06:00:00', 'surface', 855.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-04-09 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-04-10 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-04-11 06:00:00', 'surface', 859.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-04-12 06:00:00', 'surface', 862.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-04-13 06:00:00', 'surface', 851.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-04-14 06:00:00', 'surface', 859.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-04-15 06:00:00', 'surface', 857.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-04-16 06:00:00', 'surface', 856.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-04-17 06:00:00', 'surface', 856.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-04-18 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-04-19 06:00:00', 'surface', 854.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-04-20 06:00:00', 'surface', 855.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-04-21 06:00:00', 'surface', 857.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-04-22 06:00:00', 'surface', 858.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-04-23 06:00:00', 'surface', 857.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-04-24 06:00:00', 'surface', 855.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-04-25 06:00:00', 'surface', 857.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-04-26 06:00:00', 'surface', 859.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-04-27 06:00:00', 'surface', 859.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-04-28 06:00:00', 'surface', 858.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-04-29 06:00:00', 'surface', 858.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-04-30 06:00:00', 'surface', 857.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-05-01 06:00:00', 'surface', 857.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-05-02 06:00:00', 'surface', 857.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-05-03 06:00:00', 'surface', 857.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-05-04 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-05-05 06:00:00', 'surface', 856.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-05-06 06:00:00', 'surface', 859.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-05-07 06:00:00', 'surface', 859.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-05-08 06:00:00', 'surface', 857.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-05-09 06:00:00', 'surface', 857.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-05-10 06:00:00', 'surface', 858.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-05-11 06:00:00', 'surface', 858.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-05-12 06:00:00', 'surface', 858.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-05-13 06:00:00', 'surface', 858.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-05-14 06:00:00', 'surface', 857.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-05-15 06:00:00', 'surface', 856.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-05-16 06:00:00', 'surface', 857.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-05-17 06:00:00', 'surface', 857.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-05-18 06:00:00', 'surface', 857.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-05-19 06:00:00', 'surface', 857.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-05-20 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-05-21 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-05-22 06:00:00', 'surface', 857.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-05-23 06:00:00', 'surface', 858.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-05-24 06:00:00', 'surface', 860.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-05-25 06:00:00', 'surface', 860.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-05-26 06:00:00', 'surface', 857.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-05-27 06:00:00', 'surface', 858.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-05-28 06:00:00', 'surface', 859.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-05-29 06:00:00', 'surface', 859.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-05-30 06:00:00', 'surface', 859.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-05-31 06:00:00', 'surface', 857.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-06-01 06:00:00', 'surface', 859.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-06-02 06:00:00', 'surface', 861.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-06-03 06:00:00', 'surface', 860.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-06-04 06:00:00', 'surface', 859.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-06-05 06:00:00', 'surface', 859.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-06-06 06:00:00', 'surface', 859.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-06-07 06:00:00', 'surface', 859.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-06-08 06:00:00', 'surface', 859.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-06-09 06:00:00', 'surface', 859.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-06-10 06:00:00', 'surface', 860.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-06-11 06:00:00', 'surface', 860.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-06-12 06:00:00', 'surface', 851.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-06-13 06:00:00', 'surface', 859.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-06-14 06:00:00', 'surface', 857.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-06-15 06:00:00', 'surface', 857.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-06-16 06:00:00', 'surface', 857.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-06-17 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-06-18 06:00:00', 'surface', 855.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-06-19 06:00:00', 'surface', 855.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-06-20 06:00:00', 'surface', 857.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-06-21 06:00:00', 'surface', 858.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-06-22 06:00:00', 'surface', 858.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-06-23 06:00:00', 'surface', 858.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-06-24 06:00:00', 'surface', 857.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-06-25 06:00:00', 'surface', 857.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-06-26 06:00:00', 'surface', 860.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-06-27 06:00:00', 'surface', 861.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-06-28 06:00:00', 'surface', 861.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-06-29 06:00:00', 'surface', 859.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-06-30 06:00:00', 'surface', 859.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-07-01 06:00:00', 'surface', 859.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-07-02 06:00:00', 'surface', 859.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-07-03 06:00:00', 'surface', 861.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-07-04 06:00:00', 'surface', 861.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-07-05 06:00:00', 'surface', 861.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-07-06 06:00:00', 'surface', 861.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-07-07 06:00:00', 'surface', 860.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-07-08 06:00:00', 'surface', 860.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-07-09 06:00:00', 'surface', 859.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-07-10 06:00:00', 'surface', 858.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-07-11 06:00:00', 'surface', 859.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-07-12 06:00:00', 'surface', 861.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-07-13 06:00:00', 'surface', 860.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-07-14 06:00:00', 'surface', 859.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-07-15 06:00:00', 'surface', 859.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-07-16 06:00:00', 'surface', 859.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-07-17 06:00:00', 'surface', 858.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-07-18 06:00:00', 'surface', 858.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-07-19 06:00:00', 'surface', 862.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-07-20 06:00:00', 'surface', 853.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-07-21 06:00:00', 'surface', 861.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-07-22 06:00:00', 'surface', 860.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-07-23 06:00:00', 'surface', 859.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-07-24 06:00:00', 'surface', 860.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-07-25 06:00:00', 'surface', 861.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-07-26 06:00:00', 'surface', 860.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-07-27 06:00:00', 'surface', 860.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-07-28 06:00:00', 'surface', 860.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-07-29 06:00:00', 'surface', 859.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-07-30 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-07-31 06:00:00', 'surface', 857.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-08-01 06:00:00', 'surface', 857.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-08-02 06:00:00', 'surface', 857.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-08-03 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-08-04 06:00:00', 'surface', 856.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-08-05 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-08-06 06:00:00', 'surface', 860.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-08-07 06:00:00', 'surface', 860.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-08-08 06:00:00', 'surface', 859.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-08-09 06:00:00', 'surface', 858.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-08-10 06:00:00', 'surface', 859.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-08-11 06:00:00', 'surface', 858.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-08-12 06:00:00', 'surface', 857.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-08-13 06:00:00', 'surface', 859.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-08-14 06:00:00', 'surface', 861.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-08-15 06:00:00', 'surface', 862.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-08-16 06:00:00', 'surface', 861.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-08-17 06:00:00', 'surface', 860.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-08-18 06:00:00', 'surface', 860.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-08-19 06:00:00', 'surface', 859.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-08-20 06:00:00', 'surface', 857.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-08-21 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-08-22 06:00:00', 'surface', 855.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-08-23 06:00:00', 'surface', 856.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-08-24 06:00:00', 'surface', 858.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-08-25 06:00:00', 'surface', 859.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-08-26 06:00:00', 'surface', 859.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-08-27 06:00:00', 'surface', 859.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-08-28 06:00:00', 'surface', 859.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-08-29 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-08-30 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-08-31 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-09-01 06:00:00', 'surface', 857.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-09-02 06:00:00', 'surface', 860.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-09-03 06:00:00', 'surface', 861.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-09-04 06:00:00', 'surface', 860.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-09-05 06:00:00', 'surface', 860.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-09-06 06:00:00', 'surface', 859.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-09-07 06:00:00', 'surface', 857.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-09-08 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-09-09 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-09-10 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-09-11 06:00:00', 'surface', 853.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-09-12 06:00:00', 'surface', 855.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-09-13 06:00:00', 'surface', 857.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-09-14 06:00:00', 'surface', 859.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-09-15 06:00:00', 'surface', 858.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-09-16 06:00:00', 'surface', 857.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-09-17 06:00:00', 'surface', 856.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-09-18 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-09-19 06:00:00', 'surface', 859.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-09-20 06:00:00', 'surface', 857.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-09-21 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-09-22 06:00:00', 'surface', 855.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-09-23 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-09-24 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-09-25 06:00:00', 'surface', 853.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-09-26 06:00:00', 'surface', 852.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-09-27 06:00:00', 'surface', 851.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-09-28 06:00:00', 'surface', 852.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-09-29 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-09-30 06:00:00', 'surface', 858.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-10-01 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-10-02 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-10-03 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-10-04 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-10-05 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-10-06 06:00:00', 'surface', 857.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-10-07 06:00:00', 'surface', 859.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-10-08 06:00:00', 'surface', 860.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-10-09 06:00:00', 'surface', 858.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-10-10 06:00:00', 'surface', 857.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-10-11 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-10-12 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-10-13 06:00:00', 'surface', 858.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-10-14 06:00:00', 'surface', 859.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-10-15 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-10-16 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0);
INSERT INTO `observationfinal` (`recordedFrom`, `describedBy`, `obsDatetime`, `obsLevel`, `obsValue`, `flag`, `period`, `qcStatus`, `qcTypeLog`, `acquisitionType`, `dataForm`, `capturedBy`, `mark`, `temperatureUnits`, `precipitationUnits`, `cloudHeightUnits`, `visUnits`, `dataSourceTimeZone`) VALUES
	('67774010', 47, '1999-10-17 06:00:00', 'surface', 856.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-10-18 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-10-19 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-10-20 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-10-21 06:00:00', 'surface', 855.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-10-22 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-10-23 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-10-24 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-10-25 06:00:00', 'surface', 854.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-10-26 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-10-27 06:00:00', 'surface', 853.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-10-28 06:00:00', 'surface', 853.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-10-29 06:00:00', 'surface', 856.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-10-30 06:00:00', 'surface', 858.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-10-31 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-11-01 06:00:00', 'surface', 855.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-11-02 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-11-03 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-11-04 06:00:00', 'surface', 854.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-11-05 06:00:00', 'surface', 853.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-11-06 06:00:00', 'surface', 855.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-11-07 06:00:00', 'surface', 854.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-11-08 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-11-09 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-11-10 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-11-11 06:00:00', 'surface', 857.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-11-12 06:00:00', 'surface', 858.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-11-13 06:00:00', 'surface', 856.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-11-14 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-11-15 06:00:00', 'surface', 854.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-11-16 06:00:00', 'surface', 855.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-11-17 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-11-18 06:00:00', 'surface', 853.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-11-19 06:00:00', 'surface', 852.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-11-20 06:00:00', 'surface', 854.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-11-21 06:00:00', 'surface', 853.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-11-22 06:00:00', 'surface', 852.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-11-23 06:00:00', 'surface', 852.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-11-24 06:00:00', 'surface', 853.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-11-25 06:00:00', 'surface', 854.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-11-26 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-11-27 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-11-28 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-11-29 06:00:00', 'surface', 855.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-11-30 06:00:00', 'surface', 857.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-12-01 06:00:00', 'surface', 857.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-12-02 06:00:00', 'surface', 856.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-12-03 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-12-04 06:00:00', 'surface', 854.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-12-05 06:00:00', 'surface', 854.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-12-06 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-12-07 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-12-08 06:00:00', 'surface', 857.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-12-09 06:00:00', 'surface', 857.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-12-10 06:00:00', 'surface', 855.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-12-11 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-12-12 06:00:00', 'surface', 853.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-12-13 06:00:00', 'surface', 852.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-12-14 06:00:00', 'surface', 853.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-12-15 06:00:00', 'surface', 852.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-12-16 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-12-17 06:00:00', 'surface', 853.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-12-18 06:00:00', 'surface', 853.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-12-19 06:00:00', 'surface', 852.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-12-20 06:00:00', 'surface', 852.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-12-21 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-12-22 06:00:00', 'surface', 856.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-12-23 06:00:00', 'surface', 855.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-12-24 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-12-25 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-12-26 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-12-27 06:00:00', 'surface', 855.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-12-28 06:00:00', 'surface', 854.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-12-29 06:00:00', 'surface', 853.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-12-30 06:00:00', 'surface', 852.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '1999-12-31 06:00:00', 'surface', 852.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-01-01 06:00:00', 'surface', 851.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-01-02 06:00:00', 'surface', 852.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-01-03 06:00:00', 'surface', 852.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-01-04 06:00:00', 'surface', 852.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-01-05 06:00:00', 'surface', 852.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-01-06 06:00:00', 'surface', 851.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-01-07 06:00:00', 'surface', 850.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-01-08 06:00:00', 'surface', 849.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-01-09 06:00:00', 'surface', 848.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-01-10 06:00:00', 'surface', 848.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-01-11 06:00:00', 'surface', 849.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-01-12 06:00:00', 'surface', 849.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-01-13 06:00:00', 'surface', 850.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-01-14 06:00:00', 'surface', 851.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-01-15 06:00:00', 'surface', 852.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-01-16 06:00:00', 'surface', 850.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-01-17 06:00:00', 'surface', 849.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-01-18 06:00:00', 'surface', 852.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-01-19 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-01-20 06:00:00', 'surface', 857.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-01-21 06:00:00', 'surface', 855.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-01-22 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-01-23 06:00:00', 'surface', 853.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-01-24 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-01-25 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-01-26 06:00:00', 'surface', 853.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-01-27 06:00:00', 'surface', 852.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-01-28 06:00:00', 'surface', 850.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-01-29 06:00:00', 'surface', 850.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-01-30 06:00:00', 'surface', 852.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-01-31 06:00:00', 'surface', 853.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-02-01 06:00:00', 'surface', 852.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-02-02 06:00:00', 'surface', 852.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-02-03 06:00:00', 'surface', 852.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-02-04 06:00:00', 'surface', 852.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-02-05 06:00:00', 'surface', 850.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-02-06 06:00:00', 'surface', 852.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-02-07 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-02-08 06:00:00', 'surface', 853.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-02-09 06:00:00', 'surface', 853.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-02-10 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-02-11 06:00:00', 'surface', 852.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-02-12 06:00:00', 'surface', 853.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-02-13 06:00:00', 'surface', 852.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-02-14 06:00:00', 'surface', 851.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-02-15 06:00:00', 'surface', 850.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-02-16 06:00:00', 'surface', 851.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-02-17 06:00:00', 'surface', 851.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-02-18 06:00:00', 'surface', 852.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-02-19 06:00:00', 'surface', 853.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-02-20 06:00:00', 'surface', 852.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-02-21 06:00:00', 'surface', 850.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-02-22 06:00:00', 'surface', 849.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-02-23 06:00:00', 'surface', 845.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-02-24 06:00:00', 'surface', 849.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-02-25 06:00:00', 'surface', 851.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-02-26 06:00:00', 'surface', 852.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-02-27 06:00:00', 'surface', 852.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-02-28 06:00:00', 'surface', 853.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-02-29 06:00:00', 'surface', 854.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-03-01 06:00:00', 'surface', 853.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-03-02 06:00:00', 'surface', 853.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-03-03 06:00:00', 'surface', 853.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-03-04 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-03-05 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-03-06 06:00:00', 'surface', 853.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-03-07 06:00:00', 'surface', 853.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-03-08 06:00:00', 'surface', 853.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-03-09 06:00:00', 'surface', 853.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-03-10 06:00:00', 'surface', 852.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-03-11 06:00:00', 'surface', 852.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-03-12 06:00:00', 'surface', 852.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-03-13 06:00:00', 'surface', 851.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-03-14 06:00:00', 'surface', 851.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-03-15 06:00:00', 'surface', 852.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-03-16 06:00:00', 'surface', 853.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-03-17 06:00:00', 'surface', 853.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-03-18 06:00:00', 'surface', 852.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-03-19 06:00:00', 'surface', 853.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-03-20 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-03-21 06:00:00', 'surface', 855.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-03-22 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-03-23 06:00:00', 'surface', 855.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-03-24 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-03-25 06:00:00', 'surface', 854.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-03-26 06:00:00', 'surface', 854.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-03-27 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-03-28 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-03-29 06:00:00', 'surface', 856.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-03-30 06:00:00', 'surface', 856.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-03-31 06:00:00', 'surface', 854.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-04-01 06:00:00', 'surface', 855.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-04-02 06:00:00', 'surface', 856.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-04-03 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-04-04 06:00:00', 'surface', 855.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-04-05 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-04-06 06:00:00', 'surface', 854.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-04-07 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-04-08 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-04-09 06:00:00', 'surface', 855.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-04-10 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-04-11 06:00:00', 'surface', 855.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-04-12 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-04-13 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-04-14 06:00:00', 'surface', 855.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-04-15 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-04-16 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-04-17 06:00:00', 'surface', 857.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-04-18 06:00:00', 'surface', 857.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-04-19 06:00:00', 'surface', 857.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-04-20 06:00:00', 'surface', 857.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-04-21 06:00:00', 'surface', 857.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-04-22 06:00:00', 'surface', 857.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-04-23 06:00:00', 'surface', 856.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-04-24 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-04-25 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-04-26 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-04-27 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-04-28 06:00:00', 'surface', 859.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-04-29 06:00:00', 'surface', 860.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-04-30 06:00:00', 'surface', 860.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-05-01 06:00:00', 'surface', 858.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-05-02 06:00:00', 'surface', 857.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-05-03 06:00:00', 'surface', 857.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-05-04 06:00:00', 'surface', 856.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-05-05 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-05-06 06:00:00', 'surface', 857.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-05-07 06:00:00', 'surface', 857.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-05-08 06:00:00', 'surface', 857.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-05-09 06:00:00', 'surface', 857.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-05-10 06:00:00', 'surface', 857.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-05-11 06:00:00', 'surface', 858.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-05-12 06:00:00', 'surface', 859.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-05-13 06:00:00', 'surface', 859.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-05-14 06:00:00', 'surface', 859.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-05-15 06:00:00', 'surface', 858.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-05-16 06:00:00', 'surface', 857.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-05-17 06:00:00', 'surface', 858.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-05-18 06:00:00', 'surface', 859.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-05-19 06:00:00', 'surface', 859.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-05-20 06:00:00', 'surface', 859.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-05-21 06:00:00', 'surface', 858.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-05-22 06:00:00', 'surface', 858.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-05-23 06:00:00', 'surface', 857.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-05-26 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-05-27 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-05-28 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-06-01 06:00:00', 'surface', 859.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-06-02 06:00:00', 'surface', 859.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-06-03 06:00:00', 'surface', 858.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-06-04 06:00:00', 'surface', 859.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-06-05 06:00:00', 'surface', 860.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-06-06 06:00:00', 'surface', 860.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-06-07 06:00:00', 'surface', 859.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-06-08 06:00:00', 'surface', 860.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-06-09 06:00:00', 'surface', 860.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-06-10 06:00:00', 'surface', 860.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-06-11 06:00:00', 'surface', 859.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-06-12 06:00:00', 'surface', 859.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-06-13 06:00:00', 'surface', 861.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-06-14 06:00:00', 'surface', 860.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-06-15 06:00:00', 'surface', 859.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-06-16 06:00:00', 'surface', 858.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-06-17 06:00:00', 'surface', 859.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-06-18 06:00:00', 'surface', 860.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-06-19 06:00:00', 'surface', 860.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-06-20 06:00:00', 'surface', 859.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-06-21 06:00:00', 'surface', 858.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-06-22 06:00:00', 'surface', 858.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-06-23 06:00:00', 'surface', 857.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-06-24 06:00:00', 'surface', 859.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-06-25 06:00:00', 'surface', 859.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-06-26 06:00:00', 'surface', 860.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-06-27 06:00:00', 'surface', 861.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-06-28 06:00:00', 'surface', 861.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-06-29 06:00:00', 'surface', 860.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-06-30 06:00:00', 'surface', 861.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-07-01 06:00:00', 'surface', 861.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-07-02 06:00:00', 'surface', 861.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-07-03 06:00:00', 'surface', 860.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-07-04 06:00:00', 'surface', 860.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-07-05 06:00:00', 'surface', 860.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-07-06 06:00:00', 'surface', 861.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-07-07 06:00:00', 'surface', 861.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-07-08 06:00:00', 'surface', 861.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-07-11 06:00:00', 'surface', 859.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-07-12 06:00:00', 'surface', 859.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-07-13 06:00:00', 'surface', 857.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-07-14 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-07-15 06:00:00', 'surface', 856.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-07-16 06:00:00', 'surface', 858.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-07-17 06:00:00', 'surface', 861.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-07-18 06:00:00', 'surface', 859.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-07-19 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-07-20 06:00:00', 'surface', 855.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-07-21 06:00:00', 'surface', 858.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-07-22 06:00:00', 'surface', 860.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-07-23 06:00:00', 'surface', 861.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-07-24 06:00:00', 'surface', 860.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-07-25 06:00:00', 'surface', 859.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-07-26 06:00:00', 'surface', 861.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-07-27 06:00:00', 'surface', 861.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-07-28 06:00:00', 'surface', 858.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-07-29 06:00:00', 'surface', 856.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-07-30 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-07-31 06:00:00', 'surface', 857.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-08-01 06:00:00', 'surface', 858.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-08-02 06:00:00', 'surface', 858.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-08-03 06:00:00', 'surface', 858.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-08-04 06:00:00', 'surface', 858.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-08-05 06:00:00', 'surface', 859.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-08-06 06:00:00', 'surface', 860.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-08-07 06:00:00', 'surface', 860.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-08-08 06:00:00', 'surface', 860.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-08-09 06:00:00', 'surface', 859.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-08-10 06:00:00', 'surface', 857.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-08-11 06:00:00', 'surface', 857.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-08-12 06:00:00', 'surface', 858.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-08-13 06:00:00', 'surface', 860.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-08-14 06:00:00', 'surface', 862.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-08-15 06:00:00', 'surface', 861.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-08-16 06:00:00', 'surface', 860.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-08-17 06:00:00', 'surface', 858.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-08-18 06:00:00', 'surface', 858.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-08-19 06:00:00', 'surface', 859.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-08-20 06:00:00', 'surface', 864.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-08-21 06:00:00', 'surface', 863.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-08-22 06:00:00', 'surface', 858.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-08-23 06:00:00', 'surface', 859.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-08-24 06:00:00', 'surface', 859.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-08-25 06:00:00', 'surface', 859.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-08-26 06:00:00', 'surface', 857.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-08-27 06:00:00', 'surface', 859.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-08-28 06:00:00', 'surface', 859.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-08-29 06:00:00', 'surface', 857.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-08-30 06:00:00', 'surface', 856.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-08-31 06:00:00', 'surface', 855.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-09-01 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-09-02 06:00:00', 'surface', 855.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-09-03 06:00:00', 'surface', 853.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-09-04 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-09-05 06:00:00', 'surface', 855.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-09-06 06:00:00', 'surface', 855.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-09-07 06:00:00', 'surface', 853.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-09-08 06:00:00', 'surface', 855.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-09-09 06:00:00', 'surface', 857.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-09-10 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-09-11 06:00:00', 'surface', 856.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-09-12 06:00:00', 'surface', 858.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-09-13 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-09-14 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-09-15 06:00:00', 'surface', 857.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-09-16 06:00:00', 'surface', 857.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-09-17 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-09-18 06:00:00', 'surface', 856.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-09-19 06:00:00', 'surface', 858.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-09-20 06:00:00', 'surface', 858.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-09-21 06:00:00', 'surface', 857.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-09-22 06:00:00', 'surface', 858.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-09-23 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-09-24 06:00:00', 'surface', 856.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-09-25 06:00:00', 'surface', 856.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-09-26 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-09-27 06:00:00', 'surface', 857.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-09-28 06:00:00', 'surface', 857.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-09-29 06:00:00', 'surface', 856.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-09-30 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-10-01 06:00:00', 'surface', 855.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-10-02 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-10-03 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-10-04 06:00:00', 'surface', 855.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-10-05 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-10-06 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-10-07 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-10-08 06:00:00', 'surface', 856.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-10-09 06:00:00', 'surface', 855.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-10-10 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-10-11 06:00:00', 'surface', 858.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-10-12 06:00:00', 'surface', 861.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-10-13 06:00:00', 'surface', 859.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-10-14 06:00:00', 'surface', 856.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-10-15 06:00:00', 'surface', 856.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-10-16 06:00:00', 'surface', 857.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-10-17 06:00:00', 'surface', 857.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-10-18 06:00:00', 'surface', 855.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-10-19 06:00:00', 'surface', 854.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-10-20 06:00:00', 'surface', 856.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-10-21 06:00:00', 'surface', 857.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-10-22 06:00:00', 'surface', 857.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-10-23 06:00:00', 'surface', 854.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-10-24 06:00:00', 'surface', 853.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-10-25 06:00:00', 'surface', 853.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-10-26 06:00:00', 'surface', 855.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-10-27 06:00:00', 'surface', 856.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-10-28 06:00:00', 'surface', 857.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-10-29 06:00:00', 'surface', 855.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-10-30 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-10-31 06:00:00', 'surface', 855.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-11-01 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-11-02 06:00:00', 'surface', 852.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-11-03 06:00:00', 'surface', 851.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-11-04 06:00:00', 'surface', 853.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-11-05 06:00:00', 'surface', 855.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-11-06 06:00:00', 'surface', 854.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-11-07 06:00:00', 'surface', 853.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-11-08 06:00:00', 'surface', 853.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-11-09 06:00:00', 'surface', 852.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-11-10 06:00:00', 'surface', 851.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-11-11 06:00:00', 'surface', 851.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-11-12 06:00:00', 'surface', 851.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-11-13 06:00:00', 'surface', 851.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-11-14 06:00:00', 'surface', 851.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-11-15 06:00:00', 'surface', 852.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-11-16 06:00:00', 'surface', 852.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-11-17 06:00:00', 'surface', 851.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-11-18 06:00:00', 'surface', 849.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-11-19 06:00:00', 'surface', 846.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-11-20 06:00:00', 'surface', 849.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-11-21 06:00:00', 'surface', 852.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-11-22 06:00:00', 'surface', 854.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-11-23 06:00:00', 'surface', 854.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-11-24 06:00:00', 'surface', 853.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-11-25 06:00:00', 'surface', 854.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-11-26 06:00:00', 'surface', 855.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-11-27 06:00:00', 'surface', 856.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-11-28 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-11-29 06:00:00', 'surface', 853.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-11-30 06:00:00', 'surface', 854.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-12-01 06:00:00', 'surface', 856.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-12-02 06:00:00', 'surface', 856.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-12-03 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-12-04 06:00:00', 'surface', 854.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-12-05 06:00:00', 'surface', 855.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-12-06 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-12-07 06:00:00', 'surface', 854.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-12-08 06:00:00', 'surface', 854.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-12-09 06:00:00', 'surface', 854.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-12-10 06:00:00', 'surface', 854.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-12-11 06:00:00', 'surface', 852.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-12-12 06:00:00', 'surface', 851.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-12-13 06:00:00', 'surface', 852.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-12-14 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-12-15 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-12-16 06:00:00', 'surface', 855.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-12-17 06:00:00', 'surface', 855.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-12-18 06:00:00', 'surface', 855.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-12-19 06:00:00', 'surface', 854.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-12-20 06:00:00', 'surface', 852.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-12-21 06:00:00', 'surface', 853.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-12-22 06:00:00', 'surface', 856.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-12-23 06:00:00', 'surface', 852.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-12-24 06:00:00', 'surface', 852.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-12-25 06:00:00', 'surface', 851.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-12-26 06:00:00', 'surface', 853.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-12-27 06:00:00', 'surface', 855.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-12-28 06:00:00', 'surface', 854.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-12-29 06:00:00', 'surface', 853.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-12-30 06:00:00', 'surface', 852.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 47, '2000-12-31 06:00:00', 'surface', 851.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2009-04-01 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2009-04-02 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2009-04-03 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2009-04-04 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2009-04-05 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2009-04-06 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2009-04-07 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2009-04-08 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2009-04-09 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2009-04-10 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2009-04-11 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2009-04-12 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2009-04-13 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2009-04-14 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2009-04-15 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2009-04-16 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2009-04-17 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2009-04-18 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2009-04-19 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2009-04-20 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2009-04-21 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2009-04-22 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2009-04-23 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2009-04-24 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2009-04-25 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2009-04-26 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2009-04-27 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2009-04-28 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2009-04-29 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2009-04-30 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2009-07-01 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2009-07-02 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2009-07-03 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2009-07-04 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2009-07-05 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2009-07-06 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2009-07-07 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2009-07-08 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2009-07-09 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2009-07-10 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2009-07-11 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2009-07-12 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2009-07-13 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2009-07-14 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2009-07-15 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2009-07-16 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2009-07-17 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2009-07-18 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2009-07-19 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2009-07-20 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2009-07-21 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2009-07-22 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2009-07-23 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2009-07-24 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2009-07-25 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2009-07-26 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2009-07-27 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2009-07-28 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2009-07-29 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 3, '2009-07-30 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 101, '2005-11-21 09:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 102, '2005-11-21 09:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 106, '2005-11-21 09:00:00', 'surface', 863.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 107, '2005-11-21 09:00:00', 'surface', 863.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 110, '2005-11-21 09:00:00', 'surface', 80.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 111, '2005-11-21 09:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 112, '2005-11-21 09:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 114, '2005-11-21 09:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 116, '2005-11-21 09:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 117, '2005-11-21 09:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 118, '2005-11-21 09:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 167, '2005-11-21 09:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 176, '2005-11-21 09:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 177, '2005-11-21 09:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 178, '2005-11-21 09:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 179, '2005-11-21 09:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 180, '2005-11-21 09:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 193, '2005-11-21 09:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 197, '2005-11-21 09:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-01-01 06:00:00', 'surface', 30.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-01-02 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-01-03 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-01-04 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-01-05 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-01-06 06:00:00', 'surface', 30.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-01-07 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-01-08 06:00:00', 'surface', 30.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-01-09 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-01-10 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-01-11 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-01-12 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-01-13 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-01-14 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-01-15 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-01-16 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-01-17 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-01-18 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-01-19 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-01-20 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-01-21 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-01-22 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-01-23 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-01-24 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-01-25 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-01-26 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-01-27 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-01-28 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-01-29 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-01-30 06:00:00', 'surface', 30.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-01-31 06:00:00', 'surface', 30.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-02-01 06:00:00', 'surface', 30.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-02-02 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-02-03 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-02-04 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-02-05 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-02-06 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-02-07 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-02-08 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-02-09 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-02-10 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-02-11 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-02-12 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-02-13 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-02-14 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-02-15 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-02-16 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-02-17 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-02-18 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-02-19 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-02-20 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-02-21 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-02-22 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-02-23 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-02-24 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-02-25 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-02-26 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-02-27 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-02-28 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-02-29 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-03-01 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-03-02 06:00:00', 'surface', 29.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-03-03 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-03-04 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-03-05 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-03-06 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-03-07 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-03-08 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-03-09 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-03-10 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-03-11 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-03-12 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-03-13 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-03-14 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-03-15 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-03-16 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-03-17 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-03-18 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-03-19 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-03-20 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-03-21 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-03-22 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-03-23 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-03-24 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-03-25 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-03-26 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-03-27 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-03-28 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-03-29 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-03-30 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-03-31 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-04-01 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-04-02 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-04-03 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-04-04 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-04-05 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-04-06 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-04-07 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-04-08 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-04-09 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-04-10 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-04-11 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-04-12 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-04-13 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-04-14 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-04-15 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-04-16 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-04-17 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-04-18 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-04-19 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-04-20 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-04-21 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-04-22 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-04-23 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-04-24 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-04-25 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-04-26 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-04-27 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-04-28 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-04-29 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-04-30 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-05-01 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-05-02 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-05-03 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-05-04 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-05-05 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-05-06 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-05-07 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-05-08 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-05-09 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-05-10 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-05-11 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-05-12 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-05-13 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-05-14 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-05-15 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-05-16 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-05-17 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-05-18 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-05-19 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-05-20 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-05-21 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-05-22 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-05-23 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-05-24 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-05-25 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-05-26 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-05-27 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-05-28 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-05-29 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-05-30 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-05-31 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-06-01 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-06-02 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-06-03 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-06-04 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-06-05 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-06-06 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-06-07 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-06-08 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-06-09 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-06-10 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-06-11 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-06-12 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-06-13 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-06-14 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-06-15 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-06-16 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-06-17 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-06-18 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-06-19 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-06-20 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-06-21 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-06-22 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-06-23 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-06-24 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-06-25 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-06-26 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-06-27 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-06-28 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-06-29 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-06-30 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-07-01 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-07-02 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-07-03 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-07-04 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-07-05 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-07-06 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-07-07 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-07-08 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-07-09 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-07-10 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-07-11 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-07-12 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-07-13 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-07-14 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-07-15 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-07-16 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-07-17 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-07-18 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-07-19 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-07-20 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-07-21 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-07-22 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-07-23 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-07-24 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-07-25 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-07-26 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-07-27 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-07-28 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-07-29 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-07-30 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-07-31 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-08-01 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-08-02 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-08-03 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-08-04 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-08-05 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-08-06 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-08-07 06:00:00', 'surface', 18.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-08-08 06:00:00', 'surface', 18.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-08-09 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-08-10 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-08-11 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-08-12 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-08-13 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-08-14 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-08-15 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-08-16 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-08-17 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-08-18 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-08-19 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-08-20 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-08-21 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-08-22 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-08-23 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-08-24 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-08-25 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-08-26 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-08-27 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-08-28 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-08-29 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-08-30 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-08-31 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-09-01 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-09-02 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-09-03 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-09-04 06:00:00', 'surface', 29.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-09-05 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-09-06 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-09-07 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-09-08 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-09-09 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-09-10 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-09-11 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-09-12 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-09-13 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-09-14 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-09-15 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-09-16 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-09-17 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-09-18 06:00:00', 'surface', 29.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-09-19 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-09-20 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-09-21 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-09-22 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-09-23 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-09-24 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-09-25 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-09-26 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-09-27 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-09-28 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-09-29 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-09-30 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-10-01 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-10-02 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-10-03 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-10-04 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-10-05 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-10-06 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-10-07 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-10-08 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-10-09 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-10-10 06:00:00', 'surface', 30.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-10-11 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-10-12 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-10-13 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-10-14 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-10-15 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-10-16 06:00:00', 'surface', 29.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-10-17 06:00:00', 'surface', 30.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-10-18 06:00:00', 'surface', 30.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-10-19 06:00:00', 'surface', 30.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-10-20 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-10-21 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-10-22 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-10-23 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-10-24 06:00:00', 'surface', 30.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-10-25 06:00:00', 'surface', 31.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-10-26 06:00:00', 'surface', 31.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-10-27 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-10-28 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-10-29 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-10-30 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-10-31 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-11-01 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-11-02 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-11-03 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-11-04 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-11-05 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-11-06 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-11-07 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-11-08 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-11-09 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-11-10 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-11-11 06:00:00', 'surface', 31.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-11-12 06:00:00', 'surface', 30.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-11-13 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-11-14 06:00:00', 'surface', 30.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-11-15 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-11-16 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-11-17 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-11-18 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-11-19 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-11-20 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-11-21 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-11-22 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-11-23 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-11-24 06:00:00', 'surface', 30.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-11-25 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-11-26 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-11-27 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-11-28 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-11-29 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-11-30 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-12-01 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-12-02 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-12-03 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-12-04 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-12-05 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-12-06 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-12-07 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-12-08 06:00:00', 'surface', 30.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-12-09 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-12-10 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-12-11 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-12-12 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-12-13 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-12-14 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-12-15 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-12-16 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-12-17 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-12-18 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-12-19 06:00:00', 'surface', 30.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-12-20 06:00:00', 'surface', 31.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-12-21 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-12-22 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-12-23 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-12-24 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-12-25 06:00:00', 'surface', 30.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-12-26 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-12-27 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-12-28 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-12-29 06:00:00', 'surface', 29.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-12-30 06:00:00', 'surface', 30.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2000-12-31 06:00:00', 'surface', 31.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2009-04-01 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2009-04-02 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2009-04-03 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2009-04-04 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2009-04-05 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2009-04-06 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2009-04-07 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2009-04-08 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2009-04-09 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2009-04-10 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2009-04-11 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2009-04-12 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2009-04-13 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2009-04-14 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2009-04-15 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2009-04-16 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2009-04-17 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2009-04-18 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2009-04-19 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2009-04-20 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2009-04-21 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2009-04-22 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2009-04-23 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2009-04-24 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2009-04-25 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2009-04-26 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2009-04-27 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2009-04-28 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2009-04-29 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2009-04-30 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2009-08-01 05:00:00', 'surface', 65.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2009-08-02 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2009-08-03 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2009-08-04 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2009-08-05 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2009-08-06 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2009-08-07 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2009-08-08 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2009-08-09 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2009-08-10 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2009-08-11 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2009-08-12 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2009-08-13 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2009-08-14 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2009-08-15 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2009-08-16 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2009-08-17 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2009-08-18 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2009-08-19 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2009-08-20 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2009-08-21 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2009-08-22 05:00:00', 'surface', 72.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2009-08-23 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2009-08-24 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2009-08-25 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2009-08-26 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2009-08-27 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2009-08-28 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2009-08-29 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 2, '2009-08-30 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-01-01 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-01-02 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-01-03 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-01-04 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-01-05 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-01-06 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-01-07 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-01-08 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-01-09 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-01-10 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-01-11 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-01-12 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-01-13 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-01-14 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-01-15 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-01-16 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-01-17 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-01-18 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-01-19 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-01-20 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-01-21 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-01-22 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-01-23 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-01-24 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-01-25 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-01-26 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-01-27 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-01-28 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-01-29 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-01-30 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-01-31 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-02-01 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-02-02 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-02-03 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-02-04 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-02-05 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-02-06 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-02-07 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-02-08 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-02-09 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-02-10 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-02-11 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-02-12 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-02-13 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-02-14 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-02-15 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-02-16 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-02-17 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-02-18 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-02-19 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-02-20 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-02-21 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-02-22 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-02-23 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-02-24 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-02-25 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-02-26 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-02-27 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-02-28 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-02-29 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-03-01 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-03-02 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-03-03 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-03-04 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-03-05 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-03-06 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-03-07 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-03-08 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-03-09 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-03-10 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-03-11 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-03-12 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-03-13 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-03-14 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-03-15 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-03-16 06:00:00', 'surface', 18.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-03-17 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-03-18 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-03-19 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-03-20 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-03-21 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-03-22 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-03-23 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-03-24 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-03-25 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-03-26 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-03-27 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-03-28 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-03-29 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-03-30 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-03-31 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-04-01 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-04-02 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-04-03 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-04-04 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-04-05 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-04-06 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-04-07 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-04-08 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-04-09 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-04-10 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-04-11 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-04-12 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-04-13 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-04-14 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-04-15 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-04-16 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-04-17 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-04-18 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-04-19 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-04-20 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-04-21 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-04-22 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-04-23 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-04-24 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-04-25 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-04-26 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-04-27 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-04-28 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-04-29 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-04-30 06:00:00', 'surface', 11.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-05-01 06:00:00', 'surface', 11.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-05-02 06:00:00', 'surface', 9.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-05-03 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-05-04 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-05-05 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-05-06 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-05-07 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-05-08 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-05-09 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-05-10 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-05-11 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-05-12 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-05-13 06:00:00', 'surface', 9.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-05-14 06:00:00', 'surface', 6.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-05-15 06:00:00', 'surface', 9.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-05-16 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-05-17 06:00:00', 'surface', 8.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-05-18 06:00:00', 'surface', 8.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-05-19 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-05-20 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-05-21 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-05-22 06:00:00', 'surface', 9.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-05-23 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-05-24 06:00:00', 'surface', 10.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-05-25 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-05-26 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-05-27 06:00:00', 'surface', 11.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-05-28 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-05-29 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-05-30 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-05-31 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-06-01 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-06-02 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-06-03 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-06-04 06:00:00', 'surface', 10.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-06-05 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-06-06 06:00:00', 'surface', 10.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-06-07 06:00:00', 'surface', 10.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-06-08 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-06-09 06:00:00', 'surface', 11.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-06-10 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-06-11 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-06-12 06:00:00', 'surface', 10.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-06-13 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-06-14 06:00:00', 'surface', 8.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-06-15 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-06-16 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-06-17 06:00:00', 'surface', 8.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-06-18 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-06-19 06:00:00', 'surface', 11.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-06-20 06:00:00', 'surface', 10.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-06-21 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-06-22 06:00:00', 'surface', 11.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-06-23 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-06-24 06:00:00', 'surface', 12.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-06-25 06:00:00', 'surface', 10.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-06-26 06:00:00', 'surface', 9.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-06-27 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-06-28 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-06-29 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-06-30 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-07-01 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-07-02 06:00:00', 'surface', 7.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-07-03 06:00:00', 'surface', 8.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-07-04 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-07-05 06:00:00', 'surface', 6.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-07-06 06:00:00', 'surface', 5.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-07-07 06:00:00', 'surface', 6.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-07-08 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-07-09 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-07-10 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-07-11 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-07-12 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-07-13 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-07-14 06:00:00', 'surface', 11.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-07-15 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-07-16 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-07-17 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-07-18 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-07-19 06:00:00', 'surface', 9.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-07-20 06:00:00', 'surface', 8.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-07-21 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-07-22 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-07-23 06:00:00', 'surface', 7.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-07-24 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-07-25 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-07-26 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-07-27 06:00:00', 'surface', 8.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-07-28 06:00:00', 'surface', 5.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-07-29 06:00:00', 'surface', 5.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-07-30 06:00:00', 'surface', 10.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-07-31 06:00:00', 'surface', 8.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-08-01 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-08-02 06:00:00', 'surface', 8.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-08-03 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-08-04 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-08-05 06:00:00', 'surface', 10.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-08-06 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-08-07 06:00:00', 'surface', 9.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-08-08 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-08-09 06:00:00', 'surface', 8.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-08-10 06:00:00', 'surface', 9.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-08-11 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-08-12 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-08-13 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-08-14 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-08-15 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-08-16 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-08-17 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-08-18 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-08-19 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-08-20 06:00:00', 'surface', 9.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-08-21 06:00:00', 'surface', 11.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-08-22 06:00:00', 'surface', 10.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-08-23 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-08-24 06:00:00', 'surface', 8.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-08-25 06:00:00', 'surface', 9.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-08-26 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-08-27 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-08-28 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-08-29 06:00:00', 'surface', 8.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-08-30 06:00:00', 'surface', 10.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-08-31 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-09-01 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-09-02 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-09-03 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-09-04 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-09-05 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-09-06 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-09-07 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-09-08 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-09-09 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-09-10 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-09-11 06:00:00', 'surface', 10.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-09-12 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-09-13 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-09-14 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-09-15 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-09-16 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-09-17 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-09-18 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-09-19 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-09-20 06:00:00', 'surface', 11.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-09-21 06:00:00', 'surface', 12.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-09-22 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-09-23 06:00:00', 'surface', 10.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-09-24 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-09-25 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-09-26 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-09-27 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-09-28 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-09-29 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-09-30 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-10-01 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-10-02 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-10-03 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-10-04 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-10-05 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-10-06 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-10-07 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-10-08 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-10-09 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-10-10 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-10-11 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-10-12 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-10-13 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-10-14 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-10-15 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-10-16 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-10-17 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-10-18 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-10-19 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-10-20 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-10-21 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-10-22 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-10-23 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-10-24 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-10-25 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-10-26 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-10-27 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-10-28 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-10-29 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-10-30 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-10-31 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-11-01 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-11-02 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-11-03 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-11-04 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-11-05 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-11-06 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-11-07 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-11-08 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-11-09 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-11-10 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-11-11 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-11-12 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-11-13 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-11-14 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-11-15 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-11-16 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-11-17 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-11-18 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-11-19 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-11-20 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-11-21 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-11-22 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-11-23 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-11-24 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-11-25 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-11-26 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-11-27 06:00:00', 'surface', 18.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-11-28 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-11-29 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-11-30 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-12-01 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-12-02 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-12-03 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-12-04 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-12-05 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-12-06 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-12-07 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-12-08 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-12-09 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-12-10 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-12-11 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-12-12 06:00:00', 'surface', 18.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-12-13 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-12-14 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-12-15 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-12-16 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-12-17 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-12-18 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-12-19 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-12-20 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-12-21 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-12-22 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-12-23 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-12-24 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-12-25 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-12-26 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-12-27 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-12-28 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-12-29 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-12-30 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67775050', 3, '2000-12-31 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-04-01 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-04-02 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-04-03 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-04-04 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-04-05 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-04-06 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-04-07 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-04-08 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-04-09 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-04-10 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-04-11 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-04-12 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-04-13 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-04-14 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-04-15 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-04-16 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-04-17 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-04-18 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-04-19 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-04-20 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-04-21 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-04-22 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-04-23 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-04-24 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-04-25 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-04-26 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-04-27 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-04-28 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-04-29 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-04-30 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-05-01 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-05-02 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-05-03 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-05-04 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-05-05 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-05-06 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-05-07 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-05-08 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-05-09 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-05-10 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-05-11 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-05-12 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-05-13 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-05-14 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-05-15 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-05-16 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-05-17 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-05-18 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-05-19 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-05-20 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-05-21 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-05-22 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-05-23 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-05-24 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-05-25 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-05-26 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-05-27 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-05-28 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-05-29 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-05-30 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-05-31 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-08-01 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-08-02 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-08-03 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-08-04 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-08-05 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-08-06 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-08-07 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-08-08 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-08-09 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-08-10 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-08-11 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-08-12 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-08-13 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-08-14 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-08-15 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-08-16 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-08-17 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-08-18 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-08-19 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-08-20 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-08-21 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-08-22 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-08-23 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-08-24 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-08-25 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-08-26 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-08-27 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-08-28 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-08-29 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-08-30 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-08-31 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-09-01 06:00:00', 'surface', 29.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-09-02 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-09-03 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-09-04 06:00:00', 'surface', 30.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-09-05 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-09-06 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-09-07 06:00:00', 'surface', 31.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-09-08 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-09-09 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-09-10 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-09-11 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-09-12 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-09-13 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-09-14 06:00:00', 'surface', 29.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-09-15 06:00:00', 'surface', 30.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-09-16 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-09-17 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-09-18 06:00:00', 'surface', 30.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-09-19 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-09-20 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-09-21 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-09-22 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-09-23 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-09-24 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-09-25 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-09-26 06:00:00', 'surface', 30.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-09-27 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-09-28 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-09-29 06:00:00', 'surface', 29.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-09-30 06:00:00', 'surface', 29.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-10-01 06:00:00', 'surface', 31.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-10-02 06:00:00', 'surface', 30.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-10-03 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-10-04 06:00:00', 'surface', 29.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-10-05 06:00:00', 'surface', 31.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-10-06 06:00:00', 'surface', 31.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-10-07 06:00:00', 'surface', 30.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-10-08 06:00:00', 'surface', 30.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-10-09 06:00:00', 'surface', 30.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-10-10 06:00:00', 'surface', 32.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-10-11 06:00:00', 'surface', 30.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-10-12 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-10-13 06:00:00', 'surface', 30.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-10-14 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-10-15 06:00:00', 'surface', 30.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-10-16 06:00:00', 'surface', 30.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-10-17 06:00:00', 'surface', 31.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-10-18 06:00:00', 'surface', 31.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-10-19 06:00:00', 'surface', 31.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-10-20 06:00:00', 'surface', 32.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-10-21 06:00:00', 'surface', 30.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-10-22 06:00:00', 'surface', 32.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-10-23 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-10-24 06:00:00', 'surface', 32.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-10-25 06:00:00', 'surface', 33.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-10-26 06:00:00', 'surface', 32.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-10-27 06:00:00', 'surface', 30.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-10-28 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-10-29 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-10-30 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-10-31 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-11-01 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-11-02 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-11-03 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-11-04 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-11-05 06:00:00', 'surface', 30.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-11-06 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-11-07 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-11-08 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-11-09 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-11-10 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-11-11 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-11-12 06:00:00', 'surface', 29.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-11-13 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-11-14 06:00:00', 'surface', 30.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-11-15 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-11-16 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-11-17 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-11-18 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-11-19 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-11-20 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-11-21 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-11-22 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-11-23 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-11-24 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-11-25 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-11-26 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-11-27 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-11-28 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-11-29 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-11-30 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-12-01 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-12-02 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-12-03 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-12-04 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-12-05 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-12-06 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-12-07 06:00:00', 'surface', 29.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-12-08 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-12-09 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-12-10 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-12-11 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-12-12 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-12-13 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-12-14 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-12-15 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-12-16 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-12-17 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-12-18 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-12-19 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-12-20 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-12-21 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-12-22 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-12-23 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-12-24 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-12-25 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-12-26 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-12-27 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-12-28 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-12-29 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-12-30 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 2, '2000-12-31 06:00:00', 'surface', 31.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-04-01 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-04-02 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-04-03 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-04-04 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-04-05 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-04-06 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-04-07 06:00:00', 'surface', 11.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-04-08 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-04-09 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-04-10 06:00:00', 'surface', 11.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-04-11 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-04-12 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-04-13 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-04-14 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-04-15 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-04-16 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-04-17 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-04-18 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-04-19 06:00:00', 'surface', 10.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-04-20 06:00:00', 'surface', 10.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-04-21 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-04-22 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-04-23 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-04-24 06:00:00', 'surface', 9.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-04-25 06:00:00', 'surface', 6.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-04-26 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-04-27 06:00:00', 'surface', 5.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-04-28 06:00:00', 'surface', 6.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-04-29 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-04-30 06:00:00', 'surface', 6.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-05-01 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-05-02 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-05-03 06:00:00', 'surface', 6.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-05-04 06:00:00', 'surface', 7.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-05-05 06:00:00', 'surface', 9.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-05-06 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-05-07 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-05-08 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-05-09 06:00:00', 'surface', 11.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-05-10 06:00:00', 'surface', 11.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-05-11 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-05-12 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-05-13 06:00:00', 'surface', 11.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-05-14 06:00:00', 'surface', 6.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-05-15 06:00:00', 'surface', 5.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-05-16 06:00:00', 'surface', 5.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-05-17 06:00:00', 'surface', 5.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-05-18 06:00:00', 'surface', 5.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-05-19 06:00:00', 'surface', 6.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-05-20 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-05-21 06:00:00', 'surface', 8.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-05-22 06:00:00', 'surface', 4.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-05-23 06:00:00', 'surface', 4.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-05-24 06:00:00', 'surface', 3.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-05-25 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-05-26 06:00:00', 'surface', 4.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-05-27 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-05-28 06:00:00', 'surface', 4.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-05-29 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-05-30 06:00:00', 'surface', 6.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-05-31 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-08-01 06:00:00', 'surface', 3.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-08-02 06:00:00', 'surface', 3.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-08-03 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-08-04 06:00:00', 'surface', 2.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-08-05 06:00:00', 'surface', 4.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-08-06 06:00:00', 'surface', 3.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-08-07 06:00:00', 'surface', 3.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-08-08 06:00:00', 'surface', 0.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-08-09 06:00:00', 'surface', 8.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-08-10 06:00:00', 'surface', 0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-08-11 06:00:00', 'surface', 1.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-08-12 06:00:00', 'surface', 3.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-08-13 06:00:00', 'surface', 4.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-08-14 06:00:00', 'surface', 3.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-08-15 06:00:00', 'surface', 2.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-08-16 06:00:00', 'surface', 3.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-08-17 06:00:00', 'surface', 1.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-08-18 06:00:00', 'surface', 1.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-08-19 06:00:00', 'surface', 2.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-08-20 06:00:00', 'surface', 4.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-08-21 06:00:00', 'surface', 3.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-08-22 06:00:00', 'surface', 1.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-08-23 06:00:00', 'surface', 1.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-08-24 06:00:00', 'surface', 2.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-08-25 06:00:00', 'surface', 3.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-08-26 06:00:00', 'surface', 0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-08-27 06:00:00', 'surface', 1.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-08-28 06:00:00', 'surface', 2.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-08-29 06:00:00', 'surface', 1.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-08-30 06:00:00', 'surface', 1.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-08-31 06:00:00', 'surface', 2.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-09-01 06:00:00', 'surface', 2.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-09-02 06:00:00', 'surface', 3.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-09-03 06:00:00', 'surface', 3.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-09-04 06:00:00', 'surface', 3.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-09-05 06:00:00', 'surface', 5.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-09-06 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-09-07 06:00:00', 'surface', 4.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-09-08 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-09-09 06:00:00', 'surface', 4.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-09-10 06:00:00', 'surface', 5.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-09-11 06:00:00', 'surface', 4.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-09-12 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-09-13 06:00:00', 'surface', 5.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-09-14 06:00:00', 'surface', 5.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-09-15 06:00:00', 'surface', 6.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-09-16 06:00:00', 'surface', 7.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-09-17 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-09-18 06:00:00', 'surface', 4.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-09-19 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-09-20 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-09-21 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-09-22 06:00:00', 'surface', 7.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-09-23 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-09-24 06:00:00', 'surface', 6.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-09-25 06:00:00', 'surface', 6.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-09-26 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-09-27 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-09-28 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-09-29 06:00:00', 'surface', 5.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-09-30 06:00:00', 'surface', 5.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-10-01 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-10-02 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-10-03 06:00:00', 'surface', 10.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-10-04 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-10-05 06:00:00', 'surface', 5.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-10-06 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-10-07 06:00:00', 'surface', 8.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-10-08 06:00:00', 'surface', 8.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-10-09 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-10-10 06:00:00', 'surface', 8.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-10-11 06:00:00', 'surface', 8.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-10-12 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-10-13 06:00:00', 'surface', 9.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-10-14 06:00:00', 'surface', 10.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-10-15 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-10-16 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-10-17 06:00:00', 'surface', 5.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-10-18 06:00:00', 'surface', 3.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-10-19 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-10-20 06:00:00', 'surface', 6.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-10-21 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-10-22 06:00:00', 'surface', 9.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-10-23 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-10-24 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-10-25 06:00:00', 'surface', 10.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-10-26 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-10-27 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-10-28 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-10-29 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-10-30 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-10-31 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-11-01 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-11-02 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-11-03 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-11-04 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-11-05 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-11-06 06:00:00', 'surface', 11.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-11-07 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-11-08 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-11-09 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-11-10 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-11-11 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-11-12 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-11-13 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-11-14 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-11-15 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-11-16 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-11-17 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-11-18 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-11-19 06:00:00', 'surface', 11.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-11-20 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-11-21 06:00:00', 'surface', 10.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-11-22 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-11-23 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-11-24 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-11-25 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-11-26 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-11-27 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-11-28 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-11-29 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-11-30 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-12-01 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-12-02 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-12-03 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-12-04 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-12-05 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-12-06 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-12-07 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-12-08 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-12-09 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-12-10 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-12-11 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-12-12 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-12-13 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-12-14 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-12-15 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-12-16 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-12-17 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-12-18 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-12-19 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-12-20 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-12-21 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-12-22 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-12-23 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-12-24 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-12-25 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-12-26 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-12-27 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-12-28 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-12-29 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-12-30 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67785020', 3, '2000-12-31 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-01-01 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-01-02 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-01-03 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-01-04 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-01-05 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-01-06 06:00:00', 'surface', 29.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-01-07 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-01-08 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-01-09 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-01-10 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-01-11 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-01-12 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-01-13 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-01-14 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-01-15 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-01-16 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-01-17 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-01-18 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-01-19 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-01-20 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-01-21 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-01-22 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-01-23 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-01-24 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-01-25 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-01-26 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-01-27 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-01-28 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-01-29 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-01-30 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-01-31 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-02-01 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-02-02 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-02-03 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-02-04 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-02-05 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-02-06 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-02-07 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-02-08 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-02-09 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-02-10 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-02-11 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-02-12 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-02-13 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-02-14 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-02-15 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-02-16 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-02-17 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-02-18 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-02-19 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-02-20 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-02-21 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-02-22 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-02-23 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-02-24 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-02-25 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-02-26 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-02-27 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-02-28 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-02-29 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-03-01 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-03-02 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-03-03 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-03-04 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-03-05 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-03-06 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-03-07 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-03-08 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-03-09 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-03-10 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-03-11 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-03-12 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-03-13 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-03-14 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-03-15 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-03-16 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-03-17 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-03-18 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-03-19 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-03-20 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-03-21 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-03-22 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-03-23 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-03-24 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-03-25 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-03-26 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-03-27 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-03-28 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-03-29 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-03-30 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-03-31 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-04-01 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-04-02 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-04-03 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-04-04 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-04-05 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-04-06 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-04-07 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-04-08 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-04-09 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-04-10 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-04-11 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-04-12 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-04-13 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-04-14 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-04-15 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-04-16 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-04-17 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-04-18 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-04-19 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-04-20 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-04-21 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-04-22 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-04-23 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-04-24 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-04-25 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-04-26 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-04-27 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-04-28 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-04-29 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-04-30 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-05-01 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-05-02 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-05-03 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-05-04 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-05-05 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-05-06 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-05-07 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-05-08 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-05-09 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-05-10 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-05-11 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-05-12 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-05-13 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-05-14 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-05-15 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-05-16 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-05-17 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-05-18 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-05-19 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-05-20 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-05-21 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-05-22 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-05-23 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-05-24 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-05-25 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-05-26 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-05-27 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-05-28 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-05-29 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-05-30 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-05-31 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-06-01 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-06-02 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-06-03 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-06-04 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-06-05 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-06-06 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-06-07 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-06-08 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-06-09 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-06-10 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-06-11 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-06-12 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-06-13 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-06-14 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-06-15 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-06-16 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-06-17 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-06-18 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-06-19 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-06-20 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-06-21 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-06-22 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-06-23 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-06-24 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-06-25 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-06-26 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-06-27 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-06-28 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-06-29 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-06-30 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-07-01 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-07-02 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-07-03 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-07-04 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-07-05 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-07-06 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-07-07 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-07-08 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-07-09 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-07-10 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-07-11 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-07-12 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-07-13 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-07-14 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-07-15 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-07-16 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-07-17 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-07-18 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-07-19 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-07-20 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-07-21 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-07-22 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-07-23 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-07-24 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-07-25 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-07-26 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-07-27 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-07-28 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-07-29 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-07-30 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-07-31 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-08-01 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-08-02 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-08-03 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-08-04 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-08-05 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-08-06 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-08-07 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-08-08 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-08-09 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-08-10 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-08-11 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-08-12 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-08-13 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-08-14 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-08-15 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-08-16 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-08-17 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-08-18 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-08-19 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-08-20 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-08-21 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-08-22 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-08-23 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-08-24 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-08-25 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-08-26 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-08-27 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-08-28 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-08-29 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-08-30 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-08-31 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-09-01 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-09-02 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-09-03 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-09-04 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-09-05 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-09-06 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-09-07 06:00:00', 'surface', 30.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-09-08 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-09-09 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-09-10 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-09-11 06:00:00', 'surface', 30.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-09-12 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-09-13 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-09-14 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-09-15 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-09-16 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-09-17 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-09-18 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-09-19 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-09-20 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-09-21 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-09-22 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-09-23 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-09-24 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-09-25 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-09-26 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-09-27 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-09-28 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-09-29 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-09-30 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-10-01 06:00:00', 'surface', 30.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-10-02 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-10-03 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-10-04 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-10-05 06:00:00', 'surface', 29.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-10-06 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-10-07 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-10-08 06:00:00', 'surface', 29.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-10-09 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-10-10 06:00:00', 'surface', 30.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-10-11 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-10-12 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-10-13 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-10-14 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-10-15 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-10-16 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-10-17 06:00:00', 'surface', 30.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-10-18 06:00:00', 'surface', 29.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-10-19 06:00:00', 'surface', 31.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-10-20 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-10-21 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-10-22 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-10-23 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-10-24 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-10-25 06:00:00', 'surface', 31.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-10-26 06:00:00', 'surface', 31.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-10-27 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-10-28 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-10-29 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-10-30 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-10-31 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-11-01 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-11-02 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-11-03 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-11-04 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-11-05 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-11-06 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-11-07 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-11-08 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-11-09 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-11-10 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-11-11 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-11-12 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-11-13 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-11-14 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-11-15 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-11-16 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-11-17 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-11-18 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-11-19 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-11-20 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-11-21 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-11-22 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-11-23 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-11-24 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-11-25 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-11-26 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-11-27 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-11-28 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-11-29 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-11-30 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-12-01 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-12-02 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-12-03 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-12-04 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-12-05 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-12-06 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-12-07 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-12-08 06:00:00', 'surface', 29.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-12-09 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-12-10 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-12-11 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-12-12 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-12-13 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-12-14 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-12-15 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-12-16 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-12-17 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-12-18 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-12-19 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-12-20 06:00:00', 'surface', 29.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-12-21 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-12-22 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-12-23 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-12-24 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-12-25 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-12-26 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-12-27 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-12-28 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-12-29 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-12-30 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 2, '2000-12-31 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-01-01 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-01-02 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-01-03 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-01-04 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-01-05 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-01-06 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-01-07 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-01-08 06:00:00', 'surface', 18.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-01-09 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-01-10 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-01-11 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-01-12 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-01-13 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-01-14 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-01-15 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-01-16 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-01-17 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-01-18 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-01-19 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-01-20 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-01-21 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-01-22 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-01-23 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-01-24 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-01-25 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-01-26 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-01-27 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-01-28 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-01-29 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-01-30 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-01-31 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-02-01 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-02-02 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-02-03 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-02-04 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-02-05 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-02-06 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-02-07 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-02-08 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-02-09 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-02-10 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-02-11 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-02-12 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-02-13 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-02-14 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-02-15 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-02-16 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-02-17 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-02-18 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-02-19 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-02-20 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-02-21 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-02-22 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-02-23 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-02-24 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-02-25 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-02-26 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-02-27 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-02-28 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-02-29 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-03-01 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-03-02 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-03-03 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-03-04 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-03-05 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-03-06 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-03-07 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-03-08 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-03-09 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-03-10 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-03-11 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-03-12 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-03-13 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-03-14 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-03-15 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-03-16 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-03-17 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-03-18 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-03-19 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-03-20 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-03-21 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-03-22 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-03-23 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-03-24 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-03-25 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-03-26 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-03-27 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-03-28 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-03-29 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-03-30 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-03-31 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-04-01 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-04-02 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-04-03 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-04-05 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-04-06 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-04-07 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-04-08 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-04-09 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-04-10 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-04-11 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-04-12 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-04-13 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-04-14 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-04-15 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-04-16 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-04-17 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-04-18 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-04-19 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-04-20 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-04-21 06:00:00', 'surface', 11.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-04-22 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-04-23 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-04-24 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-04-25 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-04-26 06:00:00', 'surface', 9.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-04-27 06:00:00', 'surface', 8.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-04-28 06:00:00', 'surface', 11.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-04-29 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-04-30 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-05-01 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-05-02 06:00:00', 'surface', 7.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-05-03 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-05-04 06:00:00', 'surface', 12.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-05-05 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-05-06 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-05-07 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-05-08 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-05-09 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-05-10 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-05-11 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-05-12 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-05-13 06:00:00', 'surface', 9.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-05-14 06:00:00', 'surface', 5.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-05-15 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-05-16 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-05-17 06:00:00', 'surface', 6.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-05-18 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-05-19 06:00:00', 'surface', 7.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-05-20 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-05-21 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-05-22 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-05-23 06:00:00', 'surface', 6.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-05-24 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-05-25 06:00:00', 'surface', 8.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-05-26 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-05-27 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-05-28 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-05-29 06:00:00', 'surface', 7.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-05-30 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-05-31 06:00:00', 'surface', 6.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-06-01 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-06-02 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-06-03 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-06-04 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-06-05 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-06-06 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-06-07 06:00:00', 'surface', 8.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-06-08 06:00:00', 'surface', 10.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-06-09 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-06-10 06:00:00', 'surface', 9.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-06-11 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-06-12 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-06-13 06:00:00', 'surface', 6.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-06-14 06:00:00', 'surface', 5.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-06-15 06:00:00', 'surface', 5.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-06-16 06:00:00', 'surface', 8.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-06-17 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-06-18 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-06-19 06:00:00', 'surface', 9.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-06-20 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-06-21 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-06-22 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-06-23 06:00:00', 'surface', 8.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-06-24 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-06-25 06:00:00', 'surface', 9.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-06-26 06:00:00', 'surface', 6.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-06-27 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-06-28 06:00:00', 'surface', 2.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-06-29 06:00:00', 'surface', 5.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-06-30 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-07-01 06:00:00', 'surface', 7.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-07-02 06:00:00', 'surface', 7.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-07-03 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-07-04 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-07-05 06:00:00', 'surface', 4.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-07-06 06:00:00', 'surface', 4.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-07-07 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-07-08 06:00:00', 'surface', 5.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-07-09 06:00:00', 'surface', 5.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-07-10 06:00:00', 'surface', 5.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-07-11 06:00:00', 'surface', 4.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-07-12 06:00:00', 'surface', 5.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-07-13 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-07-14 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-07-15 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-07-16 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-07-17 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-07-18 06:00:00', 'surface', 0.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-07-19 06:00:00', 'surface', 2.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-07-20 06:00:00', 'surface', 2.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-07-21 06:00:00', 'surface', 3.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-07-22 06:00:00', 'surface', 1.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-07-23 06:00:00', 'surface', 4.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-07-24 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-07-25 06:00:00', 'surface', 4.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-07-26 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-07-27 06:00:00', 'surface', 6.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-07-28 06:00:00', 'surface', 1.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-07-29 06:00:00', 'surface', 1.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-07-30 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-07-31 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-08-01 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-08-02 06:00:00', 'surface', 5.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-08-03 06:00:00', 'surface', 8.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-08-04 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-08-05 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-08-06 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-08-07 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-08-08 06:00:00', 'surface', 3.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-08-09 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-08-10 06:00:00', 'surface', 4.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-08-11 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-08-12 06:00:00', 'surface', 8.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-08-13 06:00:00', 'surface', 5.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-08-14 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-08-15 06:00:00', 'surface', 6.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-08-16 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-08-17 06:00:00', 'surface', 5.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-08-18 06:00:00', 'surface', 4.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-08-19 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-08-20 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-08-21 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-08-22 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-08-23 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-08-24 06:00:00', 'surface', 3.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-08-25 06:00:00', 'surface', 5.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-08-26 06:00:00', 'surface', 3.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-08-27 06:00:00', 'surface', 3.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-08-28 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-08-29 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-08-30 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-08-31 06:00:00', 'surface', 5.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-09-01 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-09-02 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-09-03 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-09-04 06:00:00', 'surface', 11.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-09-05 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-09-06 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-09-07 06:00:00', 'surface', 8.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-09-08 06:00:00', 'surface', 11.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-09-09 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-09-10 06:00:00', 'surface', 9.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-09-11 06:00:00', 'surface', 8.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-09-12 06:00:00', 'surface', 11.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-09-13 06:00:00', 'surface', 11.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-09-14 06:00:00', 'surface', 11.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-09-15 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-09-16 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-09-17 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-09-18 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-09-19 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-09-20 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-09-21 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-09-22 06:00:00', 'surface', 9.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-09-23 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-09-24 06:00:00', 'surface', 8.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-09-25 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-09-26 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-09-27 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-09-28 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-09-29 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-09-30 06:00:00', 'surface', 11.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-10-01 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-10-02 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-10-03 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-10-04 06:00:00', 'surface', 11.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-10-05 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-10-06 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-10-07 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-10-08 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-10-09 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-10-10 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-10-11 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-10-12 06:00:00', 'surface', 12.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-10-13 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-10-14 06:00:00', 'surface', 8.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-10-15 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-10-16 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-10-17 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-10-18 06:00:00', 'surface', 9.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-10-19 06:00:00', 'surface', 10.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-10-20 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-10-21 06:00:00', 'surface', 9.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-10-22 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-10-23 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-10-24 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-10-25 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-10-26 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-10-27 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-10-28 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-10-29 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-10-30 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-10-31 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-11-01 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-11-02 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-11-03 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-11-04 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-11-05 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-11-06 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-11-07 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-11-08 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-11-09 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-11-10 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-11-11 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-11-12 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-11-13 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-11-14 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-11-15 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-11-16 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-11-17 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-11-18 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-11-19 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-11-20 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-11-21 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-11-22 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-11-23 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-11-24 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-11-25 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-11-26 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-11-27 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-11-28 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-11-29 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-11-30 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-12-01 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-12-02 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-12-03 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-12-04 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-12-05 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-12-06 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-12-07 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-12-08 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-12-09 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-12-10 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-12-11 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-12-12 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-12-13 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-12-14 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-12-15 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-12-16 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-12-17 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-12-18 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-12-19 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-12-20 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-12-21 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-12-22 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-12-23 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-12-24 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-12-25 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-12-26 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-12-27 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-12-28 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-12-29 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-12-30 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67791010', 3, '2000-12-31 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67871020', 101, '2008-06-01 03:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67871020', 101, '2008-06-02 03:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67871020', 101, '2008-06-03 03:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67871020', 101, '2008-06-03 09:00:00', 'surface', 23.40, 'E', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67871020', 101, '2008-06-04 03:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67871020', 101, '2008-06-04 09:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67871020', 101, '2008-06-05 03:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67871020', 101, '2008-06-05 09:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67871020', 101, '2008-06-06 03:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67871020', 101, '2008-06-07 03:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67871020', 101, '2008-06-08 03:00:00', 'surface', 18.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67871020', 101, '2008-06-08 09:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67871020', 101, '2008-06-09 03:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67871020', 101, '2008-06-09 09:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67871020', 101, '2008-06-10 03:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67871020', 101, '2008-06-10 09:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67871020', 101, '2008-06-11 03:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67871020', 101, '2008-06-11 09:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67871020', 101, '2008-06-12 03:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67871020', 101, '2008-06-12 09:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67871020', 101, '2008-06-13 03:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67871020', 101, '2008-06-13 09:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67871020', 101, '2008-06-14 03:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67871020', 101, '2008-06-14 09:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67871020', 101, '2008-06-15 03:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67871020', 101, '2008-06-16 03:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67871020', 101, '2008-06-17 03:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67871020', 101, '2008-06-18 03:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67871020', 101, '2008-06-18 09:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67871020', 101, '2008-06-19 03:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67871020', 101, '2008-06-19 09:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67871020', 101, '2008-06-20 03:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67871020', 101, '2008-06-20 09:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67871020', 101, '2008-06-21 03:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67871020', 101, '2008-06-21 09:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67871020', 101, '2008-06-22 03:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67871020', 101, '2008-06-22 09:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67871020', 101, '2008-06-23 03:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67871020', 101, '2008-06-23 09:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67871020', 101, '2008-06-24 03:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67871020', 101, '2008-06-24 09:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67871020', 101, '2008-06-25 03:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67871020', 101, '2008-06-25 09:00:00', 'surface', 29.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67871020', 101, '2008-06-26 03:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67871020', 101, '2008-06-26 09:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67871020', 101, '2008-06-27 03:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67871020', 101, '2008-06-27 09:00:00', 'surface', 30.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67871020', 101, '2008-06-28 03:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67871020', 101, '2008-06-29 03:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67871020', 101, '2008-06-30 03:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67871020', 101, '2008-06-30 09:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 2, '2002-04-01 05:00:00', 'surface', 24.00, '', NULL, 2, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 2, '2002-04-02 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 2, '2002-04-03 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 2, '2002-04-04 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 2, '2002-04-05 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 2, '2002-04-06 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 2, '2002-04-07 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 2, '2002-04-08 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 2, '2002-04-09 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 2, '2002-04-10 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 2, '2002-04-11 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 2, '2002-04-12 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 2, '2002-04-13 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 2, '2002-04-14 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 2, '2002-04-15 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 2, '2002-04-16 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 2, '2002-04-17 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 2, '2002-04-18 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 2, '2002-04-19 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 2, '2002-04-20 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 2, '2002-04-21 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 2, '2002-04-22 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 2, '2002-04-23 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 2, '2002-04-24 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 2, '2002-04-25 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 2, '2002-04-26 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 2, '2002-04-27 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 2, '2002-04-28 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 2, '2002-04-29 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 2, '2002-04-30 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 2, '2009-04-01 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 2, '2009-04-02 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 2, '2009-04-03 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 2, '2009-04-04 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 2, '2009-04-05 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 2, '2009-04-06 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 2, '2009-04-07 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 2, '2009-04-08 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 2, '2009-04-09 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 2, '2009-04-10 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 2, '2009-04-11 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 2, '2009-04-12 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 2, '2009-04-13 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 2, '2009-04-14 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 2, '2009-04-15 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 2, '2009-04-16 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 2, '2009-04-17 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 2, '2009-04-18 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 2, '2009-04-19 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 2, '2009-04-20 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 2, '2009-04-21 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 2, '2009-04-22 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 2, '2009-04-23 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 2, '2009-04-24 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 2, '2009-04-25 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 2, '2009-04-26 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 2, '2009-04-27 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 2, '2009-04-28 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 2, '2009-04-29 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 2, '2009-04-30 05:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 3, '2002-04-01 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 3, '2002-04-02 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 3, '2002-04-03 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 3, '2002-04-04 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 3, '2002-04-05 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 3, '2002-04-06 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 3, '2002-04-07 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 3, '2002-04-08 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 3, '2002-04-09 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 3, '2002-04-10 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 3, '2002-04-11 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 3, '2002-04-12 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 3, '2002-04-13 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 3, '2002-04-14 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 3, '2002-04-15 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 3, '2002-04-16 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 3, '2002-04-17 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 3, '2002-04-18 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 3, '2002-04-19 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 3, '2002-04-20 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 3, '2002-04-21 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 3, '2002-04-22 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 3, '2002-04-23 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 3, '2002-04-24 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 3, '2002-04-25 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 3, '2002-04-26 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 3, '2002-04-27 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 3, '2002-04-28 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 3, '2002-04-29 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 3, '2002-04-30 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 3, '2009-04-01 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 3, '2009-04-02 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 3, '2009-04-03 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 3, '2009-04-04 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 3, '2009-04-05 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 3, '2009-04-06 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 3, '2009-04-07 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 3, '2009-04-08 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 3, '2009-04-09 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 3, '2009-04-10 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 3, '2009-04-11 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 3, '2009-04-12 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 3, '2009-04-13 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 3, '2009-04-14 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 3, '2009-04-15 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 3, '2009-04-16 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 3, '2009-04-17 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 3, '2009-04-18 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 3, '2009-04-19 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 3, '2009-04-20 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 3, '2009-04-21 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 3, '2009-04-22 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 3, '2009-04-23 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 3, '2009-04-24 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 3, '2009-04-25 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 3, '2009-04-26 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 3, '2009-04-27 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 3, '2009-04-28 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 3, '2009-04-29 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67875010', 3, '2009-04-30 05:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67897020', 101, '2000-10-22 00:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67897020', 101, '2000-10-22 01:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67897020', 101, '2000-10-22 02:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67897020', 101, '2000-10-22 03:00:00', 'surface', 34.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67897020', 101, '2000-10-22 04:00:00', 'surface', 31.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67897020', 101, '2000-10-22 05:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67897020', 101, '2000-10-22 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67897020', 101, '2000-10-22 07:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67897020', 101, '2000-10-22 08:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67897020', 101, '2000-10-22 09:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67897020', 101, '2000-10-22 10:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67897020', 101, '2000-10-22 11:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67897020', 101, '2000-10-22 12:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67897020', 101, '2000-10-22 13:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67897020', 101, '2000-10-22 14:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67897020', 101, '2000-10-22 15:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67897020', 101, '2000-10-22 16:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67897020', 101, '2000-10-22 17:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67897020', 101, '2000-10-22 18:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67897020', 101, '2000-10-22 19:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67897020', 101, '2000-10-22 20:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67897020', 101, '2000-10-22 21:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67897020', 101, '2000-10-22 22:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67897020', 101, '2000-10-22 23:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67897020', 101, '2000-11-23 00:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67897020', 101, '2000-11-23 01:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67897020', 101, '2000-11-23 02:00:00', 'surface', 4.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67897020', 101, '2000-11-23 03:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67897020', 101, '2000-11-23 04:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67897020', 101, '2000-11-23 05:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67897020', 101, '2000-11-23 06:00:00', 'surface', 10.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67897020', 101, '2000-11-23 07:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67897020', 101, '2000-11-23 08:00:00', 'surface', 34.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67897020', 101, '2000-11-23 09:00:00', 'surface', 1.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67897020', 101, '2000-11-23 10:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67897020', 101, '2000-11-23 11:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67897020', 101, '2000-11-23 12:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67897020', 101, '2000-11-23 13:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67897020', 101, '2000-11-23 14:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67897020', 101, '2000-11-23 15:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67897020', 101, '2000-11-23 16:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67897020', 101, '2000-11-23 17:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67897020', 101, '2000-11-23 18:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67897020', 101, '2000-11-23 19:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67897020', 101, '2000-11-23 20:00:00', 'surface', 10.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67897020', 101, '2000-11-23 21:00:00', 'surface', 33.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67897020', 101, '2000-11-23 22:00:00', 'surface', 10.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67897020', 101, '2000-11-23 23:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-01-01 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-01-02 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-01-03 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-01-04 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-01-05 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-01-06 06:00:00', 'surface', 31.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-01-07 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-01-08 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-01-09 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-01-10 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-01-11 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-01-12 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-01-13 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-01-14 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-01-15 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-01-16 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-01-17 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-01-18 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-01-19 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-01-20 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-01-21 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-01-22 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-01-23 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-01-24 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-01-25 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-01-26 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-01-27 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-01-28 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-01-29 06:00:00', 'surface', 31.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-01-30 06:00:00', 'surface', 30.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-01-31 06:00:00', 'surface', 30.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-02-01 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-02-02 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-02-03 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-02-04 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-02-05 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-02-06 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-02-07 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-02-08 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-02-09 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-02-10 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-02-11 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-02-12 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-02-13 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-02-14 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-02-15 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-02-16 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-02-17 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-02-18 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-02-19 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-02-20 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-02-21 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-02-22 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-02-23 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-02-24 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-02-25 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-02-26 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-02-27 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-02-28 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-02-29 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-03-01 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-03-02 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-03-03 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-03-04 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-03-05 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-03-06 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-03-07 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-03-08 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-03-09 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-03-10 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-03-11 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-03-12 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-03-13 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-03-14 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-03-15 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-03-16 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-03-17 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-03-18 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-03-19 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-03-20 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-03-21 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-03-22 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-03-23 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-03-24 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-03-25 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-03-26 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-03-27 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-03-28 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-03-29 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-03-30 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-03-31 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-04-01 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-04-02 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-04-03 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-04-04 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-04-05 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-04-06 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-04-07 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-04-08 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-04-09 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-04-10 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-04-11 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-04-12 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-04-13 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-04-14 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-04-15 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-04-16 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-04-17 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-04-18 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-04-19 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-04-20 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-04-21 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-04-22 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-04-23 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-04-24 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-04-25 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-04-26 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-04-27 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-04-28 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-04-29 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-04-30 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-05-01 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-05-02 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-05-03 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-05-04 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-05-05 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-05-06 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-05-07 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-05-08 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-05-09 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-05-10 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-05-11 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-05-12 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-05-13 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-05-14 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-05-15 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-05-16 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-05-17 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-05-18 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-05-19 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-05-20 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-05-21 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-05-22 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-05-23 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-05-24 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-05-25 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-05-26 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-05-27 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-05-28 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-05-29 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-05-30 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-05-31 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-06-01 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-06-02 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-06-03 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-06-04 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-06-05 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-06-06 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-06-07 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-06-08 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-06-09 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-06-10 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-06-11 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-06-12 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-06-13 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-06-14 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-06-15 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-06-16 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-06-17 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-06-18 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-06-19 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-06-20 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-06-21 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-06-22 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-06-23 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-06-24 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-06-25 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-06-26 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-06-27 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-06-28 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-06-29 06:00:00', 'surface', 18.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-06-30 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-07-01 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-07-02 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-07-03 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-07-04 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-07-05 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-07-06 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-07-07 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-07-08 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-07-09 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-07-10 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-07-11 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-07-12 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-07-13 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-07-14 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-07-15 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-07-16 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-07-17 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-07-18 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-07-19 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-07-20 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-07-21 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-07-22 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-07-23 06:00:00', 'surface', 18.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-07-24 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-07-25 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-07-26 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-07-27 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-07-28 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-07-29 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-07-30 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-07-31 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-08-01 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-08-02 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-08-03 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-08-04 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-08-05 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-08-06 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-08-07 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-08-08 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-08-09 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-08-10 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-08-11 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-08-12 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-08-13 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-08-14 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-08-15 06:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-08-16 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-08-17 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-08-18 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-08-19 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-08-20 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-08-21 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-08-22 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-08-23 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-08-24 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-08-25 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-08-26 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-08-27 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-08-28 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-08-29 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-08-30 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-08-31 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-09-01 06:00:00', 'surface', 30.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-09-02 06:00:00', 'surface', 29.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-09-03 06:00:00', 'surface', 30.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-09-04 06:00:00', 'surface', 31.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-09-05 06:00:00', 'surface', 29.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-09-06 06:00:00', 'surface', 30.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-09-07 06:00:00', 'surface', 29.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-09-08 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-09-09 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-09-10 06:00:00', 'surface', 31.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-09-11 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-09-12 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-09-13 06:00:00', 'surface', 30.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-09-14 06:00:00', 'surface', 32.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-09-15 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-09-16 06:00:00', 'surface', 30.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-09-17 06:00:00', 'surface', 32.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-09-18 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-09-19 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-09-20 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-09-21 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-09-22 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-09-23 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-09-24 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-09-25 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-09-26 06:00:00', 'surface', 31.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-09-27 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-09-28 06:00:00', 'surface', 29.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-09-29 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-09-30 06:00:00', 'surface', 30.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-10-01 06:00:00', 'surface', 32.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-10-02 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-10-03 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-10-04 06:00:00', 'surface', 30.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-10-05 06:00:00', 'surface', 32.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-10-06 06:00:00', 'surface', 33.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-10-07 06:00:00', 'surface', 32.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-10-08 06:00:00', 'surface', 32.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-10-09 06:00:00', 'surface', 32.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-10-10 06:00:00', 'surface', 33.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-10-11 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-10-12 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-10-13 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-10-14 06:00:00', 'surface', 29.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-10-15 06:00:00', 'surface', 31.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-10-16 06:00:00', 'surface', 31.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-10-17 06:00:00', 'surface', 31.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-10-18 06:00:00', 'surface', 31.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-10-19 06:00:00', 'surface', 32.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-10-20 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-10-21 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-10-22 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-10-23 06:00:00', 'surface', 30.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-10-24 06:00:00', 'surface', 30.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-10-25 06:00:00', 'surface', 31.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-10-26 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-10-27 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-10-28 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-10-29 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-10-30 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-10-31 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-11-01 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-11-02 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-11-03 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-11-04 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-11-05 06:00:00', 'surface', 31.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-11-06 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-11-07 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-11-08 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-11-09 06:00:00', 'surface', 31.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-11-10 06:00:00', 'surface', 32.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-11-11 06:00:00', 'surface', 30.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-11-12 06:00:00', 'surface', 31.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-11-13 06:00:00', 'surface', 31.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-11-14 06:00:00', 'surface', 30.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-11-15 06:00:00', 'surface', 29.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-11-16 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-11-17 06:00:00', 'surface', 30.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-11-18 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-11-19 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-11-20 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-11-21 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-11-22 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-11-23 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-11-24 06:00:00', 'surface', 32.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-11-25 06:00:00', 'surface', 30.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-11-26 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-11-27 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-11-28 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-11-29 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-11-30 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-12-01 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-12-02 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-12-03 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-12-04 06:00:00', 'surface', 30.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-12-05 06:00:00', 'surface', 29.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-12-06 06:00:00', 'surface', 30.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-12-07 06:00:00', 'surface', 31.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-12-08 06:00:00', 'surface', 31.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-12-09 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-12-10 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-12-11 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-12-12 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-12-13 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-12-14 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-12-15 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-12-16 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-12-17 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-12-18 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-12-19 06:00:00', 'surface', 30.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-12-20 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-12-21 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-12-22 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-12-23 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-12-24 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-12-25 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-12-26 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-12-27 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-12-28 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-12-29 06:00:00', 'surface', 32.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-12-30 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 2, '2000-12-31 06:00:00', 'surface', 31.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-01-01 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-01-02 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-01-03 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-01-04 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-01-05 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-01-06 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-01-07 06:00:00', 'surface', 18.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-01-08 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-01-09 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-01-10 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-01-11 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-01-12 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-01-13 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-01-14 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-01-15 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-01-16 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-01-17 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-01-18 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-01-19 06:00:00', 'surface', 12.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-01-20 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-01-21 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-01-22 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-01-23 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-01-24 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-01-25 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-01-26 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-01-27 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-01-28 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-01-29 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-01-30 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-01-31 06:00:00', 'surface', 11.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-02-01 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-02-02 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-02-03 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-02-04 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-02-05 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-02-06 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-02-07 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-02-08 06:00:00', 'surface', 18.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-02-09 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-02-10 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-02-11 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-02-12 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-02-13 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-02-14 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-02-15 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-02-16 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-02-17 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-02-18 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-02-19 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-02-20 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-02-21 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-02-22 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-02-23 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-02-24 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-02-25 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-02-26 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-02-27 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-02-28 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-02-29 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-03-01 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-03-02 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-03-03 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-03-04 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-03-05 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-03-06 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-03-07 06:00:00', 'surface', 9.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-03-08 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-03-09 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-03-10 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-03-11 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-03-12 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-03-13 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-03-14 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-03-15 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-03-16 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-03-17 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-03-18 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-03-19 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-03-20 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-03-21 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-03-22 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-03-23 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-03-24 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-03-25 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-03-26 06:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-03-27 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-03-28 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-03-29 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-03-30 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-03-31 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-04-01 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-04-02 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-04-03 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-04-04 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-04-05 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-04-06 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-04-07 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-04-08 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-04-09 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-04-10 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-04-11 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-04-12 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-04-13 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-04-14 06:00:00', 'surface', 9.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-04-15 06:00:00', 'surface', 10.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-04-16 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-04-17 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-04-18 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-04-19 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-04-20 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-04-21 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-04-22 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-04-23 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-04-24 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-04-25 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-04-26 06:00:00', 'surface', 5.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-04-27 06:00:00', 'surface', 6.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-04-28 06:00:00', 'surface', 10.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-04-29 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-04-30 06:00:00', 'surface', 11.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-05-01 06:00:00', 'surface', 10.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-05-02 06:00:00', 'surface', 5.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-05-03 06:00:00', 'surface', 6.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-05-04 06:00:00', 'surface', 7.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-05-05 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-05-06 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-05-07 06:00:00', 'surface', 11.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-05-08 06:00:00', 'surface', 12.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-05-09 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-05-10 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-05-11 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-05-12 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-05-13 06:00:00', 'surface', 5.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-05-14 06:00:00', 'surface', 4.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-05-15 06:00:00', 'surface', 1.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-05-16 06:00:00', 'surface', 7.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-05-17 06:00:00', 'surface', 5.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-05-18 06:00:00', 'surface', 1.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-05-19 06:00:00', 'surface', 2.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-05-20 06:00:00', 'surface', 2.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-05-21 06:00:00', 'surface', 2.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-05-22 06:00:00', 'surface', 3.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-05-23 06:00:00', 'surface', 1.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-05-24 06:00:00', 'surface', 1.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-05-25 06:00:00', 'surface', 2.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-05-26 06:00:00', 'surface', 3.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-05-27 06:00:00', 'surface', 2.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-05-28 06:00:00', 'surface', 4.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-05-29 06:00:00', 'surface', 3.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-05-30 06:00:00', 'surface', 1.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-05-31 06:00:00', 'surface', -0.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-06-01 06:00:00', 'surface', -0.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-06-02 06:00:00', 'surface', -1.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-06-03 06:00:00', 'surface', 0.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-06-04 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-06-05 06:00:00', 'surface', 3.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-06-06 06:00:00', 'surface', 9.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-06-07 06:00:00', 'surface', 10.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-06-08 06:00:00', 'surface', 11.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-06-09 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-06-10 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-06-11 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-06-12 06:00:00', 'surface', 1.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-06-13 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-06-14 06:00:00', 'surface', 4.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-06-15 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-06-16 06:00:00', 'surface', 9.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-06-17 06:00:00', 'surface', 9.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-06-18 06:00:00', 'surface', 6.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-06-19 06:00:00', 'surface', 5.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-06-20 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-06-21 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-06-22 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-06-23 06:00:00', 'surface', 4.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-06-24 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-06-25 06:00:00', 'surface', 4.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-06-26 06:00:00', 'surface', 0.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-06-27 06:00:00', 'surface', 1.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-06-28 06:00:00', 'surface', 3.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-06-29 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-06-30 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-07-01 06:00:00', 'surface', 1.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-07-02 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-07-03 06:00:00', 'surface', 0.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-07-04 06:00:00', 'surface', 3.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-07-05 06:00:00', 'surface', 2.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-07-06 06:00:00', 'surface', 1.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-07-07 06:00:00', 'surface', 2.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-07-08 06:00:00', 'surface', 1.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-07-09 06:00:00', 'surface', 0.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-07-10 06:00:00', 'surface', 0.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-07-11 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-07-12 06:00:00', 'surface', 10.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-07-13 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-07-14 06:00:00', 'surface', 7.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-07-15 06:00:00', 'surface', 2.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-07-16 06:00:00', 'surface', 5.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-07-17 06:00:00', 'surface', -2.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-07-18 06:00:00', 'surface', -6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-07-19 06:00:00', 'surface', -3.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-07-20 06:00:00', 'surface', -2.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-07-21 06:00:00', 'surface', -0.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-07-22 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-07-23 06:00:00', 'surface', 3.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-07-24 06:00:00', 'surface', 2.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-07-25 06:00:00', 'surface', 1.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-07-26 06:00:00', 'surface', 0.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-07-27 06:00:00', 'surface', 3.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-07-28 06:00:00', 'surface', -0.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-07-29 06:00:00', 'surface', -0.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-07-30 06:00:00', 'surface', -0.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-07-31 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-08-01 06:00:00', 'surface', 8.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-08-02 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-08-03 06:00:00', 'surface', 5.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-08-04 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-08-05 06:00:00', 'surface', 2.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-08-06 06:00:00', 'surface', 9.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-08-07 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-08-08 06:00:00', 'surface', -2.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-08-09 06:00:00', 'surface', 5.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-08-10 06:00:00', 'surface', 0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-08-11 06:00:00', 'surface', 0.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-08-12 06:00:00', 'surface', 0.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-08-13 06:00:00', 'surface', 5.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-08-14 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-08-15 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-08-16 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-08-17 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-08-18 06:00:00', 'surface', 7.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-08-19 06:00:00', 'surface', 5.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-08-20 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-08-21 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-08-22 06:00:00', 'surface', 4.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-08-23 06:00:00', 'surface', 5.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-08-24 06:00:00', 'surface', 3.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-08-25 06:00:00', 'surface', 4.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-08-26 06:00:00', 'surface', 3.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-08-27 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-08-28 06:00:00', 'surface', 5.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-08-29 06:00:00', 'surface', -0.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-08-30 06:00:00', 'surface', 0.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-08-31 06:00:00', 'surface', 3.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-09-01 06:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-09-02 06:00:00', 'surface', 8.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-09-03 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-09-04 06:00:00', 'surface', 5.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-09-05 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-09-06 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-09-07 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-09-08 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-09-09 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-09-10 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-09-11 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-09-12 06:00:00', 'surface', 11.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-09-13 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-09-14 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-09-15 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-09-16 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-09-17 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-09-18 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-09-19 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-09-20 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-09-21 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-09-22 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-09-23 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-09-24 06:00:00', 'surface', 8.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-09-25 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-09-26 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-09-27 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-09-28 06:00:00', 'surface', 10.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-09-29 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-09-30 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-10-01 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-10-02 06:00:00', 'surface', 10.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-10-03 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-10-04 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-10-05 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-10-06 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-10-07 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-10-08 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-10-09 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-10-10 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-10-11 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-10-12 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-10-13 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-10-14 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-10-15 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-10-16 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-10-17 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-10-18 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-10-19 06:00:00', 'surface', 11.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-10-20 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-10-21 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-10-22 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-10-23 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-10-24 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-10-25 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-10-26 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-10-27 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-10-28 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-10-29 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-10-30 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-10-31 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-11-01 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-11-02 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-11-03 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-11-04 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-11-05 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-11-06 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-11-07 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-11-08 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-11-09 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-11-10 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-11-11 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-11-12 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-11-13 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-11-14 06:00:00', 'surface', 9.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-11-15 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-11-16 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-11-17 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-11-18 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-11-19 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-11-20 06:00:00', 'surface', 5.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-11-21 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-11-22 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-11-23 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-11-24 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-11-25 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-11-26 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-11-27 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-11-28 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-11-29 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-11-30 06:00:00', 'surface', 18.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-12-01 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-12-02 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-12-03 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-12-04 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-12-05 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-12-06 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-12-07 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-12-08 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-12-09 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-12-10 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-12-11 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-12-12 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-12-13 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-12-14 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-12-15 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-12-16 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-12-17 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-12-18 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-12-19 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-12-20 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-12-21 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-12-22 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-12-23 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-12-24 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-12-25 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-12-26 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-12-27 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-12-28 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-12-29 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-12-30 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67963040', 3, '2000-12-31 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-01-01 06:00:00', 'surface', 31.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-01-02 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-01-03 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-01-04 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-01-05 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-01-06 06:00:00', 'surface', 31.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-01-07 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-01-08 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-01-09 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-01-10 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-01-11 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-01-12 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-01-13 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-01-14 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-01-15 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-01-16 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-01-17 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-01-18 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-01-19 06:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-01-20 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-01-21 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-01-22 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-01-23 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-01-24 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-01-25 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-01-26 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-01-27 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-01-28 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-01-29 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-01-30 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-01-31 06:00:00', 'surface', 30.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-02-01 06:00:00', 'surface', 29.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-02-02 06:00:00', 'surface', 29.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-02-03 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-02-04 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-02-05 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-02-06 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-02-07 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-02-08 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-02-09 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-02-10 06:00:00', 'surface', 29.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-02-11 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-02-12 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-02-13 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-02-14 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-02-15 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-02-16 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-02-17 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-02-18 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-02-19 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-02-20 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-02-21 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-02-22 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-02-23 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-02-24 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-02-25 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-02-26 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-02-27 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-02-28 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-02-29 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-03-01 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-03-02 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-03-03 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-03-04 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-03-05 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-03-06 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-03-07 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-03-08 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-03-09 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-03-10 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-03-11 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-03-12 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-03-13 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-03-14 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-03-15 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-03-16 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-03-17 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-03-18 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-03-19 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-03-20 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-03-21 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-03-22 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-03-23 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-03-24 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-03-25 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-03-26 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-03-27 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-03-28 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-03-29 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-03-30 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-03-31 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-04-01 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-04-02 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-04-03 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-04-04 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-04-05 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-04-06 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-04-07 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-04-08 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-04-09 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-04-10 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-04-11 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-04-12 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-04-13 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-04-14 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-04-15 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-04-16 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-04-17 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-04-18 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-04-19 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-04-20 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-04-21 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-04-22 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-04-23 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-04-24 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-04-25 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-04-26 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-04-27 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-04-28 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-04-29 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-04-30 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-05-01 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-05-02 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-05-03 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-05-04 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-05-05 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-05-06 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-05-07 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-05-08 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-05-09 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-05-10 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-05-11 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-05-12 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-05-13 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-05-14 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-05-15 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-05-16 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-05-17 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-05-18 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-05-19 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-05-20 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-05-21 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-05-22 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-05-23 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-05-24 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-05-25 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-05-26 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-05-27 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-05-28 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-05-29 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-05-30 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-05-31 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-06-01 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-06-02 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-06-03 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-06-04 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-06-05 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-06-06 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-06-07 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-06-08 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-06-09 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-06-10 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-06-11 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-06-12 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-06-13 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-06-14 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-06-15 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-06-16 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-06-17 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-06-18 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-06-19 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-06-20 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-06-21 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-06-22 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-06-23 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-06-24 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-06-25 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-06-26 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-06-27 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-06-28 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-06-29 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-06-30 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-07-01 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-07-02 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-07-03 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-07-04 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-07-05 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-07-06 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-07-07 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-07-08 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-07-09 06:00:00', 'surface', 18.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-07-10 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-07-11 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-07-12 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-07-13 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-07-14 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-07-15 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-07-16 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-07-17 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-07-18 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-07-19 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-07-20 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-07-21 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-07-22 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-07-23 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-07-24 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-07-25 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-07-26 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-07-27 06:00:00', 'surface', 18.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-07-28 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-07-29 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-07-30 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-07-31 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-08-01 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-08-02 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-08-03 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-08-04 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-08-05 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-08-06 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-08-07 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-08-08 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-08-09 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-08-10 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-08-11 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-08-12 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-08-13 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-08-14 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-08-15 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-08-16 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-08-17 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-08-18 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-08-19 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-08-20 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-08-21 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-08-22 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-08-23 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-08-24 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-08-25 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-08-26 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-08-27 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-08-28 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-08-29 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-08-30 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-08-31 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-09-01 06:00:00', 'surface', 30.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-09-02 06:00:00', 'surface', 29.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-09-03 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-09-04 06:00:00', 'surface', 31.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-09-05 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-09-06 06:00:00', 'surface', 31.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-09-07 06:00:00', 'surface', 30.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-09-08 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-09-09 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-09-10 06:00:00', 'surface', 30.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-09-11 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-09-12 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-09-13 06:00:00', 'surface', 30.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-09-14 06:00:00', 'surface', 32.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-09-15 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-09-16 06:00:00', 'surface', 30.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-09-17 06:00:00', 'surface', 30.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-09-18 06:00:00', 'surface', 30.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-09-19 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-09-20 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-09-21 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-09-22 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-09-23 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-09-24 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-09-25 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-09-26 06:00:00', 'surface', 31.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-09-27 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-09-28 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-09-29 06:00:00', 'surface', 30.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-09-30 06:00:00', 'surface', 30.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-10-01 06:00:00', 'surface', 32.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-10-02 06:00:00', 'surface', 30.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-10-03 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-10-04 06:00:00', 'surface', 30.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-10-05 06:00:00', 'surface', 32.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-10-06 06:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-10-07 06:00:00', 'surface', 33.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-10-08 06:00:00', 'surface', 32.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-10-09 06:00:00', 'surface', 32.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-10-10 06:00:00', 'surface', 33.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-10-11 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-10-12 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-10-13 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-10-14 06:00:00', 'surface', 30.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-10-15 06:00:00', 'surface', 31.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-10-16 06:00:00', 'surface', 31.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-10-17 06:00:00', 'surface', 32.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-10-18 06:00:00', 'surface', 31.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-10-19 06:00:00', 'surface', 32.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-10-20 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-10-21 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-10-22 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-10-23 06:00:00', 'surface', 30.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-10-24 06:00:00', 'surface', 32.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-10-25 06:00:00', 'surface', 31.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-10-26 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-10-27 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-10-28 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-10-29 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-10-30 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-10-31 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-11-01 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-11-02 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-11-03 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-11-04 06:00:00', 'surface', 31.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-11-05 06:00:00', 'surface', 32.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-11-06 06:00:00', 'surface', 29.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-11-07 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-11-08 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-11-09 06:00:00', 'surface', 31.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-11-10 06:00:00', 'surface', 32.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-11-11 06:00:00', 'surface', 30.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-11-12 06:00:00', 'surface', 31.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-11-13 06:00:00', 'surface', 30.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-11-14 06:00:00', 'surface', 30.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-11-15 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-11-16 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-11-17 06:00:00', 'surface', 30.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-11-18 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-11-19 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-11-20 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-11-21 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-11-22 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-11-23 06:00:00', 'surface', 29.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-11-24 06:00:00', 'surface', 32.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-11-25 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-11-26 06:00:00', 'surface', 30.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-11-27 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-11-28 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-11-29 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-11-30 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-12-01 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-12-02 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-12-03 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-12-04 06:00:00', 'surface', 30.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-12-05 06:00:00', 'surface', 30.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-12-06 06:00:00', 'surface', 30.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-12-07 06:00:00', 'surface', 31.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-12-08 06:00:00', 'surface', 30.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-12-09 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-12-10 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-12-11 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-12-12 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-12-13 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-12-14 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-12-15 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-12-16 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-12-17 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-12-18 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-12-19 06:00:00', 'surface', 29.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-12-20 06:00:00', 'surface', 29.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-12-21 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-12-22 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-12-23 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-12-24 06:00:00', 'surface', 29.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-12-25 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-12-26 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-12-27 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-12-28 06:00:00', 'surface', 29.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-12-29 06:00:00', 'surface', 31.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-12-30 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 2, '2000-12-31 06:00:00', 'surface', 30.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-01-01 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-01-02 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-01-03 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-01-04 06:00:00', 'surface', 18.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-01-05 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-01-06 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-01-07 06:00:00', 'surface', 18.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-01-08 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-01-09 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-01-10 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-01-11 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-01-12 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-01-13 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-01-14 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-01-15 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-01-16 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-01-17 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-01-18 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-01-19 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-01-20 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-01-21 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-01-22 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-01-23 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-01-24 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-01-25 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-01-26 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-01-27 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-01-28 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-01-29 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-01-30 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-01-31 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-02-01 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-02-02 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-02-03 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-02-04 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-02-05 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-02-06 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-02-07 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-02-08 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-02-09 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-02-10 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-02-11 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-02-12 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-02-13 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-02-14 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-02-15 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-02-16 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-02-17 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-02-18 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-02-19 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-02-20 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-02-21 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-02-22 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-02-23 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-02-24 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-02-25 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-02-26 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-02-27 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-02-28 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-02-29 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-03-01 06:00:00', 'surface', 18.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-03-02 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-03-03 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-03-04 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-03-05 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-03-06 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-03-07 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-03-08 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-03-09 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-03-10 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-03-11 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-03-12 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-03-13 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-03-14 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-03-15 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-03-16 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-03-17 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-03-18 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-03-19 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-03-20 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-03-21 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-03-22 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-03-23 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-03-24 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-03-25 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-03-26 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-03-27 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-03-28 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-03-29 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-03-30 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-03-31 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-04-01 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-04-02 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-04-03 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-04-04 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-04-05 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-04-06 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-04-07 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-04-08 06:00:00', 'surface', 12.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-04-09 06:00:00', 'surface', 11.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-04-10 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-04-11 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-04-12 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-04-13 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-04-14 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-04-15 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-04-16 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-04-17 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-04-18 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-04-19 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-04-20 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-04-21 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-04-22 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-04-23 06:00:00', 'surface', 11.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-04-24 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-04-25 06:00:00', 'surface', 12.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-04-26 06:00:00', 'surface', 9.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-04-27 06:00:00', 'surface', 10.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-04-28 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-04-29 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-04-30 06:00:00', 'surface', 11.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-05-01 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-05-02 06:00:00', 'surface', 9.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-05-03 06:00:00', 'surface', 10.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-05-04 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-05-05 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-05-06 06:00:00', 'surface', 11.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-05-07 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-05-08 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-05-09 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-05-10 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-05-11 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-05-12 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-05-13 06:00:00', 'surface', 6.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-05-14 06:00:00', 'surface', 6.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-05-15 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-05-16 06:00:00', 'surface', 8.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-05-17 06:00:00', 'surface', 8.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-05-18 06:00:00', 'surface', 9.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-05-19 06:00:00', 'surface', 8.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-05-20 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-05-21 06:00:00', 'surface', 8.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-05-22 06:00:00', 'surface', 8.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-05-23 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-05-24 06:00:00', 'surface', 9.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-05-25 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-05-26 06:00:00', 'surface', 6.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-05-27 06:00:00', 'surface', 7.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-05-28 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-05-29 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-05-30 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-05-31 06:00:00', 'surface', 5.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-06-01 06:00:00', 'surface', 7.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-06-02 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-06-03 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-06-04 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-06-05 06:00:00', 'surface', 9.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-06-06 06:00:00', 'surface', 10.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-06-07 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-06-08 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-06-09 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-06-10 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-06-11 06:00:00', 'surface', 10.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-06-12 06:00:00', 'surface', 8.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-06-13 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-06-14 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-06-15 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-06-16 06:00:00', 'surface', 11.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-06-17 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-06-18 06:00:00', 'surface', 9.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-06-19 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-06-20 06:00:00', 'surface', 11.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-06-21 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-06-22 06:00:00', 'surface', 11.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-06-23 06:00:00', 'surface', 7.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-06-24 06:00:00', 'surface', 10.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-06-25 06:00:00', 'surface', 10.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-06-26 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-06-27 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-06-28 06:00:00', 'surface', 7.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-06-29 06:00:00', 'surface', 7.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-06-30 06:00:00', 'surface', 10.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-07-01 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-07-02 06:00:00', 'surface', 8.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-07-03 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-07-04 06:00:00', 'surface', 8.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-07-05 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-07-06 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-07-07 06:00:00', 'surface', 8.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-07-08 06:00:00', 'surface', 6.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-07-09 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-07-10 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-07-11 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-07-12 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-07-13 06:00:00', 'surface', 10.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-07-14 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-07-15 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-07-16 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-07-17 06:00:00', 'surface', 5.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-07-18 06:00:00', 'surface', 1.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-07-19 06:00:00', 'surface', 3.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-07-20 06:00:00', 'surface', 4.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-07-21 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-07-22 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-07-23 06:00:00', 'surface', 9.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-07-24 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-07-25 06:00:00', 'surface', 5.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-07-26 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-07-27 06:00:00', 'surface', 8.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-07-28 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-07-29 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-07-30 06:00:00', 'surface', 8.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-07-31 06:00:00', 'surface', 10.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-08-01 06:00:00', 'surface', 10.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-08-02 06:00:00', 'surface', 8.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-08-03 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-08-04 06:00:00', 'surface', 9.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-08-05 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-08-06 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-08-07 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-08-08 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-08-09 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-08-10 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-08-11 06:00:00', 'surface', 9.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-08-12 06:00:00', 'surface', 6.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-08-13 06:00:00', 'surface', 8.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-08-14 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-08-15 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-08-16 06:00:00', 'surface', 8.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-08-17 06:00:00', 'surface', 7.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-08-18 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-08-19 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-08-20 06:00:00', 'surface', 11.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-08-21 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-08-22 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-08-23 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-08-24 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-08-25 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-08-26 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-08-27 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-08-28 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-08-29 06:00:00', 'surface', 6.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-08-30 06:00:00', 'surface', 6.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-08-31 06:00:00', 'surface', 8.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-09-01 06:00:00', 'surface', 8.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-09-02 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-09-03 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-09-04 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-09-05 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-09-06 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-09-07 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-09-08 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-09-09 06:00:00', 'surface', 10.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-09-10 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-09-11 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-09-12 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-09-13 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-09-14 06:00:00', 'surface', 11.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-09-15 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-09-16 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-09-17 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-09-18 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-09-19 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-09-20 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-09-21 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-09-22 06:00:00', 'surface', 10.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-09-23 06:00:00', 'surface', 11.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-09-24 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-09-25 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-09-26 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-09-27 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-09-28 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-09-29 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-09-30 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-10-01 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-10-02 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-10-03 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-10-04 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-10-05 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-10-06 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-10-07 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-10-08 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-10-09 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-10-10 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-10-11 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-10-12 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-10-13 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-10-14 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-10-15 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-10-16 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-10-17 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-10-18 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-10-19 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-10-20 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-10-21 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-10-22 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-10-23 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-10-24 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-10-25 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-10-26 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-10-27 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-10-28 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-10-29 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-10-30 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-10-31 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-11-01 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-11-02 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-11-03 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-11-04 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-11-05 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-11-06 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-11-07 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-11-08 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-11-09 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-11-10 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-11-11 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-11-12 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-11-13 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-11-14 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-11-15 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-11-16 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-11-17 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-11-18 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-11-19 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-11-20 06:00:00', 'surface', 9.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-11-21 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-11-22 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-11-23 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-11-24 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-11-25 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-11-26 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-11-27 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-11-28 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-11-29 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-11-30 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-12-01 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-12-02 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-12-03 06:00:00', 'surface', 12.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-12-04 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-12-05 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-12-06 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-12-07 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-12-08 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-12-09 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-12-10 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-12-11 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-12-12 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-12-13 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-12-14 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-12-15 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-12-16 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-12-17 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-12-18 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-12-19 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-12-20 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-12-21 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-12-22 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-12-23 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-12-24 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-12-25 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-12-26 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-12-27 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-12-28 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-12-29 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-12-30 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67964020', 3, '2000-12-31 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-01-01 06:00:00', 'surface', 31.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-01-02 06:00:00', 'surface', 32.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-01-03 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-01-04 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-01-05 06:00:00', 'surface', 31.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-01-06 06:00:00', 'surface', 31.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-01-07 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-01-08 06:00:00', 'surface', 31.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-01-09 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-01-10 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-01-11 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-01-12 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-01-13 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-01-14 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-01-15 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-01-16 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-01-17 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-01-18 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-01-19 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-01-20 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-01-21 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-01-22 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-01-23 06:00:00', 'surface', 29.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-01-24 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-01-25 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-01-26 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-01-27 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-01-28 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-01-29 06:00:00', 'surface', 31.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-01-30 06:00:00', 'surface', 31.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-01-31 06:00:00', 'surface', 31.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-02-01 06:00:00', 'surface', 30.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-02-02 06:00:00', 'surface', 30.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-02-03 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-02-04 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-02-05 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-02-06 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-02-07 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-02-08 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-02-09 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-02-10 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-02-11 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-02-12 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-02-13 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-02-14 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-02-15 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-02-16 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-02-17 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-02-18 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-02-19 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-02-20 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-02-21 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-02-22 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-02-23 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-02-24 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-02-25 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-02-26 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-02-27 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-02-28 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-02-29 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-03-01 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-03-02 06:00:00', 'surface', 29.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-03-03 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-03-04 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-03-05 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-03-06 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-03-07 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-03-08 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-03-09 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-03-10 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-03-11 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-03-12 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-03-13 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-03-14 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-03-15 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-03-16 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-03-17 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-03-18 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-03-19 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-03-20 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-03-21 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-03-22 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-03-23 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-03-24 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-03-25 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-03-26 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-03-27 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-03-28 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-03-29 06:00:00', 'surface', 29.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-03-30 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-03-31 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-04-01 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-04-02 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-04-03 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-04-04 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-04-05 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-04-06 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-04-07 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-04-08 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-04-09 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-04-10 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-04-11 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-04-12 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-04-13 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-04-14 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-04-15 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-04-16 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-04-17 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-04-18 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-04-19 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-04-20 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-04-21 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-04-22 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-04-23 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-04-24 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-04-25 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-04-26 06:00:00', 'surface', 29.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-04-27 06:00:00', 'surface', 30.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-04-28 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-04-29 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-04-30 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-05-01 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-05-02 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-05-03 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-05-04 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-05-05 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-05-06 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-05-07 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-05-08 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-05-09 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-05-10 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-05-11 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-05-12 06:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-05-13 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-05-14 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-05-15 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-05-16 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-05-17 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-05-18 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-05-19 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-05-20 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-05-21 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-05-22 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-05-23 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-05-24 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-05-25 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-05-26 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-05-27 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-05-28 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-05-29 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-05-30 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-05-31 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-06-01 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-06-02 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-06-03 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-06-04 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-06-05 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-06-06 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-06-07 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-06-08 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-06-09 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-06-10 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-06-11 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-06-12 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-06-13 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-06-14 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-06-15 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-06-16 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-06-17 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-06-18 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-06-19 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-06-20 06:00:00', 'surface', 18.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-06-21 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-06-22 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-06-23 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-06-24 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-06-25 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-06-26 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-06-27 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-06-28 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-06-29 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-06-30 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-07-01 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-07-02 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-07-03 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-07-04 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-07-05 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-07-06 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-07-07 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-07-08 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-07-09 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-07-10 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-07-11 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-07-12 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-07-13 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-07-14 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-07-15 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-07-16 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-07-17 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-07-18 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-07-19 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-07-20 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-07-21 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-07-22 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-07-23 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-07-24 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-07-25 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-07-26 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-07-27 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-07-28 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-07-29 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-07-30 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-07-31 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-08-01 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-08-02 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-08-03 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-08-04 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-08-05 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-08-06 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-08-07 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-08-08 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-08-09 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-08-10 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-08-11 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-08-12 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-08-13 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-08-14 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-08-15 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-08-16 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-08-17 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-08-18 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-08-19 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-08-20 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-08-21 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-08-22 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-08-23 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-08-24 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-08-25 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-08-26 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-08-27 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-08-28 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-08-29 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-08-30 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-08-31 06:00:00', 'surface', 30.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-09-01 06:00:00', 'surface', 32.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-09-02 06:00:00', 'surface', 31.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-09-03 06:00:00', 'surface', 30.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-09-04 06:00:00', 'surface', 32.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-09-05 06:00:00', 'surface', 30.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-09-06 06:00:00', 'surface', 32.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-09-07 06:00:00', 'surface', 31.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-09-08 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-09-09 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-09-10 06:00:00', 'surface', 31.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-09-11 06:00:00', 'surface', 30.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-09-12 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-09-13 06:00:00', 'surface', 31.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-09-14 06:00:00', 'surface', 33.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-09-15 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-09-16 06:00:00', 'surface', 31.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-09-17 06:00:00', 'surface', 31.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-09-18 06:00:00', 'surface', 31.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-09-19 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-09-20 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-09-21 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-09-22 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-09-23 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-09-24 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-09-25 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-09-26 06:00:00', 'surface', 31.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-09-27 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-09-28 06:00:00', 'surface', 31.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-09-29 06:00:00', 'surface', 31.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-09-30 06:00:00', 'surface', 32.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-10-01 06:00:00', 'surface', 33.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-10-02 06:00:00', 'surface', 32.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-10-03 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-10-04 06:00:00', 'surface', 32.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-10-05 06:00:00', 'surface', 34.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-10-06 06:00:00', 'surface', 35.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-10-07 06:00:00', 'surface', 34.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-10-08 06:00:00', 'surface', 34.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-10-09 06:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-10-10 06:00:00', 'surface', 35.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-10-11 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-10-12 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-10-13 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-10-14 06:00:00', 'surface', 31.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-10-15 06:00:00', 'surface', 32.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-10-16 06:00:00', 'surface', 32.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-10-17 06:00:00', 'surface', 33.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-10-18 06:00:00', 'surface', 33.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-10-19 06:00:00', 'surface', 33.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-10-20 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-10-21 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-10-22 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-10-23 06:00:00', 'surface', 30.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-10-24 06:00:00', 'surface', 31.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-10-25 06:00:00', 'surface', 33.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-10-26 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-10-27 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-10-28 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-10-29 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-10-30 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-10-31 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-11-01 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-11-02 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-11-03 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-11-04 06:00:00', 'surface', 32.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-11-05 06:00:00', 'surface', 33.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-11-06 06:00:00', 'surface', 31.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-11-07 06:00:00', 'surface', 31.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-11-08 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-11-09 06:00:00', 'surface', 31.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-11-10 06:00:00', 'surface', 31.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-11-11 06:00:00', 'surface', 30.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-11-12 06:00:00', 'surface', 31.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-11-13 06:00:00', 'surface', 31.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-11-14 06:00:00', 'surface', 31.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-11-15 06:00:00', 'surface', 30.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-11-16 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-11-17 06:00:00', 'surface', 30.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-11-18 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-11-19 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-11-20 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-11-21 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-11-22 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-11-23 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-11-24 06:00:00', 'surface', 31.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-11-25 06:00:00', 'surface', 31.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-11-26 06:00:00', 'surface', 32.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-11-27 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-11-28 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-11-29 06:00:00', 'surface', 30.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-11-30 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-12-01 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-12-02 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-12-03 06:00:00', 'surface', 30.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-12-04 06:00:00', 'surface', 32.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-12-05 06:00:00', 'surface', 31.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-12-06 06:00:00', 'surface', 31.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-12-07 06:00:00', 'surface', 32.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-12-08 06:00:00', 'surface', 31.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-12-09 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-12-10 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-12-11 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-12-12 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-12-13 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-12-14 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-12-15 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-12-16 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-12-17 06:00:00', 'surface', 30.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-12-18 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-12-19 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-12-20 06:00:00', 'surface', 29.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-12-21 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-12-22 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-12-23 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-12-24 06:00:00', 'surface', 30.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-12-25 06:00:00', 'surface', 30.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-12-26 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-12-27 06:00:00', 'surface', 30.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-12-28 06:00:00', 'surface', 32.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-12-29 06:00:00', 'surface', 32.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-12-30 06:00:00', 'surface', 30.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 2, '2000-12-31 06:00:00', 'surface', 30.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-01-01 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-01-02 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-01-03 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-01-04 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-01-05 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-01-06 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-01-07 06:00:00', 'surface', 18.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-01-08 06:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-01-09 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-01-10 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-01-11 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-01-12 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-01-13 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-01-14 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-01-15 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-01-16 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-01-17 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-01-18 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-01-19 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-01-20 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-01-21 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-01-22 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-01-23 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-01-24 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-01-25 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-01-26 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-01-27 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-01-28 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-01-29 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-01-30 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-01-31 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-02-01 06:00:00', 'surface', 18.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-02-02 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-02-03 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-02-04 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-02-05 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-02-06 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-02-07 06:00:00', 'surface', 18.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-02-08 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-02-09 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-02-10 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-02-11 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-02-12 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-02-13 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-02-14 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-02-15 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-02-16 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-02-17 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-02-18 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-02-19 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-02-20 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-02-21 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-02-22 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-02-23 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-02-24 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-02-25 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-02-26 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-02-27 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-02-28 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-02-29 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-03-01 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-03-02 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-03-03 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-03-04 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-03-05 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-03-06 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-03-07 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-03-08 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-03-09 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-03-10 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-03-11 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-03-12 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-03-13 06:00:00', 'surface', 18.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-03-14 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-03-15 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-03-16 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-03-17 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-03-18 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-03-19 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-03-20 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-03-21 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-03-22 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-03-23 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-03-24 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-03-25 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-03-26 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-03-27 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-03-28 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-03-29 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-03-30 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-03-31 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-04-01 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-04-02 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-04-03 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-04-04 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-04-05 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-04-06 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-04-07 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-04-08 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-04-09 06:00:00', 'surface', 11.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-04-10 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-04-11 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-04-12 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-04-13 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-04-14 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-04-15 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-04-16 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-04-17 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-04-18 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-04-19 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-04-20 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-04-21 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-04-22 06:00:00', 'surface', 11.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-04-23 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-04-24 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-04-25 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-04-26 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-04-27 06:00:00', 'surface', 11.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-04-28 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-04-29 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-04-30 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-05-01 06:00:00', 'surface', 9.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-05-02 06:00:00', 'surface', 10.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-05-03 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-05-04 06:00:00', 'surface', 12.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-05-05 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-05-06 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-05-07 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-05-08 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-05-09 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-05-10 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-05-11 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-05-12 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-05-13 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-05-14 06:00:00', 'surface', 5.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-05-15 06:00:00', 'surface', 8.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-05-16 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-05-17 06:00:00', 'surface', 8.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-05-18 06:00:00', 'surface', 9.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-05-19 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-05-20 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-05-21 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-05-22 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-05-23 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-05-24 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-05-25 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-05-26 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-05-27 06:00:00', 'surface', 9.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-05-28 06:00:00', 'surface', 9.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-05-29 06:00:00', 'surface', 10.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-05-30 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-05-31 06:00:00', 'surface', 8.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-06-01 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-06-02 06:00:00', 'surface', 7.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-06-03 06:00:00', 'surface', 6.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-06-04 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-06-05 06:00:00', 'surface', 9.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-06-06 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-06-07 06:00:00', 'surface', 11.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-06-08 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-06-09 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-06-10 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-06-11 06:00:00', 'surface', 9.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-06-12 06:00:00', 'surface', 9.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-06-13 06:00:00', 'surface', 8.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-06-14 06:00:00', 'surface', 8.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-06-15 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-06-16 06:00:00', 'surface', 10.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-06-17 06:00:00', 'surface', 11.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-06-18 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-06-19 06:00:00', 'surface', 11.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-06-20 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-06-21 06:00:00', 'surface', 10.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-06-22 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-06-23 06:00:00', 'surface', 9.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-06-24 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-06-25 06:00:00', 'surface', 10.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-06-26 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-06-27 06:00:00', 'surface', 9.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-06-28 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-06-29 06:00:00', 'surface', 7.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-06-30 06:00:00', 'surface', 10.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-07-01 06:00:00', 'surface', 6.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-07-02 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-07-03 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-07-04 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-07-05 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-07-06 06:00:00', 'surface', 5.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-07-07 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-07-08 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-07-09 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-07-10 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-07-11 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-07-12 06:00:00', 'surface', 10.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-07-13 06:00:00', 'surface', 9.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-07-14 06:00:00', 'surface', 8.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-07-15 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-07-16 06:00:00', 'surface', 8.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-07-17 06:00:00', 'surface', 4.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-07-18 06:00:00', 'surface', 2.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-07-19 06:00:00', 'surface', 5.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-07-20 06:00:00', 'surface', 5.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-07-21 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-07-22 06:00:00', 'surface', 7.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-07-23 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-07-24 06:00:00', 'surface', 6.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-07-25 06:00:00', 'surface', 5.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-07-26 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-07-27 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-07-28 06:00:00', 'surface', 5.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-07-29 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-07-30 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-07-31 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-08-01 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-08-02 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-08-03 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-08-04 06:00:00', 'surface', 9.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-08-05 06:00:00', 'surface', 9.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-08-06 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-08-07 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-08-08 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-08-09 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-08-10 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-08-11 06:00:00', 'surface', 9.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-08-12 06:00:00', 'surface', 8.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-08-13 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-08-14 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-08-15 06:00:00', 'surface', 8.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-08-16 06:00:00', 'surface', 8.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-08-17 06:00:00', 'surface', 7.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-08-18 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-08-19 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-08-20 06:00:00', 'surface', 10.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-08-21 06:00:00', 'surface', 11.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-08-22 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-08-23 06:00:00', 'surface', 10.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-08-24 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-08-25 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-08-26 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-08-27 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-08-28 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-08-29 06:00:00', 'surface', 8.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-08-30 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-08-31 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-09-01 06:00:00', 'surface', 11.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-09-02 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-09-03 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-09-04 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-09-05 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-09-06 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-09-07 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-09-08 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-09-09 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-09-10 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-09-11 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-09-12 06:00:00', 'surface', 12.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-09-13 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-09-14 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-09-15 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-09-16 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-09-17 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-09-18 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-09-19 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-09-20 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-09-21 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-09-22 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-09-23 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-09-24 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-09-25 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-09-26 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-09-27 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-09-28 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-09-29 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-09-30 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-10-01 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-10-02 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-10-03 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-10-04 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-10-05 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-10-06 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-10-07 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-10-08 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-10-09 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-10-10 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-10-11 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-10-12 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-10-13 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-10-14 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-10-15 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-10-16 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-10-17 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-10-18 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-10-19 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-10-20 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-10-21 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-10-22 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-10-23 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-10-24 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-10-25 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-10-26 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-10-27 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-10-28 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-10-29 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-10-30 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-10-31 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-11-01 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-11-02 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-11-03 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-11-04 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-11-05 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-11-06 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-11-07 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-11-08 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-11-09 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-11-10 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-11-11 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-11-12 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-11-13 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-11-14 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-11-15 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-11-16 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-11-17 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-11-18 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-11-19 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-11-20 06:00:00', 'surface', 10.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-11-21 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-11-22 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-11-23 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-11-24 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-11-25 06:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-11-26 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-11-27 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-11-28 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-11-29 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-11-30 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-12-01 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-12-02 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-12-03 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-12-04 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-12-05 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-12-06 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-12-07 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-12-08 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-12-09 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-12-10 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-12-11 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-12-12 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-12-13 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-12-14 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-12-15 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-12-16 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-12-17 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-12-18 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-12-19 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-12-20 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-12-21 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-12-22 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-12-23 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-12-24 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-12-25 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-12-26 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-12-27 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-12-28 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-12-29 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-12-30 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67965050', 3, '2000-12-31 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-01-01 06:00:00', 'surface', 32.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-01-02 06:00:00', 'surface', 32.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-01-03 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-01-04 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-01-05 06:00:00', 'surface', 29.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-01-06 06:00:00', 'surface', 32.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-01-07 06:00:00', 'surface', 29.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-01-08 06:00:00', 'surface', 31.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-01-09 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-01-10 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-01-11 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-01-12 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-01-13 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-01-14 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-01-15 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-01-16 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-01-17 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-01-18 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-01-19 06:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-01-20 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-01-21 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-01-22 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-01-23 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-01-24 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-01-25 06:00:00', 'surface', 29.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-01-26 06:00:00', 'surface', 31.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-01-27 06:00:00', 'surface', 29.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-01-28 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-01-29 06:00:00', 'surface', 30.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-01-30 06:00:00', 'surface', 29.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-01-31 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-02-01 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-02-02 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-02-03 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-02-04 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-02-05 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-02-06 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-02-07 06:00:00', 'surface', 30.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-02-08 06:00:00', 'surface', 30.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-02-09 06:00:00', 'surface', 30.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-02-10 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-02-11 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-02-12 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-02-13 06:00:00', 'surface', 29.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-02-14 06:00:00', 'surface', 29.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-02-15 06:00:00', 'surface', 30.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-02-16 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-02-17 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-02-18 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-02-19 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-02-20 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-02-21 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-02-22 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-02-23 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-02-24 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-02-25 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-02-26 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-02-27 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-02-28 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-02-29 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-03-01 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-03-02 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-03-03 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-03-04 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-03-05 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-03-06 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-03-07 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-03-08 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-03-09 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-03-10 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-03-11 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-03-12 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-03-13 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-03-14 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-03-15 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-03-16 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-03-17 06:00:00', 'surface', 30.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-03-18 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-03-19 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-03-20 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-03-21 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-03-22 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-03-23 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-03-24 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-03-25 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-03-26 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-03-27 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-03-28 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-03-29 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-03-30 06:00:00', 'surface', 27.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-03-31 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-04-01 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-04-02 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-04-03 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-04-04 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-04-05 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-04-06 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-04-07 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-04-08 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-04-09 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-04-10 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-04-11 06:00:00', 'surface', 22.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-04-12 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-04-13 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-04-14 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-04-15 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-04-16 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-04-17 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-04-18 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-04-19 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-04-20 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-04-21 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-04-22 06:00:00', 'surface', 26.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-04-23 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-04-24 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-04-25 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-04-26 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-04-27 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-04-28 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-04-29 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-04-30 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-05-01 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-05-02 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-05-03 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-05-04 06:00:00', 'surface', 29.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-05-05 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-05-06 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-05-07 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-05-08 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-05-09 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-05-10 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-05-11 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-05-12 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-05-13 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-05-14 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-05-15 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-05-16 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-05-17 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-05-18 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-05-19 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-05-20 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-05-21 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-05-22 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-05-23 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-05-24 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-05-25 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-05-26 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-05-27 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-05-28 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-05-29 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-05-30 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-05-31 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-06-01 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-06-02 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-06-03 06:00:00', 'surface', 22.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-06-04 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-06-05 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-06-06 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-06-07 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-06-08 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-06-09 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-06-10 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-06-11 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-06-12 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-06-13 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-06-14 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-06-15 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-06-16 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-06-17 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-06-18 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-06-19 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-06-20 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-06-21 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-06-22 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-06-23 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-06-24 06:00:00', 'surface', 21.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-06-25 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-06-26 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-06-27 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-06-28 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-06-29 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-06-30 06:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-07-01 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-07-02 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-07-03 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-07-04 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-07-05 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-07-06 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-07-07 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-07-08 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-07-09 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-07-10 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-07-11 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-07-12 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-07-13 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-07-14 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-07-15 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-07-16 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-07-17 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-07-18 06:00:00', 'surface', 26.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-07-19 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-07-20 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-07-21 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-07-22 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-07-23 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-07-24 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-07-25 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-07-26 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-07-27 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-07-28 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-07-29 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-07-30 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-07-31 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-08-01 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-08-02 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-08-03 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-08-04 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-08-05 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-08-06 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-08-07 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-08-08 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-08-09 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-08-10 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-08-11 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-08-12 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-08-13 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-08-14 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-08-15 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-08-16 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-08-17 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-08-18 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-08-19 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-08-20 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-08-21 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-08-22 06:00:00', 'surface', 25.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-08-23 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-08-24 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-08-25 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-08-26 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-08-27 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-08-28 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-08-29 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-08-30 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-08-31 06:00:00', 'surface', 31.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-09-01 06:00:00', 'surface', 32.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-09-02 06:00:00', 'surface', 31.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-09-03 06:00:00', 'surface', 32.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-09-04 06:00:00', 'surface', 32.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-09-05 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-09-06 06:00:00', 'surface', 30.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-09-07 06:00:00', 'surface', 30.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-09-08 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-09-09 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-09-10 06:00:00', 'surface', 32.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-09-11 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-09-12 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-09-13 06:00:00', 'surface', 31.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-09-14 06:00:00', 'surface', 33.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-09-15 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-09-16 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-09-17 06:00:00', 'surface', 32.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-09-18 06:00:00', 'surface', 32.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-09-19 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-09-20 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-09-21 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-09-22 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-09-23 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-09-24 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-09-25 06:00:00', 'surface', 29.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-09-26 06:00:00', 'surface', 31.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-09-27 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-09-28 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-09-29 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-09-30 06:00:00', 'surface', 31.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-10-01 06:00:00', 'surface', 32.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-10-02 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-10-03 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-10-04 06:00:00', 'surface', 30.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-10-05 06:00:00', 'surface', 32.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-10-06 06:00:00', 'surface', 32.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-10-07 06:00:00', 'surface', 32.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-10-08 06:00:00', 'surface', 32.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-10-09 06:00:00', 'surface', 33.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-10-10 06:00:00', 'surface', 34.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-10-11 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-10-12 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-10-13 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-10-14 06:00:00', 'surface', 30.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-10-15 06:00:00', 'surface', 31.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-10-16 06:00:00', 'surface', 31.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-10-17 06:00:00', 'surface', 31.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-10-18 06:00:00', 'surface', 31.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-10-19 06:00:00', 'surface', 33.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-10-20 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-10-21 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-10-22 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-10-23 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-10-24 06:00:00', 'surface', 32.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-10-25 06:00:00', 'surface', 33.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-10-26 06:00:00', 'surface', 30.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-10-27 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-10-28 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-10-29 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-10-30 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-10-31 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-11-01 06:00:00', 'surface', 30.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-11-02 06:00:00', 'surface', 30.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-11-03 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-11-04 06:00:00', 'surface', 32.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-11-05 06:00:00', 'surface', 32.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-11-06 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-11-07 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-11-08 06:00:00', 'surface', 30.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-11-09 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-11-10 06:00:00', 'surface', 32.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-11-11 06:00:00', 'surface', 31.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-11-12 06:00:00', 'surface', 30.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-11-13 06:00:00', 'surface', 32.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-11-14 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-11-15 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-11-16 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-11-17 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-11-18 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-11-19 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-11-20 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-11-21 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-11-22 06:00:00', 'surface', 17.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-11-23 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-11-24 06:00:00', 'surface', 33.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-11-25 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-11-26 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-11-27 06:00:00', 'surface', 29.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-11-28 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-11-29 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-11-30 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-12-01 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-12-02 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-12-03 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-12-04 06:00:00', 'surface', 29.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-12-05 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-12-06 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-12-07 06:00:00', 'surface', 32.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-12-08 06:00:00', 'surface', 33.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-12-09 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-12-10 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-12-11 06:00:00', 'surface', 31.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-12-12 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-12-13 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-12-14 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-12-15 06:00:00', 'surface', 24.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-12-16 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-12-17 06:00:00', 'surface', 30.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-12-18 06:00:00', 'surface', 31.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-12-19 06:00:00', 'surface', 32.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-12-20 06:00:00', 'surface', 32.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-12-21 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-12-22 06:00:00', 'surface', 25.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-12-23 06:00:00', 'surface', 25.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-12-24 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-12-25 06:00:00', 'surface', 32.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-12-26 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-12-27 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-12-28 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-12-29 06:00:00', 'surface', 30.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-12-30 06:00:00', 'surface', 31.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 2, '2000-12-31 06:00:00', 'surface', 32.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-01-01 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-01-02 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-01-03 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-01-04 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-01-05 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-01-06 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-01-07 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-01-08 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-01-09 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-01-10 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-01-11 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-01-12 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-01-13 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-01-14 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-01-15 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-01-16 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-01-17 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-01-18 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-01-19 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-01-20 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-01-21 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-01-22 06:00:00', 'surface', 11.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-01-23 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-01-24 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-01-25 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-01-26 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-01-27 06:00:00', 'surface', 18.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-01-28 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-01-29 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-01-30 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-01-31 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-02-01 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-02-02 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-02-03 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-02-04 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-02-05 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-02-06 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-02-07 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-02-08 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-02-09 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-02-10 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-02-11 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-02-12 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-02-13 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-02-14 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-02-15 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-02-16 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-02-17 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-02-18 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-02-19 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-02-20 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-02-21 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-02-22 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-02-23 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-02-24 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-02-25 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-02-26 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-02-27 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-02-28 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-02-29 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-03-01 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-03-02 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-03-03 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-03-04 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-03-05 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-03-06 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-03-07 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-03-08 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-03-09 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-03-10 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-03-11 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-03-12 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-03-13 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-03-14 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-03-15 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-03-16 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-03-17 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-03-18 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-03-19 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-03-20 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-03-21 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-03-22 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-03-23 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-03-24 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-03-25 06:00:00', 'surface', 16.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-03-26 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-03-27 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-03-28 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-03-29 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-03-30 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-03-31 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-04-01 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-04-02 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-04-03 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-04-04 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-04-05 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-04-06 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-04-07 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-04-08 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-04-09 06:00:00', 'surface', 8.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-04-10 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-04-11 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-04-12 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-04-13 06:00:00', 'surface', 10.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-04-14 06:00:00', 'surface', 10.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-04-15 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-04-16 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-04-17 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-04-18 06:00:00', 'surface', 11.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-04-19 06:00:00', 'surface', 9.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-04-20 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-04-21 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-04-22 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-04-23 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-04-24 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-04-25 06:00:00', 'surface', 8.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-04-26 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-04-27 06:00:00', 'surface', 9.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-04-28 06:00:00', 'surface', 15.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-04-29 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-04-30 06:00:00', 'surface', 11.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-05-01 06:00:00', 'surface', 5.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-05-02 06:00:00', 'surface', 5.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-05-03 06:00:00', 'surface', 8.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-05-04 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-05-05 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-05-06 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-05-07 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-05-08 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-05-09 06:00:00', 'surface', 8.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-05-10 06:00:00', 'surface', 10.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-05-11 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-05-12 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-05-13 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-05-14 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-05-15 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-05-16 06:00:00', 'surface', 8.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-05-17 06:00:00', 'surface', 8.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-05-18 06:00:00', 'surface', 4.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-05-19 06:00:00', 'surface', 3.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-05-20 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-05-21 06:00:00', 'surface', 3.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-05-22 06:00:00', 'surface', 3.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-05-23 06:00:00', 'surface', 4.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-05-24 06:00:00', 'surface', 4.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-05-25 06:00:00', 'surface', 4.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-05-26 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-05-27 06:00:00', 'surface', 8.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-05-28 06:00:00', 'surface', 9.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-05-29 06:00:00', 'surface', 8.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-05-30 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-05-31 06:00:00', 'surface', 3.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-06-01 06:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-06-02 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-06-03 06:00:00', 'surface', 2.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-06-04 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-06-05 06:00:00', 'surface', 10.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-06-06 06:00:00', 'surface', 10.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-06-07 06:00:00', 'surface', 11.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-06-08 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-06-09 06:00:00', 'surface', 6.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-06-10 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-06-11 06:00:00', 'surface', 7.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-06-12 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-06-13 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-06-14 06:00:00', 'surface', 5.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-06-15 06:00:00', 'surface', 4.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-06-16 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-06-17 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-06-18 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-06-19 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-06-20 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-06-21 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-06-22 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-06-23 06:00:00', 'surface', 8.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-06-24 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-06-25 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-06-26 06:00:00', 'surface', 5.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-06-27 06:00:00', 'surface', 4.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-06-28 06:00:00', 'surface', 3.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-06-29 06:00:00', 'surface', 5.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-06-30 06:00:00', 'surface', 8.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-07-01 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-07-02 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-07-03 06:00:00', 'surface', 8.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-07-04 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-07-05 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-07-06 06:00:00', 'surface', 4.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-07-07 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-07-08 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-07-09 06:00:00', 'surface', 6.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-07-10 06:00:00', 'surface', 2.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-07-11 06:00:00', 'surface', 2.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-07-12 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-07-13 06:00:00', 'surface', 5.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-07-14 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-07-15 06:00:00', 'surface', 7.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-07-16 06:00:00', 'surface', 4.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-07-17 06:00:00', 'surface', 0.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-07-18 06:00:00', 'surface', -3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-07-19 06:00:00', 'surface', -0.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-07-20 06:00:00', 'surface', 1.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-07-21 06:00:00', 'surface', 4.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-07-22 06:00:00', 'surface', 7.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-07-23 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-07-24 06:00:00', 'surface', 2.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-07-25 06:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-07-26 06:00:00', 'surface', 2.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-07-27 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-07-28 06:00:00', 'surface', 0.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-07-29 06:00:00', 'surface', 1.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-07-30 06:00:00', 'surface', 3.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-07-31 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-08-01 06:00:00', 'surface', 4.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-08-02 06:00:00', 'surface', 6.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-08-03 06:00:00', 'surface', 4.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-08-04 06:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-08-05 06:00:00', 'surface', 5.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-08-06 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-08-07 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-08-08 06:00:00', 'surface', 2.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-08-09 06:00:00', 'surface', 4.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-08-10 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-08-11 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-08-12 06:00:00', 'surface', 4.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-08-13 06:00:00', 'surface', 6.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-08-14 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-08-15 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-08-16 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-08-17 06:00:00', 'surface', 3.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-08-18 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-08-19 06:00:00', 'surface', 4.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-08-20 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-08-21 06:00:00', 'surface', 6.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-08-22 06:00:00', 'surface', 7.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-08-23 06:00:00', 'surface', 6.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-08-24 06:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-08-25 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-08-26 06:00:00', 'surface', 4.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-08-27 06:00:00', 'surface', 5.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-08-28 06:00:00', 'surface', 3.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-08-29 06:00:00', 'surface', 3.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-08-30 06:00:00', 'surface', 3.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-08-31 06:00:00', 'surface', 5.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-09-01 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-09-02 06:00:00', 'surface', 10.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-09-03 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-09-04 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-09-05 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-09-06 06:00:00', 'surface', 10.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-09-07 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-09-08 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-09-09 06:00:00', 'surface', 8.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-09-10 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-09-11 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-09-12 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-09-13 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-09-14 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-09-15 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-09-16 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-09-17 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-09-18 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-09-19 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-09-20 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-09-21 06:00:00', 'surface', 11.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-09-22 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-09-23 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-09-24 06:00:00', 'surface', 9.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-09-25 06:00:00', 'surface', 9.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-09-26 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-09-27 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-09-28 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-09-29 06:00:00', 'surface', 10.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-09-30 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-10-01 06:00:00', 'surface', 11.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-10-02 06:00:00', 'surface', 11.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-10-03 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-10-04 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-10-05 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-10-06 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-10-07 06:00:00', 'surface', 12.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-10-08 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-10-09 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-10-10 06:00:00', 'surface', 12.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-10-11 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-10-12 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-10-13 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-10-14 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-10-15 06:00:00', 'surface', 10.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-10-16 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-10-17 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-10-18 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-10-19 06:00:00', 'surface', 10.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-10-20 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-10-21 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-10-22 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-10-23 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-10-24 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-10-25 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-10-26 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-10-27 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-10-28 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-10-29 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-10-30 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-10-31 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-11-01 06:00:00', 'surface', 11.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-11-02 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-11-03 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-11-04 06:00:00', 'surface', 12.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-11-05 06:00:00', 'surface', 12.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-11-06 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-11-07 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-11-08 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-11-09 06:00:00', 'surface', 17.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-11-10 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-11-11 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-11-12 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-11-13 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-11-14 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-11-15 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-11-16 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-11-17 06:00:00', 'surface', 12.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-11-18 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-11-19 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-11-20 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-11-21 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-11-22 06:00:00', 'surface', 13.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-11-23 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-11-24 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-11-25 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-11-26 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-11-27 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-11-28 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-11-29 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-11-30 06:00:00', 'surface', 17.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-12-01 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-12-02 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-12-03 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-12-04 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-12-05 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-12-06 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-12-07 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-12-08 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-12-09 06:00:00', 'surface', 17.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-12-10 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-12-11 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-12-12 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-12-13 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-12-14 06:00:00', 'surface', 13.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-12-15 06:00:00', 'surface', 14.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-12-16 06:00:00', 'surface', 13.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-12-17 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-12-18 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-12-19 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-12-20 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-12-21 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-12-22 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-12-23 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-12-24 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-12-25 06:00:00', 'surface', 14.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-12-26 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-12-27 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-12-28 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-12-29 06:00:00', 'surface', 15.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-12-30 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67975040', 3, '2000-12-31 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-01-01 06:00:00', 'surface', 38.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-01-02 06:00:00', 'surface', 38.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-01-03 06:00:00', 'surface', 27.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-01-04 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-01-05 06:00:00', 'surface', 32.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-01-06 06:00:00', 'surface', 37.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-01-07 06:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-01-08 06:00:00', 'surface', 37.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-01-09 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-01-10 06:00:00', 'surface', 32.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-01-11 06:00:00', 'surface', 34.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-01-12 06:00:00', 'surface', 37.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-01-13 06:00:00', 'surface', 31.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-01-14 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-01-15 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-01-16 06:00:00', 'surface', 32.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-01-17 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-01-18 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-01-19 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-01-20 06:00:00', 'surface', 29.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-01-21 06:00:00', 'surface', 31.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-01-22 06:00:00', 'surface', 33.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-01-23 06:00:00', 'surface', 32.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-01-24 06:00:00', 'surface', 31.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-01-25 06:00:00', 'surface', 33.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-01-26 06:00:00', 'surface', 37.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-01-27 06:00:00', 'surface', 33.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-01-28 06:00:00', 'surface', 33.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-01-29 06:00:00', 'surface', 37.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-01-30 06:00:00', 'surface', 34.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-01-31 06:00:00', 'surface', 36.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-02-01 06:00:00', 'surface', 34.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-02-02 06:00:00', 'surface', 34.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-02-03 06:00:00', 'surface', 33.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-02-04 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-02-05 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-02-06 06:00:00', 'surface', 29.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-02-07 06:00:00', 'surface', 32.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-02-08 06:00:00', 'surface', 32.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-02-09 06:00:00', 'surface', 30.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-02-10 06:00:00', 'surface', 32.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-02-11 06:00:00', 'surface', 33.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-02-12 06:00:00', 'surface', 34.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-02-13 06:00:00', 'surface', 35.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-02-14 06:00:00', 'surface', 32.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-02-15 06:00:00', 'surface', 33.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-02-16 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-02-17 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-02-18 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-02-19 06:00:00', 'surface', 32.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-02-20 06:00:00', 'surface', 34.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-02-21 06:00:00', 'surface', 32.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-02-22 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-02-23 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-02-24 06:00:00', 'surface', 29.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-02-25 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-02-26 06:00:00', 'surface', 29.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-02-27 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-02-28 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-02-29 06:00:00', 'surface', 30.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-03-01 06:00:00', 'surface', 32.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-03-02 06:00:00', 'surface', 33.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-03-03 06:00:00', 'surface', 32.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-03-04 06:00:00', 'surface', 33.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-03-05 06:00:00', 'surface', 33.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-03-06 06:00:00', 'surface', 34.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-03-07 06:00:00', 'surface', 32.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-03-08 06:00:00', 'surface', 31.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-03-09 06:00:00', 'surface', 30.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-03-10 06:00:00', 'surface', 34.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-03-11 06:00:00', 'surface', 32.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-03-12 06:00:00', 'surface', 30.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-03-13 06:00:00', 'surface', 30.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-03-14 06:00:00', 'surface', 33.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-03-15 06:00:00', 'surface', 33.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-03-16 06:00:00', 'surface', 33.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-03-17 06:00:00', 'surface', 34.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-03-18 06:00:00', 'surface', 35.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-03-19 06:00:00', 'surface', 29.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-03-20 06:00:00', 'surface', 30.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-03-21 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-03-22 06:00:00', 'surface', 31.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-03-23 06:00:00', 'surface', 33.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-03-24 06:00:00', 'surface', 31.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-03-25 06:00:00', 'surface', 33.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-03-26 06:00:00', 'surface', 35.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-03-27 06:00:00', 'surface', 29.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-03-28 06:00:00', 'surface', 32.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-03-29 06:00:00', 'surface', 31.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-03-30 06:00:00', 'surface', 33.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-03-31 06:00:00', 'surface', 35.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-04-01 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-04-02 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-04-03 06:00:00', 'surface', 32.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-04-04 06:00:00', 'surface', 34.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-04-05 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-04-06 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-04-07 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-04-08 06:00:00', 'surface', 30.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-04-09 06:00:00', 'surface', 31.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-04-10 06:00:00', 'surface', 30.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-04-11 06:00:00', 'surface', 30.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-04-12 06:00:00', 'surface', 33.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-04-13 06:00:00', 'surface', 34.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-04-14 06:00:00', 'surface', 30.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-04-15 06:00:00', 'surface', 29.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-04-16 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-04-17 06:00:00', 'surface', 31.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-04-18 06:00:00', 'surface', 31.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-04-19 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-04-20 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-04-21 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-04-22 06:00:00', 'surface', 31.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-04-23 06:00:00', 'surface', 33.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-04-24 06:00:00', 'surface', 35.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-04-25 06:00:00', 'surface', 32.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-04-26 06:00:00', 'surface', 34.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-04-27 06:00:00', 'surface', 36.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-04-28 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-04-29 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-04-30 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-05-01 06:00:00', 'surface', 30.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-05-02 06:00:00', 'surface', 31.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-05-03 06:00:00', 'surface', 33.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-05-04 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-05-05 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-05-06 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-05-07 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-05-08 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-05-09 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-05-10 06:00:00', 'surface', 27.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-05-11 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-05-12 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-05-13 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-05-14 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-05-15 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-05-16 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-05-17 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-05-18 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-05-19 06:00:00', 'surface', 28.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-05-20 06:00:00', 'surface', 27.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-05-21 06:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-05-22 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-05-23 06:00:00', 'surface', 28.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-05-24 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-05-25 06:00:00', 'surface', 28.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-05-26 06:00:00', 'surface', 27.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-05-27 06:00:00', 'surface', 30.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-05-28 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-05-29 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-05-30 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-05-31 06:00:00', 'surface', 31.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-06-01 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-06-02 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-06-03 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-06-04 06:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-06-05 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-06-06 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-06-07 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-06-08 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-06-09 06:00:00', 'surface', 28.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-06-10 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-06-11 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-06-12 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-06-13 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-06-14 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-06-15 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-06-16 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-06-17 06:00:00', 'surface', 30.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-06-18 06:00:00', 'surface', 30.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-06-19 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-06-20 06:00:00', 'surface', 23.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-06-21 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-06-22 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-06-23 06:00:00', 'surface', 31.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-06-24 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-06-25 06:00:00', 'surface', 26.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-06-26 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-06-27 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-06-28 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-06-29 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-06-30 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-07-01 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-07-02 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-07-03 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-07-04 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-07-05 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-07-06 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-07-07 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-07-08 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-07-09 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-07-10 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-07-11 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-07-12 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-07-13 06:00:00', 'surface', 23.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-07-14 06:00:00', 'surface', 28.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-07-15 06:00:00', 'surface', 31.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-07-16 06:00:00', 'surface', 27.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-07-17 06:00:00', 'surface', 24.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-07-18 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-07-19 06:00:00', 'surface', 29.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-07-20 06:00:00', 'surface', 30.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-07-21 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-07-22 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-07-23 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-07-24 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-07-25 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-07-26 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-07-27 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-07-28 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-07-29 06:00:00', 'surface', 26.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-07-30 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-07-31 06:00:00', 'surface', 28.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-08-01 06:00:00', 'surface', 27.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-08-02 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-08-03 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-08-04 06:00:00', 'surface', 32.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-08-05 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-08-06 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-08-07 06:00:00', 'surface', 26.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-08-08 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-08-09 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-08-10 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-08-11 06:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-08-12 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-08-13 06:00:00', 'surface', 26.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-08-14 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-08-15 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-08-16 06:00:00', 'surface', 26.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-08-17 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-08-18 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-08-19 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-08-20 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-08-21 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-08-22 06:00:00', 'surface', 30.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-08-23 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-08-24 06:00:00', 'surface', 28.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-08-25 06:00:00', 'surface', 29.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-08-26 06:00:00', 'surface', 29.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-08-27 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-08-28 06:00:00', 'surface', 31.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-08-29 06:00:00', 'surface', 32.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-08-30 06:00:00', 'surface', 34.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-08-31 06:00:00', 'surface', 36.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-09-01 06:00:00', 'surface', 38.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-09-02 06:00:00', 'surface', 34.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-09-03 06:00:00', 'surface', 36.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-09-04 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-09-05 06:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-09-06 06:00:00', 'surface', 30.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-09-07 06:00:00', 'surface', 36.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-09-08 06:00:00', 'surface', 28.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-09-09 06:00:00', 'surface', 31.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-09-10 06:00:00', 'surface', 36.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-09-11 06:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-09-12 06:00:00', 'surface', 24.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-09-13 06:00:00', 'surface', 33.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-09-14 06:00:00', 'surface', 39.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-09-15 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-09-16 06:00:00', 'surface', 24.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-09-17 06:00:00', 'surface', 33.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-09-18 06:00:00', 'surface', 28.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-09-19 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-09-20 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-09-21 06:00:00', 'surface', 25.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-09-22 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-09-23 06:00:00', 'surface', 28.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-09-24 06:00:00', 'surface', 30.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-09-25 06:00:00', 'surface', 34.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-09-26 06:00:00', 'surface', 37.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-09-27 06:00:00', 'surface', 25.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-09-28 06:00:00', 'surface', 33.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-09-29 06:00:00', 'surface', 36.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-09-30 06:00:00', 'surface', 36.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-10-01 06:00:00', 'surface', 38.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-10-02 06:00:00', 'surface', 29.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-10-03 06:00:00', 'surface', 25.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-10-04 06:00:00', 'surface', 34.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-10-05 06:00:00', 'surface', 38.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-10-06 06:00:00', 'surface', 34.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-10-07 06:00:00', 'surface', 33.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-10-08 06:00:00', 'surface', 34.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-10-09 06:00:00', 'surface', 37.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-10-10 06:00:00', 'surface', 41.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-10-11 06:00:00', 'surface', 24.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-10-12 06:00:00', 'surface', 26.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-10-13 06:00:00', 'surface', 35.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-10-14 06:00:00', 'surface', 36.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-10-15 06:00:00', 'surface', 35.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-10-16 06:00:00', 'surface', 35.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-10-17 06:00:00', 'surface', 38.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-10-18 06:00:00', 'surface', 35.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-10-19 06:00:00', 'surface', 40.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-10-20 06:00:00', 'surface', 25.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-10-21 06:00:00', 'surface', 34.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-10-22 06:00:00', 'surface', 31.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-10-23 06:00:00', 'surface', 32.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-10-24 06:00:00', 'surface', 37.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-10-25 06:00:00', 'surface', 37.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-10-26 06:00:00', 'surface', 26.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-10-27 06:00:00', 'surface', 25.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-10-28 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-10-29 06:00:00', 'surface', 32.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-10-30 06:00:00', 'surface', 34.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-10-31 06:00:00', 'surface', 24.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-11-01 06:00:00', 'surface', 31.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-11-02 06:00:00', 'surface', 34.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-11-03 06:00:00', 'surface', 33.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-11-04 06:00:00', 'surface', 38.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-11-05 06:00:00', 'surface', 38.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-11-06 06:00:00', 'surface', 35.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-11-07 06:00:00', 'surface', 35.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-11-08 06:00:00', 'surface', 37.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-11-09 06:00:00', 'surface', 37.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-11-10 06:00:00', 'surface', 39.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-11-11 06:00:00', 'surface', 38.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-11-12 06:00:00', 'surface', 37.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-11-13 06:00:00', 'surface', 40.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-11-14 06:00:00', 'surface', 30.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-11-15 06:00:00', 'surface', 32.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-11-16 06:00:00', 'surface', 33.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-11-17 06:00:00', 'surface', 33.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-11-18 06:00:00', 'surface', 34.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-11-19 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-11-20 06:00:00', 'surface', 29.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-11-21 06:00:00', 'surface', 31.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-11-22 06:00:00', 'surface', 27.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-11-23 06:00:00', 'surface', 30.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-11-24 06:00:00', 'surface', 35.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-11-25 06:00:00', 'surface', 31.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-11-26 06:00:00', 'surface', 31.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-11-27 06:00:00', 'surface', 33.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-11-28 06:00:00', 'surface', 34.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-11-29 06:00:00', 'surface', 37.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-11-30 06:00:00', 'surface', 29.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-12-01 06:00:00', 'surface', 31.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-12-02 06:00:00', 'surface', 36.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-12-03 06:00:00', 'surface', 38.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-12-04 06:00:00', 'surface', 37.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-12-05 06:00:00', 'surface', 36.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-12-06 06:00:00', 'surface', 38.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-12-07 06:00:00', 'surface', 40.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-12-08 06:00:00', 'surface', 42.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-12-09 06:00:00', 'surface', 32.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-12-10 06:00:00', 'surface', 32.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-12-11 06:00:00', 'surface', 35.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-12-12 06:00:00', 'surface', 26.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-12-13 06:00:00', 'surface', 27.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-12-14 06:00:00', 'surface', 33.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-12-15 06:00:00', 'surface', 32.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-12-16 06:00:00', 'surface', 35.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-12-17 06:00:00', 'surface', 37.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-12-18 06:00:00', 'surface', 38.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-12-19 06:00:00', 'surface', 39.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-12-20 06:00:00', 'surface', 41.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-12-21 06:00:00', 'surface', 36.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-12-22 06:00:00', 'surface', 30.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-12-23 06:00:00', 'surface', 35.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-12-24 06:00:00', 'surface', 35.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-12-25 06:00:00', 'surface', 37.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-12-26 06:00:00', 'surface', 31.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-12-27 06:00:00', 'surface', 32.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-12-28 06:00:00', 'surface', 38.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-12-29 06:00:00', 'surface', 40.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-12-30 06:00:00', 'surface', 40.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 2, '2000-12-31 06:00:00', 'surface', 35.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-01-01 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-01-02 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-01-03 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-01-04 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-01-05 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-01-06 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-01-07 06:00:00', 'surface', 25.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-01-08 06:00:00', 'surface', 23.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-01-09 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-01-10 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-01-11 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-01-12 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-01-13 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-01-14 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-01-15 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-01-16 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-01-17 06:00:00', 'surface', 17.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-01-18 06:00:00', 'surface', 17.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-01-19 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-01-20 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-01-21 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-01-22 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-01-23 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-01-24 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-01-25 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-01-26 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-01-27 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-01-28 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-01-29 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-01-30 06:00:00', 'surface', 24.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-01-31 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-02-01 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-02-02 06:00:00', 'surface', 22.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-02-03 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-02-04 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-02-05 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-02-06 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-02-07 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-02-08 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-02-09 06:00:00', 'surface', 21.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-02-10 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-02-11 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-02-12 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-02-13 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-02-14 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-02-15 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-02-16 06:00:00', 'surface', 23.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-02-17 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-02-18 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-02-19 06:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-02-20 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-02-21 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-02-22 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-02-23 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-02-24 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-02-25 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-02-26 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-02-27 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-02-28 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-02-29 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-03-01 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-03-02 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-03-03 06:00:00', 'surface', 21.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-03-04 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-03-05 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-03-06 06:00:00', 'surface', 21.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-03-07 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-03-08 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-03-09 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-03-10 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-03-11 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-03-12 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-03-13 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-03-14 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-03-15 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-03-16 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-03-17 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-03-18 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-03-19 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-03-20 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-03-21 06:00:00', 'surface', 20.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-03-22 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-03-23 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-03-24 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-03-25 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-03-26 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-03-27 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-03-28 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-03-29 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-03-30 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-03-31 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-04-01 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-04-02 06:00:00', 'surface', 19.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-04-03 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-04-04 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-04-05 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-04-06 06:00:00', 'surface', 15.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-04-07 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-04-08 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-04-09 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-04-10 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-04-11 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-04-12 06:00:00', 'surface', 14.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-04-13 06:00:00', 'surface', 15.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-04-14 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-04-15 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-04-16 06:00:00', 'surface', 16.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-04-17 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-04-18 06:00:00', 'surface', 13.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-04-19 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-04-20 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-04-21 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-04-22 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-04-23 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-04-24 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-04-25 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-04-26 06:00:00', 'surface', 13.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-04-27 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-04-28 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-04-29 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-04-30 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-05-01 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-05-02 06:00:00', 'surface', 10.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-05-03 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-05-04 06:00:00', 'surface', 14.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-05-05 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-05-06 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-05-07 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-05-08 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-05-09 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-05-10 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-05-11 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-05-12 06:00:00', 'surface', 13.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-05-13 06:00:00', 'surface', 8.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-05-14 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-05-15 06:00:00', 'surface', 7.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-05-16 06:00:00', 'surface', 9.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-05-17 06:00:00', 'surface', 12.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-05-18 06:00:00', 'surface', 8.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-05-19 06:00:00', 'surface', 8.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-05-20 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-05-21 06:00:00', 'surface', 9.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-05-22 06:00:00', 'surface', 7.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-05-23 06:00:00', 'surface', 7.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-05-24 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-05-25 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-05-26 06:00:00', 'surface', 10.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-05-27 06:00:00', 'surface', 11.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-05-28 06:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-05-29 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-05-30 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-05-31 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-06-01 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-06-02 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-06-03 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-06-04 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-06-05 06:00:00', 'surface', 9.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-06-06 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-06-07 06:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-06-08 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-06-09 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-06-10 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-06-11 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-06-12 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-06-13 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-06-14 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-06-15 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-06-16 06:00:00', 'surface', 11.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-06-17 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-06-18 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-06-19 06:00:00', 'surface', 12.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-06-20 06:00:00', 'surface', 15.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-06-21 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-06-22 06:00:00', 'surface', 12.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-06-23 06:00:00', 'surface', 10.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-06-24 06:00:00', 'surface', 15.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-06-25 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-06-26 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-06-27 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-06-28 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-06-29 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-06-30 06:00:00', 'surface', 8.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-07-01 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-07-02 06:00:00', 'surface', 8.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-07-03 06:00:00', 'surface', 10.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-07-04 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-07-05 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-07-06 06:00:00', 'surface', 6.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-07-07 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-07-08 06:00:00', 'surface', 6.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-07-09 06:00:00', 'surface', 8.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-07-10 06:00:00', 'surface', 7.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-07-11 06:00:00', 'surface', 8.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-07-12 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-07-13 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-07-14 06:00:00', 'surface', 10.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-07-15 06:00:00', 'surface', 10.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-07-16 06:00:00', 'surface', 11.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-07-17 06:00:00', 'surface', 4.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-07-18 06:00:00', 'surface', 2.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-07-19 06:00:00', 'surface', 3.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-07-20 06:00:00', 'surface', 6.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-07-21 06:00:00', 'surface', 6.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-07-22 06:00:00', 'surface', 10.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-07-23 06:00:00', 'surface', 12.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-07-24 06:00:00', 'surface', 8.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-07-25 06:00:00', 'surface', 5.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-07-26 06:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-07-27 06:00:00', 'surface', 8.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-07-28 06:00:00', 'surface', 5.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-07-29 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-07-30 06:00:00', 'surface', 8.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-07-31 06:00:00', 'surface', 6.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-08-01 06:00:00', 'surface', 7.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-08-02 06:00:00', 'surface', 10.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-08-03 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-08-04 06:00:00', 'surface', 8.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-08-05 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-08-06 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-08-07 06:00:00', 'surface', 10.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-08-08 06:00:00', 'surface', 6.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-08-09 06:00:00', 'surface', 6.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-08-10 06:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-08-11 06:00:00', 'surface', 9.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-08-12 06:00:00', 'surface', 9.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-08-13 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-08-14 06:00:00', 'surface', 9.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-08-15 06:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-08-16 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-08-17 06:00:00', 'surface', 6.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-08-18 06:00:00', 'surface', 8.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-08-19 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-08-20 06:00:00', 'surface', 9.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-08-21 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-08-22 06:00:00', 'surface', 8.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-08-23 06:00:00', 'surface', 8.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-08-24 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-08-25 06:00:00', 'surface', 9.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-08-26 06:00:00', 'surface', 10.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-08-27 06:00:00', 'surface', 10.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-08-28 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-08-29 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-08-30 06:00:00', 'surface', 9.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-08-31 06:00:00', 'surface', 9.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-09-01 06:00:00', 'surface', 10.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-09-02 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-09-03 06:00:00', 'surface', 12.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-09-04 06:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-09-05 06:00:00', 'surface', 15.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-09-06 06:00:00', 'surface', 14.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-09-07 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-09-08 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-09-09 06:00:00', 'surface', 13.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-09-10 06:00:00', 'surface', 11.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-09-11 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-09-12 06:00:00', 'surface', 16.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-09-13 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-09-14 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-09-15 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-09-16 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-09-17 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-09-18 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-09-19 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-09-20 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-09-21 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-09-22 06:00:00', 'surface', 15.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-09-23 06:00:00', 'surface', 13.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-09-24 06:00:00', 'surface', 13.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-09-25 06:00:00', 'surface', 12.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-09-26 06:00:00', 'surface', 14.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-09-27 06:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-09-28 06:00:00', 'surface', 14.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-09-29 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-09-30 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-10-01 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-10-02 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-10-03 06:00:00', 'surface', 18.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-10-04 06:00:00', 'surface', 16.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-10-05 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-10-06 06:00:00', 'surface', 19.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-10-07 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-10-08 06:00:00', 'surface', 20.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-10-09 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-10-10 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-10-11 06:00:00', 'surface', 19.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-10-12 06:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-10-13 06:00:00', 'surface', 14.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-10-14 06:00:00', 'surface', 14.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-10-15 06:00:00', 'surface', 15.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-10-16 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-10-17 06:00:00', 'surface', 16.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-10-18 06:00:00', 'surface', 21.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-10-19 06:00:00', 'surface', 19.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-10-20 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-10-21 06:00:00', 'surface', 20.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-10-22 06:00:00', 'surface', 18.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-10-23 06:00:00', 'surface', 19.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-10-24 06:00:00', 'surface', 18.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-10-25 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-10-26 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-10-27 06:00:00', 'surface', 19.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-10-28 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-10-29 06:00:00', 'surface', 16.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-10-30 06:00:00', 'surface', 16.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-10-31 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-11-01 06:00:00', 'surface', 16.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-11-02 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-11-03 06:00:00', 'surface', 18.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-11-04 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-11-05 06:00:00', 'surface', 21.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-11-06 06:00:00', 'surface', 23.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-11-07 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-11-08 06:00:00', 'surface', 22.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-11-09 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-11-10 06:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-11-11 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-11-12 06:00:00', 'surface', 22.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-11-13 06:00:00', 'surface', 20.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-11-14 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-11-15 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-11-16 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-11-17 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-11-18 06:00:00', 'surface', 21.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-11-19 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-11-20 06:00:00', 'surface', 18.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-11-21 06:00:00', 'surface', 18.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-11-22 06:00:00', 'surface', 18.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-11-23 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-11-24 06:00:00', 'surface', 17.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-11-25 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-11-26 06:00:00', 'surface', 20.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-11-27 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-11-28 06:00:00', 'surface', 20.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-11-29 06:00:00', 'surface', 23.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-11-30 06:00:00', 'surface', 23.70, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-12-01 06:00:00', 'surface', 20.80, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-12-02 06:00:00', 'surface', 17.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-12-03 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-12-04 06:00:00', 'surface', 19.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-12-05 06:00:00', 'surface', 23.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-12-06 06:00:00', 'surface', 21.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-12-07 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-12-08 06:00:00', 'surface', 24.20, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-12-09 06:00:00', 'surface', 23.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-12-10 06:00:00', 'surface', 22.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-12-11 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-12-12 06:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-12-13 06:00:00', 'surface', 19.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-12-14 06:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-12-15 06:00:00', 'surface', 16.90, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-12-16 06:00:00', 'surface', 17.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-12-17 06:00:00', 'surface', 17.60, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-12-18 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-12-19 06:00:00', 'surface', 20.10, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-12-20 06:00:00', 'surface', 21.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-12-21 06:00:00', 'surface', 22.30, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-12-22 06:00:00', 'surface', 24.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-12-23 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-12-24 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-12-25 06:00:00', 'surface', 20.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-12-26 06:00:00', 'surface', 22.40, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-12-27 06:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-12-28 06:00:00', 'surface', 19.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-12-29 06:00:00', 'surface', 22.50, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-12-30 06:00:00', 'surface', 24.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67991020', 3, '2000-12-31 06:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 111, '2010-01-01 00:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 111, '2010-01-01 01:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 111, '2010-01-01 02:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 111, '2010-01-01 03:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 111, '2010-01-01 04:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 111, '2010-01-01 05:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 111, '2010-01-01 06:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 111, '2010-01-01 07:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 111, '2010-01-01 08:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 111, '2010-01-01 09:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 111, '2010-01-01 10:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 111, '2010-01-01 11:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 111, '2010-01-01 12:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 111, '2010-01-01 13:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 111, '2010-01-01 14:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 111, '2010-01-01 15:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 111, '2010-01-01 16:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 111, '2010-01-01 17:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 111, '2010-01-01 18:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 111, '2010-01-01 19:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 111, '2010-01-01 20:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 111, '2010-01-01 21:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 111, '2010-01-01 22:00:00', 'surface', 1.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 111, '2010-01-01 23:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 111, '2010-01-02 00:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 111, '2010-01-02 01:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 111, '2010-01-02 02:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 111, '2010-01-02 03:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 111, '2010-01-02 04:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 111, '2010-01-02 05:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 111, '2010-01-02 06:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 111, '2010-01-02 07:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 111, '2010-01-02 08:00:00', 'surface', 2.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 111, '2010-01-02 09:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 111, '2010-01-02 10:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 111, '2010-01-02 11:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 111, '2010-01-02 12:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 111, '2010-01-02 13:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 111, '2010-01-02 14:00:00', 'surface', 4.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 111, '2010-01-02 15:00:00', 'surface', 6.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 111, '2010-01-02 16:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 111, '2010-01-02 17:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 111, '2010-01-02 18:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 111, '2010-01-02 19:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 111, '2010-01-02 20:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 111, '2010-01-02 21:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 111, '2010-01-02 22:00:00', 'surface', 5.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 111, '2010-01-02 23:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 112, '2010-01-01 00:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 112, '2010-01-01 01:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 112, '2010-01-01 02:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 112, '2010-01-01 03:00:00', 'surface', 3.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 112, '2010-01-01 04:00:00', 'surface', 35.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 112, '2010-01-01 05:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 112, '2010-01-01 06:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 112, '2010-01-01 07:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 112, '2010-01-01 08:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 112, '2010-01-01 09:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 112, '2010-01-01 10:00:00', 'surface', 23.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 112, '2010-01-01 11:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 112, '2010-01-01 12:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 112, '2010-01-01 13:00:00', 'surface', 16.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 112, '2010-01-01 14:00:00', 'surface', 18.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 112, '2010-01-01 15:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 112, '2010-01-01 16:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 112, '2010-01-01 17:00:00', 'surface', 29.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 112, '2010-01-01 18:00:00', 'surface', 25.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 112, '2010-01-01 19:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 112, '2010-01-01 20:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 112, '2010-01-01 21:00:00', 'surface', 7.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 112, '2010-01-01 22:00:00', 'surface', 20.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 112, '2010-01-01 23:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 112, '2010-01-02 00:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 112, '2010-01-02 01:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 112, '2010-01-02 02:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 112, '2010-01-02 03:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 112, '2010-01-02 04:00:00', 'surface', 9.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 112, '2010-01-02 05:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 112, '2010-01-02 06:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 112, '2010-01-02 07:00:00', 'surface', 15.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 112, '2010-01-02 08:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 112, '2010-01-02 09:00:00', 'surface', 34.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 112, '2010-01-02 10:00:00', 'surface', 30.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 112, '2010-01-02 11:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 112, '2010-01-02 12:00:00', 'surface', 14.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 112, '2010-01-02 13:00:00', 'surface', 27.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 112, '2010-01-02 14:00:00', 'surface', 22.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 112, '2010-01-02 15:00:00', 'surface', 13.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 112, '2010-01-02 16:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 112, '2010-01-02 17:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 112, '2010-01-02 18:00:00', 'surface', 19.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 112, '2010-01-02 19:00:00', 'surface', 21.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 112, '2010-01-02 20:00:00', 'surface', 12.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 112, '2010-01-02 21:00:00', 'surface', 8.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 112, '2010-01-02 22:00:00', 'surface', 11.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 112, '2010-01-02 23:00:00', 'surface', 10.00, '', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 103, '2005-11-21 09:00:00', 'surface', 18.08, '', NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('67774010', 105, '2005-11-21 09:00:00', 'surface', 79.76, '', NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0);
/*!40000 ALTER TABLE `observationfinal` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_test_db_v4.observationinitial
CREATE TABLE IF NOT EXISTS `observationinitial` (
  `recordedFrom` varchar(255) NOT NULL,
  `describedBy` bigint(20) DEFAULT NULL,
  `obsDatetime` datetime DEFAULT NULL,
  `obsLevel` varchar(255) DEFAULT NULL,
  `obsValue` varchar(255) DEFAULT NULL,
  `flag` varchar(255) DEFAULT NULL,
  `period` int(11) DEFAULT NULL,
  `qcStatus` int(11) DEFAULT '0',
  `qcTypeLog` text,
  `acquisitionType` int(11) DEFAULT '0',
  `dataForm` varchar(255) DEFAULT NULL,
  `capturedBy` varchar(255) DEFAULT NULL,
  `mark` tinyint(4) DEFAULT NULL,
  `temperatureUnits` varchar(255) DEFAULT NULL,
  `precipitationUnits` varchar(255) DEFAULT NULL,
  `cloudHeightUnits` varchar(255) DEFAULT NULL,
  `visUnits` varchar(255) DEFAULT NULL,
  `dataSourceTimeZone` int(11) DEFAULT '0',
  UNIQUE KEY `obsInitialIdentification` (`recordedFrom`,`describedBy`,`obsDatetime`,`qcStatus`,`acquisitionType`),
  KEY `obsElementObservationInitial` (`describedBy`),
  KEY `stationObservationInitial` (`recordedFrom`),
  CONSTRAINT `FK_maria_climsoft_db_v4_obselement_observationInitial` FOREIGN KEY (`describedBy`) REFERENCES `obselement` (`elementId`),
  CONSTRAINT `FK_maria_climsoft_db_v4_station_observationInitial` FOREIGN KEY (`recordedFrom`) REFERENCES `station` (`stationId`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_test_db_v4.observationinitial: ~0 rows (approximately)
/*!40000 ALTER TABLE `observationinitial` DISABLE KEYS */;
/*!40000 ALTER TABLE `observationinitial` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_test_db_v4.observationschedule
CREATE TABLE IF NOT EXISTS `observationschedule` (
  `classifiedInto` varchar(255) DEFAULT NULL,
  `startTime` varchar(50) DEFAULT NULL,
  `endTime` varchar(50) DEFAULT NULL,
  `interval` varchar(255) DEFAULT NULL,
  `additionalObsTime` varchar(255) DEFAULT NULL,
  UNIQUE KEY `scheduleIdentification` (`classifiedInto`,`startTime`,`endTime`),
  CONSTRAINT `FK_mysql_climsoft_db_v4_obsSchedule` FOREIGN KEY (`classifiedInto`) REFERENCES `obsscheduleclass` (`scheduleClass`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_test_db_v4.observationschedule: ~0 rows (approximately)
/*!40000 ALTER TABLE `observationschedule` DISABLE KEYS */;
/*!40000 ALTER TABLE `observationschedule` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_test_db_v4.obsscheduleclass
CREATE TABLE IF NOT EXISTS `obsscheduleclass` (
  `scheduleClass` varchar(255) NOT NULL DEFAULT '',
  `description` varchar(255) DEFAULT NULL,
  `refersTo` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`scheduleClass`),
  KEY `scheduleClassIdeification` (`scheduleClass`),
  KEY `FK_mysql_climsoft_db_v4_station_scheduleClass` (`refersTo`),
  CONSTRAINT `FK_mysql_climsoft_db_v4_station_scheduleClass` FOREIGN KEY (`refersTo`) REFERENCES `station` (`stationId`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_test_db_v4.obsscheduleclass: ~0 rows (approximately)
/*!40000 ALTER TABLE `obsscheduleclass` DISABLE KEYS */;
/*!40000 ALTER TABLE `obsscheduleclass` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_test_db_v4.paperarchive
CREATE TABLE IF NOT EXISTS `paperarchive` (
  `belongsTo` varchar(255) DEFAULT NULL,
  `formDatetime` datetime DEFAULT NULL,
  `image` varchar(255) DEFAULT NULL,
  `classifiedInto` varchar(50) DEFAULT NULL,
  UNIQUE KEY `paper_archive_identification` (`belongsTo`,`formDatetime`,`classifiedInto`),
  KEY `FK_mysql_climsoft_db_v4_0_station_paperArchiveDef` (`classifiedInto`),
  CONSTRAINT `FK_mysql_climsoft_db_v4_0_station_paperArchive` FOREIGN KEY (`belongsTo`) REFERENCES `station` (`stationId`),
  CONSTRAINT `FK_mysql_climsoft_db_v4_0_station_paperArchiveDef` FOREIGN KEY (`classifiedInto`) REFERENCES `paperarchivedefinition` (`formId`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_test_db_v4.paperarchive: ~0 rows (approximately)
/*!40000 ALTER TABLE `paperarchive` DISABLE KEYS */;
/*!40000 ALTER TABLE `paperarchive` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_test_db_v4.paperarchivedefinition
CREATE TABLE IF NOT EXISTS `paperarchivedefinition` (
  `formId` varchar(50) NOT NULL,
  `description` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`formId`),
  KEY `paperarchivedef` (`formId`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_test_db_v4.paperarchivedefinition: ~0 rows (approximately)
/*!40000 ALTER TABLE `paperarchivedefinition` DISABLE KEYS */;
/*!40000 ALTER TABLE `paperarchivedefinition` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_test_db_v4.physicalfeature
CREATE TABLE IF NOT EXISTS `physicalfeature` (
  `associatedWith` varchar(255) NOT NULL,
  `beginDate` varchar(50) DEFAULT NULL,
  `endDate` varchar(50) DEFAULT NULL,
  `image` varchar(255) DEFAULT NULL,
  `description` varchar(255) DEFAULT NULL,
  `classifiedInto` varchar(255) DEFAULT NULL,
  UNIQUE KEY `featureIdentification` (`associatedWith`,`beginDate`,`classifiedInto`,`description`),
  KEY `stationfeature` (`associatedWith`),
  KEY `physicalFeatureidentification_idx` (`classifiedInto`),
  CONSTRAINT `FK_mysql_climsoft_db_v4_stationFeature` FOREIGN KEY (`associatedWith`) REFERENCES `station` (`stationId`),
  CONSTRAINT `physicalFeatureidentification` FOREIGN KEY (`classifiedInto`) REFERENCES `physicalfeatureclass` (`featureClass`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_test_db_v4.physicalfeature: ~0 rows (approximately)
/*!40000 ALTER TABLE `physicalfeature` DISABLE KEYS */;
/*!40000 ALTER TABLE `physicalfeature` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_test_db_v4.physicalfeatureclass
CREATE TABLE IF NOT EXISTS `physicalfeatureclass` (
  `featureClass` varchar(255) NOT NULL,
  `description` varchar(255) DEFAULT NULL,
  `refersTo` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`featureClass`),
  KEY `stationFeatureClass` (`featureClass`),
  KEY `FK_mysql_climsoft_db_v4_station_featureClass` (`refersTo`),
  CONSTRAINT `FK_mysql_climsoft_db_v4_station_featureClass` FOREIGN KEY (`refersTo`) REFERENCES `station` (`stationId`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_test_db_v4.physicalfeatureclass: ~0 rows (approximately)
/*!40000 ALTER TABLE `physicalfeatureclass` DISABLE KEYS */;
/*!40000 ALTER TABLE `physicalfeatureclass` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_test_db_v4.qcstatusdefinition
CREATE TABLE IF NOT EXISTS `qcstatusdefinition` (
  `code` int(11) NOT NULL DEFAULT '0',
  `description` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`code`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_test_db_v4.qcstatusdefinition: ~0 rows (approximately)
/*!40000 ALTER TABLE `qcstatusdefinition` DISABLE KEYS */;
/*!40000 ALTER TABLE `qcstatusdefinition` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_test_db_v4.qctype
CREATE TABLE IF NOT EXISTS `qctype` (
  `code` int(11) NOT NULL DEFAULT '0',
  `description` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`code`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_test_db_v4.qctype: ~0 rows (approximately)
/*!40000 ALTER TABLE `qctype` DISABLE KEYS */;
/*!40000 ALTER TABLE `qctype` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_test_db_v4.qc_interelement_1
CREATE TABLE IF NOT EXISTS `qc_interelement_1` (
  `stationId_1` varchar(50) NOT NULL,
  `elementId_1` int(11) NOT NULL,
  `obsDatetime_1` datetime NOT NULL,
  `obsValue_1` int(11) DEFAULT NULL,
  `qcStatus_1` int(11) DEFAULT NULL,
  `acquisitionType_1` int(11) DEFAULT NULL,
  `obsLevel_1` varchar(50) DEFAULT NULL,
  `capturedBy_1` varchar(50) DEFAULT NULL,
  `dataForm_1` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`stationId_1`,`elementId_1`,`obsDatetime_1`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_test_db_v4.qc_interelement_1: ~0 rows (approximately)
/*!40000 ALTER TABLE `qc_interelement_1` DISABLE KEYS */;
/*!40000 ALTER TABLE `qc_interelement_1` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_test_db_v4.qc_interelement_2
CREATE TABLE IF NOT EXISTS `qc_interelement_2` (
  `stationId_2` varchar(50) NOT NULL,
  `elementId_2` int(11) NOT NULL,
  `obsDatetime_2` datetime NOT NULL,
  `obsValue_2` int(11) DEFAULT NULL,
  `qcStatus_2` int(11) DEFAULT NULL,
  `acquisitionType_2` int(11) DEFAULT NULL,
  `obsLevel_2` varchar(50) DEFAULT NULL,
  `capturedBy_2` varchar(50) DEFAULT NULL,
  `dataForm_2` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`stationId_2`,`elementId_2`,`obsDatetime_2`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_test_db_v4.qc_interelement_2: ~0 rows (approximately)
/*!40000 ALTER TABLE `qc_interelement_2` DISABLE KEYS */;
/*!40000 ALTER TABLE `qc_interelement_2` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_test_db_v4.qc_interelement_relationship_definition
CREATE TABLE IF NOT EXISTS `qc_interelement_relationship_definition` (
  `elementId_1` int(11) NOT NULL,
  `relationship` varchar(50) NOT NULL,
  `elementId_2` int(11) NOT NULL,
  PRIMARY KEY (`elementId_1`,`relationship`,`elementId_2`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_test_db_v4.qc_interelement_relationship_definition: ~5 rows (approximately)
/*!40000 ALTER TABLE `qc_interelement_relationship_definition` DISABLE KEYS */;
INSERT INTO `qc_interelement_relationship_definition` (`elementId_1`, `relationship`, `elementId_2`) VALUES
	(2, '>=', 3),
	(2, '>=', 101),
	(101, '>=', 3),
	(101, '>=', 102),
	(102, '>=', 103);
/*!40000 ALTER TABLE `qc_interelement_relationship_definition` ENABLE KEYS */;


-- Dumping structure for procedure mariadb_climsoft_test_db_v4.refresh_data
DELIMITER //
CREATE DEFINER=`root`@`localhost` PROCEDURE `refresh_data`()
BEGIN
DROP TABLE IF EXISTS MISSING_STATS;
CREATE TABLE MISSING_STATS(STN_ID VARCHAR(255) NOT NULL, ELEM BIGINT NOT NULL, MISSING BIGINT, Closing_Date Date,Opening_Date Date, PRIMARY KEY(STN_ID,ELEM,Closing_Date,Opening_Date));
END//
DELIMITER ;


-- Dumping structure for procedure mariadb_climsoft_test_db_v4.refresh_gaps
DELIMITER //
CREATE DEFINER=`root`@`localhost` PROCEDURE `refresh_gaps`()
BEGIN
DROP TABLE IF EXISTS gaps;
CREATE TABLE gaps (Missing_STNID VARCHAR(255) NOT NULL, Missing_ELEM BIGINT NOT NULL, Missing_Date Date,PRIMARY KEY(Missing_STNID,Missing_ELEM,Missing_Date));
END//
DELIMITER ;


-- Dumping structure for table mariadb_climsoft_test_db_v4.regkeys
CREATE TABLE IF NOT EXISTS `regkeys` (
  `keyName` varchar(255) NOT NULL DEFAULT '',
  `keyValue` varchar(255) DEFAULT NULL,
  `keyDescription` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`keyName`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_test_db_v4.regkeys: ~14 rows (approximately)
/*!40000 ALTER TABLE `regkeys` DISABLE KEYS */;
INSERT INTO `regkeys` (`keyName`, `keyValue`, `keyDescription`) VALUES
	('key00', '850', 'Geopotential standard pressure level'),
	('key01', '6', 'Morning time for recording tmax,tmin,precip'),
	('key02', '18', 'Afternoon time for recording tmax'),
	('key03', '4', 'Month for starting recording of Gmin'),
	('key04', '10', 'Month for ending recording Gmin'),
	('key05', '2', 'Number of digits for wind direction'),
	('key06', '2', 'Number of digits for wind speed'),
	('key07', 'C:\\data\\QC', 'Folder for QC Reports for QC updates (Windows style)'),
	('key08', 'C:/data/QC', 'Folder for QC Reports for MariaDB output (Unix style)'),
	('key09', 'D:\\Data\\Clicom_daily', 'Folder for CLICOM daily data'),
	('key10', 'D:\\Data\\aws_data', 'Folderfor AWS data'),
	('key11', 'D:\\Data\\gts_noaa_gsod', 'Folder for NOAA GTS daily data'),
	('key12', 'C:\\PaperArchive\\Images', 'Folder for Paper Archive image files'),
	('key13', '3', 'Digits for wind direction values');
/*!40000 ALTER TABLE `regkeys` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_test_db_v4.seq_daily_element
CREATE TABLE IF NOT EXISTS `seq_daily_element` (
  `seq` bigint(20) NOT NULL AUTO_INCREMENT,
  `elementId` bigint(20) NOT NULL,
  PRIMARY KEY (`seq`)
) ENGINE=InnoDB AUTO_INCREMENT=26 DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_test_db_v4.seq_daily_element: ~3 rows (approximately)
/*!40000 ALTER TABLE `seq_daily_element` DISABLE KEYS */;
INSERT INTO `seq_daily_element` (`seq`, `elementId`) VALUES
	(2, 3),
	(11, 5),
	(25, 2);
/*!40000 ALTER TABLE `seq_daily_element` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_test_db_v4.seq_day
CREATE TABLE IF NOT EXISTS `seq_day` (
  `dd` varchar(50) DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_test_db_v4.seq_day: ~31 rows (approximately)
/*!40000 ALTER TABLE `seq_day` DISABLE KEYS */;
INSERT INTO `seq_day` (`dd`) VALUES
	('01'),
	('02'),
	('03'),
	('04'),
	('05'),
	('06'),
	('07'),
	('08'),
	('09'),
	('10'),
	('11'),
	('12'),
	('13'),
	('14'),
	('15'),
	('16'),
	('17'),
	('18'),
	('19'),
	('20'),
	('21'),
	('22'),
	('23'),
	('24'),
	('25'),
	('26'),
	('27'),
	('28'),
	('29'),
	('30'),
	('31');
/*!40000 ALTER TABLE `seq_day` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_test_db_v4.seq_element
CREATE TABLE IF NOT EXISTS `seq_element` (
  `seq` bigint(20) NOT NULL AUTO_INCREMENT,
  `element_code` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`seq`),
  KEY `identification` (`seq`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_test_db_v4.seq_element: ~8 rows (approximately)
/*!40000 ALTER TABLE `seq_element` DISABLE KEYS */;
INSERT INTO `seq_element` (`seq`, `element_code`) VALUES
	(1, '101'),
	(2, '102'),
	(3, '103'),
	(4, '105'),
	(5, '106'),
	(6, '107'),
	(7, '111'),
	(8, '112');
/*!40000 ALTER TABLE `seq_element` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_test_db_v4.seq_hour
CREATE TABLE IF NOT EXISTS `seq_hour` (
  `hh` int(11) DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_test_db_v4.seq_hour: ~24 rows (approximately)
/*!40000 ALTER TABLE `seq_hour` DISABLE KEYS */;
INSERT INTO `seq_hour` (`hh`) VALUES
	(0),
	(1),
	(2),
	(3),
	(4),
	(5),
	(6),
	(7),
	(8),
	(9),
	(10),
	(11),
	(12),
	(13),
	(14),
	(15),
	(16),
	(17),
	(18),
	(19),
	(20),
	(21),
	(22),
	(23);
/*!40000 ALTER TABLE `seq_hour` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_test_db_v4.seq_leap_year
CREATE TABLE IF NOT EXISTS `seq_leap_year` (
  `yyyy` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_test_db_v4.seq_leap_year: ~1 rows (approximately)
/*!40000 ALTER TABLE `seq_leap_year` DISABLE KEYS */;
INSERT INTO `seq_leap_year` (`yyyy`) VALUES
	(2000);
/*!40000 ALTER TABLE `seq_leap_year` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_test_db_v4.seq_month
CREATE TABLE IF NOT EXISTS `seq_month` (
  `mm` varchar(50) DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_test_db_v4.seq_month: ~12 rows (approximately)
/*!40000 ALTER TABLE `seq_month` DISABLE KEYS */;
INSERT INTO `seq_month` (`mm`) VALUES
	('01'),
	('02'),
	('03'),
	('04'),
	('05'),
	('06'),
	('07'),
	('08'),
	('09'),
	('10'),
	('11'),
	('12');
/*!40000 ALTER TABLE `seq_month` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_test_db_v4.seq_monthly_element
CREATE TABLE IF NOT EXISTS `seq_monthly_element` (
  `seq` bigint(20) NOT NULL AUTO_INCREMENT,
  `elementId` bigint(20) NOT NULL,
  PRIMARY KEY (`seq`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_test_db_v4.seq_monthly_element: ~4 rows (approximately)
/*!40000 ALTER TABLE `seq_monthly_element` DISABLE KEYS */;
INSERT INTO `seq_monthly_element` (`seq`, `elementId`) VALUES
	(1, 5),
	(2, 2),
	(3, 3),
	(4, 18);
/*!40000 ALTER TABLE `seq_monthly_element` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_test_db_v4.seq_month_day
CREATE TABLE IF NOT EXISTS `seq_month_day` (
  `mm` int(11) NOT NULL,
  `dd` int(11) NOT NULL,
  PRIMARY KEY (`mm`,`dd`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_test_db_v4.seq_month_day: ~365 rows (approximately)
/*!40000 ALTER TABLE `seq_month_day` DISABLE KEYS */;
INSERT INTO `seq_month_day` (`mm`, `dd`) VALUES
	(1, 1),
	(1, 2),
	(1, 3),
	(1, 4),
	(1, 5),
	(1, 6),
	(1, 7),
	(1, 8),
	(1, 9),
	(1, 10),
	(1, 11),
	(1, 12),
	(1, 13),
	(1, 14),
	(1, 15),
	(1, 16),
	(1, 17),
	(1, 18),
	(1, 19),
	(1, 20),
	(1, 21),
	(1, 22),
	(1, 23),
	(1, 24),
	(1, 25),
	(1, 26),
	(1, 27),
	(1, 28),
	(1, 29),
	(1, 30),
	(1, 31),
	(2, 1),
	(2, 2),
	(2, 3),
	(2, 4),
	(2, 5),
	(2, 6),
	(2, 7),
	(2, 8),
	(2, 9),
	(2, 10),
	(2, 11),
	(2, 12),
	(2, 13),
	(2, 14),
	(2, 15),
	(2, 16),
	(2, 17),
	(2, 18),
	(2, 19),
	(2, 20),
	(2, 21),
	(2, 22),
	(2, 23),
	(2, 24),
	(2, 25),
	(2, 26),
	(2, 27),
	(2, 28),
	(3, 1),
	(3, 2),
	(3, 3),
	(3, 4),
	(3, 5),
	(3, 6),
	(3, 7),
	(3, 8),
	(3, 9),
	(3, 10),
	(3, 11),
	(3, 12),
	(3, 13),
	(3, 14),
	(3, 15),
	(3, 16),
	(3, 17),
	(3, 18),
	(3, 19),
	(3, 20),
	(3, 21),
	(3, 22),
	(3, 23),
	(3, 24),
	(3, 25),
	(3, 26),
	(3, 27),
	(3, 28),
	(3, 29),
	(3, 30),
	(3, 31),
	(4, 1),
	(4, 2),
	(4, 3),
	(4, 4),
	(4, 5),
	(4, 6),
	(4, 7),
	(4, 8),
	(4, 9),
	(4, 10),
	(4, 11),
	(4, 12),
	(4, 13),
	(4, 14),
	(4, 15),
	(4, 16),
	(4, 17),
	(4, 18),
	(4, 19),
	(4, 20),
	(4, 21),
	(4, 22),
	(4, 23),
	(4, 24),
	(4, 25),
	(4, 26),
	(4, 27),
	(4, 28),
	(4, 29),
	(4, 30),
	(5, 1),
	(5, 2),
	(5, 3),
	(5, 4),
	(5, 5),
	(5, 6),
	(5, 7),
	(5, 8),
	(5, 9),
	(5, 10),
	(5, 11),
	(5, 12),
	(5, 13),
	(5, 14),
	(5, 15),
	(5, 16),
	(5, 17),
	(5, 18),
	(5, 19),
	(5, 20),
	(5, 21),
	(5, 22),
	(5, 23),
	(5, 24),
	(5, 25),
	(5, 26),
	(5, 27),
	(5, 28),
	(5, 29),
	(5, 30),
	(5, 31),
	(6, 1),
	(6, 2),
	(6, 3),
	(6, 4),
	(6, 5),
	(6, 6),
	(6, 7),
	(6, 8),
	(6, 9),
	(6, 10),
	(6, 11),
	(6, 12),
	(6, 13),
	(6, 14),
	(6, 15),
	(6, 16),
	(6, 17),
	(6, 18),
	(6, 19),
	(6, 20),
	(6, 21),
	(6, 22),
	(6, 23),
	(6, 24),
	(6, 25),
	(6, 26),
	(6, 27),
	(6, 28),
	(6, 29),
	(6, 30),
	(7, 1),
	(7, 2),
	(7, 3),
	(7, 4),
	(7, 5),
	(7, 6),
	(7, 7),
	(7, 8),
	(7, 9),
	(7, 10),
	(7, 11),
	(7, 12),
	(7, 13),
	(7, 14),
	(7, 15),
	(7, 16),
	(7, 17),
	(7, 18),
	(7, 19),
	(7, 20),
	(7, 21),
	(7, 22),
	(7, 23),
	(7, 24),
	(7, 25),
	(7, 26),
	(7, 27),
	(7, 28),
	(7, 29),
	(7, 30),
	(7, 31),
	(8, 1),
	(8, 2),
	(8, 3),
	(8, 4),
	(8, 5),
	(8, 6),
	(8, 7),
	(8, 8),
	(8, 9),
	(8, 10),
	(8, 11),
	(8, 12),
	(8, 13),
	(8, 14),
	(8, 15),
	(8, 16),
	(8, 17),
	(8, 18),
	(8, 19),
	(8, 20),
	(8, 21),
	(8, 22),
	(8, 23),
	(8, 24),
	(8, 25),
	(8, 26),
	(8, 27),
	(8, 28),
	(8, 29),
	(8, 30),
	(8, 31),
	(9, 1),
	(9, 2),
	(9, 3),
	(9, 4),
	(9, 5),
	(9, 6),
	(9, 7),
	(9, 8),
	(9, 9),
	(9, 10),
	(9, 11),
	(9, 12),
	(9, 13),
	(9, 14),
	(9, 15),
	(9, 16),
	(9, 17),
	(9, 18),
	(9, 19),
	(9, 20),
	(9, 21),
	(9, 22),
	(9, 23),
	(9, 24),
	(9, 25),
	(9, 26),
	(9, 27),
	(9, 28),
	(9, 29),
	(9, 30),
	(10, 1),
	(10, 2),
	(10, 3),
	(10, 4),
	(10, 5),
	(10, 6),
	(10, 7),
	(10, 8),
	(10, 9),
	(10, 10),
	(10, 11),
	(10, 12),
	(10, 13),
	(10, 14),
	(10, 15),
	(10, 16),
	(10, 17),
	(10, 18),
	(10, 19),
	(10, 20),
	(10, 21),
	(10, 22),
	(10, 23),
	(10, 24),
	(10, 25),
	(10, 26),
	(10, 27),
	(10, 28),
	(10, 29),
	(10, 30),
	(10, 31),
	(11, 1),
	(11, 2),
	(11, 3),
	(11, 4),
	(11, 5),
	(11, 6),
	(11, 7),
	(11, 8),
	(11, 9),
	(11, 10),
	(11, 11),
	(11, 12),
	(11, 13),
	(11, 14),
	(11, 15),
	(11, 16),
	(11, 17),
	(11, 18),
	(11, 19),
	(11, 20),
	(11, 21),
	(11, 22),
	(11, 23),
	(11, 24),
	(11, 25),
	(11, 26),
	(11, 27),
	(11, 28),
	(11, 29),
	(11, 30),
	(12, 1),
	(12, 2),
	(12, 3),
	(12, 4),
	(12, 5),
	(12, 6),
	(12, 7),
	(12, 8),
	(12, 9),
	(12, 10),
	(12, 11),
	(12, 12),
	(12, 13),
	(12, 14),
	(12, 15),
	(12, 16),
	(12, 17),
	(12, 18),
	(12, 19),
	(12, 20),
	(12, 21),
	(12, 22),
	(12, 23),
	(12, 24),
	(12, 25),
	(12, 26),
	(12, 27),
	(12, 28),
	(12, 29),
	(12, 30),
	(12, 31);
/*!40000 ALTER TABLE `seq_month_day` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_test_db_v4.seq_month_day_element
CREATE TABLE IF NOT EXISTS `seq_month_day_element` (
  `mm` int(11) NOT NULL,
  `dd` int(11) NOT NULL,
  `elementId` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_test_db_v4.seq_month_day_element: ~6,205 rows (approximately)
/*!40000 ALTER TABLE `seq_month_day_element` DISABLE KEYS */;
INSERT INTO `seq_month_day_element` (`mm`, `dd`, `elementId`) VALUES
	(1, 1, 114),
	(1, 1, 112),
	(1, 1, 111),
	(1, 1, 110),
	(1, 1, 107),
	(1, 1, 106),
	(1, 1, 101),
	(1, 1, 102),
	(1, 1, 166),
	(1, 1, 191),
	(1, 1, 116),
	(1, 1, 190),
	(1, 1, 192),
	(1, 1, 193),
	(1, 1, 195),
	(1, 1, 202),
	(1, 1, 205),
	(1, 2, 114),
	(1, 2, 112),
	(1, 2, 111),
	(1, 2, 110),
	(1, 2, 107),
	(1, 2, 106),
	(1, 2, 101),
	(1, 2, 102),
	(1, 2, 166),
	(1, 2, 191),
	(1, 2, 116),
	(1, 2, 190),
	(1, 2, 192),
	(1, 2, 193),
	(1, 2, 195),
	(1, 2, 202),
	(1, 2, 205),
	(1, 3, 114),
	(1, 3, 112),
	(1, 3, 111),
	(1, 3, 110),
	(1, 3, 107),
	(1, 3, 106),
	(1, 3, 101),
	(1, 3, 102),
	(1, 3, 166),
	(1, 3, 191),
	(1, 3, 116),
	(1, 3, 190),
	(1, 3, 192),
	(1, 3, 193),
	(1, 3, 195),
	(1, 3, 202),
	(1, 3, 205),
	(1, 4, 114),
	(1, 4, 112),
	(1, 4, 111),
	(1, 4, 110),
	(1, 4, 107),
	(1, 4, 106),
	(1, 4, 101),
	(1, 4, 102),
	(1, 4, 166),
	(1, 4, 191),
	(1, 4, 116),
	(1, 4, 190),
	(1, 4, 192),
	(1, 4, 193),
	(1, 4, 195),
	(1, 4, 202),
	(1, 4, 205),
	(1, 5, 114),
	(1, 5, 112),
	(1, 5, 111),
	(1, 5, 110),
	(1, 5, 107),
	(1, 5, 106),
	(1, 5, 101),
	(1, 5, 102),
	(1, 5, 166),
	(1, 5, 191),
	(1, 5, 116),
	(1, 5, 190),
	(1, 5, 192),
	(1, 5, 193),
	(1, 5, 195),
	(1, 5, 202),
	(1, 5, 205),
	(1, 6, 114),
	(1, 6, 112),
	(1, 6, 111),
	(1, 6, 110),
	(1, 6, 107),
	(1, 6, 106),
	(1, 6, 101),
	(1, 6, 102),
	(1, 6, 166),
	(1, 6, 191),
	(1, 6, 116),
	(1, 6, 190),
	(1, 6, 192),
	(1, 6, 193),
	(1, 6, 195),
	(1, 6, 202),
	(1, 6, 205),
	(1, 7, 114),
	(1, 7, 112),
	(1, 7, 111),
	(1, 7, 110),
	(1, 7, 107),
	(1, 7, 106),
	(1, 7, 101),
	(1, 7, 102),
	(1, 7, 166),
	(1, 7, 191),
	(1, 7, 116),
	(1, 7, 190),
	(1, 7, 192),
	(1, 7, 193),
	(1, 7, 195),
	(1, 7, 202),
	(1, 7, 205),
	(1, 8, 114),
	(1, 8, 112),
	(1, 8, 111),
	(1, 8, 110),
	(1, 8, 107),
	(1, 8, 106),
	(1, 8, 101),
	(1, 8, 102),
	(1, 8, 166),
	(1, 8, 191),
	(1, 8, 116),
	(1, 8, 190),
	(1, 8, 192),
	(1, 8, 193),
	(1, 8, 195),
	(1, 8, 202),
	(1, 8, 205),
	(1, 9, 114),
	(1, 9, 112),
	(1, 9, 111),
	(1, 9, 110),
	(1, 9, 107),
	(1, 9, 106),
	(1, 9, 101),
	(1, 9, 102),
	(1, 9, 166),
	(1, 9, 191),
	(1, 9, 116),
	(1, 9, 190),
	(1, 9, 192),
	(1, 9, 193),
	(1, 9, 195),
	(1, 9, 202),
	(1, 9, 205),
	(1, 10, 114),
	(1, 10, 112),
	(1, 10, 111),
	(1, 10, 110),
	(1, 10, 107),
	(1, 10, 106),
	(1, 10, 101),
	(1, 10, 102),
	(1, 10, 166),
	(1, 10, 191),
	(1, 10, 116),
	(1, 10, 190),
	(1, 10, 192),
	(1, 10, 193),
	(1, 10, 195),
	(1, 10, 202),
	(1, 10, 205),
	(1, 11, 114),
	(1, 11, 112),
	(1, 11, 111),
	(1, 11, 110),
	(1, 11, 107),
	(1, 11, 106),
	(1, 11, 101),
	(1, 11, 102),
	(1, 11, 166),
	(1, 11, 191),
	(1, 11, 116),
	(1, 11, 190),
	(1, 11, 192),
	(1, 11, 193),
	(1, 11, 195),
	(1, 11, 202),
	(1, 11, 205),
	(1, 12, 114),
	(1, 12, 112),
	(1, 12, 111),
	(1, 12, 110),
	(1, 12, 107),
	(1, 12, 106),
	(1, 12, 101),
	(1, 12, 102),
	(1, 12, 166),
	(1, 12, 191),
	(1, 12, 116),
	(1, 12, 190),
	(1, 12, 192),
	(1, 12, 193),
	(1, 12, 195),
	(1, 12, 202),
	(1, 12, 205),
	(1, 13, 114),
	(1, 13, 112),
	(1, 13, 111),
	(1, 13, 110),
	(1, 13, 107),
	(1, 13, 106),
	(1, 13, 101),
	(1, 13, 102),
	(1, 13, 166),
	(1, 13, 191),
	(1, 13, 116),
	(1, 13, 190),
	(1, 13, 192),
	(1, 13, 193),
	(1, 13, 195),
	(1, 13, 202),
	(1, 13, 205),
	(1, 14, 114),
	(1, 14, 112),
	(1, 14, 111),
	(1, 14, 110),
	(1, 14, 107),
	(1, 14, 106),
	(1, 14, 101),
	(1, 14, 102),
	(1, 14, 166),
	(1, 14, 191),
	(1, 14, 116),
	(1, 14, 190),
	(1, 14, 192),
	(1, 14, 193),
	(1, 14, 195),
	(1, 14, 202),
	(1, 14, 205),
	(1, 15, 114),
	(1, 15, 112),
	(1, 15, 111),
	(1, 15, 110),
	(1, 15, 107),
	(1, 15, 106),
	(1, 15, 101),
	(1, 15, 102),
	(1, 15, 166),
	(1, 15, 191),
	(1, 15, 116),
	(1, 15, 190),
	(1, 15, 192),
	(1, 15, 193),
	(1, 15, 195),
	(1, 15, 202),
	(1, 15, 205),
	(1, 16, 114),
	(1, 16, 112),
	(1, 16, 111),
	(1, 16, 110),
	(1, 16, 107),
	(1, 16, 106),
	(1, 16, 101),
	(1, 16, 102),
	(1, 16, 166),
	(1, 16, 191),
	(1, 16, 116),
	(1, 16, 190),
	(1, 16, 192),
	(1, 16, 193),
	(1, 16, 195),
	(1, 16, 202),
	(1, 16, 205),
	(1, 17, 114),
	(1, 17, 112),
	(1, 17, 111),
	(1, 17, 110),
	(1, 17, 107),
	(1, 17, 106),
	(1, 17, 101),
	(1, 17, 102),
	(1, 17, 166),
	(1, 17, 191),
	(1, 17, 116),
	(1, 17, 190),
	(1, 17, 192),
	(1, 17, 193),
	(1, 17, 195),
	(1, 17, 202),
	(1, 17, 205),
	(1, 18, 114),
	(1, 18, 112),
	(1, 18, 111),
	(1, 18, 110),
	(1, 18, 107),
	(1, 18, 106),
	(1, 18, 101),
	(1, 18, 102),
	(1, 18, 166),
	(1, 18, 191),
	(1, 18, 116),
	(1, 18, 190),
	(1, 18, 192),
	(1, 18, 193),
	(1, 18, 195),
	(1, 18, 202),
	(1, 18, 205),
	(1, 19, 114),
	(1, 19, 112),
	(1, 19, 111),
	(1, 19, 110),
	(1, 19, 107),
	(1, 19, 106),
	(1, 19, 101),
	(1, 19, 102),
	(1, 19, 166),
	(1, 19, 191),
	(1, 19, 116),
	(1, 19, 190),
	(1, 19, 192),
	(1, 19, 193),
	(1, 19, 195),
	(1, 19, 202),
	(1, 19, 205),
	(1, 20, 114),
	(1, 20, 112),
	(1, 20, 111),
	(1, 20, 110),
	(1, 20, 107),
	(1, 20, 106),
	(1, 20, 101),
	(1, 20, 102),
	(1, 20, 166),
	(1, 20, 191),
	(1, 20, 116),
	(1, 20, 190),
	(1, 20, 192),
	(1, 20, 193),
	(1, 20, 195),
	(1, 20, 202),
	(1, 20, 205),
	(1, 21, 114),
	(1, 21, 112),
	(1, 21, 111),
	(1, 21, 110),
	(1, 21, 107),
	(1, 21, 106),
	(1, 21, 101),
	(1, 21, 102),
	(1, 21, 166),
	(1, 21, 191),
	(1, 21, 116),
	(1, 21, 190),
	(1, 21, 192),
	(1, 21, 193),
	(1, 21, 195),
	(1, 21, 202),
	(1, 21, 205),
	(1, 22, 114),
	(1, 22, 112),
	(1, 22, 111),
	(1, 22, 110),
	(1, 22, 107),
	(1, 22, 106),
	(1, 22, 101),
	(1, 22, 102),
	(1, 22, 166),
	(1, 22, 191),
	(1, 22, 116),
	(1, 22, 190),
	(1, 22, 192),
	(1, 22, 193),
	(1, 22, 195),
	(1, 22, 202),
	(1, 22, 205),
	(1, 23, 114),
	(1, 23, 112),
	(1, 23, 111),
	(1, 23, 110),
	(1, 23, 107),
	(1, 23, 106),
	(1, 23, 101),
	(1, 23, 102),
	(1, 23, 166),
	(1, 23, 191),
	(1, 23, 116),
	(1, 23, 190),
	(1, 23, 192),
	(1, 23, 193),
	(1, 23, 195),
	(1, 23, 202),
	(1, 23, 205),
	(1, 24, 114),
	(1, 24, 112),
	(1, 24, 111),
	(1, 24, 110),
	(1, 24, 107),
	(1, 24, 106),
	(1, 24, 101),
	(1, 24, 102),
	(1, 24, 166),
	(1, 24, 191),
	(1, 24, 116),
	(1, 24, 190),
	(1, 24, 192),
	(1, 24, 193),
	(1, 24, 195),
	(1, 24, 202),
	(1, 24, 205),
	(1, 25, 114),
	(1, 25, 112),
	(1, 25, 111),
	(1, 25, 110),
	(1, 25, 107),
	(1, 25, 106),
	(1, 25, 101),
	(1, 25, 102),
	(1, 25, 166),
	(1, 25, 191),
	(1, 25, 116),
	(1, 25, 190),
	(1, 25, 192),
	(1, 25, 193),
	(1, 25, 195),
	(1, 25, 202),
	(1, 25, 205),
	(1, 26, 114),
	(1, 26, 112),
	(1, 26, 111),
	(1, 26, 110),
	(1, 26, 107),
	(1, 26, 106),
	(1, 26, 101),
	(1, 26, 102),
	(1, 26, 166),
	(1, 26, 191),
	(1, 26, 116),
	(1, 26, 190),
	(1, 26, 192),
	(1, 26, 193),
	(1, 26, 195),
	(1, 26, 202),
	(1, 26, 205),
	(1, 27, 114),
	(1, 27, 112),
	(1, 27, 111),
	(1, 27, 110),
	(1, 27, 107),
	(1, 27, 106),
	(1, 27, 101),
	(1, 27, 102),
	(1, 27, 166),
	(1, 27, 191),
	(1, 27, 116),
	(1, 27, 190),
	(1, 27, 192),
	(1, 27, 193),
	(1, 27, 195),
	(1, 27, 202),
	(1, 27, 205),
	(1, 28, 114),
	(1, 28, 112),
	(1, 28, 111),
	(1, 28, 110),
	(1, 28, 107),
	(1, 28, 106),
	(1, 28, 101),
	(1, 28, 102),
	(1, 28, 166),
	(1, 28, 191),
	(1, 28, 116),
	(1, 28, 190),
	(1, 28, 192),
	(1, 28, 193),
	(1, 28, 195),
	(1, 28, 202),
	(1, 28, 205),
	(1, 29, 114),
	(1, 29, 112),
	(1, 29, 111),
	(1, 29, 110),
	(1, 29, 107),
	(1, 29, 106),
	(1, 29, 101),
	(1, 29, 102),
	(1, 29, 166),
	(1, 29, 191),
	(1, 29, 116),
	(1, 29, 190),
	(1, 29, 192),
	(1, 29, 193),
	(1, 29, 195),
	(1, 29, 202),
	(1, 29, 205),
	(1, 30, 114),
	(1, 30, 112),
	(1, 30, 111),
	(1, 30, 110),
	(1, 30, 107),
	(1, 30, 106),
	(1, 30, 101),
	(1, 30, 102),
	(1, 30, 166),
	(1, 30, 191),
	(1, 30, 116),
	(1, 30, 190),
	(1, 30, 192),
	(1, 30, 193),
	(1, 30, 195),
	(1, 30, 202),
	(1, 30, 205),
	(1, 31, 114),
	(1, 31, 112),
	(1, 31, 111),
	(1, 31, 110),
	(1, 31, 107),
	(1, 31, 106),
	(1, 31, 101),
	(1, 31, 102),
	(1, 31, 166),
	(1, 31, 191),
	(1, 31, 116),
	(1, 31, 190),
	(1, 31, 192),
	(1, 31, 193),
	(1, 31, 195),
	(1, 31, 202),
	(1, 31, 205),
	(2, 1, 114),
	(2, 1, 112),
	(2, 1, 111),
	(2, 1, 110),
	(2, 1, 107),
	(2, 1, 106),
	(2, 1, 101),
	(2, 1, 102),
	(2, 1, 166),
	(2, 1, 191),
	(2, 1, 116),
	(2, 1, 190),
	(2, 1, 192),
	(2, 1, 193),
	(2, 1, 195),
	(2, 1, 202),
	(2, 1, 205),
	(2, 2, 114),
	(2, 2, 112),
	(2, 2, 111),
	(2, 2, 110),
	(2, 2, 107),
	(2, 2, 106),
	(2, 2, 101),
	(2, 2, 102),
	(2, 2, 166),
	(2, 2, 191),
	(2, 2, 116),
	(2, 2, 190),
	(2, 2, 192),
	(2, 2, 193),
	(2, 2, 195),
	(2, 2, 202),
	(2, 2, 205),
	(2, 3, 114),
	(2, 3, 112),
	(2, 3, 111),
	(2, 3, 110),
	(2, 3, 107),
	(2, 3, 106),
	(2, 3, 101),
	(2, 3, 102),
	(2, 3, 166),
	(2, 3, 191),
	(2, 3, 116),
	(2, 3, 190),
	(2, 3, 192),
	(2, 3, 193),
	(2, 3, 195),
	(2, 3, 202),
	(2, 3, 205),
	(2, 4, 114),
	(2, 4, 112),
	(2, 4, 111),
	(2, 4, 110),
	(2, 4, 107),
	(2, 4, 106),
	(2, 4, 101),
	(2, 4, 102),
	(2, 4, 166),
	(2, 4, 191),
	(2, 4, 116),
	(2, 4, 190),
	(2, 4, 192),
	(2, 4, 193),
	(2, 4, 195),
	(2, 4, 202),
	(2, 4, 205),
	(2, 5, 114),
	(2, 5, 112),
	(2, 5, 111),
	(2, 5, 110),
	(2, 5, 107),
	(2, 5, 106),
	(2, 5, 101),
	(2, 5, 102),
	(2, 5, 166),
	(2, 5, 191),
	(2, 5, 116),
	(2, 5, 190),
	(2, 5, 192),
	(2, 5, 193),
	(2, 5, 195),
	(2, 5, 202),
	(2, 5, 205),
	(2, 6, 114),
	(2, 6, 112),
	(2, 6, 111),
	(2, 6, 110),
	(2, 6, 107),
	(2, 6, 106),
	(2, 6, 101),
	(2, 6, 102),
	(2, 6, 166),
	(2, 6, 191),
	(2, 6, 116),
	(2, 6, 190),
	(2, 6, 192),
	(2, 6, 193),
	(2, 6, 195),
	(2, 6, 202),
	(2, 6, 205),
	(2, 7, 114),
	(2, 7, 112),
	(2, 7, 111),
	(2, 7, 110),
	(2, 7, 107),
	(2, 7, 106),
	(2, 7, 101),
	(2, 7, 102),
	(2, 7, 166),
	(2, 7, 191),
	(2, 7, 116),
	(2, 7, 190),
	(2, 7, 192),
	(2, 7, 193),
	(2, 7, 195),
	(2, 7, 202),
	(2, 7, 205),
	(2, 8, 114),
	(2, 8, 112),
	(2, 8, 111),
	(2, 8, 110),
	(2, 8, 107),
	(2, 8, 106),
	(2, 8, 101),
	(2, 8, 102),
	(2, 8, 166),
	(2, 8, 191),
	(2, 8, 116),
	(2, 8, 190),
	(2, 8, 192),
	(2, 8, 193),
	(2, 8, 195),
	(2, 8, 202),
	(2, 8, 205),
	(2, 9, 114),
	(2, 9, 112),
	(2, 9, 111),
	(2, 9, 110),
	(2, 9, 107),
	(2, 9, 106),
	(2, 9, 101),
	(2, 9, 102),
	(2, 9, 166),
	(2, 9, 191),
	(2, 9, 116),
	(2, 9, 190),
	(2, 9, 192),
	(2, 9, 193),
	(2, 9, 195),
	(2, 9, 202),
	(2, 9, 205),
	(2, 10, 114),
	(2, 10, 112),
	(2, 10, 111),
	(2, 10, 110),
	(2, 10, 107),
	(2, 10, 106),
	(2, 10, 101),
	(2, 10, 102),
	(2, 10, 166),
	(2, 10, 191),
	(2, 10, 116),
	(2, 10, 190),
	(2, 10, 192),
	(2, 10, 193),
	(2, 10, 195),
	(2, 10, 202),
	(2, 10, 205),
	(2, 11, 114),
	(2, 11, 112),
	(2, 11, 111),
	(2, 11, 110),
	(2, 11, 107),
	(2, 11, 106),
	(2, 11, 101),
	(2, 11, 102),
	(2, 11, 166),
	(2, 11, 191),
	(2, 11, 116),
	(2, 11, 190),
	(2, 11, 192),
	(2, 11, 193),
	(2, 11, 195),
	(2, 11, 202),
	(2, 11, 205),
	(2, 12, 114),
	(2, 12, 112),
	(2, 12, 111),
	(2, 12, 110),
	(2, 12, 107),
	(2, 12, 106),
	(2, 12, 101),
	(2, 12, 102),
	(2, 12, 166),
	(2, 12, 191),
	(2, 12, 116),
	(2, 12, 190),
	(2, 12, 192),
	(2, 12, 193),
	(2, 12, 195),
	(2, 12, 202),
	(2, 12, 205),
	(2, 13, 114),
	(2, 13, 112),
	(2, 13, 111),
	(2, 13, 110),
	(2, 13, 107),
	(2, 13, 106),
	(2, 13, 101),
	(2, 13, 102),
	(2, 13, 166),
	(2, 13, 191),
	(2, 13, 116),
	(2, 13, 190),
	(2, 13, 192),
	(2, 13, 193),
	(2, 13, 195),
	(2, 13, 202),
	(2, 13, 205),
	(2, 14, 114),
	(2, 14, 112),
	(2, 14, 111),
	(2, 14, 110),
	(2, 14, 107),
	(2, 14, 106),
	(2, 14, 101),
	(2, 14, 102),
	(2, 14, 166),
	(2, 14, 191),
	(2, 14, 116),
	(2, 14, 190),
	(2, 14, 192),
	(2, 14, 193),
	(2, 14, 195),
	(2, 14, 202),
	(2, 14, 205),
	(2, 15, 114),
	(2, 15, 112),
	(2, 15, 111),
	(2, 15, 110),
	(2, 15, 107),
	(2, 15, 106),
	(2, 15, 101),
	(2, 15, 102),
	(2, 15, 166),
	(2, 15, 191),
	(2, 15, 116),
	(2, 15, 190),
	(2, 15, 192),
	(2, 15, 193),
	(2, 15, 195),
	(2, 15, 202),
	(2, 15, 205),
	(2, 16, 114),
	(2, 16, 112),
	(2, 16, 111),
	(2, 16, 110),
	(2, 16, 107),
	(2, 16, 106),
	(2, 16, 101),
	(2, 16, 102),
	(2, 16, 166),
	(2, 16, 191),
	(2, 16, 116),
	(2, 16, 190),
	(2, 16, 192),
	(2, 16, 193),
	(2, 16, 195),
	(2, 16, 202),
	(2, 16, 205),
	(2, 17, 114),
	(2, 17, 112),
	(2, 17, 111),
	(2, 17, 110),
	(2, 17, 107),
	(2, 17, 106),
	(2, 17, 101),
	(2, 17, 102),
	(2, 17, 166),
	(2, 17, 191),
	(2, 17, 116),
	(2, 17, 190),
	(2, 17, 192),
	(2, 17, 193),
	(2, 17, 195),
	(2, 17, 202),
	(2, 17, 205),
	(2, 18, 114),
	(2, 18, 112),
	(2, 18, 111),
	(2, 18, 110),
	(2, 18, 107),
	(2, 18, 106),
	(2, 18, 101),
	(2, 18, 102),
	(2, 18, 166),
	(2, 18, 191),
	(2, 18, 116),
	(2, 18, 190),
	(2, 18, 192),
	(2, 18, 193),
	(2, 18, 195),
	(2, 18, 202),
	(2, 18, 205),
	(2, 19, 114),
	(2, 19, 112),
	(2, 19, 111),
	(2, 19, 110),
	(2, 19, 107),
	(2, 19, 106),
	(2, 19, 101),
	(2, 19, 102),
	(2, 19, 166),
	(2, 19, 191),
	(2, 19, 116),
	(2, 19, 190),
	(2, 19, 192),
	(2, 19, 193),
	(2, 19, 195),
	(2, 19, 202),
	(2, 19, 205),
	(2, 20, 114),
	(2, 20, 112),
	(2, 20, 111),
	(2, 20, 110),
	(2, 20, 107),
	(2, 20, 106),
	(2, 20, 101),
	(2, 20, 102),
	(2, 20, 166),
	(2, 20, 191),
	(2, 20, 116),
	(2, 20, 190),
	(2, 20, 192),
	(2, 20, 193),
	(2, 20, 195),
	(2, 20, 202),
	(2, 20, 205),
	(2, 21, 114),
	(2, 21, 112),
	(2, 21, 111),
	(2, 21, 110),
	(2, 21, 107),
	(2, 21, 106),
	(2, 21, 101),
	(2, 21, 102),
	(2, 21, 166),
	(2, 21, 191),
	(2, 21, 116),
	(2, 21, 190),
	(2, 21, 192),
	(2, 21, 193),
	(2, 21, 195),
	(2, 21, 202),
	(2, 21, 205),
	(2, 22, 114),
	(2, 22, 112),
	(2, 22, 111),
	(2, 22, 110),
	(2, 22, 107),
	(2, 22, 106),
	(2, 22, 101),
	(2, 22, 102),
	(2, 22, 166),
	(2, 22, 191),
	(2, 22, 116),
	(2, 22, 190),
	(2, 22, 192),
	(2, 22, 193),
	(2, 22, 195),
	(2, 22, 202),
	(2, 22, 205),
	(2, 23, 114),
	(2, 23, 112),
	(2, 23, 111),
	(2, 23, 110),
	(2, 23, 107),
	(2, 23, 106),
	(2, 23, 101),
	(2, 23, 102),
	(2, 23, 166),
	(2, 23, 191),
	(2, 23, 116),
	(2, 23, 190),
	(2, 23, 192),
	(2, 23, 193),
	(2, 23, 195),
	(2, 23, 202),
	(2, 23, 205),
	(2, 24, 114),
	(2, 24, 112),
	(2, 24, 111),
	(2, 24, 110),
	(2, 24, 107),
	(2, 24, 106),
	(2, 24, 101),
	(2, 24, 102),
	(2, 24, 166),
	(2, 24, 191),
	(2, 24, 116),
	(2, 24, 190),
	(2, 24, 192),
	(2, 24, 193),
	(2, 24, 195),
	(2, 24, 202),
	(2, 24, 205),
	(2, 25, 114),
	(2, 25, 112),
	(2, 25, 111),
	(2, 25, 110),
	(2, 25, 107),
	(2, 25, 106),
	(2, 25, 101),
	(2, 25, 102),
	(2, 25, 166),
	(2, 25, 191),
	(2, 25, 116),
	(2, 25, 190),
	(2, 25, 192),
	(2, 25, 193),
	(2, 25, 195),
	(2, 25, 202),
	(2, 25, 205),
	(2, 26, 114),
	(2, 26, 112),
	(2, 26, 111),
	(2, 26, 110),
	(2, 26, 107),
	(2, 26, 106),
	(2, 26, 101),
	(2, 26, 102),
	(2, 26, 166),
	(2, 26, 191),
	(2, 26, 116),
	(2, 26, 190),
	(2, 26, 192),
	(2, 26, 193),
	(2, 26, 195),
	(2, 26, 202),
	(2, 26, 205),
	(2, 27, 114),
	(2, 27, 112),
	(2, 27, 111),
	(2, 27, 110),
	(2, 27, 107),
	(2, 27, 106),
	(2, 27, 101),
	(2, 27, 102),
	(2, 27, 166),
	(2, 27, 191),
	(2, 27, 116),
	(2, 27, 190),
	(2, 27, 192),
	(2, 27, 193),
	(2, 27, 195),
	(2, 27, 202),
	(2, 27, 205),
	(2, 28, 114),
	(2, 28, 112),
	(2, 28, 111),
	(2, 28, 110),
	(2, 28, 107),
	(2, 28, 106),
	(2, 28, 101),
	(2, 28, 102),
	(2, 28, 166),
	(2, 28, 191),
	(2, 28, 116),
	(2, 28, 190),
	(2, 28, 192),
	(2, 28, 193),
	(2, 28, 195),
	(2, 28, 202),
	(2, 28, 205),
	(3, 1, 114),
	(3, 1, 112),
	(3, 1, 111),
	(3, 1, 110),
	(3, 1, 107),
	(3, 1, 106),
	(3, 1, 101),
	(3, 1, 102),
	(3, 1, 166),
	(3, 1, 191),
	(3, 1, 116),
	(3, 1, 190),
	(3, 1, 192),
	(3, 1, 193),
	(3, 1, 195),
	(3, 1, 202),
	(3, 1, 205),
	(3, 2, 114),
	(3, 2, 112),
	(3, 2, 111),
	(3, 2, 110),
	(3, 2, 107),
	(3, 2, 106),
	(3, 2, 101),
	(3, 2, 102),
	(3, 2, 166),
	(3, 2, 191),
	(3, 2, 116),
	(3, 2, 190),
	(3, 2, 192),
	(3, 2, 193),
	(3, 2, 195),
	(3, 2, 202),
	(3, 2, 205),
	(3, 3, 114),
	(3, 3, 112),
	(3, 3, 111),
	(3, 3, 110),
	(3, 3, 107),
	(3, 3, 106),
	(3, 3, 101),
	(3, 3, 102),
	(3, 3, 166),
	(3, 3, 191),
	(3, 3, 116),
	(3, 3, 190),
	(3, 3, 192),
	(3, 3, 193),
	(3, 3, 195),
	(3, 3, 202),
	(3, 3, 205),
	(3, 4, 114),
	(3, 4, 112),
	(3, 4, 111),
	(3, 4, 110),
	(3, 4, 107),
	(3, 4, 106),
	(3, 4, 101),
	(3, 4, 102),
	(3, 4, 166),
	(3, 4, 191),
	(3, 4, 116),
	(3, 4, 190),
	(3, 4, 192),
	(3, 4, 193),
	(3, 4, 195),
	(3, 4, 202),
	(3, 4, 205),
	(3, 5, 114),
	(3, 5, 112),
	(3, 5, 111),
	(3, 5, 110),
	(3, 5, 107),
	(3, 5, 106),
	(3, 5, 101),
	(3, 5, 102),
	(3, 5, 166),
	(3, 5, 191),
	(3, 5, 116),
	(3, 5, 190),
	(3, 5, 192),
	(3, 5, 193),
	(3, 5, 195),
	(3, 5, 202),
	(3, 5, 205),
	(3, 6, 114),
	(3, 6, 112),
	(3, 6, 111),
	(3, 6, 110),
	(3, 6, 107),
	(3, 6, 106),
	(3, 6, 101),
	(3, 6, 102),
	(3, 6, 166),
	(3, 6, 191),
	(3, 6, 116),
	(3, 6, 190),
	(3, 6, 192),
	(3, 6, 193),
	(3, 6, 195),
	(3, 6, 202),
	(3, 6, 205),
	(3, 7, 114),
	(3, 7, 112),
	(3, 7, 111),
	(3, 7, 110),
	(3, 7, 107),
	(3, 7, 106),
	(3, 7, 101),
	(3, 7, 102),
	(3, 7, 166),
	(3, 7, 191),
	(3, 7, 116),
	(3, 7, 190),
	(3, 7, 192),
	(3, 7, 193),
	(3, 7, 195),
	(3, 7, 202),
	(3, 7, 205),
	(3, 8, 114),
	(3, 8, 112),
	(3, 8, 111),
	(3, 8, 110),
	(3, 8, 107),
	(3, 8, 106),
	(3, 8, 101),
	(3, 8, 102),
	(3, 8, 166),
	(3, 8, 191),
	(3, 8, 116),
	(3, 8, 190),
	(3, 8, 192),
	(3, 8, 193),
	(3, 8, 195),
	(3, 8, 202),
	(3, 8, 205),
	(3, 9, 114),
	(3, 9, 112),
	(3, 9, 111),
	(3, 9, 110),
	(3, 9, 107),
	(3, 9, 106),
	(3, 9, 101),
	(3, 9, 102),
	(3, 9, 166),
	(3, 9, 191),
	(3, 9, 116),
	(3, 9, 190),
	(3, 9, 192),
	(3, 9, 193),
	(3, 9, 195),
	(3, 9, 202),
	(3, 9, 205),
	(3, 10, 114),
	(3, 10, 112),
	(3, 10, 111),
	(3, 10, 110),
	(3, 10, 107),
	(3, 10, 106),
	(3, 10, 101),
	(3, 10, 102),
	(3, 10, 166),
	(3, 10, 191),
	(3, 10, 116),
	(3, 10, 190),
	(3, 10, 192),
	(3, 10, 193),
	(3, 10, 195),
	(3, 10, 202),
	(3, 10, 205),
	(3, 11, 114),
	(3, 11, 112),
	(3, 11, 111),
	(3, 11, 110),
	(3, 11, 107),
	(3, 11, 106),
	(3, 11, 101),
	(3, 11, 102),
	(3, 11, 166),
	(3, 11, 191),
	(3, 11, 116),
	(3, 11, 190),
	(3, 11, 192),
	(3, 11, 193),
	(3, 11, 195),
	(3, 11, 202),
	(3, 11, 205),
	(3, 12, 114),
	(3, 12, 112),
	(3, 12, 111),
	(3, 12, 110),
	(3, 12, 107),
	(3, 12, 106),
	(3, 12, 101),
	(3, 12, 102),
	(3, 12, 166),
	(3, 12, 191),
	(3, 12, 116),
	(3, 12, 190),
	(3, 12, 192),
	(3, 12, 193),
	(3, 12, 195),
	(3, 12, 202),
	(3, 12, 205),
	(3, 13, 114),
	(3, 13, 112),
	(3, 13, 111),
	(3, 13, 110),
	(3, 13, 107),
	(3, 13, 106),
	(3, 13, 101),
	(3, 13, 102),
	(3, 13, 166),
	(3, 13, 191),
	(3, 13, 116),
	(3, 13, 190),
	(3, 13, 192),
	(3, 13, 193),
	(3, 13, 195),
	(3, 13, 202),
	(3, 13, 205),
	(3, 14, 114),
	(3, 14, 112),
	(3, 14, 111),
	(3, 14, 110),
	(3, 14, 107),
	(3, 14, 106),
	(3, 14, 101),
	(3, 14, 102),
	(3, 14, 166),
	(3, 14, 191),
	(3, 14, 116),
	(3, 14, 190),
	(3, 14, 192),
	(3, 14, 193),
	(3, 14, 195),
	(3, 14, 202),
	(3, 14, 205),
	(3, 15, 114),
	(3, 15, 112),
	(3, 15, 111),
	(3, 15, 110),
	(3, 15, 107),
	(3, 15, 106),
	(3, 15, 101),
	(3, 15, 102),
	(3, 15, 166),
	(3, 15, 191),
	(3, 15, 116),
	(3, 15, 190),
	(3, 15, 192),
	(3, 15, 193),
	(3, 15, 195),
	(3, 15, 202),
	(3, 15, 205),
	(3, 16, 114),
	(3, 16, 112),
	(3, 16, 111),
	(3, 16, 110),
	(3, 16, 107),
	(3, 16, 106),
	(3, 16, 101),
	(3, 16, 102),
	(3, 16, 166),
	(3, 16, 191),
	(3, 16, 116),
	(3, 16, 190),
	(3, 16, 192),
	(3, 16, 193),
	(3, 16, 195),
	(3, 16, 202),
	(3, 16, 205),
	(3, 17, 114),
	(3, 17, 112),
	(3, 17, 111),
	(3, 17, 110),
	(3, 17, 107),
	(3, 17, 106),
	(3, 17, 101),
	(3, 17, 102),
	(3, 17, 166),
	(3, 17, 191),
	(3, 17, 116),
	(3, 17, 190),
	(3, 17, 192),
	(3, 17, 193),
	(3, 17, 195),
	(3, 17, 202),
	(3, 17, 205),
	(3, 18, 114),
	(3, 18, 112),
	(3, 18, 111),
	(3, 18, 110),
	(3, 18, 107),
	(3, 18, 106),
	(3, 18, 101),
	(3, 18, 102),
	(3, 18, 166),
	(3, 18, 191),
	(3, 18, 116),
	(3, 18, 190),
	(3, 18, 192),
	(3, 18, 193),
	(3, 18, 195),
	(3, 18, 202),
	(3, 18, 205),
	(3, 19, 114),
	(3, 19, 112),
	(3, 19, 111),
	(3, 19, 110),
	(3, 19, 107),
	(3, 19, 106),
	(3, 19, 101),
	(3, 19, 102),
	(3, 19, 166),
	(3, 19, 191),
	(3, 19, 116),
	(3, 19, 190),
	(3, 19, 192),
	(3, 19, 193),
	(3, 19, 195),
	(3, 19, 202),
	(3, 19, 205),
	(3, 20, 114),
	(3, 20, 112),
	(3, 20, 111),
	(3, 20, 110),
	(3, 20, 107),
	(3, 20, 106),
	(3, 20, 101),
	(3, 20, 102),
	(3, 20, 166),
	(3, 20, 191),
	(3, 20, 116),
	(3, 20, 190),
	(3, 20, 192),
	(3, 20, 193),
	(3, 20, 195),
	(3, 20, 202),
	(3, 20, 205),
	(3, 21, 114),
	(3, 21, 112),
	(3, 21, 111),
	(3, 21, 110),
	(3, 21, 107),
	(3, 21, 106),
	(3, 21, 101),
	(3, 21, 102),
	(3, 21, 166),
	(3, 21, 191),
	(3, 21, 116),
	(3, 21, 190),
	(3, 21, 192),
	(3, 21, 193),
	(3, 21, 195),
	(3, 21, 202),
	(3, 21, 205),
	(3, 22, 114),
	(3, 22, 112),
	(3, 22, 111),
	(3, 22, 110),
	(3, 22, 107),
	(3, 22, 106),
	(3, 22, 101),
	(3, 22, 102),
	(3, 22, 166),
	(3, 22, 191),
	(3, 22, 116),
	(3, 22, 190),
	(3, 22, 192),
	(3, 22, 193),
	(3, 22, 195),
	(3, 22, 202),
	(3, 22, 205),
	(3, 23, 114),
	(3, 23, 112),
	(3, 23, 111),
	(3, 23, 110),
	(3, 23, 107),
	(3, 23, 106),
	(3, 23, 101),
	(3, 23, 102),
	(3, 23, 166),
	(3, 23, 191),
	(3, 23, 116),
	(3, 23, 190),
	(3, 23, 192),
	(3, 23, 193),
	(3, 23, 195),
	(3, 23, 202),
	(3, 23, 205),
	(3, 24, 114),
	(3, 24, 112),
	(3, 24, 111),
	(3, 24, 110),
	(3, 24, 107),
	(3, 24, 106),
	(3, 24, 101),
	(3, 24, 102),
	(3, 24, 166),
	(3, 24, 191),
	(3, 24, 116),
	(3, 24, 190),
	(3, 24, 192),
	(3, 24, 193),
	(3, 24, 195),
	(3, 24, 202),
	(3, 24, 205),
	(3, 25, 114),
	(3, 25, 112),
	(3, 25, 111),
	(3, 25, 110),
	(3, 25, 107),
	(3, 25, 106),
	(3, 25, 101),
	(3, 25, 102),
	(3, 25, 166),
	(3, 25, 191),
	(3, 25, 116),
	(3, 25, 190),
	(3, 25, 192),
	(3, 25, 193),
	(3, 25, 195),
	(3, 25, 202),
	(3, 25, 205),
	(3, 26, 114),
	(3, 26, 112),
	(3, 26, 111),
	(3, 26, 110),
	(3, 26, 107),
	(3, 26, 106),
	(3, 26, 101),
	(3, 26, 102),
	(3, 26, 166),
	(3, 26, 191),
	(3, 26, 116),
	(3, 26, 190),
	(3, 26, 192),
	(3, 26, 193),
	(3, 26, 195),
	(3, 26, 202),
	(3, 26, 205),
	(3, 27, 114),
	(3, 27, 112),
	(3, 27, 111),
	(3, 27, 110),
	(3, 27, 107),
	(3, 27, 106),
	(3, 27, 101),
	(3, 27, 102),
	(3, 27, 166),
	(3, 27, 191),
	(3, 27, 116),
	(3, 27, 190),
	(3, 27, 192),
	(3, 27, 193),
	(3, 27, 195),
	(3, 27, 202),
	(3, 27, 205),
	(3, 28, 114),
	(3, 28, 112),
	(3, 28, 111),
	(3, 28, 110),
	(3, 28, 107),
	(3, 28, 106),
	(3, 28, 101),
	(3, 28, 102),
	(3, 28, 166),
	(3, 28, 191),
	(3, 28, 116),
	(3, 28, 190),
	(3, 28, 192),
	(3, 28, 193),
	(3, 28, 195),
	(3, 28, 202),
	(3, 28, 205),
	(3, 29, 114),
	(3, 29, 112),
	(3, 29, 111),
	(3, 29, 110),
	(3, 29, 107),
	(3, 29, 106),
	(3, 29, 101),
	(3, 29, 102),
	(3, 29, 166),
	(3, 29, 191),
	(3, 29, 116),
	(3, 29, 190),
	(3, 29, 192),
	(3, 29, 193),
	(3, 29, 195),
	(3, 29, 202),
	(3, 29, 205),
	(3, 30, 114),
	(3, 30, 112),
	(3, 30, 111),
	(3, 30, 110),
	(3, 30, 107),
	(3, 30, 106),
	(3, 30, 101),
	(3, 30, 102),
	(3, 30, 166),
	(3, 30, 191),
	(3, 30, 116),
	(3, 30, 190),
	(3, 30, 192),
	(3, 30, 193),
	(3, 30, 195),
	(3, 30, 202),
	(3, 30, 205),
	(3, 31, 114),
	(3, 31, 112),
	(3, 31, 111),
	(3, 31, 110),
	(3, 31, 107),
	(3, 31, 106),
	(3, 31, 101),
	(3, 31, 102),
	(3, 31, 166),
	(3, 31, 191),
	(3, 31, 116),
	(3, 31, 190),
	(3, 31, 192),
	(3, 31, 193),
	(3, 31, 195),
	(3, 31, 202),
	(3, 31, 205),
	(4, 1, 114),
	(4, 1, 112),
	(4, 1, 111),
	(4, 1, 110),
	(4, 1, 107),
	(4, 1, 106),
	(4, 1, 101),
	(4, 1, 102),
	(4, 1, 166),
	(4, 1, 191),
	(4, 1, 116),
	(4, 1, 190),
	(4, 1, 192),
	(4, 1, 193),
	(4, 1, 195),
	(4, 1, 202),
	(4, 1, 205),
	(4, 2, 114),
	(4, 2, 112),
	(4, 2, 111),
	(4, 2, 110),
	(4, 2, 107),
	(4, 2, 106),
	(4, 2, 101),
	(4, 2, 102),
	(4, 2, 166),
	(4, 2, 191),
	(4, 2, 116),
	(4, 2, 190),
	(4, 2, 192),
	(4, 2, 193),
	(4, 2, 195),
	(4, 2, 202),
	(4, 2, 205),
	(4, 3, 114),
	(4, 3, 112),
	(4, 3, 111),
	(4, 3, 110),
	(4, 3, 107),
	(4, 3, 106),
	(4, 3, 101),
	(4, 3, 102),
	(4, 3, 166),
	(4, 3, 191),
	(4, 3, 116),
	(4, 3, 190),
	(4, 3, 192),
	(4, 3, 193),
	(4, 3, 195),
	(4, 3, 202),
	(4, 3, 205),
	(4, 4, 114),
	(4, 4, 112),
	(4, 4, 111),
	(4, 4, 110),
	(4, 4, 107),
	(4, 4, 106),
	(4, 4, 101),
	(4, 4, 102),
	(4, 4, 166),
	(4, 4, 191),
	(4, 4, 116),
	(4, 4, 190),
	(4, 4, 192),
	(4, 4, 193),
	(4, 4, 195),
	(4, 4, 202),
	(4, 4, 205),
	(4, 5, 114),
	(4, 5, 112),
	(4, 5, 111),
	(4, 5, 110),
	(4, 5, 107),
	(4, 5, 106),
	(4, 5, 101),
	(4, 5, 102),
	(4, 5, 166),
	(4, 5, 191),
	(4, 5, 116),
	(4, 5, 190),
	(4, 5, 192),
	(4, 5, 193),
	(4, 5, 195),
	(4, 5, 202),
	(4, 5, 205),
	(4, 6, 114),
	(4, 6, 112),
	(4, 6, 111),
	(4, 6, 110),
	(4, 6, 107),
	(4, 6, 106),
	(4, 6, 101),
	(4, 6, 102),
	(4, 6, 166),
	(4, 6, 191),
	(4, 6, 116),
	(4, 6, 190),
	(4, 6, 192),
	(4, 6, 193),
	(4, 6, 195),
	(4, 6, 202),
	(4, 6, 205),
	(4, 7, 114),
	(4, 7, 112),
	(4, 7, 111),
	(4, 7, 110),
	(4, 7, 107),
	(4, 7, 106),
	(4, 7, 101),
	(4, 7, 102),
	(4, 7, 166),
	(4, 7, 191),
	(4, 7, 116),
	(4, 7, 190),
	(4, 7, 192),
	(4, 7, 193),
	(4, 7, 195),
	(4, 7, 202),
	(4, 7, 205),
	(4, 8, 114),
	(4, 8, 112),
	(4, 8, 111),
	(4, 8, 110),
	(4, 8, 107),
	(4, 8, 106),
	(4, 8, 101),
	(4, 8, 102),
	(4, 8, 166),
	(4, 8, 191),
	(4, 8, 116),
	(4, 8, 190),
	(4, 8, 192),
	(4, 8, 193),
	(4, 8, 195),
	(4, 8, 202),
	(4, 8, 205),
	(4, 9, 114),
	(4, 9, 112),
	(4, 9, 111),
	(4, 9, 110),
	(4, 9, 107),
	(4, 9, 106),
	(4, 9, 101),
	(4, 9, 102),
	(4, 9, 166),
	(4, 9, 191),
	(4, 9, 116),
	(4, 9, 190),
	(4, 9, 192),
	(4, 9, 193),
	(4, 9, 195),
	(4, 9, 202),
	(4, 9, 205),
	(4, 10, 114),
	(4, 10, 112),
	(4, 10, 111),
	(4, 10, 110),
	(4, 10, 107),
	(4, 10, 106),
	(4, 10, 101),
	(4, 10, 102),
	(4, 10, 166),
	(4, 10, 191),
	(4, 10, 116),
	(4, 10, 190),
	(4, 10, 192),
	(4, 10, 193),
	(4, 10, 195),
	(4, 10, 202),
	(4, 10, 205),
	(4, 11, 114),
	(4, 11, 112),
	(4, 11, 111),
	(4, 11, 110),
	(4, 11, 107),
	(4, 11, 106),
	(4, 11, 101),
	(4, 11, 102),
	(4, 11, 166),
	(4, 11, 191),
	(4, 11, 116),
	(4, 11, 190),
	(4, 11, 192),
	(4, 11, 193),
	(4, 11, 195),
	(4, 11, 202),
	(4, 11, 205),
	(4, 12, 114),
	(4, 12, 112),
	(4, 12, 111),
	(4, 12, 110),
	(4, 12, 107),
	(4, 12, 106),
	(4, 12, 101),
	(4, 12, 102),
	(4, 12, 166),
	(4, 12, 191),
	(4, 12, 116),
	(4, 12, 190),
	(4, 12, 192),
	(4, 12, 193),
	(4, 12, 195),
	(4, 12, 202),
	(4, 12, 205),
	(4, 13, 114),
	(4, 13, 112),
	(4, 13, 111),
	(4, 13, 110),
	(4, 13, 107),
	(4, 13, 106),
	(4, 13, 101),
	(4, 13, 102),
	(4, 13, 166),
	(4, 13, 191),
	(4, 13, 116),
	(4, 13, 190),
	(4, 13, 192),
	(4, 13, 193),
	(4, 13, 195),
	(4, 13, 202),
	(4, 13, 205),
	(4, 14, 114),
	(4, 14, 112),
	(4, 14, 111),
	(4, 14, 110),
	(4, 14, 107),
	(4, 14, 106),
	(4, 14, 101),
	(4, 14, 102),
	(4, 14, 166),
	(4, 14, 191),
	(4, 14, 116),
	(4, 14, 190),
	(4, 14, 192),
	(4, 14, 193),
	(4, 14, 195),
	(4, 14, 202),
	(4, 14, 205),
	(4, 15, 114),
	(4, 15, 112),
	(4, 15, 111),
	(4, 15, 110),
	(4, 15, 107),
	(4, 15, 106),
	(4, 15, 101),
	(4, 15, 102),
	(4, 15, 166),
	(4, 15, 191),
	(4, 15, 116),
	(4, 15, 190),
	(4, 15, 192),
	(4, 15, 193),
	(4, 15, 195),
	(4, 15, 202),
	(4, 15, 205),
	(4, 16, 114),
	(4, 16, 112),
	(4, 16, 111),
	(4, 16, 110),
	(4, 16, 107),
	(4, 16, 106),
	(4, 16, 101),
	(4, 16, 102),
	(4, 16, 166),
	(4, 16, 191),
	(4, 16, 116),
	(4, 16, 190),
	(4, 16, 192),
	(4, 16, 193),
	(4, 16, 195),
	(4, 16, 202),
	(4, 16, 205),
	(4, 17, 114),
	(4, 17, 112),
	(4, 17, 111),
	(4, 17, 110),
	(4, 17, 107),
	(4, 17, 106),
	(4, 17, 101),
	(4, 17, 102),
	(4, 17, 166),
	(4, 17, 191),
	(4, 17, 116),
	(4, 17, 190),
	(4, 17, 192),
	(4, 17, 193),
	(4, 17, 195),
	(4, 17, 202),
	(4, 17, 205),
	(4, 18, 114),
	(4, 18, 112),
	(4, 18, 111),
	(4, 18, 110),
	(4, 18, 107),
	(4, 18, 106),
	(4, 18, 101),
	(4, 18, 102),
	(4, 18, 166),
	(4, 18, 191),
	(4, 18, 116),
	(4, 18, 190),
	(4, 18, 192),
	(4, 18, 193),
	(4, 18, 195),
	(4, 18, 202),
	(4, 18, 205),
	(4, 19, 114),
	(4, 19, 112),
	(4, 19, 111),
	(4, 19, 110),
	(4, 19, 107),
	(4, 19, 106),
	(4, 19, 101),
	(4, 19, 102),
	(4, 19, 166),
	(4, 19, 191),
	(4, 19, 116),
	(4, 19, 190),
	(4, 19, 192),
	(4, 19, 193),
	(4, 19, 195),
	(4, 19, 202),
	(4, 19, 205),
	(4, 20, 114),
	(4, 20, 112),
	(4, 20, 111),
	(4, 20, 110),
	(4, 20, 107),
	(4, 20, 106),
	(4, 20, 101),
	(4, 20, 102),
	(4, 20, 166),
	(4, 20, 191),
	(4, 20, 116),
	(4, 20, 190),
	(4, 20, 192),
	(4, 20, 193),
	(4, 20, 195),
	(4, 20, 202),
	(4, 20, 205),
	(4, 21, 114),
	(4, 21, 112),
	(4, 21, 111),
	(4, 21, 110),
	(4, 21, 107),
	(4, 21, 106),
	(4, 21, 101),
	(4, 21, 102),
	(4, 21, 166),
	(4, 21, 191),
	(4, 21, 116),
	(4, 21, 190),
	(4, 21, 192),
	(4, 21, 193),
	(4, 21, 195),
	(4, 21, 202),
	(4, 21, 205),
	(4, 22, 114),
	(4, 22, 112),
	(4, 22, 111),
	(4, 22, 110),
	(4, 22, 107),
	(4, 22, 106),
	(4, 22, 101),
	(4, 22, 102),
	(4, 22, 166),
	(4, 22, 191),
	(4, 22, 116),
	(4, 22, 190),
	(4, 22, 192),
	(4, 22, 193),
	(4, 22, 195),
	(4, 22, 202),
	(4, 22, 205),
	(4, 23, 114),
	(4, 23, 112),
	(4, 23, 111),
	(4, 23, 110),
	(4, 23, 107),
	(4, 23, 106),
	(4, 23, 101),
	(4, 23, 102),
	(4, 23, 166),
	(4, 23, 191),
	(4, 23, 116),
	(4, 23, 190),
	(4, 23, 192),
	(4, 23, 193),
	(4, 23, 195),
	(4, 23, 202),
	(4, 23, 205),
	(4, 24, 114),
	(4, 24, 112),
	(4, 24, 111),
	(4, 24, 110),
	(4, 24, 107),
	(4, 24, 106),
	(4, 24, 101),
	(4, 24, 102),
	(4, 24, 166),
	(4, 24, 191),
	(4, 24, 116),
	(4, 24, 190),
	(4, 24, 192),
	(4, 24, 193),
	(4, 24, 195),
	(4, 24, 202),
	(4, 24, 205),
	(4, 25, 114),
	(4, 25, 112),
	(4, 25, 111),
	(4, 25, 110),
	(4, 25, 107),
	(4, 25, 106),
	(4, 25, 101),
	(4, 25, 102),
	(4, 25, 166),
	(4, 25, 191),
	(4, 25, 116),
	(4, 25, 190),
	(4, 25, 192),
	(4, 25, 193),
	(4, 25, 195),
	(4, 25, 202),
	(4, 25, 205),
	(4, 26, 114),
	(4, 26, 112),
	(4, 26, 111),
	(4, 26, 110),
	(4, 26, 107),
	(4, 26, 106),
	(4, 26, 101),
	(4, 26, 102),
	(4, 26, 166),
	(4, 26, 191),
	(4, 26, 116),
	(4, 26, 190),
	(4, 26, 192),
	(4, 26, 193),
	(4, 26, 195),
	(4, 26, 202),
	(4, 26, 205),
	(4, 27, 114),
	(4, 27, 112),
	(4, 27, 111),
	(4, 27, 110),
	(4, 27, 107),
	(4, 27, 106),
	(4, 27, 101),
	(4, 27, 102),
	(4, 27, 166),
	(4, 27, 191),
	(4, 27, 116),
	(4, 27, 190),
	(4, 27, 192),
	(4, 27, 193),
	(4, 27, 195),
	(4, 27, 202),
	(4, 27, 205),
	(4, 28, 114),
	(4, 28, 112),
	(4, 28, 111),
	(4, 28, 110),
	(4, 28, 107),
	(4, 28, 106),
	(4, 28, 101),
	(4, 28, 102),
	(4, 28, 166),
	(4, 28, 191),
	(4, 28, 116),
	(4, 28, 190),
	(4, 28, 192),
	(4, 28, 193),
	(4, 28, 195),
	(4, 28, 202),
	(4, 28, 205),
	(4, 29, 114),
	(4, 29, 112),
	(4, 29, 111),
	(4, 29, 110),
	(4, 29, 107),
	(4, 29, 106),
	(4, 29, 101),
	(4, 29, 102),
	(4, 29, 166),
	(4, 29, 191),
	(4, 29, 116),
	(4, 29, 190),
	(4, 29, 192),
	(4, 29, 193),
	(4, 29, 195),
	(4, 29, 202),
	(4, 29, 205),
	(4, 30, 114),
	(4, 30, 112),
	(4, 30, 111),
	(4, 30, 110),
	(4, 30, 107),
	(4, 30, 106),
	(4, 30, 101),
	(4, 30, 102),
	(4, 30, 166),
	(4, 30, 191),
	(4, 30, 116),
	(4, 30, 190),
	(4, 30, 192),
	(4, 30, 193),
	(4, 30, 195),
	(4, 30, 202),
	(4, 30, 205),
	(5, 1, 114),
	(5, 1, 112),
	(5, 1, 111),
	(5, 1, 110),
	(5, 1, 107),
	(5, 1, 106),
	(5, 1, 101),
	(5, 1, 102),
	(5, 1, 166),
	(5, 1, 191),
	(5, 1, 116),
	(5, 1, 190),
	(5, 1, 192),
	(5, 1, 193),
	(5, 1, 195),
	(5, 1, 202),
	(5, 1, 205),
	(5, 2, 114),
	(5, 2, 112),
	(5, 2, 111),
	(5, 2, 110),
	(5, 2, 107),
	(5, 2, 106),
	(5, 2, 101),
	(5, 2, 102),
	(5, 2, 166),
	(5, 2, 191),
	(5, 2, 116),
	(5, 2, 190),
	(5, 2, 192),
	(5, 2, 193),
	(5, 2, 195),
	(5, 2, 202),
	(5, 2, 205),
	(5, 3, 114),
	(5, 3, 112),
	(5, 3, 111),
	(5, 3, 110),
	(5, 3, 107),
	(5, 3, 106),
	(5, 3, 101),
	(5, 3, 102),
	(5, 3, 166),
	(5, 3, 191),
	(5, 3, 116),
	(5, 3, 190),
	(5, 3, 192),
	(5, 3, 193),
	(5, 3, 195),
	(5, 3, 202),
	(5, 3, 205),
	(5, 4, 114),
	(5, 4, 112),
	(5, 4, 111),
	(5, 4, 110),
	(5, 4, 107),
	(5, 4, 106),
	(5, 4, 101),
	(5, 4, 102),
	(5, 4, 166),
	(5, 4, 191),
	(5, 4, 116),
	(5, 4, 190),
	(5, 4, 192),
	(5, 4, 193),
	(5, 4, 195),
	(5, 4, 202),
	(5, 4, 205),
	(5, 5, 114),
	(5, 5, 112),
	(5, 5, 111),
	(5, 5, 110),
	(5, 5, 107),
	(5, 5, 106),
	(5, 5, 101),
	(5, 5, 102),
	(5, 5, 166),
	(5, 5, 191),
	(5, 5, 116),
	(5, 5, 190),
	(5, 5, 192),
	(5, 5, 193),
	(5, 5, 195),
	(5, 5, 202),
	(5, 5, 205),
	(5, 6, 114),
	(5, 6, 112),
	(5, 6, 111),
	(5, 6, 110),
	(5, 6, 107),
	(5, 6, 106),
	(5, 6, 101),
	(5, 6, 102),
	(5, 6, 166),
	(5, 6, 191),
	(5, 6, 116),
	(5, 6, 190),
	(5, 6, 192),
	(5, 6, 193),
	(5, 6, 195),
	(5, 6, 202),
	(5, 6, 205),
	(5, 7, 114),
	(5, 7, 112),
	(5, 7, 111),
	(5, 7, 110),
	(5, 7, 107),
	(5, 7, 106),
	(5, 7, 101),
	(5, 7, 102),
	(5, 7, 166),
	(5, 7, 191),
	(5, 7, 116),
	(5, 7, 190),
	(5, 7, 192),
	(5, 7, 193),
	(5, 7, 195),
	(5, 7, 202),
	(5, 7, 205),
	(5, 8, 114),
	(5, 8, 112),
	(5, 8, 111),
	(5, 8, 110),
	(5, 8, 107),
	(5, 8, 106),
	(5, 8, 101),
	(5, 8, 102),
	(5, 8, 166),
	(5, 8, 191),
	(5, 8, 116),
	(5, 8, 190),
	(5, 8, 192),
	(5, 8, 193),
	(5, 8, 195),
	(5, 8, 202),
	(5, 8, 205),
	(5, 9, 114),
	(5, 9, 112),
	(5, 9, 111),
	(5, 9, 110),
	(5, 9, 107),
	(5, 9, 106),
	(5, 9, 101),
	(5, 9, 102),
	(5, 9, 166),
	(5, 9, 191),
	(5, 9, 116),
	(5, 9, 190),
	(5, 9, 192),
	(5, 9, 193),
	(5, 9, 195),
	(5, 9, 202),
	(5, 9, 205),
	(5, 10, 114),
	(5, 10, 112),
	(5, 10, 111),
	(5, 10, 110),
	(5, 10, 107),
	(5, 10, 106),
	(5, 10, 101),
	(5, 10, 102),
	(5, 10, 166),
	(5, 10, 191),
	(5, 10, 116),
	(5, 10, 190),
	(5, 10, 192),
	(5, 10, 193),
	(5, 10, 195),
	(5, 10, 202),
	(5, 10, 205),
	(5, 11, 114),
	(5, 11, 112),
	(5, 11, 111),
	(5, 11, 110),
	(5, 11, 107),
	(5, 11, 106),
	(5, 11, 101),
	(5, 11, 102),
	(5, 11, 166),
	(5, 11, 191),
	(5, 11, 116),
	(5, 11, 190),
	(5, 11, 192),
	(5, 11, 193),
	(5, 11, 195),
	(5, 11, 202),
	(5, 11, 205),
	(5, 12, 114),
	(5, 12, 112),
	(5, 12, 111),
	(5, 12, 110),
	(5, 12, 107),
	(5, 12, 106),
	(5, 12, 101),
	(5, 12, 102),
	(5, 12, 166),
	(5, 12, 191),
	(5, 12, 116),
	(5, 12, 190),
	(5, 12, 192),
	(5, 12, 193),
	(5, 12, 195),
	(5, 12, 202),
	(5, 12, 205),
	(5, 13, 114),
	(5, 13, 112),
	(5, 13, 111),
	(5, 13, 110),
	(5, 13, 107),
	(5, 13, 106),
	(5, 13, 101),
	(5, 13, 102),
	(5, 13, 166),
	(5, 13, 191),
	(5, 13, 116),
	(5, 13, 190),
	(5, 13, 192),
	(5, 13, 193),
	(5, 13, 195),
	(5, 13, 202),
	(5, 13, 205),
	(5, 14, 114),
	(5, 14, 112),
	(5, 14, 111),
	(5, 14, 110),
	(5, 14, 107),
	(5, 14, 106),
	(5, 14, 101),
	(5, 14, 102),
	(5, 14, 166),
	(5, 14, 191),
	(5, 14, 116),
	(5, 14, 190),
	(5, 14, 192),
	(5, 14, 193),
	(5, 14, 195),
	(5, 14, 202),
	(5, 14, 205),
	(5, 15, 114),
	(5, 15, 112),
	(5, 15, 111),
	(5, 15, 110),
	(5, 15, 107),
	(5, 15, 106),
	(5, 15, 101),
	(5, 15, 102),
	(5, 15, 166),
	(5, 15, 191),
	(5, 15, 116),
	(5, 15, 190),
	(5, 15, 192),
	(5, 15, 193),
	(5, 15, 195),
	(5, 15, 202),
	(5, 15, 205),
	(5, 16, 114),
	(5, 16, 112),
	(5, 16, 111),
	(5, 16, 110),
	(5, 16, 107),
	(5, 16, 106),
	(5, 16, 101),
	(5, 16, 102),
	(5, 16, 166),
	(5, 16, 191),
	(5, 16, 116),
	(5, 16, 190),
	(5, 16, 192),
	(5, 16, 193),
	(5, 16, 195),
	(5, 16, 202),
	(5, 16, 205),
	(5, 17, 114),
	(5, 17, 112),
	(5, 17, 111),
	(5, 17, 110),
	(5, 17, 107),
	(5, 17, 106),
	(5, 17, 101),
	(5, 17, 102),
	(5, 17, 166),
	(5, 17, 191),
	(5, 17, 116),
	(5, 17, 190),
	(5, 17, 192),
	(5, 17, 193),
	(5, 17, 195),
	(5, 17, 202),
	(5, 17, 205),
	(5, 18, 114),
	(5, 18, 112),
	(5, 18, 111),
	(5, 18, 110),
	(5, 18, 107),
	(5, 18, 106),
	(5, 18, 101),
	(5, 18, 102),
	(5, 18, 166),
	(5, 18, 191),
	(5, 18, 116),
	(5, 18, 190),
	(5, 18, 192),
	(5, 18, 193),
	(5, 18, 195),
	(5, 18, 202),
	(5, 18, 205),
	(5, 19, 114),
	(5, 19, 112),
	(5, 19, 111),
	(5, 19, 110),
	(5, 19, 107),
	(5, 19, 106),
	(5, 19, 101),
	(5, 19, 102),
	(5, 19, 166),
	(5, 19, 191),
	(5, 19, 116),
	(5, 19, 190),
	(5, 19, 192),
	(5, 19, 193),
	(5, 19, 195),
	(5, 19, 202),
	(5, 19, 205),
	(5, 20, 114),
	(5, 20, 112),
	(5, 20, 111),
	(5, 20, 110),
	(5, 20, 107),
	(5, 20, 106),
	(5, 20, 101),
	(5, 20, 102),
	(5, 20, 166),
	(5, 20, 191),
	(5, 20, 116),
	(5, 20, 190),
	(5, 20, 192),
	(5, 20, 193),
	(5, 20, 195),
	(5, 20, 202),
	(5, 20, 205),
	(5, 21, 114),
	(5, 21, 112),
	(5, 21, 111),
	(5, 21, 110),
	(5, 21, 107),
	(5, 21, 106),
	(5, 21, 101),
	(5, 21, 102),
	(5, 21, 166),
	(5, 21, 191),
	(5, 21, 116),
	(5, 21, 190),
	(5, 21, 192),
	(5, 21, 193),
	(5, 21, 195),
	(5, 21, 202),
	(5, 21, 205),
	(5, 22, 114),
	(5, 22, 112),
	(5, 22, 111),
	(5, 22, 110),
	(5, 22, 107),
	(5, 22, 106),
	(5, 22, 101),
	(5, 22, 102),
	(5, 22, 166),
	(5, 22, 191),
	(5, 22, 116),
	(5, 22, 190),
	(5, 22, 192),
	(5, 22, 193),
	(5, 22, 195),
	(5, 22, 202),
	(5, 22, 205),
	(5, 23, 114),
	(5, 23, 112),
	(5, 23, 111),
	(5, 23, 110),
	(5, 23, 107),
	(5, 23, 106),
	(5, 23, 101),
	(5, 23, 102),
	(5, 23, 166),
	(5, 23, 191),
	(5, 23, 116),
	(5, 23, 190),
	(5, 23, 192),
	(5, 23, 193),
	(5, 23, 195),
	(5, 23, 202),
	(5, 23, 205),
	(5, 24, 114),
	(5, 24, 112),
	(5, 24, 111),
	(5, 24, 110),
	(5, 24, 107),
	(5, 24, 106),
	(5, 24, 101),
	(5, 24, 102),
	(5, 24, 166),
	(5, 24, 191),
	(5, 24, 116),
	(5, 24, 190),
	(5, 24, 192),
	(5, 24, 193),
	(5, 24, 195),
	(5, 24, 202),
	(5, 24, 205),
	(5, 25, 114),
	(5, 25, 112),
	(5, 25, 111),
	(5, 25, 110),
	(5, 25, 107),
	(5, 25, 106),
	(5, 25, 101),
	(5, 25, 102),
	(5, 25, 166),
	(5, 25, 191),
	(5, 25, 116),
	(5, 25, 190),
	(5, 25, 192),
	(5, 25, 193),
	(5, 25, 195),
	(5, 25, 202),
	(5, 25, 205),
	(5, 26, 114),
	(5, 26, 112),
	(5, 26, 111),
	(5, 26, 110),
	(5, 26, 107),
	(5, 26, 106),
	(5, 26, 101),
	(5, 26, 102),
	(5, 26, 166),
	(5, 26, 191),
	(5, 26, 116),
	(5, 26, 190),
	(5, 26, 192),
	(5, 26, 193),
	(5, 26, 195),
	(5, 26, 202),
	(5, 26, 205),
	(5, 27, 114),
	(5, 27, 112),
	(5, 27, 111),
	(5, 27, 110),
	(5, 27, 107),
	(5, 27, 106),
	(5, 27, 101),
	(5, 27, 102),
	(5, 27, 166),
	(5, 27, 191),
	(5, 27, 116),
	(5, 27, 190),
	(5, 27, 192),
	(5, 27, 193),
	(5, 27, 195),
	(5, 27, 202),
	(5, 27, 205),
	(5, 28, 114),
	(5, 28, 112),
	(5, 28, 111),
	(5, 28, 110),
	(5, 28, 107),
	(5, 28, 106),
	(5, 28, 101),
	(5, 28, 102),
	(5, 28, 166),
	(5, 28, 191),
	(5, 28, 116),
	(5, 28, 190),
	(5, 28, 192),
	(5, 28, 193),
	(5, 28, 195),
	(5, 28, 202),
	(5, 28, 205),
	(5, 29, 114),
	(5, 29, 112),
	(5, 29, 111),
	(5, 29, 110),
	(5, 29, 107),
	(5, 29, 106),
	(5, 29, 101),
	(5, 29, 102),
	(5, 29, 166),
	(5, 29, 191),
	(5, 29, 116),
	(5, 29, 190),
	(5, 29, 192),
	(5, 29, 193),
	(5, 29, 195),
	(5, 29, 202),
	(5, 29, 205),
	(5, 30, 114),
	(5, 30, 112),
	(5, 30, 111),
	(5, 30, 110),
	(5, 30, 107),
	(5, 30, 106),
	(5, 30, 101),
	(5, 30, 102),
	(5, 30, 166),
	(5, 30, 191),
	(5, 30, 116),
	(5, 30, 190),
	(5, 30, 192),
	(5, 30, 193),
	(5, 30, 195),
	(5, 30, 202),
	(5, 30, 205),
	(5, 31, 114),
	(5, 31, 112),
	(5, 31, 111),
	(5, 31, 110),
	(5, 31, 107),
	(5, 31, 106),
	(5, 31, 101),
	(5, 31, 102),
	(5, 31, 166),
	(5, 31, 191),
	(5, 31, 116),
	(5, 31, 190),
	(5, 31, 192),
	(5, 31, 193),
	(5, 31, 195),
	(5, 31, 202),
	(5, 31, 205),
	(6, 1, 114),
	(6, 1, 112),
	(6, 1, 111),
	(6, 1, 110),
	(6, 1, 107),
	(6, 1, 106),
	(6, 1, 101),
	(6, 1, 102),
	(6, 1, 166),
	(6, 1, 191),
	(6, 1, 116),
	(6, 1, 190),
	(6, 1, 192),
	(6, 1, 193),
	(6, 1, 195),
	(6, 1, 202),
	(6, 1, 205),
	(6, 2, 114),
	(6, 2, 112),
	(6, 2, 111),
	(6, 2, 110),
	(6, 2, 107),
	(6, 2, 106),
	(6, 2, 101),
	(6, 2, 102),
	(6, 2, 166),
	(6, 2, 191),
	(6, 2, 116),
	(6, 2, 190),
	(6, 2, 192),
	(6, 2, 193),
	(6, 2, 195),
	(6, 2, 202),
	(6, 2, 205),
	(6, 3, 114),
	(6, 3, 112),
	(6, 3, 111),
	(6, 3, 110),
	(6, 3, 107),
	(6, 3, 106),
	(6, 3, 101),
	(6, 3, 102),
	(6, 3, 166),
	(6, 3, 191),
	(6, 3, 116),
	(6, 3, 190),
	(6, 3, 192),
	(6, 3, 193),
	(6, 3, 195),
	(6, 3, 202),
	(6, 3, 205),
	(6, 4, 114),
	(6, 4, 112),
	(6, 4, 111),
	(6, 4, 110),
	(6, 4, 107),
	(6, 4, 106),
	(6, 4, 101),
	(6, 4, 102),
	(6, 4, 166),
	(6, 4, 191),
	(6, 4, 116),
	(6, 4, 190),
	(6, 4, 192),
	(6, 4, 193),
	(6, 4, 195),
	(6, 4, 202),
	(6, 4, 205),
	(6, 5, 114),
	(6, 5, 112),
	(6, 5, 111),
	(6, 5, 110),
	(6, 5, 107),
	(6, 5, 106),
	(6, 5, 101),
	(6, 5, 102),
	(6, 5, 166),
	(6, 5, 191),
	(6, 5, 116),
	(6, 5, 190),
	(6, 5, 192),
	(6, 5, 193),
	(6, 5, 195),
	(6, 5, 202),
	(6, 5, 205),
	(6, 6, 114),
	(6, 6, 112),
	(6, 6, 111),
	(6, 6, 110),
	(6, 6, 107),
	(6, 6, 106),
	(6, 6, 101),
	(6, 6, 102),
	(6, 6, 166),
	(6, 6, 191),
	(6, 6, 116),
	(6, 6, 190),
	(6, 6, 192),
	(6, 6, 193),
	(6, 6, 195),
	(6, 6, 202),
	(6, 6, 205),
	(6, 7, 114),
	(6, 7, 112),
	(6, 7, 111),
	(6, 7, 110),
	(6, 7, 107),
	(6, 7, 106),
	(6, 7, 101),
	(6, 7, 102),
	(6, 7, 166),
	(6, 7, 191),
	(6, 7, 116),
	(6, 7, 190),
	(6, 7, 192),
	(6, 7, 193),
	(6, 7, 195),
	(6, 7, 202),
	(6, 7, 205),
	(6, 8, 114),
	(6, 8, 112),
	(6, 8, 111),
	(6, 8, 110),
	(6, 8, 107),
	(6, 8, 106),
	(6, 8, 101),
	(6, 8, 102),
	(6, 8, 166),
	(6, 8, 191),
	(6, 8, 116),
	(6, 8, 190),
	(6, 8, 192),
	(6, 8, 193),
	(6, 8, 195),
	(6, 8, 202),
	(6, 8, 205),
	(6, 9, 114),
	(6, 9, 112),
	(6, 9, 111),
	(6, 9, 110),
	(6, 9, 107),
	(6, 9, 106),
	(6, 9, 101),
	(6, 9, 102),
	(6, 9, 166),
	(6, 9, 191),
	(6, 9, 116),
	(6, 9, 190),
	(6, 9, 192),
	(6, 9, 193),
	(6, 9, 195),
	(6, 9, 202),
	(6, 9, 205),
	(6, 10, 114),
	(6, 10, 112),
	(6, 10, 111),
	(6, 10, 110),
	(6, 10, 107),
	(6, 10, 106),
	(6, 10, 101),
	(6, 10, 102),
	(6, 10, 166),
	(6, 10, 191),
	(6, 10, 116),
	(6, 10, 190),
	(6, 10, 192),
	(6, 10, 193),
	(6, 10, 195),
	(6, 10, 202),
	(6, 10, 205),
	(6, 11, 114),
	(6, 11, 112),
	(6, 11, 111),
	(6, 11, 110),
	(6, 11, 107),
	(6, 11, 106),
	(6, 11, 101),
	(6, 11, 102),
	(6, 11, 166),
	(6, 11, 191),
	(6, 11, 116),
	(6, 11, 190),
	(6, 11, 192),
	(6, 11, 193),
	(6, 11, 195),
	(6, 11, 202),
	(6, 11, 205),
	(6, 12, 114),
	(6, 12, 112),
	(6, 12, 111),
	(6, 12, 110),
	(6, 12, 107),
	(6, 12, 106),
	(6, 12, 101),
	(6, 12, 102),
	(6, 12, 166),
	(6, 12, 191),
	(6, 12, 116),
	(6, 12, 190),
	(6, 12, 192),
	(6, 12, 193),
	(6, 12, 195),
	(6, 12, 202),
	(6, 12, 205),
	(6, 13, 114),
	(6, 13, 112),
	(6, 13, 111),
	(6, 13, 110),
	(6, 13, 107),
	(6, 13, 106),
	(6, 13, 101),
	(6, 13, 102),
	(6, 13, 166),
	(6, 13, 191),
	(6, 13, 116),
	(6, 13, 190),
	(6, 13, 192),
	(6, 13, 193),
	(6, 13, 195),
	(6, 13, 202),
	(6, 13, 205),
	(6, 14, 114),
	(6, 14, 112),
	(6, 14, 111),
	(6, 14, 110),
	(6, 14, 107),
	(6, 14, 106),
	(6, 14, 101),
	(6, 14, 102),
	(6, 14, 166),
	(6, 14, 191),
	(6, 14, 116),
	(6, 14, 190),
	(6, 14, 192),
	(6, 14, 193),
	(6, 14, 195),
	(6, 14, 202),
	(6, 14, 205),
	(6, 15, 114),
	(6, 15, 112),
	(6, 15, 111),
	(6, 15, 110),
	(6, 15, 107),
	(6, 15, 106),
	(6, 15, 101),
	(6, 15, 102),
	(6, 15, 166),
	(6, 15, 191),
	(6, 15, 116),
	(6, 15, 190),
	(6, 15, 192),
	(6, 15, 193),
	(6, 15, 195),
	(6, 15, 202),
	(6, 15, 205),
	(6, 16, 114),
	(6, 16, 112),
	(6, 16, 111),
	(6, 16, 110),
	(6, 16, 107),
	(6, 16, 106),
	(6, 16, 101),
	(6, 16, 102),
	(6, 16, 166),
	(6, 16, 191),
	(6, 16, 116),
	(6, 16, 190),
	(6, 16, 192),
	(6, 16, 193),
	(6, 16, 195),
	(6, 16, 202),
	(6, 16, 205),
	(6, 17, 114),
	(6, 17, 112),
	(6, 17, 111),
	(6, 17, 110),
	(6, 17, 107),
	(6, 17, 106),
	(6, 17, 101),
	(6, 17, 102),
	(6, 17, 166),
	(6, 17, 191),
	(6, 17, 116),
	(6, 17, 190),
	(6, 17, 192),
	(6, 17, 193),
	(6, 17, 195),
	(6, 17, 202),
	(6, 17, 205),
	(6, 18, 114),
	(6, 18, 112),
	(6, 18, 111),
	(6, 18, 110),
	(6, 18, 107),
	(6, 18, 106),
	(6, 18, 101),
	(6, 18, 102),
	(6, 18, 166),
	(6, 18, 191),
	(6, 18, 116),
	(6, 18, 190),
	(6, 18, 192),
	(6, 18, 193),
	(6, 18, 195),
	(6, 18, 202),
	(6, 18, 205),
	(6, 19, 114),
	(6, 19, 112),
	(6, 19, 111),
	(6, 19, 110),
	(6, 19, 107),
	(6, 19, 106),
	(6, 19, 101),
	(6, 19, 102),
	(6, 19, 166),
	(6, 19, 191),
	(6, 19, 116),
	(6, 19, 190),
	(6, 19, 192),
	(6, 19, 193),
	(6, 19, 195),
	(6, 19, 202),
	(6, 19, 205),
	(6, 20, 114),
	(6, 20, 112),
	(6, 20, 111),
	(6, 20, 110),
	(6, 20, 107),
	(6, 20, 106),
	(6, 20, 101),
	(6, 20, 102),
	(6, 20, 166),
	(6, 20, 191),
	(6, 20, 116),
	(6, 20, 190),
	(6, 20, 192),
	(6, 20, 193),
	(6, 20, 195),
	(6, 20, 202),
	(6, 20, 205),
	(6, 21, 114),
	(6, 21, 112),
	(6, 21, 111),
	(6, 21, 110),
	(6, 21, 107),
	(6, 21, 106),
	(6, 21, 101),
	(6, 21, 102),
	(6, 21, 166),
	(6, 21, 191),
	(6, 21, 116),
	(6, 21, 190),
	(6, 21, 192),
	(6, 21, 193),
	(6, 21, 195),
	(6, 21, 202),
	(6, 21, 205),
	(6, 22, 114),
	(6, 22, 112),
	(6, 22, 111),
	(6, 22, 110),
	(6, 22, 107),
	(6, 22, 106),
	(6, 22, 101),
	(6, 22, 102),
	(6, 22, 166),
	(6, 22, 191),
	(6, 22, 116),
	(6, 22, 190),
	(6, 22, 192),
	(6, 22, 193),
	(6, 22, 195),
	(6, 22, 202),
	(6, 22, 205),
	(6, 23, 114),
	(6, 23, 112),
	(6, 23, 111),
	(6, 23, 110),
	(6, 23, 107),
	(6, 23, 106),
	(6, 23, 101),
	(6, 23, 102),
	(6, 23, 166),
	(6, 23, 191),
	(6, 23, 116),
	(6, 23, 190),
	(6, 23, 192),
	(6, 23, 193),
	(6, 23, 195),
	(6, 23, 202),
	(6, 23, 205),
	(6, 24, 114),
	(6, 24, 112),
	(6, 24, 111),
	(6, 24, 110),
	(6, 24, 107),
	(6, 24, 106),
	(6, 24, 101),
	(6, 24, 102),
	(6, 24, 166),
	(6, 24, 191),
	(6, 24, 116),
	(6, 24, 190),
	(6, 24, 192),
	(6, 24, 193),
	(6, 24, 195),
	(6, 24, 202),
	(6, 24, 205),
	(6, 25, 114),
	(6, 25, 112),
	(6, 25, 111),
	(6, 25, 110),
	(6, 25, 107),
	(6, 25, 106),
	(6, 25, 101),
	(6, 25, 102),
	(6, 25, 166),
	(6, 25, 191),
	(6, 25, 116),
	(6, 25, 190),
	(6, 25, 192),
	(6, 25, 193),
	(6, 25, 195),
	(6, 25, 202),
	(6, 25, 205),
	(6, 26, 114),
	(6, 26, 112),
	(6, 26, 111),
	(6, 26, 110),
	(6, 26, 107),
	(6, 26, 106),
	(6, 26, 101),
	(6, 26, 102),
	(6, 26, 166),
	(6, 26, 191),
	(6, 26, 116),
	(6, 26, 190),
	(6, 26, 192),
	(6, 26, 193),
	(6, 26, 195),
	(6, 26, 202),
	(6, 26, 205),
	(6, 27, 114),
	(6, 27, 112),
	(6, 27, 111),
	(6, 27, 110),
	(6, 27, 107),
	(6, 27, 106),
	(6, 27, 101),
	(6, 27, 102),
	(6, 27, 166),
	(6, 27, 191),
	(6, 27, 116),
	(6, 27, 190),
	(6, 27, 192),
	(6, 27, 193),
	(6, 27, 195),
	(6, 27, 202),
	(6, 27, 205),
	(6, 28, 114),
	(6, 28, 112),
	(6, 28, 111),
	(6, 28, 110),
	(6, 28, 107),
	(6, 28, 106),
	(6, 28, 101),
	(6, 28, 102),
	(6, 28, 166),
	(6, 28, 191),
	(6, 28, 116),
	(6, 28, 190),
	(6, 28, 192),
	(6, 28, 193),
	(6, 28, 195),
	(6, 28, 202),
	(6, 28, 205),
	(6, 29, 114),
	(6, 29, 112),
	(6, 29, 111),
	(6, 29, 110),
	(6, 29, 107),
	(6, 29, 106),
	(6, 29, 101),
	(6, 29, 102),
	(6, 29, 166),
	(6, 29, 191),
	(6, 29, 116),
	(6, 29, 190),
	(6, 29, 192),
	(6, 29, 193),
	(6, 29, 195),
	(6, 29, 202),
	(6, 29, 205),
	(6, 30, 114),
	(6, 30, 112),
	(6, 30, 111),
	(6, 30, 110),
	(6, 30, 107),
	(6, 30, 106),
	(6, 30, 101),
	(6, 30, 102),
	(6, 30, 166),
	(6, 30, 191),
	(6, 30, 116),
	(6, 30, 190),
	(6, 30, 192),
	(6, 30, 193),
	(6, 30, 195),
	(6, 30, 202),
	(6, 30, 205),
	(7, 1, 114),
	(7, 1, 112),
	(7, 1, 111),
	(7, 1, 110),
	(7, 1, 107),
	(7, 1, 106),
	(7, 1, 101),
	(7, 1, 102),
	(7, 1, 166),
	(7, 1, 191),
	(7, 1, 116),
	(7, 1, 190),
	(7, 1, 192),
	(7, 1, 193),
	(7, 1, 195),
	(7, 1, 202),
	(7, 1, 205),
	(7, 2, 114),
	(7, 2, 112),
	(7, 2, 111),
	(7, 2, 110),
	(7, 2, 107),
	(7, 2, 106),
	(7, 2, 101),
	(7, 2, 102),
	(7, 2, 166),
	(7, 2, 191),
	(7, 2, 116),
	(7, 2, 190),
	(7, 2, 192),
	(7, 2, 193),
	(7, 2, 195),
	(7, 2, 202),
	(7, 2, 205),
	(7, 3, 114),
	(7, 3, 112),
	(7, 3, 111),
	(7, 3, 110),
	(7, 3, 107),
	(7, 3, 106),
	(7, 3, 101),
	(7, 3, 102),
	(7, 3, 166),
	(7, 3, 191),
	(7, 3, 116),
	(7, 3, 190),
	(7, 3, 192),
	(7, 3, 193),
	(7, 3, 195),
	(7, 3, 202),
	(7, 3, 205),
	(7, 4, 114),
	(7, 4, 112),
	(7, 4, 111),
	(7, 4, 110),
	(7, 4, 107),
	(7, 4, 106),
	(7, 4, 101),
	(7, 4, 102),
	(7, 4, 166),
	(7, 4, 191),
	(7, 4, 116),
	(7, 4, 190),
	(7, 4, 192),
	(7, 4, 193),
	(7, 4, 195),
	(7, 4, 202),
	(7, 4, 205),
	(7, 5, 114),
	(7, 5, 112),
	(7, 5, 111),
	(7, 5, 110),
	(7, 5, 107),
	(7, 5, 106),
	(7, 5, 101),
	(7, 5, 102),
	(7, 5, 166),
	(7, 5, 191),
	(7, 5, 116),
	(7, 5, 190),
	(7, 5, 192),
	(7, 5, 193),
	(7, 5, 195),
	(7, 5, 202),
	(7, 5, 205),
	(7, 6, 114),
	(7, 6, 112),
	(7, 6, 111),
	(7, 6, 110),
	(7, 6, 107),
	(7, 6, 106),
	(7, 6, 101),
	(7, 6, 102),
	(7, 6, 166),
	(7, 6, 191),
	(7, 6, 116),
	(7, 6, 190),
	(7, 6, 192),
	(7, 6, 193),
	(7, 6, 195),
	(7, 6, 202),
	(7, 6, 205),
	(7, 7, 114),
	(7, 7, 112),
	(7, 7, 111),
	(7, 7, 110),
	(7, 7, 107),
	(7, 7, 106),
	(7, 7, 101),
	(7, 7, 102),
	(7, 7, 166),
	(7, 7, 191),
	(7, 7, 116),
	(7, 7, 190),
	(7, 7, 192),
	(7, 7, 193),
	(7, 7, 195),
	(7, 7, 202),
	(7, 7, 205),
	(7, 8, 114),
	(7, 8, 112),
	(7, 8, 111),
	(7, 8, 110),
	(7, 8, 107),
	(7, 8, 106),
	(7, 8, 101),
	(7, 8, 102),
	(7, 8, 166),
	(7, 8, 191),
	(7, 8, 116),
	(7, 8, 190),
	(7, 8, 192),
	(7, 8, 193),
	(7, 8, 195),
	(7, 8, 202),
	(7, 8, 205),
	(7, 9, 114),
	(7, 9, 112),
	(7, 9, 111),
	(7, 9, 110),
	(7, 9, 107),
	(7, 9, 106),
	(7, 9, 101),
	(7, 9, 102),
	(7, 9, 166),
	(7, 9, 191),
	(7, 9, 116),
	(7, 9, 190),
	(7, 9, 192),
	(7, 9, 193),
	(7, 9, 195),
	(7, 9, 202),
	(7, 9, 205),
	(7, 10, 114),
	(7, 10, 112),
	(7, 10, 111),
	(7, 10, 110),
	(7, 10, 107),
	(7, 10, 106),
	(7, 10, 101),
	(7, 10, 102),
	(7, 10, 166),
	(7, 10, 191),
	(7, 10, 116),
	(7, 10, 190),
	(7, 10, 192),
	(7, 10, 193),
	(7, 10, 195),
	(7, 10, 202),
	(7, 10, 205),
	(7, 11, 114),
	(7, 11, 112),
	(7, 11, 111),
	(7, 11, 110),
	(7, 11, 107),
	(7, 11, 106),
	(7, 11, 101),
	(7, 11, 102),
	(7, 11, 166),
	(7, 11, 191),
	(7, 11, 116),
	(7, 11, 190),
	(7, 11, 192),
	(7, 11, 193),
	(7, 11, 195),
	(7, 11, 202),
	(7, 11, 205),
	(7, 12, 114),
	(7, 12, 112),
	(7, 12, 111),
	(7, 12, 110),
	(7, 12, 107),
	(7, 12, 106),
	(7, 12, 101),
	(7, 12, 102),
	(7, 12, 166),
	(7, 12, 191),
	(7, 12, 116),
	(7, 12, 190),
	(7, 12, 192),
	(7, 12, 193),
	(7, 12, 195),
	(7, 12, 202),
	(7, 12, 205),
	(7, 13, 114),
	(7, 13, 112),
	(7, 13, 111),
	(7, 13, 110),
	(7, 13, 107),
	(7, 13, 106),
	(7, 13, 101),
	(7, 13, 102),
	(7, 13, 166),
	(7, 13, 191),
	(7, 13, 116),
	(7, 13, 190),
	(7, 13, 192),
	(7, 13, 193),
	(7, 13, 195),
	(7, 13, 202),
	(7, 13, 205),
	(7, 14, 114),
	(7, 14, 112),
	(7, 14, 111),
	(7, 14, 110),
	(7, 14, 107),
	(7, 14, 106),
	(7, 14, 101),
	(7, 14, 102),
	(7, 14, 166),
	(7, 14, 191),
	(7, 14, 116),
	(7, 14, 190),
	(7, 14, 192),
	(7, 14, 193),
	(7, 14, 195),
	(7, 14, 202),
	(7, 14, 205),
	(7, 15, 114),
	(7, 15, 112),
	(7, 15, 111),
	(7, 15, 110),
	(7, 15, 107),
	(7, 15, 106),
	(7, 15, 101),
	(7, 15, 102),
	(7, 15, 166),
	(7, 15, 191),
	(7, 15, 116),
	(7, 15, 190),
	(7, 15, 192),
	(7, 15, 193),
	(7, 15, 195),
	(7, 15, 202),
	(7, 15, 205),
	(7, 16, 114),
	(7, 16, 112),
	(7, 16, 111),
	(7, 16, 110),
	(7, 16, 107),
	(7, 16, 106),
	(7, 16, 101),
	(7, 16, 102),
	(7, 16, 166),
	(7, 16, 191),
	(7, 16, 116),
	(7, 16, 190),
	(7, 16, 192),
	(7, 16, 193),
	(7, 16, 195),
	(7, 16, 202),
	(7, 16, 205),
	(7, 17, 114),
	(7, 17, 112),
	(7, 17, 111),
	(7, 17, 110),
	(7, 17, 107),
	(7, 17, 106),
	(7, 17, 101),
	(7, 17, 102),
	(7, 17, 166),
	(7, 17, 191),
	(7, 17, 116),
	(7, 17, 190),
	(7, 17, 192),
	(7, 17, 193),
	(7, 17, 195),
	(7, 17, 202),
	(7, 17, 205),
	(7, 18, 114),
	(7, 18, 112),
	(7, 18, 111),
	(7, 18, 110),
	(7, 18, 107),
	(7, 18, 106),
	(7, 18, 101),
	(7, 18, 102),
	(7, 18, 166),
	(7, 18, 191),
	(7, 18, 116),
	(7, 18, 190),
	(7, 18, 192),
	(7, 18, 193),
	(7, 18, 195),
	(7, 18, 202),
	(7, 18, 205),
	(7, 19, 114),
	(7, 19, 112),
	(7, 19, 111),
	(7, 19, 110),
	(7, 19, 107),
	(7, 19, 106),
	(7, 19, 101),
	(7, 19, 102),
	(7, 19, 166),
	(7, 19, 191),
	(7, 19, 116),
	(7, 19, 190),
	(7, 19, 192),
	(7, 19, 193),
	(7, 19, 195),
	(7, 19, 202),
	(7, 19, 205),
	(7, 20, 114),
	(7, 20, 112),
	(7, 20, 111),
	(7, 20, 110),
	(7, 20, 107),
	(7, 20, 106),
	(7, 20, 101),
	(7, 20, 102),
	(7, 20, 166),
	(7, 20, 191),
	(7, 20, 116),
	(7, 20, 190),
	(7, 20, 192),
	(7, 20, 193),
	(7, 20, 195),
	(7, 20, 202),
	(7, 20, 205),
	(7, 21, 114),
	(7, 21, 112),
	(7, 21, 111),
	(7, 21, 110),
	(7, 21, 107),
	(7, 21, 106),
	(7, 21, 101),
	(7, 21, 102),
	(7, 21, 166),
	(7, 21, 191),
	(7, 21, 116),
	(7, 21, 190),
	(7, 21, 192),
	(7, 21, 193),
	(7, 21, 195),
	(7, 21, 202),
	(7, 21, 205),
	(7, 22, 114),
	(7, 22, 112),
	(7, 22, 111),
	(7, 22, 110),
	(7, 22, 107),
	(7, 22, 106),
	(7, 22, 101),
	(7, 22, 102),
	(7, 22, 166),
	(7, 22, 191),
	(7, 22, 116),
	(7, 22, 190),
	(7, 22, 192),
	(7, 22, 193),
	(7, 22, 195),
	(7, 22, 202),
	(7, 22, 205),
	(7, 23, 114),
	(7, 23, 112),
	(7, 23, 111),
	(7, 23, 110),
	(7, 23, 107),
	(7, 23, 106),
	(7, 23, 101),
	(7, 23, 102),
	(7, 23, 166),
	(7, 23, 191),
	(7, 23, 116),
	(7, 23, 190),
	(7, 23, 192),
	(7, 23, 193),
	(7, 23, 195),
	(7, 23, 202),
	(7, 23, 205),
	(7, 24, 114),
	(7, 24, 112),
	(7, 24, 111),
	(7, 24, 110),
	(7, 24, 107),
	(7, 24, 106),
	(7, 24, 101),
	(7, 24, 102),
	(7, 24, 166),
	(7, 24, 191),
	(7, 24, 116),
	(7, 24, 190),
	(7, 24, 192),
	(7, 24, 193),
	(7, 24, 195),
	(7, 24, 202),
	(7, 24, 205),
	(7, 25, 114),
	(7, 25, 112),
	(7, 25, 111),
	(7, 25, 110),
	(7, 25, 107),
	(7, 25, 106),
	(7, 25, 101),
	(7, 25, 102),
	(7, 25, 166),
	(7, 25, 191),
	(7, 25, 116),
	(7, 25, 190),
	(7, 25, 192),
	(7, 25, 193),
	(7, 25, 195),
	(7, 25, 202),
	(7, 25, 205),
	(7, 26, 114),
	(7, 26, 112),
	(7, 26, 111),
	(7, 26, 110),
	(7, 26, 107),
	(7, 26, 106),
	(7, 26, 101),
	(7, 26, 102),
	(7, 26, 166),
	(7, 26, 191),
	(7, 26, 116),
	(7, 26, 190),
	(7, 26, 192),
	(7, 26, 193),
	(7, 26, 195),
	(7, 26, 202),
	(7, 26, 205),
	(7, 27, 114),
	(7, 27, 112),
	(7, 27, 111),
	(7, 27, 110),
	(7, 27, 107),
	(7, 27, 106),
	(7, 27, 101),
	(7, 27, 102),
	(7, 27, 166),
	(7, 27, 191),
	(7, 27, 116),
	(7, 27, 190),
	(7, 27, 192),
	(7, 27, 193),
	(7, 27, 195),
	(7, 27, 202),
	(7, 27, 205),
	(7, 28, 114),
	(7, 28, 112),
	(7, 28, 111),
	(7, 28, 110),
	(7, 28, 107),
	(7, 28, 106),
	(7, 28, 101),
	(7, 28, 102),
	(7, 28, 166),
	(7, 28, 191),
	(7, 28, 116),
	(7, 28, 190),
	(7, 28, 192),
	(7, 28, 193),
	(7, 28, 195),
	(7, 28, 202),
	(7, 28, 205),
	(7, 29, 114),
	(7, 29, 112),
	(7, 29, 111),
	(7, 29, 110),
	(7, 29, 107),
	(7, 29, 106),
	(7, 29, 101),
	(7, 29, 102),
	(7, 29, 166),
	(7, 29, 191),
	(7, 29, 116),
	(7, 29, 190),
	(7, 29, 192),
	(7, 29, 193),
	(7, 29, 195),
	(7, 29, 202),
	(7, 29, 205),
	(7, 30, 114),
	(7, 30, 112),
	(7, 30, 111),
	(7, 30, 110),
	(7, 30, 107),
	(7, 30, 106),
	(7, 30, 101),
	(7, 30, 102),
	(7, 30, 166),
	(7, 30, 191),
	(7, 30, 116),
	(7, 30, 190),
	(7, 30, 192),
	(7, 30, 193),
	(7, 30, 195),
	(7, 30, 202),
	(7, 30, 205),
	(7, 31, 114),
	(7, 31, 112),
	(7, 31, 111),
	(7, 31, 110),
	(7, 31, 107),
	(7, 31, 106),
	(7, 31, 101),
	(7, 31, 102),
	(7, 31, 166),
	(7, 31, 191),
	(7, 31, 116),
	(7, 31, 190),
	(7, 31, 192),
	(7, 31, 193),
	(7, 31, 195),
	(7, 31, 202),
	(7, 31, 205),
	(8, 1, 114),
	(8, 1, 112),
	(8, 1, 111),
	(8, 1, 110),
	(8, 1, 107),
	(8, 1, 106),
	(8, 1, 101),
	(8, 1, 102),
	(8, 1, 166),
	(8, 1, 191),
	(8, 1, 116),
	(8, 1, 190),
	(8, 1, 192),
	(8, 1, 193),
	(8, 1, 195),
	(8, 1, 202),
	(8, 1, 205),
	(8, 2, 114),
	(8, 2, 112),
	(8, 2, 111),
	(8, 2, 110),
	(8, 2, 107),
	(8, 2, 106),
	(8, 2, 101),
	(8, 2, 102),
	(8, 2, 166),
	(8, 2, 191),
	(8, 2, 116),
	(8, 2, 190),
	(8, 2, 192),
	(8, 2, 193),
	(8, 2, 195),
	(8, 2, 202),
	(8, 2, 205),
	(8, 3, 114),
	(8, 3, 112),
	(8, 3, 111),
	(8, 3, 110),
	(8, 3, 107),
	(8, 3, 106),
	(8, 3, 101),
	(8, 3, 102),
	(8, 3, 166),
	(8, 3, 191),
	(8, 3, 116),
	(8, 3, 190),
	(8, 3, 192),
	(8, 3, 193),
	(8, 3, 195),
	(8, 3, 202),
	(8, 3, 205),
	(8, 4, 114),
	(8, 4, 112),
	(8, 4, 111),
	(8, 4, 110),
	(8, 4, 107),
	(8, 4, 106),
	(8, 4, 101),
	(8, 4, 102),
	(8, 4, 166),
	(8, 4, 191),
	(8, 4, 116),
	(8, 4, 190),
	(8, 4, 192),
	(8, 4, 193),
	(8, 4, 195),
	(8, 4, 202),
	(8, 4, 205),
	(8, 5, 114),
	(8, 5, 112),
	(8, 5, 111),
	(8, 5, 110),
	(8, 5, 107),
	(8, 5, 106),
	(8, 5, 101),
	(8, 5, 102),
	(8, 5, 166),
	(8, 5, 191),
	(8, 5, 116),
	(8, 5, 190),
	(8, 5, 192),
	(8, 5, 193),
	(8, 5, 195),
	(8, 5, 202),
	(8, 5, 205),
	(8, 6, 114),
	(8, 6, 112),
	(8, 6, 111),
	(8, 6, 110),
	(8, 6, 107),
	(8, 6, 106),
	(8, 6, 101),
	(8, 6, 102),
	(8, 6, 166),
	(8, 6, 191),
	(8, 6, 116),
	(8, 6, 190),
	(8, 6, 192),
	(8, 6, 193),
	(8, 6, 195),
	(8, 6, 202),
	(8, 6, 205),
	(8, 7, 114),
	(8, 7, 112),
	(8, 7, 111),
	(8, 7, 110),
	(8, 7, 107),
	(8, 7, 106),
	(8, 7, 101),
	(8, 7, 102),
	(8, 7, 166),
	(8, 7, 191),
	(8, 7, 116),
	(8, 7, 190),
	(8, 7, 192),
	(8, 7, 193),
	(8, 7, 195),
	(8, 7, 202),
	(8, 7, 205),
	(8, 8, 114),
	(8, 8, 112),
	(8, 8, 111),
	(8, 8, 110),
	(8, 8, 107),
	(8, 8, 106),
	(8, 8, 101),
	(8, 8, 102),
	(8, 8, 166),
	(8, 8, 191),
	(8, 8, 116),
	(8, 8, 190),
	(8, 8, 192),
	(8, 8, 193),
	(8, 8, 195),
	(8, 8, 202),
	(8, 8, 205),
	(8, 9, 114),
	(8, 9, 112),
	(8, 9, 111),
	(8, 9, 110),
	(8, 9, 107),
	(8, 9, 106),
	(8, 9, 101),
	(8, 9, 102),
	(8, 9, 166),
	(8, 9, 191),
	(8, 9, 116),
	(8, 9, 190),
	(8, 9, 192),
	(8, 9, 193),
	(8, 9, 195),
	(8, 9, 202),
	(8, 9, 205),
	(8, 10, 114),
	(8, 10, 112),
	(8, 10, 111),
	(8, 10, 110),
	(8, 10, 107),
	(8, 10, 106),
	(8, 10, 101),
	(8, 10, 102),
	(8, 10, 166),
	(8, 10, 191),
	(8, 10, 116),
	(8, 10, 190),
	(8, 10, 192),
	(8, 10, 193),
	(8, 10, 195),
	(8, 10, 202),
	(8, 10, 205),
	(8, 11, 114),
	(8, 11, 112),
	(8, 11, 111),
	(8, 11, 110),
	(8, 11, 107),
	(8, 11, 106),
	(8, 11, 101),
	(8, 11, 102),
	(8, 11, 166),
	(8, 11, 191),
	(8, 11, 116),
	(8, 11, 190),
	(8, 11, 192),
	(8, 11, 193),
	(8, 11, 195),
	(8, 11, 202),
	(8, 11, 205),
	(8, 12, 114),
	(8, 12, 112),
	(8, 12, 111),
	(8, 12, 110),
	(8, 12, 107),
	(8, 12, 106),
	(8, 12, 101),
	(8, 12, 102),
	(8, 12, 166),
	(8, 12, 191),
	(8, 12, 116),
	(8, 12, 190),
	(8, 12, 192),
	(8, 12, 193),
	(8, 12, 195),
	(8, 12, 202),
	(8, 12, 205),
	(8, 13, 114),
	(8, 13, 112),
	(8, 13, 111),
	(8, 13, 110),
	(8, 13, 107),
	(8, 13, 106),
	(8, 13, 101),
	(8, 13, 102),
	(8, 13, 166),
	(8, 13, 191),
	(8, 13, 116),
	(8, 13, 190),
	(8, 13, 192),
	(8, 13, 193),
	(8, 13, 195),
	(8, 13, 202),
	(8, 13, 205),
	(8, 14, 114),
	(8, 14, 112),
	(8, 14, 111),
	(8, 14, 110),
	(8, 14, 107),
	(8, 14, 106),
	(8, 14, 101),
	(8, 14, 102),
	(8, 14, 166),
	(8, 14, 191),
	(8, 14, 116),
	(8, 14, 190),
	(8, 14, 192),
	(8, 14, 193),
	(8, 14, 195),
	(8, 14, 202),
	(8, 14, 205),
	(8, 15, 114),
	(8, 15, 112),
	(8, 15, 111),
	(8, 15, 110),
	(8, 15, 107),
	(8, 15, 106),
	(8, 15, 101),
	(8, 15, 102),
	(8, 15, 166),
	(8, 15, 191),
	(8, 15, 116),
	(8, 15, 190),
	(8, 15, 192),
	(8, 15, 193),
	(8, 15, 195),
	(8, 15, 202),
	(8, 15, 205),
	(8, 16, 114),
	(8, 16, 112),
	(8, 16, 111),
	(8, 16, 110),
	(8, 16, 107),
	(8, 16, 106),
	(8, 16, 101),
	(8, 16, 102),
	(8, 16, 166),
	(8, 16, 191),
	(8, 16, 116),
	(8, 16, 190),
	(8, 16, 192),
	(8, 16, 193),
	(8, 16, 195),
	(8, 16, 202),
	(8, 16, 205),
	(8, 17, 114),
	(8, 17, 112),
	(8, 17, 111),
	(8, 17, 110),
	(8, 17, 107),
	(8, 17, 106),
	(8, 17, 101),
	(8, 17, 102),
	(8, 17, 166),
	(8, 17, 191),
	(8, 17, 116),
	(8, 17, 190),
	(8, 17, 192),
	(8, 17, 193),
	(8, 17, 195),
	(8, 17, 202),
	(8, 17, 205),
	(8, 18, 114),
	(8, 18, 112),
	(8, 18, 111),
	(8, 18, 110),
	(8, 18, 107),
	(8, 18, 106),
	(8, 18, 101),
	(8, 18, 102),
	(8, 18, 166),
	(8, 18, 191),
	(8, 18, 116),
	(8, 18, 190),
	(8, 18, 192),
	(8, 18, 193),
	(8, 18, 195),
	(8, 18, 202),
	(8, 18, 205),
	(8, 19, 114),
	(8, 19, 112),
	(8, 19, 111),
	(8, 19, 110),
	(8, 19, 107),
	(8, 19, 106),
	(8, 19, 101),
	(8, 19, 102),
	(8, 19, 166),
	(8, 19, 191),
	(8, 19, 116),
	(8, 19, 190),
	(8, 19, 192),
	(8, 19, 193),
	(8, 19, 195),
	(8, 19, 202),
	(8, 19, 205),
	(8, 20, 114),
	(8, 20, 112),
	(8, 20, 111),
	(8, 20, 110),
	(8, 20, 107),
	(8, 20, 106),
	(8, 20, 101),
	(8, 20, 102),
	(8, 20, 166),
	(8, 20, 191),
	(8, 20, 116),
	(8, 20, 190),
	(8, 20, 192),
	(8, 20, 193),
	(8, 20, 195),
	(8, 20, 202),
	(8, 20, 205),
	(8, 21, 114),
	(8, 21, 112),
	(8, 21, 111),
	(8, 21, 110),
	(8, 21, 107),
	(8, 21, 106),
	(8, 21, 101),
	(8, 21, 102),
	(8, 21, 166),
	(8, 21, 191),
	(8, 21, 116),
	(8, 21, 190),
	(8, 21, 192),
	(8, 21, 193),
	(8, 21, 195),
	(8, 21, 202),
	(8, 21, 205),
	(8, 22, 114),
	(8, 22, 112),
	(8, 22, 111),
	(8, 22, 110),
	(8, 22, 107),
	(8, 22, 106),
	(8, 22, 101),
	(8, 22, 102),
	(8, 22, 166),
	(8, 22, 191),
	(8, 22, 116),
	(8, 22, 190),
	(8, 22, 192),
	(8, 22, 193),
	(8, 22, 195),
	(8, 22, 202),
	(8, 22, 205),
	(8, 23, 114),
	(8, 23, 112),
	(8, 23, 111),
	(8, 23, 110),
	(8, 23, 107),
	(8, 23, 106),
	(8, 23, 101),
	(8, 23, 102),
	(8, 23, 166),
	(8, 23, 191),
	(8, 23, 116),
	(8, 23, 190),
	(8, 23, 192),
	(8, 23, 193),
	(8, 23, 195),
	(8, 23, 202),
	(8, 23, 205),
	(8, 24, 114),
	(8, 24, 112),
	(8, 24, 111),
	(8, 24, 110),
	(8, 24, 107),
	(8, 24, 106),
	(8, 24, 101),
	(8, 24, 102),
	(8, 24, 166),
	(8, 24, 191),
	(8, 24, 116),
	(8, 24, 190),
	(8, 24, 192),
	(8, 24, 193),
	(8, 24, 195),
	(8, 24, 202),
	(8, 24, 205),
	(8, 25, 114),
	(8, 25, 112),
	(8, 25, 111),
	(8, 25, 110),
	(8, 25, 107),
	(8, 25, 106),
	(8, 25, 101),
	(8, 25, 102),
	(8, 25, 166),
	(8, 25, 191),
	(8, 25, 116),
	(8, 25, 190),
	(8, 25, 192),
	(8, 25, 193),
	(8, 25, 195),
	(8, 25, 202),
	(8, 25, 205),
	(8, 26, 114),
	(8, 26, 112),
	(8, 26, 111),
	(8, 26, 110),
	(8, 26, 107),
	(8, 26, 106),
	(8, 26, 101),
	(8, 26, 102),
	(8, 26, 166),
	(8, 26, 191),
	(8, 26, 116),
	(8, 26, 190),
	(8, 26, 192),
	(8, 26, 193),
	(8, 26, 195),
	(8, 26, 202),
	(8, 26, 205),
	(8, 27, 114),
	(8, 27, 112),
	(8, 27, 111),
	(8, 27, 110),
	(8, 27, 107),
	(8, 27, 106),
	(8, 27, 101),
	(8, 27, 102),
	(8, 27, 166),
	(8, 27, 191),
	(8, 27, 116),
	(8, 27, 190),
	(8, 27, 192),
	(8, 27, 193),
	(8, 27, 195),
	(8, 27, 202),
	(8, 27, 205),
	(8, 28, 114),
	(8, 28, 112),
	(8, 28, 111),
	(8, 28, 110),
	(8, 28, 107),
	(8, 28, 106),
	(8, 28, 101),
	(8, 28, 102),
	(8, 28, 166),
	(8, 28, 191),
	(8, 28, 116),
	(8, 28, 190),
	(8, 28, 192),
	(8, 28, 193),
	(8, 28, 195),
	(8, 28, 202),
	(8, 28, 205),
	(8, 29, 114),
	(8, 29, 112),
	(8, 29, 111),
	(8, 29, 110),
	(8, 29, 107),
	(8, 29, 106),
	(8, 29, 101),
	(8, 29, 102),
	(8, 29, 166),
	(8, 29, 191),
	(8, 29, 116),
	(8, 29, 190),
	(8, 29, 192),
	(8, 29, 193),
	(8, 29, 195),
	(8, 29, 202),
	(8, 29, 205),
	(8, 30, 114),
	(8, 30, 112),
	(8, 30, 111),
	(8, 30, 110),
	(8, 30, 107),
	(8, 30, 106),
	(8, 30, 101),
	(8, 30, 102),
	(8, 30, 166),
	(8, 30, 191),
	(8, 30, 116),
	(8, 30, 190),
	(8, 30, 192),
	(8, 30, 193),
	(8, 30, 195),
	(8, 30, 202),
	(8, 30, 205),
	(8, 31, 114),
	(8, 31, 112),
	(8, 31, 111),
	(8, 31, 110),
	(8, 31, 107),
	(8, 31, 106),
	(8, 31, 101),
	(8, 31, 102),
	(8, 31, 166),
	(8, 31, 191),
	(8, 31, 116),
	(8, 31, 190),
	(8, 31, 192),
	(8, 31, 193),
	(8, 31, 195),
	(8, 31, 202),
	(8, 31, 205),
	(9, 1, 114),
	(9, 1, 112),
	(9, 1, 111),
	(9, 1, 110),
	(9, 1, 107),
	(9, 1, 106),
	(9, 1, 101),
	(9, 1, 102),
	(9, 1, 166),
	(9, 1, 191),
	(9, 1, 116),
	(9, 1, 190),
	(9, 1, 192),
	(9, 1, 193),
	(9, 1, 195),
	(9, 1, 202),
	(9, 1, 205),
	(9, 2, 114),
	(9, 2, 112),
	(9, 2, 111),
	(9, 2, 110),
	(9, 2, 107),
	(9, 2, 106),
	(9, 2, 101),
	(9, 2, 102),
	(9, 2, 166),
	(9, 2, 191),
	(9, 2, 116),
	(9, 2, 190),
	(9, 2, 192),
	(9, 2, 193),
	(9, 2, 195),
	(9, 2, 202),
	(9, 2, 205),
	(9, 3, 114),
	(9, 3, 112),
	(9, 3, 111),
	(9, 3, 110),
	(9, 3, 107),
	(9, 3, 106),
	(9, 3, 101),
	(9, 3, 102),
	(9, 3, 166),
	(9, 3, 191),
	(9, 3, 116),
	(9, 3, 190),
	(9, 3, 192),
	(9, 3, 193),
	(9, 3, 195),
	(9, 3, 202),
	(9, 3, 205),
	(9, 4, 114),
	(9, 4, 112),
	(9, 4, 111),
	(9, 4, 110),
	(9, 4, 107),
	(9, 4, 106),
	(9, 4, 101),
	(9, 4, 102),
	(9, 4, 166),
	(9, 4, 191),
	(9, 4, 116),
	(9, 4, 190),
	(9, 4, 192),
	(9, 4, 193),
	(9, 4, 195),
	(9, 4, 202),
	(9, 4, 205),
	(9, 5, 114),
	(9, 5, 112),
	(9, 5, 111),
	(9, 5, 110),
	(9, 5, 107),
	(9, 5, 106),
	(9, 5, 101),
	(9, 5, 102),
	(9, 5, 166),
	(9, 5, 191),
	(9, 5, 116),
	(9, 5, 190),
	(9, 5, 192),
	(9, 5, 193),
	(9, 5, 195),
	(9, 5, 202),
	(9, 5, 205),
	(9, 6, 114),
	(9, 6, 112),
	(9, 6, 111),
	(9, 6, 110),
	(9, 6, 107),
	(9, 6, 106),
	(9, 6, 101),
	(9, 6, 102),
	(9, 6, 166),
	(9, 6, 191),
	(9, 6, 116),
	(9, 6, 190),
	(9, 6, 192),
	(9, 6, 193),
	(9, 6, 195),
	(9, 6, 202),
	(9, 6, 205),
	(9, 7, 114),
	(9, 7, 112),
	(9, 7, 111),
	(9, 7, 110),
	(9, 7, 107),
	(9, 7, 106),
	(9, 7, 101),
	(9, 7, 102),
	(9, 7, 166),
	(9, 7, 191),
	(9, 7, 116),
	(9, 7, 190),
	(9, 7, 192),
	(9, 7, 193),
	(9, 7, 195),
	(9, 7, 202),
	(9, 7, 205),
	(9, 8, 114),
	(9, 8, 112),
	(9, 8, 111),
	(9, 8, 110),
	(9, 8, 107),
	(9, 8, 106),
	(9, 8, 101),
	(9, 8, 102),
	(9, 8, 166),
	(9, 8, 191),
	(9, 8, 116),
	(9, 8, 190),
	(9, 8, 192),
	(9, 8, 193),
	(9, 8, 195),
	(9, 8, 202),
	(9, 8, 205),
	(9, 9, 114),
	(9, 9, 112),
	(9, 9, 111),
	(9, 9, 110),
	(9, 9, 107),
	(9, 9, 106),
	(9, 9, 101),
	(9, 9, 102),
	(9, 9, 166),
	(9, 9, 191),
	(9, 9, 116),
	(9, 9, 190),
	(9, 9, 192),
	(9, 9, 193),
	(9, 9, 195),
	(9, 9, 202),
	(9, 9, 205),
	(9, 10, 114),
	(9, 10, 112),
	(9, 10, 111),
	(9, 10, 110),
	(9, 10, 107),
	(9, 10, 106),
	(9, 10, 101),
	(9, 10, 102),
	(9, 10, 166),
	(9, 10, 191),
	(9, 10, 116),
	(9, 10, 190),
	(9, 10, 192),
	(9, 10, 193),
	(9, 10, 195),
	(9, 10, 202),
	(9, 10, 205),
	(9, 11, 114),
	(9, 11, 112),
	(9, 11, 111),
	(9, 11, 110),
	(9, 11, 107),
	(9, 11, 106),
	(9, 11, 101),
	(9, 11, 102),
	(9, 11, 166),
	(9, 11, 191),
	(9, 11, 116),
	(9, 11, 190),
	(9, 11, 192),
	(9, 11, 193),
	(9, 11, 195),
	(9, 11, 202),
	(9, 11, 205),
	(9, 12, 114),
	(9, 12, 112),
	(9, 12, 111),
	(9, 12, 110),
	(9, 12, 107),
	(9, 12, 106),
	(9, 12, 101),
	(9, 12, 102),
	(9, 12, 166),
	(9, 12, 191),
	(9, 12, 116),
	(9, 12, 190),
	(9, 12, 192),
	(9, 12, 193),
	(9, 12, 195),
	(9, 12, 202),
	(9, 12, 205),
	(9, 13, 114),
	(9, 13, 112),
	(9, 13, 111),
	(9, 13, 110),
	(9, 13, 107),
	(9, 13, 106),
	(9, 13, 101),
	(9, 13, 102),
	(9, 13, 166),
	(9, 13, 191),
	(9, 13, 116),
	(9, 13, 190),
	(9, 13, 192),
	(9, 13, 193),
	(9, 13, 195),
	(9, 13, 202),
	(9, 13, 205),
	(9, 14, 114),
	(9, 14, 112),
	(9, 14, 111),
	(9, 14, 110),
	(9, 14, 107),
	(9, 14, 106),
	(9, 14, 101),
	(9, 14, 102),
	(9, 14, 166),
	(9, 14, 191),
	(9, 14, 116),
	(9, 14, 190),
	(9, 14, 192),
	(9, 14, 193),
	(9, 14, 195),
	(9, 14, 202),
	(9, 14, 205),
	(9, 15, 114),
	(9, 15, 112),
	(9, 15, 111),
	(9, 15, 110),
	(9, 15, 107),
	(9, 15, 106),
	(9, 15, 101),
	(9, 15, 102),
	(9, 15, 166),
	(9, 15, 191),
	(9, 15, 116),
	(9, 15, 190),
	(9, 15, 192),
	(9, 15, 193),
	(9, 15, 195),
	(9, 15, 202),
	(9, 15, 205),
	(9, 16, 114),
	(9, 16, 112),
	(9, 16, 111),
	(9, 16, 110),
	(9, 16, 107),
	(9, 16, 106),
	(9, 16, 101),
	(9, 16, 102),
	(9, 16, 166),
	(9, 16, 191),
	(9, 16, 116),
	(9, 16, 190),
	(9, 16, 192),
	(9, 16, 193),
	(9, 16, 195),
	(9, 16, 202),
	(9, 16, 205),
	(9, 17, 114),
	(9, 17, 112),
	(9, 17, 111),
	(9, 17, 110),
	(9, 17, 107),
	(9, 17, 106),
	(9, 17, 101),
	(9, 17, 102),
	(9, 17, 166),
	(9, 17, 191),
	(9, 17, 116),
	(9, 17, 190),
	(9, 17, 192),
	(9, 17, 193),
	(9, 17, 195),
	(9, 17, 202),
	(9, 17, 205),
	(9, 18, 114),
	(9, 18, 112),
	(9, 18, 111),
	(9, 18, 110),
	(9, 18, 107),
	(9, 18, 106),
	(9, 18, 101),
	(9, 18, 102),
	(9, 18, 166),
	(9, 18, 191),
	(9, 18, 116),
	(9, 18, 190),
	(9, 18, 192),
	(9, 18, 193),
	(9, 18, 195),
	(9, 18, 202),
	(9, 18, 205),
	(9, 19, 114),
	(9, 19, 112),
	(9, 19, 111),
	(9, 19, 110),
	(9, 19, 107),
	(9, 19, 106),
	(9, 19, 101),
	(9, 19, 102),
	(9, 19, 166),
	(9, 19, 191),
	(9, 19, 116),
	(9, 19, 190),
	(9, 19, 192),
	(9, 19, 193),
	(9, 19, 195),
	(9, 19, 202),
	(9, 19, 205),
	(9, 20, 114),
	(9, 20, 112),
	(9, 20, 111),
	(9, 20, 110),
	(9, 20, 107),
	(9, 20, 106),
	(9, 20, 101),
	(9, 20, 102),
	(9, 20, 166),
	(9, 20, 191),
	(9, 20, 116),
	(9, 20, 190),
	(9, 20, 192),
	(9, 20, 193),
	(9, 20, 195),
	(9, 20, 202),
	(9, 20, 205),
	(9, 21, 114),
	(9, 21, 112),
	(9, 21, 111),
	(9, 21, 110),
	(9, 21, 107),
	(9, 21, 106),
	(9, 21, 101),
	(9, 21, 102),
	(9, 21, 166),
	(9, 21, 191),
	(9, 21, 116),
	(9, 21, 190),
	(9, 21, 192),
	(9, 21, 193),
	(9, 21, 195),
	(9, 21, 202),
	(9, 21, 205),
	(9, 22, 114),
	(9, 22, 112),
	(9, 22, 111),
	(9, 22, 110),
	(9, 22, 107),
	(9, 22, 106),
	(9, 22, 101),
	(9, 22, 102),
	(9, 22, 166),
	(9, 22, 191),
	(9, 22, 116),
	(9, 22, 190),
	(9, 22, 192),
	(9, 22, 193),
	(9, 22, 195),
	(9, 22, 202),
	(9, 22, 205),
	(9, 23, 114),
	(9, 23, 112),
	(9, 23, 111),
	(9, 23, 110),
	(9, 23, 107),
	(9, 23, 106),
	(9, 23, 101),
	(9, 23, 102),
	(9, 23, 166),
	(9, 23, 191),
	(9, 23, 116),
	(9, 23, 190),
	(9, 23, 192),
	(9, 23, 193),
	(9, 23, 195),
	(9, 23, 202),
	(9, 23, 205),
	(9, 24, 114),
	(9, 24, 112),
	(9, 24, 111),
	(9, 24, 110),
	(9, 24, 107),
	(9, 24, 106),
	(9, 24, 101),
	(9, 24, 102),
	(9, 24, 166),
	(9, 24, 191),
	(9, 24, 116),
	(9, 24, 190),
	(9, 24, 192),
	(9, 24, 193),
	(9, 24, 195),
	(9, 24, 202),
	(9, 24, 205),
	(9, 25, 114),
	(9, 25, 112),
	(9, 25, 111),
	(9, 25, 110),
	(9, 25, 107),
	(9, 25, 106),
	(9, 25, 101),
	(9, 25, 102),
	(9, 25, 166),
	(9, 25, 191),
	(9, 25, 116),
	(9, 25, 190),
	(9, 25, 192),
	(9, 25, 193),
	(9, 25, 195),
	(9, 25, 202),
	(9, 25, 205),
	(9, 26, 114),
	(9, 26, 112),
	(9, 26, 111),
	(9, 26, 110),
	(9, 26, 107),
	(9, 26, 106),
	(9, 26, 101),
	(9, 26, 102),
	(9, 26, 166),
	(9, 26, 191),
	(9, 26, 116),
	(9, 26, 190),
	(9, 26, 192),
	(9, 26, 193),
	(9, 26, 195),
	(9, 26, 202),
	(9, 26, 205),
	(9, 27, 114),
	(9, 27, 112),
	(9, 27, 111),
	(9, 27, 110),
	(9, 27, 107),
	(9, 27, 106),
	(9, 27, 101),
	(9, 27, 102),
	(9, 27, 166),
	(9, 27, 191),
	(9, 27, 116),
	(9, 27, 190),
	(9, 27, 192),
	(9, 27, 193),
	(9, 27, 195),
	(9, 27, 202),
	(9, 27, 205),
	(9, 28, 114),
	(9, 28, 112),
	(9, 28, 111),
	(9, 28, 110),
	(9, 28, 107),
	(9, 28, 106),
	(9, 28, 101),
	(9, 28, 102),
	(9, 28, 166),
	(9, 28, 191),
	(9, 28, 116),
	(9, 28, 190),
	(9, 28, 192),
	(9, 28, 193),
	(9, 28, 195),
	(9, 28, 202),
	(9, 28, 205),
	(9, 29, 114),
	(9, 29, 112),
	(9, 29, 111),
	(9, 29, 110),
	(9, 29, 107),
	(9, 29, 106),
	(9, 29, 101),
	(9, 29, 102),
	(9, 29, 166),
	(9, 29, 191),
	(9, 29, 116),
	(9, 29, 190),
	(9, 29, 192),
	(9, 29, 193),
	(9, 29, 195),
	(9, 29, 202),
	(9, 29, 205),
	(9, 30, 114),
	(9, 30, 112),
	(9, 30, 111),
	(9, 30, 110),
	(9, 30, 107),
	(9, 30, 106),
	(9, 30, 101),
	(9, 30, 102),
	(9, 30, 166),
	(9, 30, 191),
	(9, 30, 116),
	(9, 30, 190),
	(9, 30, 192),
	(9, 30, 193),
	(9, 30, 195),
	(9, 30, 202),
	(9, 30, 205),
	(10, 1, 114),
	(10, 1, 112),
	(10, 1, 111),
	(10, 1, 110),
	(10, 1, 107),
	(10, 1, 106),
	(10, 1, 101),
	(10, 1, 102),
	(10, 1, 166),
	(10, 1, 191),
	(10, 1, 116),
	(10, 1, 190),
	(10, 1, 192),
	(10, 1, 193),
	(10, 1, 195),
	(10, 1, 202),
	(10, 1, 205),
	(10, 2, 114),
	(10, 2, 112),
	(10, 2, 111),
	(10, 2, 110),
	(10, 2, 107),
	(10, 2, 106),
	(10, 2, 101),
	(10, 2, 102),
	(10, 2, 166),
	(10, 2, 191),
	(10, 2, 116),
	(10, 2, 190),
	(10, 2, 192),
	(10, 2, 193),
	(10, 2, 195),
	(10, 2, 202),
	(10, 2, 205),
	(10, 3, 114),
	(10, 3, 112),
	(10, 3, 111),
	(10, 3, 110),
	(10, 3, 107),
	(10, 3, 106),
	(10, 3, 101),
	(10, 3, 102),
	(10, 3, 166),
	(10, 3, 191),
	(10, 3, 116),
	(10, 3, 190),
	(10, 3, 192),
	(10, 3, 193),
	(10, 3, 195),
	(10, 3, 202),
	(10, 3, 205),
	(10, 4, 114),
	(10, 4, 112),
	(10, 4, 111),
	(10, 4, 110),
	(10, 4, 107),
	(10, 4, 106),
	(10, 4, 101),
	(10, 4, 102),
	(10, 4, 166),
	(10, 4, 191),
	(10, 4, 116),
	(10, 4, 190),
	(10, 4, 192),
	(10, 4, 193),
	(10, 4, 195),
	(10, 4, 202),
	(10, 4, 205),
	(10, 5, 114),
	(10, 5, 112),
	(10, 5, 111),
	(10, 5, 110),
	(10, 5, 107),
	(10, 5, 106),
	(10, 5, 101),
	(10, 5, 102),
	(10, 5, 166),
	(10, 5, 191),
	(10, 5, 116),
	(10, 5, 190),
	(10, 5, 192),
	(10, 5, 193),
	(10, 5, 195),
	(10, 5, 202),
	(10, 5, 205),
	(10, 6, 114),
	(10, 6, 112),
	(10, 6, 111),
	(10, 6, 110),
	(10, 6, 107),
	(10, 6, 106),
	(10, 6, 101),
	(10, 6, 102),
	(10, 6, 166),
	(10, 6, 191),
	(10, 6, 116),
	(10, 6, 190),
	(10, 6, 192),
	(10, 6, 193),
	(10, 6, 195),
	(10, 6, 202),
	(10, 6, 205),
	(10, 7, 114),
	(10, 7, 112),
	(10, 7, 111),
	(10, 7, 110),
	(10, 7, 107),
	(10, 7, 106),
	(10, 7, 101),
	(10, 7, 102),
	(10, 7, 166),
	(10, 7, 191),
	(10, 7, 116),
	(10, 7, 190),
	(10, 7, 192),
	(10, 7, 193),
	(10, 7, 195),
	(10, 7, 202),
	(10, 7, 205),
	(10, 8, 114),
	(10, 8, 112),
	(10, 8, 111),
	(10, 8, 110),
	(10, 8, 107),
	(10, 8, 106),
	(10, 8, 101),
	(10, 8, 102),
	(10, 8, 166),
	(10, 8, 191),
	(10, 8, 116),
	(10, 8, 190),
	(10, 8, 192),
	(10, 8, 193),
	(10, 8, 195),
	(10, 8, 202),
	(10, 8, 205),
	(10, 9, 114),
	(10, 9, 112),
	(10, 9, 111),
	(10, 9, 110),
	(10, 9, 107),
	(10, 9, 106),
	(10, 9, 101),
	(10, 9, 102),
	(10, 9, 166),
	(10, 9, 191),
	(10, 9, 116),
	(10, 9, 190),
	(10, 9, 192),
	(10, 9, 193),
	(10, 9, 195),
	(10, 9, 202),
	(10, 9, 205),
	(10, 10, 114),
	(10, 10, 112),
	(10, 10, 111),
	(10, 10, 110),
	(10, 10, 107),
	(10, 10, 106),
	(10, 10, 101),
	(10, 10, 102),
	(10, 10, 166),
	(10, 10, 191),
	(10, 10, 116),
	(10, 10, 190),
	(10, 10, 192),
	(10, 10, 193),
	(10, 10, 195),
	(10, 10, 202),
	(10, 10, 205),
	(10, 11, 114),
	(10, 11, 112),
	(10, 11, 111),
	(10, 11, 110),
	(10, 11, 107),
	(10, 11, 106),
	(10, 11, 101),
	(10, 11, 102),
	(10, 11, 166),
	(10, 11, 191),
	(10, 11, 116),
	(10, 11, 190),
	(10, 11, 192),
	(10, 11, 193),
	(10, 11, 195),
	(10, 11, 202),
	(10, 11, 205),
	(10, 12, 114),
	(10, 12, 112),
	(10, 12, 111),
	(10, 12, 110),
	(10, 12, 107),
	(10, 12, 106),
	(10, 12, 101),
	(10, 12, 102),
	(10, 12, 166),
	(10, 12, 191),
	(10, 12, 116),
	(10, 12, 190),
	(10, 12, 192),
	(10, 12, 193),
	(10, 12, 195),
	(10, 12, 202),
	(10, 12, 205),
	(10, 13, 114),
	(10, 13, 112),
	(10, 13, 111),
	(10, 13, 110),
	(10, 13, 107),
	(10, 13, 106),
	(10, 13, 101),
	(10, 13, 102),
	(10, 13, 166),
	(10, 13, 191),
	(10, 13, 116),
	(10, 13, 190),
	(10, 13, 192),
	(10, 13, 193),
	(10, 13, 195),
	(10, 13, 202),
	(10, 13, 205),
	(10, 14, 114),
	(10, 14, 112),
	(10, 14, 111),
	(10, 14, 110),
	(10, 14, 107),
	(10, 14, 106),
	(10, 14, 101),
	(10, 14, 102),
	(10, 14, 166),
	(10, 14, 191),
	(10, 14, 116),
	(10, 14, 190),
	(10, 14, 192),
	(10, 14, 193),
	(10, 14, 195),
	(10, 14, 202),
	(10, 14, 205),
	(10, 15, 114),
	(10, 15, 112),
	(10, 15, 111),
	(10, 15, 110),
	(10, 15, 107),
	(10, 15, 106),
	(10, 15, 101),
	(10, 15, 102),
	(10, 15, 166),
	(10, 15, 191),
	(10, 15, 116),
	(10, 15, 190),
	(10, 15, 192),
	(10, 15, 193),
	(10, 15, 195),
	(10, 15, 202),
	(10, 15, 205),
	(10, 16, 114),
	(10, 16, 112),
	(10, 16, 111),
	(10, 16, 110),
	(10, 16, 107),
	(10, 16, 106),
	(10, 16, 101),
	(10, 16, 102),
	(10, 16, 166),
	(10, 16, 191),
	(10, 16, 116),
	(10, 16, 190),
	(10, 16, 192),
	(10, 16, 193),
	(10, 16, 195),
	(10, 16, 202),
	(10, 16, 205),
	(10, 17, 114),
	(10, 17, 112),
	(10, 17, 111),
	(10, 17, 110),
	(10, 17, 107),
	(10, 17, 106),
	(10, 17, 101),
	(10, 17, 102),
	(10, 17, 166),
	(10, 17, 191),
	(10, 17, 116),
	(10, 17, 190),
	(10, 17, 192),
	(10, 17, 193),
	(10, 17, 195),
	(10, 17, 202),
	(10, 17, 205),
	(10, 18, 114),
	(10, 18, 112),
	(10, 18, 111),
	(10, 18, 110),
	(10, 18, 107),
	(10, 18, 106),
	(10, 18, 101),
	(10, 18, 102),
	(10, 18, 166),
	(10, 18, 191),
	(10, 18, 116),
	(10, 18, 190),
	(10, 18, 192),
	(10, 18, 193),
	(10, 18, 195),
	(10, 18, 202),
	(10, 18, 205),
	(10, 19, 114),
	(10, 19, 112),
	(10, 19, 111),
	(10, 19, 110),
	(10, 19, 107),
	(10, 19, 106),
	(10, 19, 101),
	(10, 19, 102),
	(10, 19, 166),
	(10, 19, 191),
	(10, 19, 116),
	(10, 19, 190),
	(10, 19, 192),
	(10, 19, 193),
	(10, 19, 195),
	(10, 19, 202),
	(10, 19, 205),
	(10, 20, 114),
	(10, 20, 112),
	(10, 20, 111),
	(10, 20, 110),
	(10, 20, 107),
	(10, 20, 106),
	(10, 20, 101),
	(10, 20, 102),
	(10, 20, 166),
	(10, 20, 191),
	(10, 20, 116),
	(10, 20, 190),
	(10, 20, 192),
	(10, 20, 193),
	(10, 20, 195),
	(10, 20, 202),
	(10, 20, 205),
	(10, 21, 114),
	(10, 21, 112),
	(10, 21, 111),
	(10, 21, 110),
	(10, 21, 107),
	(10, 21, 106),
	(10, 21, 101),
	(10, 21, 102),
	(10, 21, 166),
	(10, 21, 191),
	(10, 21, 116),
	(10, 21, 190),
	(10, 21, 192),
	(10, 21, 193),
	(10, 21, 195),
	(10, 21, 202),
	(10, 21, 205),
	(10, 22, 114),
	(10, 22, 112),
	(10, 22, 111),
	(10, 22, 110),
	(10, 22, 107),
	(10, 22, 106),
	(10, 22, 101),
	(10, 22, 102),
	(10, 22, 166),
	(10, 22, 191),
	(10, 22, 116),
	(10, 22, 190),
	(10, 22, 192),
	(10, 22, 193),
	(10, 22, 195),
	(10, 22, 202),
	(10, 22, 205),
	(10, 23, 114),
	(10, 23, 112),
	(10, 23, 111),
	(10, 23, 110),
	(10, 23, 107),
	(10, 23, 106),
	(10, 23, 101),
	(10, 23, 102),
	(10, 23, 166),
	(10, 23, 191),
	(10, 23, 116),
	(10, 23, 190),
	(10, 23, 192),
	(10, 23, 193),
	(10, 23, 195),
	(10, 23, 202),
	(10, 23, 205),
	(10, 24, 114),
	(10, 24, 112),
	(10, 24, 111),
	(10, 24, 110),
	(10, 24, 107),
	(10, 24, 106),
	(10, 24, 101),
	(10, 24, 102),
	(10, 24, 166),
	(10, 24, 191),
	(10, 24, 116),
	(10, 24, 190),
	(10, 24, 192),
	(10, 24, 193),
	(10, 24, 195),
	(10, 24, 202),
	(10, 24, 205),
	(10, 25, 114),
	(10, 25, 112),
	(10, 25, 111),
	(10, 25, 110),
	(10, 25, 107),
	(10, 25, 106),
	(10, 25, 101),
	(10, 25, 102),
	(10, 25, 166),
	(10, 25, 191),
	(10, 25, 116),
	(10, 25, 190),
	(10, 25, 192),
	(10, 25, 193),
	(10, 25, 195),
	(10, 25, 202),
	(10, 25, 205),
	(10, 26, 114),
	(10, 26, 112),
	(10, 26, 111),
	(10, 26, 110),
	(10, 26, 107),
	(10, 26, 106),
	(10, 26, 101),
	(10, 26, 102),
	(10, 26, 166),
	(10, 26, 191),
	(10, 26, 116),
	(10, 26, 190),
	(10, 26, 192),
	(10, 26, 193),
	(10, 26, 195),
	(10, 26, 202),
	(10, 26, 205),
	(10, 27, 114),
	(10, 27, 112),
	(10, 27, 111),
	(10, 27, 110),
	(10, 27, 107),
	(10, 27, 106),
	(10, 27, 101),
	(10, 27, 102),
	(10, 27, 166),
	(10, 27, 191),
	(10, 27, 116),
	(10, 27, 190),
	(10, 27, 192),
	(10, 27, 193),
	(10, 27, 195),
	(10, 27, 202),
	(10, 27, 205),
	(10, 28, 114),
	(10, 28, 112),
	(10, 28, 111),
	(10, 28, 110),
	(10, 28, 107),
	(10, 28, 106),
	(10, 28, 101),
	(10, 28, 102),
	(10, 28, 166),
	(10, 28, 191),
	(10, 28, 116),
	(10, 28, 190),
	(10, 28, 192),
	(10, 28, 193),
	(10, 28, 195),
	(10, 28, 202),
	(10, 28, 205),
	(10, 29, 114),
	(10, 29, 112),
	(10, 29, 111),
	(10, 29, 110),
	(10, 29, 107),
	(10, 29, 106),
	(10, 29, 101),
	(10, 29, 102),
	(10, 29, 166),
	(10, 29, 191),
	(10, 29, 116),
	(10, 29, 190),
	(10, 29, 192),
	(10, 29, 193),
	(10, 29, 195),
	(10, 29, 202),
	(10, 29, 205),
	(10, 30, 114),
	(10, 30, 112),
	(10, 30, 111),
	(10, 30, 110),
	(10, 30, 107),
	(10, 30, 106),
	(10, 30, 101),
	(10, 30, 102),
	(10, 30, 166),
	(10, 30, 191),
	(10, 30, 116),
	(10, 30, 190),
	(10, 30, 192),
	(10, 30, 193),
	(10, 30, 195),
	(10, 30, 202),
	(10, 30, 205),
	(10, 31, 114),
	(10, 31, 112),
	(10, 31, 111),
	(10, 31, 110),
	(10, 31, 107),
	(10, 31, 106),
	(10, 31, 101),
	(10, 31, 102),
	(10, 31, 166),
	(10, 31, 191),
	(10, 31, 116),
	(10, 31, 190),
	(10, 31, 192),
	(10, 31, 193),
	(10, 31, 195),
	(10, 31, 202),
	(10, 31, 205),
	(11, 1, 114),
	(11, 1, 112),
	(11, 1, 111),
	(11, 1, 110),
	(11, 1, 107),
	(11, 1, 106),
	(11, 1, 101),
	(11, 1, 102),
	(11, 1, 166),
	(11, 1, 191),
	(11, 1, 116),
	(11, 1, 190),
	(11, 1, 192),
	(11, 1, 193),
	(11, 1, 195),
	(11, 1, 202),
	(11, 1, 205),
	(11, 2, 114),
	(11, 2, 112),
	(11, 2, 111),
	(11, 2, 110),
	(11, 2, 107),
	(11, 2, 106),
	(11, 2, 101),
	(11, 2, 102),
	(11, 2, 166),
	(11, 2, 191),
	(11, 2, 116),
	(11, 2, 190),
	(11, 2, 192),
	(11, 2, 193),
	(11, 2, 195),
	(11, 2, 202),
	(11, 2, 205),
	(11, 3, 114),
	(11, 3, 112),
	(11, 3, 111),
	(11, 3, 110),
	(11, 3, 107),
	(11, 3, 106),
	(11, 3, 101),
	(11, 3, 102),
	(11, 3, 166),
	(11, 3, 191),
	(11, 3, 116),
	(11, 3, 190),
	(11, 3, 192),
	(11, 3, 193),
	(11, 3, 195),
	(11, 3, 202),
	(11, 3, 205),
	(11, 4, 114),
	(11, 4, 112),
	(11, 4, 111),
	(11, 4, 110),
	(11, 4, 107),
	(11, 4, 106),
	(11, 4, 101),
	(11, 4, 102),
	(11, 4, 166),
	(11, 4, 191),
	(11, 4, 116),
	(11, 4, 190),
	(11, 4, 192),
	(11, 4, 193),
	(11, 4, 195),
	(11, 4, 202),
	(11, 4, 205),
	(11, 5, 114),
	(11, 5, 112),
	(11, 5, 111),
	(11, 5, 110),
	(11, 5, 107),
	(11, 5, 106),
	(11, 5, 101),
	(11, 5, 102),
	(11, 5, 166),
	(11, 5, 191),
	(11, 5, 116),
	(11, 5, 190),
	(11, 5, 192),
	(11, 5, 193),
	(11, 5, 195),
	(11, 5, 202),
	(11, 5, 205),
	(11, 6, 114),
	(11, 6, 112),
	(11, 6, 111),
	(11, 6, 110),
	(11, 6, 107),
	(11, 6, 106),
	(11, 6, 101),
	(11, 6, 102),
	(11, 6, 166),
	(11, 6, 191),
	(11, 6, 116),
	(11, 6, 190),
	(11, 6, 192),
	(11, 6, 193),
	(11, 6, 195),
	(11, 6, 202),
	(11, 6, 205),
	(11, 7, 114),
	(11, 7, 112),
	(11, 7, 111),
	(11, 7, 110),
	(11, 7, 107),
	(11, 7, 106),
	(11, 7, 101),
	(11, 7, 102),
	(11, 7, 166),
	(11, 7, 191),
	(11, 7, 116),
	(11, 7, 190),
	(11, 7, 192),
	(11, 7, 193),
	(11, 7, 195),
	(11, 7, 202),
	(11, 7, 205),
	(11, 8, 114),
	(11, 8, 112),
	(11, 8, 111),
	(11, 8, 110),
	(11, 8, 107),
	(11, 8, 106),
	(11, 8, 101),
	(11, 8, 102),
	(11, 8, 166),
	(11, 8, 191),
	(11, 8, 116),
	(11, 8, 190),
	(11, 8, 192),
	(11, 8, 193),
	(11, 8, 195),
	(11, 8, 202),
	(11, 8, 205),
	(11, 9, 114),
	(11, 9, 112),
	(11, 9, 111),
	(11, 9, 110),
	(11, 9, 107),
	(11, 9, 106),
	(11, 9, 101),
	(11, 9, 102),
	(11, 9, 166),
	(11, 9, 191),
	(11, 9, 116),
	(11, 9, 190),
	(11, 9, 192),
	(11, 9, 193),
	(11, 9, 195),
	(11, 9, 202),
	(11, 9, 205),
	(11, 10, 114),
	(11, 10, 112),
	(11, 10, 111),
	(11, 10, 110),
	(11, 10, 107),
	(11, 10, 106),
	(11, 10, 101),
	(11, 10, 102),
	(11, 10, 166),
	(11, 10, 191),
	(11, 10, 116),
	(11, 10, 190),
	(11, 10, 192),
	(11, 10, 193),
	(11, 10, 195),
	(11, 10, 202),
	(11, 10, 205),
	(11, 11, 114),
	(11, 11, 112),
	(11, 11, 111),
	(11, 11, 110),
	(11, 11, 107),
	(11, 11, 106),
	(11, 11, 101),
	(11, 11, 102),
	(11, 11, 166),
	(11, 11, 191),
	(11, 11, 116),
	(11, 11, 190),
	(11, 11, 192),
	(11, 11, 193),
	(11, 11, 195),
	(11, 11, 202),
	(11, 11, 205),
	(11, 12, 114),
	(11, 12, 112),
	(11, 12, 111),
	(11, 12, 110),
	(11, 12, 107),
	(11, 12, 106),
	(11, 12, 101),
	(11, 12, 102),
	(11, 12, 166),
	(11, 12, 191),
	(11, 12, 116),
	(11, 12, 190),
	(11, 12, 192),
	(11, 12, 193),
	(11, 12, 195),
	(11, 12, 202),
	(11, 12, 205),
	(11, 13, 114),
	(11, 13, 112),
	(11, 13, 111),
	(11, 13, 110),
	(11, 13, 107),
	(11, 13, 106),
	(11, 13, 101),
	(11, 13, 102),
	(11, 13, 166),
	(11, 13, 191),
	(11, 13, 116),
	(11, 13, 190),
	(11, 13, 192),
	(11, 13, 193),
	(11, 13, 195),
	(11, 13, 202),
	(11, 13, 205),
	(11, 14, 114),
	(11, 14, 112),
	(11, 14, 111),
	(11, 14, 110),
	(11, 14, 107),
	(11, 14, 106),
	(11, 14, 101),
	(11, 14, 102),
	(11, 14, 166),
	(11, 14, 191),
	(11, 14, 116),
	(11, 14, 190),
	(11, 14, 192),
	(11, 14, 193),
	(11, 14, 195),
	(11, 14, 202),
	(11, 14, 205),
	(11, 15, 114),
	(11, 15, 112),
	(11, 15, 111),
	(11, 15, 110),
	(11, 15, 107),
	(11, 15, 106),
	(11, 15, 101),
	(11, 15, 102),
	(11, 15, 166),
	(11, 15, 191),
	(11, 15, 116),
	(11, 15, 190),
	(11, 15, 192),
	(11, 15, 193),
	(11, 15, 195),
	(11, 15, 202),
	(11, 15, 205),
	(11, 16, 114),
	(11, 16, 112),
	(11, 16, 111),
	(11, 16, 110),
	(11, 16, 107),
	(11, 16, 106),
	(11, 16, 101),
	(11, 16, 102),
	(11, 16, 166),
	(11, 16, 191),
	(11, 16, 116),
	(11, 16, 190),
	(11, 16, 192),
	(11, 16, 193),
	(11, 16, 195),
	(11, 16, 202),
	(11, 16, 205),
	(11, 17, 114),
	(11, 17, 112),
	(11, 17, 111),
	(11, 17, 110),
	(11, 17, 107),
	(11, 17, 106),
	(11, 17, 101),
	(11, 17, 102),
	(11, 17, 166),
	(11, 17, 191),
	(11, 17, 116),
	(11, 17, 190),
	(11, 17, 192),
	(11, 17, 193),
	(11, 17, 195),
	(11, 17, 202),
	(11, 17, 205),
	(11, 18, 114),
	(11, 18, 112),
	(11, 18, 111),
	(11, 18, 110),
	(11, 18, 107),
	(11, 18, 106),
	(11, 18, 101),
	(11, 18, 102),
	(11, 18, 166),
	(11, 18, 191),
	(11, 18, 116),
	(11, 18, 190),
	(11, 18, 192),
	(11, 18, 193),
	(11, 18, 195),
	(11, 18, 202),
	(11, 18, 205),
	(11, 19, 114),
	(11, 19, 112),
	(11, 19, 111),
	(11, 19, 110),
	(11, 19, 107),
	(11, 19, 106),
	(11, 19, 101),
	(11, 19, 102),
	(11, 19, 166),
	(11, 19, 191),
	(11, 19, 116),
	(11, 19, 190),
	(11, 19, 192),
	(11, 19, 193),
	(11, 19, 195),
	(11, 19, 202),
	(11, 19, 205),
	(11, 20, 114),
	(11, 20, 112),
	(11, 20, 111),
	(11, 20, 110),
	(11, 20, 107),
	(11, 20, 106),
	(11, 20, 101),
	(11, 20, 102),
	(11, 20, 166),
	(11, 20, 191),
	(11, 20, 116),
	(11, 20, 190),
	(11, 20, 192),
	(11, 20, 193),
	(11, 20, 195),
	(11, 20, 202),
	(11, 20, 205),
	(11, 21, 114),
	(11, 21, 112),
	(11, 21, 111),
	(11, 21, 110),
	(11, 21, 107),
	(11, 21, 106),
	(11, 21, 101),
	(11, 21, 102),
	(11, 21, 166),
	(11, 21, 191),
	(11, 21, 116),
	(11, 21, 190),
	(11, 21, 192),
	(11, 21, 193),
	(11, 21, 195),
	(11, 21, 202),
	(11, 21, 205),
	(11, 22, 114),
	(11, 22, 112),
	(11, 22, 111),
	(11, 22, 110),
	(11, 22, 107),
	(11, 22, 106),
	(11, 22, 101),
	(11, 22, 102),
	(11, 22, 166),
	(11, 22, 191),
	(11, 22, 116),
	(11, 22, 190),
	(11, 22, 192),
	(11, 22, 193),
	(11, 22, 195),
	(11, 22, 202),
	(11, 22, 205),
	(11, 23, 114),
	(11, 23, 112),
	(11, 23, 111),
	(11, 23, 110),
	(11, 23, 107),
	(11, 23, 106),
	(11, 23, 101),
	(11, 23, 102),
	(11, 23, 166),
	(11, 23, 191),
	(11, 23, 116),
	(11, 23, 190),
	(11, 23, 192),
	(11, 23, 193),
	(11, 23, 195),
	(11, 23, 202),
	(11, 23, 205),
	(11, 24, 114),
	(11, 24, 112),
	(11, 24, 111),
	(11, 24, 110),
	(11, 24, 107),
	(11, 24, 106),
	(11, 24, 101),
	(11, 24, 102),
	(11, 24, 166),
	(11, 24, 191),
	(11, 24, 116),
	(11, 24, 190),
	(11, 24, 192),
	(11, 24, 193),
	(11, 24, 195),
	(11, 24, 202),
	(11, 24, 205),
	(11, 25, 114),
	(11, 25, 112),
	(11, 25, 111),
	(11, 25, 110),
	(11, 25, 107),
	(11, 25, 106),
	(11, 25, 101),
	(11, 25, 102),
	(11, 25, 166),
	(11, 25, 191),
	(11, 25, 116),
	(11, 25, 190),
	(11, 25, 192),
	(11, 25, 193),
	(11, 25, 195),
	(11, 25, 202),
	(11, 25, 205),
	(11, 26, 114),
	(11, 26, 112),
	(11, 26, 111),
	(11, 26, 110),
	(11, 26, 107),
	(11, 26, 106),
	(11, 26, 101),
	(11, 26, 102),
	(11, 26, 166),
	(11, 26, 191),
	(11, 26, 116),
	(11, 26, 190),
	(11, 26, 192),
	(11, 26, 193),
	(11, 26, 195),
	(11, 26, 202),
	(11, 26, 205),
	(11, 27, 114),
	(11, 27, 112),
	(11, 27, 111),
	(11, 27, 110),
	(11, 27, 107),
	(11, 27, 106),
	(11, 27, 101),
	(11, 27, 102),
	(11, 27, 166),
	(11, 27, 191),
	(11, 27, 116),
	(11, 27, 190),
	(11, 27, 192),
	(11, 27, 193),
	(11, 27, 195),
	(11, 27, 202),
	(11, 27, 205),
	(11, 28, 114),
	(11, 28, 112),
	(11, 28, 111),
	(11, 28, 110),
	(11, 28, 107),
	(11, 28, 106),
	(11, 28, 101),
	(11, 28, 102),
	(11, 28, 166),
	(11, 28, 191),
	(11, 28, 116),
	(11, 28, 190),
	(11, 28, 192),
	(11, 28, 193),
	(11, 28, 195),
	(11, 28, 202),
	(11, 28, 205),
	(11, 29, 114),
	(11, 29, 112),
	(11, 29, 111),
	(11, 29, 110),
	(11, 29, 107),
	(11, 29, 106),
	(11, 29, 101),
	(11, 29, 102),
	(11, 29, 166),
	(11, 29, 191),
	(11, 29, 116),
	(11, 29, 190),
	(11, 29, 192),
	(11, 29, 193),
	(11, 29, 195),
	(11, 29, 202),
	(11, 29, 205),
	(11, 30, 114),
	(11, 30, 112),
	(11, 30, 111),
	(11, 30, 110),
	(11, 30, 107),
	(11, 30, 106),
	(11, 30, 101),
	(11, 30, 102),
	(11, 30, 166),
	(11, 30, 191),
	(11, 30, 116),
	(11, 30, 190),
	(11, 30, 192),
	(11, 30, 193),
	(11, 30, 195),
	(11, 30, 202),
	(11, 30, 205),
	(12, 1, 114),
	(12, 1, 112),
	(12, 1, 111),
	(12, 1, 110),
	(12, 1, 107),
	(12, 1, 106),
	(12, 1, 101),
	(12, 1, 102),
	(12, 1, 166),
	(12, 1, 191),
	(12, 1, 116),
	(12, 1, 190),
	(12, 1, 192),
	(12, 1, 193),
	(12, 1, 195),
	(12, 1, 202),
	(12, 1, 205),
	(12, 2, 114),
	(12, 2, 112),
	(12, 2, 111),
	(12, 2, 110),
	(12, 2, 107),
	(12, 2, 106),
	(12, 2, 101),
	(12, 2, 102),
	(12, 2, 166),
	(12, 2, 191),
	(12, 2, 116),
	(12, 2, 190),
	(12, 2, 192),
	(12, 2, 193),
	(12, 2, 195),
	(12, 2, 202),
	(12, 2, 205),
	(12, 3, 114),
	(12, 3, 112),
	(12, 3, 111),
	(12, 3, 110),
	(12, 3, 107),
	(12, 3, 106),
	(12, 3, 101),
	(12, 3, 102),
	(12, 3, 166),
	(12, 3, 191),
	(12, 3, 116),
	(12, 3, 190),
	(12, 3, 192),
	(12, 3, 193),
	(12, 3, 195),
	(12, 3, 202),
	(12, 3, 205),
	(12, 4, 114),
	(12, 4, 112),
	(12, 4, 111),
	(12, 4, 110),
	(12, 4, 107),
	(12, 4, 106),
	(12, 4, 101),
	(12, 4, 102),
	(12, 4, 166),
	(12, 4, 191),
	(12, 4, 116),
	(12, 4, 190),
	(12, 4, 192),
	(12, 4, 193),
	(12, 4, 195),
	(12, 4, 202),
	(12, 4, 205),
	(12, 5, 114),
	(12, 5, 112),
	(12, 5, 111),
	(12, 5, 110),
	(12, 5, 107),
	(12, 5, 106),
	(12, 5, 101),
	(12, 5, 102),
	(12, 5, 166),
	(12, 5, 191),
	(12, 5, 116),
	(12, 5, 190),
	(12, 5, 192),
	(12, 5, 193),
	(12, 5, 195),
	(12, 5, 202),
	(12, 5, 205),
	(12, 6, 114),
	(12, 6, 112),
	(12, 6, 111),
	(12, 6, 110),
	(12, 6, 107),
	(12, 6, 106),
	(12, 6, 101),
	(12, 6, 102),
	(12, 6, 166),
	(12, 6, 191),
	(12, 6, 116),
	(12, 6, 190),
	(12, 6, 192),
	(12, 6, 193),
	(12, 6, 195),
	(12, 6, 202),
	(12, 6, 205),
	(12, 7, 114),
	(12, 7, 112),
	(12, 7, 111),
	(12, 7, 110),
	(12, 7, 107),
	(12, 7, 106),
	(12, 7, 101),
	(12, 7, 102),
	(12, 7, 166),
	(12, 7, 191),
	(12, 7, 116),
	(12, 7, 190),
	(12, 7, 192),
	(12, 7, 193),
	(12, 7, 195),
	(12, 7, 202),
	(12, 7, 205),
	(12, 8, 114),
	(12, 8, 112),
	(12, 8, 111),
	(12, 8, 110),
	(12, 8, 107),
	(12, 8, 106),
	(12, 8, 101),
	(12, 8, 102),
	(12, 8, 166),
	(12, 8, 191),
	(12, 8, 116),
	(12, 8, 190),
	(12, 8, 192),
	(12, 8, 193),
	(12, 8, 195),
	(12, 8, 202),
	(12, 8, 205),
	(12, 9, 114),
	(12, 9, 112),
	(12, 9, 111),
	(12, 9, 110),
	(12, 9, 107),
	(12, 9, 106),
	(12, 9, 101),
	(12, 9, 102),
	(12, 9, 166),
	(12, 9, 191),
	(12, 9, 116),
	(12, 9, 190),
	(12, 9, 192),
	(12, 9, 193),
	(12, 9, 195),
	(12, 9, 202),
	(12, 9, 205),
	(12, 10, 114),
	(12, 10, 112),
	(12, 10, 111),
	(12, 10, 110),
	(12, 10, 107),
	(12, 10, 106),
	(12, 10, 101),
	(12, 10, 102),
	(12, 10, 166),
	(12, 10, 191),
	(12, 10, 116),
	(12, 10, 190),
	(12, 10, 192),
	(12, 10, 193),
	(12, 10, 195),
	(12, 10, 202),
	(12, 10, 205),
	(12, 11, 114),
	(12, 11, 112),
	(12, 11, 111),
	(12, 11, 110),
	(12, 11, 107),
	(12, 11, 106),
	(12, 11, 101),
	(12, 11, 102),
	(12, 11, 166),
	(12, 11, 191),
	(12, 11, 116),
	(12, 11, 190),
	(12, 11, 192),
	(12, 11, 193),
	(12, 11, 195),
	(12, 11, 202),
	(12, 11, 205),
	(12, 12, 114),
	(12, 12, 112),
	(12, 12, 111),
	(12, 12, 110),
	(12, 12, 107),
	(12, 12, 106),
	(12, 12, 101),
	(12, 12, 102),
	(12, 12, 166),
	(12, 12, 191),
	(12, 12, 116),
	(12, 12, 190),
	(12, 12, 192),
	(12, 12, 193),
	(12, 12, 195),
	(12, 12, 202),
	(12, 12, 205),
	(12, 13, 114),
	(12, 13, 112),
	(12, 13, 111),
	(12, 13, 110),
	(12, 13, 107),
	(12, 13, 106),
	(12, 13, 101),
	(12, 13, 102),
	(12, 13, 166),
	(12, 13, 191),
	(12, 13, 116),
	(12, 13, 190),
	(12, 13, 192),
	(12, 13, 193),
	(12, 13, 195),
	(12, 13, 202),
	(12, 13, 205),
	(12, 14, 114),
	(12, 14, 112),
	(12, 14, 111),
	(12, 14, 110),
	(12, 14, 107),
	(12, 14, 106),
	(12, 14, 101),
	(12, 14, 102),
	(12, 14, 166),
	(12, 14, 191),
	(12, 14, 116),
	(12, 14, 190),
	(12, 14, 192),
	(12, 14, 193),
	(12, 14, 195),
	(12, 14, 202),
	(12, 14, 205),
	(12, 15, 114),
	(12, 15, 112),
	(12, 15, 111),
	(12, 15, 110),
	(12, 15, 107),
	(12, 15, 106),
	(12, 15, 101),
	(12, 15, 102),
	(12, 15, 166),
	(12, 15, 191),
	(12, 15, 116),
	(12, 15, 190),
	(12, 15, 192),
	(12, 15, 193),
	(12, 15, 195),
	(12, 15, 202),
	(12, 15, 205),
	(12, 16, 114),
	(12, 16, 112),
	(12, 16, 111),
	(12, 16, 110),
	(12, 16, 107),
	(12, 16, 106),
	(12, 16, 101),
	(12, 16, 102),
	(12, 16, 166),
	(12, 16, 191),
	(12, 16, 116),
	(12, 16, 190),
	(12, 16, 192),
	(12, 16, 193),
	(12, 16, 195),
	(12, 16, 202),
	(12, 16, 205),
	(12, 17, 114),
	(12, 17, 112),
	(12, 17, 111),
	(12, 17, 110),
	(12, 17, 107),
	(12, 17, 106),
	(12, 17, 101),
	(12, 17, 102),
	(12, 17, 166),
	(12, 17, 191),
	(12, 17, 116),
	(12, 17, 190),
	(12, 17, 192),
	(12, 17, 193),
	(12, 17, 195),
	(12, 17, 202),
	(12, 17, 205),
	(12, 18, 114),
	(12, 18, 112),
	(12, 18, 111),
	(12, 18, 110),
	(12, 18, 107),
	(12, 18, 106),
	(12, 18, 101),
	(12, 18, 102),
	(12, 18, 166),
	(12, 18, 191),
	(12, 18, 116),
	(12, 18, 190),
	(12, 18, 192),
	(12, 18, 193),
	(12, 18, 195),
	(12, 18, 202),
	(12, 18, 205),
	(12, 19, 114),
	(12, 19, 112),
	(12, 19, 111),
	(12, 19, 110),
	(12, 19, 107),
	(12, 19, 106),
	(12, 19, 101),
	(12, 19, 102),
	(12, 19, 166),
	(12, 19, 191),
	(12, 19, 116),
	(12, 19, 190),
	(12, 19, 192),
	(12, 19, 193),
	(12, 19, 195),
	(12, 19, 202),
	(12, 19, 205),
	(12, 20, 114),
	(12, 20, 112),
	(12, 20, 111),
	(12, 20, 110),
	(12, 20, 107),
	(12, 20, 106),
	(12, 20, 101),
	(12, 20, 102),
	(12, 20, 166),
	(12, 20, 191),
	(12, 20, 116),
	(12, 20, 190),
	(12, 20, 192),
	(12, 20, 193),
	(12, 20, 195),
	(12, 20, 202),
	(12, 20, 205),
	(12, 21, 114),
	(12, 21, 112),
	(12, 21, 111),
	(12, 21, 110),
	(12, 21, 107),
	(12, 21, 106),
	(12, 21, 101),
	(12, 21, 102),
	(12, 21, 166),
	(12, 21, 191),
	(12, 21, 116),
	(12, 21, 190),
	(12, 21, 192),
	(12, 21, 193),
	(12, 21, 195),
	(12, 21, 202),
	(12, 21, 205),
	(12, 22, 114),
	(12, 22, 112),
	(12, 22, 111),
	(12, 22, 110),
	(12, 22, 107),
	(12, 22, 106),
	(12, 22, 101),
	(12, 22, 102),
	(12, 22, 166),
	(12, 22, 191),
	(12, 22, 116),
	(12, 22, 190),
	(12, 22, 192),
	(12, 22, 193),
	(12, 22, 195),
	(12, 22, 202),
	(12, 22, 205),
	(12, 23, 114),
	(12, 23, 112),
	(12, 23, 111),
	(12, 23, 110),
	(12, 23, 107),
	(12, 23, 106),
	(12, 23, 101),
	(12, 23, 102),
	(12, 23, 166),
	(12, 23, 191),
	(12, 23, 116),
	(12, 23, 190),
	(12, 23, 192),
	(12, 23, 193),
	(12, 23, 195),
	(12, 23, 202),
	(12, 23, 205),
	(12, 24, 114),
	(12, 24, 112),
	(12, 24, 111),
	(12, 24, 110),
	(12, 24, 107),
	(12, 24, 106),
	(12, 24, 101),
	(12, 24, 102),
	(12, 24, 166),
	(12, 24, 191),
	(12, 24, 116),
	(12, 24, 190),
	(12, 24, 192),
	(12, 24, 193),
	(12, 24, 195),
	(12, 24, 202),
	(12, 24, 205),
	(12, 25, 114),
	(12, 25, 112),
	(12, 25, 111),
	(12, 25, 110),
	(12, 25, 107),
	(12, 25, 106),
	(12, 25, 101),
	(12, 25, 102),
	(12, 25, 166),
	(12, 25, 191),
	(12, 25, 116),
	(12, 25, 190),
	(12, 25, 192),
	(12, 25, 193),
	(12, 25, 195),
	(12, 25, 202),
	(12, 25, 205),
	(12, 26, 114),
	(12, 26, 112),
	(12, 26, 111),
	(12, 26, 110),
	(12, 26, 107),
	(12, 26, 106),
	(12, 26, 101),
	(12, 26, 102),
	(12, 26, 166),
	(12, 26, 191),
	(12, 26, 116),
	(12, 26, 190),
	(12, 26, 192),
	(12, 26, 193),
	(12, 26, 195),
	(12, 26, 202),
	(12, 26, 205),
	(12, 27, 114),
	(12, 27, 112),
	(12, 27, 111),
	(12, 27, 110),
	(12, 27, 107),
	(12, 27, 106),
	(12, 27, 101),
	(12, 27, 102),
	(12, 27, 166),
	(12, 27, 191),
	(12, 27, 116),
	(12, 27, 190),
	(12, 27, 192),
	(12, 27, 193),
	(12, 27, 195),
	(12, 27, 202),
	(12, 27, 205),
	(12, 28, 114),
	(12, 28, 112),
	(12, 28, 111),
	(12, 28, 110),
	(12, 28, 107),
	(12, 28, 106),
	(12, 28, 101),
	(12, 28, 102),
	(12, 28, 166),
	(12, 28, 191),
	(12, 28, 116),
	(12, 28, 190),
	(12, 28, 192),
	(12, 28, 193),
	(12, 28, 195),
	(12, 28, 202),
	(12, 28, 205),
	(12, 29, 114),
	(12, 29, 112),
	(12, 29, 111),
	(12, 29, 110),
	(12, 29, 107),
	(12, 29, 106),
	(12, 29, 101),
	(12, 29, 102),
	(12, 29, 166),
	(12, 29, 191),
	(12, 29, 116),
	(12, 29, 190),
	(12, 29, 192),
	(12, 29, 193),
	(12, 29, 195),
	(12, 29, 202),
	(12, 29, 205),
	(12, 30, 114),
	(12, 30, 112),
	(12, 30, 111),
	(12, 30, 110),
	(12, 30, 107),
	(12, 30, 106),
	(12, 30, 101),
	(12, 30, 102),
	(12, 30, 166),
	(12, 30, 191),
	(12, 30, 116),
	(12, 30, 190),
	(12, 30, 192),
	(12, 30, 193),
	(12, 30, 195),
	(12, 30, 202),
	(12, 30, 205),
	(12, 31, 114),
	(12, 31, 112),
	(12, 31, 111),
	(12, 31, 110),
	(12, 31, 107),
	(12, 31, 106),
	(12, 31, 101),
	(12, 31, 102),
	(12, 31, 166),
	(12, 31, 191),
	(12, 31, 116),
	(12, 31, 190),
	(12, 31, 192),
	(12, 31, 193),
	(12, 31, 195),
	(12, 31, 202),
	(12, 31, 205);
/*!40000 ALTER TABLE `seq_month_day_element` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_test_db_v4.seq_month_day_element_leap_yr
CREATE TABLE IF NOT EXISTS `seq_month_day_element_leap_yr` (
  `mm` int(11) NOT NULL,
  `dd` int(11) NOT NULL,
  `elementId` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_test_db_v4.seq_month_day_element_leap_yr: ~6,222 rows (approximately)
/*!40000 ALTER TABLE `seq_month_day_element_leap_yr` DISABLE KEYS */;
INSERT INTO `seq_month_day_element_leap_yr` (`mm`, `dd`, `elementId`) VALUES
	(1, 1, 114),
	(1, 1, 112),
	(1, 1, 111),
	(1, 1, 110),
	(1, 1, 107),
	(1, 1, 106),
	(1, 1, 101),
	(1, 1, 102),
	(1, 1, 166),
	(1, 1, 191),
	(1, 1, 116),
	(1, 1, 190),
	(1, 1, 192),
	(1, 1, 193),
	(1, 1, 195),
	(1, 1, 202),
	(1, 1, 205),
	(1, 2, 114),
	(1, 2, 112),
	(1, 2, 111),
	(1, 2, 110),
	(1, 2, 107),
	(1, 2, 106),
	(1, 2, 101),
	(1, 2, 102),
	(1, 2, 166),
	(1, 2, 191),
	(1, 2, 116),
	(1, 2, 190),
	(1, 2, 192),
	(1, 2, 193),
	(1, 2, 195),
	(1, 2, 202),
	(1, 2, 205),
	(1, 3, 114),
	(1, 3, 112),
	(1, 3, 111),
	(1, 3, 110),
	(1, 3, 107),
	(1, 3, 106),
	(1, 3, 101),
	(1, 3, 102),
	(1, 3, 166),
	(1, 3, 191),
	(1, 3, 116),
	(1, 3, 190),
	(1, 3, 192),
	(1, 3, 193),
	(1, 3, 195),
	(1, 3, 202),
	(1, 3, 205),
	(1, 4, 114),
	(1, 4, 112),
	(1, 4, 111),
	(1, 4, 110),
	(1, 4, 107),
	(1, 4, 106),
	(1, 4, 101),
	(1, 4, 102),
	(1, 4, 166),
	(1, 4, 191),
	(1, 4, 116),
	(1, 4, 190),
	(1, 4, 192),
	(1, 4, 193),
	(1, 4, 195),
	(1, 4, 202),
	(1, 4, 205),
	(1, 5, 114),
	(1, 5, 112),
	(1, 5, 111),
	(1, 5, 110),
	(1, 5, 107),
	(1, 5, 106),
	(1, 5, 101),
	(1, 5, 102),
	(1, 5, 166),
	(1, 5, 191),
	(1, 5, 116),
	(1, 5, 190),
	(1, 5, 192),
	(1, 5, 193),
	(1, 5, 195),
	(1, 5, 202),
	(1, 5, 205),
	(1, 6, 114),
	(1, 6, 112),
	(1, 6, 111),
	(1, 6, 110),
	(1, 6, 107),
	(1, 6, 106),
	(1, 6, 101),
	(1, 6, 102),
	(1, 6, 166),
	(1, 6, 191),
	(1, 6, 116),
	(1, 6, 190),
	(1, 6, 192),
	(1, 6, 193),
	(1, 6, 195),
	(1, 6, 202),
	(1, 6, 205),
	(1, 7, 114),
	(1, 7, 112),
	(1, 7, 111),
	(1, 7, 110),
	(1, 7, 107),
	(1, 7, 106),
	(1, 7, 101),
	(1, 7, 102),
	(1, 7, 166),
	(1, 7, 191),
	(1, 7, 116),
	(1, 7, 190),
	(1, 7, 192),
	(1, 7, 193),
	(1, 7, 195),
	(1, 7, 202),
	(1, 7, 205),
	(1, 8, 114),
	(1, 8, 112),
	(1, 8, 111),
	(1, 8, 110),
	(1, 8, 107),
	(1, 8, 106),
	(1, 8, 101),
	(1, 8, 102),
	(1, 8, 166),
	(1, 8, 191),
	(1, 8, 116),
	(1, 8, 190),
	(1, 8, 192),
	(1, 8, 193),
	(1, 8, 195),
	(1, 8, 202),
	(1, 8, 205),
	(1, 9, 114),
	(1, 9, 112),
	(1, 9, 111),
	(1, 9, 110),
	(1, 9, 107),
	(1, 9, 106),
	(1, 9, 101),
	(1, 9, 102),
	(1, 9, 166),
	(1, 9, 191),
	(1, 9, 116),
	(1, 9, 190),
	(1, 9, 192),
	(1, 9, 193),
	(1, 9, 195),
	(1, 9, 202),
	(1, 9, 205),
	(1, 10, 114),
	(1, 10, 112),
	(1, 10, 111),
	(1, 10, 110),
	(1, 10, 107),
	(1, 10, 106),
	(1, 10, 101),
	(1, 10, 102),
	(1, 10, 166),
	(1, 10, 191),
	(1, 10, 116),
	(1, 10, 190),
	(1, 10, 192),
	(1, 10, 193),
	(1, 10, 195),
	(1, 10, 202),
	(1, 10, 205),
	(1, 11, 114),
	(1, 11, 112),
	(1, 11, 111),
	(1, 11, 110),
	(1, 11, 107),
	(1, 11, 106),
	(1, 11, 101),
	(1, 11, 102),
	(1, 11, 166),
	(1, 11, 191),
	(1, 11, 116),
	(1, 11, 190),
	(1, 11, 192),
	(1, 11, 193),
	(1, 11, 195),
	(1, 11, 202),
	(1, 11, 205),
	(1, 12, 114),
	(1, 12, 112),
	(1, 12, 111),
	(1, 12, 110),
	(1, 12, 107),
	(1, 12, 106),
	(1, 12, 101),
	(1, 12, 102),
	(1, 12, 166),
	(1, 12, 191),
	(1, 12, 116),
	(1, 12, 190),
	(1, 12, 192),
	(1, 12, 193),
	(1, 12, 195),
	(1, 12, 202),
	(1, 12, 205),
	(1, 13, 114),
	(1, 13, 112),
	(1, 13, 111),
	(1, 13, 110),
	(1, 13, 107),
	(1, 13, 106),
	(1, 13, 101),
	(1, 13, 102),
	(1, 13, 166),
	(1, 13, 191),
	(1, 13, 116),
	(1, 13, 190),
	(1, 13, 192),
	(1, 13, 193),
	(1, 13, 195),
	(1, 13, 202),
	(1, 13, 205),
	(1, 14, 114),
	(1, 14, 112),
	(1, 14, 111),
	(1, 14, 110),
	(1, 14, 107),
	(1, 14, 106),
	(1, 14, 101),
	(1, 14, 102),
	(1, 14, 166),
	(1, 14, 191),
	(1, 14, 116),
	(1, 14, 190),
	(1, 14, 192),
	(1, 14, 193),
	(1, 14, 195),
	(1, 14, 202),
	(1, 14, 205),
	(1, 15, 114),
	(1, 15, 112),
	(1, 15, 111),
	(1, 15, 110),
	(1, 15, 107),
	(1, 15, 106),
	(1, 15, 101),
	(1, 15, 102),
	(1, 15, 166),
	(1, 15, 191),
	(1, 15, 116),
	(1, 15, 190),
	(1, 15, 192),
	(1, 15, 193),
	(1, 15, 195),
	(1, 15, 202),
	(1, 15, 205),
	(1, 16, 114),
	(1, 16, 112),
	(1, 16, 111),
	(1, 16, 110),
	(1, 16, 107),
	(1, 16, 106),
	(1, 16, 101),
	(1, 16, 102),
	(1, 16, 166),
	(1, 16, 191),
	(1, 16, 116),
	(1, 16, 190),
	(1, 16, 192),
	(1, 16, 193),
	(1, 16, 195),
	(1, 16, 202),
	(1, 16, 205),
	(1, 17, 114),
	(1, 17, 112),
	(1, 17, 111),
	(1, 17, 110),
	(1, 17, 107),
	(1, 17, 106),
	(1, 17, 101),
	(1, 17, 102),
	(1, 17, 166),
	(1, 17, 191),
	(1, 17, 116),
	(1, 17, 190),
	(1, 17, 192),
	(1, 17, 193),
	(1, 17, 195),
	(1, 17, 202),
	(1, 17, 205),
	(1, 18, 114),
	(1, 18, 112),
	(1, 18, 111),
	(1, 18, 110),
	(1, 18, 107),
	(1, 18, 106),
	(1, 18, 101),
	(1, 18, 102),
	(1, 18, 166),
	(1, 18, 191),
	(1, 18, 116),
	(1, 18, 190),
	(1, 18, 192),
	(1, 18, 193),
	(1, 18, 195),
	(1, 18, 202),
	(1, 18, 205),
	(1, 19, 114),
	(1, 19, 112),
	(1, 19, 111),
	(1, 19, 110),
	(1, 19, 107),
	(1, 19, 106),
	(1, 19, 101),
	(1, 19, 102),
	(1, 19, 166),
	(1, 19, 191),
	(1, 19, 116),
	(1, 19, 190),
	(1, 19, 192),
	(1, 19, 193),
	(1, 19, 195),
	(1, 19, 202),
	(1, 19, 205),
	(1, 20, 114),
	(1, 20, 112),
	(1, 20, 111),
	(1, 20, 110),
	(1, 20, 107),
	(1, 20, 106),
	(1, 20, 101),
	(1, 20, 102),
	(1, 20, 166),
	(1, 20, 191),
	(1, 20, 116),
	(1, 20, 190),
	(1, 20, 192),
	(1, 20, 193),
	(1, 20, 195),
	(1, 20, 202),
	(1, 20, 205),
	(1, 21, 114),
	(1, 21, 112),
	(1, 21, 111),
	(1, 21, 110),
	(1, 21, 107),
	(1, 21, 106),
	(1, 21, 101),
	(1, 21, 102),
	(1, 21, 166),
	(1, 21, 191),
	(1, 21, 116),
	(1, 21, 190),
	(1, 21, 192),
	(1, 21, 193),
	(1, 21, 195),
	(1, 21, 202),
	(1, 21, 205),
	(1, 22, 114),
	(1, 22, 112),
	(1, 22, 111),
	(1, 22, 110),
	(1, 22, 107),
	(1, 22, 106),
	(1, 22, 101),
	(1, 22, 102),
	(1, 22, 166),
	(1, 22, 191),
	(1, 22, 116),
	(1, 22, 190),
	(1, 22, 192),
	(1, 22, 193),
	(1, 22, 195),
	(1, 22, 202),
	(1, 22, 205),
	(1, 23, 114),
	(1, 23, 112),
	(1, 23, 111),
	(1, 23, 110),
	(1, 23, 107),
	(1, 23, 106),
	(1, 23, 101),
	(1, 23, 102),
	(1, 23, 166),
	(1, 23, 191),
	(1, 23, 116),
	(1, 23, 190),
	(1, 23, 192),
	(1, 23, 193),
	(1, 23, 195),
	(1, 23, 202),
	(1, 23, 205),
	(1, 24, 114),
	(1, 24, 112),
	(1, 24, 111),
	(1, 24, 110),
	(1, 24, 107),
	(1, 24, 106),
	(1, 24, 101),
	(1, 24, 102),
	(1, 24, 166),
	(1, 24, 191),
	(1, 24, 116),
	(1, 24, 190),
	(1, 24, 192),
	(1, 24, 193),
	(1, 24, 195),
	(1, 24, 202),
	(1, 24, 205),
	(1, 25, 114),
	(1, 25, 112),
	(1, 25, 111),
	(1, 25, 110),
	(1, 25, 107),
	(1, 25, 106),
	(1, 25, 101),
	(1, 25, 102),
	(1, 25, 166),
	(1, 25, 191),
	(1, 25, 116),
	(1, 25, 190),
	(1, 25, 192),
	(1, 25, 193),
	(1, 25, 195),
	(1, 25, 202),
	(1, 25, 205),
	(1, 26, 114),
	(1, 26, 112),
	(1, 26, 111),
	(1, 26, 110),
	(1, 26, 107),
	(1, 26, 106),
	(1, 26, 101),
	(1, 26, 102),
	(1, 26, 166),
	(1, 26, 191),
	(1, 26, 116),
	(1, 26, 190),
	(1, 26, 192),
	(1, 26, 193),
	(1, 26, 195),
	(1, 26, 202),
	(1, 26, 205),
	(1, 27, 114),
	(1, 27, 112),
	(1, 27, 111),
	(1, 27, 110),
	(1, 27, 107),
	(1, 27, 106),
	(1, 27, 101),
	(1, 27, 102),
	(1, 27, 166),
	(1, 27, 191),
	(1, 27, 116),
	(1, 27, 190),
	(1, 27, 192),
	(1, 27, 193),
	(1, 27, 195),
	(1, 27, 202),
	(1, 27, 205),
	(1, 28, 114),
	(1, 28, 112),
	(1, 28, 111),
	(1, 28, 110),
	(1, 28, 107),
	(1, 28, 106),
	(1, 28, 101),
	(1, 28, 102),
	(1, 28, 166),
	(1, 28, 191),
	(1, 28, 116),
	(1, 28, 190),
	(1, 28, 192),
	(1, 28, 193),
	(1, 28, 195),
	(1, 28, 202),
	(1, 28, 205),
	(1, 29, 114),
	(1, 29, 112),
	(1, 29, 111),
	(1, 29, 110),
	(1, 29, 107),
	(1, 29, 106),
	(1, 29, 101),
	(1, 29, 102),
	(1, 29, 166),
	(1, 29, 191),
	(1, 29, 116),
	(1, 29, 190),
	(1, 29, 192),
	(1, 29, 193),
	(1, 29, 195),
	(1, 29, 202),
	(1, 29, 205),
	(1, 30, 114),
	(1, 30, 112),
	(1, 30, 111),
	(1, 30, 110),
	(1, 30, 107),
	(1, 30, 106),
	(1, 30, 101),
	(1, 30, 102),
	(1, 30, 166),
	(1, 30, 191),
	(1, 30, 116),
	(1, 30, 190),
	(1, 30, 192),
	(1, 30, 193),
	(1, 30, 195),
	(1, 30, 202),
	(1, 30, 205),
	(1, 31, 114),
	(1, 31, 112),
	(1, 31, 111),
	(1, 31, 110),
	(1, 31, 107),
	(1, 31, 106),
	(1, 31, 101),
	(1, 31, 102),
	(1, 31, 166),
	(1, 31, 191),
	(1, 31, 116),
	(1, 31, 190),
	(1, 31, 192),
	(1, 31, 193),
	(1, 31, 195),
	(1, 31, 202),
	(1, 31, 205),
	(2, 1, 114),
	(2, 1, 112),
	(2, 1, 111),
	(2, 1, 110),
	(2, 1, 107),
	(2, 1, 106),
	(2, 1, 101),
	(2, 1, 102),
	(2, 1, 166),
	(2, 1, 191),
	(2, 1, 116),
	(2, 1, 190),
	(2, 1, 192),
	(2, 1, 193),
	(2, 1, 195),
	(2, 1, 202),
	(2, 1, 205),
	(2, 2, 114),
	(2, 2, 112),
	(2, 2, 111),
	(2, 2, 110),
	(2, 2, 107),
	(2, 2, 106),
	(2, 2, 101),
	(2, 2, 102),
	(2, 2, 166),
	(2, 2, 191),
	(2, 2, 116),
	(2, 2, 190),
	(2, 2, 192),
	(2, 2, 193),
	(2, 2, 195),
	(2, 2, 202),
	(2, 2, 205),
	(2, 3, 114),
	(2, 3, 112),
	(2, 3, 111),
	(2, 3, 110),
	(2, 3, 107),
	(2, 3, 106),
	(2, 3, 101),
	(2, 3, 102),
	(2, 3, 166),
	(2, 3, 191),
	(2, 3, 116),
	(2, 3, 190),
	(2, 3, 192),
	(2, 3, 193),
	(2, 3, 195),
	(2, 3, 202),
	(2, 3, 205),
	(2, 4, 114),
	(2, 4, 112),
	(2, 4, 111),
	(2, 4, 110),
	(2, 4, 107),
	(2, 4, 106),
	(2, 4, 101),
	(2, 4, 102),
	(2, 4, 166),
	(2, 4, 191),
	(2, 4, 116),
	(2, 4, 190),
	(2, 4, 192),
	(2, 4, 193),
	(2, 4, 195),
	(2, 4, 202),
	(2, 4, 205),
	(2, 5, 114),
	(2, 5, 112),
	(2, 5, 111),
	(2, 5, 110),
	(2, 5, 107),
	(2, 5, 106),
	(2, 5, 101),
	(2, 5, 102),
	(2, 5, 166),
	(2, 5, 191),
	(2, 5, 116),
	(2, 5, 190),
	(2, 5, 192),
	(2, 5, 193),
	(2, 5, 195),
	(2, 5, 202),
	(2, 5, 205),
	(2, 6, 114),
	(2, 6, 112),
	(2, 6, 111),
	(2, 6, 110),
	(2, 6, 107),
	(2, 6, 106),
	(2, 6, 101),
	(2, 6, 102),
	(2, 6, 166),
	(2, 6, 191),
	(2, 6, 116),
	(2, 6, 190),
	(2, 6, 192),
	(2, 6, 193),
	(2, 6, 195),
	(2, 6, 202),
	(2, 6, 205),
	(2, 7, 114),
	(2, 7, 112),
	(2, 7, 111),
	(2, 7, 110),
	(2, 7, 107),
	(2, 7, 106),
	(2, 7, 101),
	(2, 7, 102),
	(2, 7, 166),
	(2, 7, 191),
	(2, 7, 116),
	(2, 7, 190),
	(2, 7, 192),
	(2, 7, 193),
	(2, 7, 195),
	(2, 7, 202),
	(2, 7, 205),
	(2, 8, 114),
	(2, 8, 112),
	(2, 8, 111),
	(2, 8, 110),
	(2, 8, 107),
	(2, 8, 106),
	(2, 8, 101),
	(2, 8, 102),
	(2, 8, 166),
	(2, 8, 191),
	(2, 8, 116),
	(2, 8, 190),
	(2, 8, 192),
	(2, 8, 193),
	(2, 8, 195),
	(2, 8, 202),
	(2, 8, 205),
	(2, 9, 114),
	(2, 9, 112),
	(2, 9, 111),
	(2, 9, 110),
	(2, 9, 107),
	(2, 9, 106),
	(2, 9, 101),
	(2, 9, 102),
	(2, 9, 166),
	(2, 9, 191),
	(2, 9, 116),
	(2, 9, 190),
	(2, 9, 192),
	(2, 9, 193),
	(2, 9, 195),
	(2, 9, 202),
	(2, 9, 205),
	(2, 10, 114),
	(2, 10, 112),
	(2, 10, 111),
	(2, 10, 110),
	(2, 10, 107),
	(2, 10, 106),
	(2, 10, 101),
	(2, 10, 102),
	(2, 10, 166),
	(2, 10, 191),
	(2, 10, 116),
	(2, 10, 190),
	(2, 10, 192),
	(2, 10, 193),
	(2, 10, 195),
	(2, 10, 202),
	(2, 10, 205),
	(2, 11, 114),
	(2, 11, 112),
	(2, 11, 111),
	(2, 11, 110),
	(2, 11, 107),
	(2, 11, 106),
	(2, 11, 101),
	(2, 11, 102),
	(2, 11, 166),
	(2, 11, 191),
	(2, 11, 116),
	(2, 11, 190),
	(2, 11, 192),
	(2, 11, 193),
	(2, 11, 195),
	(2, 11, 202),
	(2, 11, 205),
	(2, 12, 114),
	(2, 12, 112),
	(2, 12, 111),
	(2, 12, 110),
	(2, 12, 107),
	(2, 12, 106),
	(2, 12, 101),
	(2, 12, 102),
	(2, 12, 166),
	(2, 12, 191),
	(2, 12, 116),
	(2, 12, 190),
	(2, 12, 192),
	(2, 12, 193),
	(2, 12, 195),
	(2, 12, 202),
	(2, 12, 205),
	(2, 13, 114),
	(2, 13, 112),
	(2, 13, 111),
	(2, 13, 110),
	(2, 13, 107),
	(2, 13, 106),
	(2, 13, 101),
	(2, 13, 102),
	(2, 13, 166),
	(2, 13, 191),
	(2, 13, 116),
	(2, 13, 190),
	(2, 13, 192),
	(2, 13, 193),
	(2, 13, 195),
	(2, 13, 202),
	(2, 13, 205),
	(2, 14, 114),
	(2, 14, 112),
	(2, 14, 111),
	(2, 14, 110),
	(2, 14, 107),
	(2, 14, 106),
	(2, 14, 101),
	(2, 14, 102),
	(2, 14, 166),
	(2, 14, 191),
	(2, 14, 116),
	(2, 14, 190),
	(2, 14, 192),
	(2, 14, 193),
	(2, 14, 195),
	(2, 14, 202),
	(2, 14, 205),
	(2, 15, 114),
	(2, 15, 112),
	(2, 15, 111),
	(2, 15, 110),
	(2, 15, 107),
	(2, 15, 106),
	(2, 15, 101),
	(2, 15, 102),
	(2, 15, 166),
	(2, 15, 191),
	(2, 15, 116),
	(2, 15, 190),
	(2, 15, 192),
	(2, 15, 193),
	(2, 15, 195),
	(2, 15, 202),
	(2, 15, 205),
	(2, 16, 114),
	(2, 16, 112),
	(2, 16, 111),
	(2, 16, 110),
	(2, 16, 107),
	(2, 16, 106),
	(2, 16, 101),
	(2, 16, 102),
	(2, 16, 166),
	(2, 16, 191),
	(2, 16, 116),
	(2, 16, 190),
	(2, 16, 192),
	(2, 16, 193),
	(2, 16, 195),
	(2, 16, 202),
	(2, 16, 205),
	(2, 17, 114),
	(2, 17, 112),
	(2, 17, 111),
	(2, 17, 110),
	(2, 17, 107),
	(2, 17, 106),
	(2, 17, 101),
	(2, 17, 102),
	(2, 17, 166),
	(2, 17, 191),
	(2, 17, 116),
	(2, 17, 190),
	(2, 17, 192),
	(2, 17, 193),
	(2, 17, 195),
	(2, 17, 202),
	(2, 17, 205),
	(2, 18, 114),
	(2, 18, 112),
	(2, 18, 111),
	(2, 18, 110),
	(2, 18, 107),
	(2, 18, 106),
	(2, 18, 101),
	(2, 18, 102),
	(2, 18, 166),
	(2, 18, 191),
	(2, 18, 116),
	(2, 18, 190),
	(2, 18, 192),
	(2, 18, 193),
	(2, 18, 195),
	(2, 18, 202),
	(2, 18, 205),
	(2, 19, 114),
	(2, 19, 112),
	(2, 19, 111),
	(2, 19, 110),
	(2, 19, 107),
	(2, 19, 106),
	(2, 19, 101),
	(2, 19, 102),
	(2, 19, 166),
	(2, 19, 191),
	(2, 19, 116),
	(2, 19, 190),
	(2, 19, 192),
	(2, 19, 193),
	(2, 19, 195),
	(2, 19, 202),
	(2, 19, 205),
	(2, 20, 114),
	(2, 20, 112),
	(2, 20, 111),
	(2, 20, 110),
	(2, 20, 107),
	(2, 20, 106),
	(2, 20, 101),
	(2, 20, 102),
	(2, 20, 166),
	(2, 20, 191),
	(2, 20, 116),
	(2, 20, 190),
	(2, 20, 192),
	(2, 20, 193),
	(2, 20, 195),
	(2, 20, 202),
	(2, 20, 205),
	(2, 21, 114),
	(2, 21, 112),
	(2, 21, 111),
	(2, 21, 110),
	(2, 21, 107),
	(2, 21, 106),
	(2, 21, 101),
	(2, 21, 102),
	(2, 21, 166),
	(2, 21, 191),
	(2, 21, 116),
	(2, 21, 190),
	(2, 21, 192),
	(2, 21, 193),
	(2, 21, 195),
	(2, 21, 202),
	(2, 21, 205),
	(2, 22, 114),
	(2, 22, 112),
	(2, 22, 111),
	(2, 22, 110),
	(2, 22, 107),
	(2, 22, 106),
	(2, 22, 101),
	(2, 22, 102),
	(2, 22, 166),
	(2, 22, 191),
	(2, 22, 116),
	(2, 22, 190),
	(2, 22, 192),
	(2, 22, 193),
	(2, 22, 195),
	(2, 22, 202),
	(2, 22, 205),
	(2, 23, 114),
	(2, 23, 112),
	(2, 23, 111),
	(2, 23, 110),
	(2, 23, 107),
	(2, 23, 106),
	(2, 23, 101),
	(2, 23, 102),
	(2, 23, 166),
	(2, 23, 191),
	(2, 23, 116),
	(2, 23, 190),
	(2, 23, 192),
	(2, 23, 193),
	(2, 23, 195),
	(2, 23, 202),
	(2, 23, 205),
	(2, 24, 114),
	(2, 24, 112),
	(2, 24, 111),
	(2, 24, 110),
	(2, 24, 107),
	(2, 24, 106),
	(2, 24, 101),
	(2, 24, 102),
	(2, 24, 166),
	(2, 24, 191),
	(2, 24, 116),
	(2, 24, 190),
	(2, 24, 192),
	(2, 24, 193),
	(2, 24, 195),
	(2, 24, 202),
	(2, 24, 205),
	(2, 25, 114),
	(2, 25, 112),
	(2, 25, 111),
	(2, 25, 110),
	(2, 25, 107),
	(2, 25, 106),
	(2, 25, 101),
	(2, 25, 102),
	(2, 25, 166),
	(2, 25, 191),
	(2, 25, 116),
	(2, 25, 190),
	(2, 25, 192),
	(2, 25, 193),
	(2, 25, 195),
	(2, 25, 202),
	(2, 25, 205),
	(2, 26, 114),
	(2, 26, 112),
	(2, 26, 111),
	(2, 26, 110),
	(2, 26, 107),
	(2, 26, 106),
	(2, 26, 101),
	(2, 26, 102),
	(2, 26, 166),
	(2, 26, 191),
	(2, 26, 116),
	(2, 26, 190),
	(2, 26, 192),
	(2, 26, 193),
	(2, 26, 195),
	(2, 26, 202),
	(2, 26, 205),
	(2, 27, 114),
	(2, 27, 112),
	(2, 27, 111),
	(2, 27, 110),
	(2, 27, 107),
	(2, 27, 106),
	(2, 27, 101),
	(2, 27, 102),
	(2, 27, 166),
	(2, 27, 191),
	(2, 27, 116),
	(2, 27, 190),
	(2, 27, 192),
	(2, 27, 193),
	(2, 27, 195),
	(2, 27, 202),
	(2, 27, 205),
	(2, 28, 114),
	(2, 28, 112),
	(2, 28, 111),
	(2, 28, 110),
	(2, 28, 107),
	(2, 28, 106),
	(2, 28, 101),
	(2, 28, 102),
	(2, 28, 166),
	(2, 28, 191),
	(2, 28, 116),
	(2, 28, 190),
	(2, 28, 192),
	(2, 28, 193),
	(2, 28, 195),
	(2, 28, 202),
	(2, 28, 205),
	(2, 29, 114),
	(2, 29, 112),
	(2, 29, 111),
	(2, 29, 110),
	(2, 29, 107),
	(2, 29, 106),
	(2, 29, 101),
	(2, 29, 102),
	(2, 29, 166),
	(2, 29, 191),
	(2, 29, 116),
	(2, 29, 190),
	(2, 29, 192),
	(2, 29, 193),
	(2, 29, 195),
	(2, 29, 202),
	(2, 29, 205),
	(3, 1, 114),
	(3, 1, 112),
	(3, 1, 111),
	(3, 1, 110),
	(3, 1, 107),
	(3, 1, 106),
	(3, 1, 101),
	(3, 1, 102),
	(3, 1, 166),
	(3, 1, 191),
	(3, 1, 116),
	(3, 1, 190),
	(3, 1, 192),
	(3, 1, 193),
	(3, 1, 195),
	(3, 1, 202),
	(3, 1, 205),
	(3, 2, 114),
	(3, 2, 112),
	(3, 2, 111),
	(3, 2, 110),
	(3, 2, 107),
	(3, 2, 106),
	(3, 2, 101),
	(3, 2, 102),
	(3, 2, 166),
	(3, 2, 191),
	(3, 2, 116),
	(3, 2, 190),
	(3, 2, 192),
	(3, 2, 193),
	(3, 2, 195),
	(3, 2, 202),
	(3, 2, 205),
	(3, 3, 114),
	(3, 3, 112),
	(3, 3, 111),
	(3, 3, 110),
	(3, 3, 107),
	(3, 3, 106),
	(3, 3, 101),
	(3, 3, 102),
	(3, 3, 166),
	(3, 3, 191),
	(3, 3, 116),
	(3, 3, 190),
	(3, 3, 192),
	(3, 3, 193),
	(3, 3, 195),
	(3, 3, 202),
	(3, 3, 205),
	(3, 4, 114),
	(3, 4, 112),
	(3, 4, 111),
	(3, 4, 110),
	(3, 4, 107),
	(3, 4, 106),
	(3, 4, 101),
	(3, 4, 102),
	(3, 4, 166),
	(3, 4, 191),
	(3, 4, 116),
	(3, 4, 190),
	(3, 4, 192),
	(3, 4, 193),
	(3, 4, 195),
	(3, 4, 202),
	(3, 4, 205),
	(3, 5, 114),
	(3, 5, 112),
	(3, 5, 111),
	(3, 5, 110),
	(3, 5, 107),
	(3, 5, 106),
	(3, 5, 101),
	(3, 5, 102),
	(3, 5, 166),
	(3, 5, 191),
	(3, 5, 116),
	(3, 5, 190),
	(3, 5, 192),
	(3, 5, 193),
	(3, 5, 195),
	(3, 5, 202),
	(3, 5, 205),
	(3, 6, 114),
	(3, 6, 112),
	(3, 6, 111),
	(3, 6, 110),
	(3, 6, 107),
	(3, 6, 106),
	(3, 6, 101),
	(3, 6, 102),
	(3, 6, 166),
	(3, 6, 191),
	(3, 6, 116),
	(3, 6, 190),
	(3, 6, 192),
	(3, 6, 193),
	(3, 6, 195),
	(3, 6, 202),
	(3, 6, 205),
	(3, 7, 114),
	(3, 7, 112),
	(3, 7, 111),
	(3, 7, 110),
	(3, 7, 107),
	(3, 7, 106),
	(3, 7, 101),
	(3, 7, 102),
	(3, 7, 166),
	(3, 7, 191),
	(3, 7, 116),
	(3, 7, 190),
	(3, 7, 192),
	(3, 7, 193),
	(3, 7, 195),
	(3, 7, 202),
	(3, 7, 205),
	(3, 8, 114),
	(3, 8, 112),
	(3, 8, 111),
	(3, 8, 110),
	(3, 8, 107),
	(3, 8, 106),
	(3, 8, 101),
	(3, 8, 102),
	(3, 8, 166),
	(3, 8, 191),
	(3, 8, 116),
	(3, 8, 190),
	(3, 8, 192),
	(3, 8, 193),
	(3, 8, 195),
	(3, 8, 202),
	(3, 8, 205),
	(3, 9, 114),
	(3, 9, 112),
	(3, 9, 111),
	(3, 9, 110),
	(3, 9, 107),
	(3, 9, 106),
	(3, 9, 101),
	(3, 9, 102),
	(3, 9, 166),
	(3, 9, 191),
	(3, 9, 116),
	(3, 9, 190),
	(3, 9, 192),
	(3, 9, 193),
	(3, 9, 195),
	(3, 9, 202),
	(3, 9, 205),
	(3, 10, 114),
	(3, 10, 112),
	(3, 10, 111),
	(3, 10, 110),
	(3, 10, 107),
	(3, 10, 106),
	(3, 10, 101),
	(3, 10, 102),
	(3, 10, 166),
	(3, 10, 191),
	(3, 10, 116),
	(3, 10, 190),
	(3, 10, 192),
	(3, 10, 193),
	(3, 10, 195),
	(3, 10, 202),
	(3, 10, 205),
	(3, 11, 114),
	(3, 11, 112),
	(3, 11, 111),
	(3, 11, 110),
	(3, 11, 107),
	(3, 11, 106),
	(3, 11, 101),
	(3, 11, 102),
	(3, 11, 166),
	(3, 11, 191),
	(3, 11, 116),
	(3, 11, 190),
	(3, 11, 192),
	(3, 11, 193),
	(3, 11, 195),
	(3, 11, 202),
	(3, 11, 205),
	(3, 12, 114),
	(3, 12, 112),
	(3, 12, 111),
	(3, 12, 110),
	(3, 12, 107),
	(3, 12, 106),
	(3, 12, 101),
	(3, 12, 102),
	(3, 12, 166),
	(3, 12, 191),
	(3, 12, 116),
	(3, 12, 190),
	(3, 12, 192),
	(3, 12, 193),
	(3, 12, 195),
	(3, 12, 202),
	(3, 12, 205),
	(3, 13, 114),
	(3, 13, 112),
	(3, 13, 111),
	(3, 13, 110),
	(3, 13, 107),
	(3, 13, 106),
	(3, 13, 101),
	(3, 13, 102),
	(3, 13, 166),
	(3, 13, 191),
	(3, 13, 116),
	(3, 13, 190),
	(3, 13, 192),
	(3, 13, 193),
	(3, 13, 195),
	(3, 13, 202),
	(3, 13, 205),
	(3, 14, 114),
	(3, 14, 112),
	(3, 14, 111),
	(3, 14, 110),
	(3, 14, 107),
	(3, 14, 106),
	(3, 14, 101),
	(3, 14, 102),
	(3, 14, 166),
	(3, 14, 191),
	(3, 14, 116),
	(3, 14, 190),
	(3, 14, 192),
	(3, 14, 193),
	(3, 14, 195),
	(3, 14, 202),
	(3, 14, 205),
	(3, 15, 114),
	(3, 15, 112),
	(3, 15, 111),
	(3, 15, 110),
	(3, 15, 107),
	(3, 15, 106),
	(3, 15, 101),
	(3, 15, 102),
	(3, 15, 166),
	(3, 15, 191),
	(3, 15, 116),
	(3, 15, 190),
	(3, 15, 192),
	(3, 15, 193),
	(3, 15, 195),
	(3, 15, 202),
	(3, 15, 205),
	(3, 16, 114),
	(3, 16, 112),
	(3, 16, 111),
	(3, 16, 110),
	(3, 16, 107),
	(3, 16, 106),
	(3, 16, 101),
	(3, 16, 102),
	(3, 16, 166),
	(3, 16, 191),
	(3, 16, 116),
	(3, 16, 190),
	(3, 16, 192),
	(3, 16, 193),
	(3, 16, 195),
	(3, 16, 202),
	(3, 16, 205),
	(3, 17, 114),
	(3, 17, 112),
	(3, 17, 111),
	(3, 17, 110),
	(3, 17, 107),
	(3, 17, 106),
	(3, 17, 101),
	(3, 17, 102),
	(3, 17, 166),
	(3, 17, 191),
	(3, 17, 116),
	(3, 17, 190),
	(3, 17, 192),
	(3, 17, 193),
	(3, 17, 195),
	(3, 17, 202),
	(3, 17, 205),
	(3, 18, 114),
	(3, 18, 112),
	(3, 18, 111),
	(3, 18, 110),
	(3, 18, 107),
	(3, 18, 106),
	(3, 18, 101),
	(3, 18, 102),
	(3, 18, 166),
	(3, 18, 191),
	(3, 18, 116),
	(3, 18, 190),
	(3, 18, 192),
	(3, 18, 193),
	(3, 18, 195),
	(3, 18, 202),
	(3, 18, 205),
	(3, 19, 114),
	(3, 19, 112),
	(3, 19, 111),
	(3, 19, 110),
	(3, 19, 107),
	(3, 19, 106),
	(3, 19, 101),
	(3, 19, 102),
	(3, 19, 166),
	(3, 19, 191),
	(3, 19, 116),
	(3, 19, 190),
	(3, 19, 192),
	(3, 19, 193),
	(3, 19, 195),
	(3, 19, 202),
	(3, 19, 205),
	(3, 20, 114),
	(3, 20, 112),
	(3, 20, 111),
	(3, 20, 110),
	(3, 20, 107),
	(3, 20, 106),
	(3, 20, 101),
	(3, 20, 102),
	(3, 20, 166),
	(3, 20, 191),
	(3, 20, 116),
	(3, 20, 190),
	(3, 20, 192),
	(3, 20, 193),
	(3, 20, 195),
	(3, 20, 202),
	(3, 20, 205),
	(3, 21, 114),
	(3, 21, 112),
	(3, 21, 111),
	(3, 21, 110),
	(3, 21, 107),
	(3, 21, 106),
	(3, 21, 101),
	(3, 21, 102),
	(3, 21, 166),
	(3, 21, 191),
	(3, 21, 116),
	(3, 21, 190),
	(3, 21, 192),
	(3, 21, 193),
	(3, 21, 195),
	(3, 21, 202),
	(3, 21, 205),
	(3, 22, 114),
	(3, 22, 112),
	(3, 22, 111),
	(3, 22, 110),
	(3, 22, 107),
	(3, 22, 106),
	(3, 22, 101),
	(3, 22, 102),
	(3, 22, 166),
	(3, 22, 191),
	(3, 22, 116),
	(3, 22, 190),
	(3, 22, 192),
	(3, 22, 193),
	(3, 22, 195),
	(3, 22, 202),
	(3, 22, 205),
	(3, 23, 114),
	(3, 23, 112),
	(3, 23, 111),
	(3, 23, 110),
	(3, 23, 107),
	(3, 23, 106),
	(3, 23, 101),
	(3, 23, 102),
	(3, 23, 166),
	(3, 23, 191),
	(3, 23, 116),
	(3, 23, 190),
	(3, 23, 192),
	(3, 23, 193),
	(3, 23, 195),
	(3, 23, 202),
	(3, 23, 205),
	(3, 24, 114),
	(3, 24, 112),
	(3, 24, 111),
	(3, 24, 110),
	(3, 24, 107),
	(3, 24, 106),
	(3, 24, 101),
	(3, 24, 102),
	(3, 24, 166),
	(3, 24, 191),
	(3, 24, 116),
	(3, 24, 190),
	(3, 24, 192),
	(3, 24, 193),
	(3, 24, 195),
	(3, 24, 202),
	(3, 24, 205),
	(3, 25, 114),
	(3, 25, 112),
	(3, 25, 111),
	(3, 25, 110),
	(3, 25, 107),
	(3, 25, 106),
	(3, 25, 101),
	(3, 25, 102),
	(3, 25, 166),
	(3, 25, 191),
	(3, 25, 116),
	(3, 25, 190),
	(3, 25, 192),
	(3, 25, 193),
	(3, 25, 195),
	(3, 25, 202),
	(3, 25, 205),
	(3, 26, 114),
	(3, 26, 112),
	(3, 26, 111),
	(3, 26, 110),
	(3, 26, 107),
	(3, 26, 106),
	(3, 26, 101),
	(3, 26, 102),
	(3, 26, 166),
	(3, 26, 191),
	(3, 26, 116),
	(3, 26, 190),
	(3, 26, 192),
	(3, 26, 193),
	(3, 26, 195),
	(3, 26, 202),
	(3, 26, 205),
	(3, 27, 114),
	(3, 27, 112),
	(3, 27, 111),
	(3, 27, 110),
	(3, 27, 107),
	(3, 27, 106),
	(3, 27, 101),
	(3, 27, 102),
	(3, 27, 166),
	(3, 27, 191),
	(3, 27, 116),
	(3, 27, 190),
	(3, 27, 192),
	(3, 27, 193),
	(3, 27, 195),
	(3, 27, 202),
	(3, 27, 205),
	(3, 28, 114),
	(3, 28, 112),
	(3, 28, 111),
	(3, 28, 110),
	(3, 28, 107),
	(3, 28, 106),
	(3, 28, 101),
	(3, 28, 102),
	(3, 28, 166),
	(3, 28, 191),
	(3, 28, 116),
	(3, 28, 190),
	(3, 28, 192),
	(3, 28, 193),
	(3, 28, 195),
	(3, 28, 202),
	(3, 28, 205),
	(3, 29, 114),
	(3, 29, 112),
	(3, 29, 111),
	(3, 29, 110),
	(3, 29, 107),
	(3, 29, 106),
	(3, 29, 101),
	(3, 29, 102),
	(3, 29, 166),
	(3, 29, 191),
	(3, 29, 116),
	(3, 29, 190),
	(3, 29, 192),
	(3, 29, 193),
	(3, 29, 195),
	(3, 29, 202),
	(3, 29, 205),
	(3, 30, 114),
	(3, 30, 112),
	(3, 30, 111),
	(3, 30, 110),
	(3, 30, 107),
	(3, 30, 106),
	(3, 30, 101),
	(3, 30, 102),
	(3, 30, 166),
	(3, 30, 191),
	(3, 30, 116),
	(3, 30, 190),
	(3, 30, 192),
	(3, 30, 193),
	(3, 30, 195),
	(3, 30, 202),
	(3, 30, 205),
	(3, 31, 114),
	(3, 31, 112),
	(3, 31, 111),
	(3, 31, 110),
	(3, 31, 107),
	(3, 31, 106),
	(3, 31, 101),
	(3, 31, 102),
	(3, 31, 166),
	(3, 31, 191),
	(3, 31, 116),
	(3, 31, 190),
	(3, 31, 192),
	(3, 31, 193),
	(3, 31, 195),
	(3, 31, 202),
	(3, 31, 205),
	(4, 1, 114),
	(4, 1, 112),
	(4, 1, 111),
	(4, 1, 110),
	(4, 1, 107),
	(4, 1, 106),
	(4, 1, 101),
	(4, 1, 102),
	(4, 1, 166),
	(4, 1, 191),
	(4, 1, 116),
	(4, 1, 190),
	(4, 1, 192),
	(4, 1, 193),
	(4, 1, 195),
	(4, 1, 202),
	(4, 1, 205),
	(4, 2, 114),
	(4, 2, 112),
	(4, 2, 111),
	(4, 2, 110),
	(4, 2, 107),
	(4, 2, 106),
	(4, 2, 101),
	(4, 2, 102),
	(4, 2, 166),
	(4, 2, 191),
	(4, 2, 116),
	(4, 2, 190),
	(4, 2, 192),
	(4, 2, 193),
	(4, 2, 195),
	(4, 2, 202),
	(4, 2, 205),
	(4, 3, 114),
	(4, 3, 112),
	(4, 3, 111),
	(4, 3, 110),
	(4, 3, 107),
	(4, 3, 106),
	(4, 3, 101),
	(4, 3, 102),
	(4, 3, 166),
	(4, 3, 191),
	(4, 3, 116),
	(4, 3, 190),
	(4, 3, 192),
	(4, 3, 193),
	(4, 3, 195),
	(4, 3, 202),
	(4, 3, 205),
	(4, 4, 114),
	(4, 4, 112),
	(4, 4, 111),
	(4, 4, 110),
	(4, 4, 107),
	(4, 4, 106),
	(4, 4, 101),
	(4, 4, 102),
	(4, 4, 166),
	(4, 4, 191),
	(4, 4, 116),
	(4, 4, 190),
	(4, 4, 192),
	(4, 4, 193),
	(4, 4, 195),
	(4, 4, 202),
	(4, 4, 205),
	(4, 5, 114),
	(4, 5, 112),
	(4, 5, 111),
	(4, 5, 110),
	(4, 5, 107),
	(4, 5, 106),
	(4, 5, 101),
	(4, 5, 102),
	(4, 5, 166),
	(4, 5, 191),
	(4, 5, 116),
	(4, 5, 190),
	(4, 5, 192),
	(4, 5, 193),
	(4, 5, 195),
	(4, 5, 202),
	(4, 5, 205),
	(4, 6, 114),
	(4, 6, 112),
	(4, 6, 111),
	(4, 6, 110),
	(4, 6, 107),
	(4, 6, 106),
	(4, 6, 101),
	(4, 6, 102),
	(4, 6, 166),
	(4, 6, 191),
	(4, 6, 116),
	(4, 6, 190),
	(4, 6, 192),
	(4, 6, 193),
	(4, 6, 195),
	(4, 6, 202),
	(4, 6, 205),
	(4, 7, 114),
	(4, 7, 112),
	(4, 7, 111),
	(4, 7, 110),
	(4, 7, 107),
	(4, 7, 106),
	(4, 7, 101),
	(4, 7, 102),
	(4, 7, 166),
	(4, 7, 191),
	(4, 7, 116),
	(4, 7, 190),
	(4, 7, 192),
	(4, 7, 193),
	(4, 7, 195),
	(4, 7, 202),
	(4, 7, 205),
	(4, 8, 114),
	(4, 8, 112),
	(4, 8, 111),
	(4, 8, 110),
	(4, 8, 107),
	(4, 8, 106),
	(4, 8, 101),
	(4, 8, 102),
	(4, 8, 166),
	(4, 8, 191),
	(4, 8, 116),
	(4, 8, 190),
	(4, 8, 192),
	(4, 8, 193),
	(4, 8, 195),
	(4, 8, 202),
	(4, 8, 205),
	(4, 9, 114),
	(4, 9, 112),
	(4, 9, 111),
	(4, 9, 110),
	(4, 9, 107),
	(4, 9, 106),
	(4, 9, 101),
	(4, 9, 102),
	(4, 9, 166),
	(4, 9, 191),
	(4, 9, 116),
	(4, 9, 190),
	(4, 9, 192),
	(4, 9, 193),
	(4, 9, 195),
	(4, 9, 202),
	(4, 9, 205),
	(4, 10, 114),
	(4, 10, 112),
	(4, 10, 111),
	(4, 10, 110),
	(4, 10, 107),
	(4, 10, 106),
	(4, 10, 101),
	(4, 10, 102),
	(4, 10, 166),
	(4, 10, 191),
	(4, 10, 116),
	(4, 10, 190),
	(4, 10, 192),
	(4, 10, 193),
	(4, 10, 195),
	(4, 10, 202),
	(4, 10, 205),
	(4, 11, 114),
	(4, 11, 112),
	(4, 11, 111),
	(4, 11, 110),
	(4, 11, 107),
	(4, 11, 106),
	(4, 11, 101),
	(4, 11, 102),
	(4, 11, 166),
	(4, 11, 191),
	(4, 11, 116),
	(4, 11, 190),
	(4, 11, 192),
	(4, 11, 193),
	(4, 11, 195),
	(4, 11, 202),
	(4, 11, 205),
	(4, 12, 114),
	(4, 12, 112),
	(4, 12, 111),
	(4, 12, 110),
	(4, 12, 107),
	(4, 12, 106),
	(4, 12, 101),
	(4, 12, 102),
	(4, 12, 166),
	(4, 12, 191),
	(4, 12, 116),
	(4, 12, 190),
	(4, 12, 192),
	(4, 12, 193),
	(4, 12, 195),
	(4, 12, 202),
	(4, 12, 205),
	(4, 13, 114),
	(4, 13, 112),
	(4, 13, 111),
	(4, 13, 110),
	(4, 13, 107),
	(4, 13, 106),
	(4, 13, 101),
	(4, 13, 102),
	(4, 13, 166),
	(4, 13, 191),
	(4, 13, 116),
	(4, 13, 190),
	(4, 13, 192),
	(4, 13, 193),
	(4, 13, 195),
	(4, 13, 202),
	(4, 13, 205),
	(4, 14, 114),
	(4, 14, 112),
	(4, 14, 111),
	(4, 14, 110),
	(4, 14, 107),
	(4, 14, 106),
	(4, 14, 101),
	(4, 14, 102),
	(4, 14, 166),
	(4, 14, 191),
	(4, 14, 116),
	(4, 14, 190),
	(4, 14, 192),
	(4, 14, 193),
	(4, 14, 195),
	(4, 14, 202),
	(4, 14, 205),
	(4, 15, 114),
	(4, 15, 112),
	(4, 15, 111),
	(4, 15, 110),
	(4, 15, 107),
	(4, 15, 106),
	(4, 15, 101),
	(4, 15, 102),
	(4, 15, 166),
	(4, 15, 191),
	(4, 15, 116),
	(4, 15, 190),
	(4, 15, 192),
	(4, 15, 193),
	(4, 15, 195),
	(4, 15, 202),
	(4, 15, 205),
	(4, 16, 114),
	(4, 16, 112),
	(4, 16, 111),
	(4, 16, 110),
	(4, 16, 107),
	(4, 16, 106),
	(4, 16, 101),
	(4, 16, 102),
	(4, 16, 166),
	(4, 16, 191),
	(4, 16, 116),
	(4, 16, 190),
	(4, 16, 192),
	(4, 16, 193),
	(4, 16, 195),
	(4, 16, 202),
	(4, 16, 205),
	(4, 17, 114),
	(4, 17, 112),
	(4, 17, 111),
	(4, 17, 110),
	(4, 17, 107),
	(4, 17, 106),
	(4, 17, 101),
	(4, 17, 102),
	(4, 17, 166),
	(4, 17, 191),
	(4, 17, 116),
	(4, 17, 190),
	(4, 17, 192),
	(4, 17, 193),
	(4, 17, 195),
	(4, 17, 202),
	(4, 17, 205),
	(4, 18, 114),
	(4, 18, 112),
	(4, 18, 111),
	(4, 18, 110),
	(4, 18, 107),
	(4, 18, 106),
	(4, 18, 101),
	(4, 18, 102),
	(4, 18, 166),
	(4, 18, 191),
	(4, 18, 116),
	(4, 18, 190),
	(4, 18, 192),
	(4, 18, 193),
	(4, 18, 195),
	(4, 18, 202),
	(4, 18, 205),
	(4, 19, 114),
	(4, 19, 112),
	(4, 19, 111),
	(4, 19, 110),
	(4, 19, 107),
	(4, 19, 106),
	(4, 19, 101),
	(4, 19, 102),
	(4, 19, 166),
	(4, 19, 191),
	(4, 19, 116),
	(4, 19, 190),
	(4, 19, 192),
	(4, 19, 193),
	(4, 19, 195),
	(4, 19, 202),
	(4, 19, 205),
	(4, 20, 114),
	(4, 20, 112),
	(4, 20, 111),
	(4, 20, 110),
	(4, 20, 107),
	(4, 20, 106),
	(4, 20, 101),
	(4, 20, 102),
	(4, 20, 166),
	(4, 20, 191),
	(4, 20, 116),
	(4, 20, 190),
	(4, 20, 192),
	(4, 20, 193),
	(4, 20, 195),
	(4, 20, 202),
	(4, 20, 205),
	(4, 21, 114),
	(4, 21, 112),
	(4, 21, 111),
	(4, 21, 110),
	(4, 21, 107),
	(4, 21, 106),
	(4, 21, 101),
	(4, 21, 102),
	(4, 21, 166),
	(4, 21, 191),
	(4, 21, 116),
	(4, 21, 190),
	(4, 21, 192),
	(4, 21, 193),
	(4, 21, 195),
	(4, 21, 202),
	(4, 21, 205),
	(4, 22, 114),
	(4, 22, 112),
	(4, 22, 111),
	(4, 22, 110),
	(4, 22, 107),
	(4, 22, 106),
	(4, 22, 101),
	(4, 22, 102),
	(4, 22, 166),
	(4, 22, 191),
	(4, 22, 116),
	(4, 22, 190),
	(4, 22, 192),
	(4, 22, 193),
	(4, 22, 195),
	(4, 22, 202),
	(4, 22, 205),
	(4, 23, 114),
	(4, 23, 112),
	(4, 23, 111),
	(4, 23, 110),
	(4, 23, 107),
	(4, 23, 106),
	(4, 23, 101),
	(4, 23, 102),
	(4, 23, 166),
	(4, 23, 191),
	(4, 23, 116),
	(4, 23, 190),
	(4, 23, 192),
	(4, 23, 193),
	(4, 23, 195),
	(4, 23, 202),
	(4, 23, 205),
	(4, 24, 114),
	(4, 24, 112),
	(4, 24, 111),
	(4, 24, 110),
	(4, 24, 107),
	(4, 24, 106),
	(4, 24, 101),
	(4, 24, 102),
	(4, 24, 166),
	(4, 24, 191),
	(4, 24, 116),
	(4, 24, 190),
	(4, 24, 192),
	(4, 24, 193),
	(4, 24, 195),
	(4, 24, 202),
	(4, 24, 205),
	(4, 25, 114),
	(4, 25, 112),
	(4, 25, 111),
	(4, 25, 110),
	(4, 25, 107),
	(4, 25, 106),
	(4, 25, 101),
	(4, 25, 102),
	(4, 25, 166),
	(4, 25, 191),
	(4, 25, 116),
	(4, 25, 190),
	(4, 25, 192),
	(4, 25, 193),
	(4, 25, 195),
	(4, 25, 202),
	(4, 25, 205),
	(4, 26, 114),
	(4, 26, 112),
	(4, 26, 111),
	(4, 26, 110),
	(4, 26, 107),
	(4, 26, 106),
	(4, 26, 101),
	(4, 26, 102),
	(4, 26, 166),
	(4, 26, 191),
	(4, 26, 116),
	(4, 26, 190),
	(4, 26, 192),
	(4, 26, 193),
	(4, 26, 195),
	(4, 26, 202),
	(4, 26, 205),
	(4, 27, 114),
	(4, 27, 112),
	(4, 27, 111),
	(4, 27, 110),
	(4, 27, 107),
	(4, 27, 106),
	(4, 27, 101),
	(4, 27, 102),
	(4, 27, 166),
	(4, 27, 191),
	(4, 27, 116),
	(4, 27, 190),
	(4, 27, 192),
	(4, 27, 193),
	(4, 27, 195),
	(4, 27, 202),
	(4, 27, 205),
	(4, 28, 114),
	(4, 28, 112),
	(4, 28, 111),
	(4, 28, 110),
	(4, 28, 107),
	(4, 28, 106),
	(4, 28, 101),
	(4, 28, 102),
	(4, 28, 166),
	(4, 28, 191),
	(4, 28, 116),
	(4, 28, 190),
	(4, 28, 192),
	(4, 28, 193),
	(4, 28, 195),
	(4, 28, 202),
	(4, 28, 205),
	(4, 29, 114),
	(4, 29, 112),
	(4, 29, 111),
	(4, 29, 110),
	(4, 29, 107),
	(4, 29, 106),
	(4, 29, 101),
	(4, 29, 102),
	(4, 29, 166),
	(4, 29, 191),
	(4, 29, 116),
	(4, 29, 190),
	(4, 29, 192),
	(4, 29, 193),
	(4, 29, 195),
	(4, 29, 202),
	(4, 29, 205),
	(4, 30, 114),
	(4, 30, 112),
	(4, 30, 111),
	(4, 30, 110),
	(4, 30, 107),
	(4, 30, 106),
	(4, 30, 101),
	(4, 30, 102),
	(4, 30, 166),
	(4, 30, 191),
	(4, 30, 116),
	(4, 30, 190),
	(4, 30, 192),
	(4, 30, 193),
	(4, 30, 195),
	(4, 30, 202),
	(4, 30, 205),
	(5, 1, 114),
	(5, 1, 112),
	(5, 1, 111),
	(5, 1, 110),
	(5, 1, 107),
	(5, 1, 106),
	(5, 1, 101),
	(5, 1, 102),
	(5, 1, 166),
	(5, 1, 191),
	(5, 1, 116),
	(5, 1, 190),
	(5, 1, 192),
	(5, 1, 193),
	(5, 1, 195),
	(5, 1, 202),
	(5, 1, 205),
	(5, 2, 114),
	(5, 2, 112),
	(5, 2, 111),
	(5, 2, 110),
	(5, 2, 107),
	(5, 2, 106),
	(5, 2, 101),
	(5, 2, 102),
	(5, 2, 166),
	(5, 2, 191),
	(5, 2, 116),
	(5, 2, 190),
	(5, 2, 192),
	(5, 2, 193),
	(5, 2, 195),
	(5, 2, 202),
	(5, 2, 205),
	(5, 3, 114),
	(5, 3, 112),
	(5, 3, 111),
	(5, 3, 110),
	(5, 3, 107),
	(5, 3, 106),
	(5, 3, 101),
	(5, 3, 102),
	(5, 3, 166),
	(5, 3, 191),
	(5, 3, 116),
	(5, 3, 190),
	(5, 3, 192),
	(5, 3, 193),
	(5, 3, 195),
	(5, 3, 202),
	(5, 3, 205),
	(5, 4, 114),
	(5, 4, 112),
	(5, 4, 111),
	(5, 4, 110),
	(5, 4, 107),
	(5, 4, 106),
	(5, 4, 101),
	(5, 4, 102),
	(5, 4, 166),
	(5, 4, 191),
	(5, 4, 116),
	(5, 4, 190),
	(5, 4, 192),
	(5, 4, 193),
	(5, 4, 195),
	(5, 4, 202),
	(5, 4, 205),
	(5, 5, 114),
	(5, 5, 112),
	(5, 5, 111),
	(5, 5, 110),
	(5, 5, 107),
	(5, 5, 106),
	(5, 5, 101),
	(5, 5, 102),
	(5, 5, 166),
	(5, 5, 191),
	(5, 5, 116),
	(5, 5, 190),
	(5, 5, 192),
	(5, 5, 193),
	(5, 5, 195),
	(5, 5, 202),
	(5, 5, 205),
	(5, 6, 114),
	(5, 6, 112),
	(5, 6, 111),
	(5, 6, 110),
	(5, 6, 107),
	(5, 6, 106),
	(5, 6, 101),
	(5, 6, 102),
	(5, 6, 166),
	(5, 6, 191),
	(5, 6, 116),
	(5, 6, 190),
	(5, 6, 192),
	(5, 6, 193),
	(5, 6, 195),
	(5, 6, 202),
	(5, 6, 205),
	(5, 7, 114),
	(5, 7, 112),
	(5, 7, 111),
	(5, 7, 110),
	(5, 7, 107),
	(5, 7, 106),
	(5, 7, 101),
	(5, 7, 102),
	(5, 7, 166),
	(5, 7, 191),
	(5, 7, 116),
	(5, 7, 190),
	(5, 7, 192),
	(5, 7, 193),
	(5, 7, 195),
	(5, 7, 202),
	(5, 7, 205),
	(5, 8, 114),
	(5, 8, 112),
	(5, 8, 111),
	(5, 8, 110),
	(5, 8, 107),
	(5, 8, 106),
	(5, 8, 101),
	(5, 8, 102),
	(5, 8, 166),
	(5, 8, 191),
	(5, 8, 116),
	(5, 8, 190),
	(5, 8, 192),
	(5, 8, 193),
	(5, 8, 195),
	(5, 8, 202),
	(5, 8, 205),
	(5, 9, 114),
	(5, 9, 112),
	(5, 9, 111),
	(5, 9, 110),
	(5, 9, 107),
	(5, 9, 106),
	(5, 9, 101),
	(5, 9, 102),
	(5, 9, 166),
	(5, 9, 191),
	(5, 9, 116),
	(5, 9, 190),
	(5, 9, 192),
	(5, 9, 193),
	(5, 9, 195),
	(5, 9, 202),
	(5, 9, 205),
	(5, 10, 114),
	(5, 10, 112),
	(5, 10, 111),
	(5, 10, 110),
	(5, 10, 107),
	(5, 10, 106),
	(5, 10, 101),
	(5, 10, 102),
	(5, 10, 166),
	(5, 10, 191),
	(5, 10, 116),
	(5, 10, 190),
	(5, 10, 192),
	(5, 10, 193),
	(5, 10, 195),
	(5, 10, 202),
	(5, 10, 205),
	(5, 11, 114),
	(5, 11, 112),
	(5, 11, 111),
	(5, 11, 110),
	(5, 11, 107),
	(5, 11, 106),
	(5, 11, 101),
	(5, 11, 102),
	(5, 11, 166),
	(5, 11, 191),
	(5, 11, 116),
	(5, 11, 190),
	(5, 11, 192),
	(5, 11, 193),
	(5, 11, 195),
	(5, 11, 202),
	(5, 11, 205),
	(5, 12, 114),
	(5, 12, 112),
	(5, 12, 111),
	(5, 12, 110),
	(5, 12, 107),
	(5, 12, 106),
	(5, 12, 101),
	(5, 12, 102),
	(5, 12, 166),
	(5, 12, 191),
	(5, 12, 116),
	(5, 12, 190),
	(5, 12, 192),
	(5, 12, 193),
	(5, 12, 195),
	(5, 12, 202),
	(5, 12, 205),
	(5, 13, 114),
	(5, 13, 112),
	(5, 13, 111),
	(5, 13, 110),
	(5, 13, 107),
	(5, 13, 106),
	(5, 13, 101),
	(5, 13, 102),
	(5, 13, 166),
	(5, 13, 191),
	(5, 13, 116),
	(5, 13, 190),
	(5, 13, 192),
	(5, 13, 193),
	(5, 13, 195),
	(5, 13, 202),
	(5, 13, 205),
	(5, 14, 114),
	(5, 14, 112),
	(5, 14, 111),
	(5, 14, 110),
	(5, 14, 107),
	(5, 14, 106),
	(5, 14, 101),
	(5, 14, 102),
	(5, 14, 166),
	(5, 14, 191),
	(5, 14, 116),
	(5, 14, 190),
	(5, 14, 192),
	(5, 14, 193),
	(5, 14, 195),
	(5, 14, 202),
	(5, 14, 205),
	(5, 15, 114),
	(5, 15, 112),
	(5, 15, 111),
	(5, 15, 110),
	(5, 15, 107),
	(5, 15, 106),
	(5, 15, 101),
	(5, 15, 102),
	(5, 15, 166),
	(5, 15, 191),
	(5, 15, 116),
	(5, 15, 190),
	(5, 15, 192),
	(5, 15, 193),
	(5, 15, 195),
	(5, 15, 202),
	(5, 15, 205),
	(5, 16, 114),
	(5, 16, 112),
	(5, 16, 111),
	(5, 16, 110),
	(5, 16, 107),
	(5, 16, 106),
	(5, 16, 101),
	(5, 16, 102),
	(5, 16, 166),
	(5, 16, 191),
	(5, 16, 116),
	(5, 16, 190),
	(5, 16, 192),
	(5, 16, 193),
	(5, 16, 195),
	(5, 16, 202),
	(5, 16, 205),
	(5, 17, 114),
	(5, 17, 112),
	(5, 17, 111),
	(5, 17, 110),
	(5, 17, 107),
	(5, 17, 106),
	(5, 17, 101),
	(5, 17, 102),
	(5, 17, 166),
	(5, 17, 191),
	(5, 17, 116),
	(5, 17, 190),
	(5, 17, 192),
	(5, 17, 193),
	(5, 17, 195),
	(5, 17, 202),
	(5, 17, 205),
	(5, 18, 114),
	(5, 18, 112),
	(5, 18, 111),
	(5, 18, 110),
	(5, 18, 107),
	(5, 18, 106),
	(5, 18, 101),
	(5, 18, 102),
	(5, 18, 166),
	(5, 18, 191),
	(5, 18, 116),
	(5, 18, 190),
	(5, 18, 192),
	(5, 18, 193),
	(5, 18, 195),
	(5, 18, 202),
	(5, 18, 205),
	(5, 19, 114),
	(5, 19, 112),
	(5, 19, 111),
	(5, 19, 110),
	(5, 19, 107),
	(5, 19, 106),
	(5, 19, 101),
	(5, 19, 102),
	(5, 19, 166),
	(5, 19, 191),
	(5, 19, 116),
	(5, 19, 190),
	(5, 19, 192),
	(5, 19, 193),
	(5, 19, 195),
	(5, 19, 202),
	(5, 19, 205),
	(5, 20, 114),
	(5, 20, 112),
	(5, 20, 111),
	(5, 20, 110),
	(5, 20, 107),
	(5, 20, 106),
	(5, 20, 101),
	(5, 20, 102),
	(5, 20, 166),
	(5, 20, 191),
	(5, 20, 116),
	(5, 20, 190),
	(5, 20, 192),
	(5, 20, 193),
	(5, 20, 195),
	(5, 20, 202),
	(5, 20, 205),
	(5, 21, 114),
	(5, 21, 112),
	(5, 21, 111),
	(5, 21, 110),
	(5, 21, 107),
	(5, 21, 106),
	(5, 21, 101),
	(5, 21, 102),
	(5, 21, 166),
	(5, 21, 191),
	(5, 21, 116),
	(5, 21, 190),
	(5, 21, 192),
	(5, 21, 193),
	(5, 21, 195),
	(5, 21, 202),
	(5, 21, 205),
	(5, 22, 114),
	(5, 22, 112),
	(5, 22, 111),
	(5, 22, 110),
	(5, 22, 107),
	(5, 22, 106),
	(5, 22, 101),
	(5, 22, 102),
	(5, 22, 166),
	(5, 22, 191),
	(5, 22, 116),
	(5, 22, 190),
	(5, 22, 192),
	(5, 22, 193),
	(5, 22, 195),
	(5, 22, 202),
	(5, 22, 205),
	(5, 23, 114),
	(5, 23, 112),
	(5, 23, 111),
	(5, 23, 110),
	(5, 23, 107),
	(5, 23, 106),
	(5, 23, 101),
	(5, 23, 102),
	(5, 23, 166),
	(5, 23, 191),
	(5, 23, 116),
	(5, 23, 190),
	(5, 23, 192),
	(5, 23, 193),
	(5, 23, 195),
	(5, 23, 202),
	(5, 23, 205),
	(5, 24, 114),
	(5, 24, 112),
	(5, 24, 111),
	(5, 24, 110),
	(5, 24, 107),
	(5, 24, 106),
	(5, 24, 101),
	(5, 24, 102),
	(5, 24, 166),
	(5, 24, 191),
	(5, 24, 116),
	(5, 24, 190),
	(5, 24, 192),
	(5, 24, 193),
	(5, 24, 195),
	(5, 24, 202),
	(5, 24, 205),
	(5, 25, 114),
	(5, 25, 112),
	(5, 25, 111),
	(5, 25, 110),
	(5, 25, 107),
	(5, 25, 106),
	(5, 25, 101),
	(5, 25, 102),
	(5, 25, 166),
	(5, 25, 191),
	(5, 25, 116),
	(5, 25, 190),
	(5, 25, 192),
	(5, 25, 193),
	(5, 25, 195),
	(5, 25, 202),
	(5, 25, 205),
	(5, 26, 114),
	(5, 26, 112),
	(5, 26, 111),
	(5, 26, 110),
	(5, 26, 107),
	(5, 26, 106),
	(5, 26, 101),
	(5, 26, 102),
	(5, 26, 166),
	(5, 26, 191),
	(5, 26, 116),
	(5, 26, 190),
	(5, 26, 192),
	(5, 26, 193),
	(5, 26, 195),
	(5, 26, 202),
	(5, 26, 205),
	(5, 27, 114),
	(5, 27, 112),
	(5, 27, 111),
	(5, 27, 110),
	(5, 27, 107),
	(5, 27, 106),
	(5, 27, 101),
	(5, 27, 102),
	(5, 27, 166),
	(5, 27, 191),
	(5, 27, 116),
	(5, 27, 190),
	(5, 27, 192),
	(5, 27, 193),
	(5, 27, 195),
	(5, 27, 202),
	(5, 27, 205),
	(5, 28, 114),
	(5, 28, 112),
	(5, 28, 111),
	(5, 28, 110),
	(5, 28, 107),
	(5, 28, 106),
	(5, 28, 101),
	(5, 28, 102),
	(5, 28, 166),
	(5, 28, 191),
	(5, 28, 116),
	(5, 28, 190),
	(5, 28, 192),
	(5, 28, 193),
	(5, 28, 195),
	(5, 28, 202),
	(5, 28, 205),
	(5, 29, 114),
	(5, 29, 112),
	(5, 29, 111),
	(5, 29, 110),
	(5, 29, 107),
	(5, 29, 106),
	(5, 29, 101),
	(5, 29, 102),
	(5, 29, 166),
	(5, 29, 191),
	(5, 29, 116),
	(5, 29, 190),
	(5, 29, 192),
	(5, 29, 193),
	(5, 29, 195),
	(5, 29, 202),
	(5, 29, 205),
	(5, 30, 114),
	(5, 30, 112),
	(5, 30, 111),
	(5, 30, 110),
	(5, 30, 107),
	(5, 30, 106),
	(5, 30, 101),
	(5, 30, 102),
	(5, 30, 166),
	(5, 30, 191),
	(5, 30, 116),
	(5, 30, 190),
	(5, 30, 192),
	(5, 30, 193),
	(5, 30, 195),
	(5, 30, 202),
	(5, 30, 205),
	(5, 31, 114),
	(5, 31, 112),
	(5, 31, 111),
	(5, 31, 110),
	(5, 31, 107),
	(5, 31, 106),
	(5, 31, 101),
	(5, 31, 102),
	(5, 31, 166),
	(5, 31, 191),
	(5, 31, 116),
	(5, 31, 190),
	(5, 31, 192),
	(5, 31, 193),
	(5, 31, 195),
	(5, 31, 202),
	(5, 31, 205),
	(6, 1, 114),
	(6, 1, 112),
	(6, 1, 111),
	(6, 1, 110),
	(6, 1, 107),
	(6, 1, 106),
	(6, 1, 101),
	(6, 1, 102),
	(6, 1, 166),
	(6, 1, 191),
	(6, 1, 116),
	(6, 1, 190),
	(6, 1, 192),
	(6, 1, 193),
	(6, 1, 195),
	(6, 1, 202),
	(6, 1, 205),
	(6, 2, 114),
	(6, 2, 112),
	(6, 2, 111),
	(6, 2, 110),
	(6, 2, 107),
	(6, 2, 106),
	(6, 2, 101),
	(6, 2, 102),
	(6, 2, 166),
	(6, 2, 191),
	(6, 2, 116),
	(6, 2, 190),
	(6, 2, 192),
	(6, 2, 193),
	(6, 2, 195),
	(6, 2, 202),
	(6, 2, 205),
	(6, 3, 114),
	(6, 3, 112),
	(6, 3, 111),
	(6, 3, 110),
	(6, 3, 107),
	(6, 3, 106),
	(6, 3, 101),
	(6, 3, 102),
	(6, 3, 166),
	(6, 3, 191),
	(6, 3, 116),
	(6, 3, 190),
	(6, 3, 192),
	(6, 3, 193),
	(6, 3, 195),
	(6, 3, 202),
	(6, 3, 205),
	(6, 4, 114),
	(6, 4, 112),
	(6, 4, 111),
	(6, 4, 110),
	(6, 4, 107),
	(6, 4, 106),
	(6, 4, 101),
	(6, 4, 102),
	(6, 4, 166),
	(6, 4, 191),
	(6, 4, 116),
	(6, 4, 190),
	(6, 4, 192),
	(6, 4, 193),
	(6, 4, 195),
	(6, 4, 202),
	(6, 4, 205),
	(6, 5, 114),
	(6, 5, 112),
	(6, 5, 111),
	(6, 5, 110),
	(6, 5, 107),
	(6, 5, 106),
	(6, 5, 101),
	(6, 5, 102),
	(6, 5, 166),
	(6, 5, 191),
	(6, 5, 116),
	(6, 5, 190),
	(6, 5, 192),
	(6, 5, 193),
	(6, 5, 195),
	(6, 5, 202),
	(6, 5, 205),
	(6, 6, 114),
	(6, 6, 112),
	(6, 6, 111),
	(6, 6, 110),
	(6, 6, 107),
	(6, 6, 106),
	(6, 6, 101),
	(6, 6, 102),
	(6, 6, 166),
	(6, 6, 191),
	(6, 6, 116),
	(6, 6, 190),
	(6, 6, 192),
	(6, 6, 193),
	(6, 6, 195),
	(6, 6, 202),
	(6, 6, 205),
	(6, 7, 114),
	(6, 7, 112),
	(6, 7, 111),
	(6, 7, 110),
	(6, 7, 107),
	(6, 7, 106),
	(6, 7, 101),
	(6, 7, 102),
	(6, 7, 166),
	(6, 7, 191),
	(6, 7, 116),
	(6, 7, 190),
	(6, 7, 192),
	(6, 7, 193),
	(6, 7, 195),
	(6, 7, 202),
	(6, 7, 205),
	(6, 8, 114),
	(6, 8, 112),
	(6, 8, 111),
	(6, 8, 110),
	(6, 8, 107),
	(6, 8, 106),
	(6, 8, 101),
	(6, 8, 102),
	(6, 8, 166),
	(6, 8, 191),
	(6, 8, 116),
	(6, 8, 190),
	(6, 8, 192),
	(6, 8, 193),
	(6, 8, 195),
	(6, 8, 202),
	(6, 8, 205),
	(6, 9, 114),
	(6, 9, 112),
	(6, 9, 111),
	(6, 9, 110),
	(6, 9, 107),
	(6, 9, 106),
	(6, 9, 101),
	(6, 9, 102),
	(6, 9, 166),
	(6, 9, 191),
	(6, 9, 116),
	(6, 9, 190),
	(6, 9, 192),
	(6, 9, 193),
	(6, 9, 195),
	(6, 9, 202),
	(6, 9, 205),
	(6, 10, 114),
	(6, 10, 112),
	(6, 10, 111),
	(6, 10, 110),
	(6, 10, 107),
	(6, 10, 106),
	(6, 10, 101),
	(6, 10, 102),
	(6, 10, 166),
	(6, 10, 191),
	(6, 10, 116),
	(6, 10, 190),
	(6, 10, 192),
	(6, 10, 193),
	(6, 10, 195),
	(6, 10, 202),
	(6, 10, 205),
	(6, 11, 114),
	(6, 11, 112),
	(6, 11, 111),
	(6, 11, 110),
	(6, 11, 107),
	(6, 11, 106),
	(6, 11, 101),
	(6, 11, 102),
	(6, 11, 166),
	(6, 11, 191),
	(6, 11, 116),
	(6, 11, 190),
	(6, 11, 192),
	(6, 11, 193),
	(6, 11, 195),
	(6, 11, 202),
	(6, 11, 205),
	(6, 12, 114),
	(6, 12, 112),
	(6, 12, 111),
	(6, 12, 110),
	(6, 12, 107),
	(6, 12, 106),
	(6, 12, 101),
	(6, 12, 102),
	(6, 12, 166),
	(6, 12, 191),
	(6, 12, 116),
	(6, 12, 190),
	(6, 12, 192),
	(6, 12, 193),
	(6, 12, 195),
	(6, 12, 202),
	(6, 12, 205),
	(6, 13, 114),
	(6, 13, 112),
	(6, 13, 111),
	(6, 13, 110),
	(6, 13, 107),
	(6, 13, 106),
	(6, 13, 101),
	(6, 13, 102),
	(6, 13, 166),
	(6, 13, 191),
	(6, 13, 116),
	(6, 13, 190),
	(6, 13, 192),
	(6, 13, 193),
	(6, 13, 195),
	(6, 13, 202),
	(6, 13, 205),
	(6, 14, 114),
	(6, 14, 112),
	(6, 14, 111),
	(6, 14, 110),
	(6, 14, 107),
	(6, 14, 106),
	(6, 14, 101),
	(6, 14, 102),
	(6, 14, 166),
	(6, 14, 191),
	(6, 14, 116),
	(6, 14, 190),
	(6, 14, 192),
	(6, 14, 193),
	(6, 14, 195),
	(6, 14, 202),
	(6, 14, 205),
	(6, 15, 114),
	(6, 15, 112),
	(6, 15, 111),
	(6, 15, 110),
	(6, 15, 107),
	(6, 15, 106),
	(6, 15, 101),
	(6, 15, 102),
	(6, 15, 166),
	(6, 15, 191),
	(6, 15, 116),
	(6, 15, 190),
	(6, 15, 192),
	(6, 15, 193),
	(6, 15, 195),
	(6, 15, 202),
	(6, 15, 205),
	(6, 16, 114),
	(6, 16, 112),
	(6, 16, 111),
	(6, 16, 110),
	(6, 16, 107),
	(6, 16, 106),
	(6, 16, 101),
	(6, 16, 102),
	(6, 16, 166),
	(6, 16, 191),
	(6, 16, 116),
	(6, 16, 190),
	(6, 16, 192),
	(6, 16, 193),
	(6, 16, 195),
	(6, 16, 202),
	(6, 16, 205),
	(6, 17, 114),
	(6, 17, 112),
	(6, 17, 111),
	(6, 17, 110),
	(6, 17, 107),
	(6, 17, 106),
	(6, 17, 101),
	(6, 17, 102),
	(6, 17, 166),
	(6, 17, 191),
	(6, 17, 116),
	(6, 17, 190),
	(6, 17, 192),
	(6, 17, 193),
	(6, 17, 195),
	(6, 17, 202),
	(6, 17, 205),
	(6, 18, 114),
	(6, 18, 112),
	(6, 18, 111),
	(6, 18, 110),
	(6, 18, 107),
	(6, 18, 106),
	(6, 18, 101),
	(6, 18, 102),
	(6, 18, 166),
	(6, 18, 191),
	(6, 18, 116),
	(6, 18, 190),
	(6, 18, 192),
	(6, 18, 193),
	(6, 18, 195),
	(6, 18, 202),
	(6, 18, 205),
	(6, 19, 114),
	(6, 19, 112),
	(6, 19, 111),
	(6, 19, 110),
	(6, 19, 107),
	(6, 19, 106),
	(6, 19, 101),
	(6, 19, 102),
	(6, 19, 166),
	(6, 19, 191),
	(6, 19, 116),
	(6, 19, 190),
	(6, 19, 192),
	(6, 19, 193),
	(6, 19, 195),
	(6, 19, 202),
	(6, 19, 205),
	(6, 20, 114),
	(6, 20, 112),
	(6, 20, 111),
	(6, 20, 110),
	(6, 20, 107),
	(6, 20, 106),
	(6, 20, 101),
	(6, 20, 102),
	(6, 20, 166),
	(6, 20, 191),
	(6, 20, 116),
	(6, 20, 190),
	(6, 20, 192),
	(6, 20, 193),
	(6, 20, 195),
	(6, 20, 202),
	(6, 20, 205),
	(6, 21, 114),
	(6, 21, 112),
	(6, 21, 111),
	(6, 21, 110),
	(6, 21, 107),
	(6, 21, 106),
	(6, 21, 101),
	(6, 21, 102),
	(6, 21, 166),
	(6, 21, 191),
	(6, 21, 116),
	(6, 21, 190),
	(6, 21, 192),
	(6, 21, 193),
	(6, 21, 195),
	(6, 21, 202),
	(6, 21, 205),
	(6, 22, 114),
	(6, 22, 112),
	(6, 22, 111),
	(6, 22, 110),
	(6, 22, 107),
	(6, 22, 106),
	(6, 22, 101),
	(6, 22, 102),
	(6, 22, 166),
	(6, 22, 191),
	(6, 22, 116),
	(6, 22, 190),
	(6, 22, 192),
	(6, 22, 193),
	(6, 22, 195),
	(6, 22, 202),
	(6, 22, 205),
	(6, 23, 114),
	(6, 23, 112),
	(6, 23, 111),
	(6, 23, 110),
	(6, 23, 107),
	(6, 23, 106),
	(6, 23, 101),
	(6, 23, 102),
	(6, 23, 166),
	(6, 23, 191),
	(6, 23, 116),
	(6, 23, 190),
	(6, 23, 192),
	(6, 23, 193),
	(6, 23, 195),
	(6, 23, 202),
	(6, 23, 205),
	(6, 24, 114),
	(6, 24, 112),
	(6, 24, 111),
	(6, 24, 110),
	(6, 24, 107),
	(6, 24, 106),
	(6, 24, 101),
	(6, 24, 102),
	(6, 24, 166),
	(6, 24, 191),
	(6, 24, 116),
	(6, 24, 190),
	(6, 24, 192),
	(6, 24, 193),
	(6, 24, 195),
	(6, 24, 202),
	(6, 24, 205),
	(6, 25, 114),
	(6, 25, 112),
	(6, 25, 111),
	(6, 25, 110),
	(6, 25, 107),
	(6, 25, 106),
	(6, 25, 101),
	(6, 25, 102),
	(6, 25, 166),
	(6, 25, 191),
	(6, 25, 116),
	(6, 25, 190),
	(6, 25, 192),
	(6, 25, 193),
	(6, 25, 195),
	(6, 25, 202),
	(6, 25, 205),
	(6, 26, 114),
	(6, 26, 112),
	(6, 26, 111),
	(6, 26, 110),
	(6, 26, 107),
	(6, 26, 106),
	(6, 26, 101),
	(6, 26, 102),
	(6, 26, 166),
	(6, 26, 191),
	(6, 26, 116),
	(6, 26, 190),
	(6, 26, 192),
	(6, 26, 193),
	(6, 26, 195),
	(6, 26, 202),
	(6, 26, 205),
	(6, 27, 114),
	(6, 27, 112),
	(6, 27, 111),
	(6, 27, 110),
	(6, 27, 107),
	(6, 27, 106),
	(6, 27, 101),
	(6, 27, 102),
	(6, 27, 166),
	(6, 27, 191),
	(6, 27, 116),
	(6, 27, 190),
	(6, 27, 192),
	(6, 27, 193),
	(6, 27, 195),
	(6, 27, 202),
	(6, 27, 205),
	(6, 28, 114),
	(6, 28, 112),
	(6, 28, 111),
	(6, 28, 110),
	(6, 28, 107),
	(6, 28, 106),
	(6, 28, 101),
	(6, 28, 102),
	(6, 28, 166),
	(6, 28, 191),
	(6, 28, 116),
	(6, 28, 190),
	(6, 28, 192),
	(6, 28, 193),
	(6, 28, 195),
	(6, 28, 202),
	(6, 28, 205),
	(6, 29, 114),
	(6, 29, 112),
	(6, 29, 111),
	(6, 29, 110),
	(6, 29, 107),
	(6, 29, 106),
	(6, 29, 101),
	(6, 29, 102),
	(6, 29, 166),
	(6, 29, 191),
	(6, 29, 116),
	(6, 29, 190),
	(6, 29, 192),
	(6, 29, 193),
	(6, 29, 195),
	(6, 29, 202),
	(6, 29, 205),
	(6, 30, 114),
	(6, 30, 112),
	(6, 30, 111),
	(6, 30, 110),
	(6, 30, 107),
	(6, 30, 106),
	(6, 30, 101),
	(6, 30, 102),
	(6, 30, 166),
	(6, 30, 191),
	(6, 30, 116),
	(6, 30, 190),
	(6, 30, 192),
	(6, 30, 193),
	(6, 30, 195),
	(6, 30, 202),
	(6, 30, 205),
	(7, 1, 114),
	(7, 1, 112),
	(7, 1, 111),
	(7, 1, 110),
	(7, 1, 107),
	(7, 1, 106),
	(7, 1, 101),
	(7, 1, 102),
	(7, 1, 166),
	(7, 1, 191),
	(7, 1, 116),
	(7, 1, 190),
	(7, 1, 192),
	(7, 1, 193),
	(7, 1, 195),
	(7, 1, 202),
	(7, 1, 205),
	(7, 2, 114),
	(7, 2, 112),
	(7, 2, 111),
	(7, 2, 110),
	(7, 2, 107),
	(7, 2, 106),
	(7, 2, 101),
	(7, 2, 102),
	(7, 2, 166),
	(7, 2, 191),
	(7, 2, 116),
	(7, 2, 190),
	(7, 2, 192),
	(7, 2, 193),
	(7, 2, 195),
	(7, 2, 202),
	(7, 2, 205),
	(7, 3, 114),
	(7, 3, 112),
	(7, 3, 111),
	(7, 3, 110),
	(7, 3, 107),
	(7, 3, 106),
	(7, 3, 101),
	(7, 3, 102),
	(7, 3, 166),
	(7, 3, 191),
	(7, 3, 116),
	(7, 3, 190),
	(7, 3, 192),
	(7, 3, 193),
	(7, 3, 195),
	(7, 3, 202),
	(7, 3, 205),
	(7, 4, 114),
	(7, 4, 112),
	(7, 4, 111),
	(7, 4, 110),
	(7, 4, 107),
	(7, 4, 106),
	(7, 4, 101),
	(7, 4, 102),
	(7, 4, 166),
	(7, 4, 191),
	(7, 4, 116),
	(7, 4, 190),
	(7, 4, 192),
	(7, 4, 193),
	(7, 4, 195),
	(7, 4, 202),
	(7, 4, 205),
	(7, 5, 114),
	(7, 5, 112),
	(7, 5, 111),
	(7, 5, 110),
	(7, 5, 107),
	(7, 5, 106),
	(7, 5, 101),
	(7, 5, 102),
	(7, 5, 166),
	(7, 5, 191),
	(7, 5, 116),
	(7, 5, 190),
	(7, 5, 192),
	(7, 5, 193),
	(7, 5, 195),
	(7, 5, 202),
	(7, 5, 205),
	(7, 6, 114),
	(7, 6, 112),
	(7, 6, 111),
	(7, 6, 110),
	(7, 6, 107),
	(7, 6, 106),
	(7, 6, 101),
	(7, 6, 102),
	(7, 6, 166),
	(7, 6, 191),
	(7, 6, 116),
	(7, 6, 190),
	(7, 6, 192),
	(7, 6, 193),
	(7, 6, 195),
	(7, 6, 202),
	(7, 6, 205),
	(7, 7, 114),
	(7, 7, 112),
	(7, 7, 111),
	(7, 7, 110),
	(7, 7, 107),
	(7, 7, 106),
	(7, 7, 101),
	(7, 7, 102),
	(7, 7, 166),
	(7, 7, 191),
	(7, 7, 116),
	(7, 7, 190),
	(7, 7, 192),
	(7, 7, 193),
	(7, 7, 195),
	(7, 7, 202),
	(7, 7, 205),
	(7, 8, 114),
	(7, 8, 112),
	(7, 8, 111),
	(7, 8, 110),
	(7, 8, 107),
	(7, 8, 106),
	(7, 8, 101),
	(7, 8, 102),
	(7, 8, 166),
	(7, 8, 191),
	(7, 8, 116),
	(7, 8, 190),
	(7, 8, 192),
	(7, 8, 193),
	(7, 8, 195),
	(7, 8, 202),
	(7, 8, 205),
	(7, 9, 114),
	(7, 9, 112),
	(7, 9, 111),
	(7, 9, 110),
	(7, 9, 107),
	(7, 9, 106),
	(7, 9, 101),
	(7, 9, 102),
	(7, 9, 166),
	(7, 9, 191),
	(7, 9, 116),
	(7, 9, 190),
	(7, 9, 192),
	(7, 9, 193),
	(7, 9, 195),
	(7, 9, 202),
	(7, 9, 205),
	(7, 10, 114),
	(7, 10, 112),
	(7, 10, 111),
	(7, 10, 110),
	(7, 10, 107),
	(7, 10, 106),
	(7, 10, 101),
	(7, 10, 102),
	(7, 10, 166),
	(7, 10, 191),
	(7, 10, 116),
	(7, 10, 190),
	(7, 10, 192),
	(7, 10, 193),
	(7, 10, 195),
	(7, 10, 202),
	(7, 10, 205),
	(7, 11, 114),
	(7, 11, 112),
	(7, 11, 111),
	(7, 11, 110),
	(7, 11, 107),
	(7, 11, 106),
	(7, 11, 101),
	(7, 11, 102),
	(7, 11, 166),
	(7, 11, 191),
	(7, 11, 116),
	(7, 11, 190),
	(7, 11, 192),
	(7, 11, 193),
	(7, 11, 195),
	(7, 11, 202),
	(7, 11, 205),
	(7, 12, 114),
	(7, 12, 112),
	(7, 12, 111),
	(7, 12, 110),
	(7, 12, 107),
	(7, 12, 106),
	(7, 12, 101),
	(7, 12, 102),
	(7, 12, 166),
	(7, 12, 191),
	(7, 12, 116),
	(7, 12, 190),
	(7, 12, 192),
	(7, 12, 193),
	(7, 12, 195),
	(7, 12, 202),
	(7, 12, 205),
	(7, 13, 114),
	(7, 13, 112),
	(7, 13, 111),
	(7, 13, 110),
	(7, 13, 107),
	(7, 13, 106),
	(7, 13, 101),
	(7, 13, 102),
	(7, 13, 166),
	(7, 13, 191),
	(7, 13, 116),
	(7, 13, 190),
	(7, 13, 192),
	(7, 13, 193),
	(7, 13, 195),
	(7, 13, 202),
	(7, 13, 205),
	(7, 14, 114),
	(7, 14, 112),
	(7, 14, 111),
	(7, 14, 110),
	(7, 14, 107),
	(7, 14, 106),
	(7, 14, 101),
	(7, 14, 102),
	(7, 14, 166),
	(7, 14, 191),
	(7, 14, 116),
	(7, 14, 190),
	(7, 14, 192),
	(7, 14, 193),
	(7, 14, 195),
	(7, 14, 202),
	(7, 14, 205),
	(7, 15, 114),
	(7, 15, 112),
	(7, 15, 111),
	(7, 15, 110),
	(7, 15, 107),
	(7, 15, 106),
	(7, 15, 101),
	(7, 15, 102),
	(7, 15, 166),
	(7, 15, 191),
	(7, 15, 116),
	(7, 15, 190),
	(7, 15, 192),
	(7, 15, 193),
	(7, 15, 195),
	(7, 15, 202),
	(7, 15, 205),
	(7, 16, 114),
	(7, 16, 112),
	(7, 16, 111),
	(7, 16, 110),
	(7, 16, 107),
	(7, 16, 106),
	(7, 16, 101),
	(7, 16, 102),
	(7, 16, 166),
	(7, 16, 191),
	(7, 16, 116),
	(7, 16, 190),
	(7, 16, 192),
	(7, 16, 193),
	(7, 16, 195),
	(7, 16, 202),
	(7, 16, 205),
	(7, 17, 114),
	(7, 17, 112),
	(7, 17, 111),
	(7, 17, 110),
	(7, 17, 107),
	(7, 17, 106),
	(7, 17, 101),
	(7, 17, 102),
	(7, 17, 166),
	(7, 17, 191),
	(7, 17, 116),
	(7, 17, 190),
	(7, 17, 192),
	(7, 17, 193),
	(7, 17, 195),
	(7, 17, 202),
	(7, 17, 205),
	(7, 18, 114),
	(7, 18, 112),
	(7, 18, 111),
	(7, 18, 110),
	(7, 18, 107),
	(7, 18, 106),
	(7, 18, 101),
	(7, 18, 102),
	(7, 18, 166),
	(7, 18, 191),
	(7, 18, 116),
	(7, 18, 190),
	(7, 18, 192),
	(7, 18, 193),
	(7, 18, 195),
	(7, 18, 202),
	(7, 18, 205),
	(7, 19, 114),
	(7, 19, 112),
	(7, 19, 111),
	(7, 19, 110),
	(7, 19, 107),
	(7, 19, 106),
	(7, 19, 101),
	(7, 19, 102),
	(7, 19, 166),
	(7, 19, 191),
	(7, 19, 116),
	(7, 19, 190),
	(7, 19, 192),
	(7, 19, 193),
	(7, 19, 195),
	(7, 19, 202),
	(7, 19, 205),
	(7, 20, 114),
	(7, 20, 112),
	(7, 20, 111),
	(7, 20, 110),
	(7, 20, 107),
	(7, 20, 106),
	(7, 20, 101),
	(7, 20, 102),
	(7, 20, 166),
	(7, 20, 191),
	(7, 20, 116),
	(7, 20, 190),
	(7, 20, 192),
	(7, 20, 193),
	(7, 20, 195),
	(7, 20, 202),
	(7, 20, 205),
	(7, 21, 114),
	(7, 21, 112),
	(7, 21, 111),
	(7, 21, 110),
	(7, 21, 107),
	(7, 21, 106),
	(7, 21, 101),
	(7, 21, 102),
	(7, 21, 166),
	(7, 21, 191),
	(7, 21, 116),
	(7, 21, 190),
	(7, 21, 192),
	(7, 21, 193),
	(7, 21, 195),
	(7, 21, 202),
	(7, 21, 205),
	(7, 22, 114),
	(7, 22, 112),
	(7, 22, 111),
	(7, 22, 110),
	(7, 22, 107),
	(7, 22, 106),
	(7, 22, 101),
	(7, 22, 102),
	(7, 22, 166),
	(7, 22, 191),
	(7, 22, 116),
	(7, 22, 190),
	(7, 22, 192),
	(7, 22, 193),
	(7, 22, 195),
	(7, 22, 202),
	(7, 22, 205),
	(7, 23, 114),
	(7, 23, 112),
	(7, 23, 111),
	(7, 23, 110),
	(7, 23, 107),
	(7, 23, 106),
	(7, 23, 101),
	(7, 23, 102),
	(7, 23, 166),
	(7, 23, 191),
	(7, 23, 116),
	(7, 23, 190),
	(7, 23, 192),
	(7, 23, 193),
	(7, 23, 195),
	(7, 23, 202),
	(7, 23, 205),
	(7, 24, 114),
	(7, 24, 112),
	(7, 24, 111),
	(7, 24, 110),
	(7, 24, 107),
	(7, 24, 106),
	(7, 24, 101),
	(7, 24, 102),
	(7, 24, 166),
	(7, 24, 191),
	(7, 24, 116),
	(7, 24, 190),
	(7, 24, 192),
	(7, 24, 193),
	(7, 24, 195),
	(7, 24, 202),
	(7, 24, 205),
	(7, 25, 114),
	(7, 25, 112),
	(7, 25, 111),
	(7, 25, 110),
	(7, 25, 107),
	(7, 25, 106),
	(7, 25, 101),
	(7, 25, 102),
	(7, 25, 166),
	(7, 25, 191),
	(7, 25, 116),
	(7, 25, 190),
	(7, 25, 192),
	(7, 25, 193),
	(7, 25, 195),
	(7, 25, 202),
	(7, 25, 205),
	(7, 26, 114),
	(7, 26, 112),
	(7, 26, 111),
	(7, 26, 110),
	(7, 26, 107),
	(7, 26, 106),
	(7, 26, 101),
	(7, 26, 102),
	(7, 26, 166),
	(7, 26, 191),
	(7, 26, 116),
	(7, 26, 190),
	(7, 26, 192),
	(7, 26, 193),
	(7, 26, 195),
	(7, 26, 202),
	(7, 26, 205),
	(7, 27, 114),
	(7, 27, 112),
	(7, 27, 111),
	(7, 27, 110),
	(7, 27, 107),
	(7, 27, 106),
	(7, 27, 101),
	(7, 27, 102),
	(7, 27, 166),
	(7, 27, 191),
	(7, 27, 116),
	(7, 27, 190),
	(7, 27, 192),
	(7, 27, 193),
	(7, 27, 195),
	(7, 27, 202),
	(7, 27, 205),
	(7, 28, 114),
	(7, 28, 112),
	(7, 28, 111),
	(7, 28, 110),
	(7, 28, 107),
	(7, 28, 106),
	(7, 28, 101),
	(7, 28, 102),
	(7, 28, 166),
	(7, 28, 191),
	(7, 28, 116),
	(7, 28, 190),
	(7, 28, 192),
	(7, 28, 193),
	(7, 28, 195),
	(7, 28, 202),
	(7, 28, 205),
	(7, 29, 114),
	(7, 29, 112),
	(7, 29, 111),
	(7, 29, 110),
	(7, 29, 107),
	(7, 29, 106),
	(7, 29, 101),
	(7, 29, 102),
	(7, 29, 166),
	(7, 29, 191),
	(7, 29, 116),
	(7, 29, 190),
	(7, 29, 192),
	(7, 29, 193),
	(7, 29, 195),
	(7, 29, 202),
	(7, 29, 205),
	(7, 30, 114),
	(7, 30, 112),
	(7, 30, 111),
	(7, 30, 110),
	(7, 30, 107),
	(7, 30, 106),
	(7, 30, 101),
	(7, 30, 102),
	(7, 30, 166),
	(7, 30, 191),
	(7, 30, 116),
	(7, 30, 190),
	(7, 30, 192),
	(7, 30, 193),
	(7, 30, 195),
	(7, 30, 202),
	(7, 30, 205),
	(7, 31, 114),
	(7, 31, 112),
	(7, 31, 111),
	(7, 31, 110),
	(7, 31, 107),
	(7, 31, 106),
	(7, 31, 101),
	(7, 31, 102),
	(7, 31, 166),
	(7, 31, 191),
	(7, 31, 116),
	(7, 31, 190),
	(7, 31, 192),
	(7, 31, 193),
	(7, 31, 195),
	(7, 31, 202),
	(7, 31, 205),
	(8, 1, 114),
	(8, 1, 112),
	(8, 1, 111),
	(8, 1, 110),
	(8, 1, 107),
	(8, 1, 106),
	(8, 1, 101),
	(8, 1, 102),
	(8, 1, 166),
	(8, 1, 191),
	(8, 1, 116),
	(8, 1, 190),
	(8, 1, 192),
	(8, 1, 193),
	(8, 1, 195),
	(8, 1, 202),
	(8, 1, 205),
	(8, 2, 114),
	(8, 2, 112),
	(8, 2, 111),
	(8, 2, 110),
	(8, 2, 107),
	(8, 2, 106),
	(8, 2, 101),
	(8, 2, 102),
	(8, 2, 166),
	(8, 2, 191),
	(8, 2, 116),
	(8, 2, 190),
	(8, 2, 192),
	(8, 2, 193),
	(8, 2, 195),
	(8, 2, 202),
	(8, 2, 205),
	(8, 3, 114),
	(8, 3, 112),
	(8, 3, 111),
	(8, 3, 110),
	(8, 3, 107),
	(8, 3, 106),
	(8, 3, 101),
	(8, 3, 102),
	(8, 3, 166),
	(8, 3, 191),
	(8, 3, 116),
	(8, 3, 190),
	(8, 3, 192),
	(8, 3, 193),
	(8, 3, 195),
	(8, 3, 202),
	(8, 3, 205),
	(8, 4, 114),
	(8, 4, 112),
	(8, 4, 111),
	(8, 4, 110),
	(8, 4, 107),
	(8, 4, 106),
	(8, 4, 101),
	(8, 4, 102),
	(8, 4, 166),
	(8, 4, 191),
	(8, 4, 116),
	(8, 4, 190),
	(8, 4, 192),
	(8, 4, 193),
	(8, 4, 195),
	(8, 4, 202),
	(8, 4, 205),
	(8, 5, 114),
	(8, 5, 112),
	(8, 5, 111),
	(8, 5, 110),
	(8, 5, 107),
	(8, 5, 106),
	(8, 5, 101),
	(8, 5, 102),
	(8, 5, 166),
	(8, 5, 191),
	(8, 5, 116),
	(8, 5, 190),
	(8, 5, 192),
	(8, 5, 193),
	(8, 5, 195),
	(8, 5, 202),
	(8, 5, 205),
	(8, 6, 114),
	(8, 6, 112),
	(8, 6, 111),
	(8, 6, 110),
	(8, 6, 107),
	(8, 6, 106),
	(8, 6, 101),
	(8, 6, 102),
	(8, 6, 166),
	(8, 6, 191),
	(8, 6, 116),
	(8, 6, 190),
	(8, 6, 192),
	(8, 6, 193),
	(8, 6, 195),
	(8, 6, 202),
	(8, 6, 205),
	(8, 7, 114),
	(8, 7, 112),
	(8, 7, 111),
	(8, 7, 110),
	(8, 7, 107),
	(8, 7, 106),
	(8, 7, 101),
	(8, 7, 102),
	(8, 7, 166),
	(8, 7, 191),
	(8, 7, 116),
	(8, 7, 190),
	(8, 7, 192),
	(8, 7, 193),
	(8, 7, 195),
	(8, 7, 202),
	(8, 7, 205),
	(8, 8, 114),
	(8, 8, 112),
	(8, 8, 111),
	(8, 8, 110),
	(8, 8, 107),
	(8, 8, 106),
	(8, 8, 101),
	(8, 8, 102),
	(8, 8, 166),
	(8, 8, 191),
	(8, 8, 116),
	(8, 8, 190),
	(8, 8, 192),
	(8, 8, 193),
	(8, 8, 195),
	(8, 8, 202),
	(8, 8, 205),
	(8, 9, 114),
	(8, 9, 112),
	(8, 9, 111),
	(8, 9, 110),
	(8, 9, 107),
	(8, 9, 106),
	(8, 9, 101),
	(8, 9, 102),
	(8, 9, 166),
	(8, 9, 191),
	(8, 9, 116),
	(8, 9, 190),
	(8, 9, 192),
	(8, 9, 193),
	(8, 9, 195),
	(8, 9, 202),
	(8, 9, 205),
	(8, 10, 114),
	(8, 10, 112),
	(8, 10, 111),
	(8, 10, 110),
	(8, 10, 107),
	(8, 10, 106),
	(8, 10, 101),
	(8, 10, 102),
	(8, 10, 166),
	(8, 10, 191),
	(8, 10, 116),
	(8, 10, 190),
	(8, 10, 192),
	(8, 10, 193),
	(8, 10, 195),
	(8, 10, 202),
	(8, 10, 205),
	(8, 11, 114),
	(8, 11, 112),
	(8, 11, 111),
	(8, 11, 110),
	(8, 11, 107),
	(8, 11, 106),
	(8, 11, 101),
	(8, 11, 102),
	(8, 11, 166),
	(8, 11, 191),
	(8, 11, 116),
	(8, 11, 190),
	(8, 11, 192),
	(8, 11, 193),
	(8, 11, 195),
	(8, 11, 202),
	(8, 11, 205),
	(8, 12, 114),
	(8, 12, 112),
	(8, 12, 111),
	(8, 12, 110),
	(8, 12, 107),
	(8, 12, 106),
	(8, 12, 101),
	(8, 12, 102),
	(8, 12, 166),
	(8, 12, 191),
	(8, 12, 116),
	(8, 12, 190),
	(8, 12, 192),
	(8, 12, 193),
	(8, 12, 195),
	(8, 12, 202),
	(8, 12, 205),
	(8, 13, 114),
	(8, 13, 112),
	(8, 13, 111),
	(8, 13, 110),
	(8, 13, 107),
	(8, 13, 106),
	(8, 13, 101),
	(8, 13, 102),
	(8, 13, 166),
	(8, 13, 191),
	(8, 13, 116),
	(8, 13, 190),
	(8, 13, 192),
	(8, 13, 193),
	(8, 13, 195),
	(8, 13, 202),
	(8, 13, 205),
	(8, 14, 114),
	(8, 14, 112),
	(8, 14, 111),
	(8, 14, 110),
	(8, 14, 107),
	(8, 14, 106),
	(8, 14, 101),
	(8, 14, 102),
	(8, 14, 166),
	(8, 14, 191),
	(8, 14, 116),
	(8, 14, 190),
	(8, 14, 192),
	(8, 14, 193),
	(8, 14, 195),
	(8, 14, 202),
	(8, 14, 205),
	(8, 15, 114),
	(8, 15, 112),
	(8, 15, 111),
	(8, 15, 110),
	(8, 15, 107),
	(8, 15, 106),
	(8, 15, 101),
	(8, 15, 102),
	(8, 15, 166),
	(8, 15, 191),
	(8, 15, 116),
	(8, 15, 190),
	(8, 15, 192),
	(8, 15, 193),
	(8, 15, 195),
	(8, 15, 202),
	(8, 15, 205),
	(8, 16, 114),
	(8, 16, 112),
	(8, 16, 111),
	(8, 16, 110),
	(8, 16, 107),
	(8, 16, 106),
	(8, 16, 101),
	(8, 16, 102),
	(8, 16, 166),
	(8, 16, 191),
	(8, 16, 116),
	(8, 16, 190),
	(8, 16, 192),
	(8, 16, 193),
	(8, 16, 195),
	(8, 16, 202),
	(8, 16, 205),
	(8, 17, 114),
	(8, 17, 112),
	(8, 17, 111),
	(8, 17, 110),
	(8, 17, 107),
	(8, 17, 106),
	(8, 17, 101),
	(8, 17, 102),
	(8, 17, 166),
	(8, 17, 191),
	(8, 17, 116),
	(8, 17, 190),
	(8, 17, 192),
	(8, 17, 193),
	(8, 17, 195),
	(8, 17, 202),
	(8, 17, 205),
	(8, 18, 114),
	(8, 18, 112),
	(8, 18, 111),
	(8, 18, 110),
	(8, 18, 107),
	(8, 18, 106),
	(8, 18, 101),
	(8, 18, 102),
	(8, 18, 166),
	(8, 18, 191),
	(8, 18, 116),
	(8, 18, 190),
	(8, 18, 192),
	(8, 18, 193),
	(8, 18, 195),
	(8, 18, 202),
	(8, 18, 205),
	(8, 19, 114),
	(8, 19, 112),
	(8, 19, 111),
	(8, 19, 110),
	(8, 19, 107),
	(8, 19, 106),
	(8, 19, 101),
	(8, 19, 102),
	(8, 19, 166),
	(8, 19, 191),
	(8, 19, 116),
	(8, 19, 190),
	(8, 19, 192),
	(8, 19, 193),
	(8, 19, 195),
	(8, 19, 202),
	(8, 19, 205),
	(8, 20, 114),
	(8, 20, 112),
	(8, 20, 111),
	(8, 20, 110),
	(8, 20, 107),
	(8, 20, 106),
	(8, 20, 101),
	(8, 20, 102),
	(8, 20, 166),
	(8, 20, 191),
	(8, 20, 116),
	(8, 20, 190),
	(8, 20, 192),
	(8, 20, 193),
	(8, 20, 195),
	(8, 20, 202),
	(8, 20, 205),
	(8, 21, 114),
	(8, 21, 112),
	(8, 21, 111),
	(8, 21, 110),
	(8, 21, 107),
	(8, 21, 106),
	(8, 21, 101),
	(8, 21, 102),
	(8, 21, 166),
	(8, 21, 191),
	(8, 21, 116),
	(8, 21, 190),
	(8, 21, 192),
	(8, 21, 193),
	(8, 21, 195),
	(8, 21, 202),
	(8, 21, 205),
	(8, 22, 114),
	(8, 22, 112),
	(8, 22, 111),
	(8, 22, 110),
	(8, 22, 107),
	(8, 22, 106),
	(8, 22, 101),
	(8, 22, 102),
	(8, 22, 166),
	(8, 22, 191),
	(8, 22, 116),
	(8, 22, 190),
	(8, 22, 192),
	(8, 22, 193),
	(8, 22, 195),
	(8, 22, 202),
	(8, 22, 205),
	(8, 23, 114),
	(8, 23, 112),
	(8, 23, 111),
	(8, 23, 110),
	(8, 23, 107),
	(8, 23, 106),
	(8, 23, 101),
	(8, 23, 102),
	(8, 23, 166),
	(8, 23, 191),
	(8, 23, 116),
	(8, 23, 190),
	(8, 23, 192),
	(8, 23, 193),
	(8, 23, 195),
	(8, 23, 202),
	(8, 23, 205),
	(8, 24, 114),
	(8, 24, 112),
	(8, 24, 111),
	(8, 24, 110),
	(8, 24, 107),
	(8, 24, 106),
	(8, 24, 101),
	(8, 24, 102),
	(8, 24, 166),
	(8, 24, 191),
	(8, 24, 116),
	(8, 24, 190),
	(8, 24, 192),
	(8, 24, 193),
	(8, 24, 195),
	(8, 24, 202),
	(8, 24, 205),
	(8, 25, 114),
	(8, 25, 112),
	(8, 25, 111),
	(8, 25, 110),
	(8, 25, 107),
	(8, 25, 106),
	(8, 25, 101),
	(8, 25, 102),
	(8, 25, 166),
	(8, 25, 191),
	(8, 25, 116),
	(8, 25, 190),
	(8, 25, 192),
	(8, 25, 193),
	(8, 25, 195),
	(8, 25, 202),
	(8, 25, 205),
	(8, 26, 114),
	(8, 26, 112),
	(8, 26, 111),
	(8, 26, 110),
	(8, 26, 107),
	(8, 26, 106),
	(8, 26, 101),
	(8, 26, 102),
	(8, 26, 166),
	(8, 26, 191),
	(8, 26, 116),
	(8, 26, 190),
	(8, 26, 192),
	(8, 26, 193),
	(8, 26, 195),
	(8, 26, 202),
	(8, 26, 205),
	(8, 27, 114),
	(8, 27, 112),
	(8, 27, 111),
	(8, 27, 110),
	(8, 27, 107),
	(8, 27, 106),
	(8, 27, 101),
	(8, 27, 102),
	(8, 27, 166),
	(8, 27, 191),
	(8, 27, 116),
	(8, 27, 190),
	(8, 27, 192),
	(8, 27, 193),
	(8, 27, 195),
	(8, 27, 202),
	(8, 27, 205),
	(8, 28, 114),
	(8, 28, 112),
	(8, 28, 111),
	(8, 28, 110),
	(8, 28, 107),
	(8, 28, 106),
	(8, 28, 101),
	(8, 28, 102),
	(8, 28, 166),
	(8, 28, 191),
	(8, 28, 116),
	(8, 28, 190),
	(8, 28, 192),
	(8, 28, 193),
	(8, 28, 195),
	(8, 28, 202),
	(8, 28, 205),
	(8, 29, 114),
	(8, 29, 112),
	(8, 29, 111),
	(8, 29, 110),
	(8, 29, 107),
	(8, 29, 106),
	(8, 29, 101),
	(8, 29, 102),
	(8, 29, 166),
	(8, 29, 191),
	(8, 29, 116),
	(8, 29, 190),
	(8, 29, 192),
	(8, 29, 193),
	(8, 29, 195),
	(8, 29, 202),
	(8, 29, 205),
	(8, 30, 114),
	(8, 30, 112),
	(8, 30, 111),
	(8, 30, 110),
	(8, 30, 107),
	(8, 30, 106),
	(8, 30, 101),
	(8, 30, 102),
	(8, 30, 166),
	(8, 30, 191),
	(8, 30, 116),
	(8, 30, 190),
	(8, 30, 192),
	(8, 30, 193),
	(8, 30, 195),
	(8, 30, 202),
	(8, 30, 205),
	(8, 31, 114),
	(8, 31, 112),
	(8, 31, 111),
	(8, 31, 110),
	(8, 31, 107),
	(8, 31, 106),
	(8, 31, 101),
	(8, 31, 102),
	(8, 31, 166),
	(8, 31, 191),
	(8, 31, 116),
	(8, 31, 190),
	(8, 31, 192),
	(8, 31, 193),
	(8, 31, 195),
	(8, 31, 202),
	(8, 31, 205),
	(9, 1, 114),
	(9, 1, 112),
	(9, 1, 111),
	(9, 1, 110),
	(9, 1, 107),
	(9, 1, 106),
	(9, 1, 101),
	(9, 1, 102),
	(9, 1, 166),
	(9, 1, 191),
	(9, 1, 116),
	(9, 1, 190),
	(9, 1, 192),
	(9, 1, 193),
	(9, 1, 195),
	(9, 1, 202),
	(9, 1, 205),
	(9, 2, 114),
	(9, 2, 112),
	(9, 2, 111),
	(9, 2, 110),
	(9, 2, 107),
	(9, 2, 106),
	(9, 2, 101),
	(9, 2, 102),
	(9, 2, 166),
	(9, 2, 191),
	(9, 2, 116),
	(9, 2, 190),
	(9, 2, 192),
	(9, 2, 193),
	(9, 2, 195),
	(9, 2, 202),
	(9, 2, 205),
	(9, 3, 114),
	(9, 3, 112),
	(9, 3, 111),
	(9, 3, 110),
	(9, 3, 107),
	(9, 3, 106),
	(9, 3, 101),
	(9, 3, 102),
	(9, 3, 166),
	(9, 3, 191),
	(9, 3, 116),
	(9, 3, 190),
	(9, 3, 192),
	(9, 3, 193),
	(9, 3, 195),
	(9, 3, 202),
	(9, 3, 205),
	(9, 4, 114),
	(9, 4, 112),
	(9, 4, 111),
	(9, 4, 110),
	(9, 4, 107),
	(9, 4, 106),
	(9, 4, 101),
	(9, 4, 102),
	(9, 4, 166),
	(9, 4, 191),
	(9, 4, 116),
	(9, 4, 190),
	(9, 4, 192),
	(9, 4, 193),
	(9, 4, 195),
	(9, 4, 202),
	(9, 4, 205),
	(9, 5, 114),
	(9, 5, 112),
	(9, 5, 111),
	(9, 5, 110),
	(9, 5, 107),
	(9, 5, 106),
	(9, 5, 101),
	(9, 5, 102),
	(9, 5, 166),
	(9, 5, 191),
	(9, 5, 116),
	(9, 5, 190),
	(9, 5, 192),
	(9, 5, 193),
	(9, 5, 195),
	(9, 5, 202),
	(9, 5, 205),
	(9, 6, 114),
	(9, 6, 112),
	(9, 6, 111),
	(9, 6, 110),
	(9, 6, 107),
	(9, 6, 106),
	(9, 6, 101),
	(9, 6, 102),
	(9, 6, 166),
	(9, 6, 191),
	(9, 6, 116),
	(9, 6, 190),
	(9, 6, 192),
	(9, 6, 193),
	(9, 6, 195),
	(9, 6, 202),
	(9, 6, 205),
	(9, 7, 114),
	(9, 7, 112),
	(9, 7, 111),
	(9, 7, 110),
	(9, 7, 107),
	(9, 7, 106),
	(9, 7, 101),
	(9, 7, 102),
	(9, 7, 166),
	(9, 7, 191),
	(9, 7, 116),
	(9, 7, 190),
	(9, 7, 192),
	(9, 7, 193),
	(9, 7, 195),
	(9, 7, 202),
	(9, 7, 205),
	(9, 8, 114),
	(9, 8, 112),
	(9, 8, 111),
	(9, 8, 110),
	(9, 8, 107),
	(9, 8, 106),
	(9, 8, 101),
	(9, 8, 102),
	(9, 8, 166),
	(9, 8, 191),
	(9, 8, 116),
	(9, 8, 190),
	(9, 8, 192),
	(9, 8, 193),
	(9, 8, 195),
	(9, 8, 202),
	(9, 8, 205),
	(9, 9, 114),
	(9, 9, 112),
	(9, 9, 111),
	(9, 9, 110),
	(9, 9, 107),
	(9, 9, 106),
	(9, 9, 101),
	(9, 9, 102),
	(9, 9, 166),
	(9, 9, 191),
	(9, 9, 116),
	(9, 9, 190),
	(9, 9, 192),
	(9, 9, 193),
	(9, 9, 195),
	(9, 9, 202),
	(9, 9, 205),
	(9, 10, 114),
	(9, 10, 112),
	(9, 10, 111),
	(9, 10, 110),
	(9, 10, 107),
	(9, 10, 106),
	(9, 10, 101),
	(9, 10, 102),
	(9, 10, 166),
	(9, 10, 191),
	(9, 10, 116),
	(9, 10, 190),
	(9, 10, 192),
	(9, 10, 193),
	(9, 10, 195),
	(9, 10, 202),
	(9, 10, 205),
	(9, 11, 114),
	(9, 11, 112),
	(9, 11, 111),
	(9, 11, 110),
	(9, 11, 107),
	(9, 11, 106),
	(9, 11, 101),
	(9, 11, 102),
	(9, 11, 166),
	(9, 11, 191),
	(9, 11, 116),
	(9, 11, 190),
	(9, 11, 192),
	(9, 11, 193),
	(9, 11, 195),
	(9, 11, 202),
	(9, 11, 205),
	(9, 12, 114),
	(9, 12, 112),
	(9, 12, 111),
	(9, 12, 110),
	(9, 12, 107),
	(9, 12, 106),
	(9, 12, 101),
	(9, 12, 102),
	(9, 12, 166),
	(9, 12, 191),
	(9, 12, 116),
	(9, 12, 190),
	(9, 12, 192),
	(9, 12, 193),
	(9, 12, 195),
	(9, 12, 202),
	(9, 12, 205),
	(9, 13, 114),
	(9, 13, 112),
	(9, 13, 111),
	(9, 13, 110),
	(9, 13, 107),
	(9, 13, 106),
	(9, 13, 101),
	(9, 13, 102),
	(9, 13, 166),
	(9, 13, 191),
	(9, 13, 116),
	(9, 13, 190),
	(9, 13, 192),
	(9, 13, 193),
	(9, 13, 195),
	(9, 13, 202),
	(9, 13, 205),
	(9, 14, 114),
	(9, 14, 112),
	(9, 14, 111),
	(9, 14, 110),
	(9, 14, 107),
	(9, 14, 106),
	(9, 14, 101),
	(9, 14, 102),
	(9, 14, 166),
	(9, 14, 191),
	(9, 14, 116),
	(9, 14, 190),
	(9, 14, 192),
	(9, 14, 193),
	(9, 14, 195),
	(9, 14, 202),
	(9, 14, 205),
	(9, 15, 114),
	(9, 15, 112),
	(9, 15, 111),
	(9, 15, 110),
	(9, 15, 107),
	(9, 15, 106),
	(9, 15, 101),
	(9, 15, 102),
	(9, 15, 166),
	(9, 15, 191),
	(9, 15, 116),
	(9, 15, 190),
	(9, 15, 192),
	(9, 15, 193),
	(9, 15, 195),
	(9, 15, 202),
	(9, 15, 205),
	(9, 16, 114),
	(9, 16, 112),
	(9, 16, 111),
	(9, 16, 110),
	(9, 16, 107),
	(9, 16, 106),
	(9, 16, 101),
	(9, 16, 102),
	(9, 16, 166),
	(9, 16, 191),
	(9, 16, 116),
	(9, 16, 190),
	(9, 16, 192),
	(9, 16, 193),
	(9, 16, 195),
	(9, 16, 202),
	(9, 16, 205),
	(9, 17, 114),
	(9, 17, 112),
	(9, 17, 111),
	(9, 17, 110),
	(9, 17, 107),
	(9, 17, 106),
	(9, 17, 101),
	(9, 17, 102),
	(9, 17, 166),
	(9, 17, 191),
	(9, 17, 116),
	(9, 17, 190),
	(9, 17, 192),
	(9, 17, 193),
	(9, 17, 195),
	(9, 17, 202),
	(9, 17, 205),
	(9, 18, 114),
	(9, 18, 112),
	(9, 18, 111),
	(9, 18, 110),
	(9, 18, 107),
	(9, 18, 106),
	(9, 18, 101),
	(9, 18, 102),
	(9, 18, 166),
	(9, 18, 191),
	(9, 18, 116),
	(9, 18, 190),
	(9, 18, 192),
	(9, 18, 193),
	(9, 18, 195),
	(9, 18, 202),
	(9, 18, 205),
	(9, 19, 114),
	(9, 19, 112),
	(9, 19, 111),
	(9, 19, 110),
	(9, 19, 107),
	(9, 19, 106),
	(9, 19, 101),
	(9, 19, 102),
	(9, 19, 166),
	(9, 19, 191),
	(9, 19, 116),
	(9, 19, 190),
	(9, 19, 192),
	(9, 19, 193),
	(9, 19, 195),
	(9, 19, 202),
	(9, 19, 205),
	(9, 20, 114),
	(9, 20, 112),
	(9, 20, 111),
	(9, 20, 110),
	(9, 20, 107),
	(9, 20, 106),
	(9, 20, 101),
	(9, 20, 102),
	(9, 20, 166),
	(9, 20, 191),
	(9, 20, 116),
	(9, 20, 190),
	(9, 20, 192),
	(9, 20, 193),
	(9, 20, 195),
	(9, 20, 202),
	(9, 20, 205),
	(9, 21, 114),
	(9, 21, 112),
	(9, 21, 111),
	(9, 21, 110),
	(9, 21, 107),
	(9, 21, 106),
	(9, 21, 101),
	(9, 21, 102),
	(9, 21, 166),
	(9, 21, 191),
	(9, 21, 116),
	(9, 21, 190),
	(9, 21, 192),
	(9, 21, 193),
	(9, 21, 195),
	(9, 21, 202),
	(9, 21, 205),
	(9, 22, 114),
	(9, 22, 112),
	(9, 22, 111),
	(9, 22, 110),
	(9, 22, 107),
	(9, 22, 106),
	(9, 22, 101),
	(9, 22, 102),
	(9, 22, 166),
	(9, 22, 191),
	(9, 22, 116),
	(9, 22, 190),
	(9, 22, 192),
	(9, 22, 193),
	(9, 22, 195),
	(9, 22, 202),
	(9, 22, 205),
	(9, 23, 114),
	(9, 23, 112),
	(9, 23, 111),
	(9, 23, 110),
	(9, 23, 107),
	(9, 23, 106),
	(9, 23, 101),
	(9, 23, 102),
	(9, 23, 166),
	(9, 23, 191),
	(9, 23, 116),
	(9, 23, 190),
	(9, 23, 192),
	(9, 23, 193),
	(9, 23, 195),
	(9, 23, 202),
	(9, 23, 205),
	(9, 24, 114),
	(9, 24, 112),
	(9, 24, 111),
	(9, 24, 110),
	(9, 24, 107),
	(9, 24, 106),
	(9, 24, 101),
	(9, 24, 102),
	(9, 24, 166),
	(9, 24, 191),
	(9, 24, 116),
	(9, 24, 190),
	(9, 24, 192),
	(9, 24, 193),
	(9, 24, 195),
	(9, 24, 202),
	(9, 24, 205),
	(9, 25, 114),
	(9, 25, 112),
	(9, 25, 111),
	(9, 25, 110),
	(9, 25, 107),
	(9, 25, 106),
	(9, 25, 101),
	(9, 25, 102),
	(9, 25, 166),
	(9, 25, 191),
	(9, 25, 116),
	(9, 25, 190),
	(9, 25, 192),
	(9, 25, 193),
	(9, 25, 195),
	(9, 25, 202),
	(9, 25, 205),
	(9, 26, 114),
	(9, 26, 112),
	(9, 26, 111),
	(9, 26, 110),
	(9, 26, 107),
	(9, 26, 106),
	(9, 26, 101),
	(9, 26, 102),
	(9, 26, 166),
	(9, 26, 191),
	(9, 26, 116),
	(9, 26, 190),
	(9, 26, 192),
	(9, 26, 193),
	(9, 26, 195),
	(9, 26, 202),
	(9, 26, 205),
	(9, 27, 114),
	(9, 27, 112),
	(9, 27, 111),
	(9, 27, 110),
	(9, 27, 107),
	(9, 27, 106),
	(9, 27, 101),
	(9, 27, 102),
	(9, 27, 166),
	(9, 27, 191),
	(9, 27, 116),
	(9, 27, 190),
	(9, 27, 192),
	(9, 27, 193),
	(9, 27, 195),
	(9, 27, 202),
	(9, 27, 205),
	(9, 28, 114),
	(9, 28, 112),
	(9, 28, 111),
	(9, 28, 110),
	(9, 28, 107),
	(9, 28, 106),
	(9, 28, 101),
	(9, 28, 102),
	(9, 28, 166),
	(9, 28, 191),
	(9, 28, 116),
	(9, 28, 190),
	(9, 28, 192),
	(9, 28, 193),
	(9, 28, 195),
	(9, 28, 202),
	(9, 28, 205),
	(9, 29, 114),
	(9, 29, 112),
	(9, 29, 111),
	(9, 29, 110),
	(9, 29, 107),
	(9, 29, 106),
	(9, 29, 101),
	(9, 29, 102),
	(9, 29, 166),
	(9, 29, 191),
	(9, 29, 116),
	(9, 29, 190),
	(9, 29, 192),
	(9, 29, 193),
	(9, 29, 195),
	(9, 29, 202),
	(9, 29, 205),
	(9, 30, 114),
	(9, 30, 112),
	(9, 30, 111),
	(9, 30, 110),
	(9, 30, 107),
	(9, 30, 106),
	(9, 30, 101),
	(9, 30, 102),
	(9, 30, 166),
	(9, 30, 191),
	(9, 30, 116),
	(9, 30, 190),
	(9, 30, 192),
	(9, 30, 193),
	(9, 30, 195),
	(9, 30, 202),
	(9, 30, 205),
	(10, 1, 114),
	(10, 1, 112),
	(10, 1, 111),
	(10, 1, 110),
	(10, 1, 107),
	(10, 1, 106),
	(10, 1, 101),
	(10, 1, 102),
	(10, 1, 166),
	(10, 1, 191),
	(10, 1, 116),
	(10, 1, 190),
	(10, 1, 192),
	(10, 1, 193),
	(10, 1, 195),
	(10, 1, 202),
	(10, 1, 205),
	(10, 2, 114),
	(10, 2, 112),
	(10, 2, 111),
	(10, 2, 110),
	(10, 2, 107),
	(10, 2, 106),
	(10, 2, 101),
	(10, 2, 102),
	(10, 2, 166),
	(10, 2, 191),
	(10, 2, 116),
	(10, 2, 190),
	(10, 2, 192),
	(10, 2, 193),
	(10, 2, 195),
	(10, 2, 202),
	(10, 2, 205),
	(10, 3, 114),
	(10, 3, 112),
	(10, 3, 111),
	(10, 3, 110),
	(10, 3, 107),
	(10, 3, 106),
	(10, 3, 101),
	(10, 3, 102),
	(10, 3, 166),
	(10, 3, 191),
	(10, 3, 116),
	(10, 3, 190),
	(10, 3, 192),
	(10, 3, 193),
	(10, 3, 195),
	(10, 3, 202),
	(10, 3, 205),
	(10, 4, 114),
	(10, 4, 112),
	(10, 4, 111),
	(10, 4, 110),
	(10, 4, 107),
	(10, 4, 106),
	(10, 4, 101),
	(10, 4, 102),
	(10, 4, 166),
	(10, 4, 191),
	(10, 4, 116),
	(10, 4, 190),
	(10, 4, 192),
	(10, 4, 193),
	(10, 4, 195),
	(10, 4, 202),
	(10, 4, 205),
	(10, 5, 114),
	(10, 5, 112),
	(10, 5, 111),
	(10, 5, 110),
	(10, 5, 107),
	(10, 5, 106),
	(10, 5, 101),
	(10, 5, 102),
	(10, 5, 166),
	(10, 5, 191),
	(10, 5, 116),
	(10, 5, 190),
	(10, 5, 192),
	(10, 5, 193),
	(10, 5, 195),
	(10, 5, 202),
	(10, 5, 205),
	(10, 6, 114),
	(10, 6, 112),
	(10, 6, 111),
	(10, 6, 110),
	(10, 6, 107),
	(10, 6, 106),
	(10, 6, 101),
	(10, 6, 102),
	(10, 6, 166),
	(10, 6, 191),
	(10, 6, 116),
	(10, 6, 190),
	(10, 6, 192),
	(10, 6, 193),
	(10, 6, 195),
	(10, 6, 202),
	(10, 6, 205),
	(10, 7, 114),
	(10, 7, 112),
	(10, 7, 111),
	(10, 7, 110),
	(10, 7, 107),
	(10, 7, 106),
	(10, 7, 101),
	(10, 7, 102),
	(10, 7, 166),
	(10, 7, 191),
	(10, 7, 116),
	(10, 7, 190),
	(10, 7, 192),
	(10, 7, 193),
	(10, 7, 195),
	(10, 7, 202),
	(10, 7, 205),
	(10, 8, 114),
	(10, 8, 112),
	(10, 8, 111),
	(10, 8, 110),
	(10, 8, 107),
	(10, 8, 106),
	(10, 8, 101),
	(10, 8, 102),
	(10, 8, 166),
	(10, 8, 191),
	(10, 8, 116),
	(10, 8, 190),
	(10, 8, 192),
	(10, 8, 193),
	(10, 8, 195),
	(10, 8, 202),
	(10, 8, 205),
	(10, 9, 114),
	(10, 9, 112),
	(10, 9, 111),
	(10, 9, 110),
	(10, 9, 107),
	(10, 9, 106),
	(10, 9, 101),
	(10, 9, 102),
	(10, 9, 166),
	(10, 9, 191),
	(10, 9, 116),
	(10, 9, 190),
	(10, 9, 192),
	(10, 9, 193),
	(10, 9, 195),
	(10, 9, 202),
	(10, 9, 205),
	(10, 10, 114),
	(10, 10, 112),
	(10, 10, 111),
	(10, 10, 110),
	(10, 10, 107),
	(10, 10, 106),
	(10, 10, 101),
	(10, 10, 102),
	(10, 10, 166),
	(10, 10, 191),
	(10, 10, 116),
	(10, 10, 190),
	(10, 10, 192),
	(10, 10, 193),
	(10, 10, 195),
	(10, 10, 202),
	(10, 10, 205),
	(10, 11, 114),
	(10, 11, 112),
	(10, 11, 111),
	(10, 11, 110),
	(10, 11, 107),
	(10, 11, 106),
	(10, 11, 101),
	(10, 11, 102),
	(10, 11, 166),
	(10, 11, 191),
	(10, 11, 116),
	(10, 11, 190),
	(10, 11, 192),
	(10, 11, 193),
	(10, 11, 195),
	(10, 11, 202),
	(10, 11, 205),
	(10, 12, 114),
	(10, 12, 112),
	(10, 12, 111),
	(10, 12, 110),
	(10, 12, 107),
	(10, 12, 106),
	(10, 12, 101),
	(10, 12, 102),
	(10, 12, 166),
	(10, 12, 191),
	(10, 12, 116),
	(10, 12, 190),
	(10, 12, 192),
	(10, 12, 193),
	(10, 12, 195),
	(10, 12, 202),
	(10, 12, 205),
	(10, 13, 114),
	(10, 13, 112),
	(10, 13, 111),
	(10, 13, 110),
	(10, 13, 107),
	(10, 13, 106),
	(10, 13, 101),
	(10, 13, 102),
	(10, 13, 166),
	(10, 13, 191),
	(10, 13, 116),
	(10, 13, 190),
	(10, 13, 192),
	(10, 13, 193),
	(10, 13, 195),
	(10, 13, 202),
	(10, 13, 205),
	(10, 14, 114),
	(10, 14, 112),
	(10, 14, 111),
	(10, 14, 110),
	(10, 14, 107),
	(10, 14, 106),
	(10, 14, 101),
	(10, 14, 102),
	(10, 14, 166),
	(10, 14, 191),
	(10, 14, 116),
	(10, 14, 190),
	(10, 14, 192),
	(10, 14, 193),
	(10, 14, 195),
	(10, 14, 202),
	(10, 14, 205),
	(10, 15, 114),
	(10, 15, 112),
	(10, 15, 111),
	(10, 15, 110),
	(10, 15, 107),
	(10, 15, 106),
	(10, 15, 101),
	(10, 15, 102),
	(10, 15, 166),
	(10, 15, 191),
	(10, 15, 116),
	(10, 15, 190),
	(10, 15, 192),
	(10, 15, 193),
	(10, 15, 195),
	(10, 15, 202),
	(10, 15, 205),
	(10, 16, 114),
	(10, 16, 112),
	(10, 16, 111),
	(10, 16, 110),
	(10, 16, 107),
	(10, 16, 106),
	(10, 16, 101),
	(10, 16, 102),
	(10, 16, 166),
	(10, 16, 191),
	(10, 16, 116),
	(10, 16, 190),
	(10, 16, 192),
	(10, 16, 193),
	(10, 16, 195),
	(10, 16, 202),
	(10, 16, 205),
	(10, 17, 114),
	(10, 17, 112),
	(10, 17, 111),
	(10, 17, 110),
	(10, 17, 107),
	(10, 17, 106),
	(10, 17, 101),
	(10, 17, 102),
	(10, 17, 166),
	(10, 17, 191),
	(10, 17, 116),
	(10, 17, 190),
	(10, 17, 192),
	(10, 17, 193),
	(10, 17, 195),
	(10, 17, 202),
	(10, 17, 205),
	(10, 18, 114),
	(10, 18, 112),
	(10, 18, 111),
	(10, 18, 110),
	(10, 18, 107),
	(10, 18, 106),
	(10, 18, 101),
	(10, 18, 102),
	(10, 18, 166),
	(10, 18, 191),
	(10, 18, 116),
	(10, 18, 190),
	(10, 18, 192),
	(10, 18, 193),
	(10, 18, 195),
	(10, 18, 202),
	(10, 18, 205),
	(10, 19, 114),
	(10, 19, 112),
	(10, 19, 111),
	(10, 19, 110),
	(10, 19, 107),
	(10, 19, 106),
	(10, 19, 101),
	(10, 19, 102),
	(10, 19, 166),
	(10, 19, 191),
	(10, 19, 116),
	(10, 19, 190),
	(10, 19, 192),
	(10, 19, 193),
	(10, 19, 195),
	(10, 19, 202),
	(10, 19, 205),
	(10, 20, 114),
	(10, 20, 112),
	(10, 20, 111),
	(10, 20, 110),
	(10, 20, 107),
	(10, 20, 106),
	(10, 20, 101),
	(10, 20, 102),
	(10, 20, 166),
	(10, 20, 191),
	(10, 20, 116),
	(10, 20, 190),
	(10, 20, 192),
	(10, 20, 193),
	(10, 20, 195),
	(10, 20, 202),
	(10, 20, 205),
	(10, 21, 114),
	(10, 21, 112),
	(10, 21, 111),
	(10, 21, 110),
	(10, 21, 107),
	(10, 21, 106),
	(10, 21, 101),
	(10, 21, 102),
	(10, 21, 166),
	(10, 21, 191),
	(10, 21, 116),
	(10, 21, 190),
	(10, 21, 192),
	(10, 21, 193),
	(10, 21, 195),
	(10, 21, 202),
	(10, 21, 205),
	(10, 22, 114),
	(10, 22, 112),
	(10, 22, 111),
	(10, 22, 110),
	(10, 22, 107),
	(10, 22, 106),
	(10, 22, 101),
	(10, 22, 102),
	(10, 22, 166),
	(10, 22, 191),
	(10, 22, 116),
	(10, 22, 190),
	(10, 22, 192),
	(10, 22, 193),
	(10, 22, 195),
	(10, 22, 202),
	(10, 22, 205),
	(10, 23, 114),
	(10, 23, 112),
	(10, 23, 111),
	(10, 23, 110),
	(10, 23, 107),
	(10, 23, 106),
	(10, 23, 101),
	(10, 23, 102),
	(10, 23, 166),
	(10, 23, 191),
	(10, 23, 116),
	(10, 23, 190),
	(10, 23, 192),
	(10, 23, 193),
	(10, 23, 195),
	(10, 23, 202),
	(10, 23, 205),
	(10, 24, 114),
	(10, 24, 112),
	(10, 24, 111),
	(10, 24, 110),
	(10, 24, 107),
	(10, 24, 106),
	(10, 24, 101),
	(10, 24, 102),
	(10, 24, 166),
	(10, 24, 191),
	(10, 24, 116),
	(10, 24, 190),
	(10, 24, 192),
	(10, 24, 193),
	(10, 24, 195),
	(10, 24, 202),
	(10, 24, 205),
	(10, 25, 114),
	(10, 25, 112),
	(10, 25, 111),
	(10, 25, 110),
	(10, 25, 107),
	(10, 25, 106),
	(10, 25, 101),
	(10, 25, 102),
	(10, 25, 166),
	(10, 25, 191),
	(10, 25, 116),
	(10, 25, 190),
	(10, 25, 192),
	(10, 25, 193),
	(10, 25, 195),
	(10, 25, 202),
	(10, 25, 205),
	(10, 26, 114),
	(10, 26, 112),
	(10, 26, 111),
	(10, 26, 110),
	(10, 26, 107),
	(10, 26, 106),
	(10, 26, 101),
	(10, 26, 102),
	(10, 26, 166),
	(10, 26, 191),
	(10, 26, 116),
	(10, 26, 190),
	(10, 26, 192),
	(10, 26, 193),
	(10, 26, 195),
	(10, 26, 202),
	(10, 26, 205),
	(10, 27, 114),
	(10, 27, 112),
	(10, 27, 111),
	(10, 27, 110),
	(10, 27, 107),
	(10, 27, 106),
	(10, 27, 101),
	(10, 27, 102),
	(10, 27, 166),
	(10, 27, 191),
	(10, 27, 116),
	(10, 27, 190),
	(10, 27, 192),
	(10, 27, 193),
	(10, 27, 195),
	(10, 27, 202),
	(10, 27, 205),
	(10, 28, 114),
	(10, 28, 112),
	(10, 28, 111),
	(10, 28, 110),
	(10, 28, 107),
	(10, 28, 106),
	(10, 28, 101),
	(10, 28, 102),
	(10, 28, 166),
	(10, 28, 191),
	(10, 28, 116),
	(10, 28, 190),
	(10, 28, 192),
	(10, 28, 193),
	(10, 28, 195),
	(10, 28, 202),
	(10, 28, 205),
	(10, 29, 114),
	(10, 29, 112),
	(10, 29, 111),
	(10, 29, 110),
	(10, 29, 107),
	(10, 29, 106),
	(10, 29, 101),
	(10, 29, 102),
	(10, 29, 166),
	(10, 29, 191),
	(10, 29, 116),
	(10, 29, 190),
	(10, 29, 192),
	(10, 29, 193),
	(10, 29, 195),
	(10, 29, 202),
	(10, 29, 205),
	(10, 30, 114),
	(10, 30, 112),
	(10, 30, 111),
	(10, 30, 110),
	(10, 30, 107),
	(10, 30, 106),
	(10, 30, 101),
	(10, 30, 102),
	(10, 30, 166),
	(10, 30, 191),
	(10, 30, 116),
	(10, 30, 190),
	(10, 30, 192),
	(10, 30, 193),
	(10, 30, 195),
	(10, 30, 202),
	(10, 30, 205),
	(10, 31, 114),
	(10, 31, 112),
	(10, 31, 111),
	(10, 31, 110),
	(10, 31, 107),
	(10, 31, 106),
	(10, 31, 101),
	(10, 31, 102),
	(10, 31, 166),
	(10, 31, 191),
	(10, 31, 116),
	(10, 31, 190),
	(10, 31, 192),
	(10, 31, 193),
	(10, 31, 195),
	(10, 31, 202),
	(10, 31, 205),
	(11, 1, 114),
	(11, 1, 112),
	(11, 1, 111),
	(11, 1, 110),
	(11, 1, 107),
	(11, 1, 106),
	(11, 1, 101),
	(11, 1, 102),
	(11, 1, 166),
	(11, 1, 191),
	(11, 1, 116),
	(11, 1, 190),
	(11, 1, 192),
	(11, 1, 193),
	(11, 1, 195),
	(11, 1, 202),
	(11, 1, 205),
	(11, 2, 114),
	(11, 2, 112),
	(11, 2, 111),
	(11, 2, 110),
	(11, 2, 107),
	(11, 2, 106),
	(11, 2, 101),
	(11, 2, 102),
	(11, 2, 166),
	(11, 2, 191),
	(11, 2, 116),
	(11, 2, 190),
	(11, 2, 192),
	(11, 2, 193),
	(11, 2, 195),
	(11, 2, 202),
	(11, 2, 205),
	(11, 3, 114),
	(11, 3, 112),
	(11, 3, 111),
	(11, 3, 110),
	(11, 3, 107),
	(11, 3, 106),
	(11, 3, 101),
	(11, 3, 102),
	(11, 3, 166),
	(11, 3, 191),
	(11, 3, 116),
	(11, 3, 190),
	(11, 3, 192),
	(11, 3, 193),
	(11, 3, 195),
	(11, 3, 202),
	(11, 3, 205),
	(11, 4, 114),
	(11, 4, 112),
	(11, 4, 111),
	(11, 4, 110),
	(11, 4, 107),
	(11, 4, 106),
	(11, 4, 101),
	(11, 4, 102),
	(11, 4, 166),
	(11, 4, 191),
	(11, 4, 116),
	(11, 4, 190),
	(11, 4, 192),
	(11, 4, 193),
	(11, 4, 195),
	(11, 4, 202),
	(11, 4, 205),
	(11, 5, 114),
	(11, 5, 112),
	(11, 5, 111),
	(11, 5, 110),
	(11, 5, 107),
	(11, 5, 106),
	(11, 5, 101),
	(11, 5, 102),
	(11, 5, 166),
	(11, 5, 191),
	(11, 5, 116),
	(11, 5, 190),
	(11, 5, 192),
	(11, 5, 193),
	(11, 5, 195),
	(11, 5, 202),
	(11, 5, 205),
	(11, 6, 114),
	(11, 6, 112),
	(11, 6, 111),
	(11, 6, 110),
	(11, 6, 107),
	(11, 6, 106),
	(11, 6, 101),
	(11, 6, 102),
	(11, 6, 166),
	(11, 6, 191),
	(11, 6, 116),
	(11, 6, 190),
	(11, 6, 192),
	(11, 6, 193),
	(11, 6, 195),
	(11, 6, 202),
	(11, 6, 205),
	(11, 7, 114),
	(11, 7, 112),
	(11, 7, 111),
	(11, 7, 110),
	(11, 7, 107),
	(11, 7, 106),
	(11, 7, 101),
	(11, 7, 102),
	(11, 7, 166),
	(11, 7, 191),
	(11, 7, 116),
	(11, 7, 190),
	(11, 7, 192),
	(11, 7, 193),
	(11, 7, 195),
	(11, 7, 202),
	(11, 7, 205),
	(11, 8, 114),
	(11, 8, 112),
	(11, 8, 111),
	(11, 8, 110),
	(11, 8, 107),
	(11, 8, 106),
	(11, 8, 101),
	(11, 8, 102),
	(11, 8, 166),
	(11, 8, 191),
	(11, 8, 116),
	(11, 8, 190),
	(11, 8, 192),
	(11, 8, 193),
	(11, 8, 195),
	(11, 8, 202),
	(11, 8, 205),
	(11, 9, 114),
	(11, 9, 112),
	(11, 9, 111),
	(11, 9, 110),
	(11, 9, 107),
	(11, 9, 106),
	(11, 9, 101),
	(11, 9, 102),
	(11, 9, 166),
	(11, 9, 191),
	(11, 9, 116),
	(11, 9, 190),
	(11, 9, 192),
	(11, 9, 193),
	(11, 9, 195),
	(11, 9, 202),
	(11, 9, 205),
	(11, 10, 114),
	(11, 10, 112),
	(11, 10, 111),
	(11, 10, 110),
	(11, 10, 107),
	(11, 10, 106),
	(11, 10, 101),
	(11, 10, 102),
	(11, 10, 166),
	(11, 10, 191),
	(11, 10, 116),
	(11, 10, 190),
	(11, 10, 192),
	(11, 10, 193),
	(11, 10, 195),
	(11, 10, 202),
	(11, 10, 205),
	(11, 11, 114),
	(11, 11, 112),
	(11, 11, 111),
	(11, 11, 110),
	(11, 11, 107),
	(11, 11, 106),
	(11, 11, 101),
	(11, 11, 102),
	(11, 11, 166),
	(11, 11, 191),
	(11, 11, 116),
	(11, 11, 190),
	(11, 11, 192),
	(11, 11, 193),
	(11, 11, 195),
	(11, 11, 202),
	(11, 11, 205),
	(11, 12, 114),
	(11, 12, 112),
	(11, 12, 111),
	(11, 12, 110),
	(11, 12, 107),
	(11, 12, 106),
	(11, 12, 101),
	(11, 12, 102),
	(11, 12, 166),
	(11, 12, 191),
	(11, 12, 116),
	(11, 12, 190),
	(11, 12, 192),
	(11, 12, 193),
	(11, 12, 195),
	(11, 12, 202),
	(11, 12, 205),
	(11, 13, 114),
	(11, 13, 112),
	(11, 13, 111),
	(11, 13, 110),
	(11, 13, 107),
	(11, 13, 106),
	(11, 13, 101),
	(11, 13, 102),
	(11, 13, 166),
	(11, 13, 191),
	(11, 13, 116),
	(11, 13, 190),
	(11, 13, 192),
	(11, 13, 193),
	(11, 13, 195),
	(11, 13, 202),
	(11, 13, 205),
	(11, 14, 114),
	(11, 14, 112),
	(11, 14, 111),
	(11, 14, 110),
	(11, 14, 107),
	(11, 14, 106),
	(11, 14, 101),
	(11, 14, 102),
	(11, 14, 166),
	(11, 14, 191),
	(11, 14, 116),
	(11, 14, 190),
	(11, 14, 192),
	(11, 14, 193),
	(11, 14, 195),
	(11, 14, 202),
	(11, 14, 205),
	(11, 15, 114),
	(11, 15, 112),
	(11, 15, 111),
	(11, 15, 110),
	(11, 15, 107),
	(11, 15, 106),
	(11, 15, 101),
	(11, 15, 102),
	(11, 15, 166),
	(11, 15, 191),
	(11, 15, 116),
	(11, 15, 190),
	(11, 15, 192),
	(11, 15, 193),
	(11, 15, 195),
	(11, 15, 202),
	(11, 15, 205),
	(11, 16, 114),
	(11, 16, 112),
	(11, 16, 111),
	(11, 16, 110),
	(11, 16, 107),
	(11, 16, 106),
	(11, 16, 101),
	(11, 16, 102),
	(11, 16, 166),
	(11, 16, 191),
	(11, 16, 116),
	(11, 16, 190),
	(11, 16, 192),
	(11, 16, 193),
	(11, 16, 195),
	(11, 16, 202),
	(11, 16, 205),
	(11, 17, 114),
	(11, 17, 112),
	(11, 17, 111),
	(11, 17, 110),
	(11, 17, 107),
	(11, 17, 106),
	(11, 17, 101),
	(11, 17, 102),
	(11, 17, 166),
	(11, 17, 191),
	(11, 17, 116),
	(11, 17, 190),
	(11, 17, 192),
	(11, 17, 193),
	(11, 17, 195),
	(11, 17, 202),
	(11, 17, 205),
	(11, 18, 114),
	(11, 18, 112),
	(11, 18, 111),
	(11, 18, 110),
	(11, 18, 107),
	(11, 18, 106),
	(11, 18, 101),
	(11, 18, 102),
	(11, 18, 166),
	(11, 18, 191),
	(11, 18, 116),
	(11, 18, 190),
	(11, 18, 192),
	(11, 18, 193),
	(11, 18, 195),
	(11, 18, 202),
	(11, 18, 205),
	(11, 19, 114),
	(11, 19, 112),
	(11, 19, 111),
	(11, 19, 110),
	(11, 19, 107),
	(11, 19, 106),
	(11, 19, 101),
	(11, 19, 102),
	(11, 19, 166),
	(11, 19, 191),
	(11, 19, 116),
	(11, 19, 190),
	(11, 19, 192),
	(11, 19, 193),
	(11, 19, 195),
	(11, 19, 202),
	(11, 19, 205),
	(11, 20, 114),
	(11, 20, 112),
	(11, 20, 111),
	(11, 20, 110),
	(11, 20, 107),
	(11, 20, 106),
	(11, 20, 101),
	(11, 20, 102),
	(11, 20, 166),
	(11, 20, 191),
	(11, 20, 116),
	(11, 20, 190),
	(11, 20, 192),
	(11, 20, 193),
	(11, 20, 195),
	(11, 20, 202),
	(11, 20, 205),
	(11, 21, 114),
	(11, 21, 112),
	(11, 21, 111),
	(11, 21, 110),
	(11, 21, 107),
	(11, 21, 106),
	(11, 21, 101),
	(11, 21, 102),
	(11, 21, 166),
	(11, 21, 191),
	(11, 21, 116),
	(11, 21, 190),
	(11, 21, 192),
	(11, 21, 193),
	(11, 21, 195),
	(11, 21, 202),
	(11, 21, 205),
	(11, 22, 114),
	(11, 22, 112),
	(11, 22, 111),
	(11, 22, 110),
	(11, 22, 107),
	(11, 22, 106),
	(11, 22, 101),
	(11, 22, 102),
	(11, 22, 166),
	(11, 22, 191),
	(11, 22, 116),
	(11, 22, 190),
	(11, 22, 192),
	(11, 22, 193),
	(11, 22, 195),
	(11, 22, 202),
	(11, 22, 205),
	(11, 23, 114),
	(11, 23, 112),
	(11, 23, 111),
	(11, 23, 110),
	(11, 23, 107),
	(11, 23, 106),
	(11, 23, 101),
	(11, 23, 102),
	(11, 23, 166),
	(11, 23, 191),
	(11, 23, 116),
	(11, 23, 190),
	(11, 23, 192),
	(11, 23, 193),
	(11, 23, 195),
	(11, 23, 202),
	(11, 23, 205),
	(11, 24, 114),
	(11, 24, 112),
	(11, 24, 111),
	(11, 24, 110),
	(11, 24, 107),
	(11, 24, 106),
	(11, 24, 101),
	(11, 24, 102),
	(11, 24, 166),
	(11, 24, 191),
	(11, 24, 116),
	(11, 24, 190),
	(11, 24, 192),
	(11, 24, 193),
	(11, 24, 195),
	(11, 24, 202),
	(11, 24, 205),
	(11, 25, 114),
	(11, 25, 112),
	(11, 25, 111),
	(11, 25, 110),
	(11, 25, 107),
	(11, 25, 106),
	(11, 25, 101),
	(11, 25, 102),
	(11, 25, 166),
	(11, 25, 191),
	(11, 25, 116),
	(11, 25, 190),
	(11, 25, 192),
	(11, 25, 193),
	(11, 25, 195),
	(11, 25, 202),
	(11, 25, 205),
	(11, 26, 114),
	(11, 26, 112),
	(11, 26, 111),
	(11, 26, 110),
	(11, 26, 107),
	(11, 26, 106),
	(11, 26, 101),
	(11, 26, 102),
	(11, 26, 166),
	(11, 26, 191),
	(11, 26, 116),
	(11, 26, 190),
	(11, 26, 192),
	(11, 26, 193),
	(11, 26, 195),
	(11, 26, 202),
	(11, 26, 205),
	(11, 27, 114),
	(11, 27, 112),
	(11, 27, 111),
	(11, 27, 110),
	(11, 27, 107),
	(11, 27, 106),
	(11, 27, 101),
	(11, 27, 102),
	(11, 27, 166),
	(11, 27, 191),
	(11, 27, 116),
	(11, 27, 190),
	(11, 27, 192),
	(11, 27, 193),
	(11, 27, 195),
	(11, 27, 202),
	(11, 27, 205),
	(11, 28, 114),
	(11, 28, 112),
	(11, 28, 111),
	(11, 28, 110),
	(11, 28, 107),
	(11, 28, 106),
	(11, 28, 101),
	(11, 28, 102),
	(11, 28, 166),
	(11, 28, 191),
	(11, 28, 116),
	(11, 28, 190),
	(11, 28, 192),
	(11, 28, 193),
	(11, 28, 195),
	(11, 28, 202),
	(11, 28, 205),
	(11, 29, 114),
	(11, 29, 112),
	(11, 29, 111),
	(11, 29, 110),
	(11, 29, 107),
	(11, 29, 106),
	(11, 29, 101),
	(11, 29, 102),
	(11, 29, 166),
	(11, 29, 191),
	(11, 29, 116),
	(11, 29, 190),
	(11, 29, 192),
	(11, 29, 193),
	(11, 29, 195),
	(11, 29, 202),
	(11, 29, 205),
	(11, 30, 114),
	(11, 30, 112),
	(11, 30, 111),
	(11, 30, 110),
	(11, 30, 107),
	(11, 30, 106),
	(11, 30, 101),
	(11, 30, 102),
	(11, 30, 166),
	(11, 30, 191),
	(11, 30, 116),
	(11, 30, 190),
	(11, 30, 192),
	(11, 30, 193),
	(11, 30, 195),
	(11, 30, 202),
	(11, 30, 205),
	(12, 1, 114),
	(12, 1, 112),
	(12, 1, 111),
	(12, 1, 110),
	(12, 1, 107),
	(12, 1, 106),
	(12, 1, 101),
	(12, 1, 102),
	(12, 1, 166),
	(12, 1, 191),
	(12, 1, 116),
	(12, 1, 190),
	(12, 1, 192),
	(12, 1, 193),
	(12, 1, 195),
	(12, 1, 202),
	(12, 1, 205),
	(12, 2, 114),
	(12, 2, 112),
	(12, 2, 111),
	(12, 2, 110),
	(12, 2, 107),
	(12, 2, 106),
	(12, 2, 101),
	(12, 2, 102),
	(12, 2, 166),
	(12, 2, 191),
	(12, 2, 116),
	(12, 2, 190),
	(12, 2, 192),
	(12, 2, 193),
	(12, 2, 195),
	(12, 2, 202),
	(12, 2, 205),
	(12, 3, 114),
	(12, 3, 112),
	(12, 3, 111),
	(12, 3, 110),
	(12, 3, 107),
	(12, 3, 106),
	(12, 3, 101),
	(12, 3, 102),
	(12, 3, 166),
	(12, 3, 191),
	(12, 3, 116),
	(12, 3, 190),
	(12, 3, 192),
	(12, 3, 193),
	(12, 3, 195),
	(12, 3, 202),
	(12, 3, 205),
	(12, 4, 114),
	(12, 4, 112),
	(12, 4, 111),
	(12, 4, 110),
	(12, 4, 107),
	(12, 4, 106),
	(12, 4, 101),
	(12, 4, 102),
	(12, 4, 166),
	(12, 4, 191),
	(12, 4, 116),
	(12, 4, 190),
	(12, 4, 192),
	(12, 4, 193),
	(12, 4, 195),
	(12, 4, 202),
	(12, 4, 205),
	(12, 5, 114),
	(12, 5, 112),
	(12, 5, 111),
	(12, 5, 110),
	(12, 5, 107),
	(12, 5, 106),
	(12, 5, 101),
	(12, 5, 102),
	(12, 5, 166),
	(12, 5, 191),
	(12, 5, 116),
	(12, 5, 190),
	(12, 5, 192),
	(12, 5, 193),
	(12, 5, 195),
	(12, 5, 202),
	(12, 5, 205),
	(12, 6, 114),
	(12, 6, 112),
	(12, 6, 111),
	(12, 6, 110),
	(12, 6, 107),
	(12, 6, 106),
	(12, 6, 101),
	(12, 6, 102),
	(12, 6, 166),
	(12, 6, 191),
	(12, 6, 116),
	(12, 6, 190),
	(12, 6, 192),
	(12, 6, 193),
	(12, 6, 195),
	(12, 6, 202),
	(12, 6, 205),
	(12, 7, 114),
	(12, 7, 112),
	(12, 7, 111),
	(12, 7, 110),
	(12, 7, 107),
	(12, 7, 106),
	(12, 7, 101),
	(12, 7, 102),
	(12, 7, 166),
	(12, 7, 191),
	(12, 7, 116),
	(12, 7, 190),
	(12, 7, 192),
	(12, 7, 193),
	(12, 7, 195),
	(12, 7, 202),
	(12, 7, 205),
	(12, 8, 114),
	(12, 8, 112),
	(12, 8, 111),
	(12, 8, 110),
	(12, 8, 107),
	(12, 8, 106),
	(12, 8, 101),
	(12, 8, 102),
	(12, 8, 166),
	(12, 8, 191),
	(12, 8, 116),
	(12, 8, 190),
	(12, 8, 192),
	(12, 8, 193),
	(12, 8, 195),
	(12, 8, 202),
	(12, 8, 205),
	(12, 9, 114),
	(12, 9, 112),
	(12, 9, 111),
	(12, 9, 110),
	(12, 9, 107),
	(12, 9, 106),
	(12, 9, 101),
	(12, 9, 102),
	(12, 9, 166),
	(12, 9, 191),
	(12, 9, 116),
	(12, 9, 190),
	(12, 9, 192),
	(12, 9, 193),
	(12, 9, 195),
	(12, 9, 202),
	(12, 9, 205),
	(12, 10, 114),
	(12, 10, 112),
	(12, 10, 111),
	(12, 10, 110),
	(12, 10, 107),
	(12, 10, 106),
	(12, 10, 101),
	(12, 10, 102),
	(12, 10, 166),
	(12, 10, 191),
	(12, 10, 116),
	(12, 10, 190),
	(12, 10, 192),
	(12, 10, 193),
	(12, 10, 195),
	(12, 10, 202),
	(12, 10, 205),
	(12, 11, 114),
	(12, 11, 112),
	(12, 11, 111),
	(12, 11, 110),
	(12, 11, 107),
	(12, 11, 106),
	(12, 11, 101),
	(12, 11, 102),
	(12, 11, 166),
	(12, 11, 191),
	(12, 11, 116),
	(12, 11, 190),
	(12, 11, 192),
	(12, 11, 193),
	(12, 11, 195),
	(12, 11, 202),
	(12, 11, 205),
	(12, 12, 114),
	(12, 12, 112),
	(12, 12, 111),
	(12, 12, 110),
	(12, 12, 107),
	(12, 12, 106),
	(12, 12, 101),
	(12, 12, 102),
	(12, 12, 166),
	(12, 12, 191),
	(12, 12, 116),
	(12, 12, 190),
	(12, 12, 192),
	(12, 12, 193),
	(12, 12, 195),
	(12, 12, 202),
	(12, 12, 205),
	(12, 13, 114),
	(12, 13, 112),
	(12, 13, 111),
	(12, 13, 110),
	(12, 13, 107),
	(12, 13, 106),
	(12, 13, 101),
	(12, 13, 102),
	(12, 13, 166),
	(12, 13, 191),
	(12, 13, 116),
	(12, 13, 190),
	(12, 13, 192),
	(12, 13, 193),
	(12, 13, 195),
	(12, 13, 202),
	(12, 13, 205),
	(12, 14, 114),
	(12, 14, 112),
	(12, 14, 111),
	(12, 14, 110),
	(12, 14, 107),
	(12, 14, 106),
	(12, 14, 101),
	(12, 14, 102),
	(12, 14, 166),
	(12, 14, 191),
	(12, 14, 116),
	(12, 14, 190),
	(12, 14, 192),
	(12, 14, 193),
	(12, 14, 195),
	(12, 14, 202),
	(12, 14, 205),
	(12, 15, 114),
	(12, 15, 112),
	(12, 15, 111),
	(12, 15, 110),
	(12, 15, 107),
	(12, 15, 106),
	(12, 15, 101),
	(12, 15, 102),
	(12, 15, 166),
	(12, 15, 191),
	(12, 15, 116),
	(12, 15, 190),
	(12, 15, 192),
	(12, 15, 193),
	(12, 15, 195),
	(12, 15, 202),
	(12, 15, 205),
	(12, 16, 114),
	(12, 16, 112),
	(12, 16, 111),
	(12, 16, 110),
	(12, 16, 107),
	(12, 16, 106),
	(12, 16, 101),
	(12, 16, 102),
	(12, 16, 166),
	(12, 16, 191),
	(12, 16, 116),
	(12, 16, 190),
	(12, 16, 192),
	(12, 16, 193),
	(12, 16, 195),
	(12, 16, 202),
	(12, 16, 205),
	(12, 17, 114),
	(12, 17, 112),
	(12, 17, 111),
	(12, 17, 110),
	(12, 17, 107),
	(12, 17, 106),
	(12, 17, 101),
	(12, 17, 102),
	(12, 17, 166),
	(12, 17, 191),
	(12, 17, 116),
	(12, 17, 190),
	(12, 17, 192),
	(12, 17, 193),
	(12, 17, 195),
	(12, 17, 202),
	(12, 17, 205),
	(12, 18, 114),
	(12, 18, 112),
	(12, 18, 111),
	(12, 18, 110),
	(12, 18, 107),
	(12, 18, 106),
	(12, 18, 101),
	(12, 18, 102),
	(12, 18, 166),
	(12, 18, 191),
	(12, 18, 116),
	(12, 18, 190),
	(12, 18, 192),
	(12, 18, 193),
	(12, 18, 195),
	(12, 18, 202),
	(12, 18, 205),
	(12, 19, 114),
	(12, 19, 112),
	(12, 19, 111),
	(12, 19, 110),
	(12, 19, 107),
	(12, 19, 106),
	(12, 19, 101),
	(12, 19, 102),
	(12, 19, 166),
	(12, 19, 191),
	(12, 19, 116),
	(12, 19, 190),
	(12, 19, 192),
	(12, 19, 193),
	(12, 19, 195),
	(12, 19, 202),
	(12, 19, 205),
	(12, 20, 114),
	(12, 20, 112),
	(12, 20, 111),
	(12, 20, 110),
	(12, 20, 107),
	(12, 20, 106),
	(12, 20, 101),
	(12, 20, 102),
	(12, 20, 166),
	(12, 20, 191),
	(12, 20, 116),
	(12, 20, 190),
	(12, 20, 192),
	(12, 20, 193),
	(12, 20, 195),
	(12, 20, 202),
	(12, 20, 205),
	(12, 21, 114),
	(12, 21, 112),
	(12, 21, 111),
	(12, 21, 110),
	(12, 21, 107),
	(12, 21, 106),
	(12, 21, 101),
	(12, 21, 102),
	(12, 21, 166),
	(12, 21, 191),
	(12, 21, 116),
	(12, 21, 190),
	(12, 21, 192),
	(12, 21, 193),
	(12, 21, 195),
	(12, 21, 202),
	(12, 21, 205),
	(12, 22, 114),
	(12, 22, 112),
	(12, 22, 111),
	(12, 22, 110),
	(12, 22, 107),
	(12, 22, 106),
	(12, 22, 101),
	(12, 22, 102),
	(12, 22, 166),
	(12, 22, 191),
	(12, 22, 116),
	(12, 22, 190),
	(12, 22, 192),
	(12, 22, 193),
	(12, 22, 195),
	(12, 22, 202),
	(12, 22, 205),
	(12, 23, 114),
	(12, 23, 112),
	(12, 23, 111),
	(12, 23, 110),
	(12, 23, 107),
	(12, 23, 106),
	(12, 23, 101),
	(12, 23, 102),
	(12, 23, 166),
	(12, 23, 191),
	(12, 23, 116),
	(12, 23, 190),
	(12, 23, 192),
	(12, 23, 193),
	(12, 23, 195),
	(12, 23, 202),
	(12, 23, 205),
	(12, 24, 114),
	(12, 24, 112),
	(12, 24, 111),
	(12, 24, 110),
	(12, 24, 107),
	(12, 24, 106),
	(12, 24, 101),
	(12, 24, 102),
	(12, 24, 166),
	(12, 24, 191),
	(12, 24, 116),
	(12, 24, 190),
	(12, 24, 192),
	(12, 24, 193),
	(12, 24, 195),
	(12, 24, 202),
	(12, 24, 205),
	(12, 25, 114),
	(12, 25, 112),
	(12, 25, 111),
	(12, 25, 110),
	(12, 25, 107),
	(12, 25, 106),
	(12, 25, 101),
	(12, 25, 102),
	(12, 25, 166),
	(12, 25, 191),
	(12, 25, 116),
	(12, 25, 190),
	(12, 25, 192),
	(12, 25, 193),
	(12, 25, 195),
	(12, 25, 202),
	(12, 25, 205),
	(12, 26, 114),
	(12, 26, 112),
	(12, 26, 111),
	(12, 26, 110),
	(12, 26, 107),
	(12, 26, 106),
	(12, 26, 101),
	(12, 26, 102),
	(12, 26, 166),
	(12, 26, 191),
	(12, 26, 116),
	(12, 26, 190),
	(12, 26, 192),
	(12, 26, 193),
	(12, 26, 195),
	(12, 26, 202),
	(12, 26, 205),
	(12, 27, 114),
	(12, 27, 112),
	(12, 27, 111),
	(12, 27, 110),
	(12, 27, 107),
	(12, 27, 106),
	(12, 27, 101),
	(12, 27, 102),
	(12, 27, 166),
	(12, 27, 191),
	(12, 27, 116),
	(12, 27, 190),
	(12, 27, 192),
	(12, 27, 193),
	(12, 27, 195),
	(12, 27, 202),
	(12, 27, 205),
	(12, 28, 114),
	(12, 28, 112),
	(12, 28, 111),
	(12, 28, 110),
	(12, 28, 107),
	(12, 28, 106),
	(12, 28, 101),
	(12, 28, 102),
	(12, 28, 166),
	(12, 28, 191),
	(12, 28, 116),
	(12, 28, 190),
	(12, 28, 192),
	(12, 28, 193),
	(12, 28, 195),
	(12, 28, 202),
	(12, 28, 205),
	(12, 29, 114),
	(12, 29, 112),
	(12, 29, 111),
	(12, 29, 110),
	(12, 29, 107),
	(12, 29, 106),
	(12, 29, 101),
	(12, 29, 102),
	(12, 29, 166),
	(12, 29, 191),
	(12, 29, 116),
	(12, 29, 190),
	(12, 29, 192),
	(12, 29, 193),
	(12, 29, 195),
	(12, 29, 202),
	(12, 29, 205),
	(12, 30, 114),
	(12, 30, 112),
	(12, 30, 111),
	(12, 30, 110),
	(12, 30, 107),
	(12, 30, 106),
	(12, 30, 101),
	(12, 30, 102),
	(12, 30, 166),
	(12, 30, 191),
	(12, 30, 116),
	(12, 30, 190),
	(12, 30, 192),
	(12, 30, 193),
	(12, 30, 195),
	(12, 30, 202),
	(12, 30, 205),
	(12, 31, 114),
	(12, 31, 112),
	(12, 31, 111),
	(12, 31, 110),
	(12, 31, 107),
	(12, 31, 106),
	(12, 31, 101),
	(12, 31, 102),
	(12, 31, 166),
	(12, 31, 191),
	(12, 31, 116),
	(12, 31, 190),
	(12, 31, 192),
	(12, 31, 193),
	(12, 31, 195),
	(12, 31, 202),
	(12, 31, 205);
/*!40000 ALTER TABLE `seq_month_day_element_leap_yr` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_test_db_v4.seq_month_day_leap_yr
CREATE TABLE IF NOT EXISTS `seq_month_day_leap_yr` (
  `mm` int(11) NOT NULL,
  `dd` int(11) NOT NULL,
  PRIMARY KEY (`mm`,`dd`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_test_db_v4.seq_month_day_leap_yr: ~366 rows (approximately)
/*!40000 ALTER TABLE `seq_month_day_leap_yr` DISABLE KEYS */;
INSERT INTO `seq_month_day_leap_yr` (`mm`, `dd`) VALUES
	(1, 1),
	(1, 2),
	(1, 3),
	(1, 4),
	(1, 5),
	(1, 6),
	(1, 7),
	(1, 8),
	(1, 9),
	(1, 10),
	(1, 11),
	(1, 12),
	(1, 13),
	(1, 14),
	(1, 15),
	(1, 16),
	(1, 17),
	(1, 18),
	(1, 19),
	(1, 20),
	(1, 21),
	(1, 22),
	(1, 23),
	(1, 24),
	(1, 25),
	(1, 26),
	(1, 27),
	(1, 28),
	(1, 29),
	(1, 30),
	(1, 31),
	(2, 1),
	(2, 2),
	(2, 3),
	(2, 4),
	(2, 5),
	(2, 6),
	(2, 7),
	(2, 8),
	(2, 9),
	(2, 10),
	(2, 11),
	(2, 12),
	(2, 13),
	(2, 14),
	(2, 15),
	(2, 16),
	(2, 17),
	(2, 18),
	(2, 19),
	(2, 20),
	(2, 21),
	(2, 22),
	(2, 23),
	(2, 24),
	(2, 25),
	(2, 26),
	(2, 27),
	(2, 28),
	(2, 29),
	(3, 1),
	(3, 2),
	(3, 3),
	(3, 4),
	(3, 5),
	(3, 6),
	(3, 7),
	(3, 8),
	(3, 9),
	(3, 10),
	(3, 11),
	(3, 12),
	(3, 13),
	(3, 14),
	(3, 15),
	(3, 16),
	(3, 17),
	(3, 18),
	(3, 19),
	(3, 20),
	(3, 21),
	(3, 22),
	(3, 23),
	(3, 24),
	(3, 25),
	(3, 26),
	(3, 27),
	(3, 28),
	(3, 29),
	(3, 30),
	(3, 31),
	(4, 1),
	(4, 2),
	(4, 3),
	(4, 4),
	(4, 5),
	(4, 6),
	(4, 7),
	(4, 8),
	(4, 9),
	(4, 10),
	(4, 11),
	(4, 12),
	(4, 13),
	(4, 14),
	(4, 15),
	(4, 16),
	(4, 17),
	(4, 18),
	(4, 19),
	(4, 20),
	(4, 21),
	(4, 22),
	(4, 23),
	(4, 24),
	(4, 25),
	(4, 26),
	(4, 27),
	(4, 28),
	(4, 29),
	(4, 30),
	(5, 1),
	(5, 2),
	(5, 3),
	(5, 4),
	(5, 5),
	(5, 6),
	(5, 7),
	(5, 8),
	(5, 9),
	(5, 10),
	(5, 11),
	(5, 12),
	(5, 13),
	(5, 14),
	(5, 15),
	(5, 16),
	(5, 17),
	(5, 18),
	(5, 19),
	(5, 20),
	(5, 21),
	(5, 22),
	(5, 23),
	(5, 24),
	(5, 25),
	(5, 26),
	(5, 27),
	(5, 28),
	(5, 29),
	(5, 30),
	(5, 31),
	(6, 1),
	(6, 2),
	(6, 3),
	(6, 4),
	(6, 5),
	(6, 6),
	(6, 7),
	(6, 8),
	(6, 9),
	(6, 10),
	(6, 11),
	(6, 12),
	(6, 13),
	(6, 14),
	(6, 15),
	(6, 16),
	(6, 17),
	(6, 18),
	(6, 19),
	(6, 20),
	(6, 21),
	(6, 22),
	(6, 23),
	(6, 24),
	(6, 25),
	(6, 26),
	(6, 27),
	(6, 28),
	(6, 29),
	(6, 30),
	(7, 1),
	(7, 2),
	(7, 3),
	(7, 4),
	(7, 5),
	(7, 6),
	(7, 7),
	(7, 8),
	(7, 9),
	(7, 10),
	(7, 11),
	(7, 12),
	(7, 13),
	(7, 14),
	(7, 15),
	(7, 16),
	(7, 17),
	(7, 18),
	(7, 19),
	(7, 20),
	(7, 21),
	(7, 22),
	(7, 23),
	(7, 24),
	(7, 25),
	(7, 26),
	(7, 27),
	(7, 28),
	(7, 29),
	(7, 30),
	(7, 31),
	(8, 1),
	(8, 2),
	(8, 3),
	(8, 4),
	(8, 5),
	(8, 6),
	(8, 7),
	(8, 8),
	(8, 9),
	(8, 10),
	(8, 11),
	(8, 12),
	(8, 13),
	(8, 14),
	(8, 15),
	(8, 16),
	(8, 17),
	(8, 18),
	(8, 19),
	(8, 20),
	(8, 21),
	(8, 22),
	(8, 23),
	(8, 24),
	(8, 25),
	(8, 26),
	(8, 27),
	(8, 28),
	(8, 29),
	(8, 30),
	(8, 31),
	(9, 1),
	(9, 2),
	(9, 3),
	(9, 4),
	(9, 5),
	(9, 6),
	(9, 7),
	(9, 8),
	(9, 9),
	(9, 10),
	(9, 11),
	(9, 12),
	(9, 13),
	(9, 14),
	(9, 15),
	(9, 16),
	(9, 17),
	(9, 18),
	(9, 19),
	(9, 20),
	(9, 21),
	(9, 22),
	(9, 23),
	(9, 24),
	(9, 25),
	(9, 26),
	(9, 27),
	(9, 28),
	(9, 29),
	(9, 30),
	(10, 1),
	(10, 2),
	(10, 3),
	(10, 4),
	(10, 5),
	(10, 6),
	(10, 7),
	(10, 8),
	(10, 9),
	(10, 10),
	(10, 11),
	(10, 12),
	(10, 13),
	(10, 14),
	(10, 15),
	(10, 16),
	(10, 17),
	(10, 18),
	(10, 19),
	(10, 20),
	(10, 21),
	(10, 22),
	(10, 23),
	(10, 24),
	(10, 25),
	(10, 26),
	(10, 27),
	(10, 28),
	(10, 29),
	(10, 30),
	(10, 31),
	(11, 1),
	(11, 2),
	(11, 3),
	(11, 4),
	(11, 5),
	(11, 6),
	(11, 7),
	(11, 8),
	(11, 9),
	(11, 10),
	(11, 11),
	(11, 12),
	(11, 13),
	(11, 14),
	(11, 15),
	(11, 16),
	(11, 17),
	(11, 18),
	(11, 19),
	(11, 20),
	(11, 21),
	(11, 22),
	(11, 23),
	(11, 24),
	(11, 25),
	(11, 26),
	(11, 27),
	(11, 28),
	(11, 29),
	(11, 30),
	(12, 1),
	(12, 2),
	(12, 3),
	(12, 4),
	(12, 5),
	(12, 6),
	(12, 7),
	(12, 8),
	(12, 9),
	(12, 10),
	(12, 11),
	(12, 12),
	(12, 13),
	(12, 14),
	(12, 15),
	(12, 16),
	(12, 17),
	(12, 18),
	(12, 19),
	(12, 20),
	(12, 21),
	(12, 22),
	(12, 23),
	(12, 24),
	(12, 25),
	(12, 26),
	(12, 27),
	(12, 28),
	(12, 29),
	(12, 30),
	(12, 31);
/*!40000 ALTER TABLE `seq_month_day_leap_yr` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_test_db_v4.seq_month_day_synoptime
CREATE TABLE IF NOT EXISTS `seq_month_day_synoptime` (
  `mm` int(11) NOT NULL,
  `dd` int(11) NOT NULL,
  `hh` int(11) NOT NULL,
  PRIMARY KEY (`mm`,`dd`,`hh`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- Dumping data for table mariadb_climsoft_test_db_v4.seq_month_day_synoptime: ~2,920 rows (approximately)
/*!40000 ALTER TABLE `seq_month_day_synoptime` DISABLE KEYS */;
INSERT INTO `seq_month_day_synoptime` (`mm`, `dd`, `hh`) VALUES
	(1, 1, 0),
	(1, 1, 3),
	(1, 1, 6),
	(1, 1, 9),
	(1, 1, 12),
	(1, 1, 15),
	(1, 1, 18),
	(1, 1, 21),
	(1, 2, 0),
	(1, 2, 3),
	(1, 2, 6),
	(1, 2, 9),
	(1, 2, 12),
	(1, 2, 15),
	(1, 2, 18),
	(1, 2, 21),
	(1, 3, 0),
	(1, 3, 3),
	(1, 3, 6),
	(1, 3, 9),
	(1, 3, 12),
	(1, 3, 15),
	(1, 3, 18),
	(1, 3, 21),
	(1, 4, 0),
	(1, 4, 3),
	(1, 4, 6),
	(1, 4, 9),
	(1, 4, 12),
	(1, 4, 15),
	(1, 4, 18),
	(1, 4, 21),
	(1, 5, 0),
	(1, 5, 3),
	(1, 5, 6),
	(1, 5, 9),
	(1, 5, 12),
	(1, 5, 15),
	(1, 5, 18),
	(1, 5, 21),
	(1, 6, 0),
	(1, 6, 3),
	(1, 6, 6),
	(1, 6, 9),
	(1, 6, 12),
	(1, 6, 15),
	(1, 6, 18),
	(1, 6, 21),
	(1, 7, 0),
	(1, 7, 3),
	(1, 7, 6),
	(1, 7, 9),
	(1, 7, 12),
	(1, 7, 15),
	(1, 7, 18),
	(1, 7, 21),
	(1, 8, 0),
	(1, 8, 3),
	(1, 8, 6),
	(1, 8, 9),
	(1, 8, 12),
	(1, 8, 15),
	(1, 8, 18),
	(1, 8, 21),
	(1, 9, 0),
	(1, 9, 3),
	(1, 9, 6),
	(1, 9, 9),
	(1, 9, 12),
	(1, 9, 15),
	(1, 9, 18),
	(1, 9, 21),
	(1, 10, 0),
	(1, 10, 3),
	(1, 10, 6),
	(1, 10, 9),
	(1, 10, 12),
	(1, 10, 15),
	(1, 10, 18),
	(1, 10, 21),
	(1, 11, 0),
	(1, 11, 3),
	(1, 11, 6),
	(1, 11, 9),
	(1, 11, 12),
	(1, 11, 15),
	(1, 11, 18),
	(1, 11, 21),
	(1, 12, 0),
	(1, 12, 3),
	(1, 12, 6),
	(1, 12, 9),
	(1, 12, 12),
	(1, 12, 15),
	(1, 12, 18),
	(1, 12, 21),
	(1, 13, 0),
	(1, 13, 3),
	(1, 13, 6),
	(1, 13, 9),
	(1, 13, 12),
	(1, 13, 15),
	(1, 13, 18),
	(1, 13, 21),
	(1, 14, 0),
	(1, 14, 3),
	(1, 14, 6),
	(1, 14, 9),
	(1, 14, 12),
	(1, 14, 15),
	(1, 14, 18),
	(1, 14, 21),
	(1, 15, 0),
	(1, 15, 3),
	(1, 15, 6),
	(1, 15, 9),
	(1, 15, 12),
	(1, 15, 15),
	(1, 15, 18),
	(1, 15, 21),
	(1, 16, 0),
	(1, 16, 3),
	(1, 16, 6),
	(1, 16, 9),
	(1, 16, 12),
	(1, 16, 15),
	(1, 16, 18),
	(1, 16, 21),
	(1, 17, 0),
	(1, 17, 3),
	(1, 17, 6),
	(1, 17, 9),
	(1, 17, 12),
	(1, 17, 15),
	(1, 17, 18),
	(1, 17, 21),
	(1, 18, 0),
	(1, 18, 3),
	(1, 18, 6),
	(1, 18, 9),
	(1, 18, 12),
	(1, 18, 15),
	(1, 18, 18),
	(1, 18, 21),
	(1, 19, 0),
	(1, 19, 3),
	(1, 19, 6),
	(1, 19, 9),
	(1, 19, 12),
	(1, 19, 15),
	(1, 19, 18),
	(1, 19, 21),
	(1, 20, 0),
	(1, 20, 3),
	(1, 20, 6),
	(1, 20, 9),
	(1, 20, 12),
	(1, 20, 15),
	(1, 20, 18),
	(1, 20, 21),
	(1, 21, 0),
	(1, 21, 3),
	(1, 21, 6),
	(1, 21, 9),
	(1, 21, 12),
	(1, 21, 15),
	(1, 21, 18),
	(1, 21, 21),
	(1, 22, 0),
	(1, 22, 3),
	(1, 22, 6),
	(1, 22, 9),
	(1, 22, 12),
	(1, 22, 15),
	(1, 22, 18),
	(1, 22, 21),
	(1, 23, 0),
	(1, 23, 3),
	(1, 23, 6),
	(1, 23, 9),
	(1, 23, 12),
	(1, 23, 15),
	(1, 23, 18),
	(1, 23, 21),
	(1, 24, 0),
	(1, 24, 3),
	(1, 24, 6),
	(1, 24, 9),
	(1, 24, 12),
	(1, 24, 15),
	(1, 24, 18),
	(1, 24, 21),
	(1, 25, 0),
	(1, 25, 3),
	(1, 25, 6),
	(1, 25, 9),
	(1, 25, 12),
	(1, 25, 15),
	(1, 25, 18),
	(1, 25, 21),
	(1, 26, 0),
	(1, 26, 3),
	(1, 26, 6),
	(1, 26, 9),
	(1, 26, 12),
	(1, 26, 15),
	(1, 26, 18),
	(1, 26, 21),
	(1, 27, 0),
	(1, 27, 3),
	(1, 27, 6),
	(1, 27, 9),
	(1, 27, 12),
	(1, 27, 15),
	(1, 27, 18),
	(1, 27, 21),
	(1, 28, 0),
	(1, 28, 3),
	(1, 28, 6),
	(1, 28, 9),
	(1, 28, 12),
	(1, 28, 15),
	(1, 28, 18),
	(1, 28, 21),
	(1, 29, 0),
	(1, 29, 3),
	(1, 29, 6),
	(1, 29, 9),
	(1, 29, 12),
	(1, 29, 15),
	(1, 29, 18),
	(1, 29, 21),
	(1, 30, 0),
	(1, 30, 3),
	(1, 30, 6),
	(1, 30, 9),
	(1, 30, 12),
	(1, 30, 15),
	(1, 30, 18),
	(1, 30, 21),
	(1, 31, 0),
	(1, 31, 3),
	(1, 31, 6),
	(1, 31, 9),
	(1, 31, 12),
	(1, 31, 15),
	(1, 31, 18),
	(1, 31, 21),
	(2, 1, 0),
	(2, 1, 3),
	(2, 1, 6),
	(2, 1, 9),
	(2, 1, 12),
	(2, 1, 15),
	(2, 1, 18),
	(2, 1, 21),
	(2, 2, 0),
	(2, 2, 3),
	(2, 2, 6),
	(2, 2, 9),
	(2, 2, 12),
	(2, 2, 15),
	(2, 2, 18),
	(2, 2, 21),
	(2, 3, 0),
	(2, 3, 3),
	(2, 3, 6),
	(2, 3, 9),
	(2, 3, 12),
	(2, 3, 15),
	(2, 3, 18),
	(2, 3, 21),
	(2, 4, 0),
	(2, 4, 3),
	(2, 4, 6),
	(2, 4, 9),
	(2, 4, 12),
	(2, 4, 15),
	(2, 4, 18),
	(2, 4, 21),
	(2, 5, 0),
	(2, 5, 3),
	(2, 5, 6),
	(2, 5, 9),
	(2, 5, 12),
	(2, 5, 15),
	(2, 5, 18),
	(2, 5, 21),
	(2, 6, 0),
	(2, 6, 3),
	(2, 6, 6),
	(2, 6, 9),
	(2, 6, 12),
	(2, 6, 15),
	(2, 6, 18),
	(2, 6, 21),
	(2, 7, 0),
	(2, 7, 3),
	(2, 7, 6),
	(2, 7, 9),
	(2, 7, 12),
	(2, 7, 15),
	(2, 7, 18),
	(2, 7, 21),
	(2, 8, 0),
	(2, 8, 3),
	(2, 8, 6),
	(2, 8, 9),
	(2, 8, 12),
	(2, 8, 15),
	(2, 8, 18),
	(2, 8, 21),
	(2, 9, 0),
	(2, 9, 3),
	(2, 9, 6),
	(2, 9, 9),
	(2, 9, 12),
	(2, 9, 15),
	(2, 9, 18),
	(2, 9, 21),
	(2, 10, 0),
	(2, 10, 3),
	(2, 10, 6),
	(2, 10, 9),
	(2, 10, 12),
	(2, 10, 15),
	(2, 10, 18),
	(2, 10, 21),
	(2, 11, 0),
	(2, 11, 3),
	(2, 11, 6),
	(2, 11, 9),
	(2, 11, 12),
	(2, 11, 15),
	(2, 11, 18),
	(2, 11, 21),
	(2, 12, 0),
	(2, 12, 3),
	(2, 12, 6),
	(2, 12, 9),
	(2, 12, 12),
	(2, 12, 15),
	(2, 12, 18),
	(2, 12, 21),
	(2, 13, 0),
	(2, 13, 3),
	(2, 13, 6),
	(2, 13, 9),
	(2, 13, 12),
	(2, 13, 15),
	(2, 13, 18),
	(2, 13, 21),
	(2, 14, 0),
	(2, 14, 3),
	(2, 14, 6),
	(2, 14, 9),
	(2, 14, 12),
	(2, 14, 15),
	(2, 14, 18),
	(2, 14, 21),
	(2, 15, 0),
	(2, 15, 3),
	(2, 15, 6),
	(2, 15, 9),
	(2, 15, 12),
	(2, 15, 15),
	(2, 15, 18),
	(2, 15, 21),
	(2, 16, 0),
	(2, 16, 3),
	(2, 16, 6),
	(2, 16, 9),
	(2, 16, 12),
	(2, 16, 15),
	(2, 16, 18),
	(2, 16, 21),
	(2, 17, 0),
	(2, 17, 3),
	(2, 17, 6),
	(2, 17, 9),
	(2, 17, 12),
	(2, 17, 15),
	(2, 17, 18),
	(2, 17, 21),
	(2, 18, 0),
	(2, 18, 3),
	(2, 18, 6),
	(2, 18, 9),
	(2, 18, 12),
	(2, 18, 15),
	(2, 18, 18),
	(2, 18, 21),
	(2, 19, 0),
	(2, 19, 3),
	(2, 19, 6),
	(2, 19, 9),
	(2, 19, 12),
	(2, 19, 15),
	(2, 19, 18),
	(2, 19, 21),
	(2, 20, 0),
	(2, 20, 3),
	(2, 20, 6),
	(2, 20, 9),
	(2, 20, 12),
	(2, 20, 15),
	(2, 20, 18),
	(2, 20, 21),
	(2, 21, 0),
	(2, 21, 3),
	(2, 21, 6),
	(2, 21, 9),
	(2, 21, 12),
	(2, 21, 15),
	(2, 21, 18),
	(2, 21, 21),
	(2, 22, 0),
	(2, 22, 3),
	(2, 22, 6),
	(2, 22, 9),
	(2, 22, 12),
	(2, 22, 15),
	(2, 22, 18),
	(2, 22, 21),
	(2, 23, 0),
	(2, 23, 3),
	(2, 23, 6),
	(2, 23, 9),
	(2, 23, 12),
	(2, 23, 15),
	(2, 23, 18),
	(2, 23, 21),
	(2, 24, 0),
	(2, 24, 3),
	(2, 24, 6),
	(2, 24, 9),
	(2, 24, 12),
	(2, 24, 15),
	(2, 24, 18),
	(2, 24, 21),
	(2, 25, 0),
	(2, 25, 3),
	(2, 25, 6),
	(2, 25, 9),
	(2, 25, 12),
	(2, 25, 15),
	(2, 25, 18),
	(2, 25, 21),
	(2, 26, 0),
	(2, 26, 3),
	(2, 26, 6),
	(2, 26, 9),
	(2, 26, 12),
	(2, 26, 15),
	(2, 26, 18),
	(2, 26, 21),
	(2, 27, 0),
	(2, 27, 3),
	(2, 27, 6),
	(2, 27, 9),
	(2, 27, 12),
	(2, 27, 15),
	(2, 27, 18),
	(2, 27, 21),
	(2, 28, 0),
	(2, 28, 3),
	(2, 28, 6),
	(2, 28, 9),
	(2, 28, 12),
	(2, 28, 15),
	(2, 28, 18),
	(2, 28, 21),
	(3, 1, 0),
	(3, 1, 3),
	(3, 1, 6),
	(3, 1, 9),
	(3, 1, 12),
	(3, 1, 15),
	(3, 1, 18),
	(3, 1, 21),
	(3, 2, 0),
	(3, 2, 3),
	(3, 2, 6),
	(3, 2, 9),
	(3, 2, 12),
	(3, 2, 15),
	(3, 2, 18),
	(3, 2, 21),
	(3, 3, 0),
	(3, 3, 3),
	(3, 3, 6),
	(3, 3, 9),
	(3, 3, 12),
	(3, 3, 15),
	(3, 3, 18),
	(3, 3, 21),
	(3, 4, 0),
	(3, 4, 3),
	(3, 4, 6),
	(3, 4, 9),
	(3, 4, 12),
	(3, 4, 15),
	(3, 4, 18),
	(3, 4, 21),
	(3, 5, 0),
	(3, 5, 3),
	(3, 5, 6),
	(3, 5, 9),
	(3, 5, 12),
	(3, 5, 15),
	(3, 5, 18),
	(3, 5, 21),
	(3, 6, 0),
	(3, 6, 3),
	(3, 6, 6),
	(3, 6, 9),
	(3, 6, 12),
	(3, 6, 15),
	(3, 6, 18),
	(3, 6, 21),
	(3, 7, 0),
	(3, 7, 3),
	(3, 7, 6),
	(3, 7, 9),
	(3, 7, 12),
	(3, 7, 15),
	(3, 7, 18),
	(3, 7, 21),
	(3, 8, 0),
	(3, 8, 3),
	(3, 8, 6),
	(3, 8, 9),
	(3, 8, 12),
	(3, 8, 15),
	(3, 8, 18),
	(3, 8, 21),
	(3, 9, 0),
	(3, 9, 3),
	(3, 9, 6),
	(3, 9, 9),
	(3, 9, 12),
	(3, 9, 15),
	(3, 9, 18),
	(3, 9, 21),
	(3, 10, 0),
	(3, 10, 3),
	(3, 10, 6),
	(3, 10, 9),
	(3, 10, 12),
	(3, 10, 15),
	(3, 10, 18),
	(3, 10, 21),
	(3, 11, 0),
	(3, 11, 3),
	(3, 11, 6),
	(3, 11, 9),
	(3, 11, 12),
	(3, 11, 15),
	(3, 11, 18),
	(3, 11, 21),
	(3, 12, 0),
	(3, 12, 3),
	(3, 12, 6),
	(3, 12, 9),
	(3, 12, 12),
	(3, 12, 15),
	(3, 12, 18),
	(3, 12, 21),
	(3, 13, 0),
	(3, 13, 3),
	(3, 13, 6),
	(3, 13, 9),
	(3, 13, 12),
	(3, 13, 15),
	(3, 13, 18),
	(3, 13, 21),
	(3, 14, 0),
	(3, 14, 3),
	(3, 14, 6),
	(3, 14, 9),
	(3, 14, 12),
	(3, 14, 15),
	(3, 14, 18),
	(3, 14, 21),
	(3, 15, 0),
	(3, 15, 3),
	(3, 15, 6),
	(3, 15, 9),
	(3, 15, 12),
	(3, 15, 15),
	(3, 15, 18),
	(3, 15, 21),
	(3, 16, 0),
	(3, 16, 3),
	(3, 16, 6),
	(3, 16, 9),
	(3, 16, 12),
	(3, 16, 15),
	(3, 16, 18),
	(3, 16, 21),
	(3, 17, 0),
	(3, 17, 3),
	(3, 17, 6),
	(3, 17, 9),
	(3, 17, 12),
	(3, 17, 15),
	(3, 17, 18),
	(3, 17, 21),
	(3, 18, 0),
	(3, 18, 3),
	(3, 18, 6),
	(3, 18, 9),
	(3, 18, 12),
	(3, 18, 15),
	(3, 18, 18),
	(3, 18, 21),
	(3, 19, 0),
	(3, 19, 3),
	(3, 19, 6),
	(3, 19, 9),
	(3, 19, 12),
	(3, 19, 15),
	(3, 19, 18),
	(3, 19, 21),
	(3, 20, 0),
	(3, 20, 3),
	(3, 20, 6),
	(3, 20, 9),
	(3, 20, 12),
	(3, 20, 15),
	(3, 20, 18),
	(3, 20, 21),
	(3, 21, 0),
	(3, 21, 3),
	(3, 21, 6),
	(3, 21, 9),
	(3, 21, 12),
	(3, 21, 15),
	(3, 21, 18),
	(3, 21, 21),
	(3, 22, 0),
	(3, 22, 3),
	(3, 22, 6),
	(3, 22, 9),
	(3, 22, 12),
	(3, 22, 15),
	(3, 22, 18),
	(3, 22, 21),
	(3, 23, 0),
	(3, 23, 3),
	(3, 23, 6),
	(3, 23, 9),
	(3, 23, 12),
	(3, 23, 15),
	(3, 23, 18),
	(3, 23, 21),
	(3, 24, 0),
	(3, 24, 3),
	(3, 24, 6),
	(3, 24, 9),
	(3, 24, 12),
	(3, 24, 15),
	(3, 24, 18),
	(3, 24, 21),
	(3, 25, 0),
	(3, 25, 3),
	(3, 25, 6),
	(3, 25, 9),
	(3, 25, 12),
	(3, 25, 15),
	(3, 25, 18),
	(3, 25, 21),
	(3, 26, 0),
	(3, 26, 3),
	(3, 26, 6),
	(3, 26, 9),
	(3, 26, 12),
	(3, 26, 15),
	(3, 26, 18),
	(3, 26, 21),
	(3, 27, 0),
	(3, 27, 3),
	(3, 27, 6),
	(3, 27, 9),
	(3, 27, 12),
	(3, 27, 15),
	(3, 27, 18),
	(3, 27, 21),
	(3, 28, 0),
	(3, 28, 3),
	(3, 28, 6),
	(3, 28, 9),
	(3, 28, 12),
	(3, 28, 15),
	(3, 28, 18),
	(3, 28, 21),
	(3, 29, 0),
	(3, 29, 3),
	(3, 29, 6),
	(3, 29, 9),
	(3, 29, 12),
	(3, 29, 15),
	(3, 29, 18),
	(3, 29, 21),
	(3, 30, 0),
	(3, 30, 3),
	(3, 30, 6),
	(3, 30, 9),
	(3, 30, 12),
	(3, 30, 15),
	(3, 30, 18),
	(3, 30, 21),
	(3, 31, 0),
	(3, 31, 3),
	(3, 31, 6),
	(3, 31, 9),
	(3, 31, 12),
	(3, 31, 15),
	(3, 31, 18),
	(3, 31, 21),
	(4, 1, 0),
	(4, 1, 3),
	(4, 1, 6),
	(4, 1, 9),
	(4, 1, 12),
	(4, 1, 15),
	(4, 1, 18),
	(4, 1, 21),
	(4, 2, 0),
	(4, 2, 3),
	(4, 2, 6),
	(4, 2, 9),
	(4, 2, 12),
	(4, 2, 15),
	(4, 2, 18),
	(4, 2, 21),
	(4, 3, 0),
	(4, 3, 3),
	(4, 3, 6),
	(4, 3, 9),
	(4, 3, 12),
	(4, 3, 15),
	(4, 3, 18),
	(4, 3, 21),
	(4, 4, 0),
	(4, 4, 3),
	(4, 4, 6),
	(4, 4, 9),
	(4, 4, 12),
	(4, 4, 15),
	(4, 4, 18),
	(4, 4, 21),
	(4, 5, 0),
	(4, 5, 3),
	(4, 5, 6),
	(4, 5, 9),
	(4, 5, 12),
	(4, 5, 15),
	(4, 5, 18),
	(4, 5, 21),
	(4, 6, 0),
	(4, 6, 3),
	(4, 6, 6),
	(4, 6, 9),
	(4, 6, 12),
	(4, 6, 15),
	(4, 6, 18),
	(4, 6, 21),
	(4, 7, 0),
	(4, 7, 3),
	(4, 7, 6),
	(4, 7, 9),
	(4, 7, 12),
	(4, 7, 15),
	(4, 7, 18),
	(4, 7, 21),
	(4, 8, 0),
	(4, 8, 3),
	(4, 8, 6),
	(4, 8, 9),
	(4, 8, 12),
	(4, 8, 15),
	(4, 8, 18),
	(4, 8, 21),
	(4, 9, 0),
	(4, 9, 3),
	(4, 9, 6),
	(4, 9, 9),
	(4, 9, 12),
	(4, 9, 15),
	(4, 9, 18),
	(4, 9, 21),
	(4, 10, 0),
	(4, 10, 3),
	(4, 10, 6),
	(4, 10, 9),
	(4, 10, 12),
	(4, 10, 15),
	(4, 10, 18),
	(4, 10, 21),
	(4, 11, 0),
	(4, 11, 3),
	(4, 11, 6),
	(4, 11, 9),
	(4, 11, 12),
	(4, 11, 15),
	(4, 11, 18),
	(4, 11, 21),
	(4, 12, 0),
	(4, 12, 3),
	(4, 12, 6),
	(4, 12, 9),
	(4, 12, 12),
	(4, 12, 15),
	(4, 12, 18),
	(4, 12, 21),
	(4, 13, 0),
	(4, 13, 3),
	(4, 13, 6),
	(4, 13, 9),
	(4, 13, 12),
	(4, 13, 15),
	(4, 13, 18),
	(4, 13, 21),
	(4, 14, 0),
	(4, 14, 3),
	(4, 14, 6),
	(4, 14, 9),
	(4, 14, 12),
	(4, 14, 15),
	(4, 14, 18),
	(4, 14, 21),
	(4, 15, 0),
	(4, 15, 3),
	(4, 15, 6),
	(4, 15, 9),
	(4, 15, 12),
	(4, 15, 15),
	(4, 15, 18),
	(4, 15, 21),
	(4, 16, 0),
	(4, 16, 3),
	(4, 16, 6),
	(4, 16, 9),
	(4, 16, 12),
	(4, 16, 15),
	(4, 16, 18),
	(4, 16, 21),
	(4, 17, 0),
	(4, 17, 3),
	(4, 17, 6),
	(4, 17, 9),
	(4, 17, 12),
	(4, 17, 15),
	(4, 17, 18),
	(4, 17, 21),
	(4, 18, 0),
	(4, 18, 3),
	(4, 18, 6),
	(4, 18, 9),
	(4, 18, 12),
	(4, 18, 15),
	(4, 18, 18),
	(4, 18, 21),
	(4, 19, 0),
	(4, 19, 3),
	(4, 19, 6),
	(4, 19, 9),
	(4, 19, 12),
	(4, 19, 15),
	(4, 19, 18),
	(4, 19, 21),
	(4, 20, 0),
	(4, 20, 3),
	(4, 20, 6),
	(4, 20, 9),
	(4, 20, 12),
	(4, 20, 15),
	(4, 20, 18),
	(4, 20, 21),
	(4, 21, 0),
	(4, 21, 3),
	(4, 21, 6),
	(4, 21, 9),
	(4, 21, 12),
	(4, 21, 15),
	(4, 21, 18),
	(4, 21, 21),
	(4, 22, 0),
	(4, 22, 3),
	(4, 22, 6),
	(4, 22, 9),
	(4, 22, 12),
	(4, 22, 15),
	(4, 22, 18),
	(4, 22, 21),
	(4, 23, 0),
	(4, 23, 3),
	(4, 23, 6),
	(4, 23, 9),
	(4, 23, 12),
	(4, 23, 15),
	(4, 23, 18),
	(4, 23, 21),
	(4, 24, 0),
	(4, 24, 3),
	(4, 24, 6),
	(4, 24, 9),
	(4, 24, 12),
	(4, 24, 15),
	(4, 24, 18),
	(4, 24, 21),
	(4, 25, 0),
	(4, 25, 3),
	(4, 25, 6),
	(4, 25, 9),
	(4, 25, 12),
	(4, 25, 15),
	(4, 25, 18),
	(4, 25, 21),
	(4, 26, 0),
	(4, 26, 3),
	(4, 26, 6),
	(4, 26, 9),
	(4, 26, 12),
	(4, 26, 15),
	(4, 26, 18),
	(4, 26, 21),
	(4, 27, 0),
	(4, 27, 3),
	(4, 27, 6),
	(4, 27, 9),
	(4, 27, 12),
	(4, 27, 15),
	(4, 27, 18),
	(4, 27, 21),
	(4, 28, 0),
	(4, 28, 3),
	(4, 28, 6),
	(4, 28, 9),
	(4, 28, 12),
	(4, 28, 15),
	(4, 28, 18),
	(4, 28, 21),
	(4, 29, 0),
	(4, 29, 3),
	(4, 29, 6),
	(4, 29, 9),
	(4, 29, 12),
	(4, 29, 15),
	(4, 29, 18),
	(4, 29, 21),
	(4, 30, 0),
	(4, 30, 3),
	(4, 30, 6),
	(4, 30, 9),
	(4, 30, 12),
	(4, 30, 15),
	(4, 30, 18),
	(4, 30, 21),
	(5, 1, 0),
	(5, 1, 3),
	(5, 1, 6),
	(5, 1, 9),
	(5, 1, 12),
	(5, 1, 15),
	(5, 1, 18),
	(5, 1, 21),
	(5, 2, 0),
	(5, 2, 3),
	(5, 2, 6),
	(5, 2, 9),
	(5, 2, 12),
	(5, 2, 15),
	(5, 2, 18),
	(5, 2, 21),
	(5, 3, 0),
	(5, 3, 3),
	(5, 3, 6),
	(5, 3, 9),
	(5, 3, 12),
	(5, 3, 15),
	(5, 3, 18),
	(5, 3, 21),
	(5, 4, 0),
	(5, 4, 3),
	(5, 4, 6),
	(5, 4, 9),
	(5, 4, 12),
	(5, 4, 15),
	(5, 4, 18),
	(5, 4, 21),
	(5, 5, 0),
	(5, 5, 3),
	(5, 5, 6),
	(5, 5, 9),
	(5, 5, 12),
	(5, 5, 15),
	(5, 5, 18),
	(5, 5, 21),
	(5, 6, 0),
	(5, 6, 3),
	(5, 6, 6),
	(5, 6, 9),
	(5, 6, 12),
	(5, 6, 15),
	(5, 6, 18),
	(5, 6, 21),
	(5, 7, 0),
	(5, 7, 3),
	(5, 7, 6),
	(5, 7, 9),
	(5, 7, 12),
	(5, 7, 15),
	(5, 7, 18),
	(5, 7, 21),
	(5, 8, 0),
	(5, 8, 3),
	(5, 8, 6),
	(5, 8, 9),
	(5, 8, 12),
	(5, 8, 15),
	(5, 8, 18),
	(5, 8, 21),
	(5, 9, 0),
	(5, 9, 3),
	(5, 9, 6),
	(5, 9, 9),
	(5, 9, 12),
	(5, 9, 15),
	(5, 9, 18),
	(5, 9, 21),
	(5, 10, 0),
	(5, 10, 3),
	(5, 10, 6),
	(5, 10, 9),
	(5, 10, 12),
	(5, 10, 15),
	(5, 10, 18),
	(5, 10, 21),
	(5, 11, 0),
	(5, 11, 3),
	(5, 11, 6),
	(5, 11, 9),
	(5, 11, 12),
	(5, 11, 15),
	(5, 11, 18),
	(5, 11, 21),
	(5, 12, 0),
	(5, 12, 3),
	(5, 12, 6),
	(5, 12, 9),
	(5, 12, 12),
	(5, 12, 15),
	(5, 12, 18),
	(5, 12, 21),
	(5, 13, 0),
	(5, 13, 3),
	(5, 13, 6),
	(5, 13, 9),
	(5, 13, 12),
	(5, 13, 15),
	(5, 13, 18),
	(5, 13, 21),
	(5, 14, 0),
	(5, 14, 3),
	(5, 14, 6),
	(5, 14, 9),
	(5, 14, 12),
	(5, 14, 15),
	(5, 14, 18),
	(5, 14, 21),
	(5, 15, 0),
	(5, 15, 3),
	(5, 15, 6),
	(5, 15, 9),
	(5, 15, 12),
	(5, 15, 15),
	(5, 15, 18),
	(5, 15, 21),
	(5, 16, 0),
	(5, 16, 3),
	(5, 16, 6),
	(5, 16, 9),
	(5, 16, 12),
	(5, 16, 15),
	(5, 16, 18),
	(5, 16, 21),
	(5, 17, 0),
	(5, 17, 3),
	(5, 17, 6),
	(5, 17, 9),
	(5, 17, 12),
	(5, 17, 15),
	(5, 17, 18),
	(5, 17, 21),
	(5, 18, 0),
	(5, 18, 3),
	(5, 18, 6),
	(5, 18, 9),
	(5, 18, 12),
	(5, 18, 15),
	(5, 18, 18),
	(5, 18, 21),
	(5, 19, 0),
	(5, 19, 3),
	(5, 19, 6),
	(5, 19, 9),
	(5, 19, 12),
	(5, 19, 15),
	(5, 19, 18),
	(5, 19, 21),
	(5, 20, 0),
	(5, 20, 3),
	(5, 20, 6),
	(5, 20, 9),
	(5, 20, 12),
	(5, 20, 15),
	(5, 20, 18),
	(5, 20, 21),
	(5, 21, 0),
	(5, 21, 3),
	(5, 21, 6),
	(5, 21, 9),
	(5, 21, 12),
	(5, 21, 15),
	(5, 21, 18),
	(5, 21, 21),
	(5, 22, 0),
	(5, 22, 3),
	(5, 22, 6),
	(5, 22, 9),
	(5, 22, 12),
	(5, 22, 15),
	(5, 22, 18),
	(5, 22, 21),
	(5, 23, 0),
	(5, 23, 3),
	(5, 23, 6),
	(5, 23, 9),
	(5, 23, 12),
	(5, 23, 15),
	(5, 23, 18),
	(5, 23, 21),
	(5, 24, 0),
	(5, 24, 3),
	(5, 24, 6),
	(5, 24, 9),
	(5, 24, 12),
	(5, 24, 15),
	(5, 24, 18),
	(5, 24, 21),
	(5, 25, 0),
	(5, 25, 3),
	(5, 25, 6),
	(5, 25, 9),
	(5, 25, 12),
	(5, 25, 15),
	(5, 25, 18),
	(5, 25, 21),
	(5, 26, 0),
	(5, 26, 3),
	(5, 26, 6),
	(5, 26, 9),
	(5, 26, 12),
	(5, 26, 15),
	(5, 26, 18),
	(5, 26, 21),
	(5, 27, 0),
	(5, 27, 3),
	(5, 27, 6),
	(5, 27, 9),
	(5, 27, 12),
	(5, 27, 15),
	(5, 27, 18),
	(5, 27, 21),
	(5, 28, 0),
	(5, 28, 3),
	(5, 28, 6),
	(5, 28, 9),
	(5, 28, 12),
	(5, 28, 15),
	(5, 28, 18),
	(5, 28, 21),
	(5, 29, 0),
	(5, 29, 3),
	(5, 29, 6),
	(5, 29, 9),
	(5, 29, 12),
	(5, 29, 15),
	(5, 29, 18),
	(5, 29, 21),
	(5, 30, 0),
	(5, 30, 3),
	(5, 30, 6),
	(5, 30, 9),
	(5, 30, 12),
	(5, 30, 15),
	(5, 30, 18),
	(5, 30, 21),
	(5, 31, 0),
	(5, 31, 3),
	(5, 31, 6),
	(5, 31, 9),
	(5, 31, 12),
	(5, 31, 15),
	(5, 31, 18),
	(5, 31, 21),
	(6, 1, 0),
	(6, 1, 3),
	(6, 1, 6),
	(6, 1, 9),
	(6, 1, 12),
	(6, 1, 15),
	(6, 1, 18),
	(6, 1, 21),
	(6, 2, 0),
	(6, 2, 3),
	(6, 2, 6),
	(6, 2, 9),
	(6, 2, 12),
	(6, 2, 15),
	(6, 2, 18),
	(6, 2, 21),
	(6, 3, 0),
	(6, 3, 3),
	(6, 3, 6),
	(6, 3, 9),
	(6, 3, 12),
	(6, 3, 15),
	(6, 3, 18),
	(6, 3, 21),
	(6, 4, 0),
	(6, 4, 3),
	(6, 4, 6),
	(6, 4, 9),
	(6, 4, 12),
	(6, 4, 15),
	(6, 4, 18),
	(6, 4, 21),
	(6, 5, 0),
	(6, 5, 3),
	(6, 5, 6),
	(6, 5, 9),
	(6, 5, 12),
	(6, 5, 15),
	(6, 5, 18),
	(6, 5, 21),
	(6, 6, 0),
	(6, 6, 3),
	(6, 6, 6),
	(6, 6, 9),
	(6, 6, 12),
	(6, 6, 15),
	(6, 6, 18),
	(6, 6, 21),
	(6, 7, 0),
	(6, 7, 3),
	(6, 7, 6),
	(6, 7, 9),
	(6, 7, 12),
	(6, 7, 15),
	(6, 7, 18),
	(6, 7, 21),
	(6, 8, 0),
	(6, 8, 3),
	(6, 8, 6),
	(6, 8, 9),
	(6, 8, 12),
	(6, 8, 15),
	(6, 8, 18),
	(6, 8, 21),
	(6, 9, 0),
	(6, 9, 3),
	(6, 9, 6),
	(6, 9, 9),
	(6, 9, 12),
	(6, 9, 15),
	(6, 9, 18),
	(6, 9, 21),
	(6, 10, 0),
	(6, 10, 3),
	(6, 10, 6),
	(6, 10, 9),
	(6, 10, 12),
	(6, 10, 15),
	(6, 10, 18),
	(6, 10, 21),
	(6, 11, 0),
	(6, 11, 3),
	(6, 11, 6),
	(6, 11, 9),
	(6, 11, 12),
	(6, 11, 15),
	(6, 11, 18),
	(6, 11, 21),
	(6, 12, 0),
	(6, 12, 3),
	(6, 12, 6),
	(6, 12, 9),
	(6, 12, 12),
	(6, 12, 15),
	(6, 12, 18),
	(6, 12, 21),
	(6, 13, 0),
	(6, 13, 3),
	(6, 13, 6),
	(6, 13, 9),
	(6, 13, 12),
	(6, 13, 15),
	(6, 13, 18),
	(6, 13, 21),
	(6, 14, 0),
	(6, 14, 3),
	(6, 14, 6),
	(6, 14, 9),
	(6, 14, 12),
	(6, 14, 15),
	(6, 14, 18),
	(6, 14, 21),
	(6, 15, 0),
	(6, 15, 3),
	(6, 15, 6),
	(6, 15, 9),
	(6, 15, 12),
	(6, 15, 15),
	(6, 15, 18),
	(6, 15, 21),
	(6, 16, 0),
	(6, 16, 3),
	(6, 16, 6),
	(6, 16, 9),
	(6, 16, 12),
	(6, 16, 15),
	(6, 16, 18),
	(6, 16, 21),
	(6, 17, 0),
	(6, 17, 3),
	(6, 17, 6),
	(6, 17, 9),
	(6, 17, 12),
	(6, 17, 15),
	(6, 17, 18),
	(6, 17, 21),
	(6, 18, 0),
	(6, 18, 3),
	(6, 18, 6),
	(6, 18, 9),
	(6, 18, 12),
	(6, 18, 15),
	(6, 18, 18),
	(6, 18, 21),
	(6, 19, 0),
	(6, 19, 3),
	(6, 19, 6),
	(6, 19, 9),
	(6, 19, 12),
	(6, 19, 15),
	(6, 19, 18),
	(6, 19, 21),
	(6, 20, 0),
	(6, 20, 3),
	(6, 20, 6),
	(6, 20, 9),
	(6, 20, 12),
	(6, 20, 15),
	(6, 20, 18),
	(6, 20, 21),
	(6, 21, 0),
	(6, 21, 3),
	(6, 21, 6),
	(6, 21, 9),
	(6, 21, 12),
	(6, 21, 15),
	(6, 21, 18),
	(6, 21, 21),
	(6, 22, 0),
	(6, 22, 3),
	(6, 22, 6),
	(6, 22, 9),
	(6, 22, 12),
	(6, 22, 15),
	(6, 22, 18),
	(6, 22, 21),
	(6, 23, 0),
	(6, 23, 3),
	(6, 23, 6),
	(6, 23, 9),
	(6, 23, 12),
	(6, 23, 15),
	(6, 23, 18),
	(6, 23, 21),
	(6, 24, 0),
	(6, 24, 3),
	(6, 24, 6),
	(6, 24, 9),
	(6, 24, 12),
	(6, 24, 15),
	(6, 24, 18),
	(6, 24, 21),
	(6, 25, 0),
	(6, 25, 3),
	(6, 25, 6),
	(6, 25, 9),
	(6, 25, 12),
	(6, 25, 15),
	(6, 25, 18),
	(6, 25, 21),
	(6, 26, 0),
	(6, 26, 3),
	(6, 26, 6),
	(6, 26, 9),
	(6, 26, 12),
	(6, 26, 15),
	(6, 26, 18),
	(6, 26, 21),
	(6, 27, 0),
	(6, 27, 3),
	(6, 27, 6),
	(6, 27, 9),
	(6, 27, 12),
	(6, 27, 15),
	(6, 27, 18),
	(6, 27, 21),
	(6, 28, 0),
	(6, 28, 3),
	(6, 28, 6),
	(6, 28, 9),
	(6, 28, 12),
	(6, 28, 15),
	(6, 28, 18),
	(6, 28, 21),
	(6, 29, 0),
	(6, 29, 3),
	(6, 29, 6),
	(6, 29, 9),
	(6, 29, 12),
	(6, 29, 15),
	(6, 29, 18),
	(6, 29, 21),
	(6, 30, 0),
	(6, 30, 3),
	(6, 30, 6),
	(6, 30, 9),
	(6, 30, 12),
	(6, 30, 15),
	(6, 30, 18),
	(6, 30, 21),
	(7, 1, 0),
	(7, 1, 3),
	(7, 1, 6),
	(7, 1, 9),
	(7, 1, 12),
	(7, 1, 15),
	(7, 1, 18),
	(7, 1, 21),
	(7, 2, 0),
	(7, 2, 3),
	(7, 2, 6),
	(7, 2, 9),
	(7, 2, 12),
	(7, 2, 15),
	(7, 2, 18),
	(7, 2, 21),
	(7, 3, 0),
	(7, 3, 3),
	(7, 3, 6),
	(7, 3, 9),
	(7, 3, 12),
	(7, 3, 15),
	(7, 3, 18),
	(7, 3, 21),
	(7, 4, 0),
	(7, 4, 3),
	(7, 4, 6),
	(7, 4, 9),
	(7, 4, 12),
	(7, 4, 15),
	(7, 4, 18),
	(7, 4, 21),
	(7, 5, 0),
	(7, 5, 3),
	(7, 5, 6),
	(7, 5, 9),
	(7, 5, 12),
	(7, 5, 15),
	(7, 5, 18),
	(7, 5, 21),
	(7, 6, 0),
	(7, 6, 3),
	(7, 6, 6),
	(7, 6, 9),
	(7, 6, 12),
	(7, 6, 15),
	(7, 6, 18),
	(7, 6, 21),
	(7, 7, 0),
	(7, 7, 3),
	(7, 7, 6),
	(7, 7, 9),
	(7, 7, 12),
	(7, 7, 15),
	(7, 7, 18),
	(7, 7, 21),
	(7, 8, 0),
	(7, 8, 3),
	(7, 8, 6),
	(7, 8, 9),
	(7, 8, 12),
	(7, 8, 15),
	(7, 8, 18),
	(7, 8, 21),
	(7, 9, 0),
	(7, 9, 3),
	(7, 9, 6),
	(7, 9, 9),
	(7, 9, 12),
	(7, 9, 15),
	(7, 9, 18),
	(7, 9, 21),
	(7, 10, 0),
	(7, 10, 3),
	(7, 10, 6),
	(7, 10, 9),
	(7, 10, 12),
	(7, 10, 15),
	(7, 10, 18),
	(7, 10, 21),
	(7, 11, 0),
	(7, 11, 3),
	(7, 11, 6),
	(7, 11, 9),
	(7, 11, 12),
	(7, 11, 15),
	(7, 11, 18),
	(7, 11, 21),
	(7, 12, 0),
	(7, 12, 3),
	(7, 12, 6),
	(7, 12, 9),
	(7, 12, 12),
	(7, 12, 15),
	(7, 12, 18),
	(7, 12, 21),
	(7, 13, 0),
	(7, 13, 3),
	(7, 13, 6),
	(7, 13, 9),
	(7, 13, 12),
	(7, 13, 15),
	(7, 13, 18),
	(7, 13, 21),
	(7, 14, 0),
	(7, 14, 3),
	(7, 14, 6),
	(7, 14, 9),
	(7, 14, 12),
	(7, 14, 15),
	(7, 14, 18),
	(7, 14, 21),
	(7, 15, 0),
	(7, 15, 3),
	(7, 15, 6),
	(7, 15, 9),
	(7, 15, 12),
	(7, 15, 15),
	(7, 15, 18),
	(7, 15, 21),
	(7, 16, 0),
	(7, 16, 3),
	(7, 16, 6),
	(7, 16, 9),
	(7, 16, 12),
	(7, 16, 15),
	(7, 16, 18),
	(7, 16, 21),
	(7, 17, 0),
	(7, 17, 3),
	(7, 17, 6),
	(7, 17, 9),
	(7, 17, 12),
	(7, 17, 15),
	(7, 17, 18),
	(7, 17, 21),
	(7, 18, 0),
	(7, 18, 3),
	(7, 18, 6),
	(7, 18, 9),
	(7, 18, 12),
	(7, 18, 15),
	(7, 18, 18),
	(7, 18, 21),
	(7, 19, 0),
	(7, 19, 3),
	(7, 19, 6),
	(7, 19, 9),
	(7, 19, 12),
	(7, 19, 15),
	(7, 19, 18),
	(7, 19, 21),
	(7, 20, 0),
	(7, 20, 3),
	(7, 20, 6),
	(7, 20, 9),
	(7, 20, 12),
	(7, 20, 15),
	(7, 20, 18),
	(7, 20, 21),
	(7, 21, 0),
	(7, 21, 3),
	(7, 21, 6),
	(7, 21, 9),
	(7, 21, 12),
	(7, 21, 15),
	(7, 21, 18),
	(7, 21, 21),
	(7, 22, 0),
	(7, 22, 3),
	(7, 22, 6),
	(7, 22, 9),
	(7, 22, 12),
	(7, 22, 15),
	(7, 22, 18),
	(7, 22, 21),
	(7, 23, 0),
	(7, 23, 3),
	(7, 23, 6),
	(7, 23, 9),
	(7, 23, 12),
	(7, 23, 15),
	(7, 23, 18),
	(7, 23, 21),
	(7, 24, 0),
	(7, 24, 3),
	(7, 24, 6),
	(7, 24, 9),
	(7, 24, 12),
	(7, 24, 15),
	(7, 24, 18),
	(7, 24, 21),
	(7, 25, 0),
	(7, 25, 3),
	(7, 25, 6),
	(7, 25, 9),
	(7, 25, 12),
	(7, 25, 15),
	(7, 25, 18),
	(7, 25, 21),
	(7, 26, 0),
	(7, 26, 3),
	(7, 26, 6),
	(7, 26, 9),
	(7, 26, 12),
	(7, 26, 15),
	(7, 26, 18),
	(7, 26, 21),
	(7, 27, 0),
	(7, 27, 3),
	(7, 27, 6),
	(7, 27, 9),
	(7, 27, 12),
	(7, 27, 15),
	(7, 27, 18),
	(7, 27, 21),
	(7, 28, 0),
	(7, 28, 3),
	(7, 28, 6),
	(7, 28, 9),
	(7, 28, 12),
	(7, 28, 15),
	(7, 28, 18),
	(7, 28, 21),
	(7, 29, 0),
	(7, 29, 3),
	(7, 29, 6),
	(7, 29, 9),
	(7, 29, 12),
	(7, 29, 15),
	(7, 29, 18),
	(7, 29, 21),
	(7, 30, 0),
	(7, 30, 3),
	(7, 30, 6),
	(7, 30, 9),
	(7, 30, 12),
	(7, 30, 15),
	(7, 30, 18),
	(7, 30, 21),
	(7, 31, 0),
	(7, 31, 3),
	(7, 31, 6),
	(7, 31, 9),
	(7, 31, 12),
	(7, 31, 15),
	(7, 31, 18),
	(7, 31, 21),
	(8, 1, 0),
	(8, 1, 3),
	(8, 1, 6),
	(8, 1, 9),
	(8, 1, 12),
	(8, 1, 15),
	(8, 1, 18),
	(8, 1, 21),
	(8, 2, 0),
	(8, 2, 3),
	(8, 2, 6),
	(8, 2, 9),
	(8, 2, 12),
	(8, 2, 15),
	(8, 2, 18),
	(8, 2, 21),
	(8, 3, 0),
	(8, 3, 3),
	(8, 3, 6),
	(8, 3, 9),
	(8, 3, 12),
	(8, 3, 15),
	(8, 3, 18),
	(8, 3, 21),
	(8, 4, 0),
	(8, 4, 3),
	(8, 4, 6),
	(8, 4, 9),
	(8, 4, 12),
	(8, 4, 15),
	(8, 4, 18),
	(8, 4, 21),
	(8, 5, 0),
	(8, 5, 3),
	(8, 5, 6),
	(8, 5, 9),
	(8, 5, 12),
	(8, 5, 15),
	(8, 5, 18),
	(8, 5, 21),
	(8, 6, 0),
	(8, 6, 3),
	(8, 6, 6),
	(8, 6, 9),
	(8, 6, 12),
	(8, 6, 15),
	(8, 6, 18),
	(8, 6, 21),
	(8, 7, 0),
	(8, 7, 3),
	(8, 7, 6),
	(8, 7, 9),
	(8, 7, 12),
	(8, 7, 15),
	(8, 7, 18),
	(8, 7, 21),
	(8, 8, 0),
	(8, 8, 3),
	(8, 8, 6),
	(8, 8, 9),
	(8, 8, 12),
	(8, 8, 15),
	(8, 8, 18),
	(8, 8, 21),
	(8, 9, 0),
	(8, 9, 3),
	(8, 9, 6),
	(8, 9, 9),
	(8, 9, 12),
	(8, 9, 15),
	(8, 9, 18),
	(8, 9, 21),
	(8, 10, 0),
	(8, 10, 3),
	(8, 10, 6),
	(8, 10, 9),
	(8, 10, 12),
	(8, 10, 15),
	(8, 10, 18),
	(8, 10, 21),
	(8, 11, 0),
	(8, 11, 3),
	(8, 11, 6),
	(8, 11, 9),
	(8, 11, 12),
	(8, 11, 15),
	(8, 11, 18),
	(8, 11, 21),
	(8, 12, 0),
	(8, 12, 3),
	(8, 12, 6),
	(8, 12, 9),
	(8, 12, 12),
	(8, 12, 15),
	(8, 12, 18),
	(8, 12, 21),
	(8, 13, 0),
	(8, 13, 3),
	(8, 13, 6),
	(8, 13, 9),
	(8, 13, 12),
	(8, 13, 15),
	(8, 13, 18),
	(8, 13, 21),
	(8, 14, 0),
	(8, 14, 3),
	(8, 14, 6),
	(8, 14, 9),
	(8, 14, 12),
	(8, 14, 15),
	(8, 14, 18),
	(8, 14, 21),
	(8, 15, 0),
	(8, 15, 3),
	(8, 15, 6),
	(8, 15, 9),
	(8, 15, 12),
	(8, 15, 15),
	(8, 15, 18),
	(8, 15, 21),
	(8, 16, 0),
	(8, 16, 3),
	(8, 16, 6),
	(8, 16, 9),
	(8, 16, 12),
	(8, 16, 15),
	(8, 16, 18),
	(8, 16, 21),
	(8, 17, 0),
	(8, 17, 3),
	(8, 17, 6),
	(8, 17, 9),
	(8, 17, 12),
	(8, 17, 15),
	(8, 17, 18),
	(8, 17, 21),
	(8, 18, 0),
	(8, 18, 3),
	(8, 18, 6),
	(8, 18, 9),
	(8, 18, 12),
	(8, 18, 15),
	(8, 18, 18),
	(8, 18, 21),
	(8, 19, 0),
	(8, 19, 3),
	(8, 19, 6),
	(8, 19, 9),
	(8, 19, 12),
	(8, 19, 15),
	(8, 19, 18),
	(8, 19, 21),
	(8, 20, 0),
	(8, 20, 3),
	(8, 20, 6),
	(8, 20, 9),
	(8, 20, 12),
	(8, 20, 15),
	(8, 20, 18),
	(8, 20, 21),
	(8, 21, 0),
	(8, 21, 3),
	(8, 21, 6),
	(8, 21, 9),
	(8, 21, 12),
	(8, 21, 15),
	(8, 21, 18),
	(8, 21, 21),
	(8, 22, 0),
	(8, 22, 3),
	(8, 22, 6),
	(8, 22, 9),
	(8, 22, 12),
	(8, 22, 15),
	(8, 22, 18),
	(8, 22, 21),
	(8, 23, 0),
	(8, 23, 3),
	(8, 23, 6),
	(8, 23, 9),
	(8, 23, 12),
	(8, 23, 15),
	(8, 23, 18),
	(8, 23, 21),
	(8, 24, 0),
	(8, 24, 3),
	(8, 24, 6),
	(8, 24, 9),
	(8, 24, 12),
	(8, 24, 15),
	(8, 24, 18),
	(8, 24, 21),
	(8, 25, 0),
	(8, 25, 3),
	(8, 25, 6),
	(8, 25, 9),
	(8, 25, 12),
	(8, 25, 15),
	(8, 25, 18),
	(8, 25, 21),
	(8, 26, 0),
	(8, 26, 3),
	(8, 26, 6),
	(8, 26, 9),
	(8, 26, 12),
	(8, 26, 15),
	(8, 26, 18),
	(8, 26, 21),
	(8, 27, 0),
	(8, 27, 3),
	(8, 27, 6),
	(8, 27, 9),
	(8, 27, 12),
	(8, 27, 15),
	(8, 27, 18),
	(8, 27, 21),
	(8, 28, 0),
	(8, 28, 3),
	(8, 28, 6),
	(8, 28, 9),
	(8, 28, 12),
	(8, 28, 15),
	(8, 28, 18),
	(8, 28, 21),
	(8, 29, 0),
	(8, 29, 3),
	(8, 29, 6),
	(8, 29, 9),
	(8, 29, 12),
	(8, 29, 15),
	(8, 29, 18),
	(8, 29, 21),
	(8, 30, 0),
	(8, 30, 3),
	(8, 30, 6),
	(8, 30, 9),
	(8, 30, 12),
	(8, 30, 15),
	(8, 30, 18),
	(8, 30, 21),
	(8, 31, 0),
	(8, 31, 3),
	(8, 31, 6),
	(8, 31, 9),
	(8, 31, 12),
	(8, 31, 15),
	(8, 31, 18),
	(8, 31, 21),
	(9, 1, 0),
	(9, 1, 3),
	(9, 1, 6),
	(9, 1, 9),
	(9, 1, 12),
	(9, 1, 15),
	(9, 1, 18),
	(9, 1, 21),
	(9, 2, 0),
	(9, 2, 3),
	(9, 2, 6),
	(9, 2, 9),
	(9, 2, 12),
	(9, 2, 15),
	(9, 2, 18),
	(9, 2, 21),
	(9, 3, 0),
	(9, 3, 3),
	(9, 3, 6),
	(9, 3, 9),
	(9, 3, 12),
	(9, 3, 15),
	(9, 3, 18),
	(9, 3, 21),
	(9, 4, 0),
	(9, 4, 3),
	(9, 4, 6),
	(9, 4, 9),
	(9, 4, 12),
	(9, 4, 15),
	(9, 4, 18),
	(9, 4, 21),
	(9, 5, 0),
	(9, 5, 3),
	(9, 5, 6),
	(9, 5, 9),
	(9, 5, 12),
	(9, 5, 15),
	(9, 5, 18),
	(9, 5, 21),
	(9, 6, 0),
	(9, 6, 3),
	(9, 6, 6),
	(9, 6, 9),
	(9, 6, 12),
	(9, 6, 15),
	(9, 6, 18),
	(9, 6, 21),
	(9, 7, 0),
	(9, 7, 3),
	(9, 7, 6),
	(9, 7, 9),
	(9, 7, 12),
	(9, 7, 15),
	(9, 7, 18),
	(9, 7, 21),
	(9, 8, 0),
	(9, 8, 3),
	(9, 8, 6),
	(9, 8, 9),
	(9, 8, 12),
	(9, 8, 15),
	(9, 8, 18),
	(9, 8, 21),
	(9, 9, 0),
	(9, 9, 3),
	(9, 9, 6),
	(9, 9, 9),
	(9, 9, 12),
	(9, 9, 15),
	(9, 9, 18),
	(9, 9, 21),
	(9, 10, 0),
	(9, 10, 3),
	(9, 10, 6),
	(9, 10, 9),
	(9, 10, 12),
	(9, 10, 15),
	(9, 10, 18),
	(9, 10, 21),
	(9, 11, 0),
	(9, 11, 3),
	(9, 11, 6),
	(9, 11, 9),
	(9, 11, 12),
	(9, 11, 15),
	(9, 11, 18),
	(9, 11, 21),
	(9, 12, 0),
	(9, 12, 3),
	(9, 12, 6),
	(9, 12, 9),
	(9, 12, 12),
	(9, 12, 15),
	(9, 12, 18),
	(9, 12, 21),
	(9, 13, 0),
	(9, 13, 3),
	(9, 13, 6),
	(9, 13, 9),
	(9, 13, 12),
	(9, 13, 15),
	(9, 13, 18),
	(9, 13, 21),
	(9, 14, 0),
	(9, 14, 3),
	(9, 14, 6),
	(9, 14, 9),
	(9, 14, 12),
	(9, 14, 15),
	(9, 14, 18),
	(9, 14, 21),
	(9, 15, 0),
	(9, 15, 3),
	(9, 15, 6),
	(9, 15, 9),
	(9, 15, 12),
	(9, 15, 15),
	(9, 15, 18),
	(9, 15, 21),
	(9, 16, 0),
	(9, 16, 3),
	(9, 16, 6),
	(9, 16, 9),
	(9, 16, 12),
	(9, 16, 15),
	(9, 16, 18),
	(9, 16, 21),
	(9, 17, 0),
	(9, 17, 3),
	(9, 17, 6),
	(9, 17, 9),
	(9, 17, 12),
	(9, 17, 15),
	(9, 17, 18),
	(9, 17, 21),
	(9, 18, 0),
	(9, 18, 3),
	(9, 18, 6),
	(9, 18, 9),
	(9, 18, 12),
	(9, 18, 15),
	(9, 18, 18),
	(9, 18, 21),
	(9, 19, 0),
	(9, 19, 3),
	(9, 19, 6),
	(9, 19, 9),
	(9, 19, 12),
	(9, 19, 15),
	(9, 19, 18),
	(9, 19, 21),
	(9, 20, 0),
	(9, 20, 3),
	(9, 20, 6),
	(9, 20, 9),
	(9, 20, 12),
	(9, 20, 15),
	(9, 20, 18),
	(9, 20, 21),
	(9, 21, 0),
	(9, 21, 3),
	(9, 21, 6),
	(9, 21, 9),
	(9, 21, 12),
	(9, 21, 15),
	(9, 21, 18),
	(9, 21, 21),
	(9, 22, 0),
	(9, 22, 3),
	(9, 22, 6),
	(9, 22, 9),
	(9, 22, 12),
	(9, 22, 15),
	(9, 22, 18),
	(9, 22, 21),
	(9, 23, 0),
	(9, 23, 3),
	(9, 23, 6),
	(9, 23, 9),
	(9, 23, 12),
	(9, 23, 15),
	(9, 23, 18),
	(9, 23, 21),
	(9, 24, 0),
	(9, 24, 3),
	(9, 24, 6),
	(9, 24, 9),
	(9, 24, 12),
	(9, 24, 15),
	(9, 24, 18),
	(9, 24, 21),
	(9, 25, 0),
	(9, 25, 3),
	(9, 25, 6),
	(9, 25, 9),
	(9, 25, 12),
	(9, 25, 15),
	(9, 25, 18),
	(9, 25, 21),
	(9, 26, 0),
	(9, 26, 3),
	(9, 26, 6),
	(9, 26, 9),
	(9, 26, 12),
	(9, 26, 15),
	(9, 26, 18),
	(9, 26, 21),
	(9, 27, 0),
	(9, 27, 3),
	(9, 27, 6),
	(9, 27, 9),
	(9, 27, 12),
	(9, 27, 15),
	(9, 27, 18),
	(9, 27, 21),
	(9, 28, 0),
	(9, 28, 3),
	(9, 28, 6),
	(9, 28, 9),
	(9, 28, 12),
	(9, 28, 15),
	(9, 28, 18),
	(9, 28, 21),
	(9, 29, 0),
	(9, 29, 3),
	(9, 29, 6),
	(9, 29, 9),
	(9, 29, 12),
	(9, 29, 15),
	(9, 29, 18),
	(9, 29, 21),
	(9, 30, 0),
	(9, 30, 3),
	(9, 30, 6),
	(9, 30, 9),
	(9, 30, 12),
	(9, 30, 15),
	(9, 30, 18),
	(9, 30, 21),
	(10, 1, 0),
	(10, 1, 3),
	(10, 1, 6),
	(10, 1, 9),
	(10, 1, 12),
	(10, 1, 15),
	(10, 1, 18),
	(10, 1, 21),
	(10, 2, 0),
	(10, 2, 3),
	(10, 2, 6),
	(10, 2, 9),
	(10, 2, 12),
	(10, 2, 15),
	(10, 2, 18),
	(10, 2, 21),
	(10, 3, 0),
	(10, 3, 3),
	(10, 3, 6),
	(10, 3, 9),
	(10, 3, 12),
	(10, 3, 15),
	(10, 3, 18),
	(10, 3, 21),
	(10, 4, 0),
	(10, 4, 3),
	(10, 4, 6),
	(10, 4, 9),
	(10, 4, 12),
	(10, 4, 15),
	(10, 4, 18),
	(10, 4, 21),
	(10, 5, 0),
	(10, 5, 3),
	(10, 5, 6),
	(10, 5, 9),
	(10, 5, 12),
	(10, 5, 15),
	(10, 5, 18),
	(10, 5, 21),
	(10, 6, 0),
	(10, 6, 3),
	(10, 6, 6),
	(10, 6, 9),
	(10, 6, 12),
	(10, 6, 15),
	(10, 6, 18),
	(10, 6, 21),
	(10, 7, 0),
	(10, 7, 3),
	(10, 7, 6),
	(10, 7, 9),
	(10, 7, 12),
	(10, 7, 15),
	(10, 7, 18),
	(10, 7, 21),
	(10, 8, 0),
	(10, 8, 3),
	(10, 8, 6),
	(10, 8, 9),
	(10, 8, 12),
	(10, 8, 15),
	(10, 8, 18),
	(10, 8, 21),
	(10, 9, 0),
	(10, 9, 3),
	(10, 9, 6),
	(10, 9, 9),
	(10, 9, 12),
	(10, 9, 15),
	(10, 9, 18),
	(10, 9, 21),
	(10, 10, 0),
	(10, 10, 3),
	(10, 10, 6),
	(10, 10, 9),
	(10, 10, 12),
	(10, 10, 15),
	(10, 10, 18),
	(10, 10, 21),
	(10, 11, 0),
	(10, 11, 3),
	(10, 11, 6),
	(10, 11, 9),
	(10, 11, 12),
	(10, 11, 15),
	(10, 11, 18),
	(10, 11, 21),
	(10, 12, 0),
	(10, 12, 3),
	(10, 12, 6),
	(10, 12, 9),
	(10, 12, 12),
	(10, 12, 15),
	(10, 12, 18),
	(10, 12, 21),
	(10, 13, 0),
	(10, 13, 3),
	(10, 13, 6),
	(10, 13, 9),
	(10, 13, 12),
	(10, 13, 15),
	(10, 13, 18),
	(10, 13, 21),
	(10, 14, 0),
	(10, 14, 3),
	(10, 14, 6),
	(10, 14, 9),
	(10, 14, 12),
	(10, 14, 15),
	(10, 14, 18),
	(10, 14, 21),
	(10, 15, 0),
	(10, 15, 3),
	(10, 15, 6),
	(10, 15, 9),
	(10, 15, 12),
	(10, 15, 15),
	(10, 15, 18),
	(10, 15, 21),
	(10, 16, 0),
	(10, 16, 3),
	(10, 16, 6),
	(10, 16, 9),
	(10, 16, 12),
	(10, 16, 15),
	(10, 16, 18),
	(10, 16, 21),
	(10, 17, 0),
	(10, 17, 3),
	(10, 17, 6),
	(10, 17, 9),
	(10, 17, 12),
	(10, 17, 15),
	(10, 17, 18),
	(10, 17, 21),
	(10, 18, 0),
	(10, 18, 3),
	(10, 18, 6),
	(10, 18, 9),
	(10, 18, 12),
	(10, 18, 15),
	(10, 18, 18),
	(10, 18, 21),
	(10, 19, 0),
	(10, 19, 3),
	(10, 19, 6),
	(10, 19, 9),
	(10, 19, 12),
	(10, 19, 15),
	(10, 19, 18),
	(10, 19, 21),
	(10, 20, 0),
	(10, 20, 3),
	(10, 20, 6),
	(10, 20, 9),
	(10, 20, 12),
	(10, 20, 15),
	(10, 20, 18),
	(10, 20, 21),
	(10, 21, 0),
	(10, 21, 3),
	(10, 21, 6),
	(10, 21, 9),
	(10, 21, 12),
	(10, 21, 15),
	(10, 21, 18),
	(10, 21, 21),
	(10, 22, 0),
	(10, 22, 3),
	(10, 22, 6),
	(10, 22, 9),
	(10, 22, 12),
	(10, 22, 15),
	(10, 22, 18),
	(10, 22, 21),
	(10, 23, 0),
	(10, 23, 3),
	(10, 23, 6),
	(10, 23, 9),
	(10, 23, 12),
	(10, 23, 15),
	(10, 23, 18),
	(10, 23, 21),
	(10, 24, 0),
	(10, 24, 3),
	(10, 24, 6),
	(10, 24, 9),
	(10, 24, 12),
	(10, 24, 15),
	(10, 24, 18),
	(10, 24, 21),
	(10, 25, 0),
	(10, 25, 3),
	(10, 25, 6),
	(10, 25, 9),
	(10, 25, 12),
	(10, 25, 15),
	(10, 25, 18),
	(10, 25, 21),
	(10, 26, 0),
	(10, 26, 3),
	(10, 26, 6),
	(10, 26, 9),
	(10, 26, 12),
	(10, 26, 15),
	(10, 26, 18),
	(10, 26, 21),
	(10, 27, 0),
	(10, 27, 3),
	(10, 27, 6),
	(10, 27, 9),
	(10, 27, 12),
	(10, 27, 15),
	(10, 27, 18),
	(10, 27, 21),
	(10, 28, 0),
	(10, 28, 3),
	(10, 28, 6),
	(10, 28, 9),
	(10, 28, 12),
	(10, 28, 15),
	(10, 28, 18),
	(10, 28, 21),
	(10, 29, 0),
	(10, 29, 3),
	(10, 29, 6),
	(10, 29, 9),
	(10, 29, 12),
	(10, 29, 15),
	(10, 29, 18),
	(10, 29, 21),
	(10, 30, 0),
	(10, 30, 3),
	(10, 30, 6),
	(10, 30, 9),
	(10, 30, 12),
	(10, 30, 15),
	(10, 30, 18),
	(10, 30, 21),
	(10, 31, 0),
	(10, 31, 3),
	(10, 31, 6),
	(10, 31, 9),
	(10, 31, 12),
	(10, 31, 15),
	(10, 31, 18),
	(10, 31, 21),
	(11, 1, 0),
	(11, 1, 3),
	(11, 1, 6),
	(11, 1, 9),
	(11, 1, 12),
	(11, 1, 15),
	(11, 1, 18),
	(11, 1, 21),
	(11, 2, 0),
	(11, 2, 3),
	(11, 2, 6),
	(11, 2, 9),
	(11, 2, 12),
	(11, 2, 15),
	(11, 2, 18),
	(11, 2, 21),
	(11, 3, 0),
	(11, 3, 3),
	(11, 3, 6),
	(11, 3, 9),
	(11, 3, 12),
	(11, 3, 15),
	(11, 3, 18),
	(11, 3, 21),
	(11, 4, 0),
	(11, 4, 3),
	(11, 4, 6),
	(11, 4, 9),
	(11, 4, 12),
	(11, 4, 15),
	(11, 4, 18),
	(11, 4, 21),
	(11, 5, 0),
	(11, 5, 3),
	(11, 5, 6),
	(11, 5, 9),
	(11, 5, 12),
	(11, 5, 15),
	(11, 5, 18),
	(11, 5, 21),
	(11, 6, 0),
	(11, 6, 3),
	(11, 6, 6),
	(11, 6, 9),
	(11, 6, 12),
	(11, 6, 15),
	(11, 6, 18),
	(11, 6, 21),
	(11, 7, 0),
	(11, 7, 3),
	(11, 7, 6),
	(11, 7, 9),
	(11, 7, 12),
	(11, 7, 15),
	(11, 7, 18),
	(11, 7, 21),
	(11, 8, 0),
	(11, 8, 3),
	(11, 8, 6),
	(11, 8, 9),
	(11, 8, 12),
	(11, 8, 15),
	(11, 8, 18),
	(11, 8, 21),
	(11, 9, 0),
	(11, 9, 3),
	(11, 9, 6),
	(11, 9, 9),
	(11, 9, 12),
	(11, 9, 15),
	(11, 9, 18),
	(11, 9, 21),
	(11, 10, 0),
	(11, 10, 3),
	(11, 10, 6),
	(11, 10, 9),
	(11, 10, 12),
	(11, 10, 15),
	(11, 10, 18),
	(11, 10, 21),
	(11, 11, 0),
	(11, 11, 3),
	(11, 11, 6),
	(11, 11, 9),
	(11, 11, 12),
	(11, 11, 15),
	(11, 11, 18),
	(11, 11, 21),
	(11, 12, 0),
	(11, 12, 3),
	(11, 12, 6),
	(11, 12, 9),
	(11, 12, 12),
	(11, 12, 15),
	(11, 12, 18),
	(11, 12, 21),
	(11, 13, 0),
	(11, 13, 3),
	(11, 13, 6),
	(11, 13, 9),
	(11, 13, 12),
	(11, 13, 15),
	(11, 13, 18),
	(11, 13, 21),
	(11, 14, 0),
	(11, 14, 3),
	(11, 14, 6),
	(11, 14, 9),
	(11, 14, 12),
	(11, 14, 15),
	(11, 14, 18),
	(11, 14, 21),
	(11, 15, 0),
	(11, 15, 3),
	(11, 15, 6),
	(11, 15, 9),
	(11, 15, 12),
	(11, 15, 15),
	(11, 15, 18),
	(11, 15, 21),
	(11, 16, 0),
	(11, 16, 3),
	(11, 16, 6),
	(11, 16, 9),
	(11, 16, 12),
	(11, 16, 15),
	(11, 16, 18),
	(11, 16, 21),
	(11, 17, 0),
	(11, 17, 3),
	(11, 17, 6),
	(11, 17, 9),
	(11, 17, 12),
	(11, 17, 15),
	(11, 17, 18),
	(11, 17, 21),
	(11, 18, 0),
	(11, 18, 3),
	(11, 18, 6),
	(11, 18, 9),
	(11, 18, 12),
	(11, 18, 15),
	(11, 18, 18),
	(11, 18, 21),
	(11, 19, 0),
	(11, 19, 3),
	(11, 19, 6),
	(11, 19, 9),
	(11, 19, 12),
	(11, 19, 15),
	(11, 19, 18),
	(11, 19, 21),
	(11, 20, 0),
	(11, 20, 3),
	(11, 20, 6),
	(11, 20, 9),
	(11, 20, 12),
	(11, 20, 15),
	(11, 20, 18),
	(11, 20, 21),
	(11, 21, 0),
	(11, 21, 3),
	(11, 21, 6),
	(11, 21, 9),
	(11, 21, 12),
	(11, 21, 15),
	(11, 21, 18),
	(11, 21, 21),
	(11, 22, 0),
	(11, 22, 3),
	(11, 22, 6),
	(11, 22, 9),
	(11, 22, 12),
	(11, 22, 15),
	(11, 22, 18),
	(11, 22, 21),
	(11, 23, 0),
	(11, 23, 3),
	(11, 23, 6),
	(11, 23, 9),
	(11, 23, 12),
	(11, 23, 15),
	(11, 23, 18),
	(11, 23, 21),
	(11, 24, 0),
	(11, 24, 3),
	(11, 24, 6),
	(11, 24, 9),
	(11, 24, 12),
	(11, 24, 15),
	(11, 24, 18),
	(11, 24, 21),
	(11, 25, 0),
	(11, 25, 3),
	(11, 25, 6),
	(11, 25, 9),
	(11, 25, 12),
	(11, 25, 15),
	(11, 25, 18),
	(11, 25, 21),
	(11, 26, 0),
	(11, 26, 3),
	(11, 26, 6),
	(11, 26, 9),
	(11, 26, 12),
	(11, 26, 15),
	(11, 26, 18),
	(11, 26, 21),
	(11, 27, 0),
	(11, 27, 3),
	(11, 27, 6),
	(11, 27, 9),
	(11, 27, 12),
	(11, 27, 15),
	(11, 27, 18),
	(11, 27, 21),
	(11, 28, 0),
	(11, 28, 3),
	(11, 28, 6),
	(11, 28, 9),
	(11, 28, 12),
	(11, 28, 15),
	(11, 28, 18),
	(11, 28, 21),
	(11, 29, 0),
	(11, 29, 3),
	(11, 29, 6),
	(11, 29, 9),
	(11, 29, 12),
	(11, 29, 15),
	(11, 29, 18),
	(11, 29, 21),
	(11, 30, 0),
	(11, 30, 3),
	(11, 30, 6),
	(11, 30, 9),
	(11, 30, 12),
	(11, 30, 15),
	(11, 30, 18),
	(11, 30, 21),
	(12, 1, 0),
	(12, 1, 3),
	(12, 1, 6),
	(12, 1, 9),
	(12, 1, 12),
	(12, 1, 15),
	(12, 1, 18),
	(12, 1, 21),
	(12, 2, 0),
	(12, 2, 3),
	(12, 2, 6),
	(12, 2, 9),
	(12, 2, 12),
	(12, 2, 15),
	(12, 2, 18),
	(12, 2, 21),
	(12, 3, 0),
	(12, 3, 3),
	(12, 3, 6),
	(12, 3, 9),
	(12, 3, 12),
	(12, 3, 15),
	(12, 3, 18),
	(12, 3, 21),
	(12, 4, 0),
	(12, 4, 3),
	(12, 4, 6),
	(12, 4, 9),
	(12, 4, 12),
	(12, 4, 15),
	(12, 4, 18),
	(12, 4, 21),
	(12, 5, 0),
	(12, 5, 3),
	(12, 5, 6),
	(12, 5, 9),
	(12, 5, 12),
	(12, 5, 15),
	(12, 5, 18),
	(12, 5, 21),
	(12, 6, 0),
	(12, 6, 3),
	(12, 6, 6),
	(12, 6, 9),
	(12, 6, 12),
	(12, 6, 15),
	(12, 6, 18),
	(12, 6, 21),
	(12, 7, 0),
	(12, 7, 3),
	(12, 7, 6),
	(12, 7, 9),
	(12, 7, 12),
	(12, 7, 15),
	(12, 7, 18),
	(12, 7, 21),
	(12, 8, 0),
	(12, 8, 3),
	(12, 8, 6),
	(12, 8, 9),
	(12, 8, 12),
	(12, 8, 15),
	(12, 8, 18),
	(12, 8, 21),
	(12, 9, 0),
	(12, 9, 3),
	(12, 9, 6),
	(12, 9, 9),
	(12, 9, 12),
	(12, 9, 15),
	(12, 9, 18),
	(12, 9, 21),
	(12, 10, 0),
	(12, 10, 3),
	(12, 10, 6),
	(12, 10, 9),
	(12, 10, 12),
	(12, 10, 15),
	(12, 10, 18),
	(12, 10, 21),
	(12, 11, 0),
	(12, 11, 3),
	(12, 11, 6),
	(12, 11, 9),
	(12, 11, 12),
	(12, 11, 15),
	(12, 11, 18),
	(12, 11, 21),
	(12, 12, 0),
	(12, 12, 3),
	(12, 12, 6),
	(12, 12, 9),
	(12, 12, 12),
	(12, 12, 15),
	(12, 12, 18),
	(12, 12, 21),
	(12, 13, 0),
	(12, 13, 3),
	(12, 13, 6),
	(12, 13, 9),
	(12, 13, 12),
	(12, 13, 15),
	(12, 13, 18),
	(12, 13, 21),
	(12, 14, 0),
	(12, 14, 3),
	(12, 14, 6),
	(12, 14, 9),
	(12, 14, 12),
	(12, 14, 15),
	(12, 14, 18),
	(12, 14, 21),
	(12, 15, 0),
	(12, 15, 3),
	(12, 15, 6),
	(12, 15, 9),
	(12, 15, 12),
	(12, 15, 15),
	(12, 15, 18),
	(12, 15, 21),
	(12, 16, 0),
	(12, 16, 3),
	(12, 16, 6),
	(12, 16, 9),
	(12, 16, 12),
	(12, 16, 15),
	(12, 16, 18),
	(12, 16, 21),
	(12, 17, 0),
	(12, 17, 3),
	(12, 17, 6),
	(12, 17, 9),
	(12, 17, 12),
	(12, 17, 15),
	(12, 17, 18),
	(12, 17, 21),
	(12, 18, 0),
	(12, 18, 3),
	(12, 18, 6),
	(12, 18, 9),
	(12, 18, 12),
	(12, 18, 15),
	(12, 18, 18),
	(12, 18, 21),
	(12, 19, 0),
	(12, 19, 3),
	(12, 19, 6),
	(12, 19, 9),
	(12, 19, 12),
	(12, 19, 15),
	(12, 19, 18),
	(12, 19, 21),
	(12, 20, 0),
	(12, 20, 3),
	(12, 20, 6),
	(12, 20, 9),
	(12, 20, 12),
	(12, 20, 15),
	(12, 20, 18),
	(12, 20, 21),
	(12, 21, 0),
	(12, 21, 3),
	(12, 21, 6),
	(12, 21, 9),
	(12, 21, 12),
	(12, 21, 15),
	(12, 21, 18),
	(12, 21, 21),
	(12, 22, 0),
	(12, 22, 3),
	(12, 22, 6),
	(12, 22, 9),
	(12, 22, 12),
	(12, 22, 15),
	(12, 22, 18),
	(12, 22, 21),
	(12, 23, 0),
	(12, 23, 3),
	(12, 23, 6),
	(12, 23, 9),
	(12, 23, 12),
	(12, 23, 15),
	(12, 23, 18),
	(12, 23, 21),
	(12, 24, 0),
	(12, 24, 3),
	(12, 24, 6),
	(12, 24, 9),
	(12, 24, 12),
	(12, 24, 15),
	(12, 24, 18),
	(12, 24, 21),
	(12, 25, 0),
	(12, 25, 3),
	(12, 25, 6),
	(12, 25, 9),
	(12, 25, 12),
	(12, 25, 15),
	(12, 25, 18),
	(12, 25, 21),
	(12, 26, 0),
	(12, 26, 3),
	(12, 26, 6),
	(12, 26, 9),
	(12, 26, 12),
	(12, 26, 15),
	(12, 26, 18),
	(12, 26, 21),
	(12, 27, 0),
	(12, 27, 3),
	(12, 27, 6),
	(12, 27, 9),
	(12, 27, 12),
	(12, 27, 15),
	(12, 27, 18),
	(12, 27, 21),
	(12, 28, 0),
	(12, 28, 3),
	(12, 28, 6),
	(12, 28, 9),
	(12, 28, 12),
	(12, 28, 15),
	(12, 28, 18),
	(12, 28, 21),
	(12, 29, 0),
	(12, 29, 3),
	(12, 29, 6),
	(12, 29, 9),
	(12, 29, 12),
	(12, 29, 15),
	(12, 29, 18),
	(12, 29, 21),
	(12, 30, 0),
	(12, 30, 3),
	(12, 30, 6),
	(12, 30, 9),
	(12, 30, 12),
	(12, 30, 15),
	(12, 30, 18),
	(12, 30, 21),
	(12, 31, 0),
	(12, 31, 3),
	(12, 31, 6),
	(12, 31, 9),
	(12, 31, 12),
	(12, 31, 15),
	(12, 31, 18),
	(12, 31, 21);
/*!40000 ALTER TABLE `seq_month_day_synoptime` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_test_db_v4.seq_month_day_synoptime_leap_yr
CREATE TABLE IF NOT EXISTS `seq_month_day_synoptime_leap_yr` (
  `mm` int(11) NOT NULL,
  `dd` int(11) NOT NULL,
  `hh` int(11) NOT NULL,
  PRIMARY KEY (`mm`,`dd`,`hh`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- Dumping data for table mariadb_climsoft_test_db_v4.seq_month_day_synoptime_leap_yr: ~2,928 rows (approximately)
/*!40000 ALTER TABLE `seq_month_day_synoptime_leap_yr` DISABLE KEYS */;
INSERT INTO `seq_month_day_synoptime_leap_yr` (`mm`, `dd`, `hh`) VALUES
	(1, 1, 0),
	(1, 1, 3),
	(1, 1, 6),
	(1, 1, 9),
	(1, 1, 12),
	(1, 1, 15),
	(1, 1, 18),
	(1, 1, 21),
	(1, 2, 0),
	(1, 2, 3),
	(1, 2, 6),
	(1, 2, 9),
	(1, 2, 12),
	(1, 2, 15),
	(1, 2, 18),
	(1, 2, 21),
	(1, 3, 0),
	(1, 3, 3),
	(1, 3, 6),
	(1, 3, 9),
	(1, 3, 12),
	(1, 3, 15),
	(1, 3, 18),
	(1, 3, 21),
	(1, 4, 0),
	(1, 4, 3),
	(1, 4, 6),
	(1, 4, 9),
	(1, 4, 12),
	(1, 4, 15),
	(1, 4, 18),
	(1, 4, 21),
	(1, 5, 0),
	(1, 5, 3),
	(1, 5, 6),
	(1, 5, 9),
	(1, 5, 12),
	(1, 5, 15),
	(1, 5, 18),
	(1, 5, 21),
	(1, 6, 0),
	(1, 6, 3),
	(1, 6, 6),
	(1, 6, 9),
	(1, 6, 12),
	(1, 6, 15),
	(1, 6, 18),
	(1, 6, 21),
	(1, 7, 0),
	(1, 7, 3),
	(1, 7, 6),
	(1, 7, 9),
	(1, 7, 12),
	(1, 7, 15),
	(1, 7, 18),
	(1, 7, 21),
	(1, 8, 0),
	(1, 8, 3),
	(1, 8, 6),
	(1, 8, 9),
	(1, 8, 12),
	(1, 8, 15),
	(1, 8, 18),
	(1, 8, 21),
	(1, 9, 0),
	(1, 9, 3),
	(1, 9, 6),
	(1, 9, 9),
	(1, 9, 12),
	(1, 9, 15),
	(1, 9, 18),
	(1, 9, 21),
	(1, 10, 0),
	(1, 10, 3),
	(1, 10, 6),
	(1, 10, 9),
	(1, 10, 12),
	(1, 10, 15),
	(1, 10, 18),
	(1, 10, 21),
	(1, 11, 0),
	(1, 11, 3),
	(1, 11, 6),
	(1, 11, 9),
	(1, 11, 12),
	(1, 11, 15),
	(1, 11, 18),
	(1, 11, 21),
	(1, 12, 0),
	(1, 12, 3),
	(1, 12, 6),
	(1, 12, 9),
	(1, 12, 12),
	(1, 12, 15),
	(1, 12, 18),
	(1, 12, 21),
	(1, 13, 0),
	(1, 13, 3),
	(1, 13, 6),
	(1, 13, 9),
	(1, 13, 12),
	(1, 13, 15),
	(1, 13, 18),
	(1, 13, 21),
	(1, 14, 0),
	(1, 14, 3),
	(1, 14, 6),
	(1, 14, 9),
	(1, 14, 12),
	(1, 14, 15),
	(1, 14, 18),
	(1, 14, 21),
	(1, 15, 0),
	(1, 15, 3),
	(1, 15, 6),
	(1, 15, 9),
	(1, 15, 12),
	(1, 15, 15),
	(1, 15, 18),
	(1, 15, 21),
	(1, 16, 0),
	(1, 16, 3),
	(1, 16, 6),
	(1, 16, 9),
	(1, 16, 12),
	(1, 16, 15),
	(1, 16, 18),
	(1, 16, 21),
	(1, 17, 0),
	(1, 17, 3),
	(1, 17, 6),
	(1, 17, 9),
	(1, 17, 12),
	(1, 17, 15),
	(1, 17, 18),
	(1, 17, 21),
	(1, 18, 0),
	(1, 18, 3),
	(1, 18, 6),
	(1, 18, 9),
	(1, 18, 12),
	(1, 18, 15),
	(1, 18, 18),
	(1, 18, 21),
	(1, 19, 0),
	(1, 19, 3),
	(1, 19, 6),
	(1, 19, 9),
	(1, 19, 12),
	(1, 19, 15),
	(1, 19, 18),
	(1, 19, 21),
	(1, 20, 0),
	(1, 20, 3),
	(1, 20, 6),
	(1, 20, 9),
	(1, 20, 12),
	(1, 20, 15),
	(1, 20, 18),
	(1, 20, 21),
	(1, 21, 0),
	(1, 21, 3),
	(1, 21, 6),
	(1, 21, 9),
	(1, 21, 12),
	(1, 21, 15),
	(1, 21, 18),
	(1, 21, 21),
	(1, 22, 0),
	(1, 22, 3),
	(1, 22, 6),
	(1, 22, 9),
	(1, 22, 12),
	(1, 22, 15),
	(1, 22, 18),
	(1, 22, 21),
	(1, 23, 0),
	(1, 23, 3),
	(1, 23, 6),
	(1, 23, 9),
	(1, 23, 12),
	(1, 23, 15),
	(1, 23, 18),
	(1, 23, 21),
	(1, 24, 0),
	(1, 24, 3),
	(1, 24, 6),
	(1, 24, 9),
	(1, 24, 12),
	(1, 24, 15),
	(1, 24, 18),
	(1, 24, 21),
	(1, 25, 0),
	(1, 25, 3),
	(1, 25, 6),
	(1, 25, 9),
	(1, 25, 12),
	(1, 25, 15),
	(1, 25, 18),
	(1, 25, 21),
	(1, 26, 0),
	(1, 26, 3),
	(1, 26, 6),
	(1, 26, 9),
	(1, 26, 12),
	(1, 26, 15),
	(1, 26, 18),
	(1, 26, 21),
	(1, 27, 0),
	(1, 27, 3),
	(1, 27, 6),
	(1, 27, 9),
	(1, 27, 12),
	(1, 27, 15),
	(1, 27, 18),
	(1, 27, 21),
	(1, 28, 0),
	(1, 28, 3),
	(1, 28, 6),
	(1, 28, 9),
	(1, 28, 12),
	(1, 28, 15),
	(1, 28, 18),
	(1, 28, 21),
	(1, 29, 0),
	(1, 29, 3),
	(1, 29, 6),
	(1, 29, 9),
	(1, 29, 12),
	(1, 29, 15),
	(1, 29, 18),
	(1, 29, 21),
	(1, 30, 0),
	(1, 30, 3),
	(1, 30, 6),
	(1, 30, 9),
	(1, 30, 12),
	(1, 30, 15),
	(1, 30, 18),
	(1, 30, 21),
	(1, 31, 0),
	(1, 31, 3),
	(1, 31, 6),
	(1, 31, 9),
	(1, 31, 12),
	(1, 31, 15),
	(1, 31, 18),
	(1, 31, 21),
	(2, 1, 0),
	(2, 1, 3),
	(2, 1, 6),
	(2, 1, 9),
	(2, 1, 12),
	(2, 1, 15),
	(2, 1, 18),
	(2, 1, 21),
	(2, 2, 0),
	(2, 2, 3),
	(2, 2, 6),
	(2, 2, 9),
	(2, 2, 12),
	(2, 2, 15),
	(2, 2, 18),
	(2, 2, 21),
	(2, 3, 0),
	(2, 3, 3),
	(2, 3, 6),
	(2, 3, 9),
	(2, 3, 12),
	(2, 3, 15),
	(2, 3, 18),
	(2, 3, 21),
	(2, 4, 0),
	(2, 4, 3),
	(2, 4, 6),
	(2, 4, 9),
	(2, 4, 12),
	(2, 4, 15),
	(2, 4, 18),
	(2, 4, 21),
	(2, 5, 0),
	(2, 5, 3),
	(2, 5, 6),
	(2, 5, 9),
	(2, 5, 12),
	(2, 5, 15),
	(2, 5, 18),
	(2, 5, 21),
	(2, 6, 0),
	(2, 6, 3),
	(2, 6, 6),
	(2, 6, 9),
	(2, 6, 12),
	(2, 6, 15),
	(2, 6, 18),
	(2, 6, 21),
	(2, 7, 0),
	(2, 7, 3),
	(2, 7, 6),
	(2, 7, 9),
	(2, 7, 12),
	(2, 7, 15),
	(2, 7, 18),
	(2, 7, 21),
	(2, 8, 0),
	(2, 8, 3),
	(2, 8, 6),
	(2, 8, 9),
	(2, 8, 12),
	(2, 8, 15),
	(2, 8, 18),
	(2, 8, 21),
	(2, 9, 0),
	(2, 9, 3),
	(2, 9, 6),
	(2, 9, 9),
	(2, 9, 12),
	(2, 9, 15),
	(2, 9, 18),
	(2, 9, 21),
	(2, 10, 0),
	(2, 10, 3),
	(2, 10, 6),
	(2, 10, 9),
	(2, 10, 12),
	(2, 10, 15),
	(2, 10, 18),
	(2, 10, 21),
	(2, 11, 0),
	(2, 11, 3),
	(2, 11, 6),
	(2, 11, 9),
	(2, 11, 12),
	(2, 11, 15),
	(2, 11, 18),
	(2, 11, 21),
	(2, 12, 0),
	(2, 12, 3),
	(2, 12, 6),
	(2, 12, 9),
	(2, 12, 12),
	(2, 12, 15),
	(2, 12, 18),
	(2, 12, 21),
	(2, 13, 0),
	(2, 13, 3),
	(2, 13, 6),
	(2, 13, 9),
	(2, 13, 12),
	(2, 13, 15),
	(2, 13, 18),
	(2, 13, 21),
	(2, 14, 0),
	(2, 14, 3),
	(2, 14, 6),
	(2, 14, 9),
	(2, 14, 12),
	(2, 14, 15),
	(2, 14, 18),
	(2, 14, 21),
	(2, 15, 0),
	(2, 15, 3),
	(2, 15, 6),
	(2, 15, 9),
	(2, 15, 12),
	(2, 15, 15),
	(2, 15, 18),
	(2, 15, 21),
	(2, 16, 0),
	(2, 16, 3),
	(2, 16, 6),
	(2, 16, 9),
	(2, 16, 12),
	(2, 16, 15),
	(2, 16, 18),
	(2, 16, 21),
	(2, 17, 0),
	(2, 17, 3),
	(2, 17, 6),
	(2, 17, 9),
	(2, 17, 12),
	(2, 17, 15),
	(2, 17, 18),
	(2, 17, 21),
	(2, 18, 0),
	(2, 18, 3),
	(2, 18, 6),
	(2, 18, 9),
	(2, 18, 12),
	(2, 18, 15),
	(2, 18, 18),
	(2, 18, 21),
	(2, 19, 0),
	(2, 19, 3),
	(2, 19, 6),
	(2, 19, 9),
	(2, 19, 12),
	(2, 19, 15),
	(2, 19, 18),
	(2, 19, 21),
	(2, 20, 0),
	(2, 20, 3),
	(2, 20, 6),
	(2, 20, 9),
	(2, 20, 12),
	(2, 20, 15),
	(2, 20, 18),
	(2, 20, 21),
	(2, 21, 0),
	(2, 21, 3),
	(2, 21, 6),
	(2, 21, 9),
	(2, 21, 12),
	(2, 21, 15),
	(2, 21, 18),
	(2, 21, 21),
	(2, 22, 0),
	(2, 22, 3),
	(2, 22, 6),
	(2, 22, 9),
	(2, 22, 12),
	(2, 22, 15),
	(2, 22, 18),
	(2, 22, 21),
	(2, 23, 0),
	(2, 23, 3),
	(2, 23, 6),
	(2, 23, 9),
	(2, 23, 12),
	(2, 23, 15),
	(2, 23, 18),
	(2, 23, 21),
	(2, 24, 0),
	(2, 24, 3),
	(2, 24, 6),
	(2, 24, 9),
	(2, 24, 12),
	(2, 24, 15),
	(2, 24, 18),
	(2, 24, 21),
	(2, 25, 0),
	(2, 25, 3),
	(2, 25, 6),
	(2, 25, 9),
	(2, 25, 12),
	(2, 25, 15),
	(2, 25, 18),
	(2, 25, 21),
	(2, 26, 0),
	(2, 26, 3),
	(2, 26, 6),
	(2, 26, 9),
	(2, 26, 12),
	(2, 26, 15),
	(2, 26, 18),
	(2, 26, 21),
	(2, 27, 0),
	(2, 27, 3),
	(2, 27, 6),
	(2, 27, 9),
	(2, 27, 12),
	(2, 27, 15),
	(2, 27, 18),
	(2, 27, 21),
	(2, 28, 0),
	(2, 28, 3),
	(2, 28, 6),
	(2, 28, 9),
	(2, 28, 12),
	(2, 28, 15),
	(2, 28, 18),
	(2, 28, 21),
	(2, 29, 0),
	(2, 29, 3),
	(2, 29, 6),
	(2, 29, 9),
	(2, 29, 12),
	(2, 29, 15),
	(2, 29, 18),
	(2, 29, 21),
	(3, 1, 0),
	(3, 1, 3),
	(3, 1, 6),
	(3, 1, 9),
	(3, 1, 12),
	(3, 1, 15),
	(3, 1, 18),
	(3, 1, 21),
	(3, 2, 0),
	(3, 2, 3),
	(3, 2, 6),
	(3, 2, 9),
	(3, 2, 12),
	(3, 2, 15),
	(3, 2, 18),
	(3, 2, 21),
	(3, 3, 0),
	(3, 3, 3),
	(3, 3, 6),
	(3, 3, 9),
	(3, 3, 12),
	(3, 3, 15),
	(3, 3, 18),
	(3, 3, 21),
	(3, 4, 0),
	(3, 4, 3),
	(3, 4, 6),
	(3, 4, 9),
	(3, 4, 12),
	(3, 4, 15),
	(3, 4, 18),
	(3, 4, 21),
	(3, 5, 0),
	(3, 5, 3),
	(3, 5, 6),
	(3, 5, 9),
	(3, 5, 12),
	(3, 5, 15),
	(3, 5, 18),
	(3, 5, 21),
	(3, 6, 0),
	(3, 6, 3),
	(3, 6, 6),
	(3, 6, 9),
	(3, 6, 12),
	(3, 6, 15),
	(3, 6, 18),
	(3, 6, 21),
	(3, 7, 0),
	(3, 7, 3),
	(3, 7, 6),
	(3, 7, 9),
	(3, 7, 12),
	(3, 7, 15),
	(3, 7, 18),
	(3, 7, 21),
	(3, 8, 0),
	(3, 8, 3),
	(3, 8, 6),
	(3, 8, 9),
	(3, 8, 12),
	(3, 8, 15),
	(3, 8, 18),
	(3, 8, 21),
	(3, 9, 0),
	(3, 9, 3),
	(3, 9, 6),
	(3, 9, 9),
	(3, 9, 12),
	(3, 9, 15),
	(3, 9, 18),
	(3, 9, 21),
	(3, 10, 0),
	(3, 10, 3),
	(3, 10, 6),
	(3, 10, 9),
	(3, 10, 12),
	(3, 10, 15),
	(3, 10, 18),
	(3, 10, 21),
	(3, 11, 0),
	(3, 11, 3),
	(3, 11, 6),
	(3, 11, 9),
	(3, 11, 12),
	(3, 11, 15),
	(3, 11, 18),
	(3, 11, 21),
	(3, 12, 0),
	(3, 12, 3),
	(3, 12, 6),
	(3, 12, 9),
	(3, 12, 12),
	(3, 12, 15),
	(3, 12, 18),
	(3, 12, 21),
	(3, 13, 0),
	(3, 13, 3),
	(3, 13, 6),
	(3, 13, 9),
	(3, 13, 12),
	(3, 13, 15),
	(3, 13, 18),
	(3, 13, 21),
	(3, 14, 0),
	(3, 14, 3),
	(3, 14, 6),
	(3, 14, 9),
	(3, 14, 12),
	(3, 14, 15),
	(3, 14, 18),
	(3, 14, 21),
	(3, 15, 0),
	(3, 15, 3),
	(3, 15, 6),
	(3, 15, 9),
	(3, 15, 12),
	(3, 15, 15),
	(3, 15, 18),
	(3, 15, 21),
	(3, 16, 0),
	(3, 16, 3),
	(3, 16, 6),
	(3, 16, 9),
	(3, 16, 12),
	(3, 16, 15),
	(3, 16, 18),
	(3, 16, 21),
	(3, 17, 0),
	(3, 17, 3),
	(3, 17, 6),
	(3, 17, 9),
	(3, 17, 12),
	(3, 17, 15),
	(3, 17, 18),
	(3, 17, 21),
	(3, 18, 0),
	(3, 18, 3),
	(3, 18, 6),
	(3, 18, 9),
	(3, 18, 12),
	(3, 18, 15),
	(3, 18, 18),
	(3, 18, 21),
	(3, 19, 0),
	(3, 19, 3),
	(3, 19, 6),
	(3, 19, 9),
	(3, 19, 12),
	(3, 19, 15),
	(3, 19, 18),
	(3, 19, 21),
	(3, 20, 0),
	(3, 20, 3),
	(3, 20, 6),
	(3, 20, 9),
	(3, 20, 12),
	(3, 20, 15),
	(3, 20, 18),
	(3, 20, 21),
	(3, 21, 0),
	(3, 21, 3),
	(3, 21, 6),
	(3, 21, 9),
	(3, 21, 12),
	(3, 21, 15),
	(3, 21, 18),
	(3, 21, 21),
	(3, 22, 0),
	(3, 22, 3),
	(3, 22, 6),
	(3, 22, 9),
	(3, 22, 12),
	(3, 22, 15),
	(3, 22, 18),
	(3, 22, 21),
	(3, 23, 0),
	(3, 23, 3),
	(3, 23, 6),
	(3, 23, 9),
	(3, 23, 12),
	(3, 23, 15),
	(3, 23, 18),
	(3, 23, 21),
	(3, 24, 0),
	(3, 24, 3),
	(3, 24, 6),
	(3, 24, 9),
	(3, 24, 12),
	(3, 24, 15),
	(3, 24, 18),
	(3, 24, 21),
	(3, 25, 0),
	(3, 25, 3),
	(3, 25, 6),
	(3, 25, 9),
	(3, 25, 12),
	(3, 25, 15),
	(3, 25, 18),
	(3, 25, 21),
	(3, 26, 0),
	(3, 26, 3),
	(3, 26, 6),
	(3, 26, 9),
	(3, 26, 12),
	(3, 26, 15),
	(3, 26, 18),
	(3, 26, 21),
	(3, 27, 0),
	(3, 27, 3),
	(3, 27, 6),
	(3, 27, 9),
	(3, 27, 12),
	(3, 27, 15),
	(3, 27, 18),
	(3, 27, 21),
	(3, 28, 0),
	(3, 28, 3),
	(3, 28, 6),
	(3, 28, 9),
	(3, 28, 12),
	(3, 28, 15),
	(3, 28, 18),
	(3, 28, 21),
	(3, 29, 0),
	(3, 29, 3),
	(3, 29, 6),
	(3, 29, 9),
	(3, 29, 12),
	(3, 29, 15),
	(3, 29, 18),
	(3, 29, 21),
	(3, 30, 0),
	(3, 30, 3),
	(3, 30, 6),
	(3, 30, 9),
	(3, 30, 12),
	(3, 30, 15),
	(3, 30, 18),
	(3, 30, 21),
	(3, 31, 0),
	(3, 31, 3),
	(3, 31, 6),
	(3, 31, 9),
	(3, 31, 12),
	(3, 31, 15),
	(3, 31, 18),
	(3, 31, 21),
	(4, 1, 0),
	(4, 1, 3),
	(4, 1, 6),
	(4, 1, 9),
	(4, 1, 12),
	(4, 1, 15),
	(4, 1, 18),
	(4, 1, 21),
	(4, 2, 0),
	(4, 2, 3),
	(4, 2, 6),
	(4, 2, 9),
	(4, 2, 12),
	(4, 2, 15),
	(4, 2, 18),
	(4, 2, 21),
	(4, 3, 0),
	(4, 3, 3),
	(4, 3, 6),
	(4, 3, 9),
	(4, 3, 12),
	(4, 3, 15),
	(4, 3, 18),
	(4, 3, 21),
	(4, 4, 0),
	(4, 4, 3),
	(4, 4, 6),
	(4, 4, 9),
	(4, 4, 12),
	(4, 4, 15),
	(4, 4, 18),
	(4, 4, 21),
	(4, 5, 0),
	(4, 5, 3),
	(4, 5, 6),
	(4, 5, 9),
	(4, 5, 12),
	(4, 5, 15),
	(4, 5, 18),
	(4, 5, 21),
	(4, 6, 0),
	(4, 6, 3),
	(4, 6, 6),
	(4, 6, 9),
	(4, 6, 12),
	(4, 6, 15),
	(4, 6, 18),
	(4, 6, 21),
	(4, 7, 0),
	(4, 7, 3),
	(4, 7, 6),
	(4, 7, 9),
	(4, 7, 12),
	(4, 7, 15),
	(4, 7, 18),
	(4, 7, 21),
	(4, 8, 0),
	(4, 8, 3),
	(4, 8, 6),
	(4, 8, 9),
	(4, 8, 12),
	(4, 8, 15),
	(4, 8, 18),
	(4, 8, 21),
	(4, 9, 0),
	(4, 9, 3),
	(4, 9, 6),
	(4, 9, 9),
	(4, 9, 12),
	(4, 9, 15),
	(4, 9, 18),
	(4, 9, 21),
	(4, 10, 0),
	(4, 10, 3),
	(4, 10, 6),
	(4, 10, 9),
	(4, 10, 12),
	(4, 10, 15),
	(4, 10, 18),
	(4, 10, 21),
	(4, 11, 0),
	(4, 11, 3),
	(4, 11, 6),
	(4, 11, 9),
	(4, 11, 12),
	(4, 11, 15),
	(4, 11, 18),
	(4, 11, 21),
	(4, 12, 0),
	(4, 12, 3),
	(4, 12, 6),
	(4, 12, 9),
	(4, 12, 12),
	(4, 12, 15),
	(4, 12, 18),
	(4, 12, 21),
	(4, 13, 0),
	(4, 13, 3),
	(4, 13, 6),
	(4, 13, 9),
	(4, 13, 12),
	(4, 13, 15),
	(4, 13, 18),
	(4, 13, 21),
	(4, 14, 0),
	(4, 14, 3),
	(4, 14, 6),
	(4, 14, 9),
	(4, 14, 12),
	(4, 14, 15),
	(4, 14, 18),
	(4, 14, 21),
	(4, 15, 0),
	(4, 15, 3),
	(4, 15, 6),
	(4, 15, 9),
	(4, 15, 12),
	(4, 15, 15),
	(4, 15, 18),
	(4, 15, 21),
	(4, 16, 0),
	(4, 16, 3),
	(4, 16, 6),
	(4, 16, 9),
	(4, 16, 12),
	(4, 16, 15),
	(4, 16, 18),
	(4, 16, 21),
	(4, 17, 0),
	(4, 17, 3),
	(4, 17, 6),
	(4, 17, 9),
	(4, 17, 12),
	(4, 17, 15),
	(4, 17, 18),
	(4, 17, 21),
	(4, 18, 0),
	(4, 18, 3),
	(4, 18, 6),
	(4, 18, 9),
	(4, 18, 12),
	(4, 18, 15),
	(4, 18, 18),
	(4, 18, 21),
	(4, 19, 0),
	(4, 19, 3),
	(4, 19, 6),
	(4, 19, 9),
	(4, 19, 12),
	(4, 19, 15),
	(4, 19, 18),
	(4, 19, 21),
	(4, 20, 0),
	(4, 20, 3),
	(4, 20, 6),
	(4, 20, 9),
	(4, 20, 12),
	(4, 20, 15),
	(4, 20, 18),
	(4, 20, 21),
	(4, 21, 0),
	(4, 21, 3),
	(4, 21, 6),
	(4, 21, 9),
	(4, 21, 12),
	(4, 21, 15),
	(4, 21, 18),
	(4, 21, 21),
	(4, 22, 0),
	(4, 22, 3),
	(4, 22, 6),
	(4, 22, 9),
	(4, 22, 12),
	(4, 22, 15),
	(4, 22, 18),
	(4, 22, 21),
	(4, 23, 0),
	(4, 23, 3),
	(4, 23, 6),
	(4, 23, 9),
	(4, 23, 12),
	(4, 23, 15),
	(4, 23, 18),
	(4, 23, 21),
	(4, 24, 0),
	(4, 24, 3),
	(4, 24, 6),
	(4, 24, 9),
	(4, 24, 12),
	(4, 24, 15),
	(4, 24, 18),
	(4, 24, 21),
	(4, 25, 0),
	(4, 25, 3),
	(4, 25, 6),
	(4, 25, 9),
	(4, 25, 12),
	(4, 25, 15),
	(4, 25, 18),
	(4, 25, 21),
	(4, 26, 0),
	(4, 26, 3),
	(4, 26, 6),
	(4, 26, 9),
	(4, 26, 12),
	(4, 26, 15),
	(4, 26, 18),
	(4, 26, 21),
	(4, 27, 0),
	(4, 27, 3),
	(4, 27, 6),
	(4, 27, 9),
	(4, 27, 12),
	(4, 27, 15),
	(4, 27, 18),
	(4, 27, 21),
	(4, 28, 0),
	(4, 28, 3),
	(4, 28, 6),
	(4, 28, 9),
	(4, 28, 12),
	(4, 28, 15),
	(4, 28, 18),
	(4, 28, 21),
	(4, 29, 0),
	(4, 29, 3),
	(4, 29, 6),
	(4, 29, 9),
	(4, 29, 12),
	(4, 29, 15),
	(4, 29, 18),
	(4, 29, 21),
	(4, 30, 0),
	(4, 30, 3),
	(4, 30, 6),
	(4, 30, 9),
	(4, 30, 12),
	(4, 30, 15),
	(4, 30, 18),
	(4, 30, 21),
	(5, 1, 0),
	(5, 1, 3),
	(5, 1, 6),
	(5, 1, 9),
	(5, 1, 12),
	(5, 1, 15),
	(5, 1, 18),
	(5, 1, 21),
	(5, 2, 0),
	(5, 2, 3),
	(5, 2, 6),
	(5, 2, 9),
	(5, 2, 12),
	(5, 2, 15),
	(5, 2, 18),
	(5, 2, 21),
	(5, 3, 0),
	(5, 3, 3),
	(5, 3, 6),
	(5, 3, 9),
	(5, 3, 12),
	(5, 3, 15),
	(5, 3, 18),
	(5, 3, 21),
	(5, 4, 0),
	(5, 4, 3),
	(5, 4, 6),
	(5, 4, 9),
	(5, 4, 12),
	(5, 4, 15),
	(5, 4, 18),
	(5, 4, 21),
	(5, 5, 0),
	(5, 5, 3),
	(5, 5, 6),
	(5, 5, 9),
	(5, 5, 12),
	(5, 5, 15),
	(5, 5, 18),
	(5, 5, 21),
	(5, 6, 0),
	(5, 6, 3),
	(5, 6, 6),
	(5, 6, 9),
	(5, 6, 12),
	(5, 6, 15),
	(5, 6, 18),
	(5, 6, 21),
	(5, 7, 0),
	(5, 7, 3),
	(5, 7, 6),
	(5, 7, 9),
	(5, 7, 12),
	(5, 7, 15),
	(5, 7, 18),
	(5, 7, 21),
	(5, 8, 0),
	(5, 8, 3),
	(5, 8, 6),
	(5, 8, 9),
	(5, 8, 12),
	(5, 8, 15),
	(5, 8, 18),
	(5, 8, 21),
	(5, 9, 0),
	(5, 9, 3),
	(5, 9, 6),
	(5, 9, 9),
	(5, 9, 12),
	(5, 9, 15),
	(5, 9, 18),
	(5, 9, 21),
	(5, 10, 0),
	(5, 10, 3),
	(5, 10, 6),
	(5, 10, 9),
	(5, 10, 12),
	(5, 10, 15),
	(5, 10, 18),
	(5, 10, 21),
	(5, 11, 0),
	(5, 11, 3),
	(5, 11, 6),
	(5, 11, 9),
	(5, 11, 12),
	(5, 11, 15),
	(5, 11, 18),
	(5, 11, 21),
	(5, 12, 0),
	(5, 12, 3),
	(5, 12, 6),
	(5, 12, 9),
	(5, 12, 12),
	(5, 12, 15),
	(5, 12, 18),
	(5, 12, 21),
	(5, 13, 0),
	(5, 13, 3),
	(5, 13, 6),
	(5, 13, 9),
	(5, 13, 12),
	(5, 13, 15),
	(5, 13, 18),
	(5, 13, 21),
	(5, 14, 0),
	(5, 14, 3),
	(5, 14, 6),
	(5, 14, 9),
	(5, 14, 12),
	(5, 14, 15),
	(5, 14, 18),
	(5, 14, 21),
	(5, 15, 0),
	(5, 15, 3),
	(5, 15, 6),
	(5, 15, 9),
	(5, 15, 12),
	(5, 15, 15),
	(5, 15, 18),
	(5, 15, 21),
	(5, 16, 0),
	(5, 16, 3),
	(5, 16, 6),
	(5, 16, 9),
	(5, 16, 12),
	(5, 16, 15),
	(5, 16, 18),
	(5, 16, 21),
	(5, 17, 0),
	(5, 17, 3),
	(5, 17, 6),
	(5, 17, 9),
	(5, 17, 12),
	(5, 17, 15),
	(5, 17, 18),
	(5, 17, 21),
	(5, 18, 0),
	(5, 18, 3),
	(5, 18, 6),
	(5, 18, 9),
	(5, 18, 12),
	(5, 18, 15),
	(5, 18, 18),
	(5, 18, 21),
	(5, 19, 0),
	(5, 19, 3),
	(5, 19, 6),
	(5, 19, 9),
	(5, 19, 12),
	(5, 19, 15),
	(5, 19, 18),
	(5, 19, 21),
	(5, 20, 0),
	(5, 20, 3),
	(5, 20, 6),
	(5, 20, 9),
	(5, 20, 12),
	(5, 20, 15),
	(5, 20, 18),
	(5, 20, 21),
	(5, 21, 0),
	(5, 21, 3),
	(5, 21, 6),
	(5, 21, 9),
	(5, 21, 12),
	(5, 21, 15),
	(5, 21, 18),
	(5, 21, 21),
	(5, 22, 0),
	(5, 22, 3),
	(5, 22, 6),
	(5, 22, 9),
	(5, 22, 12),
	(5, 22, 15),
	(5, 22, 18),
	(5, 22, 21),
	(5, 23, 0),
	(5, 23, 3),
	(5, 23, 6),
	(5, 23, 9),
	(5, 23, 12),
	(5, 23, 15),
	(5, 23, 18),
	(5, 23, 21),
	(5, 24, 0),
	(5, 24, 3),
	(5, 24, 6),
	(5, 24, 9),
	(5, 24, 12),
	(5, 24, 15),
	(5, 24, 18),
	(5, 24, 21),
	(5, 25, 0),
	(5, 25, 3),
	(5, 25, 6),
	(5, 25, 9),
	(5, 25, 12),
	(5, 25, 15),
	(5, 25, 18),
	(5, 25, 21),
	(5, 26, 0),
	(5, 26, 3),
	(5, 26, 6),
	(5, 26, 9),
	(5, 26, 12),
	(5, 26, 15),
	(5, 26, 18),
	(5, 26, 21),
	(5, 27, 0),
	(5, 27, 3),
	(5, 27, 6),
	(5, 27, 9),
	(5, 27, 12),
	(5, 27, 15),
	(5, 27, 18),
	(5, 27, 21),
	(5, 28, 0),
	(5, 28, 3),
	(5, 28, 6),
	(5, 28, 9),
	(5, 28, 12),
	(5, 28, 15),
	(5, 28, 18),
	(5, 28, 21),
	(5, 29, 0),
	(5, 29, 3),
	(5, 29, 6),
	(5, 29, 9),
	(5, 29, 12),
	(5, 29, 15),
	(5, 29, 18),
	(5, 29, 21),
	(5, 30, 0),
	(5, 30, 3),
	(5, 30, 6),
	(5, 30, 9),
	(5, 30, 12),
	(5, 30, 15),
	(5, 30, 18),
	(5, 30, 21),
	(5, 31, 0),
	(5, 31, 3),
	(5, 31, 6),
	(5, 31, 9),
	(5, 31, 12),
	(5, 31, 15),
	(5, 31, 18),
	(5, 31, 21),
	(6, 1, 0),
	(6, 1, 3),
	(6, 1, 6),
	(6, 1, 9),
	(6, 1, 12),
	(6, 1, 15),
	(6, 1, 18),
	(6, 1, 21),
	(6, 2, 0),
	(6, 2, 3),
	(6, 2, 6),
	(6, 2, 9),
	(6, 2, 12),
	(6, 2, 15),
	(6, 2, 18),
	(6, 2, 21),
	(6, 3, 0),
	(6, 3, 3),
	(6, 3, 6),
	(6, 3, 9),
	(6, 3, 12),
	(6, 3, 15),
	(6, 3, 18),
	(6, 3, 21),
	(6, 4, 0),
	(6, 4, 3),
	(6, 4, 6),
	(6, 4, 9),
	(6, 4, 12),
	(6, 4, 15),
	(6, 4, 18),
	(6, 4, 21),
	(6, 5, 0),
	(6, 5, 3),
	(6, 5, 6),
	(6, 5, 9),
	(6, 5, 12),
	(6, 5, 15),
	(6, 5, 18),
	(6, 5, 21),
	(6, 6, 0),
	(6, 6, 3),
	(6, 6, 6),
	(6, 6, 9),
	(6, 6, 12),
	(6, 6, 15),
	(6, 6, 18),
	(6, 6, 21),
	(6, 7, 0),
	(6, 7, 3),
	(6, 7, 6),
	(6, 7, 9),
	(6, 7, 12),
	(6, 7, 15),
	(6, 7, 18),
	(6, 7, 21),
	(6, 8, 0),
	(6, 8, 3),
	(6, 8, 6),
	(6, 8, 9),
	(6, 8, 12),
	(6, 8, 15),
	(6, 8, 18),
	(6, 8, 21),
	(6, 9, 0),
	(6, 9, 3),
	(6, 9, 6),
	(6, 9, 9),
	(6, 9, 12),
	(6, 9, 15),
	(6, 9, 18),
	(6, 9, 21),
	(6, 10, 0),
	(6, 10, 3),
	(6, 10, 6),
	(6, 10, 9),
	(6, 10, 12),
	(6, 10, 15),
	(6, 10, 18),
	(6, 10, 21),
	(6, 11, 0),
	(6, 11, 3),
	(6, 11, 6),
	(6, 11, 9),
	(6, 11, 12),
	(6, 11, 15),
	(6, 11, 18),
	(6, 11, 21),
	(6, 12, 0),
	(6, 12, 3),
	(6, 12, 6),
	(6, 12, 9),
	(6, 12, 12),
	(6, 12, 15),
	(6, 12, 18),
	(6, 12, 21),
	(6, 13, 0),
	(6, 13, 3),
	(6, 13, 6),
	(6, 13, 9),
	(6, 13, 12),
	(6, 13, 15),
	(6, 13, 18),
	(6, 13, 21),
	(6, 14, 0),
	(6, 14, 3),
	(6, 14, 6),
	(6, 14, 9),
	(6, 14, 12),
	(6, 14, 15),
	(6, 14, 18),
	(6, 14, 21),
	(6, 15, 0),
	(6, 15, 3),
	(6, 15, 6),
	(6, 15, 9),
	(6, 15, 12),
	(6, 15, 15),
	(6, 15, 18),
	(6, 15, 21),
	(6, 16, 0),
	(6, 16, 3),
	(6, 16, 6),
	(6, 16, 9),
	(6, 16, 12),
	(6, 16, 15),
	(6, 16, 18),
	(6, 16, 21),
	(6, 17, 0),
	(6, 17, 3),
	(6, 17, 6),
	(6, 17, 9),
	(6, 17, 12),
	(6, 17, 15),
	(6, 17, 18),
	(6, 17, 21),
	(6, 18, 0),
	(6, 18, 3),
	(6, 18, 6),
	(6, 18, 9),
	(6, 18, 12),
	(6, 18, 15),
	(6, 18, 18),
	(6, 18, 21),
	(6, 19, 0),
	(6, 19, 3),
	(6, 19, 6),
	(6, 19, 9),
	(6, 19, 12),
	(6, 19, 15),
	(6, 19, 18),
	(6, 19, 21),
	(6, 20, 0),
	(6, 20, 3),
	(6, 20, 6),
	(6, 20, 9),
	(6, 20, 12),
	(6, 20, 15),
	(6, 20, 18),
	(6, 20, 21),
	(6, 21, 0),
	(6, 21, 3),
	(6, 21, 6),
	(6, 21, 9),
	(6, 21, 12),
	(6, 21, 15),
	(6, 21, 18),
	(6, 21, 21),
	(6, 22, 0),
	(6, 22, 3),
	(6, 22, 6),
	(6, 22, 9),
	(6, 22, 12),
	(6, 22, 15),
	(6, 22, 18),
	(6, 22, 21),
	(6, 23, 0),
	(6, 23, 3),
	(6, 23, 6),
	(6, 23, 9),
	(6, 23, 12),
	(6, 23, 15),
	(6, 23, 18),
	(6, 23, 21),
	(6, 24, 0),
	(6, 24, 3),
	(6, 24, 6),
	(6, 24, 9),
	(6, 24, 12),
	(6, 24, 15),
	(6, 24, 18),
	(6, 24, 21),
	(6, 25, 0),
	(6, 25, 3),
	(6, 25, 6),
	(6, 25, 9),
	(6, 25, 12),
	(6, 25, 15),
	(6, 25, 18),
	(6, 25, 21),
	(6, 26, 0),
	(6, 26, 3),
	(6, 26, 6),
	(6, 26, 9),
	(6, 26, 12),
	(6, 26, 15),
	(6, 26, 18),
	(6, 26, 21),
	(6, 27, 0),
	(6, 27, 3),
	(6, 27, 6),
	(6, 27, 9),
	(6, 27, 12),
	(6, 27, 15),
	(6, 27, 18),
	(6, 27, 21),
	(6, 28, 0),
	(6, 28, 3),
	(6, 28, 6),
	(6, 28, 9),
	(6, 28, 12),
	(6, 28, 15),
	(6, 28, 18),
	(6, 28, 21),
	(6, 29, 0),
	(6, 29, 3),
	(6, 29, 6),
	(6, 29, 9),
	(6, 29, 12),
	(6, 29, 15),
	(6, 29, 18),
	(6, 29, 21),
	(6, 30, 0),
	(6, 30, 3),
	(6, 30, 6),
	(6, 30, 9),
	(6, 30, 12),
	(6, 30, 15),
	(6, 30, 18),
	(6, 30, 21),
	(7, 1, 0),
	(7, 1, 3),
	(7, 1, 6),
	(7, 1, 9),
	(7, 1, 12),
	(7, 1, 15),
	(7, 1, 18),
	(7, 1, 21),
	(7, 2, 0),
	(7, 2, 3),
	(7, 2, 6),
	(7, 2, 9),
	(7, 2, 12),
	(7, 2, 15),
	(7, 2, 18),
	(7, 2, 21),
	(7, 3, 0),
	(7, 3, 3),
	(7, 3, 6),
	(7, 3, 9),
	(7, 3, 12),
	(7, 3, 15),
	(7, 3, 18),
	(7, 3, 21),
	(7, 4, 0),
	(7, 4, 3),
	(7, 4, 6),
	(7, 4, 9),
	(7, 4, 12),
	(7, 4, 15),
	(7, 4, 18),
	(7, 4, 21),
	(7, 5, 0),
	(7, 5, 3),
	(7, 5, 6),
	(7, 5, 9),
	(7, 5, 12),
	(7, 5, 15),
	(7, 5, 18),
	(7, 5, 21),
	(7, 6, 0),
	(7, 6, 3),
	(7, 6, 6),
	(7, 6, 9),
	(7, 6, 12),
	(7, 6, 15),
	(7, 6, 18),
	(7, 6, 21),
	(7, 7, 0),
	(7, 7, 3),
	(7, 7, 6),
	(7, 7, 9),
	(7, 7, 12),
	(7, 7, 15),
	(7, 7, 18),
	(7, 7, 21),
	(7, 8, 0),
	(7, 8, 3),
	(7, 8, 6),
	(7, 8, 9),
	(7, 8, 12),
	(7, 8, 15),
	(7, 8, 18),
	(7, 8, 21),
	(7, 9, 0),
	(7, 9, 3),
	(7, 9, 6),
	(7, 9, 9),
	(7, 9, 12),
	(7, 9, 15),
	(7, 9, 18),
	(7, 9, 21),
	(7, 10, 0),
	(7, 10, 3),
	(7, 10, 6),
	(7, 10, 9),
	(7, 10, 12),
	(7, 10, 15),
	(7, 10, 18),
	(7, 10, 21),
	(7, 11, 0),
	(7, 11, 3),
	(7, 11, 6),
	(7, 11, 9),
	(7, 11, 12),
	(7, 11, 15),
	(7, 11, 18),
	(7, 11, 21),
	(7, 12, 0),
	(7, 12, 3),
	(7, 12, 6),
	(7, 12, 9),
	(7, 12, 12),
	(7, 12, 15),
	(7, 12, 18),
	(7, 12, 21),
	(7, 13, 0),
	(7, 13, 3),
	(7, 13, 6),
	(7, 13, 9),
	(7, 13, 12),
	(7, 13, 15),
	(7, 13, 18),
	(7, 13, 21),
	(7, 14, 0),
	(7, 14, 3),
	(7, 14, 6),
	(7, 14, 9),
	(7, 14, 12),
	(7, 14, 15),
	(7, 14, 18),
	(7, 14, 21),
	(7, 15, 0),
	(7, 15, 3),
	(7, 15, 6),
	(7, 15, 9),
	(7, 15, 12),
	(7, 15, 15),
	(7, 15, 18),
	(7, 15, 21),
	(7, 16, 0),
	(7, 16, 3),
	(7, 16, 6),
	(7, 16, 9),
	(7, 16, 12),
	(7, 16, 15),
	(7, 16, 18),
	(7, 16, 21),
	(7, 17, 0),
	(7, 17, 3),
	(7, 17, 6),
	(7, 17, 9),
	(7, 17, 12),
	(7, 17, 15),
	(7, 17, 18),
	(7, 17, 21),
	(7, 18, 0),
	(7, 18, 3),
	(7, 18, 6),
	(7, 18, 9),
	(7, 18, 12),
	(7, 18, 15),
	(7, 18, 18),
	(7, 18, 21),
	(7, 19, 0),
	(7, 19, 3),
	(7, 19, 6),
	(7, 19, 9),
	(7, 19, 12),
	(7, 19, 15),
	(7, 19, 18),
	(7, 19, 21),
	(7, 20, 0),
	(7, 20, 3),
	(7, 20, 6),
	(7, 20, 9),
	(7, 20, 12),
	(7, 20, 15),
	(7, 20, 18),
	(7, 20, 21),
	(7, 21, 0),
	(7, 21, 3),
	(7, 21, 6),
	(7, 21, 9),
	(7, 21, 12),
	(7, 21, 15),
	(7, 21, 18),
	(7, 21, 21),
	(7, 22, 0),
	(7, 22, 3),
	(7, 22, 6),
	(7, 22, 9),
	(7, 22, 12),
	(7, 22, 15),
	(7, 22, 18),
	(7, 22, 21),
	(7, 23, 0),
	(7, 23, 3),
	(7, 23, 6),
	(7, 23, 9),
	(7, 23, 12),
	(7, 23, 15),
	(7, 23, 18),
	(7, 23, 21),
	(7, 24, 0),
	(7, 24, 3),
	(7, 24, 6),
	(7, 24, 9),
	(7, 24, 12),
	(7, 24, 15),
	(7, 24, 18),
	(7, 24, 21),
	(7, 25, 0),
	(7, 25, 3),
	(7, 25, 6),
	(7, 25, 9),
	(7, 25, 12),
	(7, 25, 15),
	(7, 25, 18),
	(7, 25, 21),
	(7, 26, 0),
	(7, 26, 3),
	(7, 26, 6),
	(7, 26, 9),
	(7, 26, 12),
	(7, 26, 15),
	(7, 26, 18),
	(7, 26, 21),
	(7, 27, 0),
	(7, 27, 3),
	(7, 27, 6),
	(7, 27, 9),
	(7, 27, 12),
	(7, 27, 15),
	(7, 27, 18),
	(7, 27, 21),
	(7, 28, 0),
	(7, 28, 3),
	(7, 28, 6),
	(7, 28, 9),
	(7, 28, 12),
	(7, 28, 15),
	(7, 28, 18),
	(7, 28, 21),
	(7, 29, 0),
	(7, 29, 3),
	(7, 29, 6),
	(7, 29, 9),
	(7, 29, 12),
	(7, 29, 15),
	(7, 29, 18),
	(7, 29, 21),
	(7, 30, 0),
	(7, 30, 3),
	(7, 30, 6),
	(7, 30, 9),
	(7, 30, 12),
	(7, 30, 15),
	(7, 30, 18),
	(7, 30, 21),
	(7, 31, 0),
	(7, 31, 3),
	(7, 31, 6),
	(7, 31, 9),
	(7, 31, 12),
	(7, 31, 15),
	(7, 31, 18),
	(7, 31, 21),
	(8, 1, 0),
	(8, 1, 3),
	(8, 1, 6),
	(8, 1, 9),
	(8, 1, 12),
	(8, 1, 15),
	(8, 1, 18),
	(8, 1, 21),
	(8, 2, 0),
	(8, 2, 3),
	(8, 2, 6),
	(8, 2, 9),
	(8, 2, 12),
	(8, 2, 15),
	(8, 2, 18),
	(8, 2, 21),
	(8, 3, 0),
	(8, 3, 3),
	(8, 3, 6),
	(8, 3, 9),
	(8, 3, 12),
	(8, 3, 15),
	(8, 3, 18),
	(8, 3, 21),
	(8, 4, 0),
	(8, 4, 3),
	(8, 4, 6),
	(8, 4, 9),
	(8, 4, 12),
	(8, 4, 15),
	(8, 4, 18),
	(8, 4, 21),
	(8, 5, 0),
	(8, 5, 3),
	(8, 5, 6),
	(8, 5, 9),
	(8, 5, 12),
	(8, 5, 15),
	(8, 5, 18),
	(8, 5, 21),
	(8, 6, 0),
	(8, 6, 3),
	(8, 6, 6),
	(8, 6, 9),
	(8, 6, 12),
	(8, 6, 15),
	(8, 6, 18),
	(8, 6, 21),
	(8, 7, 0),
	(8, 7, 3),
	(8, 7, 6),
	(8, 7, 9),
	(8, 7, 12),
	(8, 7, 15),
	(8, 7, 18),
	(8, 7, 21),
	(8, 8, 0),
	(8, 8, 3),
	(8, 8, 6),
	(8, 8, 9),
	(8, 8, 12),
	(8, 8, 15),
	(8, 8, 18),
	(8, 8, 21),
	(8, 9, 0),
	(8, 9, 3),
	(8, 9, 6),
	(8, 9, 9),
	(8, 9, 12),
	(8, 9, 15),
	(8, 9, 18),
	(8, 9, 21),
	(8, 10, 0),
	(8, 10, 3),
	(8, 10, 6),
	(8, 10, 9),
	(8, 10, 12),
	(8, 10, 15),
	(8, 10, 18),
	(8, 10, 21),
	(8, 11, 0),
	(8, 11, 3),
	(8, 11, 6),
	(8, 11, 9),
	(8, 11, 12),
	(8, 11, 15),
	(8, 11, 18),
	(8, 11, 21),
	(8, 12, 0),
	(8, 12, 3),
	(8, 12, 6),
	(8, 12, 9),
	(8, 12, 12),
	(8, 12, 15),
	(8, 12, 18),
	(8, 12, 21),
	(8, 13, 0),
	(8, 13, 3),
	(8, 13, 6),
	(8, 13, 9),
	(8, 13, 12),
	(8, 13, 15),
	(8, 13, 18),
	(8, 13, 21),
	(8, 14, 0),
	(8, 14, 3),
	(8, 14, 6),
	(8, 14, 9),
	(8, 14, 12),
	(8, 14, 15),
	(8, 14, 18),
	(8, 14, 21),
	(8, 15, 0),
	(8, 15, 3),
	(8, 15, 6),
	(8, 15, 9),
	(8, 15, 12),
	(8, 15, 15),
	(8, 15, 18),
	(8, 15, 21),
	(8, 16, 0),
	(8, 16, 3),
	(8, 16, 6),
	(8, 16, 9),
	(8, 16, 12),
	(8, 16, 15),
	(8, 16, 18),
	(8, 16, 21),
	(8, 17, 0),
	(8, 17, 3),
	(8, 17, 6),
	(8, 17, 9),
	(8, 17, 12),
	(8, 17, 15),
	(8, 17, 18),
	(8, 17, 21),
	(8, 18, 0),
	(8, 18, 3),
	(8, 18, 6),
	(8, 18, 9),
	(8, 18, 12),
	(8, 18, 15),
	(8, 18, 18),
	(8, 18, 21),
	(8, 19, 0),
	(8, 19, 3),
	(8, 19, 6),
	(8, 19, 9),
	(8, 19, 12),
	(8, 19, 15),
	(8, 19, 18),
	(8, 19, 21),
	(8, 20, 0),
	(8, 20, 3),
	(8, 20, 6),
	(8, 20, 9),
	(8, 20, 12),
	(8, 20, 15),
	(8, 20, 18),
	(8, 20, 21),
	(8, 21, 0),
	(8, 21, 3),
	(8, 21, 6),
	(8, 21, 9),
	(8, 21, 12),
	(8, 21, 15),
	(8, 21, 18),
	(8, 21, 21),
	(8, 22, 0),
	(8, 22, 3),
	(8, 22, 6),
	(8, 22, 9),
	(8, 22, 12),
	(8, 22, 15),
	(8, 22, 18),
	(8, 22, 21),
	(8, 23, 0),
	(8, 23, 3),
	(8, 23, 6),
	(8, 23, 9),
	(8, 23, 12),
	(8, 23, 15),
	(8, 23, 18),
	(8, 23, 21),
	(8, 24, 0),
	(8, 24, 3),
	(8, 24, 6),
	(8, 24, 9),
	(8, 24, 12),
	(8, 24, 15),
	(8, 24, 18),
	(8, 24, 21),
	(8, 25, 0),
	(8, 25, 3),
	(8, 25, 6),
	(8, 25, 9),
	(8, 25, 12),
	(8, 25, 15),
	(8, 25, 18),
	(8, 25, 21),
	(8, 26, 0),
	(8, 26, 3),
	(8, 26, 6),
	(8, 26, 9),
	(8, 26, 12),
	(8, 26, 15),
	(8, 26, 18),
	(8, 26, 21),
	(8, 27, 0),
	(8, 27, 3),
	(8, 27, 6),
	(8, 27, 9),
	(8, 27, 12),
	(8, 27, 15),
	(8, 27, 18),
	(8, 27, 21),
	(8, 28, 0),
	(8, 28, 3),
	(8, 28, 6),
	(8, 28, 9),
	(8, 28, 12),
	(8, 28, 15),
	(8, 28, 18),
	(8, 28, 21),
	(8, 29, 0),
	(8, 29, 3),
	(8, 29, 6),
	(8, 29, 9),
	(8, 29, 12),
	(8, 29, 15),
	(8, 29, 18),
	(8, 29, 21),
	(8, 30, 0),
	(8, 30, 3),
	(8, 30, 6),
	(8, 30, 9),
	(8, 30, 12),
	(8, 30, 15),
	(8, 30, 18),
	(8, 30, 21),
	(8, 31, 0),
	(8, 31, 3),
	(8, 31, 6),
	(8, 31, 9),
	(8, 31, 12),
	(8, 31, 15),
	(8, 31, 18),
	(8, 31, 21),
	(9, 1, 0),
	(9, 1, 3),
	(9, 1, 6),
	(9, 1, 9),
	(9, 1, 12),
	(9, 1, 15),
	(9, 1, 18),
	(9, 1, 21),
	(9, 2, 0),
	(9, 2, 3),
	(9, 2, 6),
	(9, 2, 9),
	(9, 2, 12),
	(9, 2, 15),
	(9, 2, 18),
	(9, 2, 21),
	(9, 3, 0),
	(9, 3, 3),
	(9, 3, 6),
	(9, 3, 9),
	(9, 3, 12),
	(9, 3, 15),
	(9, 3, 18),
	(9, 3, 21),
	(9, 4, 0),
	(9, 4, 3),
	(9, 4, 6),
	(9, 4, 9),
	(9, 4, 12),
	(9, 4, 15),
	(9, 4, 18),
	(9, 4, 21),
	(9, 5, 0),
	(9, 5, 3),
	(9, 5, 6),
	(9, 5, 9),
	(9, 5, 12),
	(9, 5, 15),
	(9, 5, 18),
	(9, 5, 21),
	(9, 6, 0),
	(9, 6, 3),
	(9, 6, 6),
	(9, 6, 9),
	(9, 6, 12),
	(9, 6, 15),
	(9, 6, 18),
	(9, 6, 21),
	(9, 7, 0),
	(9, 7, 3),
	(9, 7, 6),
	(9, 7, 9),
	(9, 7, 12),
	(9, 7, 15),
	(9, 7, 18),
	(9, 7, 21),
	(9, 8, 0),
	(9, 8, 3),
	(9, 8, 6),
	(9, 8, 9),
	(9, 8, 12),
	(9, 8, 15),
	(9, 8, 18),
	(9, 8, 21),
	(9, 9, 0),
	(9, 9, 3),
	(9, 9, 6),
	(9, 9, 9),
	(9, 9, 12),
	(9, 9, 15),
	(9, 9, 18),
	(9, 9, 21),
	(9, 10, 0),
	(9, 10, 3),
	(9, 10, 6),
	(9, 10, 9),
	(9, 10, 12),
	(9, 10, 15),
	(9, 10, 18),
	(9, 10, 21),
	(9, 11, 0),
	(9, 11, 3),
	(9, 11, 6),
	(9, 11, 9),
	(9, 11, 12),
	(9, 11, 15),
	(9, 11, 18),
	(9, 11, 21),
	(9, 12, 0),
	(9, 12, 3),
	(9, 12, 6),
	(9, 12, 9),
	(9, 12, 12),
	(9, 12, 15),
	(9, 12, 18),
	(9, 12, 21),
	(9, 13, 0),
	(9, 13, 3),
	(9, 13, 6),
	(9, 13, 9),
	(9, 13, 12),
	(9, 13, 15),
	(9, 13, 18),
	(9, 13, 21),
	(9, 14, 0),
	(9, 14, 3),
	(9, 14, 6),
	(9, 14, 9),
	(9, 14, 12),
	(9, 14, 15),
	(9, 14, 18),
	(9, 14, 21),
	(9, 15, 0),
	(9, 15, 3),
	(9, 15, 6),
	(9, 15, 9),
	(9, 15, 12),
	(9, 15, 15),
	(9, 15, 18),
	(9, 15, 21),
	(9, 16, 0),
	(9, 16, 3),
	(9, 16, 6),
	(9, 16, 9),
	(9, 16, 12),
	(9, 16, 15),
	(9, 16, 18),
	(9, 16, 21),
	(9, 17, 0),
	(9, 17, 3),
	(9, 17, 6),
	(9, 17, 9),
	(9, 17, 12),
	(9, 17, 15),
	(9, 17, 18),
	(9, 17, 21),
	(9, 18, 0),
	(9, 18, 3),
	(9, 18, 6),
	(9, 18, 9),
	(9, 18, 12),
	(9, 18, 15),
	(9, 18, 18),
	(9, 18, 21),
	(9, 19, 0),
	(9, 19, 3),
	(9, 19, 6),
	(9, 19, 9),
	(9, 19, 12),
	(9, 19, 15),
	(9, 19, 18),
	(9, 19, 21),
	(9, 20, 0),
	(9, 20, 3),
	(9, 20, 6),
	(9, 20, 9),
	(9, 20, 12),
	(9, 20, 15),
	(9, 20, 18),
	(9, 20, 21),
	(9, 21, 0),
	(9, 21, 3),
	(9, 21, 6),
	(9, 21, 9),
	(9, 21, 12),
	(9, 21, 15),
	(9, 21, 18),
	(9, 21, 21),
	(9, 22, 0),
	(9, 22, 3),
	(9, 22, 6),
	(9, 22, 9),
	(9, 22, 12),
	(9, 22, 15),
	(9, 22, 18),
	(9, 22, 21),
	(9, 23, 0),
	(9, 23, 3),
	(9, 23, 6),
	(9, 23, 9),
	(9, 23, 12),
	(9, 23, 15),
	(9, 23, 18),
	(9, 23, 21),
	(9, 24, 0),
	(9, 24, 3),
	(9, 24, 6),
	(9, 24, 9),
	(9, 24, 12),
	(9, 24, 15),
	(9, 24, 18),
	(9, 24, 21),
	(9, 25, 0),
	(9, 25, 3),
	(9, 25, 6),
	(9, 25, 9),
	(9, 25, 12),
	(9, 25, 15),
	(9, 25, 18),
	(9, 25, 21),
	(9, 26, 0),
	(9, 26, 3),
	(9, 26, 6),
	(9, 26, 9),
	(9, 26, 12),
	(9, 26, 15),
	(9, 26, 18),
	(9, 26, 21),
	(9, 27, 0),
	(9, 27, 3),
	(9, 27, 6),
	(9, 27, 9),
	(9, 27, 12),
	(9, 27, 15),
	(9, 27, 18),
	(9, 27, 21),
	(9, 28, 0),
	(9, 28, 3),
	(9, 28, 6),
	(9, 28, 9),
	(9, 28, 12),
	(9, 28, 15),
	(9, 28, 18),
	(9, 28, 21),
	(9, 29, 0),
	(9, 29, 3),
	(9, 29, 6),
	(9, 29, 9),
	(9, 29, 12),
	(9, 29, 15),
	(9, 29, 18),
	(9, 29, 21),
	(9, 30, 0),
	(9, 30, 3),
	(9, 30, 6),
	(9, 30, 9),
	(9, 30, 12),
	(9, 30, 15),
	(9, 30, 18),
	(9, 30, 21),
	(10, 1, 0),
	(10, 1, 3),
	(10, 1, 6),
	(10, 1, 9),
	(10, 1, 12),
	(10, 1, 15),
	(10, 1, 18),
	(10, 1, 21),
	(10, 2, 0),
	(10, 2, 3),
	(10, 2, 6),
	(10, 2, 9),
	(10, 2, 12),
	(10, 2, 15),
	(10, 2, 18),
	(10, 2, 21),
	(10, 3, 0),
	(10, 3, 3),
	(10, 3, 6),
	(10, 3, 9),
	(10, 3, 12),
	(10, 3, 15),
	(10, 3, 18),
	(10, 3, 21),
	(10, 4, 0),
	(10, 4, 3),
	(10, 4, 6),
	(10, 4, 9),
	(10, 4, 12),
	(10, 4, 15),
	(10, 4, 18),
	(10, 4, 21),
	(10, 5, 0),
	(10, 5, 3),
	(10, 5, 6),
	(10, 5, 9),
	(10, 5, 12),
	(10, 5, 15),
	(10, 5, 18),
	(10, 5, 21),
	(10, 6, 0),
	(10, 6, 3),
	(10, 6, 6),
	(10, 6, 9),
	(10, 6, 12),
	(10, 6, 15),
	(10, 6, 18),
	(10, 6, 21),
	(10, 7, 0),
	(10, 7, 3),
	(10, 7, 6),
	(10, 7, 9),
	(10, 7, 12),
	(10, 7, 15),
	(10, 7, 18),
	(10, 7, 21),
	(10, 8, 0),
	(10, 8, 3),
	(10, 8, 6),
	(10, 8, 9),
	(10, 8, 12),
	(10, 8, 15),
	(10, 8, 18),
	(10, 8, 21),
	(10, 9, 0),
	(10, 9, 3),
	(10, 9, 6),
	(10, 9, 9),
	(10, 9, 12),
	(10, 9, 15),
	(10, 9, 18),
	(10, 9, 21),
	(10, 10, 0),
	(10, 10, 3),
	(10, 10, 6),
	(10, 10, 9),
	(10, 10, 12),
	(10, 10, 15),
	(10, 10, 18),
	(10, 10, 21),
	(10, 11, 0),
	(10, 11, 3),
	(10, 11, 6),
	(10, 11, 9),
	(10, 11, 12),
	(10, 11, 15),
	(10, 11, 18),
	(10, 11, 21),
	(10, 12, 0),
	(10, 12, 3),
	(10, 12, 6),
	(10, 12, 9),
	(10, 12, 12),
	(10, 12, 15),
	(10, 12, 18),
	(10, 12, 21),
	(10, 13, 0),
	(10, 13, 3),
	(10, 13, 6),
	(10, 13, 9),
	(10, 13, 12),
	(10, 13, 15),
	(10, 13, 18),
	(10, 13, 21),
	(10, 14, 0),
	(10, 14, 3),
	(10, 14, 6),
	(10, 14, 9),
	(10, 14, 12),
	(10, 14, 15),
	(10, 14, 18),
	(10, 14, 21),
	(10, 15, 0),
	(10, 15, 3),
	(10, 15, 6),
	(10, 15, 9),
	(10, 15, 12),
	(10, 15, 15),
	(10, 15, 18),
	(10, 15, 21),
	(10, 16, 0),
	(10, 16, 3),
	(10, 16, 6),
	(10, 16, 9),
	(10, 16, 12),
	(10, 16, 15),
	(10, 16, 18),
	(10, 16, 21),
	(10, 17, 0),
	(10, 17, 3),
	(10, 17, 6),
	(10, 17, 9),
	(10, 17, 12),
	(10, 17, 15),
	(10, 17, 18),
	(10, 17, 21),
	(10, 18, 0),
	(10, 18, 3),
	(10, 18, 6),
	(10, 18, 9),
	(10, 18, 12),
	(10, 18, 15),
	(10, 18, 18),
	(10, 18, 21),
	(10, 19, 0),
	(10, 19, 3),
	(10, 19, 6),
	(10, 19, 9),
	(10, 19, 12),
	(10, 19, 15),
	(10, 19, 18),
	(10, 19, 21),
	(10, 20, 0),
	(10, 20, 3),
	(10, 20, 6),
	(10, 20, 9),
	(10, 20, 12),
	(10, 20, 15),
	(10, 20, 18),
	(10, 20, 21),
	(10, 21, 0),
	(10, 21, 3),
	(10, 21, 6),
	(10, 21, 9),
	(10, 21, 12),
	(10, 21, 15),
	(10, 21, 18),
	(10, 21, 21),
	(10, 22, 0),
	(10, 22, 3),
	(10, 22, 6),
	(10, 22, 9),
	(10, 22, 12),
	(10, 22, 15),
	(10, 22, 18),
	(10, 22, 21),
	(10, 23, 0),
	(10, 23, 3),
	(10, 23, 6),
	(10, 23, 9),
	(10, 23, 12),
	(10, 23, 15),
	(10, 23, 18),
	(10, 23, 21),
	(10, 24, 0),
	(10, 24, 3),
	(10, 24, 6),
	(10, 24, 9),
	(10, 24, 12),
	(10, 24, 15),
	(10, 24, 18),
	(10, 24, 21),
	(10, 25, 0),
	(10, 25, 3),
	(10, 25, 6),
	(10, 25, 9),
	(10, 25, 12),
	(10, 25, 15),
	(10, 25, 18),
	(10, 25, 21),
	(10, 26, 0),
	(10, 26, 3),
	(10, 26, 6),
	(10, 26, 9),
	(10, 26, 12),
	(10, 26, 15),
	(10, 26, 18),
	(10, 26, 21),
	(10, 27, 0),
	(10, 27, 3),
	(10, 27, 6),
	(10, 27, 9),
	(10, 27, 12),
	(10, 27, 15),
	(10, 27, 18),
	(10, 27, 21),
	(10, 28, 0),
	(10, 28, 3),
	(10, 28, 6),
	(10, 28, 9),
	(10, 28, 12),
	(10, 28, 15),
	(10, 28, 18),
	(10, 28, 21),
	(10, 29, 0),
	(10, 29, 3),
	(10, 29, 6),
	(10, 29, 9),
	(10, 29, 12),
	(10, 29, 15),
	(10, 29, 18),
	(10, 29, 21),
	(10, 30, 0),
	(10, 30, 3),
	(10, 30, 6),
	(10, 30, 9),
	(10, 30, 12),
	(10, 30, 15),
	(10, 30, 18),
	(10, 30, 21),
	(10, 31, 0),
	(10, 31, 3),
	(10, 31, 6),
	(10, 31, 9),
	(10, 31, 12),
	(10, 31, 15),
	(10, 31, 18),
	(10, 31, 21),
	(11, 1, 0),
	(11, 1, 3),
	(11, 1, 6),
	(11, 1, 9),
	(11, 1, 12),
	(11, 1, 15),
	(11, 1, 18),
	(11, 1, 21),
	(11, 2, 0),
	(11, 2, 3),
	(11, 2, 6),
	(11, 2, 9),
	(11, 2, 12),
	(11, 2, 15),
	(11, 2, 18),
	(11, 2, 21),
	(11, 3, 0),
	(11, 3, 3),
	(11, 3, 6),
	(11, 3, 9),
	(11, 3, 12),
	(11, 3, 15),
	(11, 3, 18),
	(11, 3, 21),
	(11, 4, 0),
	(11, 4, 3),
	(11, 4, 6),
	(11, 4, 9),
	(11, 4, 12),
	(11, 4, 15),
	(11, 4, 18),
	(11, 4, 21),
	(11, 5, 0),
	(11, 5, 3),
	(11, 5, 6),
	(11, 5, 9),
	(11, 5, 12),
	(11, 5, 15),
	(11, 5, 18),
	(11, 5, 21),
	(11, 6, 0),
	(11, 6, 3),
	(11, 6, 6),
	(11, 6, 9),
	(11, 6, 12),
	(11, 6, 15),
	(11, 6, 18),
	(11, 6, 21),
	(11, 7, 0),
	(11, 7, 3),
	(11, 7, 6),
	(11, 7, 9),
	(11, 7, 12),
	(11, 7, 15),
	(11, 7, 18),
	(11, 7, 21),
	(11, 8, 0),
	(11, 8, 3),
	(11, 8, 6),
	(11, 8, 9),
	(11, 8, 12),
	(11, 8, 15),
	(11, 8, 18),
	(11, 8, 21),
	(11, 9, 0),
	(11, 9, 3),
	(11, 9, 6),
	(11, 9, 9),
	(11, 9, 12),
	(11, 9, 15),
	(11, 9, 18),
	(11, 9, 21),
	(11, 10, 0),
	(11, 10, 3),
	(11, 10, 6),
	(11, 10, 9),
	(11, 10, 12),
	(11, 10, 15),
	(11, 10, 18),
	(11, 10, 21),
	(11, 11, 0),
	(11, 11, 3),
	(11, 11, 6),
	(11, 11, 9),
	(11, 11, 12),
	(11, 11, 15),
	(11, 11, 18),
	(11, 11, 21),
	(11, 12, 0),
	(11, 12, 3),
	(11, 12, 6),
	(11, 12, 9),
	(11, 12, 12),
	(11, 12, 15),
	(11, 12, 18),
	(11, 12, 21),
	(11, 13, 0),
	(11, 13, 3),
	(11, 13, 6),
	(11, 13, 9),
	(11, 13, 12),
	(11, 13, 15),
	(11, 13, 18),
	(11, 13, 21),
	(11, 14, 0),
	(11, 14, 3),
	(11, 14, 6),
	(11, 14, 9),
	(11, 14, 12),
	(11, 14, 15),
	(11, 14, 18),
	(11, 14, 21),
	(11, 15, 0),
	(11, 15, 3),
	(11, 15, 6),
	(11, 15, 9),
	(11, 15, 12),
	(11, 15, 15),
	(11, 15, 18),
	(11, 15, 21),
	(11, 16, 0),
	(11, 16, 3),
	(11, 16, 6),
	(11, 16, 9),
	(11, 16, 12),
	(11, 16, 15),
	(11, 16, 18),
	(11, 16, 21),
	(11, 17, 0),
	(11, 17, 3),
	(11, 17, 6),
	(11, 17, 9),
	(11, 17, 12),
	(11, 17, 15),
	(11, 17, 18),
	(11, 17, 21),
	(11, 18, 0),
	(11, 18, 3),
	(11, 18, 6),
	(11, 18, 9),
	(11, 18, 12),
	(11, 18, 15),
	(11, 18, 18),
	(11, 18, 21),
	(11, 19, 0),
	(11, 19, 3),
	(11, 19, 6),
	(11, 19, 9),
	(11, 19, 12),
	(11, 19, 15),
	(11, 19, 18),
	(11, 19, 21),
	(11, 20, 0),
	(11, 20, 3),
	(11, 20, 6),
	(11, 20, 9),
	(11, 20, 12),
	(11, 20, 15),
	(11, 20, 18),
	(11, 20, 21),
	(11, 21, 0),
	(11, 21, 3),
	(11, 21, 6),
	(11, 21, 9),
	(11, 21, 12),
	(11, 21, 15),
	(11, 21, 18),
	(11, 21, 21),
	(11, 22, 0),
	(11, 22, 3),
	(11, 22, 6),
	(11, 22, 9),
	(11, 22, 12),
	(11, 22, 15),
	(11, 22, 18),
	(11, 22, 21),
	(11, 23, 0),
	(11, 23, 3),
	(11, 23, 6),
	(11, 23, 9),
	(11, 23, 12),
	(11, 23, 15),
	(11, 23, 18),
	(11, 23, 21),
	(11, 24, 0),
	(11, 24, 3),
	(11, 24, 6),
	(11, 24, 9),
	(11, 24, 12),
	(11, 24, 15),
	(11, 24, 18),
	(11, 24, 21),
	(11, 25, 0),
	(11, 25, 3),
	(11, 25, 6),
	(11, 25, 9),
	(11, 25, 12),
	(11, 25, 15),
	(11, 25, 18),
	(11, 25, 21),
	(11, 26, 0),
	(11, 26, 3),
	(11, 26, 6),
	(11, 26, 9),
	(11, 26, 12),
	(11, 26, 15),
	(11, 26, 18),
	(11, 26, 21),
	(11, 27, 0),
	(11, 27, 3),
	(11, 27, 6),
	(11, 27, 9),
	(11, 27, 12),
	(11, 27, 15),
	(11, 27, 18),
	(11, 27, 21),
	(11, 28, 0),
	(11, 28, 3),
	(11, 28, 6),
	(11, 28, 9),
	(11, 28, 12),
	(11, 28, 15),
	(11, 28, 18),
	(11, 28, 21),
	(11, 29, 0),
	(11, 29, 3),
	(11, 29, 6),
	(11, 29, 9),
	(11, 29, 12),
	(11, 29, 15),
	(11, 29, 18),
	(11, 29, 21),
	(11, 30, 0),
	(11, 30, 3),
	(11, 30, 6),
	(11, 30, 9),
	(11, 30, 12),
	(11, 30, 15),
	(11, 30, 18),
	(11, 30, 21),
	(12, 1, 0),
	(12, 1, 3),
	(12, 1, 6),
	(12, 1, 9),
	(12, 1, 12),
	(12, 1, 15),
	(12, 1, 18),
	(12, 1, 21),
	(12, 2, 0),
	(12, 2, 3),
	(12, 2, 6),
	(12, 2, 9),
	(12, 2, 12),
	(12, 2, 15),
	(12, 2, 18),
	(12, 2, 21),
	(12, 3, 0),
	(12, 3, 3),
	(12, 3, 6),
	(12, 3, 9),
	(12, 3, 12),
	(12, 3, 15),
	(12, 3, 18),
	(12, 3, 21),
	(12, 4, 0),
	(12, 4, 3),
	(12, 4, 6),
	(12, 4, 9),
	(12, 4, 12),
	(12, 4, 15),
	(12, 4, 18),
	(12, 4, 21),
	(12, 5, 0),
	(12, 5, 3),
	(12, 5, 6),
	(12, 5, 9),
	(12, 5, 12),
	(12, 5, 15),
	(12, 5, 18),
	(12, 5, 21),
	(12, 6, 0),
	(12, 6, 3),
	(12, 6, 6),
	(12, 6, 9),
	(12, 6, 12),
	(12, 6, 15),
	(12, 6, 18),
	(12, 6, 21),
	(12, 7, 0),
	(12, 7, 3),
	(12, 7, 6),
	(12, 7, 9),
	(12, 7, 12),
	(12, 7, 15),
	(12, 7, 18),
	(12, 7, 21),
	(12, 8, 0),
	(12, 8, 3),
	(12, 8, 6),
	(12, 8, 9),
	(12, 8, 12),
	(12, 8, 15),
	(12, 8, 18),
	(12, 8, 21),
	(12, 9, 0),
	(12, 9, 3),
	(12, 9, 6),
	(12, 9, 9),
	(12, 9, 12),
	(12, 9, 15),
	(12, 9, 18),
	(12, 9, 21),
	(12, 10, 0),
	(12, 10, 3),
	(12, 10, 6),
	(12, 10, 9),
	(12, 10, 12),
	(12, 10, 15),
	(12, 10, 18),
	(12, 10, 21),
	(12, 11, 0),
	(12, 11, 3),
	(12, 11, 6),
	(12, 11, 9),
	(12, 11, 12),
	(12, 11, 15),
	(12, 11, 18),
	(12, 11, 21),
	(12, 12, 0),
	(12, 12, 3),
	(12, 12, 6),
	(12, 12, 9),
	(12, 12, 12),
	(12, 12, 15),
	(12, 12, 18),
	(12, 12, 21),
	(12, 13, 0),
	(12, 13, 3),
	(12, 13, 6),
	(12, 13, 9),
	(12, 13, 12),
	(12, 13, 15),
	(12, 13, 18),
	(12, 13, 21),
	(12, 14, 0),
	(12, 14, 3),
	(12, 14, 6),
	(12, 14, 9),
	(12, 14, 12),
	(12, 14, 15),
	(12, 14, 18),
	(12, 14, 21),
	(12, 15, 0),
	(12, 15, 3),
	(12, 15, 6),
	(12, 15, 9),
	(12, 15, 12),
	(12, 15, 15),
	(12, 15, 18),
	(12, 15, 21),
	(12, 16, 0),
	(12, 16, 3),
	(12, 16, 6),
	(12, 16, 9),
	(12, 16, 12),
	(12, 16, 15),
	(12, 16, 18),
	(12, 16, 21),
	(12, 17, 0),
	(12, 17, 3),
	(12, 17, 6),
	(12, 17, 9),
	(12, 17, 12),
	(12, 17, 15),
	(12, 17, 18),
	(12, 17, 21),
	(12, 18, 0),
	(12, 18, 3),
	(12, 18, 6),
	(12, 18, 9),
	(12, 18, 12),
	(12, 18, 15),
	(12, 18, 18),
	(12, 18, 21),
	(12, 19, 0),
	(12, 19, 3),
	(12, 19, 6),
	(12, 19, 9),
	(12, 19, 12),
	(12, 19, 15),
	(12, 19, 18),
	(12, 19, 21),
	(12, 20, 0),
	(12, 20, 3),
	(12, 20, 6),
	(12, 20, 9),
	(12, 20, 12),
	(12, 20, 15),
	(12, 20, 18),
	(12, 20, 21),
	(12, 21, 0),
	(12, 21, 3),
	(12, 21, 6),
	(12, 21, 9),
	(12, 21, 12),
	(12, 21, 15),
	(12, 21, 18),
	(12, 21, 21),
	(12, 22, 0),
	(12, 22, 3),
	(12, 22, 6),
	(12, 22, 9),
	(12, 22, 12),
	(12, 22, 15),
	(12, 22, 18),
	(12, 22, 21),
	(12, 23, 0),
	(12, 23, 3),
	(12, 23, 6),
	(12, 23, 9),
	(12, 23, 12),
	(12, 23, 15),
	(12, 23, 18),
	(12, 23, 21),
	(12, 24, 0),
	(12, 24, 3),
	(12, 24, 6),
	(12, 24, 9),
	(12, 24, 12),
	(12, 24, 15),
	(12, 24, 18),
	(12, 24, 21),
	(12, 25, 0),
	(12, 25, 3),
	(12, 25, 6),
	(12, 25, 9),
	(12, 25, 12),
	(12, 25, 15),
	(12, 25, 18),
	(12, 25, 21),
	(12, 26, 0),
	(12, 26, 3),
	(12, 26, 6),
	(12, 26, 9),
	(12, 26, 12),
	(12, 26, 15),
	(12, 26, 18),
	(12, 26, 21),
	(12, 27, 0),
	(12, 27, 3),
	(12, 27, 6),
	(12, 27, 9),
	(12, 27, 12),
	(12, 27, 15),
	(12, 27, 18),
	(12, 27, 21),
	(12, 28, 0),
	(12, 28, 3),
	(12, 28, 6),
	(12, 28, 9),
	(12, 28, 12),
	(12, 28, 15),
	(12, 28, 18),
	(12, 28, 21),
	(12, 29, 0),
	(12, 29, 3),
	(12, 29, 6),
	(12, 29, 9),
	(12, 29, 12),
	(12, 29, 15),
	(12, 29, 18),
	(12, 29, 21),
	(12, 30, 0),
	(12, 30, 3),
	(12, 30, 6),
	(12, 30, 9),
	(12, 30, 12),
	(12, 30, 15),
	(12, 30, 18),
	(12, 30, 21),
	(12, 31, 0),
	(12, 31, 3),
	(12, 31, 6),
	(12, 31, 9),
	(12, 31, 12),
	(12, 31, 15),
	(12, 31, 18),
	(12, 31, 21);
/*!40000 ALTER TABLE `seq_month_day_synoptime_leap_yr` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_test_db_v4.seq_year
CREATE TABLE IF NOT EXISTS `seq_year` (
  `yyyy` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_test_db_v4.seq_year: ~1 rows (approximately)
/*!40000 ALTER TABLE `seq_year` DISABLE KEYS */;
INSERT INTO `seq_year` (`yyyy`) VALUES
	(2001);
/*!40000 ALTER TABLE `seq_year` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_test_db_v4.station
CREATE TABLE IF NOT EXISTS `station` (
  `stationId` varchar(255) NOT NULL,
  `stationName` varchar(255) DEFAULT NULL,
  `wmoid` varchar(20) DEFAULT NULL,
  `icaoid` varchar(20) DEFAULT NULL,
  `latitude` double(11,6) DEFAULT NULL,
  `qualifier` varchar(20) DEFAULT NULL,
  `longitude` double(11,6) DEFAULT NULL,
  `elevation` varchar(255) DEFAULT NULL,
  `geoLocationMethod` varchar(255) DEFAULT NULL,
  `geoLocationAccuracy` float(11,6) DEFAULT NULL,
  `openingDatetime` varchar(50) DEFAULT NULL,
  `closingDatetime` varchar(50) DEFAULT NULL,
  `country` varchar(50) DEFAULT NULL,
  `authority` varchar(255) DEFAULT NULL,
  `adminRegion` varchar(255) DEFAULT NULL,
  `drainageBasin` varchar(255) DEFAULT NULL,
  `wacaSelection` tinyint(4) DEFAULT '0',
  `cptSelection` tinyint(4) DEFAULT '0',
  `stationOperational` tinyint(4) DEFAULT '0',
  PRIMARY KEY (`stationId`),
  KEY `StationStationId` (`stationId`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_test_db_v4.station: ~67 rows (approximately)
/*!40000 ALTER TABLE `station` DISABLE KEYS */;
INSERT INTO `station` (`stationId`, `stationName`, `wmoid`, `icaoid`, `latitude`, `qualifier`, `longitude`, `elevation`, `geoLocationMethod`, `geoLocationAccuracy`, `openingDatetime`, `closingDatetime`, `country`, `authority`, `adminRegion`, `drainageBasin`, `wacaSelection`, `cptSelection`, `stationOperational`) VALUES
	('67755030', 'BINGA', NULL, NULL, -17.610000, NULL, 27.333333, '617', NULL, NULL, '0000-00-00 00:00:00', '1958-01-14 06:00:00', 'Zimbabwe', NULL, NULL, NULL, 0, 0, 0),
	('67761060', 'KARIBA AIRPORT', NULL, NULL, -16.510000, NULL, 28.883333, '518', NULL, NULL, '0000-00-00 00:00:00', '1955-08-20 06:00:00', 'Zimbabwe', NULL, NULL, NULL, 0, 0, 0),
	('67765020', 'KAROI', NULL, NULL, -16.830000, NULL, 29.620000, '1343', NULL, NULL, '0000-00-00 00:00:00', '1950-05-01 06:00:00', 'Zimbabwe', NULL, NULL, NULL, 0, 0, 0),
	('67766010', 'RUKOMICHE RES. STN.', NULL, NULL, -16.130000, NULL, 29.400000, '503', NULL, NULL, '0000-00-00 00:00:00', '1959-10-09 06:00:00', 'Zimbabwe', NULL, NULL, NULL, 0, 0, 0),
	('67767020', 'KANYEMBA', NULL, NULL, -15.650000, NULL, 30.330000, '340', NULL, NULL, '0000-00-00 00:00:00', '1988-05-01 06:00:00', 'Zimbabwe', NULL, NULL, NULL, 0, 0, 0),
	('67769010', 'BANKET RES. STATION', NULL, NULL, -17.320000, NULL, 30.400000, '1244', NULL, NULL, '0000-00-00 00:00:00', '1967-10-01 06:00:00', 'Zimbabwe', NULL, NULL, NULL, 0, 0, 0),
	('67771030', 'CHINHOYI', NULL, NULL, -17.370000, NULL, 30.220000, '1143', NULL, NULL, '0000-00-00 00:00:00', '1928-08-01 06:00:00', 'Zimbabwe', NULL, NULL, NULL, 0, 0, 0),
	('67772010', 'MUZARABANI ESTATE', NULL, NULL, -16.420000, NULL, 31.020000, '450', NULL, NULL, '0000-00-00 00:00:00', '1976-11-27 06:00:00', 'Zimbabwe', NULL, NULL, NULL, 0, 0, 0),
	('67773020', 'GURUVE', NULL, NULL, -16.650000, NULL, 30.700000, '1177', NULL, NULL, '0000-00-00 00:00:00', '1931-07-01 06:00:00', 'Zimbabwe', NULL, NULL, NULL, 0, 0, 0),
	('67774010', 'HARARE BELVEDERE', NULL, NULL, -17.830000, NULL, 31.020000, '1471', NULL, NULL, '0000-00-00 00:00:00', '1897-04-01 06:00:00', 'Zimbabwe', NULL, NULL, NULL, 0, 0, 0),
	('67775050', 'HARARE AIRPORT', NULL, NULL, -17.920000, NULL, 31.100000, '1497', NULL, NULL, '0000-00-00 00:00:00', '1956-07-01 06:00:00', 'Zimbabwe', NULL, NULL, NULL, 0, 0, 0),
	('67778020', 'SHAMVA PANMURE', NULL, NULL, -17.270000, NULL, 31.620000, '881', NULL, NULL, '0000-00-00 00:00:00', '1970-01-23 06:00:00', 'Zimbabwe', NULL, NULL, NULL, 0, 0, 0),
	('67779030', 'MOUNT DARWIN', NULL, NULL, -16.780000, NULL, 31.580000, '965', NULL, NULL, '0000-00-00 00:00:00', '1930-01-01 06:00:00', 'Zimbabwe', NULL, NULL, NULL, 0, 0, 0),
	('67781030', 'MUTOKO', NULL, NULL, -17.420000, NULL, 32.220000, '1244', NULL, NULL, '0000-00-00 00:00:00', '1929-07-01 06:00:00', 'Zimbabwe', NULL, NULL, NULL, 0, 0, 0),
	('67785020', 'HENDERSON RES. STN.', NULL, NULL, -17.580000, NULL, 30.970000, '1292', NULL, NULL, '0000-00-00 00:00:00', '1949-11-09 06:00:00', 'Zimbabwe', NULL, NULL, NULL, 0, 0, 0),
	('67789010', 'MVURWI', NULL, NULL, -17.030000, NULL, 30.850000, '1481', NULL, NULL, '0000-00-00 00:00:00', '1961-11-02 06:00:00', 'Zimbabwe', NULL, NULL, NULL, 0, 0, 0),
	('67791010', 'HARARE KUTSAGA', NULL, NULL, -17.920000, NULL, 31.130000, '1479', NULL, NULL, '0000-00-00 00:00:00', '1953-11-24 06:00:00', 'Zimbabwe', NULL, NULL, NULL, 0, 0, 0),
	('67793010', 'RATTRAY ARNOLD RES. STN.', NULL, NULL, -17.670000, NULL, 31.220000, '1341', NULL, NULL, '0000-00-00 00:00:00', '1980-12-01 06:00:00', 'Zimbabwe', NULL, NULL, NULL, 0, 0, 0),
	('67795010', 'HARARE RES. STATION', NULL, NULL, -17.800000, NULL, 31.050000, '1506', NULL, NULL, '0000-00-00 00:00:00', '1964-10-01 06:00:00', 'Zimbabwe', NULL, NULL, NULL, 0, 0, 0),
	('67817010', 'RUPERE MOUNTAIN', NULL, NULL, -18.730000, NULL, 32.830000, '1850', NULL, NULL, '0000-00-00 00:00:00', '1969-09-28 06:00:00', 'Zimbabwe', NULL, NULL, NULL, 0, 0, 0),
	('67819010', 'RUPERE NURSERY', NULL, NULL, -18.720000, NULL, 32.830000, '1611', NULL, NULL, '0000-00-00 00:00:00', '1968-05-01 06:00:00', 'Zimbabwe', NULL, NULL, NULL, 0, 0, 0),
	('67823010', 'NYANGA NUT ORCHARD', NULL, NULL, -18.280000, NULL, 32.750000, '1845', NULL, NULL, '0000-00-00 00:00:00', '1951-07-05 06:00:00', 'Zimbabwe', NULL, NULL, NULL, 0, 0, 0),
	('67843020', 'VICTORIA FALLS AIRPORT', NULL, NULL, -18.100000, NULL, 25.850000, '1061', NULL, NULL, '0000-00-00 00:00:00', '1933-11-21 06:00:00', 'Zimbabwe', NULL, NULL, NULL, 0, 0, 0),
	('67853030', 'HWANGE NAT. PARK', NULL, NULL, -18.630000, NULL, 27.000000, '1079', NULL, NULL, '0000-00-00 00:00:00', '1931-07-01 06:00:00', 'Zimbabwe', NULL, NULL, NULL, 0, 0, 0),
	('67854010', 'LUSULU', NULL, NULL, -18.070000, NULL, 27.830000, '988', NULL, NULL, '0000-00-00 00:00:00', '1961-10-01 06:00:00', 'Zimbabwe', NULL, NULL, NULL, 0, 0, 0),
	('67855020', 'LUPANE', NULL, NULL, -18.930000, NULL, 27.800000, '1012', NULL, NULL, '0000-00-00 00:00:00', '1930-01-01 06:00:00', 'Zimbabwe', NULL, NULL, NULL, 0, 0, 0),
	('67857010', 'TSHOLOTSHO', NULL, NULL, -19.750000, NULL, 27.770000, '1100', NULL, NULL, '0000-00-00 00:00:00', '1961-11-21 06:00:00', 'Zimbabwe', NULL, NULL, NULL, 0, 0, 0),
	('67861030', 'GOKWE', NULL, NULL, -18.220000, NULL, 28.930000, '1282', NULL, NULL, '0000-00-00 00:00:00', '1933-05-12 06:00:00', 'Zimbabwe', NULL, NULL, NULL, 0, 0, 0),
	('67863010', 'NKAYI', NULL, NULL, -19.000000, NULL, 28.900000, '1131', NULL, NULL, '0000-00-00 00:00:00', '1948-09-25 06:00:00', 'Zimbabwe', NULL, NULL, NULL, 0, 0, 0),
	('67865030', 'KWEKWE', NULL, NULL, -18.930000, NULL, 29.830000, '1213', NULL, NULL, '0000-00-00 00:00:00', '1931-03-01 06:00:00', 'Zimbabwe', NULL, NULL, NULL, 0, 0, 0),
	('67867050', 'GWERU THORNHILL', NULL, NULL, -19.450000, NULL, 29.850000, '1428', NULL, NULL, '0000-00-00 00:00:00', '1930-01-01 06:00:00', 'Zimbabwe', NULL, NULL, NULL, 0, 0, 0),
	('67869050', 'KADOMA COTTON RES. INST.', NULL, NULL, -18.320000, NULL, 29.880000, '1149', NULL, NULL, '0000-00-00 00:00:00', '1931-09-04 06:00:00', 'Zimbabwe', NULL, NULL, NULL, 0, 0, 0),
	('67871020', 'CHIVHU', NULL, NULL, -19.030000, NULL, 30.880000, '1458', NULL, NULL, '0000-00-00 00:00:00', '1930-10-01 06:00:00', 'Zimbabwe', NULL, NULL, NULL, 0, 0, 0),
	('67875010', 'BUHERA', NULL, NULL, -19.320000, NULL, 31.430000, '1192', NULL, NULL, '0000-00-00 00:00:00', '1951-04-10 06:00:00', 'Zimbabwe', NULL, NULL, NULL, 0, 0, 0),
	('67877070', 'MARONDERA RES.STN.IRRIG.', NULL, NULL, -18.180000, NULL, 31.470000, '1631', NULL, NULL, '0000-00-00 00:00:00', '1932-07-18 06:00:00', 'Zimbabwe', NULL, NULL, NULL, 0, 0, 0),
	('67879020', 'MAKOHOLI EXP. STATION', NULL, NULL, -19.830000, NULL, 30.780000, '1204', NULL, NULL, '0000-00-00 00:00:00', '1964-05-01 06:00:00', 'Zimbabwe', NULL, NULL, NULL, 0, 0, 0),
	('67881040', 'RUSAPE', NULL, NULL, -18.530000, NULL, 32.130000, '1430', NULL, NULL, '0000-00-00 00:00:00', '1929-07-01 06:00:00', 'Zimbabwe', NULL, NULL, NULL, 0, 0, 0),
	('67887030', 'MUTARE FIRE STN.', NULL, NULL, -18.970000, NULL, 32.670000, '1113', NULL, NULL, '0000-00-00 00:00:00', '1930-01-01 06:00:00', 'Zimbabwe', NULL, NULL, NULL, 0, 0, 0),
	('67889030', 'NYANGA EXP. STN.', NULL, NULL, -18.280000, NULL, 32.750000, '1878', NULL, NULL, '0000-00-00 00:00:00', '1932-07-19 06:00:00', 'Zimbabwe', NULL, NULL, NULL, 0, 0, 0),
	('67890010', 'NYANGANI LULECHE', NULL, NULL, -18.350000, NULL, 32.920000, '869', NULL, NULL, '0000-00-00 00:00:00', '1959-06-10 06:00:00', 'Zimbabwe', NULL, NULL, NULL, 0, 0, 0),
	('67891010', 'MHONDORO', NULL, NULL, -18.320000, NULL, 30.600000, '1260', NULL, NULL, '0000-00-00 00:00:00', '1954-05-13 06:00:00', 'Zimbabwe', NULL, NULL, NULL, 0, 0, 0),
	('67893020', 'CHIBERO', NULL, NULL, -18.100000, NULL, 30.670000, '1335', NULL, NULL, '0000-00-00 00:00:00', '1967-04-24 06:00:00', 'Zimbabwe', NULL, NULL, NULL, 0, 0, 0),
	('67895050', 'MUKANDI', NULL, NULL, -18.720000, NULL, 32.850000, '1274', NULL, NULL, '0000-00-00 00:00:00', '1969-08-29 06:00:00', 'Zimbabwe', NULL, NULL, NULL, 0, 0, 0),
	('67897020', 'CHISENGU', NULL, NULL, -19.880000, NULL, 32.880000, '1483', NULL, NULL, '0000-00-00 00:00:00', '1955-04-27 06:00:00', 'Zimbabwe', NULL, NULL, NULL, 0, 0, 0),
	('67897040', 'CHIMANIMANI PORK PIE', NULL, NULL, -19.780000, NULL, 32.880000, '1688', NULL, NULL, '0000-00-00 00:00:00', '1961-01-01 06:00:00', 'Zimbabwe', NULL, NULL, NULL, 0, 0, 0),
	('67899010', 'WEDZA', NULL, NULL, -18.620000, NULL, 31.570000, '1384', NULL, NULL, '0000-00-00 00:00:00', '1950-03-07 06:00:00', 'Zimbabwe', NULL, NULL, NULL, 0, 0, 0),
	('67911010', 'COFFEEE RES. STN.', NULL, NULL, -20.200000, NULL, 32.650000, '985', NULL, NULL, '0000-00-00 00:00:00', '1932-07-27 06:00:00', 'Zimbabwe', NULL, NULL, NULL, 0, 0, 0),
	('67951020', 'PLUMTREE', NULL, NULL, -20.480000, NULL, 27.800000, '1390', NULL, NULL, '0000-00-00 00:00:00', '1928-01-01 06:00:00', 'Zimbabwe', NULL, NULL, NULL, 0, 0, 0),
	('67959010', 'MATOPOS SANDVELD', NULL, NULL, -20.380000, NULL, 28.500000, '1347', NULL, NULL, '0000-00-00 00:00:00', '1959-11-01 06:00:00', 'Zimbabwe', NULL, NULL, NULL, 0, 0, 0),
	('67961020', 'KEZI', NULL, NULL, -20.920000, NULL, 28.450000, '1015', NULL, NULL, '0000-00-00 00:00:00', '1930-09-01 06:00:00', 'Zimbabwe', NULL, NULL, NULL, 0, 0, 0),
	('67963040', 'MATOPOS RES. STN.', NULL, NULL, -20.400000, NULL, 28.470000, '1338', NULL, NULL, '0000-00-00 00:00:00', '1930-01-01 06:00:00', 'Zimbabwe', NULL, NULL, NULL, 0, 0, 0),
	('67964020', 'BULAWAYO GOETZ', NULL, NULL, -20.150000, NULL, 28.620000, '1343', NULL, NULL, '0000-00-00 00:00:00', '1890-07-01 06:00:00', 'Zimbabwe', NULL, NULL, NULL, 0, 0, 0),
	('67965050', 'BULAWAYO AIRPORT', NULL, NULL, -20.020000, NULL, 28.620000, '1326', NULL, NULL, '0000-00-00 00:00:00', '1957-07-01 06:00:00', 'Zimbabwe', NULL, NULL, NULL, 0, 0, 0),
	('67966020', 'NCEMA DAM', NULL, NULL, -20.370000, NULL, 29.020000, '1070', NULL, NULL, '0000-00-00 00:00:00', '1950-12-01 06:00:00', 'Zimbabwe', NULL, NULL, NULL, 0, 0, 0),
	('67967020', 'THULI ESTATE', NULL, NULL, -21.380000, NULL, 28.980000, '765', NULL, NULL, '0000-00-00 00:00:00', '1954-07-23 06:00:00', 'Zimbabwe', NULL, NULL, NULL, 0, 0, 0),
	('67969020', 'WEST NICHOLSON', NULL, NULL, -21.050000, NULL, 29.370000, '860', NULL, NULL, '0000-00-00 00:00:00', '1952-05-12 06:00:00', 'Zimbabwe', NULL, NULL, NULL, 0, 0, 0),
	('67971020', 'ZVISHAVANE', NULL, NULL, -20.320000, NULL, 30.070000, '975', NULL, NULL, '0000-00-00 00:00:00', '1929-10-01 06:00:00', 'Zimbabwe', NULL, NULL, NULL, 0, 0, 0),
	('67975040', 'MASVINGO AIRPORT', NULL, NULL, -20.070000, NULL, 30.870000, '1094', NULL, NULL, '0000-00-00 00:00:00', '1928-01-01 06:00:00', 'Zimbabwe', NULL, NULL, NULL, 0, 0, 0),
	('67976010', 'RUPIKE IRRIGATION SCHEME', NULL, NULL, -20.550000, NULL, 31.080000, '700', NULL, NULL, '0000-00-00 00:00:00', '1990-12-01 06:00:00', 'Zimbabwe', NULL, NULL, NULL, 0, 0, 0),
	('67977020', 'TRIANGLE RES. STN.', NULL, NULL, -21.020000, NULL, 31.420000, '416', NULL, NULL, '0000-00-00 00:00:00', '1944-09-01 06:00:00', 'Zimbabwe', NULL, NULL, NULL, 0, 0, 0),
	('67977040', 'BUFFALO RANGE', NULL, NULL, -21.020000, NULL, 31.580000, '429', NULL, NULL, '0000-00-00 00:00:00', '1965-12-01 06:00:00', 'Zimbabwe', NULL, NULL, NULL, 0, 0, 0),
	('67979020', 'ZAKA', NULL, NULL, -20.330000, NULL, 31.470000, '774', NULL, NULL, '0000-00-00 00:00:00', '1949-09-24 06:00:00', 'Zimbabwe', NULL, NULL, NULL, 0, 0, 0),
	('67983030', 'CHIPINGE', NULL, NULL, -20.200000, NULL, 32.620000, '1131', NULL, NULL, '0000-00-00 00:00:00', '1932-07-27 06:00:00', 'Zimbabwe', NULL, NULL, NULL, 0, 0, 0),
	('67985020', 'CHISUMBANJE', NULL, NULL, -20.800000, NULL, 32.230000, '421', NULL, NULL, '0000-00-00 00:00:00', '1954-03-26 06:00:00', 'Zimbabwe', NULL, NULL, NULL, 0, 0, 0),
	('67987010', 'SOUTHDOWN ESTATE', NULL, NULL, -20.270000, NULL, 32.820000, '747', NULL, NULL, '0000-00-00 00:00:00', '1970-09-09 06:00:00', 'Zimbabwe', NULL, NULL, NULL, 0, 0, 0),
	('67989040', 'MIDDLE SAVE', NULL, NULL, -20.220000, NULL, 32.380000, '479', NULL, NULL, '0000-00-00 00:00:00', '1948-05-07 06:00:00', 'Zimbabwe', NULL, NULL, NULL, 0, 0, 0),
	('67991020', 'BEITBRIDGE', NULL, NULL, -22.220000, NULL, 30.000000, '456', NULL, NULL, '0000-00-00 00:00:00', '1933-06-22 06:00:00', 'Zimbabwe', NULL, NULL, NULL, 0, 0, 0);
/*!40000 ALTER TABLE `station` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_test_db_v4.stationelement
CREATE TABLE IF NOT EXISTS `stationelement` (
  `recordedFrom` varchar(255) DEFAULT NULL,
  `describedBy` bigint(20) DEFAULT NULL,
  `recordedWith` varchar(255) DEFAULT NULL,
  `instrumentcode` varchar(6) DEFAULT NULL,
  `scheduledFor` varchar(255) DEFAULT NULL,
  `height` float(6,2) DEFAULT NULL,
  `beginDate` varchar(50) DEFAULT NULL,
  `endDate` varchar(50) DEFAULT NULL,
  UNIQUE KEY `stationElementIdentification` (`recordedFrom`,`describedBy`,`recordedWith`,`beginDate`),
  KEY `obsElementobservationInitial` (`describedBy`),
  KEY `stationobservationInitial` (`recordedFrom`),
  KEY `FK_mysql_climsoft_db_v4_elementRecordedWith` (`recordedWith`),
  KEY `FK_mysql_climsoft_db_v4_elementScheduledFor` (`scheduledFor`),
  CONSTRAINT `FK_mysql_climsoft_db_v4_elementDescribedBy` FOREIGN KEY (`describedBy`) REFERENCES `obselement` (`elementId`),
  CONSTRAINT `FK_mysql_climsoft_db_v4_elementRecordedWith` FOREIGN KEY (`recordedWith`) REFERENCES `instrument` (`instrumentId`),
  CONSTRAINT `FK_mysql_climsoft_db_v4_elementScheduledFor` FOREIGN KEY (`scheduledFor`) REFERENCES `obsscheduleclass` (`scheduleClass`),
  CONSTRAINT `FK_mysql_climsoft_db_v4_staionRecordedFrom` FOREIGN KEY (`recordedFrom`) REFERENCES `station` (`stationId`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_test_db_v4.stationelement: ~0 rows (approximately)
/*!40000 ALTER TABLE `stationelement` DISABLE KEYS */;
/*!40000 ALTER TABLE `stationelement` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_test_db_v4.stationidalias
CREATE TABLE IF NOT EXISTS `stationidalias` (
  `idAlias` varchar(255) DEFAULT NULL,
  `refersTo` varchar(255) DEFAULT NULL,
  `belongsTo` varchar(255) DEFAULT NULL,
  `idAliasBeginDate` varchar(50) DEFAULT NULL,
  `idAliasEndDate` varchar(50) DEFAULT NULL,
  UNIQUE KEY `stationid_alias_identification` (`idAlias`),
  KEY `stationstationidAlias` (`belongsTo`),
  CONSTRAINT `FK_mysql_climsoft_db_v4_station_stationIdAlias` FOREIGN KEY (`belongsTo`) REFERENCES `station` (`stationId`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_test_db_v4.stationidalias: ~0 rows (approximately)
/*!40000 ALTER TABLE `stationidalias` DISABLE KEYS */;
/*!40000 ALTER TABLE `stationidalias` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_test_db_v4.stationlocationhistory
CREATE TABLE IF NOT EXISTS `stationlocationhistory` (
  `belongsTo` varchar(255) DEFAULT NULL,
  `stationType` varchar(255) DEFAULT NULL,
  `geoLocationMethod` varchar(255) DEFAULT NULL,
  `geoLocationAccuracy` float(11,6) DEFAULT NULL,
  `openingDatetime` varchar(50) DEFAULT NULL,
  `closingDatetime` varchar(50) DEFAULT NULL,
  `latitude` double(11,6) DEFAULT NULL,
  `longitude` double(11,6) DEFAULT NULL,
  `elevation` bigint(20) DEFAULT NULL,
  `authority` varchar(255) DEFAULT NULL,
  `adminRegion` varchar(255) DEFAULT NULL,
  `drainageBasin` varchar(255) DEFAULT NULL,
  UNIQUE KEY `history` (`belongsTo`,`openingDatetime`),
  CONSTRAINT `FK_mysql_climsoft_db_v4_station_stationLocationHistory` FOREIGN KEY (`belongsTo`) REFERENCES `station` (`stationId`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_test_db_v4.stationlocationhistory: ~0 rows (approximately)
/*!40000 ALTER TABLE `stationlocationhistory` DISABLE KEYS */;
/*!40000 ALTER TABLE `stationlocationhistory` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_test_db_v4.stationnetworkdefinition
CREATE TABLE IF NOT EXISTS `stationnetworkdefinition` (
  `networkAbbreviation` varchar(255) NOT NULL DEFAULT '',
  `networkFullName` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`networkAbbreviation`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_test_db_v4.stationnetworkdefinition: ~0 rows (approximately)
/*!40000 ALTER TABLE `stationnetworkdefinition` DISABLE KEYS */;
/*!40000 ALTER TABLE `stationnetworkdefinition` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_test_db_v4.stationqualifier
CREATE TABLE IF NOT EXISTS `stationqualifier` (
  `qualifier` varchar(255) DEFAULT NULL,
  `qualifierBeginDate` varchar(50) DEFAULT NULL,
  `qualifierEndDate` varchar(50) DEFAULT NULL,
  `stationTimeZone` int(11) DEFAULT '0',
  `stationNetworkType` varchar(255) DEFAULT NULL,
  `belongsTo` varchar(255) DEFAULT NULL,
  UNIQUE KEY `stationid_qualifier_identification` (`qualifier`,`qualifierBeginDate`,`qualifierEndDate`,`belongsTo`),
  KEY `stationQualifierIdentification` (`belongsTo`),
  CONSTRAINT `FK_mysql_climsoft_db_v4_station_qualifier` FOREIGN KEY (`belongsTo`) REFERENCES `station` (`stationId`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_test_db_v4.stationqualifier: ~0 rows (approximately)
/*!40000 ALTER TABLE `stationqualifier` DISABLE KEYS */;
/*!40000 ALTER TABLE `stationqualifier` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_test_db_v4.synopfeature
CREATE TABLE IF NOT EXISTS `synopfeature` (
  `abbreviation` varchar(255) NOT NULL,
  `description` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`abbreviation`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_test_db_v4.synopfeature: ~0 rows (approximately)
/*!40000 ALTER TABLE `synopfeature` DISABLE KEYS */;
/*!40000 ALTER TABLE `synopfeature` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_test_db_v4.tblproducts
CREATE TABLE IF NOT EXISTS `tblproducts` (
  `productId` varchar(10) NOT NULL,
  `productName` varchar(50) DEFAULT NULL,
  `prDetails` varchar(50) DEFAULT NULL,
  `prCategory` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`productId`),
  KEY `productId` (`productId`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_test_db_v4.tblproducts: ~22 rows (approximately)
/*!40000 ALTER TABLE `tblproducts` DISABLE KEYS */;
INSERT INTO `tblproducts` (`productId`, `productName`, `prDetails`, `prCategory`) VALUES
	('0', 'Minutes', 'Minutes observations', 'Data'),
	('01', 'Inventory', 'Details of Data Records', 'Inventory'),
	('02', 'Hourly', 'Summaries of Hourly Observations', 'Data'),
	('03', 'Daily', 'Summaries of Daily Observation', 'Data'),
	('04', 'Pentad', '5 Days Summeries', 'Data'),
	('05', 'Dekadal', '10 Days Summaries', 'Data'),
	('06', 'Monthly', 'Monthly Summaries', 'Data'),
	('07', 'Annual', 'Annual Summaries', 'Data'),
	('08', 'Means', 'Long Term Means', 'Data'),
	('09', 'Extremes', 'Long Term', 'Data'),
	('10', 'WindRose', 'Wind Rose Picture', 'Graphics'),
	('11', 'TimeSeries', 'Time Series Chart', 'Graphics'),
	('12', 'Histograms', 'Histogram Chart', 'Graphics'),
	('13', 'Instat', 'Daily Data for Instat', 'Output for other Applications'),
	('14', 'Rclimdex', 'Daily Data for Rclimdex', 'Output for other Applications'),
	('15', 'CPT', 'Data for CPT', 'Output for other Applications'),
	('16', 'GeoCLIM Monthly', 'Monthly Data for GeoCLIM', 'Output for other Applications'),
	('17', 'GeoCLIM Dekadal', 'Dekadal Data for Geoclim', 'Output for other Applications'),
	('18', 'GeoCLIM Daily', 'Daily Data for Geoclim', 'Output for other Applications'),
	('19', 'ACMADBulletin', 'ACMAD Dekadal Bulletin', 'Summaries'),
	('20', 'CLIMAT', 'CLIMAT Messages', 'Messages'),
	('21', 'Missing Data', 'Inventory of Missing Data', 'Inventory');
/*!40000 ALTER TABLE `tblproducts` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_test_db_v4.tdcf_indicators
CREATE TABLE IF NOT EXISTS `tdcf_indicators` (
  `CREX_Edition` int(11) DEFAULT '0',
  `CREX_Table` int(11) DEFAULT '0',
  `BUFR_Table` int(11) DEFAULT '0',
  `Local_Table` int(11) DEFAULT '0',
  `Data_Category` int(11) DEFAULT '0',
  `Data_SubCategory` int(11) DEFAULT '0',
  `Originating_Centre` int(11) DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_test_db_v4.tdcf_indicators: ~0 rows (approximately)
/*!40000 ALTER TABLE `tdcf_indicators` DISABLE KEYS */;
/*!40000 ALTER TABLE `tdcf_indicators` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_test_db_v4.tm_307073
CREATE TABLE IF NOT EXISTS `tm_307073` (
  `order` double DEFAULT NULL,
  `Bufr_Template` varchar(255) DEFAULT NULL,
  `CREX_Template` varchar(255) DEFAULT NULL,
  `Sequence_Descriptor1` varchar(255) DEFAULT NULL,
  `Sequence_Descriptor0` varchar(255) DEFAULT NULL,
  `Bufr_Element` varchar(255) DEFAULT NULL,
  `Crex_Element` varchar(255) DEFAULT NULL,
  `Climsoft_Element` varchar(255) DEFAULT NULL,
  `Element_Name` varchar(255) DEFAULT NULL,
  `Crex_Unit` varchar(255) DEFAULT NULL,
  `Crex_Scale` varchar(255) DEFAULT NULL,
  `Crex_DataWidth` varchar(255) DEFAULT NULL,
  `Bufr_Unit` varchar(255) DEFAULT NULL,
  `Bufr_Scale` double DEFAULT NULL,
  `Bufr_RefValue` double DEFAULT NULL,
  `Bufr_DataWidth_Bits` double DEFAULT NULL,
  `Selected` tinyint(4) DEFAULT NULL,
  `Observation` varchar(255) DEFAULT NULL,
  `Crex_Data` varchar(255) DEFAULT NULL,
  `Bufr_Data` varchar(255) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_test_db_v4.tm_307073: ~183 rows (approximately)
/*!40000 ALTER TABLE `tm_307073` DISABLE KEYS */;
INSERT INTO `tm_307073` (`order`, `Bufr_Template`, `CREX_Template`, `Sequence_Descriptor1`, `Sequence_Descriptor0`, `Bufr_Element`, `Crex_Element`, `Climsoft_Element`, `Element_Name`, `Crex_Unit`, `Crex_Scale`, `Crex_DataWidth`, `Bufr_Unit`, `Bufr_Scale`, `Bufr_RefValue`, `Bufr_DataWidth_Bits`, `Selected`, `Observation`, `Crex_Data`, `Bufr_Data`) VALUES
	(128, '', '', '', '008053', '008053', 'B08053', '210_ds', 'Day of occurrence qualifier', 'Code table', '0', '1', 'Code table', 0, 0, 2, 1, '', '', ''),
	(129, '', '', '', '004003', '004003', 'B04003', '210_D', 'Day', 'Day', '0', '2', 'Day', 0, 0, 6, 1, '', '', ''),
	(130, '', '', '', '013052', '013052', 'B13052', '210', 'Highest daily amount of precipitation', 'kg m-2', '1', '5', 'kg m-2', 1, -1, 14, 1, '', '', ''),
	(131, '', '', '', '007032', '007032', 'B07032', 'precip_ht_cancel', 'Height of sensor above local ground (or deck of marine platform) (see Note 5)', 'm', '2', '5', 'm', 2, 0, 16, 1, '', '', ''),
	(132, '', '', '307072', '004001', '004001', 'B04001', 'Normal_beginyear', 'Year', 'Year', '0', '4', 'Year', 0, 0, 12, 1, '', '', ''),
	(133, '', '', '', '004001', '004001', 'B04001', 'Normal_endyear', 'Year', 'Year', '0', '4', 'Year', 0, 0, 12, 1, '', '', ''),
	(134, '', '', '', '004002', '004002', 'B04002', 'Normal_month', 'Month', 'Month', '0', '2', 'Month', 0, 0, 4, 1, '', '', ''),
	(135, '', '', '', '004003', '004003', 'B04003', 'Normal_day', 'Day', 'Day', '0', '2', 'Day', 0, 0, 6, 1, '', '', ''),
	(136, '', '', '', '004004', '004004', 'B04004', 'Normal_hour', 'Hour', 'Hour', '0', '2', 'Hour', 0, 0, 5, 1, '', '', ''),
	(137, '', '', '', '004074', '004074', 'B04074', 'Sdisp', 'Short time period or displacement', 'Hour', '0', '2', 'Hour', 0, -128, 8, 1, '', '', ''),
	(138, '', '', '', '004022', '004022', 'B04022', 'Normal_Tdisp', 'Time period or displacement', 'Month', '0', '4', 'Month', 0, -1024, 11, 1, '', '', ''),
	(139, '', '', '', '008023', '008023', 'B08023', 'Sts_04', 'First order statistics (=4; mean value)', 'Code table', '0', '2', 'Code table', 0, 0, 6, 1, '', '', ''),
	(140, '', '', '', '010004', '010004', 'B10004', '106_N', 'Pressure', 'Pa', ' -1', '5', 'Pa', -1, 0, 14, 1, '', '', ''),
	(141, '', '', '', '010051', '010051', 'B10051', '107_N', 'Pressure reduced to mean sea level', 'Pa', '-1', '5', 'Pa', -1, 0, 14, 1, '', '', ''),
	(142, '', '', '', '007004', '007004', 'B07004', '301_N', 'Pressure standard level', 'Pa', '-1', '5', 'Pa', -1, 0, 14, 1, '', '', ''),
	(143, '', '', '', '010009', '010009', 'B10009', '185_N', 'Geopotential height', 'gpm', '0', '5', 'gpm', 0, -1000, 17, 1, '', '', ''),
	(144, '', '', '', '007032', '007032', 'B07032', 'temp_ht', 'Height of sensor above local ground (or deck of marine platform) (see Note 5)', 'm', '2', '5', 'm', 2, 0, 16, 1, '', '', ''),
	(145, '', '', '', '012101', '012101', 'B12101', '101_N', 'Temperature/dry-bulb temperature', '°C', '2', '4', 'K', 2, 0, 16, 1, '', '', ''),
	(146, '', '', '', '002051', '002051', 'B02051', 'station_type', 'Indicator to specify observing method for extreme temperatures', 'Code table', '0', '2', 'Code table', 0, 0, 4, 1, '', '', ''),
	(1, '307073', 'D07073', '307071', '301090', '001001', 'B01001', 'wmo_block', 'WMO block number', 'Numeric', '0', '2', 'Numeric', 0, 0, 7, 1, '', '', ''),
	(37, NULL, NULL, NULL, NULL, '008050', 'B08050', 'Qualifier_04', 'Qualifier for number of missing values in calculation of statistic vapour pressure', 'Code table', '0', '2', 'Code table', 0, 0, 4, 1, '', '', ''),
	(38, NULL, NULL, NULL, NULL, '008020', 'B08020', '281_ds', 'Total number of missing days for vapour pressure', 'Numeric', '0', '5', 'Numeric', 0, 0, 16, 1, '', '', ''),
	(39, NULL, NULL, NULL, NULL, '008050', 'B08050', 'Qualifier_07', 'Qualifier for number of missing values in calculation of statistic maximum temperature', 'Code table', '0', '2', 'Code table', 0, 0, 4, 1, '', '', ''),
	(40, NULL, NULL, NULL, NULL, '008020', 'B08020', '201_ds', 'Total number of missing days for maximum temperature', 'Numeric', '0', '5', 'Numeric', 0, 0, 16, 1, '', '', ''),
	(41, NULL, NULL, NULL, NULL, '008050', 'B08050', 'Qualifier_08', 'Qualifier for number of missing values in calculation of statistic minumum temperature', 'Code table', '0', '2', 'Code table', 0, 0, 4, 1, '', '', ''),
	(42, NULL, NULL, NULL, NULL, '008020', 'B08020', '202_ds', 'Total number of missing days for minimum temperature', 'Numeric', '0', '5', 'Numeric', 0, 0, 16, 1, '', '', ''),
	(43, '', '', '', '014032', '014032', 'B14032', '268', 'Total sunshine', 'Hour', '0', '4', 'Hour', 0, 0, 10, 1, '', '', ''),
	(44, '', '', '', '014033', '014033', 'B14033', 'sh_N_P', 'Total sunshine in percentage of Normal', '%', '0', '3', '%', 0, 0, 9, 1, '', '', ''),
	(45, '', '', '', '008050', '008050', 'B08050', 'Qualifier_06', 'Qualifier for number of missing values in calculation of statistic', 'Code table', '0', '2', 'Code table', 0, 0, 4, 1, '', '', ''),
	(46, '', '', '', '008020', '008020', 'B08020', '268_ds', 'Total number of missing entities (with respect to accumulation or average)', 'Numeric', '0', '5', 'Numeric', 0, 0, 16, 1, '', '', ''),
	(47, '', '', '', '102018', '102018', 'R02018', '', 'Replicate 2 descriptors 18 times', '', '', '', '', NULL, NULL, NULL, 0, '', '', ''),
	(48, '', '', '', NULL, '008052', 'B08052', 'Condition_00', 'Condition for which number of days of occurrence follows for wind >=10 m/s2', 'Code table ', '0', '2', 'Code table', 0, 0, 5, 1, '', '', ''),
	(49, '', '', '', NULL, '008022', 'B08022', 'ff10', 'Total number (with respect to accumulation or average) for', 'Numeric', '0', '5', 'Numeric', 0, 0, 16, 1, '', '', ''),
	(50, NULL, NULL, NULL, NULL, '008052', 'B08052', 'Condition_01', 'Condition for which number of days of occurrence follows for wind >=20 m/s2', 'Code table ', '0', '2', 'Code table', 0, 0, 5, 1, '', '', ''),
	(51, NULL, NULL, NULL, NULL, '008022', 'B08022', 'ff20', 'Total number (with respect to accumulation or average) for', 'Numeric', '0', '5', 'Numeric', 0, 0, 16, 1, '', '', ''),
	(52, NULL, NULL, NULL, NULL, '008052', 'B08052', 'Condition_02', 'Condition for which number of days of occurrence follows for wind >=30 m/s2', 'Code table ', '0', '2', 'Code table', 0, 0, 5, 1, '', '', ''),
	(53, NULL, NULL, NULL, NULL, '008022', 'B08022', 'ff30', 'Total number (with respect to accumulation or average) for', 'Numeric', '0', '5', 'Numeric', 0, 0, 16, 1, '', '', ''),
	(54, NULL, NULL, NULL, NULL, '008052', 'B08052', 'Condition_03', 'Condition for which number of days of occurrence follows for  Tx < 0\' C', 'Code table ', '0', '2', 'Code table', 0, 0, 5, 1, '', '', ''),
	(55, NULL, NULL, NULL, NULL, '008022', 'B08022', 'Tx0', 'Total number (with respect to accumulation or average) for ', 'Numeric', '0', '5', 'Numeric', 0, 0, 16, 1, '', '', ''),
	(56, NULL, NULL, NULL, NULL, '008052', 'B08052', 'Condition_04', 'Condition for which number of days of occurrence follows for Tx >= 25\' C', 'Code table ', '0', '2', 'Code table', 0, 0, 5, 1, '', '', ''),
	(57, NULL, NULL, NULL, NULL, '008022', 'B08022', 'Tx25', 'Total number (with respect to accumulation or average) for', 'Numeric', '0', '5', 'Numeric', 0, 0, 16, 1, '', '', ''),
	(58, NULL, NULL, NULL, NULL, '008052', 'B08052', 'Condition_05', 'Condition for which number of days of occurrence follows for Tx >= 30\' C', 'Code table ', '0', '2', 'Code table', 0, 0, 5, 1, '', '', ''),
	(59, NULL, NULL, NULL, NULL, '008022', 'B08022', 'Tx30', 'Total number (with respect to accumulation or average) for', 'Numeric', '0', '5', 'Numeric', 0, 0, 16, 1, '', '', ''),
	(60, NULL, NULL, NULL, NULL, '008052', 'B08052', 'Condition_06', 'Condition for which number of days of occurrence follows for Tx >= 35\' C', 'Code table ', '0', '2', 'Code table', 0, 0, 5, 1, '', '', ''),
	(61, NULL, NULL, NULL, NULL, '008022', 'B08022', 'Tx35', 'Total number (with respect to accumulation or average) for', 'Numeric', '0', '5', 'Numeric', 0, 0, 16, 1, '', '', ''),
	(62, NULL, NULL, NULL, NULL, '008052', 'B08052', 'Condition_07', 'Condition for which number of days of occurrence follows for Tx >= 40\' C', 'Code table ', '0', '2', 'Code table', 0, 0, 5, 1, '', '', ''),
	(63, NULL, NULL, NULL, NULL, '008022', 'B08022', 'Tx40', 'Total number (with respect to accumulation or average) for', 'Numeric', '0', '5', 'Numeric', 0, 0, 16, 1, '', '', ''),
	(64, NULL, NULL, NULL, NULL, '008052', 'B08052', 'Condition_08', 'Condition for which number of days of occurrence follows for Tn < 0\' C', 'Code table ', '0', '2', 'Code table', 0, 0, 5, 1, '', '', ''),
	(65, NULL, NULL, NULL, NULL, '008022', 'B08022', 'Tn0', 'Total number (with respect to accumulation or average) for', 'Numeric', '0', '5', 'Numeric', 0, 0, 16, 1, '', '', ''),
	(66, NULL, NULL, NULL, NULL, '008052', 'B08052', 'Condition_16', 'Condition for which number of days of occurrence follows for snow depth > 0.0 m', 'Code table ', '0', '2', 'Code table', 0, 0, 5, 1, '', '', ''),
	(67, NULL, NULL, NULL, NULL, '008022', 'B08022', 'ss0', 'Total number (with respect to accumulation or average) for snow depth > 0.00 m', 'Numeric', '0', '5', 'Numeric', 0, 0, 16, 1, '', '', ''),
	(68, NULL, NULL, NULL, NULL, '008052', 'B08052', 'Condition_17', 'Condition for which number of days of occurrence follows for snow depth > 0.01 m', 'Code table ', '0', '2', 'Code table', 0, 0, 5, 1, '', '', ''),
	(69, NULL, NULL, NULL, NULL, '008022', 'B08022', 'ss1', 'Total number (with respect to accumulation or average) for snow depth > 0.01 m', 'Numeric', '0', '5', 'Numeric', 0, 0, 16, 1, '', '', ''),
	(70, NULL, NULL, NULL, NULL, '008052', 'B08052', 'Condition_18', 'Condition for which number of days of occurrence follows for snow depth > 0.10 m', 'Code table ', '0', '2', 'Code table', 0, 0, 5, 1, '', '', ''),
	(71, NULL, NULL, NULL, NULL, '008022', 'B08022', 'ss10', 'Total number (with respect to accumulation or average) for snow depth > 0.10 m', 'Numeric', '0', '5', 'Numeric', 0, 0, 16, 1, '', '', ''),
	(72, NULL, NULL, NULL, NULL, '008052', 'B08052', 'Condition_19', 'Condition for which number of days of occurrence follows for snow depth > 0.50 m', 'Code table ', '0', '2', 'Code table', 0, 0, 5, 1, '', '', ''),
	(73, NULL, NULL, NULL, NULL, '008022', 'B08022', 'ss50', 'Total number (with respect to accumulation or average) for snow depth > 0.50 m', 'Numeric', '0', '5', 'Numeric', 0, 0, 16, 1, '', '', ''),
	(74, NULL, NULL, NULL, NULL, '008052', 'B08052', 'Condition_20', 'Condition for which number of days of occurrence follows for visbility < 50 m', 'Code table ', '0', '2', 'Code table', 0, 0, 5, 1, '', '', ''),
	(75, NULL, NULL, NULL, NULL, '008022', 'B08022', 'VV50', 'Total number (with respect to accumulation or average) for', 'Numeric', '0', '5', 'Numeric', 0, 0, 16, 1, '', '', ''),
	(76, NULL, NULL, NULL, NULL, '008052', 'B08052', 'Condition_21', 'Condition for which number of days of occurrence follows for < 100 m', 'Code table ', '0', '2', 'Code table', 0, 0, 5, 1, '', '', ''),
	(77, NULL, NULL, NULL, NULL, '008022', 'B08022', 'VV100', 'Total number (with respect to accumulation or average) for', 'Numeric', '0', '5', 'Numeric', 0, 0, 16, 1, '', '', ''),
	(78, NULL, NULL, NULL, NULL, '008052', 'B08052', 'Condition_22', 'Condition for which number of days of occurrence follows for < 1000 m', 'Code table ', '0', '2', 'Code table', 0, 0, 5, 1, '', '', ''),
	(79, NULL, NULL, NULL, NULL, '008022', 'B08022', 'VV1000', 'Total number (with respect to accumulation or average) for', 'Numeric', '0', '5', 'Numeric', 0, 0, 16, 1, '', '', ''),
	(80, NULL, NULL, NULL, NULL, '008052', 'B08052', 'Condition_23', 'Condition for which number of days of occurrence follows for hail', 'Code table ', '0', '2', 'Code table', 0, 0, 5, 1, '', '', ''),
	(81, NULL, NULL, NULL, NULL, '008022', 'B08022', 'DDgr', 'Total number (with respect to accumulation or average) for', 'Numeric', '0', '5', 'Numeric', 0, 0, 16, 1, '', '', ''),
	(82, NULL, NULL, NULL, NULL, '008052', 'B08052', 'Condition_24', 'Condition for which number of days of occurrence follows for thunderstorm', 'Code table ', '0', '2', 'Code table', 0, 0, 5, 1, '', '', ''),
	(83, NULL, NULL, NULL, NULL, '008022', 'B08022', 'DDts', 'Total number (with respect to accumulation or average) for', 'Numeric', '0', '5', 'Numeric', 0, 0, 16, 1, '', '', ''),
	(84, '', '', '', '007032', '007032', 'B07032', 'temp_ht', 'Height of sensor above local ground (or deck of marine platform) (see Note 5)', 'm', '2', '5', 'm', 2, 0, 16, 1, '', '', ''),
	(85, '', '', '', '008053', '008053', 'B08053', '205_ds', 'Day of occurrence qualifier', 'Code table', '0', '1', 'Code table', 0, 0, 2, 1, '', '', ''),
	(86, '', '', '', '004003', '004003', 'B04003', '205', 'Day', 'Day', '0', '2', 'Day', 0, 0, 6, 1, '', '', ''),
	(87, '', '', '', '012152', '012152', 'B12152', '204', 'Highest daily mean temperature', '°C', '2', '4', 'K', 2, 0, 16, 1, '', '', ''),
	(88, '', '', '', '008053', '008053', 'B08053', '207_ds', 'Day of occurrence qualifier', 'Code table', '0', '1', 'Code table', 0, 0, 2, 1, '', '', ''),
	(89, '', '', '', '004003', '004003', 'B04003', '207', 'Day', 'Day', '0', '2', 'Day', 0, 0, 6, 1, '', '', ''),
	(90, '', '', '', '012153', '012153', 'B12153', '206', 'Lowest daily mean temperature', '°C', '2', '4', 'K', 2, 0, 16, 1, '', '', ''),
	(91, '', '', '', '008053', '008053', 'B08053', '101_xds', 'Day of occurrence qualifier', 'Code table', '0', '1', 'Code table', 0, 0, 2, 1, '', '', ''),
	(92, '', '', '', '004003', '004003', 'B04003', '101_xD', 'Day', 'Day', '0', '2', 'Day', 0, 0, 6, 1, '', '', ''),
	(93, '', '', '', '008023', '008023', 'B08023', 'Sts_02', 'First order statistics (=2; maximum value)', 'Code table', '0', '2', 'Code table', 0, 0, 6, 1, '', '', ''),
	(94, '', '', '', '012101', '012101', 'B12101', '101_x', 'Temperature/dry-bulb temperature', '°C', '2', '4', 'K', 2, 0, 16, 1, '', '', ''),
	(95, '', '', '', '008053', '008053', 'B08053', '101_nds', 'Day of occurrence qualifier', 'Code table', '0', '1', 'Code table', 0, 0, 2, 1, '', '', ''),
	(96, '', '', '', '004003', '004003', 'B04003', '101_nD', 'Day', 'Day', '0', '2', 'Day', 0, 0, 6, 1, '', '', ''),
	(97, '', '', '', '008023', '008023', 'B08023', 'Sts_03', 'First order statistics (=3; minimum value)', 'Code table', '0', '2', 'Code table', 0, 0, 6, 1, '', '', ''),
	(98, '', '', '', '012101', '012101', 'B12101', '101_n', 'Temperature/dry-bulb temperature', '°C', '2', '4', 'K', 2, 0, 16, 1, '', '', ''),
	(99, '', '', '', '008023', '008023', 'B08023', 'Sts_cancel', 'First order statistics (Set to missing to cancel the previous value)', 'Code table', '0', '2', 'Code table', 0, 0, 6, 1, '', '', ''),
	(100, '', '', '', '007032', '007032', 'B07032', 'w_ht', 'Height of sensor above local ground (or deck of marine platform) (see Note 5)', 'm', '2', '5', 'm', 2, 0, 16, 1, '', '', ''),
	(101, '', '', '', '002002', '002002', 'B02002', 'w_I', 'Type of instrumentation for wind measurement', 'Flag table', '0', '2', 'Flag table', 0, 0, 4, 1, '', '', ''),
	(102, '', '', '', '008053', '008053', 'B08053', '58_ds', 'Day of occurrence qualifier', 'Code table', '0', '1', 'Code table', 0, 0, 2, 1, '', '', ''),
	(103, '', '', '', '004003', '004003', 'B04003', '58_D', 'Day', 'Day', '0', '2', 'Day', 0, 0, 6, 1, '', '', ''),
	(104, '', '', '', '011046', '011046', 'B11046', '58', 'Maximum instantaneous wind speed', 'm s-1', '1', '4', 'm s-1', 1, 0, 12, 1, '', '', ''),
	(105, '', '', '', '008053', '008053', 'B08053', 'ds_cancel', 'Day of occurrence qualifier', 'Code table', '0', '1', 'Code table', 0, 0, 2, 1, '', '', ''),
	(106, '', '', '', '004003', '004003', 'B04003', 'precip_datetime_day', 'Day', 'Day', '0', '2', 'Day', 0, 0, 6, 1, '', '', ''),
	(107, '', '', '', '004004', '004004', 'B04004', 'precip_datetime_hour', 'Hour', 'Hour', '0', '2', 'Hour', 0, 0, 5, 1, '', '', ''),
	(108, '', '', '', '004023', '004023', 'B04023', 'Tdisp', 'Time period or displacement', 'Day', '0', '4', 'Day', 0, -1024, 11, 1, '', '', ''),
	(109, '', '', '', '007032', '007032', 'B07032', 'precip_ht', 'Height of sensor above local ground (or deck of marine platform) (see Note 5)', 'm', '2', '5', 'm', 2, 0, 16, 1, '', '', ''),
	(110, '', '', '', '013060', '013060', 'B13060', '208', 'Total accumulated precipitation', 'kg m-2', '1', '5', 'kg m-2', 1, -1, 17, 1, '', '', ''),
	(111, '', '', '', '013051', '013051', 'B13051', 'precip_fr', 'Frequency group, precipitation', 'Code table', '0', '2', 'Code table', 0, 0, 4, 1, '', '', ''),
	(112, '', '', '', '004053', '004053', 'B04053', '208_ds', 'Number of days with precipitation equal to or more than 1 mm', 'Numeric', '0', '2', 'Numeric', 0, 0, 6, 1, '', '', ''),
	(113, '', '', '', '008050', '008050', 'B08050', 'Qualifier_05', 'Qualifier for number of missing values in calculation of statistic', 'Code table', '0', '2', 'Code table', 0, 0, 4, 1, '', '', ''),
	(21, '', '', '', '007032', '007032', 'B07032', 'temp_ht', 'Height of sensor above local ground (or deck of marine platform) (see Note 5)', 'm', '2', '5', 'm', 2, 0, 16, 1, '', '', ''),
	(22, '', '', '', '012101', '012101', 'B12101', '203', 'Temperature/dry-bulb temperature', '°C', '2', '4', 'K', 2, 0, 16, 1, '', '', ''),
	(23, '', '', '', '002051', '002051', 'B02051', 'station_type', 'Indicator to specify observing method for extreme temperatures', 'Code table', '0', '2', 'Code table', 0, 0, 4, 1, '', '', ''),
	(24, '', '', '', '004051', '004051', 'B04051', 'GxGx', 'Principal time of daily reading of maximum temperature', 'Hour ', '0', '2', 'Hour', 0, 0, 5, 1, '', '', ''),
	(25, '', '', '', '012118', '012118', 'B12118', '201', 'Maximum temperature at height specified, past 24 hours', '°C', '2', '4', 'K', 2, 0, 16, 1, '', '', ''),
	(26, '', '', '', '004052', '004052', 'B04052', 'GnGn', 'Principal time of daily reading of minimum temperature', 'Hour ', '0', '2', 'Hour', 0, 0, 5, 1, '', '', ''),
	(27, '', '', '', '012119', '012119', 'B12119', '202', 'Minimum  temperature at height specified, past 24 hours', '°C', '2', '4', 'K', 2, 0, 16, 1, '', '', ''),
	(28, '', '', '', '013004', '013004', 'B13004', '281', 'Vapour pressure', 'Pa', '-1', '4', 'Pa', -1, 0, 10, 1, '', '', ''),
	(29, '', '', '', '008023', '008023', 'B08023', 'Sts_cancel', 'First order statistics (Set to missing to cancel the previous value)', 'Code table', '0', '2', 'Code table', 0, 0, 6, 1, '', '', ''),
	(30, '', '', '', '012151', '012151', 'B12151', '101_STD', 'Standard deviation of daily mean temperature', '°C', '2', '4', 'K', 2, 0, 12, 1, '', '', ''),
	(31, '', '', '', '007032', '007032', 'B07032', 'temp_ht_cancel', 'Height of sensor above local ground (set to missing to cancel the previous value)', 'm', '2', '5', 'm', 2, 0, 16, 1, '', '', ''),
	(32, '', '', '', '102005', '102005', 'R02005', '', 'Replicate 2 descriptors 5 times', '', '', '', '', NULL, NULL, NULL, 0, '', '', ''),
	(33, '', '', '', NULL, '008050', 'B08050', 'Qualifier_01', 'Qualifier for number of missing values in calculation of statistic pressure', 'Code table', '0', '2', 'Code table', 0, 0, 4, 1, '', '', ''),
	(34, '', '', '', NULL, '008020', 'B08020', '299_ds', 'Total number of missing days for pressure', 'Numeric', '0', '5', 'Numeric', 0, 0, 16, 1, '', '', ''),
	(35, NULL, NULL, NULL, NULL, '008050', 'B08050', 'Qualifier_02', 'Qualifier for number of missing values in calculation of statistic temperature', 'Code table', '0', '2', 'Code table', 0, 0, 4, 1, '', '', ''),
	(36, NULL, NULL, NULL, NULL, '008020', 'B08020', '203_ds', 'Total number of missing days for temperature', 'Numeric', '0', '5', 'Numeric', 0, 0, 16, 1, '', '', ''),
	(114, '', '', '', '008020', '008020', 'B08020', 'precip_cancel', 'Total number of missing entities (with respect to accumulation or average)', 'Numeric', '0', '5', 'Numeric', 0, 0, 16, 1, '', '', ''),
	(115, '', '', '', '102006', '102006', 'R02006', '', 'Replicate 2 descriptors 6 times', '', '', '', '', NULL, NULL, NULL, 0, '', '', ''),
	(116, '', '', '', NULL, '008052', 'B08052', 'Condition_10', 'Condition for which number of days of occurrence for precipiation  >=1.0 kg/m2', 'Code table ', '0', '2', 'Code table', 0, 0, 5, 1, '', '', ''),
	(117, '', '', '', NULL, '008022', 'B08022', 'RR1', 'Total number of days for precipiation >= 1.0 kg/m2', 'Numeric', '0', '5', 'Numeric', 0, 0, 16, 1, '', '', ''),
	(118, NULL, NULL, NULL, NULL, '008052', 'B08052', 'Condition_11', 'Condition for which number of days of occurrence for precipiation  >=5.0 kg/m2', 'Code table ', '0', '2', 'Code table', 0, 0, 5, 1, '', '', ''),
	(119, NULL, NULL, NULL, NULL, '008022', 'B08022', 'RR5', 'Total number of days for precipiation >= 5.0 kg/m2', 'Numeric', '0', '5', 'Numeric', 0, 0, 16, 1, '', '', ''),
	(120, NULL, NULL, NULL, NULL, '008052', 'B08052', 'Condition_12', 'Condition for which number of days of occurrence for precipiation  >=10.0 kg/m2', 'Code table ', '0', '2', 'Code table', 0, 0, 5, 1, '', '', ''),
	(121, NULL, NULL, NULL, NULL, '008022', 'B08022', 'RR10', 'Total number of days for precipiation >= 10.0 kg/m2', 'Numeric', '0', '5', 'Numeric', 0, 0, 16, 1, '', '', ''),
	(122, NULL, NULL, NULL, NULL, '008052', 'B08052', 'Condition_13', 'Condition for which number of days of occurrence for precipiation  >=50.0 kg/m2', 'Code table ', '0', '2', 'Code table', 0, 0, 5, 1, '', '', ''),
	(123, NULL, NULL, NULL, NULL, '008022', 'B08022', 'RR10', 'Total number of days for precipiation >= 50.0 kg/m2', 'Numeric', '0', '5', 'Numeric', 0, 0, 16, 1, '', '', ''),
	(124, NULL, NULL, NULL, NULL, '008052', 'B08052', 'Condition_14', 'Condition for which number of days of occurrence for precipiation  >=100.0 kg/m2', 'Code table ', '0', '2', 'Code table', 0, 0, 5, 1, '', '', ''),
	(125, NULL, NULL, NULL, NULL, '008022', 'B08022', 'RR100', 'Total number of days for precipiation >= 100.0 kg/m2', 'Numeric', '0', '5', 'Numeric', 0, 0, 16, 1, '', '', ''),
	(126, NULL, NULL, NULL, NULL, '008052', 'B08052', 'Condition_15', 'Condition for which number of days of occurrence for precipiation  >=150.0 kg/m2', 'Code table ', '0', '2', 'Code table', 0, 0, 5, 1, '', '', ''),
	(127, NULL, NULL, NULL, NULL, '008022', 'B08022', 'RR150', 'Total number of days for precipiation >= 150.0 kg/m2', 'Numeric', '0', '5', 'Numeric', 0, 0, 16, 1, '', '', ''),
	(2, '', '', '', '', '001002', 'B01002', 'wmo_number', 'WMO station number', 'Numeric', '0', '3', 'Numeric', 0, 0, 10, 1, '', '', ''),
	(3, '', '', '', '', '001015', 'B01015', 'station_name', 'Station or site name', 'Character', '0', '20', 'CCITT IA5', 0, 0, 160, 1, '', '', ''),
	(4, '', '', '', '', '002001', 'B02001', 'station_type', 'Type of station', 'Code table', '0', '1', 'Code table', 0, 0, 2, 1, '', '', ''),
	(5, '', '', '', '', '004001', 'B04001', 'datetime_year', 'Year', 'Year', '0', '4', 'Year', 0, 0, 12, 1, '', '', ''),
	(6, '', '', '', '', '004002', 'B04002', 'datetime_month', 'Month', 'Month', '0', '2', 'Month', 0, 0, 4, 1, '', '', ''),
	(7, '', '', '', '', '004003', 'B04003', 'datetime_day', 'Day', 'Day', '0', '2', 'Day', 0, 0, 6, 1, '', '', ''),
	(8, '', '', '', '', '004004', 'B04004', 'datetime_hour', 'Hour', 'Hour', '0', '2', 'Hour', 0, 0, 5, 1, '', '', ''),
	(9, '', '', '', '', '004005', 'B04005', 'datetime_minute', 'Minute', 'Minute', '0', '2', 'Minute', 0, 0, 6, 1, '', '', ''),
	(10, '', '', '', '', '005001', 'B05001', 'station_deglatitude', 'Latitude (high accuracy)', 'Degree', '5', '7', 'Degree', 5, -9000000, 25, 1, '', '', ''),
	(11, '', '', '', '', '006001', 'B06001', 'station_deglongitude', 'Longitude (high accuracy)', 'Degree', '5', '8', 'Degree', 5, -18000000, 26, 1, '', '', ''),
	(12, '', '', '', '', '007030', 'B07030', 'station_elevation', 'Height of station ground above mean sea level (see Note 3)', 'm', '1', '5', 'm', 1, -4000, 17, 1, '', '', ''),
	(13, '', '', '', '', '007031', 'B07031', 'baro_ht_msl', 'Height of barometer above mean sea level (see Note 4)', 'm', '1', '5', 'm', 1, -4000, 17, 1, '', '', ''),
	(14, '', '', '', '004074', '004074', 'B04074', 'Sdisp', 'Short time period or displacement', 'Hour', '0', '2', 'Hour', 0, -128, 8, 1, '', '', ''),
	(15, '', '', '', '004023', '004023', 'B04023', 'Tdisp', 'Time period or displacement', 'Day', '0', '4', 'Day', 0, -1024, 11, 1, '', '', ''),
	(16, '', '', '', '008023', '008023', 'B08023', 'Sts_04', 'First order statistics (=4; mean value)', 'Code table', '0', '2', 'Code table', 0, 0, 6, 1, '', '', ''),
	(17, '', '', '', '010004', '010004', 'B10004', '299', 'Pressure', 'Pa', ' -1', '5', 'Pa', -1, 0, 14, 1, '', '', ''),
	(18, '', '', '', '010051', '010051', 'B10051', '107', 'Pressure reduced to mean sea level', 'Pa', '-1', '5', 'Pa', -1, 0, 14, 1, '', '', ''),
	(19, '', '', '', '007004', '007004', 'B07004', '301', 'Pressure at standard level', 'Pa', '-1', '5', 'Pa', -1, 0, 14, 1, '', '', ''),
	(20, '', '', '', '010009', '010009', 'B10009', '185', 'Geopotential height', 'gpm', '0', '5', 'gpm', 0, -1000, 17, 1, '', '', ''),
	(147, '', '', '', '004051', '004051', 'B04051', 'GxGx', 'Principal time of daily reading of maximum temperature', 'Hour ', '0', '2', 'Hour', 0, 0, 5, 1, '', '', ''),
	(148, '', '', '', '012118', '012118', 'B12118', '2_N', 'Maximum temperature at height specified, past 24 hours', '°C', '2', '4', 'K', 2, 0, 16, 1, '', '', ''),
	(149, '', '', '', '004052', '004052', 'B04052', 'GnGn', 'Principal time of daily reading of minimum temperature', 'Hour ', '0', '2', 'Hour', 0, 0, 5, 1, '', '', ''),
	(150, '', '', '', '012119', '012119', 'B12119', '3_N', 'Minimum  temperature at height specified, past 24 hours', '°C', '2', '4', 'K', 2, 0, 16, 1, '', '', ''),
	(151, '', '', '', '013004', '013004', 'B13004', '91_N', 'Vapour pressure', 'Pa', '-1', '4', 'Pa', -1, 0, 10, 1, '', '', ''),
	(152, '', '', '', '012151', '012151', 'B12151', 'STD_N', 'Standard deviation of daily mean temperature', '°C', '2', '4', 'K', 2, 0, 12, 1, '', '', ''),
	(153, '', '', '', '007032', '007032', 'B07032', 'temp_ht_cancel', 'Height of sensor above local ground (set to missing to cancel the previous value)', 'm', '2', '5', 'm', 2, 0, 16, 1, '', '', ''),
	(154, '', '', '', '014032', '014032', 'B14032', '532_N', 'Total sunshine', 'Hour', '0', '4', 'Hour', 0, 0, 10, 1, '', '', ''),
	(155, '', '', '', '008023', '008023', 'B08023', 'Sts_cancel', 'First order statistics (Set to missing to cancel the previous value)', 'Code table', '0', '2', 'Code table', 0, 0, 6, 1, '', '', ''),
	(156, '', '', '', '004001', '004001', 'B04001', 'precip_beginyear_N', 'Year', 'Year', '0', '4', 'Year', 0, 0, 12, 1, '', '', ''),
	(157, '', '', '', '004001', '004001', 'B04001', 'precip_endyear_N', 'Year', 'Year', '0', '4', 'Year', 0, 0, 12, 1, '', '', ''),
	(158, '', '', '', '004002', '004002', 'B04002', 'precip_month_N', 'Month', 'Month', '0', '2', 'Month', 0, 0, 4, 1, '', '', ''),
	(159, '', '', '', '004003', '004003', 'B04003', 'precip_day_N', 'Day', 'Day', '0', '2', 'Day', 0, 0, 6, 1, '', '', ''),
	(160, '', '', '', '004004', '004004', 'B04004', 'precip_hour_N', 'Hour', 'Hour', '0', '2', 'Hour', 0, 0, 5, 1, '', '', ''),
	(161, '', '', '', '004022', '004022', 'B04022', 'precip_P_N', 'Time period or displacement', 'Month', '0', '4', 'Month', 0, -1024, 11, 1, '', '', ''),
	(162, '', '', '', '007032', '007032', 'B07032', 'precip_ht', 'Height of sensor above local ground (or deck of marine platform) (see Note 5)', 'm', '2', '5', 'm', 2, 0, 16, 1, '', '', ''),
	(163, '', '', '', '008023', '008023', 'B08023', 'Sts_04', 'First order statistics (=4; mean value)', 'Code table', '0', '2', 'Code table', 0, 0, 6, 1, '', '', ''),
	(164, '', '', '', '013060', '013060', 'B13060', '5_N', 'Total accumulated precipitation', 'kg m-2', '1', '5', 'kg m-2', 1, -1, 17, 1, '', '', ''),
	(165, '', '', '', '004053', '004053', 'B04053', '208_ds', 'Number of days with precipitation equal to or more than 1 mm', 'Numeric', '0', '2', 'Numeric', 0, 0, 6, 1, '', '', ''),
	(166, '', '', '', '008023', '008023', 'B08023', 'Sts_cancel', 'First order statistics (Set to missing to cancel the previous value)', 'Code table', '0', '2', 'Code table', 0, 0, 6, 1, '', '', ''),
	(167, '', '', '', '102008', '102008', 'R02008', '', 'Replicate 2 descriptors 8 times', '', '', '', '', NULL, NULL, NULL, 0, '', '', ''),
	(168, '', '', '', NULL, '008050', 'B08050', 'Qualifier_01', 'Qualifier for number of missing years for pressure', 'Code table', '0', '2', 'Code table', 0, 0, 4, 1, '', '', ''),
	(169, '', '', '', NULL, '008020', 'B08020', '106_Y', 'Total number of missing years for pressure', 'Numeric', '0', '5', 'Numeric', 0, 0, 16, 1, '', '', ''),
	(170, NULL, NULL, NULL, NULL, '008050', 'B08050', 'Qualifier_02', 'Qualifier for number of missing years for temperature', 'Code table', '0', '2', 'Code table', 0, 0, 4, 1, '', '', ''),
	(171, NULL, NULL, NULL, NULL, '008020', 'B08020', '101_Y', 'Total number of missing years for temperature', 'Numeric', '0', '5', 'Numeric', 0, 0, 16, 1, '', '', ''),
	(172, NULL, NULL, NULL, NULL, '008050', 'B08050', 'Qualifier_03', 'Qualifier for number of missing years for extreme temperatures', 'Code table', '0', '2', 'Code table', 0, 0, 4, 1, '', '', ''),
	(173, NULL, NULL, NULL, NULL, '008020', 'B08020', '203_Y', 'Total number of missing years for extreme temperatures', 'Numeric', '0', '5', 'Numeric', 0, 0, 16, 1, '', '', ''),
	(174, NULL, NULL, NULL, NULL, '008050', 'B08050', 'Qualifier_04', 'Qualifier for number of missing years for vapour pressure', 'Code table', '0', '2', 'Code table', 0, 0, 4, 1, '', '', ''),
	(175, NULL, NULL, NULL, NULL, '008020', 'B08020', '91_Y', 'Total number of missing years for vapour pressure', 'Numeric', '0', '5', 'Numeric', 0, 0, 16, 1, '', '', ''),
	(176, NULL, NULL, NULL, NULL, '008050', 'B08050', 'Qualifier_05', 'Qualifier for number of missing years for precipitation', 'Code table', '0', '2', 'Code table', 0, 0, 4, 1, '', '', ''),
	(177, NULL, NULL, NULL, NULL, '008020', 'B08020', '5_Y', 'Total number of missing years for precipitation', 'Numeric', '0', '5', 'Numeric', 0, 0, 16, 1, '', '', ''),
	(178, NULL, NULL, NULL, NULL, '008050', 'B08050', 'Qualifier_06', 'Qualifier for number of missing years for sunshine duration', 'Code table', '0', '2', 'Code table', 0, 0, 4, 1, '', '', ''),
	(179, NULL, NULL, NULL, NULL, '008020', 'B08020', '532_Y', 'Total number of missing years for sunshine duration', 'Numeric', '0', '5', 'Numeric', 0, 0, 16, 1, '', '', ''),
	(180, NULL, NULL, NULL, NULL, '008050', 'B08050', 'Qualifier_07', 'Qualifier for number of missing years for maximum temperature', 'Code table', '0', '2', 'Code table', 0, 0, 4, 1, '', '', ''),
	(181, NULL, NULL, NULL, NULL, '008020', 'B08020', '2_Y', 'Total number of missing years for maximum temperature', 'Numeric', '0', '5', 'Numeric', 0, 0, 16, 1, '', '', ''),
	(182, NULL, NULL, NULL, NULL, '008050', 'B08050', 'Qualifier_08', 'Qualifier for number of missing years years for minimum temperature', 'Code table', '0', '2', 'Code table', 0, 0, 4, 1, '', '', ''),
	(183, NULL, NULL, NULL, NULL, '008020', 'B08020', '3_Y', 'Total number of missing years for minimum temperature', 'Numeric', '0', '5', 'Numeric', 0, 0, 16, 1, '', '', '');
/*!40000 ALTER TABLE `tm_307073` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_test_db_v4.tm_307080
CREATE TABLE IF NOT EXISTS `tm_307080` (
  `order` int(11) DEFAULT '0',
  `Bufr_Template` varchar(50) DEFAULT NULL,
  `Crex_Template` varchar(50) DEFAULT NULL,
  `Sequence_Descriptor1` varchar(50) DEFAULT NULL,
  `Sequence_Descriptor0` varchar(50) DEFAULT NULL,
  `Bufr_Element` varchar(50) DEFAULT NULL,
  `Crex_Element` varchar(255) DEFAULT NULL,
  `Climsoft_Element` varchar(255) DEFAULT NULL,
  `Element_Name` varchar(255) DEFAULT NULL,
  `synop_code` varchar(255) DEFAULT NULL,
  `unit` varchar(255) DEFAULT NULL,
  `scale` varchar(255) DEFAULT NULL,
  `width` varchar(255) DEFAULT NULL,
  `units_length_scale` varchar(255) DEFAULT NULL,
  `data_type` varchar(255) DEFAULT NULL,
  `selected` tinyint(4) DEFAULT NULL,
  `observation` varchar(255) DEFAULT NULL,
  `Crex_Data` varchar(255) DEFAULT NULL,
  `Bufr_Data` varchar(50) DEFAULT NULL,
  KEY `synop_code` (`synop_code`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_test_db_v4.tm_307080: ~161 rows (approximately)
/*!40000 ALTER TABLE `tm_307080` DISABLE KEYS */;
INSERT INTO `tm_307080` (`order`, `Bufr_Template`, `Crex_Template`, `Sequence_Descriptor1`, `Sequence_Descriptor0`, `Bufr_Element`, `Crex_Element`, `Climsoft_Element`, `Element_Name`, `synop_code`, `unit`, `scale`, `width`, `units_length_scale`, `data_type`, `selected`, `observation`, `Crex_Data`, `Bufr_Data`) VALUES
	(21, NULL, NULL, 'D02035', 'D02032', '007032', 'B07032', 'Temp_SH', 'Height of sensor above local ground (for temperature and humidity measurement)', '', 'm', '2', '5', 'm, 2, 5', 'Temperature and humidity', 1, '1.25', '00125', NULL),
	(24, NULL, NULL, '', '', '013003', 'B13003', '105', 'Relative humidity', '', '%', '0', '3', '%, 0, 3', 'Temperature and humidity', 1, '1', '001', NULL),
	(27, NULL, NULL, '', 'D02034', '007032', 'B07032', 'R24_SH', 'Height of sensor above local ground (for precipitation measurement)', '', 'M', '2', '5', '', 'Precipitation', 1, '0.25', '00025', NULL),
	(29, NULL, NULL, '', 'B07032', '007032', 'B07032', 'Cancel_SH', 'Height of sensor above local ground (set to missing to cancel the previous table)', '', 'M', '2', '5', '', '', 1, '', '/////', NULL),
	(84, NULL, NULL, 'B08002', '', '008002', 'B08002', 'vert_sig_cancel', 'Vertical significance (set to missing to cancel the previous value)    ', '', 'Code Table', '0', '2', '', '', 1, '', '//', NULL),
	(96, NULL, NULL, 'B20101', '', '020101', 'B20101', '701', 'Locust (Acridian) name', '', 'Code Table', '0', '2', '', '', 0, '', '//', NULL),
	(97, NULL, NULL, 'B20102', '', '020102', 'B20102', '702', 'Locust (Maturity) colour', '', 'Code Table', '0', '2', '', '', 0, '', '//', NULL),
	(98, NULL, NULL, 'B20103', '', '020103', 'B20103', '704', 'Stage of development of locusts', '', 'Code Table', '0', '2', '', '', 0, '', '//', NULL),
	(99, NULL, NULL, 'B20104', '', '020104', 'B20104', '705', 'Organization state of swam or band of locusts', '', 'Code Table', '0', '2', '', '', 0, '', '//', NULL),
	(100, NULL, NULL, 'B20105', '', '020105', 'B20105', '706', 'Size of swam or band of locusts and duration of passage of time', '', 'Code Table', '0', '2', '', '', 0, '', '//', NULL),
	(105, NULL, NULL, '', '', '004024', 'B04024', 'ww_TP', 'Time period in hours', '', 'Hour', '0', '4', '', '', 1, '-3', '-0003', NULL),
	(108, NULL, NULL, '', 'R01002', '201002', 'R01002', '', 'Replicate 1 descriptors 2 times', '', '', '', '', '', 'Sunshine', 0, '', '', NULL),
	(109, NULL, NULL, '', 'D02039', '004024', 'B04024', 'SSS_TP', 'Time period in hours', '', 'Hour', '0', '4', 'Hour, 0, 4', 'Sunshine', 1, '-24', '-0024', NULL),
	(51, NULL, NULL, '', '', '008002', 'B08002', '131', 'Vertical significance', '', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '', '//', NULL),
	(135, NULL, NULL, '', '', '011043', 'B11043', '59', 'Maximum wind gust direction', '', 'Degree True', '0', '3', '', '', 1, '', '///', NULL),
	(136, NULL, NULL, '', '', '011041', 'B11041', '58', 'Maximum wind gust speed', '', 'M s-1', '1', '4', '', '', 1, '', '////', NULL),
	(137, NULL, NULL, '', '', '004025', 'B04025', 'w2_TP', 'Time period in minutes   ', '', 'Minute', '0', '4', '', '', 1, '', '////', NULL),
	(138, NULL, NULL, '', '', '011043', 'B11043', '591', 'Maximum wind gust direction', '', 'Degree True', '0', '3', '', '', 1, '', '///', NULL),
	(139, NULL, NULL, '', '', '011041', 'B11041', '581', 'Maximum wind gust speed', '', 'Minute', '1', '4', '', '', 1, '', '////', NULL),
	(140, NULL, NULL, '', 'B07032', '007032', 'B07032', 'evap_SH', 'Height of sensor above local ground (for evaporation measurement)', '', 'M', '2', '5', '', '', 1, '0.25', '00025', NULL),
	(141, NULL, NULL, 'D02044', 'B04024', '004024', 'B04024', 'evap_TP', 'Time period in hours              =  - 24', '', 'Hour', '0', '4', 'Hour, 0, 4', 'Evaporation', 1, '-24', '-0024', NULL),
	(111, NULL, NULL, '', '', '004024', 'B04024', 'SS_TP', 'Time period or displacement in hours', '', 'Hour', '0', '4', '', '', 1, '-1', '-0001', NULL),
	(113, NULL, NULL, '', 'D02040', '007032', 'B07032', 'RR_SH', 'Height of sensor above local ground (for precipiation measurement)', '', 'M', '2', '5', '', 'Precipitation', 1, '0.25', '00025', NULL),
	(114, NULL, NULL, '', '', 'R02002', 'R02002', '', 'Replicate next 2 descriptors 2 times', '', '', '', '', '', 'Precipitation ', 0, '', '', NULL),
	(116, NULL, NULL, '', '', '013011', 'B13011', '5', 'Total precipitation RRR', '', 'kg m-2', '1', '5', 'kg m-2, 1, 5', 'Precipitation ', 1, '1', '00001', NULL),
	(119, NULL, NULL, '', 'D02041', '007032', 'B07032', 'xt_SH', 'Height of sensor above local ground (for temperature measurement)', '', 'm', '2', '5', 'm, 2, 5', 'Extreme temperatures', 1, '1.25', '00125', NULL),
	(120, NULL, NULL, '', '', '004024', 'B04024', 'xt_TP', 'Time period or displacement                         ', '', 'Hour', '0', '4', '', '', 1, '-12', '-0012', NULL),
	(121, NULL, NULL, '', '', '004024', 'B04024', '', 'Time period or displacement (see Notes 1 and 2)                      ', '', 'Hour', '0', '4', '', '', 1, '', '////', NULL),
	(123, NULL, NULL, '', '', '004024', 'B04024', 'nt_TP', 'Time period or displacement                         ', '', 'Hour', '0', '4', '', '', 1, '-12', '-0012', NULL),
	(124, NULL, NULL, '', '', '004024', 'B04024', '', 'Time period or displacement (see Notes 2)                      ', '', 'Hour', '0', '4', '', '', 1, '', '////', NULL),
	(154, NULL, NULL, '', 'B14004', '014004', 'B14004', '533_1', 'Short-wave radiation, integrated over period specified ', '', 'J m-2', '-3', '4', '', '', 1, '', '////', NULL),
	(155, NULL, NULL, '', 'B14016', '014016', 'B14016', '136_1', 'Net radiation, integrated over period specified', '', 'J m-2', '-4', '5', '', '', 1, '', '/////', NULL),
	(156, NULL, NULL, '', 'B14028', '014028', 'B14028', '133_1', 'Global solar radiation (high accuracy), integrated over period specified', '', 'J m-2', '-2', '5', '', '', 1, '', '/////', NULL),
	(157, NULL, NULL, '', 'B14029', '014029', 'B14029', '97_1', 'Diffuse solar radiation (high accuracy), integrated over period specified', '', 'J m-2', '-2', '5', '', '', 1, '', '/////', NULL),
	(158, NULL, NULL, '', 'B14030', '014030', 'B14030', '139_1', 'Direct solar radiation (high accuracy), integrated over period specified', '', 'J m-2', '-2', '5', '', '', 1, '', '/////', NULL),
	(159, NULL, NULL, 'D02046', 'B04024', '004024', 'B04024', 'tempc_t', 'Time period or displacement                         ', '', 'Hour', '0', '4', '', '', 1, '', '////', NULL),
	(160, NULL, NULL, '', 'B04024', '004024', 'B04024', 'tempc1_t', 'Time period or displacement (see Note 3)       ', '', 'Hour', '0', '4', '', '', 1, '', '////', NULL),
	(89, NULL, NULL, '', 'B07021', '007021', 'B07021', '665', 'Elevation angle (set to missing to cancel the previous value)', '', 'Degree', '2', '5', '', '', 1, '', '/////', NULL),
	(92, NULL, NULL, '', 'B12113', '012113', 'B12113', '585', 'Ground minimum temperature past 12 hrs', '', 'Degree', '2', '3', '', '', 1, '', '///', NULL),
	(93, NULL, NULL, 'B12122', '', '012122', 'B12122', '85', 'Ground minimum temperature of the preceeding night', '', '\'C', '2', '4', '', '', 0, '1', '0010', NULL),
	(94, NULL, NULL, 'B13056', '', '013056', 'B13056', '505', 'Character and Intensity of precipitation', '', 'Code Table', '0', '2', '', '', 0, '1', '01', NULL),
	(95, NULL, NULL, 'B13057', '', '013057', 'B13057', '506', 'Time of beginning or end of precipitation', '', 'Code Table', '0', '2', '', '', 0, '9', '09', NULL),
	(126, NULL, NULL, '', 'D02042', '007032', 'B07032', 'w_SH', 'Height of sensor above local ground (for wind measurement)', '', 'M', '2', '5', '', '', 1, '10', '01000', NULL),
	(128, NULL, NULL, '', '', '008021', 'B08021', 'w_TS', 'Time significance (= 2 (time averaged))', '', 'Code table', '0', '2', '', '', 1, '2', '02', NULL),
	(129, NULL, NULL, '', '', '004025', 'B04025', 'w_TP', 'Time period (= - 10 minutes, or number of minutes after a significant change of wind)', '', 'Minute', '0', '4', '', '', 1, '-10', '-0010', NULL),
	(132, NULL, NULL, '', '', '008021', 'B08021', 'w1_TS', 'Time significance (= missing value)', '', 'Code table', '0', '2', '', '', 1, '', '//', NULL),
	(133, NULL, NULL, '', '', '203002', 'R03002', '', 'Replicate next 3 descriptors 2 times', '', '', '', '', '', '', 0, '', '', NULL),
	(134, NULL, NULL, '', '', '004025', 'B04025', 'w1_TP', 'Time period in minutes   ', '', 'Minute', '0', '4', '', '', 1, '', '////', NULL),
	(37, NULL, NULL, '', 'R01000', NULL, NULL, '', 'Delayed replication of the next 1 descriptor', '', '', '', '', '', '', 0, '', '', NULL),
	(38, NULL, NULL, '', 'B31001', '031001', 'B31001', 'cloud_rep1', 'Delayed descriptor replication factor', '', '', '0', '4', '', 'Cloud data', 1, '1', '0001', NULL),
	(39, NULL, NULL, '', 'D02005', '008002', 'B08002', '119', 'Vertical significance', '', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 1, '1', '01', NULL),
	(43, NULL, NULL, '', '', '008002', 'B08002', '123', 'Vertical significance', '', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '', '//', NULL),
	(47, NULL, NULL, '', '', '008002', 'B08002', '127', 'Vertical significance', '', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '', '//', NULL),
	(144, NULL, NULL, 'R01002', '', NULL, '', '', 'Replication the 1 descriptor 2 times ', '', '', '', '', '', '', 0, '', '', NULL),
	(145, NULL, NULL, 'D02045', 'B04024', '004024', 'B04024', 'rad_TP', 'Time period or displacement', '', 'Hour', '0', '4', '', '', 1, '', '////', NULL),
	(146, NULL, NULL, '', 'B14002', '014002', 'B14002', '536', 'Long-wave radiation, integrated over period specified ', '', 'J m-2', '-3', '4', '', '', 1, '', '////', NULL),
	(147, NULL, NULL, '', 'B14004', '014004', 'B14004', '533', 'Short-wave radiation, integrated over period specified ', '', 'J m-2', '-3', '4', '', '', 1, '', '////', NULL),
	(148, NULL, NULL, '', 'B14016', '014016', 'B14016', '136', 'Net radiation, integrated over period specified', '', 'J m-2', '-4', '5', '', '', 1, '', '/////', NULL),
	(149, NULL, NULL, '', 'B14028', '014028', 'B14028', '133', 'Global solar radiation (high accuracy), integrated over period specified', '', 'J m-2', '-2', '5', '', '', 1, '', '/////', NULL),
	(150, NULL, NULL, '', 'B14029', '014029', 'B14029', '97', 'Diffuse solar radiation (high accuracy), integrated over period specified', '', 'J m-2', '-2', '5', '', '', 1, '', '/////', NULL),
	(151, NULL, NULL, '', 'B14030', '014030', 'B14030', '139', 'Direct solar radiation (high accuracy), integrated over period specified', '', 'J m-2', '-2', '5', '', '', 1, '', '/////', NULL),
	(152, NULL, NULL, '', 'B04024', '004024', 'B04024', 'rad1_TP', 'Time period or displacement', '', 'Hour', '0', '4', '', '', 1, '', '////', NULL),
	(153, NULL, NULL, '', 'B14002', '014002', 'B14002', '536_1', 'Long-wave radiation, integrated over period specified ', '', 'J m-2', '-3', '4', '', '', 1, '', '////', NULL),
	(3, NULL, NULL, '', '', '001015', 'B01015', 'station_name', 'Station or site name', '', 'Character', '0', '20', 'Character, 0, 20', 'station identification', 1, 'DAGORETTI CORNER METEOROLOGICAL STATION', 'DAGORETTI CORNER MET', NULL),
	(5, NULL, NULL, '', 'D01011', '004001', 'B04001', 'datetime_year', 'Year', '', 'Year', '0', '4', 'Year, 0, 4', 'station identification', 1, '2000', '2000', NULL),
	(6, NULL, NULL, '', '', '004002', 'B04002', 'datetime_month', 'Month', '', 'Month', '0', '2', 'Month, 0, 2', 'station identification', 1, '01', '01', NULL),
	(10, NULL, NULL, '', 'D01021', '005001', 'B05001', 'station_deglatitude', 'Latitude (high accuracy)', '', 'Degree', '5', '7', 'Degree, 2, 4', 'station identification', 1, '-1.3', '-0000130', NULL),
	(11, NULL, NULL, '', '', '006001', 'B06001', 'station_deglongitude', 'Longitude (high accuracy)', '', 'Degree', '5', '8', 'Degree, 2, 5', 'station identification', 1, '36.75', '00003675', NULL),
	(12, NULL, NULL, '', 'B07030', '007030', 'B07030', 'station_elevation', 'Height of station ground above mean sea level', '', 'M', '1', '5', 'm, 1, 6', 'station identification', 1, '1798', '17980', NULL),
	(55, NULL, NULL, NULL, 'R05000', '205000', 'R05000', '', 'Delayed replication of 5 descriptors  ', '', '', '', '', '', '', 0, '', '', NULL),
	(56, NULL, NULL, NULL, 'B31001', '031001', 'B31001', 'cloud_rep2', 'Delayed descriptor replication factor', '', 'Numeric', '0', '4', '', '', 1, '0', '0000', NULL),
	(57, NULL, NULL, 'D02036', 'B08002', '008002', 'B08002', '611', 'Vertical Significance', '', 'Code table', '0', '2', 'Code table', '', 0, '', '//', NULL),
	(60, NULL, NULL, '', 'B20014', '020014', 'B20014', '614', 'Height of top of cloud', '', 'm', '-1', '4', '', '', 0, '', '////', NULL),
	(62, NULL, NULL, '', 'B08002', '008002', 'B08002', '621', 'Vertical Significance', '', 'Code table', '0', '2', 'Code table', '', 0, '', '//', NULL),
	(65, NULL, NULL, '', 'B20014', '020014', 'B20014', '624', 'Height of top of cloud', '', 'm', '-1', '4', '', '', 0, '', '////', NULL),
	(67, NULL, NULL, '', 'B08002', '008002', 'B08002', '631', 'Vertical Significance', '', 'Code table', '0', '2', 'Code table', '', 0, '', '//', NULL),
	(70, NULL, NULL, '', 'B20014', '020014', 'B20014', '634', 'Height of top of cloud', '', 'm', '-1', '4', '', '', 0, '', '////', NULL),
	(72, NULL, NULL, '', 'B08002', '008002', 'B08002', '641', 'Vertical Significance', '', 'Code table', '0', '2', 'Code table', '', 0, '', '//', NULL),
	(75, NULL, NULL, '', 'B20014', '020014', 'B20014', '644', 'Height of top of cloud', '', 'm', '-1', '4', '', '', 0, '', '////', NULL),
	(77, NULL, NULL, 'R02003', '', NULL, '', 'cloud_drift_rep', 'Replication factor of 2 descriptor  for 3 times', '', '', '', '', '', '', 0, '', '', NULL),
	(78, NULL, NULL, 'D02047', 'B08002', '008002', 'B08002', '651', 'Vertical Significance =7 (low cloud) =8 (middle cloud) =9 (high cloud)', '', 'Code table', '0', '2', '', '', 1, '', '//', NULL),
	(80, NULL, NULL, '', 'B08002', '008002', 'B08002', '653', 'Vertical Significance =7 (low cloud) =8 (middle cloud) =9 (high cloud)', '', 'Code Table', '0', '2', '', '', 1, '', '//', NULL),
	(82, NULL, NULL, '', 'B08002', '008002', 'B08002', '655', 'Vertical Significance =7 (low cloud) =8 (middle cloud) =9 (high cloud)', '', 'Code Table', '0', '2', '', '', 1, '', '//', NULL),
	(13, NULL, NULL, '', 'B07031', '007031', 'B07031', 'station_pressure_height', 'Height of barometer above mean sea level', '', 'M', '1', '5', 'm, 1, 6', 'station identification', 1, '1799', '17990', NULL),
	(4, NULL, NULL, '', '', '002001', 'B02001', 'station_qualifier', 'Type of station                                             ', '(ix)', 'Code table', '0', '1', 'Code table, 0, 1', 'station identification', 1, '1', '1', NULL),
	(17, NULL, NULL, '', '', '010063', 'B10063', 'a', 'Characteristic of pressure tendency', 'a', 'Code table', '0', '2', 'Code table, 0, 2', 'Pressure data', 1, '15', '15', NULL),
	(19, NULL, NULL, '', 'B07004', '007004', 'B07004', '301', 'Pressure (standard level) ', 'a3', 'Pa', '-1', '5', 'Pa, –1, 5', 'Pressure data', 1, '1', '00000', NULL),
	(53, NULL, NULL, '', '', '020012', 'B20012', '129', 'Cloud type', 'C', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '', '//', NULL),
	(87, NULL, NULL, '', 'B20012', '020012', 'B20012', '663', 'Cloud type ', 'C', 'Code Table', '0', '2', '', '', 1, '', '//', NULL),
	(41, NULL, NULL, '', '', '020012', 'B20012', '117', 'Cloud type', 'C', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 1, '1', '01', NULL),
	(45, NULL, NULL, '', '', '020012', 'B20012', '121', 'Cloud type', 'C', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '', '//', NULL),
	(49, NULL, NULL, '', '', '020012', 'B20012', '125', 'Cloud type', 'C', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '', '//', NULL),
	(59, NULL, NULL, '', 'B20012', '020012', 'B20012', '613', 'Cloud type', 'C', 'Code table', '0', '2', '', '', 0, '', '//', NULL),
	(64, NULL, NULL, '', 'B20012', '020012', 'B20012', '623', 'Cloud type', 'C', 'Code table', '0', '2', '', '', 0, '', '//', NULL),
	(69, NULL, NULL, '', 'B20012', '020012', 'B20012', '633', 'Cloud type', 'C', 'Code table', '0', '2', '', '', 0, '', '//', NULL),
	(74, NULL, NULL, '', 'B20012', '020012', 'B20012', '643', 'Cloud type', 'C', 'Code table', '0', '2', '', '', 0, '', '//', NULL),
	(36, NULL, NULL, '', '', '020012', 'B20012', '171', 'Cloud type (low clouds CH)', 'CH', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 1, '1', '01', NULL),
	(34, NULL, NULL, '', '', '020012', 'B20012', '169', 'Cloud type (low clouds CL)', 'CL ', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 1, '1', '01', NULL),
	(31, NULL, NULL, '', '', '008002', 'B08002', '115', 'Vertical significance', 'CL CM CH', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 1, '1', '01', NULL),
	(35, NULL, NULL, '', '', '020012', 'B20012', '170', 'Cloud type (low clouds CM)', 'CM', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 1, '1', '01', NULL),
	(61, NULL, NULL, '', 'B20017', '020017', 'B20017', '615', 'Cloud top description', 'Ct', 'Code table', '0', '2', 'Code table, 0', '', 0, '', '//', NULL),
	(66, NULL, NULL, '', 'B20017', '020017', 'B20017', '625', 'Cloud top description', 'Ct', 'Code table', '0', '2', 'Code table, 0', '', 0, '', '//', NULL),
	(71, NULL, NULL, '', 'B20017', '020017', 'B20017', '635', 'Cloud top description', 'Ct', 'Code table', '0', '2', 'Code table, 0', '', 0, '', '//', NULL),
	(76, NULL, NULL, '', 'B20017', '020017', 'B20017', '645', 'Cloud top description', 'Ct', 'Code table', '0', '2', 'Code table, 0', '', 0, '', '//', NULL),
	(85, NULL, NULL, 'D02048', 'B05021', '005021', 'B05021', '661', 'Bearing or azimuth', 'Da', 'Degree', '2', '5', '', '', 1, '', '/////', NULL),
	(88, NULL, NULL, '', 'B05021', '005021', 'B05021', '664', 'Bearing or azimuth (set to missing to cancel the previous value) ', 'Da', 'Degree', '2', '5', '', '', 1, '', '/////', NULL),
	(130, NULL, NULL, '', '', '011001', 'B11001', '112', 'Wind direction', 'dd', 'Degree true', '0', '3', '', '', 1, '1', '000', NULL),
	(101, NULL, NULL, 'B20106', '', '020106', 'B20106', '707', 'Locust population density', 'dL', 'Code Table', '0', '2', '', '', 0, '', '//', NULL),
	(102, NULL, NULL, 'B20107', '', '020107', 'B20107', '708', 'Direction of movements of locust swarm', 'DL', 'Code Table', '0', '2', '', '', 0, '', '//', NULL),
	(83, NULL, NULL, '', 'B20054', '020054', 'B20054', '656', 'True  direction from which clouds are moving', 'DL, DM, DH', 'Degree', '0', '3', '', '', 1, '', '///', NULL),
	(79, NULL, NULL, '', 'B20054', '020054', 'B20054', '652', 'True  direction from which clouds are moving', 'DL, DM, DH', 'Degree', '0', '3', '', '', 1, '', '///', NULL),
	(81, NULL, NULL, '', 'B20054', '020054', 'B20054', '654', 'True  direction from which clouds are moving', 'DL, DM, DH', 'Degree', '0', '3', '', '', 1, '', '///', NULL),
	(90, NULL, NULL, 'D02037', 'B20062', '020062', 'B20062', '51', 'State of ground (with or without snow)', 'E or E’', 'Code Table', '0', '2', '', '', 1, '', '//', NULL),
	(86, NULL, NULL, '', 'B07021', '007021', 'B07021', '662', 'Elevation angle ', 'eC', 'Degree', '2', '5', '', '', 1, '', '/////', NULL),
	(143, NULL, NULL, '', 'B13033', '013033', 'B13033', '18', 'Evaporation /evapotranspiration', 'EEE ', 'kg m-2', '1', '4', 'kg m-2, 1, 4', 'Evaporation', 1, '1', '0001', NULL),
	(131, NULL, NULL, '', '', '011002', 'B11002', '111', 'Wind speed ', 'ff', 'M s-1', '1', '4', '', '', 1, '1', '0010', NULL),
	(8, NULL, NULL, '', 'D01012', '004004', 'B04004', 'datetime_hour', 'Hour', 'GG', 'Hour', '0', '2', 'Hour, 0, 2', 'station identification', 1, '03', '03', NULL),
	(9, NULL, NULL, '', '', '004005', 'B04005', 'datetime_minute', 'Minute', 'gg', 'Minute', '0', '2', 'Minute, 0, 2', 'station identification', 1, '00', '00', NULL),
	(33, NULL, NULL, '', '', '020013', 'B20013', '192', 'Height of base of cloud', 'h', 'm', '-1', '4', 'm, –1, 4', 'Cloud data', 1, '1', '0000', NULL),
	(20, NULL, NULL, '', 'B10009', '010009', 'B10009', '185', 'Geopotential height of the standard level', 'hhh', 'gpm', '0', '5', 'gpm, 0, 5', 'Pressure data', 1, '1', '00001', NULL),
	(54, NULL, NULL, '', '', '020013', 'B20013', '130', 'Height of base of cloud', 'hshs  ', 'm', '-1', '4', 'm, -1, 4', 'Cloud data', 0, '', '////', NULL),
	(42, NULL, NULL, '', '', '020013', 'B20013', '118', 'Height of base of cloud', 'hshs  ', 'm', '-1', '4', 'm, -1, 4', 'Cloud data', 1, '1', '0000', NULL),
	(46, NULL, NULL, '', '', '020013', 'B20013', '122', 'Height of base of cloud', 'hshs  ', 'm', '-1', '4', 'm, -1, 4', 'Cloud data', 0, '', '////', NULL),
	(50, NULL, NULL, '', '', '020013', 'B20013', '126', 'Height of base of cloud', 'hshs  ', 'm', '-1', '4', 'm, -1, 4', 'Cloud data', 0, '', '////', NULL),
	(142, NULL, NULL, '', 'B02004', '002004', 'B02004', 'evap_I', 'Type of instrument for evaporation or crop for evapotranspiration', 'iE', 'Code table', '0', '2', 'Code table, 0, 2', 'Evaporation', 1, '1', '01', NULL),
	(1, '307080', 'D07080', 'D01090', 'D01004', '001001', 'B01001', 'station_WMO_bloc', 'WMO block number', 'II', 'Numeric', '0', '2', 'Numeric, 0, 2', 'station identification', 1, '63', '63', NULL),
	(2, NULL, NULL, '', '', '001002', 'B01002', 'station_WMO_number', 'WMO station number                                   ', 'iii', 'Numeric', '0', '3', 'Numeric, 0, 3', 'station identification', 1, '741', '741', NULL),
	(127, NULL, NULL, '', '', '002002', 'B02002', 'w_I', 'Type of instrumentation for wind measurement', 'iw', 'Flag table', '0', '2', '', '', 1, '14', '14', NULL),
	(25, NULL, NULL, '', 'D02033', '007032', 'B07032', 'Vis_SH', 'Height of sensor above local ground (for visibility measurement)', 'm', 'm', '2', '5', 'm, 2, 5', 'Temperature and humidity', 1, '1.5', '00150', NULL),
	(30, NULL, NULL, '', 'D02004', '020010', 'B20010', '114', 'Cloud cover (total)', 'N ', '%', '0', '3', '%, 0, 3', 'Cloud data', 1, '1', '013', NULL),
	(32, NULL, NULL, '', '', '020011', 'B20011', '168', 'Cloud amount (of low or middle clouds)', 'Nh ', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 1, '1', '01', NULL),
	(58, NULL, NULL, '', 'B20011', '020011', 'B20011', '612', 'Clound amount', 'Nh', 'Code table', '0', '2', '', '', 0, '', '//', NULL),
	(63, NULL, NULL, '', 'B20011', '020011', 'B20011', '622', 'Clound amount', 'Nh', 'Code table', '0', '2', '', '', 0, '', '//', NULL),
	(68, NULL, NULL, '', 'B20011', '020011', 'B20011', '632', 'Clound amount', 'Nh', 'Code table', '0', '2', '', '', 0, '', '//', NULL),
	(73, NULL, NULL, '', 'B20011', '020011', 'B20011', '642', 'Clound amount', 'Nh', 'Code table', '0', '2', '', '', 0, '', '//', NULL),
	(52, NULL, NULL, '', '', '020011', 'B20011', '128', 'Cloud amount', 'Ns ', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '', '//', NULL),
	(40, NULL, NULL, '', '', '020011', 'B20011', '116', 'Cloud amount', 'Ns ', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 1, '1', '01', NULL),
	(44, NULL, NULL, '', '', '020011', 'B20011', '120', 'Cloud amount', 'Ns ', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '', '//', NULL),
	(48, NULL, NULL, '', '', '020011', 'B20011', '124', 'Cloud amount', 'Ns ', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '', '//', NULL),
	(14, NULL, NULL, 'D02031', 'D02001', '010004', 'B10004', '106', 'Pressure', 'P0P0P0P0', 'Pa', '1', '5', 'Pa, –1, 5', 'Pressure data', 1, '1', '00001', NULL),
	(18, NULL, NULL, '', 'B10062', '010062', 'B10062', '399', '24-hour pressure change', 'p24p24p24', 'Pa', '-1', '4', 'Pa, –1, 4', 'Pressure data', 1, '1', '0000', NULL),
	(16, NULL, NULL, '', '', '010061', 'B10061', 'ppp', '3-hour pressure change', 'ppp', 'Pa', '-1', '4', 'Pa, –1, 4', 'Pressure data', 1, '', '////', NULL),
	(15, NULL, NULL, '', '', '010051', 'B10051', '107', 'Pressure reduced to mean sea level', 'PPPP', 'Pa', '1', '5', 'Pa, –1, 5', 'Pressure data', 1, '', '/////', NULL),
	(28, NULL, NULL, '', '', '013023', 'B13023', '5', 'Total precipitation Past 24 Hrs', 'R24R24R24R24', 'Kg M^2', '1', '5', '', 'Precipitation', 1, '1', '00001', NULL),
	(118, NULL, NULL, '', '', '013011', 'B13011', '174', 'Total precipitation', 'RRR', 'kgm-2', '1', '5', '', '', 1, '1', '00001', NULL),
	(161, NULL, NULL, '', 'B12049', '012049', 'B12049', '94', 'Temperature change over period specified', 'sndT', '\'C', '0', '2', '', '', 1, '', '//', NULL),
	(23, NULL, NULL, '', '', '012103', 'B12103', '103', 'Dew-point temperature (scale 2)', 'snTdTdTd', '°C', '2', '4', '°C, 2, 4', 'Temperature and humidity', 1, '1', '0010', NULL),
	(125, NULL, NULL, '', '', '012112', 'B12112', '3', 'Minimum temperature (scale 2) at height and over period specified ', 'snTnTnTn', '\'C', '2', '4', '', '', 1, '', '////', NULL),
	(22, NULL, NULL, '', '', '012101', 'B12101', '101', 'Temperature/Dry bulb (scale 2) at height and over period specified', 'snTTT', '°C', '2', '4', '°C, 2, 4', 'Temperature and humidity', 1, '1', '0010', NULL),
	(122, NULL, NULL, '', '', '012111', 'B12111', '2', 'Maximum temperature (scale 2) at height and over period specified', 'snTxTxTx', '\'C', '2', '4', '', '', 1, '', '////', NULL),
	(112, NULL, NULL, '', '', '014031', 'B14031', '132', 'Total sunshine in minutes (2nd replication)', 'SS', 'Minute', '0', '4', '', '', 1, '1', '0001', NULL),
	(110, NULL, NULL, '', '', '014031', 'B14031', '532', 'Total sunshine ', 'SSS', 'Minute', '0', '4', 'Minute, 0, 4', 'Sunshine', 1, '60', '0006', NULL),
	(91, NULL, NULL, '', 'B13013', '013013', 'B13013', '50', 'Total snow depth', 'sss', 'M', '2', '5', '', '', 1, '', '/////', NULL),
	(115, NULL, NULL, '', '', '004024', 'B04024', 'tR_TP', 'Time period in hours', 'tR', 'Hour', '0', '4', 'Hour, 0, 4', 'Precipitation ', 1, '-3', '-0003', NULL),
	(117, NULL, NULL, '', '', '004024', 'B04024', 'tr_TP', 'Time period or displacement', 'tr', 'Hour', '0', '4', '', '', 1, '-3', '-0003', NULL),
	(103, NULL, NULL, 'B20108', '', '020108', 'B20108', '710', 'Extent of vegetation', 've', 'Code Table', '0', '2', '', '', 0, '', '//', NULL),
	(26, NULL, NULL, '', '', '020001', 'B20001', '110', 'Horizontal Visibility', 'VV', 'm', '-1', '4', 'm, –1, 4', 'Visibility  ', 1, '1', '0000', NULL),
	(106, NULL, NULL, '', '', '020004', 'B20004', '197', 'Past weather (1) ', 'W1', 'Code table', '0', '2', '', '', 1, '1', '01', NULL),
	(107, NULL, NULL, '', '', '020005', 'B20005', '193', 'Past weather (2) ', 'W2', 'Code table', '0', '2', '', '', 1, '1', '01', NULL),
	(104, NULL, NULL, 'D02043', 'D02038', '020003', 'B20003', '167', 'Present weather ', 'ww', 'Code table', '0', '3', '', '', 1, '1', '001', NULL),
	(7, NULL, NULL, '', '', '004003', 'B04003', 'datetime_day', 'Day', 'YY', 'Day', '0', '2', 'Day, 0, 2', 'station identification', 1, '01', '01', NULL);
/*!40000 ALTER TABLE `tm_307080` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_test_db_v4.tm_307081
CREATE TABLE IF NOT EXISTS `tm_307081` (
  `Nos` int(11) DEFAULT '0',
  `Bufr_Template` varchar(50) DEFAULT NULL,
  `Crex_Template` varchar(50) DEFAULT NULL,
  `Sequence_Descriptor1` varchar(50) DEFAULT NULL,
  `Sequence_Descriptor0` varchar(50) DEFAULT NULL,
  `Bufr_Element` varchar(50) DEFAULT NULL,
  `Crex_Element` varchar(255) DEFAULT NULL,
  `Climsoft_Element` varchar(255) DEFAULT NULL,
  `Element_Name` varchar(255) DEFAULT NULL,
  `synop_code` varchar(255) DEFAULT NULL,
  `unit` varchar(255) DEFAULT NULL,
  `scale` varchar(255) DEFAULT NULL,
  `width` varchar(255) DEFAULT NULL,
  `units_length_scale` varchar(255) DEFAULT NULL,
  `data_type` varchar(255) DEFAULT NULL,
  `selected` tinyint(4) DEFAULT NULL,
  `Observation` varchar(255) DEFAULT NULL,
  `Crex_Data` varchar(255) DEFAULT NULL,
  `Bufr_Data` varchar(50) DEFAULT NULL,
  KEY `synop_code` (`synop_code`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_test_db_v4.tm_307081: ~161 rows (approximately)
/*!40000 ALTER TABLE `tm_307081` DISABLE KEYS */;
INSERT INTO `tm_307081` (`Nos`, `Bufr_Template`, `Crex_Template`, `Sequence_Descriptor1`, `Sequence_Descriptor0`, `Bufr_Element`, `Crex_Element`, `Climsoft_Element`, `Element_Name`, `synop_code`, `unit`, `scale`, `width`, `units_length_scale`, `data_type`, `selected`, `Observation`, `Crex_Data`, `Bufr_Data`) VALUES
	(96, NULL, NULL, 'B20101', '', '020101', 'B20101', '701', 'Locust (Acridian) name', '', 'Code Table', '0', '2', '', '', 1, '', '//', NULL),
	(97, NULL, NULL, 'B20102', '', '020102', 'B20102', '702', 'Locust (Maturity) colour', '', 'Code Table', '0', '2', '', '', 1, '', '//', NULL),
	(98, NULL, NULL, 'B20103', '', '020103', 'B20103', '704', 'Stage of development of locusts', '', 'Code Table', '0', '2', '', '', 1, '', '//', NULL),
	(99, NULL, NULL, 'B20104', '', '020104', 'B20104', '705', 'Organization state of swam or band of locusts', '', 'Code Table', '0', '2', '', '', 1, '', '//', NULL),
	(100, NULL, NULL, 'B20105', '', '020105', 'B20105', '706', 'Size of swam or band of locusts and duration of passage of time', '', 'Code Table', '0', '2', '', '', 1, '', '//', NULL),
	(105, NULL, NULL, '', '', '004024', 'B04024', 'ww_TP', 'Time period in hours', '', 'Hour', '0', '4', '', '', 1, '-3', '-0003', NULL),
	(108, NULL, NULL, '', 'R01002', '201002', 'R01002', '', 'Replicate 1 descriptors 2 times', '', '', '', '', '', 'Sunshine', 0, '', '', NULL),
	(109, NULL, NULL, '', 'D02039', '004024', 'B04024', 'SSS_TP', 'Time period in hours', '', 'Hour', '0', '4', 'Hour, 0, 4', 'Sunshine', 1, '-24', '-0024', NULL),
	(51, NULL, NULL, '', '', '008002', 'B08002', '131', 'Vertical significance', '', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '', '//', NULL),
	(135, NULL, NULL, '', '', '011043', 'B11043', '59', 'Maximum wind gust direction', '', 'Degree True', '0', '3', '', '', 1, '', '///', NULL),
	(136, NULL, NULL, '', '', '011041', 'B11041', '58', 'Maximum wind gust speed', '', 'M s-1', '1', '4', '', '', 1, '', '////', NULL),
	(137, NULL, NULL, '', '', '004025', 'B04025', 'w2_TP', 'Time period in minutes   ', '', 'Minute', '0', '4', '', '', 1, '', '////', NULL),
	(138, NULL, NULL, '', '', '011043', 'B11043', '591', 'Maximum wind gust direction', '', 'Degree True', '0', '3', '', '', 1, '', '///', NULL),
	(139, NULL, NULL, '', '', '011041', 'B11041', '581', 'Maximum wind gust speed', '', 'Minute', '1', '4', '', '', 1, '', '////', NULL),
	(140, NULL, NULL, '', 'B07032', '007032', 'B07032', 'evap_SH', 'Height of sensor above local ground (for evaporation measurement)', '', 'M', '2', '5', '', '', 1, '0.25', '00025', NULL),
	(141, NULL, NULL, 'D02044', 'B04024', '004024', 'B04024', 'evap_TP', 'Time period in hours              =  - 24', '', 'Hour', '0', '4', 'Hour, 0, 4', 'Evaporation', 1, '-24', '-0024', NULL),
	(111, NULL, NULL, '', '', '004024', 'B04024', 'SS_TP', 'Time period or displacement in hours', '', 'Hour', '0', '4', '', '', 1, '-1', '-0001', NULL),
	(113, NULL, NULL, '', 'D02040', '007032', 'B07032', 'RR_SH', 'Height of sensor above local ground (for precipiation measurement)', '', 'M', '2', '5', '', 'Precipitation', 1, '0.25', '00025', NULL),
	(114, NULL, NULL, '', '', 'R02002', 'R02002', '', 'Replicate next 2 descriptors 2 times', '', '', '', '', '', 'Precipitation ', 0, '', '', NULL),
	(116, NULL, NULL, '', '', '013011', 'B13011', '5', 'Total precipitation RRR', '', 'kg m-2', '1', '5', 'kg m-2, 1, 5', 'Precipitation ', 1, '1', '00001', NULL),
	(119, NULL, NULL, '', 'D02041', '007032', 'B07032', 'xt_SH', 'Height of sensor above local ground (for temperature measurement)', '', 'm', '2', '5', 'm, 2, 5', 'Extreme temperatures', 1, '1.25', '00125', NULL),
	(120, NULL, NULL, '', '', '004024', 'B04024', 'xt_TP', 'Time period or displacement                         ', '', 'Hour', '0', '4', '', '', 1, '-12', '-0012', NULL),
	(121, NULL, NULL, '', '', '004024', 'B04024', 'xt0_TP', 'Time period or displacement (see Notes 1 and 2)                      ', '', 'Hour', '0', '4', '', '', 1, '', '////', NULL),
	(123, NULL, NULL, '', '', '004024', 'B04024', 'nt_TP', 'Time period or displacement                         ', '', 'Hour', '0', '4', '', '', 1, '-12', '-0012', NULL),
	(124, NULL, NULL, '', '', '004024', 'B04024', 'nt0_TP', 'Time period or displacement (see Notes 2)                      ', '', 'Hour', '0', '4', '', '', 1, '', '////', NULL),
	(65, NULL, NULL, '', 'B20014', '020014', 'B20014', '624', 'Height of top of cloud', '', 'm', '-1', '4', '', '', 0, '', '////', NULL),
	(126, NULL, NULL, '', 'D02042', '007032', 'B07032', 'w_SH', 'Height of sensor above local ground (for wind measurement)', '', 'M', '2', '5', '', '', 1, '10', '01000', NULL),
	(128, NULL, NULL, '', '', '008021', 'B08021', 'w_TS', 'Time significance (= 2 (time averaged))', '', 'Code table', '0', '2', '', '', 1, '2', '02', NULL),
	(129, NULL, NULL, '', '', '004025', 'B04025', 'w_TP', 'Time period (= - 10 minutes, or number of minutes after a significant change of wind)', '', 'Minute', '0', '4', '', '', 1, '-10', '-0010', NULL),
	(132, NULL, NULL, '', '', '008021', 'B08021', 'w1_TS', 'Time significance (= missing value)', '', 'Code table', '0', '2', '', '', 1, '', '//', NULL),
	(133, NULL, NULL, '', '', '203002', 'R03002', '', 'Replicate next 3 descriptors 2 times', '', '', '', '', '', '', 0, '', '', NULL),
	(134, NULL, NULL, '', '', '004025', 'B04025', 'w1_TP', 'Time period in minutes   ', '', 'Minute', '0', '4', '', '', 1, '', '////', NULL),
	(37, NULL, NULL, '', 'R01000', '101000', 'R01000', '', 'Delayed replication of the next 1 descriptor', '', '', '', '', '', '', 0, '', '', NULL),
	(38, NULL, NULL, '', 'B31001', '031001', 'B31001', 'cloud_rep1', 'Delayed descriptor replication factor', '', '', '0', '4', '', 'Cloud data', 1, '1', '0001', NULL),
	(39, NULL, NULL, '', 'D02005', '008002', 'B08002', '119', 'Vertical significance', '', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 1, '1', '01', NULL),
	(43, NULL, NULL, '', '', '008002', 'B08002', '123', 'Vertical significance', '', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '', '//', NULL),
	(47, NULL, NULL, '', '', '008002', 'B08002', '127', 'Vertical significance', '', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '', '//', NULL),
	(144, NULL, NULL, 'R01002', '', '101002', 'R01002', '', 'Replication the 1 descriptor 2 times ', '', '', '', '', '', '', 0, '', '', NULL),
	(145, NULL, NULL, 'D02045', 'B04024', '004024', 'B04024', 'rad1_TP', 'Time period or displacement', '', 'Hour', '0', '4', '', '', 1, '', '////', NULL),
	(146, NULL, NULL, '', 'B14002', '014002', 'B14002', '536', 'Long-wave radiation, integrated over period specified ', '', 'J m-2', '-3', '4', '', '', 1, '', '////', NULL),
	(147, NULL, NULL, '', 'B14004', '014004', 'B14004', '533', 'Short-wave radiation, integrated over period specified ', '', 'J m-2', '-3', '4', '', '', 1, '', '////', NULL),
	(148, NULL, NULL, '', 'B14016', '014016', 'B14016', '46_1', 'Net radiation, integrated over period specified', '', 'J m-2', '-4', '5', '', '', 1, '', '/////', NULL),
	(149, NULL, NULL, '', 'B14028', '014028', 'B14028', '133', 'Global solar radiation (high accuracy), integrated over period specified', '', 'J m-2', '-2', '5', '', '', 1, '', '/////', NULL),
	(150, NULL, NULL, '', 'B14029', '014029', 'B14029', '97', 'Diffuse solar radiation (high accuracy), integrated over period specified', '', 'J m-2', '-2', '5', '', '', 1, '', '/////', NULL),
	(151, NULL, NULL, '', 'B14030', '014030', 'B14030', '139', 'Direct solar radiation (high accuracy), integrated over period specified', '', 'J m-2', '-2', '5', '', '', 1, '', '/////', NULL),
	(152, NULL, NULL, '', 'B04024', '004024', 'B04024', 'rad2_TP', 'Time period or displacement', '', 'Hour', '0', '4', '', '', 1, '', '////', NULL),
	(153, NULL, NULL, '', 'B14002', '014002', 'B14002', '536_1', 'Long-wave radiation, integrated over period specified ', '', 'J m-2', '-3', '4', '', '', 1, '', '////', NULL),
	(3, NULL, NULL, '', '', '001015', 'B01015', 'station_name', 'Station or site name', '', 'Character', '0', '20', 'Character, 0, 20', 'station identification', 1, 'DAGORETTI CORNER METEOROLOGICAL STATION', 'DAGORETTI CORNER MET', NULL),
	(5, NULL, NULL, '', 'D01011', '004001', 'B04001', 'datetime_year', 'Year', '', 'Year', '0', '4', 'Year, 0, 4', 'station identification', 1, '2000', '2000', NULL),
	(6, NULL, NULL, '', '', '004002', 'B04002', 'datetime_month', 'Month', '', 'Month', '0', '2', 'Month, 0, 2', 'station identification', 1, '01', '01', NULL),
	(10, NULL, NULL, '', 'D01021', '005001', 'B05001', 'station_deglatitude', 'Latitude (high accuracy)', '', 'Degree', '5', '7', 'Degree, 2, 4', 'station identification', 1, '-1.3', '-0000130', NULL),
	(11, NULL, NULL, '', '', '006001', 'B06001', 'station_deglongitude', 'Longitude (high accuracy)', '', 'Degree', '5', '8', 'Degree, 2, 5', 'station identification', 1, '36.75', '00003675', NULL),
	(12, NULL, NULL, '', 'B07030', '007030', 'B07030', 'station_elevation', 'Height of station ground above mean sea level', '', 'M', '1', '5', 'm, 1, 6', 'station identification', 1, '1798', '17980', NULL),
	(55, NULL, NULL, NULL, 'R05000', '205000', 'R05000', '', 'Delayed replication of 5 descriptors  ', '', '', '', '', '', '', 0, '', '', NULL),
	(56, NULL, NULL, NULL, 'B31001', '031001', 'B31001', 'cloud_rep2', 'Delayed descriptor replication factor', '', 'Numeric', '0', '4', '', '', 1, '0', '0000', NULL),
	(57, NULL, NULL, 'D02036', 'B08002', '008002', 'B08002', '611', 'Vertical Significance', '', 'Code table', '0', '2', 'Code table', '', 0, '', '//', NULL),
	(60, NULL, NULL, '', 'B20014', '020014', 'B20014', '614', 'Height of top of cloud', '', 'm', '-1', '4', '', '', 0, '', '////', NULL),
	(62, NULL, NULL, '', 'B08002', '008002', 'B08002', '621', 'Vertical Significance', '', 'Code table', '0', '2', 'Code table', '', 0, '', '//', NULL),
	(21, NULL, NULL, 'D02035', 'D02032', '007032', 'B07032', 'Temp_SH', 'Height of sensor above local ground (for temperature and humidity measurement)', '', 'm', '2', '5', 'm, 2, 5', 'Temperature and humidity', 1, '1.25', '00125', NULL),
	(24, NULL, NULL, '', '', '013003', 'B13003', '105', 'Relative humidity', '', '%', '0', '3', '%, 0, 3', 'Temperature and humidity', 1, '1', '001', NULL),
	(27, NULL, NULL, '', 'D02034', '007032', 'B07032', 'R24_SH', 'Height of sensor above local ground (for precipitation measurement)', '', 'M', '2', '5', '', 'Precipitation', 1, '0.25', '00025', NULL),
	(29, NULL, NULL, '', 'B07032', '007032', 'B07032', 'Cancel_SH', 'Height of sensor above local ground (set to missing to cancel the previous table)', '', 'M', '2', '5', '', '', 1, '', '/////', NULL),
	(84, NULL, NULL, 'B08002', '', '008002', 'B08002', 'vert_sig_cancel', 'Vertical significance (set to missing to cancel the previous value)    ', '', 'Code Table', '0', '2', '', '', 1, '', '//', NULL),
	(154, NULL, NULL, '', 'B14004', '014004', 'B14004', '533_1', 'Short-wave radiation, integrated over period specified ', '', 'J m-2', '-3', '4', '', '', 1, '', '////', NULL),
	(155, NULL, NULL, '', 'B14016', '014016', 'B14016', '46', 'Net radiation, integrated over period specified', '', 'J m-2', '-4', '5', '', '', 1, '', '/////', NULL),
	(156, NULL, NULL, '', 'B14028', '014028', 'B14028', '133_1', 'Global solar radiation (high accuracy), integrated over period specified', '', 'J m-2', '-2', '5', '', '', 1, '', '/////', NULL),
	(157, NULL, NULL, '', 'B14029', '014029', 'B14029', '97_1', 'Diffuse solar radiation (high accuracy), integrated over period specified', '', 'J m-2', '-2', '5', '', '', 1, '', '/////', NULL),
	(158, NULL, NULL, '', 'B14030', '014030', 'B14030', '139_1', 'Direct solar radiation (high accuracy), integrated over period specified', '', 'J m-2', '-2', '5', '', '', 1, '', '/////', NULL),
	(159, NULL, NULL, 'D02046', 'B04024', '004024', 'B04024', 'tempc_t', 'Time period or displacement                         ', '', 'Hour', '0', '4', '', '', 1, '', '////', NULL),
	(160, NULL, NULL, '', 'B04024', '004024', 'B04024', 'tempc1_t', 'Time period or displacement (see Note 3)       ', '', 'Hour', '0', '4', '', '', 1, '', '////', NULL),
	(89, NULL, NULL, '', 'B07021', '007021', 'B07021', '665', 'Elevation angle (set to missing to cancel the previous value)', '', 'Degree', '2', '5', '', '', 1, '', '/////', NULL),
	(92, NULL, NULL, '', 'B12113', '012113', 'B12113', '585', 'Ground minimum temperature past 12 hrs', '', 'Degree', '2', '3', '', '', 1, '', '///', NULL),
	(93, NULL, NULL, 'B12122', '', '012122', 'B12122', '85', 'Ground minimum temperature of the preceeding night', '', '\'C', '2', '4', '', '', 1, '1', '0010', NULL),
	(94, NULL, NULL, 'B13056', '', '013056', 'B13056', '505', 'Character and Intensity of precipitation', '', 'Code Table', '0', '2', '', '', 1, '1', '01', NULL),
	(95, NULL, NULL, 'B13057', '', '013057', 'B13057', '506', 'Time of beginning or end of precipitation', '', 'Code Table', '0', '2', '', '', 1, '9', '09', NULL),
	(67, NULL, NULL, '', 'B08002', '008002', 'B08002', '631', 'Vertical Significance', '', 'Code table', '0', '2', 'Code table', '', 0, '', '//', NULL),
	(70, NULL, NULL, '', 'B20014', '020014', 'B20014', '634', 'Height of top of cloud', '', 'm', '-1', '4', '', '', 0, '', '////', NULL),
	(72, NULL, NULL, '', 'B08002', '008002', 'B08002', '641', 'Vertical Significance', '', 'Code table', '0', '2', 'Code table', '', 0, '', '//', NULL),
	(75, NULL, NULL, '', 'B20014', '020014', 'B20014', '644', 'Height of top of cloud', '', 'm', '-1', '4', '', '', 0, '', '////', NULL),
	(77, NULL, NULL, 'R02003', '', '102003', 'R02003', 'cloud_drift_rep', 'Replication factor of 2 descriptor  for 3 times', '', '', '', '', '', '', 0, '', '', NULL),
	(78, NULL, NULL, 'D02047', 'B08002', '008002', 'B08002', '651', 'Vertical Significance =7 (low cloud) =8 (middle cloud) =9 (high cloud)', '', 'Code table', '0', '2', '', '', 1, '', '//', NULL),
	(80, NULL, NULL, '', 'B08002', '008002', 'B08002', '653', 'Vertical Significance =7 (low cloud) =8 (middle cloud) =9 (high cloud)', '', 'Code Table', '0', '2', '', '', 1, '', '//', NULL),
	(82, NULL, NULL, '', 'B08002', '008002', 'B08002', '655', 'Vertical Significance =7 (low cloud) =8 (middle cloud) =9 (high cloud)', '', 'Code Table', '0', '2', '', '', 1, '', '//', NULL),
	(13, NULL, NULL, '', 'B07031', '007031', 'B07031', 'station_pressure_height', 'Height of barometer above mean sea level', '', 'M', '1', '5', 'm, 1, 6', 'station identification', 1, '1799', '17990', NULL),
	(4, NULL, NULL, '', '', '002001', 'B02001', 'station_qualifier', 'Type of station                                             ', '(ix)', 'Code table', '0', '1', 'Code table, 0, 1', 'station identification', 1, '1', '1', NULL),
	(17, NULL, NULL, '', '', '010063', 'B10063', '814', 'Characteristic of pressure tendency', 'a', 'Code table', '0', '2', 'Code table, 0, 2', 'Pressure data', 1, '15', '15', NULL),
	(19, NULL, NULL, '', 'B07004', '007004', 'B07004', '301', 'Pressure (standard level) ', 'a3', 'Pa', '-1', '5', 'Pa, –1, 5', 'Pressure data', 1, '1', '00000', NULL),
	(53, NULL, NULL, '', '', '020012', 'B20012', '129', 'Cloud type', 'C', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '', '//', NULL),
	(41, NULL, NULL, '', '', '020012', 'B20012', '117', 'Cloud type', 'C', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 1, '1', '01', NULL),
	(45, NULL, NULL, '', '', '020012', 'B20012', '121', 'Cloud type', 'C', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '', '//', NULL),
	(49, NULL, NULL, '', '', '020012', 'B20012', '125', 'Cloud type', 'C', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '', '//', NULL),
	(59, NULL, NULL, '', 'B20012', '020012', 'B20012', '613', 'Cloud type', 'C', 'Code table', '0', '2', '', '', 0, '', '//', NULL),
	(64, NULL, NULL, '', 'B20012', '020012', 'B20012', '623', 'Cloud type', 'C', 'Code table', '0', '2', '', '', 0, '', '//', NULL),
	(87, NULL, NULL, '', 'B20012', '020012', 'B20012', '663', 'Cloud type ', 'C', 'Code Table', '0', '2', '', '', 1, '', '//', NULL),
	(69, NULL, NULL, '', 'B20012', '020012', 'B20012', '633', 'Cloud type', 'C', 'Code table', '0', '2', '', '', 0, '', '//', NULL),
	(74, NULL, NULL, '', 'B20012', '020012', 'B20012', '643', 'Cloud type', 'C', 'Code table', '0', '2', '', '', 0, '', '//', NULL),
	(36, NULL, NULL, '', '', '020012', 'B20012', '171', 'Cloud type (low clouds CH)', 'CH', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 1, '1', '01', NULL),
	(34, NULL, NULL, '', '', '020012', 'B20012', '169', 'Cloud type (low clouds CL)', 'CL ', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 1, '1', '01', NULL),
	(31, NULL, NULL, '', '', '008002', 'B08002', '115', 'Vertical significance', 'CL CM CH', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 1, '1', '01', NULL),
	(35, NULL, NULL, '', '', '020012', 'B20012', '170', 'Cloud type (low clouds CM)', 'CM', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 1, '1', '01', NULL),
	(66, NULL, NULL, '', 'B20017', '020017', 'B20017', '625', 'Cloud top description', 'Ct', 'Code table', '0', '2', 'Code table, 0', '', 0, '', '//', NULL),
	(61, NULL, NULL, '', 'B20017', '020017', 'B20017', '615', 'Cloud top description', 'Ct', 'Code table', '0', '2', 'Code table, 0', '', 0, '', '//', NULL),
	(71, NULL, NULL, '', 'B20017', '020017', 'B20017', '635', 'Cloud top description', 'Ct', 'Code table', '0', '2', 'Code table, 0', '', 0, '', '//', NULL),
	(76, NULL, NULL, '', 'B20017', '020017', 'B20017', '645', 'Cloud top description', 'Ct', 'Code table', '0', '2', 'Code table, 0', '', 0, '', '//', NULL),
	(85, NULL, NULL, 'D02048', 'B05021', '005021', 'B05021', '661', 'Bearing or azimuth', 'Da', 'Degree', '2', '5', '', '', 1, '', '/////', NULL),
	(88, NULL, NULL, '', 'B05021', '005021', 'B05021', '664', 'Bearing or azimuth (set to missing to cancel the previous value) ', 'Da', 'Degree', '2', '5', '', '', 1, '', '/////', NULL),
	(130, NULL, NULL, '', '', '011001', 'B11001', '112', 'Wind direction', 'dd', 'Degree true', '0', '3', '', '', 1, '1', '000', NULL),
	(101, NULL, NULL, 'B20106', '', '020106', 'B20106', '707', 'Locust population density', 'dL', 'Code Table', '0', '2', '', '', 1, '', '//', NULL),
	(102, NULL, NULL, 'B20107', '', '020107', 'B20107', '708', 'Direction of movements of locust swarm', 'DL', 'Code Table', '0', '2', '', '', 1, '', '//', NULL),
	(83, NULL, NULL, '', 'B20054', '020054', 'B20054', '656', 'True  direction from which clouds are moving', 'DL, DM, DH', 'Degree', '0', '3', '', '', 1, '', '///', NULL),
	(79, NULL, NULL, '', 'B20054', '020054', 'B20054', '652', 'True  direction from which clouds are moving', 'DL, DM, DH', 'Degree', '0', '3', '', '', 1, '', '///', NULL),
	(81, NULL, NULL, '', 'B20054', '020054', 'B20054', '654', 'True  direction from which clouds are moving', 'DL, DM, DH', 'Degree', '0', '3', '', '', 1, '', '///', NULL),
	(90, NULL, NULL, 'D02037', 'B20062', '020062', 'B20062', '51', 'State of ground (with or without snow)', 'E or E’', 'Code Table', '0', '2', '', '', 1, '', '//', NULL),
	(86, NULL, NULL, '', 'B07021', '007021', 'B07021', '662', 'Elevation angle ', 'eC', 'Degree', '2', '5', '', '', 1, '', '/////', NULL),
	(143, NULL, NULL, '', 'B13033', '013033', 'B13033', '18', 'Evaporation /evapotranspiration', 'EEE ', 'kg m-2', '1', '4', 'kg m-2, 1, 4', 'Evaporation', 1, '1', '0001', NULL),
	(131, NULL, NULL, '', '', '011002', 'B11002', '111', 'Wind speed ', 'ff', 'M s-1', '1', '4', '', '', 1, '1', '0010', NULL),
	(8, NULL, NULL, '', 'D01012', '004004', 'B04004', 'datetime_hour', 'Hour', 'GG', 'Hour', '0', '2', 'Hour, 0, 2', 'station identification', 1, '03', '03', NULL),
	(9, NULL, NULL, '', '', '004005', 'B04005', 'datetime_minute', 'Minute', 'gg', 'Minute', '0', '2', 'Minute, 0, 2', 'station identification', 1, '00', '00', NULL),
	(33, NULL, NULL, '', '', '020013', 'B20013', '192', 'Height of base of cloud', 'h', 'm', '-1', '4', 'm, –1, 4', 'Cloud data', 1, '1', '0000', NULL),
	(20, NULL, NULL, '', 'B10009', '010009', 'B10009', '185', 'Geopotential height of the standard level', 'hhh', 'gpm', '0', '5', 'gpm, 0, 5', 'Pressure data', 1, '1', '00001', NULL),
	(42, NULL, NULL, '', '', '020013', 'B20013', '118', 'Height of base of cloud', 'hshs  ', 'm', '-1', '4', 'm, -1, 4', 'Cloud data', 1, '1', '0000', NULL),
	(46, NULL, NULL, '', '', '020013', 'B20013', '122', 'Height of base of cloud', 'hshs  ', 'm', '-1', '4', 'm, -1, 4', 'Cloud data', 0, '', '////', NULL),
	(50, NULL, NULL, '', '', '020013', 'B20013', '126', 'Height of base of cloud', 'hshs  ', 'm', '-1', '4', 'm, -1, 4', 'Cloud data', 0, '', '////', NULL),
	(54, NULL, NULL, '', '', '020013', 'B20013', '130', 'Height of base of cloud', 'hshs  ', 'm', '-1', '4', 'm, -1, 4', 'Cloud data', 0, '', '////', NULL),
	(142, NULL, NULL, '', 'B02004', '002004', 'B02004', 'evap_I', 'Type of instrument for evaporation or crop for evapotranspiration', 'iE', 'Code table', '0', '2', 'Code table, 0, 2', 'Evaporation', 1, '1', '01', NULL),
	(1, '307081', 'D07081', 'D01090', 'D01004', '001001', 'B01001', 'station_WMO_bloc', 'WMO block number', 'II', 'Numeric', '0', '2', 'Numeric, 0, 2', 'station identification', 1, '63', '63', NULL),
	(2, NULL, NULL, '', '', '001002', 'B01002', 'station_WMO_number', 'WMO station number                                   ', 'iii', 'Numeric', '0', '3', 'Numeric, 0, 3', 'station identification', 1, '741', '741', NULL),
	(127, NULL, NULL, '', '', '002002', 'B02002', 'w_I', 'Type of instrumentation for wind measurement', 'iw', 'Flag table', '0', '2', '', '', 1, '14', '14', NULL),
	(25, NULL, NULL, '', 'D02033', '007032', 'B07032', 'Vis_SH', 'Height of sensor above local ground (for visibility measurement)', 'm', 'm', '2', '5', 'm, 2, 5', 'Temperature and humidity', 1, '1.5', '00150', NULL),
	(30, NULL, NULL, '', 'D02004', '020010', 'B20010', '114', 'Cloud cover (total)', 'N ', '%', '0', '3', '%, 0, 3', 'Cloud data', 1, '1', '013', NULL),
	(32, NULL, NULL, '', '', '020011', 'B20011', '168', 'Cloud amount (of low or middle clouds)', 'Nh ', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 1, '1', '01', NULL),
	(58, NULL, NULL, '', 'B20011', '020011', 'B20011', '612', 'Clound amount', 'Nh', 'Code table', '0', '2', '', '', 0, '', '//', NULL),
	(63, NULL, NULL, '', 'B20011', '020011', 'B20011', '622', 'Clound amount', 'Nh', 'Code table', '0', '2', '', '', 0, '', '//', NULL),
	(68, NULL, NULL, '', 'B20011', '020011', 'B20011', '632', 'Clound amount', 'Nh', 'Code table', '0', '2', '', '', 0, '', '//', NULL),
	(73, NULL, NULL, '', 'B20011', '020011', 'B20011', '642', 'Clound amount', 'Nh', 'Code table', '0', '2', '', '', 0, '', '//', NULL),
	(52, NULL, NULL, '', '', '020011', 'B20011', '128', 'Cloud amount', 'Ns ', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '', '//', NULL),
	(40, NULL, NULL, '', '', '020011', 'B20011', '116', 'Cloud amount', 'Ns ', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 1, '1', '01', NULL),
	(44, NULL, NULL, '', '', '020011', 'B20011', '120', 'Cloud amount', 'Ns ', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '', '//', NULL),
	(48, NULL, NULL, '', '', '020011', 'B20011', '124', 'Cloud amount', 'Ns ', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '', '//', NULL),
	(14, NULL, NULL, 'D02031', 'D02001', '010004', 'B10004', '106', 'Pressure', 'P0P0P0P0', 'Pa', '1', '5', 'Pa, –1, 5', 'Pressure data', 1, '1', '00001', NULL),
	(18, NULL, NULL, '', 'B10062', '010062', 'B10062', '399', '24-hour pressure change', 'p24p24p24', 'Pa', '-1', '4', 'Pa, –1, 4', 'Pressure data', 1, '1', '0000', NULL),
	(16, NULL, NULL, '', '', '010061', 'B10061', '400', '3-hour pressure change', 'ppp', 'Pa', '-1', '4', 'Pa, –1, 4', 'Pressure data', 1, '', '////', NULL),
	(15, NULL, NULL, '', '', '010051', 'B10051', '107', 'Pressure reduced to mean sea level', 'PPPP', 'Pa', '1', '5', 'Pa, –1, 5', 'Pressure data', 1, '', '/////', NULL),
	(28, NULL, NULL, '', '', '013023', 'B13023', '5', 'Total precipitation Past 24 Hrs', 'R24R24R24R24', 'Kg M^2', '1', '5', '', 'Precipitation', 1, '1', '00001', NULL),
	(118, NULL, NULL, '', '', '013011', 'B13011', '174', 'Total precipitation', 'RRR', 'kgm-2', '1', '5', '', '', 1, '1', '00001', NULL),
	(161, NULL, NULL, '', 'B12049', '012049', 'B12049', '94', 'Temperature change over period specified', 'sndT', '\'C', '0', '2', '', '', 1, '', '//', NULL),
	(23, NULL, NULL, '', '', '012103', 'B12103', '103', 'Dew-point temperature (scale 2)', 'snTdTdTd', '°C', '2', '4', '°C, 2, 4', 'Temperature and humidity', 1, '1', '0010', NULL),
	(125, NULL, NULL, '', '', '012112', 'B12112', '3', 'Minimum temperature (scale 2) at height and over period specified ', 'snTnTnTn', '\'C', '2', '4', '', '', 1, '', '////', NULL),
	(22, NULL, NULL, '', '', '012101', 'B12101', '101', 'Temperature/Dry bulb (scale 2) at height and over period specified', 'snTTT', '°C', '2', '4', '°C, 2, 4', 'Temperature and humidity', 1, '1', '0010', NULL),
	(122, NULL, NULL, '', '', '012111', 'B12111', '2', 'Maximum temperature (scale 2) at height and over period specified', 'snTxTxTx', '\'C', '2', '4', '', '', 1, '', '////', NULL),
	(112, NULL, NULL, '', '', '014031', 'B14031', '132', 'Total sunshine in minutes (2nd replication)', 'SS', 'Minute', '0', '4', '', '', 1, '1', '0001', NULL),
	(110, NULL, NULL, '', '', '014031', 'B14031', '84', 'Total sunshine ', 'SSS', 'Minute', '0', '4', 'Minute, 0, 4', 'Sunshine', 1, '60', '0006', NULL),
	(91, NULL, NULL, '', 'B13013', '013013', 'B13013', '50', 'Total snow depth', 'sss', 'M', '2', '5', '', '', 1, '', '/////', NULL),
	(115, NULL, NULL, '', '', '004024', 'B04024', 'tR_TP', 'Time period in hours', 'tR', 'Hour', '0', '4', 'Hour, 0, 4', 'Precipitation ', 1, '-3', '-0003', NULL),
	(117, NULL, NULL, '', '', '004024', 'B04024', 'tr_TP', 'Time period or displacement', 'tr', 'Hour', '0', '4', '', '', 1, '-3', '-0003', NULL),
	(103, NULL, NULL, 'B20108', '', '020108', 'B20108', '710', 'Extent of vegetation', 've', 'Code Table', '0', '2', '', '', 1, '', '//', NULL),
	(26, NULL, NULL, '', '', '020001', 'B20001', '110', 'Horizontal Visibility', 'VV', 'm', '-1', '4', 'm, –1, 4', 'Visibility  ', 1, '1', '0000', NULL),
	(106, NULL, NULL, '', '', '020004', 'B20004', '197', 'Past weather (1) ', 'W1', 'Code table', '0', '2', '', '', 1, '1', '01', NULL),
	(107, NULL, NULL, '', '', '020005', 'B20005', '193', 'Past weather (2) ', 'W2', 'Code table', '0', '2', '', '', 1, '1', '01', NULL),
	(104, NULL, NULL, 'D02043', 'D02038', '020003', 'B20003', '167', 'Present weather ', 'ww', 'Code table', '0', '3', '', '', 1, '1', '001', NULL),
	(7, NULL, NULL, '', '', '004003', 'B04003', 'datetime_day', 'Day', 'YY', 'Day', '0', '2', 'Day, 0, 2', 'station identification', 1, '01', '01', NULL);
/*!40000 ALTER TABLE `tm_307081` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_test_db_v4.tm_307082
CREATE TABLE IF NOT EXISTS `tm_307082` (
  `order` int(11) DEFAULT '0',
  `Bufr_Template` varchar(50) DEFAULT NULL,
  `Crex_Template` varchar(50) DEFAULT NULL,
  `Sequence_Descriptor1` varchar(50) DEFAULT NULL,
  `Sequence_Descriptor0` varchar(50) DEFAULT NULL,
  `Bufr_Element` varchar(50) DEFAULT NULL,
  `Crex_Element` varchar(255) DEFAULT NULL,
  `Climsoft_Element` varchar(255) DEFAULT NULL,
  `Element_Name` varchar(255) DEFAULT NULL,
  `synop_code` varchar(255) DEFAULT NULL,
  `unit` varchar(255) DEFAULT NULL,
  `scale` varchar(255) DEFAULT NULL,
  `width` varchar(255) DEFAULT NULL,
  `units_length_scale` varchar(255) DEFAULT NULL,
  `data_type` varchar(255) DEFAULT NULL,
  `selected` tinyint(4) DEFAULT NULL,
  `observation` varchar(255) DEFAULT NULL,
  `Crex_Data` varchar(255) DEFAULT NULL,
  `Bufr_Data` varchar(50) DEFAULT NULL,
  KEY `synop_code` (`synop_code`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_test_db_v4.tm_307082: ~162 rows (approximately)
/*!40000 ALTER TABLE `tm_307082` DISABLE KEYS */;
INSERT INTO `tm_307082` (`order`, `Bufr_Template`, `Crex_Template`, `Sequence_Descriptor1`, `Sequence_Descriptor0`, `Bufr_Element`, `Crex_Element`, `Climsoft_Element`, `Element_Name`, `synop_code`, `unit`, `scale`, `width`, `units_length_scale`, `data_type`, `selected`, `observation`, `Crex_Data`, `Bufr_Data`) VALUES
	(94, NULL, NULL, 'B12121', NULL, '012121', 'B12121', NULL, 'Ground minimum temperature', NULL, 'Deg \'C', '2', '4', NULL, NULL, 1, NULL, NULL, NULL),
	(21, NULL, NULL, 'D02035', 'D02032', '007032', 'B07032', 'Temp_SH', 'Height of sensor above local ground (for temperature and humidity measurement)', '', 'm', '2', '5', 'm, 2, 5', 'Temperature and humidity', 1, '1.25', '00125', NULL),
	(24, NULL, NULL, '', '', '013003', 'B13003', '105', 'Relative humidity', '', '%', '0', '3', '%, 0, 3', 'Temperature and humidity', 1, '1', '001', NULL),
	(27, NULL, NULL, '', 'D02034', '007032', 'B07032', 'R24_SH', 'Height of sensor above local ground (for precipitation measurement)', '', 'M', '2', '5', '', 'Precipitation', 1, '0.25', '00025', NULL),
	(29, NULL, NULL, '', 'B07032', '007032', 'B07032', 'Cancel_SH', 'Height of sensor above local ground (set to missing to cancel the previous table)', '', 'M', '2', '5', '', '', 1, '', '/////', NULL),
	(84, NULL, NULL, 'B08002', '', '008002', 'B08002', 'vert_sig_cancel', 'Vertical significance (set to missing to cancel the previous value)    ', '', 'Code Table', '0', '2', '', '', 1, '', '//', NULL),
	(155, NULL, NULL, '', 'B14004', '014004', 'B14004', '533_1', 'Short-wave radiation, integrated over period specified ', '', 'J m-2', '-3', '4', '', '', 1, '', '////', NULL),
	(156, NULL, NULL, '', 'B14016', '014016', 'B14016', '136_1', 'Net radiation, integrated over period specified', '', 'J m-2', '-4', '5', '', '', 1, '', '/////', NULL),
	(157, NULL, NULL, '', 'B14028', '014028', 'B14028', '133_1', 'Global solar radiation (high accuracy), integrated over period specified', '', 'J m-2', '-2', '5', '', '', 1, '', '/////', NULL),
	(158, NULL, NULL, '', 'B14029', '014029', 'B14029', '97_1', 'Diffuse solar radiation (high accuracy), integrated over period specified', '', 'J m-2', '-2', '5', '', '', 1, '', '/////', NULL),
	(159, NULL, NULL, '', 'B14030', '014030', 'B14030', '139_1', 'Direct solar radiation (high accuracy), integrated over period specified', '', 'J m-2', '-2', '5', '', '', 1, '', '/////', NULL),
	(160, NULL, NULL, 'D02046', 'B04024', '004024', 'B04024', 'tempc_t', 'Time period or displacement                         ', '', 'Hour', '0', '4', '', '', 1, '', '////', NULL),
	(161, NULL, NULL, '', 'B04024', '004024', 'B04024', 'tempc1_t', 'Time period or displacement (see Note 3)       ', '', 'Hour', '0', '4', '', '', 1, '', '////', NULL),
	(89, NULL, NULL, '', 'B07021', '007021', 'B07021', '665', 'Elevation angle (set to missing to cancel the previous value)', '', 'Degree', '2', '5', '', '', 1, '', '/////', NULL),
	(92, NULL, NULL, '', 'B12113', '012113', 'B12113', '585', 'Ground minimum temperature past 12 hrs', '', 'Degree', '2', '3', '', '', 1, '', '///', NULL),
	(94, NULL, NULL, 'B12122', '', '012122', 'B12122', '85', 'Ground minimum temperature of the preceeding night', '', 'Deg \'C', '2', '4', '', '', 1, '1', '0010', NULL),
	(95, NULL, NULL, 'B13056', '', '013056', 'B13056', '505', 'Character and Intensity of precipitation', '', 'Code Table', '0', '2', '', '', 0, '1', '01', NULL),
	(96, NULL, NULL, 'B13057', '', '013057', 'B13057', '506', 'Time of beginning or end of precipitation', '', 'Code Table', '0', '2', '', '', 0, '9', '09', NULL),
	(97, NULL, NULL, 'B20101', '', '020101', 'B20101', '701', 'Locust (Acridian) name', '', 'Code Table', '0', '2', '', '', 0, '', '//', NULL),
	(98, NULL, NULL, 'B20102', '', '020102', 'B20102', '702', 'Locust (Maturity) colour', '', 'Code Table', '0', '2', '', '', 0, '', '//', NULL),
	(99, NULL, NULL, 'B20103', '', '020103', 'B20103', '704', 'Stage of development of locusts', '', 'Code Table', '0', '2', '', '', 0, '', '//', NULL),
	(100, NULL, NULL, 'B20104', '', '020104', 'B20104', '705', 'Organization state of swam or band of locusts', '', 'Code Table', '0', '2', '', '', 0, '', '//', NULL),
	(101, NULL, NULL, 'B20105', '', '020105', 'B20105', '706', 'Size of swam or band of locusts and duration of passage of time', '', 'Code Table', '0', '2', '', '', 0, '', '//', NULL),
	(106, NULL, NULL, '', '', '004024', 'B04024', 'ww_TP', 'Time period in hours', '', 'Hour', '0', '4', '', '', 1, '-3', '-0003', NULL),
	(109, NULL, NULL, '', 'R01002', '201002', 'R01002', '', 'Replicate 1 descriptors 2 times', '', '', '', '', '', 'Sunshine', 0, '', '', NULL),
	(110, NULL, NULL, '', 'D02039', '004024', 'B04024', 'SSS_TP', 'Time period in hours', '', 'Hour', '0', '4', 'Hour, 0, 4', 'Sunshine', 1, '-24', '-0024', NULL),
	(51, NULL, NULL, '', '', '008002', 'B08002', '131', 'Vertical significance', '', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '', '//', NULL),
	(136, NULL, NULL, '', '', '011043', 'B11043', '59', 'Maximum wind gust direction', '', 'Degree True', '0', '3', '', '', 1, '', '///', NULL),
	(137, NULL, NULL, '', '', '011041', 'B11041', '58', 'Maximum wind gust speed', '', 'M s-1', '1', '4', '', '', 1, '', '////', NULL),
	(138, NULL, NULL, '', '', '004025', 'B04025', 'w2_TP', 'Time period in minutes   ', '', 'Minute', '0', '4', '', '', 1, '', '////', NULL),
	(139, NULL, NULL, '', '', '011043', 'B11043', '591', 'Maximum wind gust direction', '', 'Degree True', '0', '3', '', '', 1, '', '///', NULL),
	(140, NULL, NULL, '', '', '011041', 'B11041', '581', 'Maximum wind gust speed', '', 'Minute', '1', '4', '', '', 1, '', '////', NULL),
	(141, NULL, NULL, '', 'B07032', '007032', 'B07032', 'evap_SH', 'Height of sensor above local ground (for evaporation measurement)', '', 'M', '2', '5', '', '', 1, '0.25', '00025', NULL),
	(142, NULL, NULL, 'D02044', 'B04024', '004024', 'B04024', 'evap_TP', 'Time period in hours              =  - 24', '', 'Hour', '0', '4', 'Hour, 0, 4', 'Evaporation', 1, '-24', '-0024', NULL),
	(112, NULL, NULL, '', '', '004024', 'B04024', 'SS_TP', 'Time period or displacement in hours', '', 'Hour', '0', '4', '', '', 1, '-1', '-0001', NULL),
	(114, NULL, NULL, '', 'D02040', '007032', 'B07032', 'RR_SH', 'Height of sensor above local ground (for precipiation measurement)', '', 'M', '2', '5', '', 'Precipitation', 1, '0.25', '00025', NULL),
	(115, NULL, NULL, '', '', 'R02002', 'R02002', '', 'Replicate next 2 descriptors 2 times', '', '', '', '', '', 'Precipitation ', 0, '', '', NULL),
	(117, NULL, NULL, '', '', '013011', 'B13011', '5', 'Total precipitation RRR', '', 'kg m-2', '1', '5', 'kg m-2, 1, 5', 'Precipitation ', 1, '1', '00001', NULL),
	(120, NULL, NULL, '', 'D02041', '007032', 'B07032', 'xt_SH', 'Height of sensor above local ground (for temperature measurement)', '', 'm', '2', '5', 'm, 2, 5', 'Extreme temperatures', 1, '1.25', '00125', NULL),
	(121, NULL, NULL, '', '', '004024', 'B04024', 'xt_TP', 'Time period or displacement                         ', '', 'Hour', '0', '4', '', '', 1, '-12', '-0012', NULL),
	(122, NULL, NULL, '', '', '004024', 'B04024', '', 'Time period or displacement (see Notes 1 and 2)                      ', '', 'Hour', '0', '4', '', '', 1, '', '////', NULL),
	(124, NULL, NULL, '', '', '004024', 'B04024', 'nt_TP', 'Time period or displacement                         ', '', 'Hour', '0', '4', '', '', 1, '-12', '-0012', NULL),
	(125, NULL, NULL, '', '', '004024', 'B04024', '', 'Time period or displacement (see Notes 2)                      ', '', 'Hour', '0', '4', '', '', 1, '', '////', NULL),
	(127, NULL, NULL, '', 'D02042', '007032', 'B07032', 'w_SH', 'Height of sensor above local ground (for wind measurement)', '', 'M', '2', '5', '', '', 1, '10', '01000', NULL),
	(129, NULL, NULL, '', '', '008021', 'B08021', 'w_TS', 'Time significance (= 2 (time averaged))', '', 'Code table', '0', '2', '', '', 1, '2', '02', NULL),
	(130, NULL, NULL, '', '', '004025', 'B04025', 'w_TP', 'Time period (= - 10 minutes, or number of minutes after a significant change of wind)', '', 'Minute', '0', '4', '', '', 1, '-10', '-0010', NULL),
	(133, NULL, NULL, '', '', '008021', 'B08021', 'w1_TS', 'Time significance (= missing value)', '', 'Code table', '0', '2', '', '', 1, '', '//', NULL),
	(134, NULL, NULL, '', '', '203002', 'R03002', '', 'Replicate next 3 descriptors 2 times', '', '', '', '', '', '', 0, '', '', NULL),
	(135, NULL, NULL, '', '', '004025', 'B04025', 'w1_TP', 'Time period in minutes   ', '', 'Minute', '0', '4', '', '', 1, '', '////', NULL),
	(37, NULL, NULL, '', 'R01000', NULL, NULL, '', 'Delayed replication of the next 1 descriptor', '', '', '', '', '', '', 0, '', '', NULL),
	(38, NULL, NULL, '', 'B31001', '031001', 'B31001', 'cloud_rep1', 'Delayed descriptor replication factor', '', '', '0', '4', '', 'Cloud data', 1, '1', '0001', NULL),
	(39, NULL, NULL, '', 'D02005', '008002', 'B08002', '119', 'Vertical significance', '', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 1, '1', '01', NULL),
	(43, NULL, NULL, '', '', '008002', 'B08002', '123', 'Vertical significance', '', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '', '//', NULL),
	(47, NULL, NULL, '', '', '008002', 'B08002', '127', 'Vertical significance', '', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '', '//', NULL),
	(145, NULL, NULL, 'R01002', '', NULL, '', '', 'Replication the 1 descriptor 2 times ', '', '', '', '', '', '', 0, '', '', NULL),
	(146, NULL, NULL, 'D02045', 'B04024', '004024', 'B04024', 'rad_TP', 'Time period or displacement', '', 'Hour', '0', '4', '', '', 1, '', '////', NULL),
	(147, NULL, NULL, '', 'B14002', '014002', 'B14002', '536', 'Long-wave radiation, integrated over period specified ', '', 'J m-2', '-3', '4', '', '', 1, '', '////', NULL),
	(148, NULL, NULL, '', 'B14004', '014004', 'B14004', '533', 'Short-wave radiation, integrated over period specified ', '', 'J m-2', '-3', '4', '', '', 1, '', '////', NULL),
	(149, NULL, NULL, '', 'B14016', '014016', 'B14016', '136', 'Net radiation, integrated over period specified', '', 'J m-2', '-4', '5', '', '', 1, '', '/////', NULL),
	(150, NULL, NULL, '', 'B14028', '014028', 'B14028', '133', 'Global solar radiation (high accuracy), integrated over period specified', '', 'J m-2', '-2', '5', '', '', 1, '', '/////', NULL),
	(151, NULL, NULL, '', 'B14029', '014029', 'B14029', '97', 'Diffuse solar radiation (high accuracy), integrated over period specified', '', 'J m-2', '-2', '5', '', '', 1, '', '/////', NULL),
	(152, NULL, NULL, '', 'B14030', '014030', 'B14030', '139', 'Direct solar radiation (high accuracy), integrated over period specified', '', 'J m-2', '-2', '5', '', '', 1, '', '/////', NULL),
	(153, NULL, NULL, '', 'B04024', '004024', 'B04024', 'rad1_TP', 'Time period or displacement', '', 'Hour', '0', '4', '', '', 1, '', '////', NULL),
	(154, NULL, NULL, '', 'B14002', '014002', 'B14002', '536_1', 'Long-wave radiation, integrated over period specified ', '', 'J m-2', '-3', '4', '', '', 1, '', '////', NULL),
	(3, NULL, NULL, '', '', '001015', 'B01015', 'station_name', 'Station or site name', '', 'Character', '0', '20', 'Character, 0, 20', 'station identification', 1, 'DAGORETTI CORNER METEOROLOGICAL STATION', 'DAGORETTI CORNER MET', NULL),
	(5, NULL, NULL, '', 'D01011', '004001', 'B04001', 'datetime_year', 'Year', '', 'Year', '0', '4', 'Year, 0, 4', 'station identification', 1, '2000', '2000', NULL),
	(6, NULL, NULL, '', '', '004002', 'B04002', 'datetime_month', 'Month', '', 'Month', '0', '2', 'Month, 0, 2', 'station identification', 1, '01', '01', NULL),
	(10, NULL, NULL, '', 'D01021', '005001', 'B05001', 'station_deglatitude', 'Latitude (high accuracy)', '', 'Degree', '5', '7', 'Degree, 2, 4', 'station identification', 1, '-1.3', '-0000130', NULL),
	(11, NULL, NULL, '', '', '006001', 'B06001', 'station_deglongitude', 'Longitude (high accuracy)', '', 'Degree', '5', '8', 'Degree, 2, 5', 'station identification', 1, '36.75', '00003675', NULL),
	(12, NULL, NULL, '', 'B07030', '007030', 'B07030', 'station_elevation', 'Height of station ground above mean sea level', '', 'M', '1', '5', 'm, 1, 6', 'station identification', 1, '1798', '17980', NULL),
	(55, NULL, NULL, NULL, 'R05000', '205000', 'R05000', '', 'Delayed replication of 5 descriptors  ', '', '', '', '', '', '', 0, '', '', NULL),
	(56, NULL, NULL, NULL, 'B31001', '031001', 'B31001', 'cloud_rep2', 'Delayed descriptor replication factor', '', 'Numeric', '0', '4', '', '', 1, '0', '0000', NULL),
	(57, NULL, NULL, 'D02036', 'B08002', '008002', 'B08002', '611', 'Vertical Significance', '', 'Code table', '0', '2', 'Code table', '', 0, '', '//', NULL),
	(60, NULL, NULL, '', 'B20014', '020014', 'B20014', '614', 'Height of top of cloud', '', 'm', '-1', '4', '', '', 0, '', '////', NULL),
	(62, NULL, NULL, '', 'B08002', '008002', 'B08002', '621', 'Vertical Significance', '', 'Code table', '0', '2', 'Code table', '', 0, '', '//', NULL),
	(65, NULL, NULL, '', 'B20014', '020014', 'B20014', '624', 'Height of top of cloud', '', 'm', '-1', '4', '', '', 0, '', '////', NULL),
	(67, NULL, NULL, '', 'B08002', '008002', 'B08002', '631', 'Vertical Significance', '', 'Code table', '0', '2', 'Code table', '', 0, '', '//', NULL),
	(70, NULL, NULL, '', 'B20014', '020014', 'B20014', '634', 'Height of top of cloud', '', 'm', '-1', '4', '', '', 0, '', '////', NULL),
	(72, NULL, NULL, '', 'B08002', '008002', 'B08002', '641', 'Vertical Significance', '', 'Code table', '0', '2', 'Code table', '', 0, '', '//', NULL),
	(75, NULL, NULL, '', 'B20014', '020014', 'B20014', '644', 'Height of top of cloud', '', 'm', '-1', '4', '', '', 0, '', '////', NULL),
	(77, NULL, NULL, 'R02003', '', NULL, '', 'cloud_drift_rep', 'Replication factor of 2 descriptor  for 3 times', '', '', '', '', '', '', 0, '', '', NULL),
	(78, NULL, NULL, 'D02047', 'B08002', '008002', 'B08002', '651', 'Vertical Significance =7 (low cloud) =8 (middle cloud) =9 (high cloud)', '', 'Code table', '0', '2', '', '', 1, '', '//', NULL),
	(80, NULL, NULL, '', 'B08002', '008002', 'B08002', '653', 'Vertical Significance =7 (low cloud) =8 (middle cloud) =9 (high cloud)', '', 'Code Table', '0', '2', '', '', 1, '', '//', NULL),
	(82, NULL, NULL, '', 'B08002', '008002', 'B08002', '655', 'Vertical Significance =7 (low cloud) =8 (middle cloud) =9 (high cloud)', '', 'Code Table', '0', '2', '', '', 1, '', '//', NULL),
	(13, NULL, NULL, '', 'B07031', '007031', 'B07031', 'station_pressure_height', 'Height of barometer above mean sea level', '', 'M', '1', '5', 'm, 1, 6', 'station identification', 1, '1799', '17990', NULL),
	(4, NULL, NULL, '', '', '002001', 'B02001', 'station_qualifier', 'Type of station                                             ', '(ix)', 'Code table', '0', '1', 'Code table, 0, 1', 'station identification', 1, '1', '1', NULL),
	(17, NULL, NULL, '', '', '010063', 'B10063', 'a', 'Characteristic of pressure tendency', 'a', 'Code table', '0', '2', 'Code table, 0, 2', 'Pressure data', 1, '15', '15', NULL),
	(19, NULL, NULL, '', 'B07004', '007004', 'B07004', '301', 'Pressure (standard level) ', 'a3', 'Pa', '-1', '5', 'Pa, –1, 5', 'Pressure data', 1, '1', '00000', NULL),
	(87, NULL, NULL, '', 'B20012', '020012', 'B20012', '663', 'Cloud type ', 'C', 'Code Table', '0', '2', '', '', 1, '', '//', NULL),
	(53, NULL, NULL, '', '', '020012', 'B20012', '129', 'Cloud type', 'C', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '', '//', NULL),
	(41, NULL, NULL, '', '', '020012', 'B20012', '117', 'Cloud type', 'C', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 1, '1', '01', NULL),
	(45, NULL, NULL, '', '', '020012', 'B20012', '121', 'Cloud type', 'C', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '', '//', NULL),
	(49, NULL, NULL, '', '', '020012', 'B20012', '125', 'Cloud type', 'C', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '', '//', NULL),
	(59, NULL, NULL, '', 'B20012', '020012', 'B20012', '613', 'Cloud type', 'C', 'Code table', '0', '2', '', '', 0, '', '//', NULL),
	(64, NULL, NULL, '', 'B20012', '020012', 'B20012', '623', 'Cloud type', 'C', 'Code table', '0', '2', '', '', 0, '', '//', NULL),
	(69, NULL, NULL, '', 'B20012', '020012', 'B20012', '633', 'Cloud type', 'C', 'Code table', '0', '2', '', '', 0, '', '//', NULL),
	(74, NULL, NULL, '', 'B20012', '020012', 'B20012', '643', 'Cloud type', 'C', 'Code table', '0', '2', '', '', 0, '', '//', NULL),
	(36, NULL, NULL, '', '', '020012', 'B20012', '171', 'Cloud type (low clouds CH)', 'CH', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 1, '1', '01', NULL),
	(34, NULL, NULL, '', '', '020012', 'B20012', '169', 'Cloud type (low clouds CL)', 'CL ', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 1, '1', '01', NULL),
	(31, NULL, NULL, '', '', '008002', 'B08002', '115', 'Vertical significance', 'CL CM CH', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 1, '1', '01', NULL),
	(35, NULL, NULL, '', '', '020012', 'B20012', '170', 'Cloud type (low clouds CM)', 'CM', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 1, '1', '01', NULL),
	(61, NULL, NULL, '', 'B20017', '020017', 'B20017', '615', 'Cloud top description', 'Ct', 'Code table', '0', '2', 'Code table, 0', '', 0, '', '//', NULL),
	(66, NULL, NULL, '', 'B20017', '020017', 'B20017', '625', 'Cloud top description', 'Ct', 'Code table', '0', '2', 'Code table, 0', '', 0, '', '//', NULL),
	(71, NULL, NULL, '', 'B20017', '020017', 'B20017', '635', 'Cloud top description', 'Ct', 'Code table', '0', '2', 'Code table, 0', '', 0, '', '//', NULL),
	(76, NULL, NULL, '', 'B20017', '020017', 'B20017', '645', 'Cloud top description', 'Ct', 'Code table', '0', '2', 'Code table, 0', '', 0, '', '//', NULL),
	(85, NULL, NULL, 'D02048', 'B05021', '005021', 'B05021', '661', 'Bearing or azimuth', 'Da', 'Degree', '2', '5', '', '', 1, '', '/////', NULL),
	(88, NULL, NULL, '', 'B05021', '005021', 'B05021', '664', 'Bearing or azimuth (set to missing to cancel the previous value) ', 'Da', 'Degree', '2', '5', '', '', 1, '', '/////', NULL),
	(131, NULL, NULL, '', '', '011001', 'B11001', '112', 'Wind direction', 'dd', 'Degree true', '0', '3', '', '', 1, '1', '000', NULL),
	(102, NULL, NULL, 'B20106', '', '020106', 'B20106', '707', 'Locust population density', 'dL', 'Code Table', '0', '2', '', '', 0, '', '//', NULL),
	(103, NULL, NULL, 'B20107', '', '020107', 'B20107', '708', 'Direction of movements of locust swarm', 'DL', 'Code Table', '0', '2', '', '', 0, '', '//', NULL),
	(83, NULL, NULL, '', 'B20054', '020054', 'B20054', '656', 'True  direction from which clouds are moving', 'DL, DM, DH', 'Degree', '0', '3', '', '', 1, '', '///', NULL),
	(79, NULL, NULL, '', 'B20054', '020054', 'B20054', '652', 'True  direction from which clouds are moving', 'DL, DM, DH', 'Degree', '0', '3', '', '', 1, '', '///', NULL),
	(81, NULL, NULL, '', 'B20054', '020054', 'B20054', '654', 'True  direction from which clouds are moving', 'DL, DM, DH', 'Degree', '0', '3', '', '', 1, '', '///', NULL),
	(90, NULL, NULL, 'D02037', 'B20062', '020062', 'B20062', '51', 'State of ground (with or without snow)', 'E or E’', 'Code Table', '0', '2', '', '', 1, '', '//', NULL),
	(86, NULL, NULL, '', 'B07021', '007021', 'B07021', '662', 'Elevation angle ', 'eC', 'Degree', '2', '5', '', '', 1, '', '/////', NULL),
	(144, NULL, NULL, '', 'B13033', '013033', 'B13033', '18', 'Evaporation /evapotranspiration', 'EEE ', 'kg m-2', '1', '4', 'kg m-2, 1, 4', 'Evaporation', 1, '1', '0001', NULL),
	(132, NULL, NULL, '', '', '011002', 'B11002', '111', 'Wind speed ', 'ff', 'M s-1', '1', '4', '', '', 1, '1', '0010', NULL),
	(8, NULL, NULL, '', 'D01012', '004004', 'B04004', 'datetime_hour', 'Hour', 'GG', 'Hour', '0', '2', 'Hour, 0, 2', 'station identification', 1, '03', '03', NULL),
	(9, NULL, NULL, '', '', '004005', 'B04005', 'datetime_minute', 'Minute', 'gg', 'Minute', '0', '2', 'Minute, 0, 2', 'station identification', 1, '00', '00', NULL),
	(33, NULL, NULL, '', '', '020013', 'B20013', '192', 'Height of base of cloud', 'h', 'm', '-1', '4', 'm, –1, 4', 'Cloud data', 1, '1', '0000', NULL),
	(20, NULL, NULL, '', 'B10009', '010009', 'B10009', '185', 'Geopotential height of the standard level', 'hhh', 'gpm', '0', '5', 'gpm, 0, 5', 'Pressure data', 1, '1', '00001', NULL),
	(54, NULL, NULL, '', '', '020013', 'B20013', '130', 'Height of base of cloud', 'hshs  ', 'm', '-1', '4', 'm, -1, 4', 'Cloud data', 0, '', '////', NULL),
	(42, NULL, NULL, '', '', '020013', 'B20013', '118', 'Height of base of cloud', 'hshs  ', 'm', '-1', '4', 'm, -1, 4', 'Cloud data', 1, '1', '0000', NULL),
	(46, NULL, NULL, '', '', '020013', 'B20013', '122', 'Height of base of cloud', 'hshs  ', 'm', '-1', '4', 'm, -1, 4', 'Cloud data', 0, '', '////', NULL),
	(50, NULL, NULL, '', '', '020013', 'B20013', '126', 'Height of base of cloud', 'hshs  ', 'm', '-1', '4', 'm, -1, 4', 'Cloud data', 0, '', '////', NULL),
	(143, NULL, NULL, '', 'B02004', '002004', 'B02004', 'evap_I', 'Type of instrument for evaporation or crop for evapotranspiration', 'iE', 'Code table', '0', '2', 'Code table, 0, 2', 'Evaporation', 1, '1', '01', NULL),
	(1, '307082', 'D07082', 'D01090', 'D01004', '001001', 'B01001', 'station_WMO_bloc', 'WMO block number', 'II', 'Numeric', '0', '2', 'Numeric, 0, 2', 'station identification', 1, '63', '63', NULL),
	(2, NULL, NULL, '', '', '001002', 'B01002', 'station_WMO_number', 'WMO station number                                   ', 'iii', 'Numeric', '0', '3', 'Numeric, 0, 3', 'station identification', 1, '741', '741', NULL),
	(128, NULL, NULL, '', '', '002002', 'B02002', 'w_I', 'Type of instrumentation for wind measurement', 'iw', 'Flag table', '0', '2', '', '', 1, '14', '14', NULL),
	(25, NULL, NULL, '', 'D02033', '007032', 'B07032', 'Vis_SH', 'Height of sensor above local ground (for visibility measurement)', 'm', 'm', '2', '5', 'm, 2, 5', 'Temperature and humidity', 1, '1.5', '00150', NULL),
	(30, NULL, NULL, '', 'D02004', '020010', 'B20010', '114', 'Cloud cover (total)', 'N ', '%', '0', '3', '%, 0, 3', 'Cloud data', 1, '1', '013', NULL),
	(32, NULL, NULL, '', '', '020011', 'B20011', '168', 'Cloud amount (of low or middle clouds)', 'Nh ', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 1, '1', '01', NULL),
	(58, NULL, NULL, '', 'B20011', '020011', 'B20011', '612', 'Clound amount', 'Nh', 'Code table', '0', '2', '', '', 0, '', '//', NULL),
	(63, NULL, NULL, '', 'B20011', '020011', 'B20011', '622', 'Clound amount', 'Nh', 'Code table', '0', '2', '', '', 0, '', '//', NULL),
	(68, NULL, NULL, '', 'B20011', '020011', 'B20011', '632', 'Clound amount', 'Nh', 'Code table', '0', '2', '', '', 0, '', '//', NULL),
	(73, NULL, NULL, '', 'B20011', '020011', 'B20011', '642', 'Clound amount', 'Nh', 'Code table', '0', '2', '', '', 0, '', '//', NULL),
	(52, NULL, NULL, '', '', '020011', 'B20011', '128', 'Cloud amount', 'Ns ', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '', '//', NULL),
	(40, NULL, NULL, '', '', '020011', 'B20011', '116', 'Cloud amount', 'Ns ', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 1, '1', '01', NULL),
	(44, NULL, NULL, '', '', '020011', 'B20011', '120', 'Cloud amount', 'Ns ', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '', '//', NULL),
	(48, NULL, NULL, '', '', '020011', 'B20011', '124', 'Cloud amount', 'Ns ', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '', '//', NULL),
	(14, NULL, NULL, 'D02031', 'D02001', '010004', 'B10004', '106', 'Pressure', 'P0P0P0P0', 'Pa', '1', '5', 'Pa, –1, 5', 'Pressure data', 1, '1', '00001', NULL),
	(18, NULL, NULL, '', 'B10062', '010062', 'B10062', '399', '24-hour pressure change', 'p24p24p24', 'Pa', '-1', '4', 'Pa, –1, 4', 'Pressure data', 1, '1', '0000', NULL),
	(16, NULL, NULL, '', '', '010061', 'B10061', 'ppp', '3-hour pressure change', 'ppp', 'Pa', '-1', '4', 'Pa, –1, 4', 'Pressure data', 1, '', '////', NULL),
	(15, NULL, NULL, '', '', '010051', 'B10051', '107', 'Pressure reduced to mean sea level', 'PPPP', 'Pa', '1', '5', 'Pa, –1, 5', 'Pressure data', 1, '', '/////', NULL),
	(28, NULL, NULL, '', '', '013023', 'B13023', '5', 'Total precipitation Past 24 Hrs', 'R24R24R24R24', 'Kg M^2', '1', '5', '', 'Precipitation', 1, '1', '00001', NULL),
	(119, NULL, NULL, '', '', '013011', 'B13011', '174', 'Total precipitation', 'RRR', 'kgm-2', '1', '5', '', '', 1, '1', '00001', NULL),
	(162, NULL, NULL, '', 'B12049', '012049', 'B12049', '94', 'Temperature change over period specified', 'sndT', '\'C', '0', '2', '', '', 1, '', '//', NULL),
	(23, NULL, NULL, '', '', '012103', 'B12103', '103', 'Dew-point temperature (scale 2)', 'snTdTdTd', '°C', '2', '4', '°C, 2, 4', 'Temperature and humidity', 1, '1', '0010', NULL),
	(126, NULL, NULL, '', '', '012112', 'B12112', '3', 'Minimum temperature (scale 2) at height and over period specified ', 'snTnTnTn', '\'C', '2', '4', '', '', 1, '', '////', NULL),
	(22, NULL, NULL, '', '', '012101', 'B12101', '101', 'Temperature/Dry bulb (scale 2) at height and over period specified', 'snTTT', '°C', '2', '4', '°C, 2, 4', 'Temperature and humidity', 1, '1', '0010', NULL),
	(123, NULL, NULL, '', '', '012111', 'B12111', '2', 'Maximum temperature (scale 2) at height and over period specified', 'snTxTxTx', '\'C', '2', '4', '', '', 1, '', '////', NULL),
	(113, NULL, NULL, '', '', '014031', 'B14031', '132', 'Total sunshine in minutes (2nd replication)', 'SS', 'Minute', '0', '4', '', '', 1, '1', '0001', NULL),
	(91, NULL, NULL, '', 'B13013', '013013', 'B13013', '50', 'Total snow depth', 'sss', 'M', '2', '5', '', '', 1, '', '/////', NULL),
	(111, NULL, NULL, '', '', '014031', 'B14031', '532', 'Total sunshine ', 'SSS', 'Minute', '0', '4', 'Minute, 0, 4', 'Sunshine', 1, '60', '0006', NULL),
	(116, NULL, NULL, '', '', '004024', 'B04024', 'tR_TP', 'Time period in hours', 'tR', 'Hour', '0', '4', 'Hour, 0, 4', 'Precipitation ', 1, '-3', '-0003', NULL),
	(118, NULL, NULL, '', '', '004024', 'B04024', 'tr_TP', 'Time period or displacement', 'tr', 'Hour', '0', '4', '', '', 1, '-3', '-0003', NULL),
	(104, NULL, NULL, 'B20108', '', '020108', 'B20108', '710', 'Extent of vegetation', 've', 'Code Table', '0', '2', '', '', 0, '', '//', NULL),
	(26, NULL, NULL, '', '', '020001', 'B20001', '110', 'Horizontal Visibility', 'VV', 'm', '-1', '4', 'm, –1, 4', 'Visibility  ', 1, '1', '0000', NULL),
	(107, NULL, NULL, '', '', '020004', 'B20004', '197', 'Past weather (1) ', 'W1', 'Code table', '0', '2', '', '', 1, '1', '01', NULL),
	(108, NULL, NULL, '', '', '020005', 'B20005', '193', 'Past weather (2) ', 'W2', 'Code table', '0', '2', '', '', 1, '1', '01', NULL),
	(105, NULL, NULL, 'D02043', 'D02038', '020003', 'B20003', '167', 'Present weather ', 'ww', 'Code table', '0', '3', '', '', 0, '1', '001', NULL),
	(7, NULL, NULL, '', '', '004003', 'B04003', 'datetime_day', 'Day', 'YY', 'Day', '0', '2', 'Day, 0, 2', 'station identification', 1, '01', '01', NULL);
/*!40000 ALTER TABLE `tm_307082` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_test_db_v4.tm_307083
CREATE TABLE IF NOT EXISTS `tm_307083` (
  `order` int(11) DEFAULT '0',
  `Bufr_Template` varchar(50) DEFAULT NULL,
  `Crex_Template` varchar(50) DEFAULT NULL,
  `Sequence_Descriptor1` varchar(50) DEFAULT NULL,
  `Sequence_Descriptor0` varchar(50) DEFAULT NULL,
  `Bufr_Element` varchar(50) DEFAULT NULL,
  `Crex_Element` varchar(255) DEFAULT NULL,
  `Climsoft_Element` varchar(255) DEFAULT NULL,
  `Element_Name` varchar(255) DEFAULT NULL,
  `synop_code` varchar(255) DEFAULT NULL,
  `unit` varchar(255) DEFAULT NULL,
  `scale` varchar(255) DEFAULT NULL,
  `width` varchar(255) DEFAULT NULL,
  `units_length_scale` varchar(255) DEFAULT NULL,
  `data_type` varchar(255) DEFAULT NULL,
  `selected` tinyint(4) DEFAULT NULL,
  `observation` varchar(255) DEFAULT NULL,
  `Crex_Data` varchar(255) DEFAULT NULL,
  `Bufr_Data` varchar(50) DEFAULT NULL,
  KEY `synop_code` (`synop_code`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_test_db_v4.tm_307083: ~162 rows (approximately)
/*!40000 ALTER TABLE `tm_307083` DISABLE KEYS */;
INSERT INTO `tm_307083` (`order`, `Bufr_Template`, `Crex_Template`, `Sequence_Descriptor1`, `Sequence_Descriptor0`, `Bufr_Element`, `Crex_Element`, `Climsoft_Element`, `Element_Name`, `synop_code`, `unit`, `scale`, `width`, `units_length_scale`, `data_type`, `selected`, `observation`, `Crex_Data`, `Bufr_Data`) VALUES
	(94, NULL, NULL, 'B12121', NULL, '012121', 'B12121', NULL, 'Ground minimum temperature', NULL, 'Deg \'C', '2', '4', NULL, NULL, 1, NULL, NULL, NULL),
	(21, NULL, NULL, 'D02035', 'D02032', '007032', 'B07032', 'Temp_SH', 'Height of sensor above local ground (for temperature and humidity measurement)', '', 'm', '2', '5', 'm, 2, 5', 'Temperature and humidity', 1, '1.25', '00125', NULL),
	(24, NULL, NULL, '', '', '013003', 'B13003', '105', 'Relative humidity', '', '%', '0', '3', '%, 0, 3', 'Temperature and humidity', 1, '1', '001', NULL),
	(27, NULL, NULL, '', 'D02034', '007032', 'B07032', 'R24_SH', 'Height of sensor above local ground (for precipitation measurement)', '', 'M', '2', '5', '', 'Precipitation', 1, '0.25', '00025', NULL),
	(29, NULL, NULL, '', 'B07032', '007032', 'B07032', 'Cancel_SH', 'Height of sensor above local ground (set to missing to cancel the previous table)', '', 'M', '2', '5', '', '', 1, '', '/////', NULL),
	(84, NULL, NULL, 'B08002', '', '008002', 'B08002', 'vert_sig_cancel', 'Vertical significance (set to missing to cancel the previous value)    ', '', 'Code Table', '0', '2', '', '', 1, '', '//', NULL),
	(155, NULL, NULL, '', 'B14004', '014004', 'B14004', '533_1', 'Short-wave radiation, integrated over period specified ', '', 'J m-2', '-3', '4', '', '', 1, '', '////', NULL),
	(156, NULL, NULL, '', 'B14016', '014016', 'B14016', '136_1', 'Net radiation, integrated over period specified', '', 'J m-2', '-4', '5', '', '', 1, '', '/////', NULL),
	(157, NULL, NULL, '', 'B14028', '014028', 'B14028', '133_1', 'Global solar radiation (high accuracy), integrated over period specified', '', 'J m-2', '-2', '5', '', '', 1, '', '/////', NULL),
	(158, NULL, NULL, '', 'B14029', '014029', 'B14029', '97_1', 'Diffuse solar radiation (high accuracy), integrated over period specified', '', 'J m-2', '-2', '5', '', '', 1, '', '/////', NULL),
	(159, NULL, NULL, '', 'B14030', '014030', 'B14030', '139_1', 'Direct solar radiation (high accuracy), integrated over period specified', '', 'J m-2', '-2', '5', '', '', 1, '', '/////', NULL),
	(160, NULL, NULL, 'D02046', 'B04024', '004024', 'B04024', 'tempc_t', 'Time period or displacement                         ', '', 'Hour', '0', '4', '', '', 1, '', '////', NULL),
	(161, NULL, NULL, '', 'B04024', '004024', 'B04024', 'tempc1_t', 'Time period or displacement (see Note 3)       ', '', 'Hour', '0', '4', '', '', 1, '', '////', NULL),
	(89, NULL, NULL, '', 'B07021', '007021', 'B07021', '665', 'Elevation angle (set to missing to cancel the previous value)', '', 'Degree', '2', '5', '', '', 1, '', '/////', NULL),
	(92, NULL, NULL, '', 'B12113', '012113', 'B12113', '585', 'Ground minimum temperature past 12 hrs', '', 'Degree', '2', '3', '', '', 1, '', '///', NULL),
	(94, NULL, NULL, 'B12122', '', '012122', 'B12122', '85', 'Ground minimum temperature of the preceeding night', '', 'Deg \'C', '2', '4', '', '', 0, '1', '0010', NULL),
	(95, NULL, NULL, 'B13056', '', '013056', 'B13056', '505', 'Character and Intensity of precipitation', '', 'Code Table', '0', '2', '', '', 0, '1', '01', NULL),
	(96, NULL, NULL, 'B13057', '', '013057', 'B13057', '506', 'Time of beginning or end of precipitation', '', 'Code Table', '0', '2', '', '', 0, '9', '09', NULL),
	(97, NULL, NULL, 'B20101', '', '020101', 'B20101', '701', 'Locust (Acridian) name', '', 'Code Table', '0', '2', '', '', 0, '', '//', NULL),
	(98, NULL, NULL, 'B20102', '', '020102', 'B20102', '702', 'Locust (Maturity) colour', '', 'Code Table', '0', '2', '', '', 0, '', '//', NULL),
	(99, NULL, NULL, 'B20103', '', '020103', 'B20103', '704', 'Stage of development of locusts', '', 'Code Table', '0', '2', '', '', 0, '', '//', NULL),
	(100, NULL, NULL, 'B20104', '', '020104', 'B20104', '705', 'Organization state of swam or band of locusts', '', 'Code Table', '0', '2', '', '', 0, '', '//', NULL),
	(101, NULL, NULL, 'B20105', '', '020105', 'B20105', '706', 'Size of swam or band of locusts and duration of passage of time', '', 'Code Table', '0', '2', '', '', 0, '', '//', NULL),
	(106, NULL, NULL, '', '', '004024', 'B04024', 'ww_TP', 'Time period in hours', '', 'Hour', '0', '4', '', '', 1, '-3', '-0003', NULL),
	(109, NULL, NULL, '', 'R01002', '201002', 'R01002', '', 'Replicate 1 descriptors 2 times', '', '', '', '', '', 'Sunshine', 0, '', '', NULL),
	(110, NULL, NULL, '', 'D02039', '004024', 'B04024', 'SSS_TP', 'Time period in hours', '', 'Hour', '0', '4', 'Hour, 0, 4', 'Sunshine', 1, '-24', '-0024', NULL),
	(51, NULL, NULL, '', '', '008002', 'B08002', '131', 'Vertical significance', '', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '', '//', NULL),
	(136, NULL, NULL, '', '', '011043', 'B11043', '59', 'Maximum wind gust direction', '', 'Degree True', '0', '3', '', '', 1, '', '///', NULL),
	(137, NULL, NULL, '', '', '011041', 'B11041', '58', 'Maximum wind gust speed', '', 'M s-1', '1', '4', '', '', 1, '', '////', NULL),
	(138, NULL, NULL, '', '', '004025', 'B04025', 'w2_TP', 'Time period in minutes   ', '', 'Minute', '0', '4', '', '', 1, '', '////', NULL),
	(139, NULL, NULL, '', '', '011043', 'B11043', '591', 'Maximum wind gust direction', '', 'Degree True', '0', '3', '', '', 1, '', '///', NULL),
	(140, NULL, NULL, '', '', '011041', 'B11041', '581', 'Maximum wind gust speed', '', 'Minute', '1', '4', '', '', 1, '', '////', NULL),
	(141, NULL, NULL, '', 'B07032', '007032', 'B07032', 'evap_SH', 'Height of sensor above local ground (for evaporation measurement)', '', 'M', '2', '5', '', '', 1, '0.25', '00025', NULL),
	(142, NULL, NULL, 'D02044', 'B04024', '004024', 'B04024', 'evap_TP', 'Time period in hours              =  - 24', '', 'Hour', '0', '4', 'Hour, 0, 4', 'Evaporation', 1, '-24', '-0024', NULL),
	(112, NULL, NULL, '', '', '004024', 'B04024', 'SS_TP', 'Time period or displacement in hours', '', 'Hour', '0', '4', '', '', 1, '-1', '-0001', NULL),
	(114, NULL, NULL, '', 'D02040', '007032', 'B07032', 'RR_SH', 'Height of sensor above local ground (for precipiation measurement)', '', 'M', '2', '5', '', 'Precipitation', 1, '0.25', '00025', NULL),
	(115, NULL, NULL, '', '', 'R02002', 'R02002', '', 'Replicate next 2 descriptors 2 times', '', '', '', '', '', 'Precipitation ', 0, '', '', NULL),
	(117, NULL, NULL, '', '', '013011', 'B13011', '5', 'Total precipitation RRR', '', 'kg m-2', '1', '5', 'kg m-2, 1, 5', 'Precipitation ', 1, '1', '00001', NULL),
	(120, NULL, NULL, '', 'D02041', '007032', 'B07032', 'xt_SH', 'Height of sensor above local ground (for temperature measurement)', '', 'm', '2', '5', 'm, 2, 5', 'Extreme temperatures', 1, '1.25', '00125', NULL),
	(121, NULL, NULL, '', '', '004024', 'B04024', 'xt_TP', 'Time period or displacement                         ', '', 'Hour', '0', '4', '', '', 1, '-12', '-0012', NULL),
	(122, NULL, NULL, '', '', '004024', 'B04024', '', 'Time period or displacement (see Notes 1 and 2)                      ', '', 'Hour', '0', '4', '', '', 1, '', '////', NULL),
	(124, NULL, NULL, '', '', '004024', 'B04024', 'nt_TP', 'Time period or displacement                         ', '', 'Hour', '0', '4', '', '', 1, '-12', '-0012', NULL),
	(125, NULL, NULL, '', '', '004024', 'B04024', '', 'Time period or displacement (see Notes 2)                      ', '', 'Hour', '0', '4', '', '', 1, '', '////', NULL),
	(127, NULL, NULL, '', 'D02042', '007032', 'B07032', 'w_SH', 'Height of sensor above local ground (for wind measurement)', '', 'M', '2', '5', '', '', 1, '10', '01000', NULL),
	(129, NULL, NULL, '', '', '008021', 'B08021', 'w_TS', 'Time significance (= 2 (time averaged))', '', 'Code table', '0', '2', '', '', 1, '2', '02', NULL),
	(130, NULL, NULL, '', '', '004025', 'B04025', 'w_TP', 'Time period (= - 10 minutes, or number of minutes after a significant change of wind)', '', 'Minute', '0', '4', '', '', 1, '-10', '-0010', NULL),
	(133, NULL, NULL, '', '', '008021', 'B08021', 'w1_TS', 'Time significance (= missing value)', '', 'Code table', '0', '2', '', '', 1, '', '//', NULL),
	(134, NULL, NULL, '', '', '203002', 'R03002', '', 'Replicate next 3 descriptors 2 times', '', '', '', '', '', '', 0, '', '', NULL),
	(135, NULL, NULL, '', '', '004025', 'B04025', 'w1_TP', 'Time period in minutes   ', '', 'Minute', '0', '4', '', '', 1, '', '////', NULL),
	(37, NULL, NULL, '', 'R01000', NULL, NULL, '', 'Delayed replication of the next 1 descriptor', '', '', '', '', '', '', 0, '', '', NULL),
	(38, NULL, NULL, '', 'B31001', '031001', 'B31001', 'cloud_rep1', 'Delayed descriptor replication factor', '', '', '0', '4', '', 'Cloud data', 1, '1', '0001', NULL),
	(39, NULL, NULL, '', 'D02005', '008002', 'B08002', '119', 'Vertical significance', '', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 1, '1', '01', NULL),
	(43, NULL, NULL, '', '', '008002', 'B08002', '123', 'Vertical significance', '', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '', '//', NULL),
	(47, NULL, NULL, '', '', '008002', 'B08002', '127', 'Vertical significance', '', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '', '//', NULL),
	(145, NULL, NULL, 'R01002', '', NULL, '', '', 'Replication the 1 descriptor 2 times ', '', '', '', '', '', '', 0, '', '', NULL),
	(146, NULL, NULL, 'D02045', 'B04024', '004024', 'B04024', 'rad_TP', 'Time period or displacement', '', 'Hour', '0', '4', '', '', 1, '', '////', NULL),
	(147, NULL, NULL, '', 'B14002', '014002', 'B14002', '536', 'Long-wave radiation, integrated over period specified ', '', 'J m-2', '-3', '4', '', '', 1, '', '////', NULL),
	(148, NULL, NULL, '', 'B14004', '014004', 'B14004', '533', 'Short-wave radiation, integrated over period specified ', '', 'J m-2', '-3', '4', '', '', 1, '', '////', NULL),
	(149, NULL, NULL, '', 'B14016', '014016', 'B14016', '136', 'Net radiation, integrated over period specified', '', 'J m-2', '-4', '5', '', '', 1, '', '/////', NULL),
	(150, NULL, NULL, '', 'B14028', '014028', 'B14028', '133', 'Global solar radiation (high accuracy), integrated over period specified', '', 'J m-2', '-2', '5', '', '', 1, '', '/////', NULL),
	(151, NULL, NULL, '', 'B14029', '014029', 'B14029', '97', 'Diffuse solar radiation (high accuracy), integrated over period specified', '', 'J m-2', '-2', '5', '', '', 1, '', '/////', NULL),
	(152, NULL, NULL, '', 'B14030', '014030', 'B14030', '139', 'Direct solar radiation (high accuracy), integrated over period specified', '', 'J m-2', '-2', '5', '', '', 1, '', '/////', NULL),
	(153, NULL, NULL, '', 'B04024', '004024', 'B04024', 'rad1_TP', 'Time period or displacement', '', 'Hour', '0', '4', '', '', 1, '', '////', NULL),
	(154, NULL, NULL, '', 'B14002', '014002', 'B14002', '536_1', 'Long-wave radiation, integrated over period specified ', '', 'J m-2', '-3', '4', '', '', 1, '', '////', NULL),
	(3, NULL, NULL, '', '', '001015', 'B01015', 'station_name', 'Station or site name', '', 'Character', '0', '20', 'Character, 0, 20', 'station identification', 1, 'DAGORETTI CORNER METEOROLOGICAL STATION', 'DAGORETTI CORNER MET', NULL),
	(5, NULL, NULL, '', 'D01011', '004001', 'B04001', 'datetime_year', 'Year', '', 'Year', '0', '4', 'Year, 0, 4', 'station identification', 1, '2000', '2000', NULL),
	(6, NULL, NULL, '', '', '004002', 'B04002', 'datetime_month', 'Month', '', 'Month', '0', '2', 'Month, 0, 2', 'station identification', 1, '01', '01', NULL),
	(10, NULL, NULL, '', 'D01021', '005001', 'B05001', 'station_deglatitude', 'Latitude (high accuracy)', '', 'Degree', '5', '7', 'Degree, 2, 4', 'station identification', 1, '-1.3', '-0000130', NULL),
	(11, NULL, NULL, '', '', '006001', 'B06001', 'station_deglongitude', 'Longitude (high accuracy)', '', 'Degree', '5', '8', 'Degree, 2, 5', 'station identification', 1, '36.75', '00003675', NULL),
	(12, NULL, NULL, '', 'B07030', '007030', 'B07030', 'station_elevation', 'Height of station ground above mean sea level', '', 'M', '1', '5', 'm, 1, 6', 'station identification', 1, '1798', '17980', NULL),
	(55, NULL, NULL, NULL, 'R05000', '205000', 'R05000', '', 'Delayed replication of 5 descriptors  ', '', '', '', '', '', '', 0, '', '', NULL),
	(56, NULL, NULL, NULL, 'B31001', '031001', 'B31001', 'cloud_rep2', 'Delayed descriptor replication factor', '', 'Numeric', '0', '4', '', '', 1, '0', '0000', NULL),
	(57, NULL, NULL, 'D02036', 'B08002', '008002', 'B08002', '611', 'Vertical Significance', '', 'Code table', '0', '2', 'Code table', '', 0, '', '//', NULL),
	(60, NULL, NULL, '', 'B20014', '020014', 'B20014', '614', 'Height of top of cloud', '', 'm', '-1', '4', '', '', 0, '', '////', NULL),
	(62, NULL, NULL, '', 'B08002', '008002', 'B08002', '621', 'Vertical Significance', '', 'Code table', '0', '2', 'Code table', '', 0, '', '//', NULL),
	(65, NULL, NULL, '', 'B20014', '020014', 'B20014', '624', 'Height of top of cloud', '', 'm', '-1', '4', '', '', 0, '', '////', NULL),
	(67, NULL, NULL, '', 'B08002', '008002', 'B08002', '631', 'Vertical Significance', '', 'Code table', '0', '2', 'Code table', '', 0, '', '//', NULL),
	(70, NULL, NULL, '', 'B20014', '020014', 'B20014', '634', 'Height of top of cloud', '', 'm', '-1', '4', '', '', 0, '', '////', NULL),
	(72, NULL, NULL, '', 'B08002', '008002', 'B08002', '641', 'Vertical Significance', '', 'Code table', '0', '2', 'Code table', '', 0, '', '//', NULL),
	(75, NULL, NULL, '', 'B20014', '020014', 'B20014', '644', 'Height of top of cloud', '', 'm', '-1', '4', '', '', 0, '', '////', NULL),
	(77, NULL, NULL, 'R02003', '', NULL, '', 'cloud_drift_rep', 'Replication factor of 2 descriptor  for 3 times', '', '', '', '', '', '', 0, '', '', NULL),
	(78, NULL, NULL, 'D02047', 'B08002', '008002', 'B08002', '651', 'Vertical Significance =7 (low cloud) =8 (middle cloud) =9 (high cloud)', '', 'Code table', '0', '2', '', '', 1, '', '//', NULL),
	(80, NULL, NULL, '', 'B08002', '008002', 'B08002', '653', 'Vertical Significance =7 (low cloud) =8 (middle cloud) =9 (high cloud)', '', 'Code Table', '0', '2', '', '', 1, '', '//', NULL),
	(82, NULL, NULL, '', 'B08002', '008002', 'B08002', '655', 'Vertical Significance =7 (low cloud) =8 (middle cloud) =9 (high cloud)', '', 'Code Table', '0', '2', '', '', 1, '', '//', NULL),
	(13, NULL, NULL, '', 'B07031', '007031', 'B07031', 'station_pressure_height', 'Height of barometer above mean sea level', '', 'M', '1', '5', 'm, 1, 6', 'station identification', 1, '1799', '17990', NULL),
	(4, NULL, NULL, '', '', '002001', 'B02001', 'station_qualifier', 'Type of station                                             ', '(ix)', 'Code table', '0', '1', 'Code table, 0, 1', 'station identification', 1, '1', '1', NULL),
	(17, NULL, NULL, '', '', '010063', 'B10063', 'a', 'Characteristic of pressure tendency', 'a', 'Code table', '0', '2', 'Code table, 0, 2', 'Pressure data', 1, '15', '15', NULL),
	(19, NULL, NULL, '', 'B07004', '007004', 'B07004', '301', 'Pressure (standard level) ', 'a3', 'Pa', '-1', '5', 'Pa, –1, 5', 'Pressure data', 1, '1', '00000', NULL),
	(87, NULL, NULL, '', 'B20012', '020012', 'B20012', '663', 'Cloud type ', 'C', 'Code Table', '0', '2', '', '', 1, '', '//', NULL),
	(53, NULL, NULL, '', '', '020012', 'B20012', '129', 'Cloud type', 'C', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '', '//', NULL),
	(41, NULL, NULL, '', '', '020012', 'B20012', '117', 'Cloud type', 'C', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 1, '1', '01', NULL),
	(45, NULL, NULL, '', '', '020012', 'B20012', '121', 'Cloud type', 'C', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '', '//', NULL),
	(49, NULL, NULL, '', '', '020012', 'B20012', '125', 'Cloud type', 'C', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '', '//', NULL),
	(59, NULL, NULL, '', 'B20012', '020012', 'B20012', '613', 'Cloud type', 'C', 'Code table', '0', '2', '', '', 0, '', '//', NULL),
	(64, NULL, NULL, '', 'B20012', '020012', 'B20012', '623', 'Cloud type', 'C', 'Code table', '0', '2', '', '', 0, '', '//', NULL),
	(69, NULL, NULL, '', 'B20012', '020012', 'B20012', '633', 'Cloud type', 'C', 'Code table', '0', '2', '', '', 0, '', '//', NULL),
	(74, NULL, NULL, '', 'B20012', '020012', 'B20012', '643', 'Cloud type', 'C', 'Code table', '0', '2', '', '', 0, '', '//', NULL),
	(36, NULL, NULL, '', '', '020012', 'B20012', '171', 'Cloud type (low clouds CH)', 'CH', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 1, '1', '01', NULL),
	(34, NULL, NULL, '', '', '020012', 'B20012', '169', 'Cloud type (low clouds CL)', 'CL ', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 1, '1', '01', NULL),
	(31, NULL, NULL, '', '', '008002', 'B08002', '115', 'Vertical significance', 'CL CM CH', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 1, '1', '01', NULL),
	(35, NULL, NULL, '', '', '020012', 'B20012', '170', 'Cloud type (low clouds CM)', 'CM', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 1, '1', '01', NULL),
	(61, NULL, NULL, '', 'B20017', '020017', 'B20017', '615', 'Cloud top description', 'Ct', 'Code table', '0', '2', 'Code table, 0', '', 0, '', '//', NULL),
	(66, NULL, NULL, '', 'B20017', '020017', 'B20017', '625', 'Cloud top description', 'Ct', 'Code table', '0', '2', 'Code table, 0', '', 0, '', '//', NULL),
	(71, NULL, NULL, '', 'B20017', '020017', 'B20017', '635', 'Cloud top description', 'Ct', 'Code table', '0', '2', 'Code table, 0', '', 0, '', '//', NULL),
	(76, NULL, NULL, '', 'B20017', '020017', 'B20017', '645', 'Cloud top description', 'Ct', 'Code table', '0', '2', 'Code table, 0', '', 0, '', '//', NULL),
	(85, NULL, NULL, 'D02048', 'B05021', '005021', 'B05021', '661', 'Bearing or azimuth', 'Da', 'Degree', '2', '5', '', '', 1, '', '/////', NULL),
	(88, NULL, NULL, '', 'B05021', '005021', 'B05021', '664', 'Bearing or azimuth (set to missing to cancel the previous value) ', 'Da', 'Degree', '2', '5', '', '', 1, '', '/////', NULL),
	(131, NULL, NULL, '', '', '011001', 'B11001', '112', 'Wind direction', 'dd', 'Degree true', '0', '3', '', '', 1, '1', '000', NULL),
	(102, NULL, NULL, 'B20106', '', '020106', 'B20106', '707', 'Locust population density', 'dL', 'Code Table', '0', '2', '', '', 0, '', '//', NULL),
	(103, NULL, NULL, 'B20107', '', '020107', 'B20107', '708', 'Direction of movements of locust swarm', 'DL', 'Code Table', '0', '2', '', '', 0, '', '//', NULL),
	(83, NULL, NULL, '', 'B20054', '020054', 'B20054', '656', 'True  direction from which clouds are moving', 'DL, DM, DH', 'Degree', '0', '3', '', '', 1, '', '///', NULL),
	(79, NULL, NULL, '', 'B20054', '020054', 'B20054', '652', 'True  direction from which clouds are moving', 'DL, DM, DH', 'Degree', '0', '3', '', '', 1, '', '///', NULL),
	(81, NULL, NULL, '', 'B20054', '020054', 'B20054', '654', 'True  direction from which clouds are moving', 'DL, DM, DH', 'Degree', '0', '3', '', '', 1, '', '///', NULL),
	(90, NULL, NULL, 'D02037', 'B20062', '020062', 'B20062', '51', 'State of ground (with or without snow)', 'E or E’', 'Code Table', '0', '2', '', '', 1, '', '//', NULL),
	(86, NULL, NULL, '', 'B07021', '007021', 'B07021', '662', 'Elevation angle ', 'eC', 'Degree', '2', '5', '', '', 1, '', '/////', NULL),
	(144, NULL, NULL, '', 'B13033', '013033', 'B13033', '18', 'Evaporation /evapotranspiration', 'EEE ', 'kg m-2', '1', '4', 'kg m-2, 1, 4', 'Evaporation', 1, '1', '0001', NULL),
	(132, NULL, NULL, '', '', '011002', 'B11002', '111', 'Wind speed ', 'ff', 'M s-1', '1', '4', '', '', 1, '1', '0010', NULL),
	(8, NULL, NULL, '', 'D01012', '004004', 'B04004', 'datetime_hour', 'Hour', 'GG', 'Hour', '0', '2', 'Hour, 0, 2', 'station identification', 1, '03', '03', NULL),
	(9, NULL, NULL, '', '', '004005', 'B04005', 'datetime_minute', 'Minute', 'gg', 'Minute', '0', '2', 'Minute, 0, 2', 'station identification', 1, '00', '00', NULL),
	(33, NULL, NULL, '', '', '020013', 'B20013', '192', 'Height of base of cloud', 'h', 'm', '-1', '4', 'm, –1, 4', 'Cloud data', 1, '1', '0000', NULL),
	(20, NULL, NULL, '', 'B10009', '010009', 'B10009', '185', 'Geopotential height of the standard level', 'hhh', 'gpm', '0', '5', 'gpm, 0, 5', 'Pressure data', 1, '1', '00001', NULL),
	(54, NULL, NULL, '', '', '020013', 'B20013', '130', 'Height of base of cloud', 'hshs  ', 'm', '-1', '4', 'm, -1, 4', 'Cloud data', 0, '', '////', NULL),
	(42, NULL, NULL, '', '', '020013', 'B20013', '118', 'Height of base of cloud', 'hshs  ', 'm', '-1', '4', 'm, -1, 4', 'Cloud data', 1, '1', '0000', NULL),
	(46, NULL, NULL, '', '', '020013', 'B20013', '122', 'Height of base of cloud', 'hshs  ', 'm', '-1', '4', 'm, -1, 4', 'Cloud data', 0, '', '////', NULL),
	(50, NULL, NULL, '', '', '020013', 'B20013', '126', 'Height of base of cloud', 'hshs  ', 'm', '-1', '4', 'm, -1, 4', 'Cloud data', 0, '', '////', NULL),
	(143, NULL, NULL, '', 'B02004', '002004', 'B02004', 'evap_I', 'Type of instrument for evaporation or crop for evapotranspiration', 'iE', 'Code table', '0', '2', 'Code table, 0, 2', 'Evaporation', 1, '1', '01', NULL),
	(1, '307083', 'D07083', 'D01090', 'D01004', '001001', 'B01001', 'station_WMO_bloc', 'WMO block number', 'II', 'Numeric', '0', '2', 'Numeric, 0, 2', 'station identification', 1, '63', '63', NULL),
	(2, NULL, NULL, '', '', '001002', 'B01002', 'station_WMO_number', 'WMO station number                                   ', 'iii', 'Numeric', '0', '3', 'Numeric, 0, 3', 'station identification', 1, '741', '741', NULL),
	(128, NULL, NULL, '', '', '002002', 'B02002', 'w_I', 'Type of instrumentation for wind measurement', 'iw', 'Flag table', '0', '2', '', '', 1, '14', '14', NULL),
	(25, NULL, NULL, '', 'D02033', '007032', 'B07032', 'Vis_SH', 'Height of sensor above local ground (for visibility measurement)', 'm', 'm', '2', '5', 'm, 2, 5', 'Temperature and humidity', 1, '1.5', '00150', NULL),
	(30, NULL, NULL, '', 'D02004', '020010', 'B20010', '114', 'Cloud cover (total)', 'N ', '%', '0', '3', '%, 0, 3', 'Cloud data', 1, '1', '013', NULL),
	(32, NULL, NULL, '', '', '020011', 'B20011', '168', 'Cloud amount (of low or middle clouds)', 'Nh ', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 1, '1', '01', NULL),
	(58, NULL, NULL, '', 'B20011', '020011', 'B20011', '612', 'Clound amount', 'Nh', 'Code table', '0', '2', '', '', 0, '', '//', NULL),
	(63, NULL, NULL, '', 'B20011', '020011', 'B20011', '622', 'Clound amount', 'Nh', 'Code table', '0', '2', '', '', 0, '', '//', NULL),
	(68, NULL, NULL, '', 'B20011', '020011', 'B20011', '632', 'Clound amount', 'Nh', 'Code table', '0', '2', '', '', 0, '', '//', NULL),
	(73, NULL, NULL, '', 'B20011', '020011', 'B20011', '642', 'Clound amount', 'Nh', 'Code table', '0', '2', '', '', 0, '', '//', NULL),
	(52, NULL, NULL, '', '', '020011', 'B20011', '128', 'Cloud amount', 'Ns ', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '', '//', NULL),
	(40, NULL, NULL, '', '', '020011', 'B20011', '116', 'Cloud amount', 'Ns ', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 1, '1', '01', NULL),
	(44, NULL, NULL, '', '', '020011', 'B20011', '120', 'Cloud amount', 'Ns ', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '', '//', NULL),
	(48, NULL, NULL, '', '', '020011', 'B20011', '124', 'Cloud amount', 'Ns ', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '', '//', NULL),
	(14, NULL, NULL, 'D02031', 'D02001', '010004', 'B10004', '106', 'Pressure', 'P0P0P0P0', 'Pa', '1', '5', 'Pa, –1, 5', 'Pressure data', 1, '1', '00001', NULL),
	(18, NULL, NULL, '', 'B10062', '010062', 'B10062', '399', '24-hour pressure change', 'p24p24p24', 'Pa', '-1', '4', 'Pa, –1, 4', 'Pressure data', 1, '1', '0000', NULL),
	(16, NULL, NULL, '', '', '010061', 'B10061', 'ppp', '3-hour pressure change', 'ppp', 'Pa', '-1', '4', 'Pa, –1, 4', 'Pressure data', 1, '', '////', NULL),
	(15, NULL, NULL, '', '', '010051', 'B10051', '107', 'Pressure reduced to mean sea level', 'PPPP', 'Pa', '1', '5', 'Pa, –1, 5', 'Pressure data', 1, '', '/////', NULL),
	(28, NULL, NULL, '', '', '013023', 'B13023', '5', 'Total precipitation Past 24 Hrs', 'R24R24R24R24', 'Kg M^2', '1', '5', '', 'Precipitation', 1, '1', '00001', NULL),
	(119, NULL, NULL, '', '', '013011', 'B13011', '174', 'Total precipitation', 'RRR', 'kgm-2', '1', '5', '', '', 1, '1', '00001', NULL),
	(162, NULL, NULL, '', 'B12049', '012049', 'B12049', '94', 'Temperature change over period specified', 'sndT', '\'C', '0', '2', '', '', 1, '', '//', NULL),
	(23, NULL, NULL, '', '', '012103', 'B12103', '103', 'Dew-point temperature (scale 2)', 'snTdTdTd', '°C', '2', '4', '°C, 2, 4', 'Temperature and humidity', 1, '1', '0010', NULL),
	(126, NULL, NULL, '', '', '012112', 'B12112', '3', 'Minimum temperature (scale 2) at height and over period specified ', 'snTnTnTn', '\'C', '2', '4', '', '', 1, '', '////', NULL),
	(22, NULL, NULL, '', '', '012101', 'B12101', '101', 'Temperature/Dry bulb (scale 2) at height and over period specified', 'snTTT', '°C', '2', '4', '°C, 2, 4', 'Temperature and humidity', 1, '1', '0010', NULL),
	(123, NULL, NULL, '', '', '012111', 'B12111', '2', 'Maximum temperature (scale 2) at height and over period specified', 'snTxTxTx', '\'C', '2', '4', '', '', 1, '', '////', NULL),
	(113, NULL, NULL, '', '', '014031', 'B14031', '132', 'Total sunshine in minutes (2nd replication)', 'SS', 'Minute', '0', '4', '', '', 1, '1', '0001', NULL),
	(91, NULL, NULL, '', 'B13013', '013013', 'B13013', '50', 'Total snow depth', 'sss', 'M', '2', '5', '', '', 1, '', '/////', NULL),
	(111, NULL, NULL, '', '', '014031', 'B14031', '532', 'Total sunshine ', 'SSS', 'Minute', '0', '4', 'Minute, 0, 4', 'Sunshine', 1, '60', '0006', NULL),
	(116, NULL, NULL, '', '', '004024', 'B04024', 'tR_TP', 'Time period in hours', 'tR', 'Hour', '0', '4', 'Hour, 0, 4', 'Precipitation ', 1, '-3', '-0003', NULL),
	(118, NULL, NULL, '', '', '004024', 'B04024', 'tr_TP', 'Time period or displacement', 'tr', 'Hour', '0', '4', '', '', 1, '-3', '-0003', NULL),
	(104, NULL, NULL, 'B20108', '', '020108', 'B20108', '710', 'Extent of vegetation', 've', 'Code Table', '0', '2', '', '', 0, '', '//', NULL),
	(26, NULL, NULL, '', '', '020001', 'B20001', '110', 'Horizontal Visibility', 'VV', 'm', '-1', '4', 'm, –1, 4', 'Visibility  ', 1, '1', '0000', NULL),
	(107, NULL, NULL, '', '', '020004', 'B20004', '197', 'Past weather (1) ', 'W1', 'Code table', '0', '2', '', '', 1, '1', '01', NULL),
	(108, NULL, NULL, '', '', '020005', 'B20005', '193', 'Past weather (2) ', 'W2', 'Code table', '0', '2', '', '', 1, '1', '01', NULL),
	(105, NULL, NULL, 'D02043', 'D02038', '020003', 'B20003', '167', 'Present weather ', 'ww', 'Code table', '0', '3', '', '', 0, '1', '001', NULL),
	(7, NULL, NULL, '', '', '004003', 'B04003', 'datetime_day', 'Day', 'YY', 'Day', '0', '2', 'Day, 0, 2', 'station identification', 1, '01', '01', NULL);
/*!40000 ALTER TABLE `tm_307083` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_test_db_v4.tm_307084
CREATE TABLE IF NOT EXISTS `tm_307084` (
  `order` int(11) DEFAULT '0',
  `Bufr_Template` varchar(50) DEFAULT NULL,
  `Crex_Template` varchar(50) DEFAULT NULL,
  `Sequence_Descriptor1` varchar(50) DEFAULT NULL,
  `Sequence_Descriptor0` varchar(50) DEFAULT NULL,
  `Bufr_Element` varchar(50) DEFAULT NULL,
  `Crex_Element` varchar(255) DEFAULT NULL,
  `Climsoft_Element` varchar(255) DEFAULT NULL,
  `Element_Name` varchar(255) DEFAULT NULL,
  `synop_code` varchar(255) DEFAULT NULL,
  `unit` varchar(255) DEFAULT NULL,
  `scale` varchar(255) DEFAULT NULL,
  `width` varchar(255) DEFAULT NULL,
  `units_length_scale` varchar(255) DEFAULT NULL,
  `data_type` varchar(255) DEFAULT NULL,
  `selected` tinyint(4) DEFAULT NULL,
  `observation` varchar(255) DEFAULT NULL,
  `Crex_Data` varchar(255) DEFAULT NULL,
  `Bufr_Data` varchar(50) DEFAULT NULL,
  KEY `synop_code` (`synop_code`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_test_db_v4.tm_307084: ~165 rows (approximately)
/*!40000 ALTER TABLE `tm_307084` DISABLE KEYS */;
INSERT INTO `tm_307084` (`order`, `Bufr_Template`, `Crex_Template`, `Sequence_Descriptor1`, `Sequence_Descriptor0`, `Bufr_Element`, `Crex_Element`, `Climsoft_Element`, `Element_Name`, `synop_code`, `unit`, `scale`, `width`, `units_length_scale`, `data_type`, `selected`, `observation`, `Crex_Data`, `Bufr_Data`) VALUES
	(93, NULL, NULL, 'B20055', NULL, '020055', 'B20055', NULL, 'State of sky in the tropics', NULL, 'Code table', '0', '2', NULL, NULL, 1, NULL, NULL, NULL),
	(94, NULL, NULL, 'R01000', NULL, '101000', 'R01000', NULL, 'Delayed replication factor of 1 descriptor', NULL, NULL, NULL, NULL, NULL, NULL, 1, NULL, NULL, NULL),
	(99, NULL, NULL, 'B31001', NULL, '031001', 'B31001', NULL, 'Delayed descriptor replication factor', NULL, 'Numeric', '0', '4', NULL, NULL, 1, NULL, NULL, NULL),
	(96, NULL, NULL, 'C05001', NULL, '205001', 'C05001', NULL, 'Character field of 1 character', NULL, NULL, NULL, NULL, NULL, NULL, 1, NULL, NULL, NULL),
	(21, NULL, NULL, 'D02035', 'D02032', '007032', 'B07032', 'Temp_SH', 'Height of sensor above local ground (for temperature and humidity measurement)', '', 'm', '2', '5', 'm, 2, 5', 'Temperature and humidity', 1, '1.25', '00125', NULL),
	(24, NULL, NULL, '', '', '013003', 'B13003', '105', 'Relative humidity', '', '%', '0', '3', '%, 0, 3', 'Temperature and humidity', 1, '1', '001', NULL),
	(27, NULL, NULL, '', 'D02034', '007032', 'B07032', 'R24_SH', 'Height of sensor above local ground (for precipitation measurement)', '', 'M', '2', '5', '', 'Precipitation', 1, '0.25', '00025', NULL),
	(29, NULL, NULL, '', 'B07032', '007032', 'B07032', 'Cancel_SH', 'Height of sensor above local ground (set to missing to cancel the previous table)', '', 'M', '2', '5', '', '', 1, '', '/////', NULL),
	(84, NULL, NULL, 'B08002', '', '008002', 'B08002', 'vert_sig_cancel', 'Vertical significance (set to missing to cancel the previous value)    ', '', 'Code Table', '0', '2', '', '', 1, '', '//', NULL),
	(158, NULL, NULL, '', 'B14004', '014004', 'B14004', '533_1', 'Short-wave radiation, integrated over period specified ', '', 'J m-2', '-3', '4', '', '', 1, '', '////', NULL),
	(159, NULL, NULL, '', 'B14016', '014016', 'B14016', '136_1', 'Net radiation, integrated over period specified', '', 'J m-2', '-4', '5', '', '', 1, '', '/////', NULL),
	(160, NULL, NULL, '', 'B14028', '014028', 'B14028', '133_1', 'Global solar radiation (high accuracy), integrated over period specified', '', 'J m-2', '-2', '5', '', '', 1, '', '/////', NULL),
	(161, NULL, NULL, '', 'B14029', '014029', 'B14029', '97_1', 'Diffuse solar radiation (high accuracy), integrated over period specified', '', 'J m-2', '-2', '5', '', '', 1, '', '/////', NULL),
	(162, NULL, NULL, '', 'B14030', '014030', 'B14030', '139_1', 'Direct solar radiation (high accuracy), integrated over period specified', '', 'J m-2', '-2', '5', '', '', 1, '', '/////', NULL),
	(163, NULL, NULL, 'D02046', 'B04024', '004024', 'B04024', 'tempc_t', 'Time period or displacement                         ', '', 'Hour', '0', '4', '', '', 1, '', '////', NULL),
	(164, NULL, NULL, '', 'B04024', '004024', 'B04024', 'tempc1_t', 'Time period or displacement (see Note 3)       ', '', 'Hour', '0', '4', '', '', 1, '', '////', NULL),
	(89, NULL, NULL, '', 'B07021', '007021', 'B07021', '665', 'Elevation angle (set to missing to cancel the previous value)', '', 'Degree', '2', '5', '', '', 1, '', '/////', NULL),
	(92, NULL, NULL, '', 'B12113', '012113', 'B12113', '585', 'Ground minimum temperature past 12 hrs', '', 'Degree', '2', '3', '', '', 1, '', '///', NULL),
	(97, NULL, NULL, 'B12122', '', '012122', 'B12122', '85', 'Ground minimum temperature of the preceeding night', '', '\'C', '2', '4', '', '', 1, '1', '0010', NULL),
	(98, NULL, NULL, 'B13056', '', '013056', 'B13056', '505', 'Character and Intensity of precipitation', '', 'Code Table', '0', '2', '', '', 0, '1', '01', NULL),
	(99, NULL, NULL, 'B13057', '', '013057', 'B13057', '506', 'Time of beginning or end of precipitation', '', 'Code Table', '0', '2', '', '', 0, '9', '09', NULL),
	(100, NULL, NULL, 'B20101', '', '020101', 'B20101', '701', 'Locust (Acridian) name', '', 'Code Table', '0', '2', '', '', 0, '', '//', NULL),
	(101, NULL, NULL, 'B20102', '', '020102', 'B20102', '702', 'Locust (Maturity) colour', '', 'Code Table', '0', '2', '', '', 0, '', '//', NULL),
	(102, NULL, NULL, 'B20103', '', '020103', 'B20103', '704', 'Stage of development of locusts', '', 'Code Table', '0', '2', '', '', 0, '', '//', NULL),
	(103, NULL, NULL, 'B20104', '', '020104', 'B20104', '705', 'Organization state of swam or band of locusts', '', 'Code Table', '0', '2', '', '', 0, '', '//', NULL),
	(104, NULL, NULL, 'B20105', '', '020105', 'B20105', '706', 'Size of swam or band of locusts and duration of passage of time', '', 'Code Table', '0', '2', '', '', 0, '', '//', NULL),
	(109, NULL, NULL, '', '', '004024', 'B04024', 'ww_TP', 'Time period in hours', '', 'Hour', '0', '4', '', '', 1, '-3', '-0003', NULL),
	(112, NULL, NULL, '', 'R01002', '201002', 'R01002', '', 'Replicate 1 descriptors 2 times', '', '', '', '', '', 'Sunshine', 0, '', '', NULL),
	(113, NULL, NULL, '', 'D02039', '004024', 'B04024', 'SSS_TP', 'Time period in hours', '', 'Hour', '0', '4', 'Hour, 0, 4', 'Sunshine', 1, '-24', '-0024', NULL),
	(51, NULL, NULL, '', '', '008002', 'B08002', '131', 'Vertical significance', '', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '', '//', NULL),
	(139, NULL, NULL, '', '', '011043', 'B11043', '59', 'Maximum wind gust direction', '', 'Degree True', '0', '3', '', '', 1, '', '///', NULL),
	(140, NULL, NULL, '', '', '011041', 'B11041', '58', 'Maximum wind gust speed', '', 'M s-1', '1', '4', '', '', 1, '', '////', NULL),
	(141, NULL, NULL, '', '', '004025', 'B04025', 'w2_TP', 'Time period in minutes   ', '', 'Minute', '0', '4', '', '', 1, '', '////', NULL),
	(142, NULL, NULL, '', '', '011043', 'B11043', '591', 'Maximum wind gust direction', '', 'Degree True', '0', '3', '', '', 1, '', '///', NULL),
	(143, NULL, NULL, '', '', '011041', 'B11041', '581', 'Maximum wind gust speed', '', 'Minute', '1', '4', '', '', 1, '', '////', NULL),
	(144, NULL, NULL, '', 'B07032', '007032', 'B07032', 'evap_SH', 'Height of sensor above local ground (for evaporation measurement)', '', 'M', '2', '5', '', '', 1, '0.25', '00025', NULL),
	(145, NULL, NULL, 'D02044', 'B04024', '004024', 'B04024', 'evap_TP', 'Time period in hours              =  - 24', '', 'Hour', '0', '4', 'Hour, 0, 4', 'Evaporation', 1, '-24', '-0024', NULL),
	(115, NULL, NULL, '', '', '004024', 'B04024', 'SS_TP', 'Time period or displacement in hours', '', 'Hour', '0', '4', '', '', 1, '-1', '-0001', NULL),
	(117, NULL, NULL, '', 'D02040', '007032', 'B07032', 'RR_SH', 'Height of sensor above local ground (for precipiation measurement)', '', 'M', '2', '5', '', 'Precipitation', 1, '0.25', '00025', NULL),
	(118, NULL, NULL, '', '', 'R02002', 'R02002', '', 'Replicate next 2 descriptors 2 times', '', '', '', '', '', 'Precipitation ', 0, '', '', NULL),
	(120, NULL, NULL, '', '', '013011', 'B13011', '5', 'Total precipitation RRR', '', 'kg m-2', '1', '5', 'kg m-2, 1, 5', 'Precipitation ', 1, '1', '00001', NULL),
	(123, NULL, NULL, '', 'D02041', '007032', 'B07032', 'xt_SH', 'Height of sensor above local ground (for temperature measurement)', '', 'm', '2', '5', 'm, 2, 5', 'Extreme temperatures', 1, '1.25', '00125', NULL),
	(124, NULL, NULL, '', '', '004024', 'B04024', 'xt_TP', 'Time period or displacement                         ', '', 'Hour', '0', '4', '', '', 1, '-12', '-0012', NULL),
	(125, NULL, NULL, '', '', '004024', 'B04024', '', 'Time period or displacement (see Notes 1 and 2)                      ', '', 'Hour', '0', '4', '', '', 1, '', '////', NULL),
	(127, NULL, NULL, '', '', '004024', 'B04024', 'nt_TP', 'Time period or displacement                         ', '', 'Hour', '0', '4', '', '', 1, '-12', '-0012', NULL),
	(128, NULL, NULL, '', '', '004024', 'B04024', '', 'Time period or displacement (see Notes 2)                      ', '', 'Hour', '0', '4', '', '', 1, '', '////', NULL),
	(130, NULL, NULL, '', 'D02042', '007032', 'B07032', 'w_SH', 'Height of sensor above local ground (for wind measurement)', '', 'M', '2', '5', '', '', 1, '10', '01000', NULL),
	(132, NULL, NULL, '', '', '008021', 'B08021', 'w_TS', 'Time significance (= 2 (time averaged))', '', 'Code table', '0', '2', '', '', 1, '2', '02', NULL),
	(133, NULL, NULL, '', '', '004025', 'B04025', 'w_TP', 'Time period (= - 10 minutes, or number of minutes after a significant change of wind)', '', 'Minute', '0', '4', '', '', 1, '-10', '-0010', NULL),
	(136, NULL, NULL, '', '', '008021', 'B08021', 'w1_TS', 'Time significance (= missing value)', '', 'Code table', '0', '2', '', '', 1, '', '//', NULL),
	(137, NULL, NULL, '', '', '203002', 'R03002', '', 'Replicate next 3 descriptors 2 times', '', '', '', '', '', '', 0, '', '', NULL),
	(138, NULL, NULL, '', '', '004025', 'B04025', 'w1_TP', 'Time period in minutes   ', '', 'Minute', '0', '4', '', '', 1, '', '////', NULL),
	(37, NULL, NULL, '', 'R01000', NULL, NULL, '', 'Delayed replication of the next 1 descriptor', '', '', '', '', '', '', 0, '', '', NULL),
	(38, NULL, NULL, '', 'B31001', '031001', 'B31001', 'cloud_rep1', 'Delayed descriptor replication factor', '', '', '0', '4', '', 'Cloud data', 1, '1', '0001', NULL),
	(39, NULL, NULL, '', 'D02005', '008002', 'B08002', '119', 'Vertical significance', '', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 1, '1', '01', NULL),
	(43, NULL, NULL, '', '', '008002', 'B08002', '123', 'Vertical significance', '', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '', '//', NULL),
	(47, NULL, NULL, '', '', '008002', 'B08002', '127', 'Vertical significance', '', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '', '//', NULL),
	(148, NULL, NULL, 'R01002', '', NULL, '', '', 'Replication the 1 descriptor 2 times ', '', '', '', '', '', '', 0, '', '', NULL),
	(149, NULL, NULL, 'D02045', 'B04024', '004024', 'B04024', 'rad_TP', 'Time period or displacement', '', 'Hour', '0', '4', '', '', 1, '', '////', NULL),
	(150, NULL, NULL, '', 'B14002', '014002', 'B14002', '536', 'Long-wave radiation, integrated over period specified ', '', 'J m-2', '-3', '4', '', '', 1, '', '////', NULL),
	(151, NULL, NULL, '', 'B14004', '014004', 'B14004', '533', 'Short-wave radiation, integrated over period specified ', '', 'J m-2', '-3', '4', '', '', 1, '', '////', NULL),
	(152, NULL, NULL, '', 'B14016', '014016', 'B14016', '136', 'Net radiation, integrated over period specified', '', 'J m-2', '-4', '5', '', '', 1, '', '/////', NULL),
	(153, NULL, NULL, '', 'B14028', '014028', 'B14028', '133', 'Global solar radiation (high accuracy), integrated over period specified', '', 'J m-2', '-2', '5', '', '', 1, '', '/////', NULL),
	(154, NULL, NULL, '', 'B14029', '014029', 'B14029', '97', 'Diffuse solar radiation (high accuracy), integrated over period specified', '', 'J m-2', '-2', '5', '', '', 1, '', '/////', NULL),
	(155, NULL, NULL, '', 'B14030', '014030', 'B14030', '139', 'Direct solar radiation (high accuracy), integrated over period specified', '', 'J m-2', '-2', '5', '', '', 1, '', '/////', NULL),
	(156, NULL, NULL, '', 'B04024', '004024', 'B04024', 'rad1_TP', 'Time period or displacement', '', 'Hour', '0', '4', '', '', 1, '', '////', NULL),
	(157, NULL, NULL, '', 'B14002', '014002', 'B14002', '536_1', 'Long-wave radiation, integrated over period specified ', '', 'J m-2', '-3', '4', '', '', 1, '', '////', NULL),
	(3, NULL, NULL, '', '', '001015', 'B01015', 'station_name', 'Station or site name', '', 'Character', '0', '20', 'Character, 0, 20', 'station identification', 1, 'DAGORETTI CORNER METEOROLOGICAL STATION', 'DAGORETTI CORNER MET', NULL),
	(5, NULL, NULL, '', 'D01011', '004001', 'B04001', 'datetime_year', 'Year', '', 'Year', '0', '4', 'Year, 0, 4', 'station identification', 1, '2000', '2000', NULL),
	(6, NULL, NULL, '', '', '004002', 'B04002', 'datetime_month', 'Month', '', 'Month', '0', '2', 'Month, 0, 2', 'station identification', 1, '01', '01', NULL),
	(10, NULL, NULL, '', 'D01021', '005001', 'B05001', 'station_deglatitude', 'Latitude (high accuracy)', '', 'Degree', '5', '7', 'Degree, 2, 4', 'station identification', 1, '-1.3', '-0000130', NULL),
	(11, NULL, NULL, '', '', '006001', 'B06001', 'station_deglongitude', 'Longitude (high accuracy)', '', 'Degree', '5', '8', 'Degree, 2, 5', 'station identification', 1, '36.75', '00003675', NULL),
	(12, NULL, NULL, '', 'B07030', '007030', 'B07030', 'station_elevation', 'Height of station ground above mean sea level', '', 'M', '1', '5', 'm, 1, 6', 'station identification', 1, '1798', '17980', NULL),
	(55, NULL, NULL, NULL, 'R05000', '205000', 'R05000', '', 'Delayed replication of 5 descriptors  ', '', '', '', '', '', '', 0, '', '', NULL),
	(56, NULL, NULL, NULL, 'B31001', '031001', 'B31001', 'cloud_rep2', 'Delayed descriptor replication factor', '', 'Numeric', '0', '4', '', '', 1, '0', '0000', NULL),
	(57, NULL, NULL, 'D02036', 'B08002', '008002', 'B08002', '611', 'Vertical Significance', '', 'Code table', '0', '2', 'Code table', '', 0, '', '//', NULL),
	(60, NULL, NULL, '', 'B20014', '020014', 'B20014', '614', 'Height of top of cloud', '', 'm', '-1', '4', '', '', 0, '', '////', NULL),
	(62, NULL, NULL, '', 'B08002', '008002', 'B08002', '621', 'Vertical Significance', '', 'Code table', '0', '2', 'Code table', '', 0, '', '//', NULL),
	(65, NULL, NULL, '', 'B20014', '020014', 'B20014', '624', 'Height of top of cloud', '', 'm', '-1', '4', '', '', 0, '', '////', NULL),
	(67, NULL, NULL, '', 'B08002', '008002', 'B08002', '631', 'Vertical Significance', '', 'Code table', '0', '2', 'Code table', '', 0, '', '//', NULL),
	(70, NULL, NULL, '', 'B20014', '020014', 'B20014', '634', 'Height of top of cloud', '', 'm', '-1', '4', '', '', 0, '', '////', NULL),
	(72, NULL, NULL, '', 'B08002', '008002', 'B08002', '641', 'Vertical Significance', '', 'Code table', '0', '2', 'Code table', '', 0, '', '//', NULL),
	(75, NULL, NULL, '', 'B20014', '020014', 'B20014', '644', 'Height of top of cloud', '', 'm', '-1', '4', '', '', 0, '', '////', NULL),
	(77, NULL, NULL, 'R02003', '', NULL, '', 'cloud_drift_rep', 'Replication factor of 2 descriptor  for 3 times', '', '', '', '', '', '', 0, '', '', NULL),
	(78, NULL, NULL, 'D02047', 'B08002', '008002', 'B08002', '651', 'Vertical Significance =7 (low cloud) =8 (middle cloud) =9 (high cloud)', '', 'Code table', '0', '2', '', '', 1, '', '//', NULL),
	(80, NULL, NULL, '', 'B08002', '008002', 'B08002', '653', 'Vertical Significance =7 (low cloud) =8 (middle cloud) =9 (high cloud)', '', 'Code Table', '0', '2', '', '', 1, '', '//', NULL),
	(82, NULL, NULL, '', 'B08002', '008002', 'B08002', '655', 'Vertical Significance =7 (low cloud) =8 (middle cloud) =9 (high cloud)', '', 'Code Table', '0', '2', '', '', 1, '', '//', NULL),
	(13, NULL, NULL, '', 'B07031', '007031', 'B07031', 'station_pressure_height', 'Height of barometer above mean sea level', '', 'M', '1', '5', 'm, 1, 6', 'station identification', 1, '1799', '17990', NULL),
	(4, NULL, NULL, '', '', '002001', 'B02001', 'station_qualifier', 'Type of station                                             ', '(ix)', 'Code table', '0', '1', 'Code table, 0, 1', 'station identification', 1, '1', '1', NULL),
	(17, NULL, NULL, '', '', '010063', 'B10063', 'a', 'Characteristic of pressure tendency', 'a', 'Code table', '0', '2', 'Code table, 0, 2', 'Pressure data', 1, '15', '15', NULL),
	(19, NULL, NULL, '', 'B07004', '007004', 'B07004', '301', 'Pressure (standard level) ', 'a3', 'Pa', '-1', '5', 'Pa, –1, 5', 'Pressure data', 1, '1', '00000', NULL),
	(87, NULL, NULL, '', 'B20012', '020012', 'B20012', '663', 'Cloud type ', 'C', 'Code Table', '0', '2', '', '', 1, '', '//', NULL),
	(53, NULL, NULL, '', '', '020012', 'B20012', '129', 'Cloud type', 'C', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '', '//', NULL),
	(41, NULL, NULL, '', '', '020012', 'B20012', '117', 'Cloud type', 'C', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 1, '1', '01', NULL),
	(45, NULL, NULL, '', '', '020012', 'B20012', '121', 'Cloud type', 'C', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '', '//', NULL),
	(49, NULL, NULL, '', '', '020012', 'B20012', '125', 'Cloud type', 'C', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '', '//', NULL),
	(59, NULL, NULL, '', 'B20012', '020012', 'B20012', '613', 'Cloud type', 'C', 'Code table', '0', '2', '', '', 0, '', '//', NULL),
	(64, NULL, NULL, '', 'B20012', '020012', 'B20012', '623', 'Cloud type', 'C', 'Code table', '0', '2', '', '', 0, '', '//', NULL),
	(69, NULL, NULL, '', 'B20012', '020012', 'B20012', '633', 'Cloud type', 'C', 'Code table', '0', '2', '', '', 0, '', '//', NULL),
	(74, NULL, NULL, '', 'B20012', '020012', 'B20012', '643', 'Cloud type', 'C', 'Code table', '0', '2', '', '', 0, '', '//', NULL),
	(36, NULL, NULL, '', '', '020012', 'B20012', '171', 'Cloud type (low clouds CH)', 'CH', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 1, '1', '01', NULL),
	(34, NULL, NULL, '', '', '020012', 'B20012', '169', 'Cloud type (low clouds CL)', 'CL ', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 1, '1', '01', NULL),
	(31, NULL, NULL, '', '', '008002', 'B08002', '115', 'Vertical significance', 'CL CM CH', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 1, '1', '01', NULL),
	(35, NULL, NULL, '', '', '020012', 'B20012', '170', 'Cloud type (low clouds CM)', 'CM', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 1, '1', '01', NULL),
	(61, NULL, NULL, '', 'B20017', '020017', 'B20017', '615', 'Cloud top description', 'Ct', 'Code table', '0', '2', 'Code table, 0', '', 0, '', '//', NULL),
	(66, NULL, NULL, '', 'B20017', '020017', 'B20017', '625', 'Cloud top description', 'Ct', 'Code table', '0', '2', 'Code table, 0', '', 0, '', '//', NULL),
	(71, NULL, NULL, '', 'B20017', '020017', 'B20017', '635', 'Cloud top description', 'Ct', 'Code table', '0', '2', 'Code table, 0', '', 0, '', '//', NULL),
	(76, NULL, NULL, '', 'B20017', '020017', 'B20017', '645', 'Cloud top description', 'Ct', 'Code table', '0', '2', 'Code table, 0', '', 0, '', '//', NULL),
	(85, NULL, NULL, 'D02048', 'B05021', '005021', 'B05021', '661', 'Bearing or azimuth', 'Da', 'Degree', '2', '5', '', '', 1, '', '/////', NULL),
	(88, NULL, NULL, '', 'B05021', '005021', 'B05021', '664', 'Bearing or azimuth (set to missing to cancel the previous value) ', 'Da', 'Degree', '2', '5', '', '', 1, '', '/////', NULL),
	(134, NULL, NULL, '', '', '011001', 'B11001', '112', 'Wind direction', 'dd', 'Degree true', '0', '3', '', '', 1, '1', '000', NULL),
	(105, NULL, NULL, 'B20106', '', '020106', 'B20106', '707', 'Locust population density', 'dL', 'Code Table', '0', '2', '', '', 0, '', '//', NULL),
	(106, NULL, NULL, 'B20107', '', '020107', 'B20107', '708', 'Direction of movements of locust swarm', 'DL', 'Code Table', '0', '2', '', '', 0, '', '//', NULL),
	(83, NULL, NULL, '', 'B20054', '020054', 'B20054', '656', 'True  direction from which clouds are moving', 'DL, DM, DH', 'Degree', '0', '3', '', '', 1, '', '///', NULL),
	(79, NULL, NULL, '', 'B20054', '020054', 'B20054', '652', 'True  direction from which clouds are moving', 'DL, DM, DH', 'Degree', '0', '3', '', '', 1, '', '///', NULL),
	(81, NULL, NULL, '', 'B20054', '020054', 'B20054', '654', 'True  direction from which clouds are moving', 'DL, DM, DH', 'Degree', '0', '3', '', '', 1, '', '///', NULL),
	(90, NULL, NULL, 'D02037', 'B20062', '020062', 'B20062', '51', 'State of ground (with or without snow)', 'E or E’', 'Code Table', '0', '2', '', '', 1, '', '//', NULL),
	(86, NULL, NULL, '', 'B07021', '007021', 'B07021', '662', 'Elevation angle ', 'eC', 'Degree', '2', '5', '', '', 1, '', '/////', NULL),
	(147, NULL, NULL, '', 'B13033', '013033', 'B13033', '18', 'Evaporation /evapotranspiration', 'EEE ', 'kg m-2', '1', '4', 'kg m-2, 1, 4', 'Evaporation', 1, '1', '0001', NULL),
	(135, NULL, NULL, '', '', '011002', 'B11002', '111', 'Wind speed ', 'ff', 'M s-1', '1', '4', '', '', 1, '1', '0010', NULL),
	(8, NULL, NULL, '', 'D01012', '004004', 'B04004', 'datetime_hour', 'Hour', 'GG', 'Hour', '0', '2', 'Hour, 0, 2', 'station identification', 1, '03', '03', NULL),
	(9, NULL, NULL, '', '', '004005', 'B04005', 'datetime_minute', 'Minute', 'gg', 'Minute', '0', '2', 'Minute, 0, 2', 'station identification', 1, '00', '00', NULL),
	(33, NULL, NULL, '', '', '020013', 'B20013', '192', 'Height of base of cloud', 'h', 'm', '-1', '4', 'm, –1, 4', 'Cloud data', 1, '1', '0000', NULL),
	(20, NULL, NULL, '', 'B10009', '010009', 'B10009', '185', 'Geopotential height of the standard level', 'hhh', 'gpm', '0', '5', 'gpm, 0, 5', 'Pressure data', 1, '1', '00001', NULL),
	(54, NULL, NULL, '', '', '020013', 'B20013', '130', 'Height of base of cloud', 'hshs  ', 'm', '-1', '4', 'm, -1, 4', 'Cloud data', 0, '', '////', NULL),
	(42, NULL, NULL, '', '', '020013', 'B20013', '118', 'Height of base of cloud', 'hshs  ', 'm', '-1', '4', 'm, -1, 4', 'Cloud data', 1, '1', '0000', NULL),
	(46, NULL, NULL, '', '', '020013', 'B20013', '122', 'Height of base of cloud', 'hshs  ', 'm', '-1', '4', 'm, -1, 4', 'Cloud data', 0, '', '////', NULL),
	(50, NULL, NULL, '', '', '020013', 'B20013', '126', 'Height of base of cloud', 'hshs  ', 'm', '-1', '4', 'm, -1, 4', 'Cloud data', 0, '', '////', NULL),
	(146, NULL, NULL, '', 'B02004', '002004', 'B02004', 'evap_I', 'Type of instrument for evaporation or crop for evapotranspiration', 'iE', 'Code table', '0', '2', 'Code table, 0, 2', 'Evaporation', 1, '1', '01', NULL),
	(1, '307084', 'D07084', 'D01090', 'D01004', '001001', 'B01001', 'station_WMO_bloc', 'WMO block number', 'II', 'Numeric', '0', '2', 'Numeric, 0, 2', 'station identification', 1, '63', '63', NULL),
	(2, NULL, NULL, '', '', '001002', 'B01002', 'station_WMO_number', 'WMO station number                                   ', 'iii', 'Numeric', '0', '3', 'Numeric, 0, 3', 'station identification', 1, '741', '741', NULL),
	(131, NULL, NULL, '', '', '002002', 'B02002', 'w_I', 'Type of instrumentation for wind measurement', 'iw', 'Flag table', '0', '2', '', '', 1, '14', '14', NULL),
	(25, NULL, NULL, '', 'D02033', '007032', 'B07032', 'Vis_SH', 'Height of sensor above local ground (for visibility measurement)', 'm', 'm', '2', '5', 'm, 2, 5', 'Temperature and humidity', 1, '1.5', '00150', NULL),
	(30, NULL, NULL, '', 'D02004', '020010', 'B20010', '114', 'Cloud cover (total)', 'N ', '%', '0', '3', '%, 0, 3', 'Cloud data', 1, '1', '013', NULL),
	(32, NULL, NULL, '', '', '020011', 'B20011', '168', 'Cloud amount (of low or middle clouds)', 'Nh ', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 1, '1', '01', NULL),
	(58, NULL, NULL, '', 'B20011', '020011', 'B20011', '612', 'Clound amount', 'Nh', 'Code table', '0', '2', '', '', 0, '', '//', NULL),
	(63, NULL, NULL, '', 'B20011', '020011', 'B20011', '622', 'Clound amount', 'Nh', 'Code table', '0', '2', '', '', 0, '', '//', NULL),
	(68, NULL, NULL, '', 'B20011', '020011', 'B20011', '632', 'Clound amount', 'Nh', 'Code table', '0', '2', '', '', 0, '', '//', NULL),
	(73, NULL, NULL, '', 'B20011', '020011', 'B20011', '642', 'Clound amount', 'Nh', 'Code table', '0', '2', '', '', 0, '', '//', NULL),
	(52, NULL, NULL, '', '', '020011', 'B20011', '128', 'Cloud amount', 'Ns ', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '', '//', NULL),
	(40, NULL, NULL, '', '', '020011', 'B20011', '116', 'Cloud amount', 'Ns ', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 1, '1', '01', NULL),
	(44, NULL, NULL, '', '', '020011', 'B20011', '120', 'Cloud amount', 'Ns ', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '', '//', NULL),
	(48, NULL, NULL, '', '', '020011', 'B20011', '124', 'Cloud amount', 'Ns ', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '', '//', NULL),
	(14, NULL, NULL, 'D02031', 'D02001', '010004', 'B10004', '106', 'Pressure', 'P0P0P0P0', 'Pa', '1', '5', 'Pa, –1, 5', 'Pressure data', 1, '1', '00001', NULL),
	(18, NULL, NULL, '', 'B10062', '010062', 'B10062', '399', '24-hour pressure change', 'p24p24p24', 'Pa', '-1', '4', 'Pa, –1, 4', 'Pressure data', 1, '1', '0000', NULL),
	(16, NULL, NULL, '', '', '010061', 'B10061', 'ppp', '3-hour pressure change', 'ppp', 'Pa', '-1', '4', 'Pa, –1, 4', 'Pressure data', 1, '', '////', NULL),
	(15, NULL, NULL, '', '', '010051', 'B10051', '107', 'Pressure reduced to mean sea level', 'PPPP', 'Pa', '1', '5', 'Pa, –1, 5', 'Pressure data', 1, '', '/////', NULL),
	(28, NULL, NULL, '', '', '013023', 'B13023', '5', 'Total precipitation Past 24 Hrs', 'R24R24R24R24', 'Kg M^2', '1', '5', '', 'Precipitation', 1, '1', '00001', NULL),
	(122, NULL, NULL, '', '', '013011', 'B13011', '174', 'Total precipitation', 'RRR', 'kgm-2', '1', '5', '', '', 1, '1', '00001', NULL),
	(165, NULL, NULL, '', 'B12049', '012049', 'B12049', '94', 'Temperature change over period specified', 'sndT', '\'C', '0', '2', '', '', 1, '', '//', NULL),
	(23, NULL, NULL, '', '', '012103', 'B12103', '103', 'Dew-point temperature (scale 2)', 'snTdTdTd', '°C', '2', '4', '°C, 2, 4', 'Temperature and humidity', 1, '1', '0010', NULL),
	(129, NULL, NULL, '', '', '012112', 'B12112', '3', 'Minimum temperature (scale 2) at height and over period specified ', 'snTnTnTn', '\'C', '2', '4', '', '', 1, '', '////', NULL),
	(22, NULL, NULL, '', '', '012101', 'B12101', '101', 'Temperature/Dry bulb (scale 2) at height and over period specified', 'snTTT', '°C', '2', '4', '°C, 2, 4', 'Temperature and humidity', 1, '1', '0010', NULL),
	(126, NULL, NULL, '', '', '012111', 'B12111', '2', 'Maximum temperature (scale 2) at height and over period specified', 'snTxTxTx', '\'C', '2', '4', '', '', 1, '', '////', NULL),
	(116, NULL, NULL, '', '', '014031', 'B14031', '132', 'Total sunshine in minutes (2nd replication)', 'SS', 'Minute', '0', '4', '', '', 1, '1', '0001', NULL),
	(91, NULL, NULL, '', 'B13013', '013013', 'B13013', '50', 'Total snow depth', 'sss', 'M', '2', '5', '', '', 1, '', '/////', NULL),
	(114, NULL, NULL, '', '', '014031', 'B14031', '532', 'Total sunshine ', 'SSS', 'Minute', '0', '4', 'Minute, 0, 4', 'Sunshine', 1, '60', '0006', NULL),
	(119, NULL, NULL, '', '', '004024', 'B04024', 'tR_TP', 'Time period in hours', 'tR', 'Hour', '0', '4', 'Hour, 0, 4', 'Precipitation ', 1, '-3', '-0003', NULL),
	(121, NULL, NULL, '', '', '004024', 'B04024', 'tr_TP', 'Time period or displacement', 'tr', 'Hour', '0', '4', '', '', 1, '-3', '-0003', NULL),
	(107, NULL, NULL, 'B20108', '', '020108', 'B20108', '710', 'Extent of vegetation', 've', 'Code Table', '0', '2', '', '', 0, '', '//', NULL),
	(26, NULL, NULL, '', '', '020001', 'B20001', '110', 'Horizontal Visibility', 'VV', 'm', '-1', '4', 'm, –1, 4', 'Visibility  ', 1, '1', '0000', NULL),
	(110, NULL, NULL, '', '', '020004', 'B20004', '197', 'Past weather (1) ', 'W1', 'Code table', '0', '2', '', '', 1, '1', '01', NULL),
	(111, NULL, NULL, '', '', '020005', 'B20005', '193', 'Past weather (2) ', 'W2', 'Code table', '0', '2', '', '', 1, '1', '01', NULL),
	(108, NULL, NULL, 'D02043', 'D02038', '020003', 'B20003', '167', 'Present weather ', 'ww', 'Code table', '0', '3', '', '', 1, '1', '001', NULL),
	(7, NULL, NULL, '', '', '004003', 'B04003', 'datetime_day', 'Day', 'YY', 'Day', '0', '2', 'Day, 0, 2', 'station identification', 1, '01', '01', NULL);
/*!40000 ALTER TABLE `tm_307084` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_test_db_v4.tm_307086
CREATE TABLE IF NOT EXISTS `tm_307086` (
  `order` int(11) DEFAULT '0',
  `Bufr_Template` varchar(50) DEFAULT NULL,
  `Crex_Template` varchar(50) DEFAULT NULL,
  `Sequence_Descriptor1` varchar(50) DEFAULT NULL,
  `Sequence_Descriptor0` varchar(50) DEFAULT NULL,
  `Bufr_Element` varchar(50) DEFAULT NULL,
  `Crex_Element` varchar(255) DEFAULT NULL,
  `Climsoft_Element` varchar(255) DEFAULT NULL,
  `Element_Name` varchar(255) DEFAULT NULL,
  `synop_code` varchar(255) DEFAULT NULL,
  `unit` varchar(255) DEFAULT NULL,
  `scale` varchar(255) DEFAULT NULL,
  `width` varchar(255) DEFAULT NULL,
  `units_length_scale` varchar(255) DEFAULT NULL,
  `data_type` varchar(255) DEFAULT NULL,
  `selected` tinyint(4) DEFAULT NULL,
  `observation` varchar(255) DEFAULT NULL,
  `Crex_Data` varchar(255) DEFAULT NULL,
  `Bufr_Data` varchar(50) DEFAULT NULL,
  KEY `synop_code` (`synop_code`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_test_db_v4.tm_307086: ~177 rows (approximately)
/*!40000 ALTER TABLE `tm_307086` DISABLE KEYS */;
INSERT INTO `tm_307086` (`order`, `Bufr_Template`, `Crex_Template`, `Sequence_Descriptor1`, `Sequence_Descriptor0`, `Bufr_Element`, `Crex_Element`, `Climsoft_Element`, `Element_Name`, `synop_code`, `unit`, `scale`, `width`, `units_length_scale`, `data_type`, `selected`, `observation`, `Crex_Data`, `Bufr_Data`) VALUES
	(93, NULL, NULL, 'D02066', NULL, '020023', 'B20023', NULL, 'Other weather phenomena 1=dust/sand whirl, 9=Funnel clouds not touching surface 10 = funnel clouds touching surface, 12 = Water-spout', NULL, 'Flag table', '0', '6', NULL, NULL, 1, NULL, NULL, NULL),
	(94, NULL, NULL, NULL, NULL, '020024', 'B20024', NULL, 'Intensity of phenomena', NULL, 'Code table', '0', '1', NULL, NULL, 1, NULL, NULL, NULL),
	(100, NULL, NULL, NULL, NULL, '020025', 'B20025', NULL, 'Obscuration', NULL, 'Flag table', '0', '7', NULL, NULL, 1, NULL, NULL, NULL),
	(101, NULL, NULL, NULL, NULL, '020026', 'B20026', NULL, 'Character of obscuration', NULL, 'Code table', '0', '2', NULL, NULL, 1, NULL, NULL, NULL),
	(102, NULL, NULL, NULL, NULL, '020027', 'B20027', NULL, 'Phenomena occurrence', NULL, 'Flag table', '0', '3', NULL, NULL, 1, NULL, NULL, NULL),
	(103, NULL, NULL, NULL, NULL, '020040', 'B20040', NULL, 'Evolution of drift snow', NULL, 'Code table', '0', '2', NULL, NULL, 1, NULL, NULL, NULL),
	(96, NULL, NULL, NULL, NULL, '020054', 'B20054', NULL, 'True direction from which a phenomenon or clouds are moving', NULL, 'Degree true', '0', '3', NULL, NULL, 1, NULL, NULL, NULL),
	(104, NULL, NULL, NULL, NULL, '020066', 'B20066', NULL, 'Maximum diameter of hailstones', NULL, 'm', '3', '3', NULL, NULL, 1, NULL, NULL, NULL),
	(107, NULL, NULL, NULL, NULL, '020067', 'B20067', NULL, 'Diameter of deposit', NULL, 'm', '3', '3', NULL, NULL, 1, NULL, NULL, NULL),
	(97, NULL, NULL, NULL, NULL, '020023', 'B20023', NULL, 'Other weather phenomena', NULL, 'Flag table', '0', '6', NULL, NULL, 1, NULL, NULL, NULL),
	(95, NULL, NULL, NULL, NULL, '020027', 'B20027', NULL, 'Phenomena occurrence', NULL, 'Flag table', '0', '3', NULL, NULL, 1, NULL, NULL, NULL),
	(108, NULL, NULL, NULL, NULL, '020027', 'B20027', NULL, 'Phenomena occurrence', NULL, 'Flag table', '0', '3', NULL, NULL, 1, NULL, NULL, NULL),
	(105, NULL, NULL, NULL, NULL, '020027', 'B20027', NULL, 'Phenomena occurrence', NULL, 'Flag table', '0', '3', NULL, NULL, 1, NULL, NULL, NULL),
	(98, NULL, NULL, NULL, NULL, '020027', 'B20027', NULL, 'Phenomena occurrence', NULL, 'Flag table', '0', '3', NULL, NULL, 1, NULL, NULL, NULL),
	(99, NULL, NULL, NULL, NULL, '020054', 'B20054', NULL, 'True direction from which a phenomenon or clouds are moving', NULL, 'Degree true', '0', '3', NULL, NULL, 1, NULL, NULL, NULL),
	(106, NULL, NULL, NULL, NULL, '020021', 'B20021', NULL, 'Type of precipitation', NULL, 'Flag table', '0', '10', NULL, NULL, 1, NULL, NULL, NULL),
	(21, NULL, NULL, 'D02035', 'D02032', '007032', 'B07032', 'Temp_SH', 'Height of sensor above local ground (for temperature and humidity measurement)', '', 'm', '2', '5', 'm, 2, 5', 'Temperature and humidity', 1, '1.25', '00125', NULL),
	(24, NULL, NULL, '', '', '013003', 'B13003', '105', 'Relative humidity', '', '%', '0', '3', '%, 0, 3', 'Temperature and humidity', 1, '1', '001', NULL),
	(27, NULL, NULL, '', 'D02034', '007032', 'B07032', 'R24_SH', 'Height of sensor above local ground (for precipitation measurement)', '', 'M', '2', '5', '', 'Precipitation', 1, '0.25', '00025', NULL),
	(29, NULL, NULL, '', 'B07032', '007032', 'B07032', 'Cancel_SH', 'Height of sensor above local ground (set to missing to cancel the previous table)', '', 'M', '2', '5', '', '', 1, '', '/////', NULL),
	(84, NULL, NULL, 'B08002', '', '008002', 'B08002', 'vert_sig_cancel', 'Vertical significance (set to missing to cancel the previous value)    ', '', 'Code Table', '0', '2', '', '', 1, '', '//', NULL),
	(170, NULL, NULL, '', 'B14004', '014004', 'B14004', '533_1', 'Short-wave radiation, integrated over period specified ', '', 'J m-2', '-3', '4', '', '', 1, '', '////', NULL),
	(171, NULL, NULL, '', 'B14016', '014016', 'B14016', '136_1', 'Net radiation, integrated over period specified', '', 'J m-2', '-4', '5', '', '', 1, '', '/////', NULL),
	(172, NULL, NULL, '', 'B14028', '014028', 'B14028', '133_1', 'Global solar radiation (high accuracy), integrated over period specified', '', 'J m-2', '-2', '5', '', '', 1, '', '/////', NULL),
	(173, NULL, NULL, '', 'B14029', '014029', 'B14029', '97_1', 'Diffuse solar radiation (high accuracy), integrated over period specified', '', 'J m-2', '-2', '5', '', '', 1, '', '/////', NULL),
	(174, NULL, NULL, '', 'B14030', '014030', 'B14030', '139_1', 'Direct solar radiation (high accuracy), integrated over period specified', '', 'J m-2', '-2', '5', '', '', 1, '', '/////', NULL),
	(175, NULL, NULL, 'D02046', 'B04024', '004024', 'B04024', 'tempc_t', 'Time period or displacement                         ', '', 'Hour', '0', '4', '', '', 1, '', '////', NULL),
	(176, NULL, NULL, '', 'B04024', '004024', 'B04024', 'tempc1_t', 'Time period or displacement (see Note 3)       ', '', 'Hour', '0', '4', '', '', 1, '', '////', NULL),
	(89, NULL, NULL, '', 'B07021', '007021', 'B07021', '665', 'Elevation angle (set to missing to cancel the previous value)', '', 'Degree', '2', '5', '', '', 1, '', '/////', NULL),
	(92, NULL, NULL, '', 'B12113', '012113', 'B12113', '585', 'Ground minimum temperature past 12 hrs', '', 'Degree', '2', '3', '', '', 1, '', '///', NULL),
	(109, NULL, NULL, 'B12122', '', '012122', 'B12122', '85', 'Ground minimum temperature of the preceeding night', '', '\'C', '2', '4', '', '', 1, '1', '0010', NULL),
	(110, NULL, NULL, 'B13056', '', '013056', 'B13056', '505', 'Character and Intensity of precipitation', '', 'Code Table', '0', '2', '', '', 1, '1', '01', NULL),
	(111, NULL, NULL, 'B13057', '', '013057', 'B13057', '506', 'Time of beginning or end of precipitation', '', 'Code Table', '0', '2', '', '', 0, '9', '09', NULL),
	(112, NULL, NULL, 'B20101', '', '020101', 'B20101', '701', 'Locust (Acridian) name', '', 'Code Table', '0', '2', '', '', 0, '', '//', NULL),
	(113, NULL, NULL, 'B20102', '', '020102', 'B20102', '702', 'Locust (Maturity) colour', '', 'Code Table', '0', '2', '', '', 0, '', '//', NULL),
	(114, NULL, NULL, 'B20103', '', '020103', 'B20103', '704', 'Stage of development of locusts', '', 'Code Table', '0', '2', '', '', 0, '', '//', NULL),
	(115, NULL, NULL, 'B20104', '', '020104', 'B20104', '705', 'Organization state of swam or band of locusts', '', 'Code Table', '0', '2', '', '', 0, '', '//', NULL),
	(116, NULL, NULL, 'B20105', '', '020105', 'B20105', '706', 'Size of swam or band of locusts and duration of passage of time', '', 'Code Table', '0', '2', '', '', 0, '', '//', NULL),
	(121, NULL, NULL, '', '', '004024', 'B04024', 'ww_TP', 'Time period in hours', '', 'Hour', '0', '4', '', '', 1, '-3', '-0003', NULL),
	(124, NULL, NULL, '', 'R01002', '201002', 'R01002', '', 'Replicate 1 descriptors 2 times', '', '', '', '', '', 'Sunshine', 0, '', '', NULL),
	(125, NULL, NULL, '', 'D02039', '004024', 'B04024', 'SSS_TP', 'Time period in hours', '', 'Hour', '0', '4', 'Hour, 0, 4', 'Sunshine', 1, '-24', '-0024', NULL),
	(51, NULL, NULL, '', '', '008002', 'B08002', '131', 'Vertical significance', '', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '', '//', NULL),
	(151, NULL, NULL, '', '', '011043', 'B11043', '59', 'Maximum wind gust direction', '', 'Degree True', '0', '3', '', '', 1, '', '///', NULL),
	(152, NULL, NULL, '', '', '011041', 'B11041', '58', 'Maximum wind gust speed', '', 'M s-1', '1', '4', '', '', 1, '', '////', NULL),
	(153, NULL, NULL, '', '', '004025', 'B04025', 'w2_TP', 'Time period in minutes   ', '', 'Minute', '0', '4', '', '', 1, '', '////', NULL),
	(154, NULL, NULL, '', '', '011043', 'B11043', '591', 'Maximum wind gust direction', '', 'Degree True', '0', '3', '', '', 1, '', '///', NULL),
	(155, NULL, NULL, '', '', '011041', 'B11041', '581', 'Maximum wind gust speed', '', 'Minute', '1', '4', '', '', 1, '', '////', NULL),
	(156, NULL, NULL, '', 'B07032', '007032', 'B07032', 'evap_SH', 'Height of sensor above local ground (for evaporation measurement)', '', 'M', '2', '5', '', '', 1, '0.25', '00025', NULL),
	(157, NULL, NULL, 'D02044', 'B04024', '004024', 'B04024', 'evap_TP', 'Time period in hours              =  - 24', '', 'Hour', '0', '4', 'Hour, 0, 4', 'Evaporation', 1, '-24', '-0024', NULL),
	(127, NULL, NULL, '', '', '004024', 'B04024', 'SS_TP', 'Time period or displacement in hours', '', 'Hour', '0', '4', '', '', 1, '-1', '-0001', NULL),
	(129, NULL, NULL, '', 'D02040', '007032', 'B07032', 'RR_SH', 'Height of sensor above local ground (for precipiation measurement)', '', 'M', '2', '5', '', 'Precipitation', 1, '0.25', '00025', NULL),
	(130, NULL, NULL, '', '', 'R02002', 'R02002', '', 'Replicate next 2 descriptors 2 times', '', '', '', '', '', 'Precipitation ', 0, '', '', NULL),
	(132, NULL, NULL, '', '', '013011', 'B13011', '5', 'Total precipitation RRR', '', 'kg m-2', '1', '5', 'kg m-2, 1, 5', 'Precipitation ', 1, '1', '00001', NULL),
	(135, NULL, NULL, '', 'D02041', '007032', 'B07032', 'xt_SH', 'Height of sensor above local ground (for temperature measurement)', '', 'm', '2', '5', 'm, 2, 5', 'Extreme temperatures', 1, '1.25', '00125', NULL),
	(136, NULL, NULL, '', '', '004024', 'B04024', 'xt_TP', 'Time period or displacement                         ', '', 'Hour', '0', '4', '', '', 1, '-12', '-0012', NULL),
	(137, NULL, NULL, '', '', '004024', 'B04024', '', 'Time period or displacement (see Notes 1 and 2)                      ', '', 'Hour', '0', '4', '', '', 1, '', '////', NULL),
	(139, NULL, NULL, '', '', '004024', 'B04024', 'nt_TP', 'Time period or displacement                         ', '', 'Hour', '0', '4', '', '', 1, '-12', '-0012', NULL),
	(140, NULL, NULL, '', '', '004024', 'B04024', '', 'Time period or displacement (see Notes 2)                      ', '', 'Hour', '0', '4', '', '', 1, '', '////', NULL),
	(142, NULL, NULL, '', 'D02042', '007032', 'B07032', 'w_SH', 'Height of sensor above local ground (for wind measurement)', '', 'M', '2', '5', '', '', 1, '10', '01000', NULL),
	(144, NULL, NULL, '', '', '008021', 'B08021', 'w_TS', 'Time significance (= 2 (time averaged))', '', 'Code table', '0', '2', '', '', 1, '2', '02', NULL),
	(145, NULL, NULL, '', '', '004025', 'B04025', 'w_TP', 'Time period (= - 10 minutes, or number of minutes after a significant change of wind)', '', 'Minute', '0', '4', '', '', 1, '-10', '-0010', NULL),
	(148, NULL, NULL, '', '', '008021', 'B08021', 'w1_TS', 'Time significance (= missing value)', '', 'Code table', '0', '2', '', '', 1, '', '//', NULL),
	(149, NULL, NULL, '', '', '203002', 'R03002', '', 'Replicate next 3 descriptors 2 times', '', '', '', '', '', '', 0, '', '', NULL),
	(150, NULL, NULL, '', '', '004025', 'B04025', 'w1_TP', 'Time period in minutes   ', '', 'Minute', '0', '4', '', '', 1, '', '////', NULL),
	(37, NULL, NULL, '', 'R01000', NULL, NULL, '', 'Delayed replication of the next 1 descriptor', '', '', '', '', '', '', 0, '', '', NULL),
	(38, NULL, NULL, '', 'B31001', '031001', 'B31001', 'cloud_rep1', 'Delayed descriptor replication factor', '', '', '0', '4', '', 'Cloud data', 1, '1', '0001', NULL),
	(39, NULL, NULL, '', 'D02005', '008002', 'B08002', '119', 'Vertical significance', '', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 1, '1', '01', NULL),
	(43, NULL, NULL, '', '', '008002', 'B08002', '123', 'Vertical significance', '', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '', '//', NULL),
	(47, NULL, NULL, '', '', '008002', 'B08002', '127', 'Vertical significance', '', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '', '//', NULL),
	(160, NULL, NULL, 'R01002', '', NULL, '', '', 'Replication the 1 descriptor 2 times ', '', '', '', '', '', '', 0, '', '', NULL),
	(161, NULL, NULL, 'D02045', 'B04024', '004024', 'B04024', 'rad_TP', 'Time period or displacement', '', 'Hour', '0', '4', '', '', 1, '', '////', NULL),
	(162, NULL, NULL, '', 'B14002', '014002', 'B14002', '536', 'Long-wave radiation, integrated over period specified ', '', 'J m-2', '-3', '4', '', '', 1, '', '////', NULL),
	(163, NULL, NULL, '', 'B14004', '014004', 'B14004', '533', 'Short-wave radiation, integrated over period specified ', '', 'J m-2', '-3', '4', '', '', 1, '', '////', NULL),
	(164, NULL, NULL, '', 'B14016', '014016', 'B14016', '136', 'Net radiation, integrated over period specified', '', 'J m-2', '-4', '5', '', '', 1, '', '/////', NULL),
	(165, NULL, NULL, '', 'B14028', '014028', 'B14028', '133', 'Global solar radiation (high accuracy), integrated over period specified', '', 'J m-2', '-2', '5', '', '', 1, '', '/////', NULL),
	(166, NULL, NULL, '', 'B14029', '014029', 'B14029', '97', 'Diffuse solar radiation (high accuracy), integrated over period specified', '', 'J m-2', '-2', '5', '', '', 1, '', '/////', NULL),
	(167, NULL, NULL, '', 'B14030', '014030', 'B14030', '139', 'Direct solar radiation (high accuracy), integrated over period specified', '', 'J m-2', '-2', '5', '', '', 1, '', '/////', NULL),
	(168, NULL, NULL, '', 'B04024', '004024', 'B04024', 'rad1_TP', 'Time period or displacement', '', 'Hour', '0', '4', '', '', 1, '', '////', NULL),
	(169, NULL, NULL, '', 'B14002', '014002', 'B14002', '536_1', 'Long-wave radiation, integrated over period specified ', '', 'J m-2', '-3', '4', '', '', 1, '', '////', NULL),
	(3, NULL, NULL, '', '', '001015', 'B01015', 'station_name', 'Station or site name', '', 'Character', '0', '20', 'Character, 0, 20', 'station identification', 1, 'DAGORETTI CORNER METEOROLOGICAL STATION', 'DAGORETTI CORNER MET', NULL),
	(5, NULL, NULL, '', 'D01011', '004001', 'B04001', 'datetime_year', 'Year', '', 'Year', '0', '4', 'Year, 0, 4', 'station identification', 1, '2000', '2000', NULL),
	(6, NULL, NULL, '', '', '004002', 'B04002', 'datetime_month', 'Month', '', 'Month', '0', '2', 'Month, 0, 2', 'station identification', 1, '01', '01', NULL),
	(10, NULL, NULL, '', 'D01021', '005001', 'B05001', 'station_deglatitude', 'Latitude (high accuracy)', '', 'Degree', '5', '7', 'Degree, 2, 4', 'station identification', 1, '-1.3', '-0000130', NULL),
	(11, NULL, NULL, '', '', '006001', 'B06001', 'station_deglongitude', 'Longitude (high accuracy)', '', 'Degree', '5', '8', 'Degree, 2, 5', 'station identification', 1, '36.75', '00003675', NULL),
	(12, NULL, NULL, '', 'B07030', '007030', 'B07030', 'station_elevation', 'Height of station ground above mean sea level', '', 'M', '1', '5', 'm, 1, 6', 'station identification', 1, '1798', '17980', NULL),
	(55, NULL, NULL, NULL, 'R05000', '205000', 'R05000', '', 'Delayed replication of 5 descriptors  ', '', '', '', '', '', '', 0, '', '', NULL),
	(56, NULL, NULL, NULL, 'B31001', '031001', 'B31001', 'cloud_rep2', 'Delayed descriptor replication factor', '', 'Numeric', '0', '4', '', '', 1, '0', '0000', NULL),
	(57, NULL, NULL, 'D02036', 'B08002', '008002', 'B08002', '611', 'Vertical Significance', '', 'Code table', '0', '2', 'Code table', '', 0, '', '//', NULL),
	(60, NULL, NULL, '', 'B20014', '020014', 'B20014', '614', 'Height of top of cloud', '', 'm', '-1', '4', '', '', 0, '', '////', NULL),
	(62, NULL, NULL, '', 'B08002', '008002', 'B08002', '621', 'Vertical Significance', '', 'Code table', '0', '2', 'Code table', '', 0, '', '//', NULL),
	(65, NULL, NULL, '', 'B20014', '020014', 'B20014', '624', 'Height of top of cloud', '', 'm', '-1', '4', '', '', 0, '', '////', NULL),
	(67, NULL, NULL, '', 'B08002', '008002', 'B08002', '631', 'Vertical Significance', '', 'Code table', '0', '2', 'Code table', '', 0, '', '//', NULL),
	(70, NULL, NULL, '', 'B20014', '020014', 'B20014', '634', 'Height of top of cloud', '', 'm', '-1', '4', '', '', 0, '', '////', NULL),
	(72, NULL, NULL, '', 'B08002', '008002', 'B08002', '641', 'Vertical Significance', '', 'Code table', '0', '2', 'Code table', '', 0, '', '//', NULL),
	(75, NULL, NULL, '', 'B20014', '020014', 'B20014', '644', 'Height of top of cloud', '', 'm', '-1', '4', '', '', 0, '', '////', NULL),
	(77, NULL, NULL, 'R02003', '', NULL, '', 'cloud_drift_rep', 'Replication factor of 2 descriptor  for 3 times', '', '', '', '', '', '', 0, '', '', NULL),
	(78, NULL, NULL, 'D02047', 'B08002', '008002', 'B08002', '651', 'Vertical Significance =7 (low cloud) =8 (middle cloud) =9 (high cloud)', '', 'Code table', '0', '2', '', '', 1, '', '//', NULL),
	(80, NULL, NULL, '', 'B08002', '008002', 'B08002', '653', 'Vertical Significance =7 (low cloud) =8 (middle cloud) =9 (high cloud)', '', 'Code Table', '0', '2', '', '', 1, '', '//', NULL),
	(82, NULL, NULL, '', 'B08002', '008002', 'B08002', '655', 'Vertical Significance =7 (low cloud) =8 (middle cloud) =9 (high cloud)', '', 'Code Table', '0', '2', '', '', 1, '', '//', NULL),
	(13, NULL, NULL, '', 'B07031', '007031', 'B07031', 'station_pressure_height', 'Height of barometer above mean sea level', '', 'M', '1', '5', 'm, 1, 6', 'station identification', 1, '1799', '17990', NULL),
	(4, NULL, NULL, '', '', '002001', 'B02001', 'station_qualifier', 'Type of station                                             ', '(ix)', 'Code table', '0', '1', 'Code table, 0, 1', 'station identification', 1, '1', '1', NULL),
	(17, NULL, NULL, '', '', '010063', 'B10063', 'a', 'Characteristic of pressure tendency', 'a', 'Code table', '0', '2', 'Code table, 0, 2', 'Pressure data', 1, '15', '15', NULL),
	(19, NULL, NULL, '', 'B07004', '007004', 'B07004', '301', 'Pressure (standard level) ', 'a3', 'Pa', '-1', '5', 'Pa, –1, 5', 'Pressure data', 1, '1', '00000', NULL),
	(87, NULL, NULL, '', 'B20012', '020012', 'B20012', '663', 'Cloud type ', 'C', 'Code Table', '0', '2', '', '', 1, '', '//', NULL),
	(53, NULL, NULL, '', '', '020012', 'B20012', '129', 'Cloud type', 'C', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '', '//', NULL),
	(41, NULL, NULL, '', '', '020012', 'B20012', '117', 'Cloud type', 'C', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 1, '1', '01', NULL),
	(45, NULL, NULL, '', '', '020012', 'B20012', '121', 'Cloud type', 'C', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '', '//', NULL),
	(49, NULL, NULL, '', '', '020012', 'B20012', '125', 'Cloud type', 'C', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '', '//', NULL),
	(59, NULL, NULL, '', 'B20012', '020012', 'B20012', '613', 'Cloud type', 'C', 'Code table', '0', '2', '', '', 0, '', '//', NULL),
	(64, NULL, NULL, '', 'B20012', '020012', 'B20012', '623', 'Cloud type', 'C', 'Code table', '0', '2', '', '', 0, '', '//', NULL),
	(69, NULL, NULL, '', 'B20012', '020012', 'B20012', '633', 'Cloud type', 'C', 'Code table', '0', '2', '', '', 0, '', '//', NULL),
	(74, NULL, NULL, '', 'B20012', '020012', 'B20012', '643', 'Cloud type', 'C', 'Code table', '0', '2', '', '', 0, '', '//', NULL),
	(36, NULL, NULL, '', '', '020012', 'B20012', '171', 'Cloud type (low clouds CH)', 'CH', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 1, '1', '01', NULL),
	(34, NULL, NULL, '', '', '020012', 'B20012', '169', 'Cloud type (low clouds CL)', 'CL ', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 1, '1', '01', NULL),
	(31, NULL, NULL, '', '', '008002', 'B08002', '115', 'Vertical significance', 'CL CM CH', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 1, '1', '01', NULL),
	(35, NULL, NULL, '', '', '020012', 'B20012', '170', 'Cloud type (low clouds CM)', 'CM', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 1, '1', '01', NULL),
	(61, NULL, NULL, '', 'B20017', '020017', 'B20017', '615', 'Cloud top description', 'Ct', 'Code table', '0', '2', 'Code table, 0', '', 0, '', '//', NULL),
	(66, NULL, NULL, '', 'B20017', '020017', 'B20017', '625', 'Cloud top description', 'Ct', 'Code table', '0', '2', 'Code table, 0', '', 0, '', '//', NULL),
	(71, NULL, NULL, '', 'B20017', '020017', 'B20017', '635', 'Cloud top description', 'Ct', 'Code table', '0', '2', 'Code table, 0', '', 0, '', '//', NULL),
	(76, NULL, NULL, '', 'B20017', '020017', 'B20017', '645', 'Cloud top description', 'Ct', 'Code table', '0', '2', 'Code table, 0', '', 0, '', '//', NULL),
	(85, NULL, NULL, 'D02048', 'B05021', '005021', 'B05021', '661', 'Bearing or azimuth', 'Da', 'Degree', '2', '5', '', '', 1, '', '/////', NULL),
	(88, NULL, NULL, '', 'B05021', '005021', 'B05021', '664', 'Bearing or azimuth (set to missing to cancel the previous value) ', 'Da', 'Degree', '2', '5', '', '', 1, '', '/////', NULL),
	(146, NULL, NULL, '', '', '011001', 'B11001', '112', 'Wind direction', 'dd', 'Degree true', '0', '3', '', '', 1, '1', '000', NULL),
	(117, NULL, NULL, 'B20106', '', '020106', 'B20106', '707', 'Locust population density', 'dL', 'Code Table', '0', '2', '', '', 0, '', '//', NULL),
	(118, NULL, NULL, 'B20107', '', '020107', 'B20107', '708', 'Direction of movements of locust swarm', 'DL', 'Code Table', '0', '2', '', '', 0, '', '//', NULL),
	(83, NULL, NULL, '', 'B20054', '020054', 'B20054', '656', 'True  direction from which clouds are moving', 'DL, DM, DH', 'Degree', '0', '3', '', '', 1, '', '///', NULL),
	(79, NULL, NULL, '', 'B20054', '020054', 'B20054', '652', 'True  direction from which clouds are moving', 'DL, DM, DH', 'Degree', '0', '3', '', '', 1, '', '///', NULL),
	(81, NULL, NULL, '', 'B20054', '020054', 'B20054', '654', 'True  direction from which clouds are moving', 'DL, DM, DH', 'Degree', '0', '3', '', '', 1, '', '///', NULL),
	(90, NULL, NULL, 'D02037', 'B20062', '020062', 'B20062', '51', 'State of ground (with or without snow)', 'E or E’', 'Code Table', '0', '2', '', '', 1, '', '//', NULL),
	(86, NULL, NULL, '', 'B07021', '007021', 'B07021', '662', 'Elevation angle ', 'eC', 'Degree', '2', '5', '', '', 1, '', '/////', NULL),
	(159, NULL, NULL, '', 'B13033', '013033', 'B13033', '18', 'Evaporation /evapotranspiration', 'EEE ', 'kg m-2', '1', '4', 'kg m-2, 1, 4', 'Evaporation', 1, '1', '0001', NULL),
	(147, NULL, NULL, '', '', '011002', 'B11002', '111', 'Wind speed ', 'ff', 'M s-1', '1', '4', '', '', 1, '1', '0010', NULL),
	(8, NULL, NULL, '', 'D01012', '004004', 'B04004', 'datetime_hour', 'Hour', 'GG', 'Hour', '0', '2', 'Hour, 0, 2', 'station identification', 1, '03', '03', NULL),
	(9, NULL, NULL, '', '', '004005', 'B04005', 'datetime_minute', 'Minute', 'gg', 'Minute', '0', '2', 'Minute, 0, 2', 'station identification', 1, '00', '00', NULL),
	(33, NULL, NULL, '', '', '020013', 'B20013', '192', 'Height of base of cloud', 'h', 'm', '-1', '4', 'm, –1, 4', 'Cloud data', 1, '1', '0000', NULL),
	(20, NULL, NULL, '', 'B10009', '010009', 'B10009', '185', 'Geopotential height of the standard level', 'hhh', 'gpm', '0', '5', 'gpm, 0, 5', 'Pressure data', 1, '1', '00001', NULL),
	(54, NULL, NULL, '', '', '020013', 'B20013', '130', 'Height of base of cloud', 'hshs  ', 'm', '-1', '4', 'm, -1, 4', 'Cloud data', 0, '', '////', NULL),
	(42, NULL, NULL, '', '', '020013', 'B20013', '118', 'Height of base of cloud', 'hshs  ', 'm', '-1', '4', 'm, -1, 4', 'Cloud data', 1, '1', '0000', NULL),
	(46, NULL, NULL, '', '', '020013', 'B20013', '122', 'Height of base of cloud', 'hshs  ', 'm', '-1', '4', 'm, -1, 4', 'Cloud data', 0, '', '////', NULL),
	(50, NULL, NULL, '', '', '020013', 'B20013', '126', 'Height of base of cloud', 'hshs  ', 'm', '-1', '4', 'm, -1, 4', 'Cloud data', 0, '', '////', NULL),
	(158, NULL, NULL, '', 'B02004', '002004', 'B02004', 'evap_I', 'Type of instrument for evaporation or crop for evapotranspiration', 'iE', 'Code table', '0', '2', 'Code table, 0, 2', 'Evaporation', 1, '1', '01', NULL),
	(1, '307086', 'D07086', 'D01090', 'D01004', '001001', 'B01001', 'station_WMO_bloc', 'WMO block number', 'II', 'Numeric', '0', '2', 'Numeric, 0, 2', 'station identification', 1, '63', '63', NULL),
	(2, NULL, NULL, '', '', '001002', 'B01002', 'station_WMO_number', 'WMO station number                                   ', 'iii', 'Numeric', '0', '3', 'Numeric, 0, 3', 'station identification', 1, '741', '741', NULL),
	(143, NULL, NULL, '', '', '002002', 'B02002', 'w_I', 'Type of instrumentation for wind measurement', 'iw', 'Flag table', '0', '2', '', '', 1, '14', '14', NULL),
	(25, NULL, NULL, '', 'D02033', '007032', 'B07032', 'Vis_SH', 'Height of sensor above local ground (for visibility measurement)', 'm', 'm', '2', '5', 'm, 2, 5', 'Temperature and humidity', 1, '1.5', '00150', NULL),
	(30, NULL, NULL, '', 'D02004', '020010', 'B20010', '114', 'Cloud cover (total)', 'N ', '%', '0', '3', '%, 0, 3', 'Cloud data', 1, '1', '013', NULL),
	(32, NULL, NULL, '', '', '020011', 'B20011', '168', 'Cloud amount (of low or middle clouds)', 'Nh ', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 1, '1', '01', NULL),
	(58, NULL, NULL, '', 'B20011', '020011', 'B20011', '612', 'Clound amount', 'Nh', 'Code table', '0', '2', '', '', 0, '', '//', NULL),
	(63, NULL, NULL, '', 'B20011', '020011', 'B20011', '622', 'Clound amount', 'Nh', 'Code table', '0', '2', '', '', 0, '', '//', NULL),
	(68, NULL, NULL, '', 'B20011', '020011', 'B20011', '632', 'Clound amount', 'Nh', 'Code table', '0', '2', '', '', 0, '', '//', NULL),
	(73, NULL, NULL, '', 'B20011', '020011', 'B20011', '642', 'Clound amount', 'Nh', 'Code table', '0', '2', '', '', 0, '', '//', NULL),
	(52, NULL, NULL, '', '', '020011', 'B20011', '128', 'Cloud amount', 'Ns ', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '', '//', NULL),
	(40, NULL, NULL, '', '', '020011', 'B20011', '116', 'Cloud amount', 'Ns ', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 1, '1', '01', NULL),
	(44, NULL, NULL, '', '', '020011', 'B20011', '120', 'Cloud amount', 'Ns ', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '', '//', NULL),
	(48, NULL, NULL, '', '', '020011', 'B20011', '124', 'Cloud amount', 'Ns ', 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '', '//', NULL),
	(14, NULL, NULL, 'D02031', 'D02001', '010004', 'B10004', '106', 'Pressure', 'P0P0P0P0', 'Pa', '1', '5', 'Pa, –1, 5', 'Pressure data', 1, '1', '00001', NULL),
	(18, NULL, NULL, '', 'B10062', '010062', 'B10062', '399', '24-hour pressure change', 'p24p24p24', 'Pa', '-1', '4', 'Pa, –1, 4', 'Pressure data', 1, '1', '0000', NULL),
	(16, NULL, NULL, '', '', '010061', 'B10061', 'ppp', '3-hour pressure change', 'ppp', 'Pa', '-1', '4', 'Pa, –1, 4', 'Pressure data', 1, '', '////', NULL),
	(15, NULL, NULL, '', '', '010051', 'B10051', '107', 'Pressure reduced to mean sea level', 'PPPP', 'Pa', '1', '5', 'Pa, –1, 5', 'Pressure data', 1, '', '/////', NULL),
	(28, NULL, NULL, '', '', '013023', 'B13023', '5', 'Total precipitation Past 24 Hrs', 'R24R24R24R24', 'Kg M^2', '1', '5', '', 'Precipitation', 1, '1', '00001', NULL),
	(134, NULL, NULL, '', '', '013011', 'B13011', '174', 'Total precipitation', 'RRR', 'kgm-2', '1', '5', '', '', 1, '1', '00001', NULL),
	(177, NULL, NULL, '', 'B12049', '012049', 'B12049', '94', 'Temperature change over period specified', 'sndT', '\'C', '0', '2', '', '', 1, '', '//', NULL),
	(23, NULL, NULL, '', '', '012103', 'B12103', '103', 'Dew-point temperature (scale 2)', 'snTdTdTd', '°C', '2', '4', '°C, 2, 4', 'Temperature and humidity', 1, '1', '0010', NULL),
	(141, NULL, NULL, '', '', '012112', 'B12112', '3', 'Minimum temperature (scale 2) at height and over period specified ', 'snTnTnTn', '\'C', '2', '4', '', '', 1, '', '////', NULL),
	(22, NULL, NULL, '', '', '012101', 'B12101', '101', 'Temperature/Dry bulb (scale 2) at height and over period specified', 'snTTT', '°C', '2', '4', '°C, 2, 4', 'Temperature and humidity', 1, '1', '0010', NULL),
	(138, NULL, NULL, '', '', '012111', 'B12111', '2', 'Maximum temperature (scale 2) at height and over period specified', 'snTxTxTx', '\'C', '2', '4', '', '', 1, '', '////', NULL),
	(128, NULL, NULL, '', '', '014031', 'B14031', '132', 'Total sunshine in minutes (2nd replication)', 'SS', 'Minute', '0', '4', '', '', 1, '1', '0001', NULL),
	(91, NULL, NULL, '', 'B13013', '013013', 'B13013', '50', 'Total snow depth', 'sss', 'M', '2', '5', '', '', 1, '', '/////', NULL),
	(126, NULL, NULL, '', '', '014031', 'B14031', '532', 'Total sunshine ', 'SSS', 'Minute', '0', '4', 'Minute, 0, 4', 'Sunshine', 1, '60', '0006', NULL),
	(131, NULL, NULL, '', '', '004024', 'B04024', 'tR_TP', 'Time period in hours', 'tR', 'Hour', '0', '4', 'Hour, 0, 4', 'Precipitation ', 1, '-3', '-0003', NULL),
	(133, NULL, NULL, '', '', '004024', 'B04024', 'tr_TP', 'Time period or displacement', 'tr', 'Hour', '0', '4', '', '', 1, '-3', '-0003', NULL),
	(119, NULL, NULL, 'B20108', '', '020108', 'B20108', '710', 'Extent of vegetation', 've', 'Code Table', '0', '2', '', '', 0, '', '//', NULL),
	(26, NULL, NULL, '', '', '020001', 'B20001', '110', 'Horizontal Visibility', 'VV', 'm', '-1', '4', 'm, –1, 4', 'Visibility  ', 1, '1', '0000', NULL),
	(122, NULL, NULL, '', '', '020004', 'B20004', '197', 'Past weather (1) ', 'W1', 'Code table', '0', '2', '', '', 1, '1', '01', NULL),
	(123, NULL, NULL, '', '', '020005', 'B20005', '193', 'Past weather (2) ', 'W2', 'Code table', '0', '2', '', '', 1, '1', '01', NULL),
	(120, NULL, NULL, 'D02043', 'D02038', '020003', 'B20003', '167', 'Present weather ', 'ww', 'Code table', '0', '3', '', '', 1, '1', '001', NULL),
	(7, NULL, NULL, '', '', '004003', 'B04003', 'datetime_day', 'Day', 'YY', 'Day', '0', '2', 'Day, 0, 2', 'station identification', 1, '01', '01', NULL);
/*!40000 ALTER TABLE `tm_307086` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_test_db_v4.tm_307089
CREATE TABLE IF NOT EXISTS `tm_307089` (
  `order` int(11) DEFAULT '0',
  `Bufr_Template` varchar(50) DEFAULT NULL,
  `Crex_Template` varchar(50) DEFAULT NULL,
  `Sequence_Descriptor1` varchar(10) DEFAULT NULL,
  `Sequence_Descriptor0` varchar(10) DEFAULT NULL,
  `Bufr_Element` varchar(50) DEFAULT NULL,
  `Crex_Element` varchar(255) DEFAULT NULL,
  `Climsoft_Element` varchar(50) DEFAULT NULL,
  `Element_Name` varchar(255) DEFAULT NULL,
  `synop_code` varchar(50) DEFAULT NULL,
  `unit` varchar(50) DEFAULT NULL,
  `scale` varchar(50) DEFAULT NULL,
  `width` varchar(50) DEFAULT NULL,
  `units_length_scale` varchar(255) DEFAULT NULL,
  `data_type` varchar(255) DEFAULT NULL,
  `selected` tinyint(4) DEFAULT NULL,
  `observation` varchar(100) DEFAULT NULL,
  `crex` varchar(25) DEFAULT NULL,
  `Crex_Data` varchar(255) DEFAULT NULL,
  `Bufr_Data` varchar(50) DEFAULT NULL,
  KEY `synop_code` (`Element_Name`),
  KEY `synop_code1` (`synop_code`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_test_db_v4.tm_307089: ~79 rows (approximately)
/*!40000 ALTER TABLE `tm_307089` DISABLE KEYS */;
INSERT INTO `tm_307089` (`order`, `Bufr_Template`, `Crex_Template`, `Sequence_Descriptor1`, `Sequence_Descriptor0`, `Bufr_Element`, `Crex_Element`, `Climsoft_Element`, `Element_Name`, `synop_code`, `unit`, `scale`, `width`, `units_length_scale`, `data_type`, `selected`, `observation`, `crex`, `Crex_Data`, `Bufr_Data`) VALUES
	(16, NULL, NULL, NULL, NULL, '010061', 'B10061', 'ppp', '3 hour pressure change', NULL, 'Pa', '–1', '4', 'Pa, –1, 4', 'Pressure data', 1, '/', '////', NULL, NULL),
	(19, NULL, NULL, NULL, 'B07004', '007004', 'B07004', '301', 'a3 - Pressure standard level', NULL, 'Pa', '–1', '5', 'Pa, –1, 5', 'Pressure data', 1, '1', '00000', NULL, NULL),
	(37, NULL, NULL, NULL, NULL, '020012', 'B20012', '117', 'C', NULL, 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '1', '01', NULL, NULL),
	(33, NULL, NULL, NULL, NULL, '020012', 'B20012', '171', 'CH', NULL, 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 1, '1', '01', NULL, NULL),
	(17, NULL, NULL, NULL, NULL, '010063', 'B10063', 'a', 'Characteristic of 3 hour pressure tendancy', NULL, 'Code table', '0', '2', 'Code table, 0, 2', 'Pressure data', 1, '/', '//', NULL, NULL),
	(31, NULL, NULL, NULL, NULL, '020012', 'B20012', '169', 'CL ', NULL, 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 1, '1', '01', NULL, NULL),
	(44, NULL, NULL, NULL, NULL, '020011', 'B20011', '124', 'Cloud amount   Ns', NULL, 'Code table', '0', '2', NULL, NULL, 0, '1', '01', NULL, NULL),
	(48, NULL, NULL, NULL, NULL, '020011', 'B20011', '128', 'Cloud amount Ns', NULL, 'Code table', '0', '2', NULL, NULL, 0, '1', '01', NULL, NULL),
	(41, NULL, NULL, NULL, NULL, '020012', 'B20012', '121', 'Cloud type    C', NULL, 'Code table', '0', '2', NULL, NULL, 0, '1', '01', NULL, NULL),
	(45, NULL, NULL, NULL, NULL, '020012', 'B20012', '125', 'Cloud type  C', NULL, 'Code table', '0', '2', NULL, NULL, 0, '1', '01', NULL, NULL),
	(49, NULL, NULL, NULL, NULL, '020012', 'B20012', '129', 'Cloud type C', NULL, 'Code table', '0', '2', NULL, NULL, 0, '1', '01', NULL, NULL),
	(40, NULL, NULL, NULL, NULL, '020011', 'B20011', '120', 'Clound amount  Nh', NULL, 'Code table', '0', '2', NULL, NULL, 0, '1', '01', NULL, NULL),
	(32, NULL, NULL, NULL, NULL, '020012', 'B20012', '170', 'CM', NULL, 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 1, '1', '01', NULL, NULL),
	(77, NULL, NULL, 'B11001', 'B11001', '011001', 'B11001', '112', 'dd ', NULL, 'Degree true', '0', '3', 'Degree true, 0, 3', 'Wind data', 1, '1', '000', NULL, NULL),
	(34, NULL, NULL, 'R01000', 'R01000', '101000', 'R01000', 'element_cloud_rep', 'Delayed replication of the next 1 descriptor ', NULL, NULL, '0', '4', NULL, 'Cloud data', 1, '1', '0001', NULL, NULL),
	(57, NULL, NULL, NULL, 'B13033', '013033', 'B13033', '18', 'EEE ', NULL, 'kg m-2', '1', '4', 'kg m-2, 1, 4', 'Evaporation', 1, '1', '0001', NULL, NULL),
	(78, NULL, NULL, 'B11002', 'B11002', '011002', 'B11002', '111', 'ff   ', NULL, 'm s-1', '1', '4', 'm s-1, 1, 4', 'Wind data', 1, '', '////', NULL, NULL),
	(8, NULL, NULL, NULL, 'D01012', '004004', 'B04004', 'datetime_hour', 'GG', NULL, 'Hour', '0', '2', 'Hour, 0, 2', 'station identification', 1, '06', '06', NULL, NULL),
	(9, NULL, NULL, NULL, NULL, '004005', 'B04005', 'datetime_minute', 'gg', NULL, 'Minute', '0', '2', 'Minute, 0, 2', 'station identification', 1, '00', '00', NULL, NULL),
	(30, NULL, NULL, NULL, NULL, '020013', 'B20013', '192', 'h', NULL, 'm', '-1', '4', 'm, –1, 4', 'Cloud data', 1, '1', '0000', NULL, NULL),
	(13, NULL, NULL, NULL, 'B07031', '007031', 'B07031', 'station_pressure_height', 'Height of barometer above msl                  ', NULL, 'm', '1', '5', 'm, 1, 6', 'station identification', 1, '1799', '17990', NULL, NULL),
	(42, NULL, NULL, NULL, NULL, '020013', 'B20013', '122', 'Height of base of cloud', NULL, 'm', '-1', '4', NULL, NULL, 0, '1', '0000', NULL, NULL),
	(46, NULL, NULL, NULL, NULL, '020013', 'B20013', '126', 'Height of base of cloud   hshs', NULL, 'm', '-1', '4', NULL, NULL, 0, '1', '0000', NULL, NULL),
	(50, NULL, NULL, NULL, NULL, '020013', 'B20013', '130', 'Height of base of cloud  hshs', NULL, 'm', '-1', '4', NULL, NULL, 0, '1', '0000', NULL, NULL),
	(21, NULL, NULL, 'D02032', 'B07032', '007032', 'B07032', 'temp_SH', 'Height of sensor above local ground ', NULL, 'm', '2', '5', 'm, 2, 5', 'Temperature and humidity', 1, '1.25', '00125', NULL, NULL),
	(25, NULL, NULL, 'D02033', 'B07032', '007032', 'B07032', 'Vis_SH', 'Height of sensor above local ground', NULL, 'm', '2', '5', 'm, 2, 5', 'Temperature and humidity', 1, '1.5', '00150', NULL, NULL),
	(68, NULL, NULL, 'B07032', 'B07032', '007032', 'B07032', 'xt_SH', 'Height of sensor above local ground', NULL, 'm', '2', '5', 'm, 2, 5', 'Extreme temperatures', 1, '1.25', '00125', NULL, NULL),
	(73, NULL, NULL, 'B07032', 'B07032', '007032', 'B07032', 'w_SH', 'Height of sensor above local ground', NULL, 'm', '2', '5', 'm, 2, 5', 'Wind data', 1, '10', '01000', NULL, NULL),
	(12, NULL, NULL, NULL, 'B07030', '007030', 'B07030', 'station_elevation', 'Height of station ground above msl          ', NULL, 'm', '1', '5', 'm, 1, 6', 'station identification', 1, '1798', '17980', NULL, NULL),
	(20, NULL, NULL, NULL, 'B10009', '010009', 'B10009', '185', 'hhh - Geopotential height of the standard level', NULL, 'gpm', '0', '5', 'gpm, 0, 5', 'Pressure data', 1, '1', '00001', NULL, NULL),
	(38, NULL, NULL, NULL, NULL, '020013', 'B20013', '118', 'hshs  ', NULL, 'm', '-1', '4', 'm, -1, 4', 'Cloud data', 0, '1', '0000', NULL, NULL),
	(56, NULL, NULL, NULL, 'B02004', '002004', 'B02004', 'evap_I', 'iE', NULL, 'Code table', '0', '2', 'Code table, 0, 2', 'Evaporation', 1, '1', '01', NULL, NULL),
	(74, NULL, NULL, 'B02002', 'B02002', '002002', 'B02002', 'w_I', 'iw', NULL, 'Flag table', '0', '2', 'Flag table, 0, 2', 'Wind data', 1, '14', '14', NULL, NULL),
	(10, NULL, NULL, NULL, 'D01021', '005001', 'B05001', 'station_deglatitude', 'Latitude (high accuracy)                          ', NULL, 'Degree', '2', '4', 'Degree, 2, 4', 'station identification', 1, '-1.3', '-0130', NULL, NULL),
	(11, NULL, NULL, NULL, NULL, '006001', 'B06001', 'station_deglongitude', 'Longitude (high accuracy)                       ', NULL, 'Degree', '2', '5', 'Degree, 2, 5', 'station identification', 1, '36.75', '03675', NULL, NULL),
	(6, NULL, NULL, NULL, NULL, '004002', 'B04002', 'datetime_month', 'Month', NULL, 'Month', '0', '2', 'Month, 0, 2', 'station identification', 1, '01', '01', NULL, NULL),
	(27, NULL, NULL, 'D02004', 'D02004', '020010', 'B20010', '114', 'N ', NULL, '%', '0', '3', '%, 0, 3', 'Cloud data', 1, '1', '013', NULL, NULL),
	(29, NULL, NULL, NULL, NULL, '020011', 'B20011', '168', 'Nh ', NULL, 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 1, '1', '01', NULL, NULL),
	(36, NULL, NULL, NULL, NULL, '020011', 'B20011', '116', 'Ns ', NULL, 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '1', '01', NULL, NULL),
	(18, NULL, NULL, NULL, 'B10062', '010062', 'B10062', '399', 'p24p24p24 - 24 hour pressure change', NULL, 'Pa', '–1', '4', 'Pa, –1, 4', 'Pressure data', 1, '1', '0000', NULL, NULL),
	(14, NULL, NULL, 'D02031', 'D02001', '010004', 'B10004', '106', 'PoPoPoPo -', NULL, 'Pa', '1', '5', 'Pa, –1, 5', 'Pressure data', 1, '1', '00001', NULL, NULL),
	(15, NULL, NULL, NULL, NULL, '010051', 'B10051', '107', 'PPPP - Pressure', NULL, 'Pa', '1', '5', 'Pa, –1, 5', 'Pressure data', 1, '1', '00001', NULL, NULL),
	(51, NULL, NULL, 'D02038', 'B20003', '020003', 'B20003', '167', 'Present weather  ww', NULL, 'Code table', '0', '3', 'Code table, 0, 3', 'Present and past weather', 1, '1', '001', NULL, NULL),
	(24, NULL, NULL, NULL, 'B13003', '013003', 'B13003', '105', 'Relative humidity', NULL, '%', '0', '3', '%, 0, 3', 'Temperature and humidity', 1, '1', '001', NULL, NULL),
	(58, NULL, NULL, 'R02002', 'R02002', '102002', 'R02002', NULL, 'Replicate next 2 descriptors 2 times', NULL, NULL, NULL, NULL, NULL, 'Sunshine', 1, '/', '', NULL, NULL),
	(63, NULL, NULL, 'R02002', 'R02002', '102002', 'R02002', NULL, 'Replicate next 2 descriptors 2 times', NULL, NULL, '0', '0', NULL, 'Precipitation ', 1, '/', '/', NULL, NULL),
	(65, NULL, NULL, 'B13011', 'B13011', '013011', 'B13011', '5', 'RRR ', NULL, 'kg m-2', '1', '5', 'kg m-2, 1, 5', 'Precipitation ', 1, '1', '00001', NULL, NULL),
	(23, NULL, NULL, NULL, 'B12103', '012103', 'B12103', '103', 'snTdTdTd', NULL, '°C', '2', '4', '°C, 2, 4', 'Temperature and humidity', 1, '1', '0010', NULL, NULL),
	(72, NULL, NULL, 'B12112', 'B12112', '012112', 'B12112', '3', 'snTnTnTn', NULL, '°C', '1', '4', ' °C, 2, 4', 'Extreme temperatures', 0, '', '////', NULL, NULL),
	(22, NULL, NULL, NULL, 'B12101', '012101', 'B12101', '101', 'snTTT', NULL, '°C', '2', '4', '°C, 2, 4', 'Temperature and humidity', 1, '1', '0010', NULL, NULL),
	(70, NULL, NULL, 'B12111', 'B12111', '012111', 'B12111', '2', 'snTxTxTx ', NULL, '°C', '1', '4', '°C, 2, 4', 'Extreme temperatures', 0, '', '////', NULL, NULL),
	(60, NULL, NULL, NULL, 'B14031', '014031', 'B14031', '532', 'SSS', NULL, 'Minute', '0', '4', 'Minute, 0, 4', 'Sunshine', 1, '60', '0006', NULL, NULL),
	(3, NULL, NULL, NULL, NULL, '001015', 'B01015', 'station_name', 'Station or site name', NULL, 'Character', '0', '20', 'Character, 0, 20', 'station identification', 0, 'DAGORETTI CORNER', 'DAGORETTI CORNER    ', NULL, NULL),
	(52, NULL, NULL, NULL, 'B04024', '004024', 'B04024', 'ww_t', 'Time period                    ', NULL, 'Hour', '0', '4', 'Hour, 0, 4', 'Present and past weather', 1, '-6', '-0006', NULL, NULL),
	(76, NULL, NULL, 'B04025', 'B04025', '004025', 'B04025', 'w_TS', 'Time period', NULL, 'Minute', '0', '4', 'Minute, 0, 4', 'Wind data', 1, '2', '0002', NULL, NULL),
	(59, NULL, NULL, 'D02039', 'B04024', '004024', 'B04024', 'SSS_t', 'Time period in hours    ', NULL, 'Hour', '0', '4', 'Hour, 0, 4', 'Sunshine', 1, '-24', '-0024', NULL, NULL),
	(69, NULL, NULL, 'B04024', 'B04024', '004024', 'B04024', 'xt_tx', 'Time period in hours ', NULL, 'Hour', '0', '4', 'Hour, 0, 4', 'Extreme temperatures', 1, '-12', '-0012', NULL, NULL),
	(71, NULL, NULL, 'B04024', 'B04024', '004024', 'B04024', 'xt_tm', 'Time period in hours ', NULL, 'Hour', '0', '4', 'Hour, 0, 4', 'Extreme temperatures', 1, '-12', '-0012', NULL, NULL),
	(55, NULL, NULL, 'D02044', 'B04024', '004024', 'B04024', 'evap_t', 'Time period in hours              =  - 24', NULL, 'Hour', '0', '4', 'Hour, 0, 4', 'Evaporation', 1, '-24', '-0024', NULL, NULL),
	(61, NULL, NULL, NULL, 'B04024', '004024', 'B04024', 'SS_t', 'Time period or displacement', NULL, 'Hour', '0', '4', NULL, NULL, 1, '-1', '-0001', NULL, NULL),
	(66, NULL, NULL, NULL, NULL, '004024', 'B04024', 'tr_t', 'Time period or displacement  tr', NULL, 'Hour', '0', '4', NULL, NULL, 1, '-3', '-0003', NULL, NULL),
	(79, NULL, NULL, 'B08021', 'B08021', '008021', 'B08021', 'ffdd_TS', 'Time significance', NULL, 'Code table', '0', '2', 'Code table, 0, 2', 'Wind data', 1, '/', '//', NULL, NULL),
	(75, NULL, NULL, 'B08021', 'B08021', '008021', 'B08021', 'w_T', 'Time significance           ', NULL, 'Code table', '0', '2', 'Code table, 0, 2', 'Wind data', 1, '2', '02', NULL, NULL),
	(67, NULL, NULL, NULL, NULL, '013011', 'B13011', '174', 'Total precipitation  RRR', NULL, 'kgm-2', '1', '5', NULL, NULL, 1, '1', '00001', NULL, NULL),
	(62, NULL, NULL, NULL, 'B14031', '014031', 'B14031', '132', 'Total sunshine in minutes (2nd replication)   SS', NULL, 'Minute', '0', '4', NULL, NULL, 1, '1', '0001', NULL, NULL),
	(64, NULL, NULL, 'B04024', 'B04024', '004024', 'B04024', 'tR_t', 'tR ', NULL, 'Hour', '0', '4', 'Hour, 0, 4', 'Precipitation ', 1, '-12', '-0012', NULL, NULL),
	(4, NULL, NULL, NULL, NULL, '002001', 'B02001', 'station_qualifier', 'Type of station ix', NULL, 'Code table', '0', '1', 'Code table, 0, 1', 'station identification', 1, '1', '1', NULL, NULL),
	(35, NULL, NULL, 'D02005', 'D02005', '008002', 'B08002', '119', 'Vertical significance', NULL, 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 0, '1', '01', NULL, NULL),
	(39, NULL, NULL, NULL, NULL, '008002', 'B08002', '123', 'Vertical Significance', NULL, 'Code table', '0', '2', 'Code table', NULL, 0, '1', '01', NULL, NULL),
	(43, NULL, NULL, NULL, NULL, '008002', 'B08002', '127', 'Vertical significance', NULL, 'Code table', '0', '2', NULL, NULL, 0, '1', '01', NULL, NULL),
	(47, NULL, NULL, NULL, NULL, '008002', 'B08002', '131', 'Vertical significance', NULL, 'Code table', '0', '2', NULL, NULL, 0, '1', '01', NULL, NULL),
	(28, NULL, NULL, NULL, NULL, '008002', 'B08002', '115', 'Vertical significance CL CM CH', NULL, 'Code table', '0', '2', 'Code table, 0, 2', 'Cloud data', 1, '1', '01', NULL, NULL),
	(26, NULL, NULL, NULL, 'B20001', '020001', 'B20001', '110', 'VV', NULL, 'm', '-1', '4', 'm, –1, 4', 'Visibility  ', 1, '1', '0000', NULL, NULL),
	(53, NULL, NULL, NULL, 'B20004', '020004', 'B20004', '197', 'W1 ', NULL, 'Code table', '0', '2', 'Code table, 0, 2', 'Present and past weather', 1, '1', '01', NULL, NULL),
	(54, NULL, NULL, NULL, 'B20005', '020005', 'B20005', '193', 'W2 ', NULL, 'Code table', '0', '2', 'Code table, 0, 2', 'Present and past weather', 1, '1', '01', NULL, NULL),
	(1, '307089', 'D07089', 'D01090', 'D01004', '001001', 'B01001', 'station_WMO_bloc', 'WMO Block number II', NULL, 'Numeric', '0', '2', 'Numeric, 0, 2', 'station identification', 1, '63', '63', NULL, NULL),
	(2, NULL, NULL, NULL, NULL, '001002', 'B01002', 'station_WMO_number', 'WMO Station number iii', NULL, 'Numeric', '0', '3', 'Numeric, 0, 3', 'station identification', 1, '741', '741', NULL, NULL),
	(5, NULL, NULL, NULL, 'D01011', '004001', 'B04001', 'datetime_year', 'Year', NULL, 'Year', '0', '4', 'Year, 0, 4', 'station identification', 1, '2009', '2009', NULL, NULL),
	(7, NULL, NULL, NULL, NULL, '004003', 'B04003', 'datetime_day', 'YY', NULL, 'Day', '0', '2', 'Day, 0, 2', 'station identification', 1, '01', '01', NULL, NULL);
/*!40000 ALTER TABLE `tm_307089` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_test_db_v4.tm_307091
CREATE TABLE IF NOT EXISTS `tm_307091` (
  `Rec` int(11) NOT NULL DEFAULT '0',
  `Bufr_Template` varchar(50) DEFAULT NULL,
  `CREX_Template` varchar(50) DEFAULT NULL,
  `Sequence_Descriptor1` varchar(255) DEFAULT NULL,
  `Sequence_Descriptor0` varchar(255) DEFAULT NULL,
  `Bufr_Element` varchar(255) DEFAULT NULL,
  `Crex_Element` varchar(50) DEFAULT NULL,
  `Climsoft_Element` varchar(50) DEFAULT NULL,
  `Element_Name` varchar(255) DEFAULT NULL,
  `Crex_Unit` varchar(25) DEFAULT NULL,
  `Crex_Scale` varchar(25) DEFAULT NULL,
  `Crex_DataWidth` varchar(25) DEFAULT NULL,
  `Bufr_Unit` varchar(255) DEFAULT NULL,
  `Bufr_Scale` int(11) DEFAULT NULL,
  `Bufr_RefValue` bigint(20) DEFAULT NULL,
  `Bufr_DataWidth_Bits` int(11) DEFAULT NULL,
  `Selected` tinyint(4) DEFAULT NULL,
  `Observation` varchar(255) DEFAULT NULL,
  `Crex_Data` varchar(30) DEFAULT NULL,
  `Bufr_Data` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`Rec`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- Dumping data for table mariadb_climsoft_test_db_v4.tm_307091: ~188 rows (approximately)
/*!40000 ALTER TABLE `tm_307091` DISABLE KEYS */;
INSERT INTO `tm_307091` (`Rec`, `Bufr_Template`, `CREX_Template`, `Sequence_Descriptor1`, `Sequence_Descriptor0`, `Bufr_Element`, `Crex_Element`, `Climsoft_Element`, `Element_Name`, `Crex_Unit`, `Crex_Scale`, `Crex_DataWidth`, `Bufr_Unit`, `Bufr_Scale`, `Bufr_RefValue`, `Bufr_DataWidth_Bits`, `Selected`, `Observation`, `Crex_Data`, `Bufr_Data`) VALUES
	(1, '307091', 'D07091', '301089', '001101', '001101', 'B01101', 'station_state_id', 'State identifier', 'Code table', '0', '3', 'Code table', 0, 0, 10, 1, NULL, NULL, '1111111111'),
	(2, NULL, NULL, NULL, '001102', '001102', 'B01102', 'station_National_number', 'National station number', 'Numeric', '0', '9', 'Numeric', 0, 0, 30, 1, '', NULL, '111111111111111111111111111111'),
	(3, NULL, NULL, '301090', '301004', '001001', 'B01001', 'station_WMO_bloc', 'WMO block number', 'Numeric', '0', '2', 'Numeric', 0, 0, 7, 1, '63', NULL, '0011111'),
	(4, NULL, NULL, NULL, NULL, '001002', 'B01002', 'station_WMO_number', 'WMO station number', 'Numeric', '0', '3', 'Numeric', 0, 0, 10, 1, '999', NULL, '0111100111'),
	(5, NULL, NULL, NULL, NULL, '001015', 'B01015', 'station_name', 'Station or site name', 'Character', '0', '20', 'CCITT IA5', 0, 0, 160, 1, NULL, NULL, '1111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111'),
	(6, NULL, NULL, NULL, NULL, '002001', 'B02001', 'station_qualifier', 'Type of station', 'Code table', '0', '1', 'Code table', 0, 0, 2, 1, NULL, NULL, '1'),
	(7, NULL, NULL, NULL, '301011', '004001', 'B04001', 'datetime_year', 'Year', 'Year', '0', '4', 'Year', 0, 0, 12, 1, '2017', NULL, '001111100001'),
	(8, NULL, NULL, NULL, NULL, '004002', 'B04002', 'datetime_month', 'Month', 'Month', '0', '2', 'Month', 0, 0, 4, 1, '2', NULL, '0000'),
	(9, NULL, NULL, NULL, NULL, '004003', 'B04003', 'datetime_day', 'Day', 'Day', '0', '2', 'Day', 0, 0, 6, 1, '10', NULL, '000010'),
	(10, NULL, NULL, NULL, '301012', '004004', 'B04004', 'datetime_hour', 'Hour', 'Hour', '0', '2', 'Hour', 0, 0, 5, 1, '17', NULL, '00001'),
	(11, NULL, NULL, NULL, NULL, '004005', 'B04005', 'datetime_minute', 'Minute', 'Minute', '0', '2', 'Minute', 0, 0, 6, 1, '0', NULL, '000000'),
	(12, NULL, NULL, NULL, '301021', '005001', 'B05001', 'station_deglatitude', 'Latitude (high accuracy)', 'Degree', '5', '7', 'Degree', 5, -9000000, 25, 1, NULL, NULL, '1111111111111111111111111'),
	(13, NULL, NULL, NULL, NULL, '006001', 'B06001', 'station_deglongitude', 'Longitude (high accuracy)', 'Degree', '5', '8', 'Degree', 5, -18000000, 26, 1, NULL, NULL, '11111111111111111111111111'),
	(14, NULL, NULL, NULL, '007030', '007030', 'B07030', 'station_elevation', 'Height of station ground above mean sea level (see Note 3)', 'm', '1', '5', 'm', 1, -4000, 17, 1, NULL, NULL, '11111111111111111'),
	(15, NULL, NULL, NULL, '007031', '007031', 'B07031', 'station_pressure_height', 'Height of barometer above mean sea level (see Note 4)', 'm', '1', '5', 'm', 1, -4000, 17, 1, '', NULL, '11111111111111111'),
	(16, NULL, NULL, '008010', '008010', '008010', 'B08010', NULL, 'Surface qualifier (temperature data)', 'Code table', '0', '2', 'Code table', 0, 0, 5, 1, '3', NULL, '00001'),
	(17, NULL, NULL, '301091', '002180', '002180', 'B02180', NULL, 'Main present weather detecting system ', 'Code table', '0', '2', 'Code table', 0, 0, 4, 1, '14', NULL, '0110'),
	(18, NULL, NULL, NULL, '002181', '002181', 'B02181', NULL, 'Supplementary present weather sensor', 'Flag table', '0', '7', 'Flag table', 0, 0, 21, 1, '', NULL, '111111111111111111111'),
	(19, NULL, NULL, NULL, '002182', '002182', 'B02182', NULL, 'Visibility measurement system ', 'Code table', '0', '2', 'Code table', 0, 0, 4, 1, '14', NULL, '0110'),
	(20, NULL, NULL, NULL, '002183', '002183', 'B02183', NULL, 'Cloud detection system', 'Code table', '0', '2', 'Code table', 0, 0, 4, 1, '14', NULL, '0110'),
	(21, NULL, NULL, NULL, '002184', '002184', 'B02184', NULL, 'Type of lightning detection sensor', 'Code table', '0', '2', 'Code table', 0, 0, 4, 1, '14', NULL, '0110'),
	(22, NULL, NULL, NULL, '002179', '002179', 'B02179', NULL, 'Type of sky condition algorithm ', 'Code table', '0', '2', 'Code table', 0, 0, 4, 1, '3', NULL, '0001'),
	(23, NULL, NULL, NULL, '002186', '002186', 'B02186', NULL, 'Capability to detect precipitation phenomena', 'Flag table', '0', '10', 'Flag table', 0, 0, 30, 1, '', NULL, '111111111111111111111110000000'),
	(24, NULL, NULL, NULL, '002187', '002187', 'B02187', NULL, 'Capability to detect other weather phenomena', 'Flag table', '0', '6', 'Flag table', 0, 0, 18, 1, '', NULL, '111111111111111111'),
	(25, NULL, NULL, NULL, '002188', '002188', 'B02188', NULL, 'Capability to detect obscuration', 'Flag table', '0', '7', 'Flag table', 0, 0, 21, 1, '', NULL, '111111111111111111111'),
	(26, NULL, NULL, NULL, '002189', '002189', 'B02189', NULL, 'Capability to discriminate lightning strikes', 'Flag table', '0', '4', 'Flag table', 0, 0, 12, 1, '', NULL, '111111111111'),
	(27, NULL, NULL, '302001', '010004', '010004', 'B10004', NULL, 'Pressure', 'Pa', ' -1', '5', 'Pa', -1, 0, 14, 1, '', NULL, '11111111111111'),
	(28, NULL, NULL, NULL, '010051', '010051', 'B10051', NULL, 'Pressure reduced to mean sea level', 'Pa', '-1', '5', 'Pa', -1, 0, 14, 1, '1009.688', NULL, '00000000100101'),
	(29, NULL, NULL, NULL, '010061', '010061', 'B10061', NULL, '3-hour pressure change', 'Pa', '-1', '4', 'Pa', -1, -500, 10, 1, '-0.06750488', NULL, '0011110100'),
	(30, NULL, NULL, NULL, '010063', '010063', 'B10063', NULL, 'Characteristic of pressure tendency', 'Code table', '0', '2', 'Code table', 0, 0, 4, 1, '5', NULL, '0001'),
	(31, NULL, NULL, '007004', '007004', '007004', 'B07004', NULL, 'Pressure (standard level)', 'Pa', '-1', '5', 'Pa', -1, 0, 14, 1, '1014.939', NULL, '00000000100101'),
	(32, NULL, NULL, '010009', '010009', '010009', 'B10009', NULL, 'Geopotential height of the standard level', 'gpm', '0', '5', 'gpm', 0, -1000, 17, 1, '', NULL, '11111111111111111'),
	(33, NULL, NULL, '302072', '007032', '007032', 'B07032', NULL, 'Height of sensor above local ground (or deck of marine platform) (see Note 5)', 'm', '2', '5', 'm', 2, 0, 16, 1, '', NULL, '1111111111111111'),
	(34, NULL, NULL, NULL, '007033', '007033', 'B07033', NULL, 'Height of sensor above water surface (see Note 6)', 'm', '1', '4', 'm', 1, 0, 12, 1, '', NULL, '111111111111'),
	(35, NULL, NULL, NULL, '012101', '012101', 'B12101', NULL, 'Temperature/dry-bulb temperature', '°C', '2', '4', 'K', 2, 0, 16, 1, '28.5', NULL, '0011010111010101'),
	(36, NULL, NULL, NULL, '012103', '012103', 'B12103', '885', 'Dew-point temperature', '°C', '2', '4', 'K', 2, 0, 16, 1, '18.3', NULL, '0011000111011001'),
	(37, NULL, NULL, NULL, '013003', '013003', 'B13003', NULL, 'Relative humidity', '%', '0', '3', '%', 0, 0, 7, 1, '0.75', NULL, '0000001'),
	(38, NULL, NULL, '103000', '103000', '103000', 'R03000', NULL, 'Delayed replication of 3 descriptors', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL),
	(39, NULL, NULL, '031000', '031000', '031000', 'B31000', NULL, 'Short delayed descriptor replication factor', 'Numeric', '0', '4', 'Numeric', 0, 0, 1, 1, '', NULL, '1'),
	(40, NULL, NULL, '101005', '101005', '101005', 'R01005', NULL, 'Replication of 1 descriptor 5 times', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL),
	(41, NULL, NULL, '307063', '007061', '007061', 'B07061', NULL, 'Depth below land surface', 'm', '2', '5', 'm', 2, 0, 14, 1, '', NULL, '11111111111111'),
	(42, NULL, NULL, NULL, '012130', '012130', 'B12130', NULL, 'Soil temperature', '°C', '2', '4', 'K', 2, 0, 16, 1, '', NULL, '1111111111111111'),
	(43, NULL, NULL, NULL, '007061', '007061', 'B07061', NULL, 'Depth below land surface', 'm', '2', '5', 'm', 2, 0, 14, 1, '', NULL, '11111111111111'),
	(44, NULL, NULL, NULL, '012130', '012130', 'B12130', NULL, 'Soil temperature', '°C', '2', '4', 'K', 2, 0, 16, 1, '', NULL, '1111111111111111'),
	(45, NULL, NULL, NULL, '007061', '007061', 'B07061', NULL, 'Depth below land surface', 'm', '2', '5', 'm', 2, 0, 14, 1, '', NULL, '11111111111111'),
	(46, NULL, NULL, NULL, '012130', '012130', 'B12130', NULL, 'Soil temperature', '°C', '2', '4', 'K', 2, 0, 16, 1, '', NULL, '1111111111111111'),
	(47, NULL, NULL, NULL, '007061', '007061', 'B07061', NULL, 'Depth below land surface', 'm', '2', '5', 'm', 2, 0, 14, 1, '', NULL, '11111111111111'),
	(48, NULL, NULL, NULL, '012130', '012130', 'B12130', NULL, 'Soil temperature', '°C', '2', '4', 'K', 2, 0, 16, 1, '', NULL, '1111111111111111'),
	(49, NULL, NULL, NULL, '007061', '007061', 'B07061', NULL, 'Depth below land surface', 'm', '2', '5', 'm', 2, 0, 14, 1, '', NULL, '11111111111111'),
	(50, NULL, NULL, NULL, '012130', '012130', 'B12130', NULL, 'Soil temperature', '°C', '2', '4', 'K', 2, 0, 16, 1, '', NULL, '1111111111111111'),
	(51, NULL, NULL, '101000', '101000', '101000', 'R01000', NULL, 'Delayed replication of 1 descriptor', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL),
	(52, NULL, NULL, '031000', '031000', '031000', 'B31000', NULL, 'Short delayed descriptor replication factor', 'Numeric', '0', '4', 'Numeric', 0, 0, 1, 1, '', NULL, '1'),
	(53, NULL, NULL, '302069', '007032', '007032', 'B07032', NULL, 'Height of sensor above local ground (or deck of marine platform) (see Note 5)', 'm', '2', '5', 'm', 2, 0, 16, 1, '', NULL, '1111111111111111'),
	(54, NULL, NULL, NULL, '007033', '007033', 'B07033', NULL, 'Height of sensor above water surface (see Note 6)', 'm', '1', '4', 'm', 1, 0, 12, 1, '', NULL, '111111111111'),
	(55, NULL, NULL, NULL, '033041', '033041', 'B33041', NULL, 'Attribute of following value', 'Code table', '0', '1', 'Code table', 0, 0, 2, 1, '3', NULL, '01'),
	(56, NULL, NULL, NULL, '020001', '020001', 'B20001', NULL, 'Horizontal visibility', 'm', '-1', '4', 'm', -1, 0, 13, 1, '0', NULL, '0000000000000'),
	(57, NULL, NULL, '007032', '007032', '007032', 'B07032', NULL, 'Height of sensor above local ground (or deck of marine platform) (see Note 5)', 'm', '2', '5', 'm', 2, 0, 16, 1, '', NULL, '1111111111111111'),
	(58, NULL, NULL, '007033', '007033', '007033', 'B07033', NULL, 'Height of sensor above water surface (see Note 6)', 'm', '1', '4', 'm', 1, 0, 12, 1, '', NULL, '111111111111'),
	(59, NULL, NULL, '105000', '105000', '105000', 'R05000', NULL, 'Delayed replication of 5 descriptors  ', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL),
	(60, NULL, NULL, '031000', '031000', '031000', 'B31000', NULL, 'Short delayed descriptor replication factor', 'Numeric', '0', '4', 'Numeric', 0, 0, 1, 1, '', NULL, '1'),
	(61, NULL, NULL, NULL, NULL, '020031', 'B20031', NULL, 'Ice deposit (thickness)', 'm', '2', '3', 'm', 2, 0, 7, 1, '', NULL, '1111111'),
	(62, NULL, NULL, NULL, NULL, '020032', 'B20032', NULL, 'Rate of ice accretion', 'Code table', '0', '1', 'Code table', 0, 0, 3, 1, '7', NULL, '011'),
	(63, NULL, NULL, NULL, NULL, '002038', 'B02038', NULL, 'Method of sea surface temperature measurement', 'Code table', '0', '2', 'Code table', 0, 0, 4, 1, '15', NULL, '0111'),
	(64, NULL, NULL, NULL, NULL, '022043', 'B22043', NULL, 'Sea/water temperature (scale 2)', 'K', '2', '5', 'K', 2, 0, 15, 1, '', NULL, '111111111111111'),
	(65, NULL, NULL, '302021', NULL, '022001', 'B22001', NULL, 'Direction of waves', 'Degree true', '0', '3', 'Degree true', 0, 0, 9, 1, '', NULL, '111111111'),
	(66, NULL, NULL, NULL, NULL, '022011', 'B22011', NULL, 'Period of waves', 's', '0', '2', 's', 0, 0, 6, 1, '', NULL, '111111'),
	(67, NULL, NULL, NULL, NULL, '022021', 'B22021', NULL, 'Height of waves', 'm', '1', '4', 'm', 1, 0, 10, 1, '', NULL, '1111111111'),
	(68, NULL, NULL, '101000', '101000', '101000', 'R01000', NULL, 'Delayed replication of 1 descriptor', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL),
	(69, NULL, NULL, '031000', '031000', '031000', 'B31000', NULL, 'Short delayed descriptor replication factor', 'Numeric', '0', '4', 'Numeric', 0, 0, 1, 1, '', NULL, '1'),
	(70, NULL, NULL, '302078', NULL, '002176', 'B02176', NULL, 'Method of state of ground measurement ', 'Code table', '0', '2', 'Code table', 0, 0, 4, 1, '14', NULL, '0110'),
	(71, NULL, NULL, NULL, NULL, '020062', 'B20062', NULL, 'State of the ground (with or without snow)', 'Code table', '0', '2', 'Code table', 0, 0, 5, 1, '32', NULL, '00000'),
	(72, NULL, NULL, NULL, NULL, '002177', 'B02177', NULL, 'Method of snow depth measurement ', 'Code table', '0', '2', 'Code table', 0, 0, 4, 1, '15', NULL, '0111'),
	(73, NULL, NULL, NULL, NULL, '013013', 'B13013', NULL, 'Total snow depth', 'm', '2', '5', 'm', 2, -2, 16, 1, '0', NULL, '0000000000000000'),
	(74, NULL, NULL, '101000', '101000', '101000', 'R01000', NULL, 'Delayed replication of 1 descriptor', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL),
	(75, NULL, NULL, '031000', '031000', '031000', 'B31000', NULL, 'Short delayed descriptor replication factor', 'Numeric', '0', '4', 'Numeric', 0, 0, 1, 1, '', NULL, '1'),
	(76, NULL, NULL, '302073', NULL, '020010', 'B20010', NULL, 'Cloud cover (total) (see Note 5)', '%', '0', '3', '%', 0, 0, 7, 1, '', NULL, '1111111'),
	(77, NULL, NULL, NULL, NULL, '105004', 'R05004', NULL, 'Replication of 5 descriptor 4 times', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL),
	(78, NULL, NULL, NULL, NULL, '008002', 'B08002', NULL, 'Vertical significance (surface observations)', 'Code table', '0', '2', 'Code table', 0, 0, 6, 1, '62', NULL, '011110'),
	(79, NULL, NULL, NULL, NULL, '020011', 'B20011', NULL, 'Cloud amount', 'Code table', '0', '2', 'Code table', 0, 0, 4, 1, NULL, NULL, '1111'),
	(80, NULL, NULL, NULL, NULL, '020012', 'B20012', NULL, 'Cloud type', 'Code table', '0', '2', 'Code table', 0, 0, 6, 1, NULL, NULL, '111111'),
	(81, NULL, NULL, NULL, NULL, '033041', 'B33041', NULL, 'Attribute of following value', 'Code table', '0', '1', 'Code table', 0, 0, 2, 1, '3', NULL, '01'),
	(82, NULL, NULL, NULL, NULL, '020013', 'B20013', NULL, 'Height of base of cloud', 'm', '-1', '4', 'm', -1, -40, 11, 1, '', NULL, '11111111111'),
	(83, NULL, NULL, NULL, NULL, '008002', 'B08002', NULL, 'Vertical significance (surface observations)', 'Code table', '0', '2', 'Code table', 0, 0, 6, 1, '62', NULL, '011110'),
	(84, NULL, NULL, NULL, NULL, '020011', 'B20011', NULL, 'Cloud amount', 'Code table', '0', '2', 'Code table', 0, 0, 4, 1, NULL, NULL, '1111'),
	(85, NULL, NULL, NULL, NULL, '020012', 'B20012', NULL, 'Cloud type', 'Code table', '0', '2', 'Code table', 0, 0, 6, 1, NULL, NULL, '111111'),
	(86, NULL, NULL, NULL, NULL, '033041', 'B33041', NULL, 'Attribute of following value', 'Code table', '0', '1', 'Code table', 0, 0, 2, 1, '3', NULL, '01'),
	(87, NULL, NULL, NULL, NULL, '033041', 'B33041', NULL, 'Attribute of following value', 'Code table', '0', '1', 'Code table', 0, 0, 2, 1, '3', NULL, '01'),
	(88, NULL, NULL, NULL, NULL, '008002', 'B08002', NULL, 'Vertical significance (surface observations)', 'Code table', '0', '2', 'Code table', 0, 0, 6, 1, '62', NULL, '011110'),
	(89, NULL, NULL, NULL, NULL, '020011', 'B20011', NULL, 'Cloud amount', 'Code table', '0', '2', 'Code table', 0, 0, 4, 1, NULL, NULL, '1111'),
	(90, NULL, NULL, NULL, NULL, '020012', 'B20012', NULL, 'Cloud type', 'Code table', '0', '2', 'Code table', 0, 0, 6, 1, NULL, NULL, '111111'),
	(91, NULL, NULL, NULL, NULL, '033041', 'B33041', NULL, 'Attribute of following value', 'Code table', '0', '1', 'Code table', 0, 0, 2, 1, '3', NULL, '01'),
	(92, NULL, NULL, NULL, NULL, '033041', 'B33041', NULL, 'Attribute of following value', 'Code table', '0', '1', 'Code table', 0, 0, 2, 1, '3', NULL, '01'),
	(93, NULL, NULL, NULL, NULL, '008002', 'B08002', NULL, 'Vertical significance (surface observations)', 'Code table', '0', '2', 'Code table', 0, 0, 6, 1, '62', NULL, '011110'),
	(94, NULL, NULL, NULL, NULL, '020011', 'B20011', NULL, 'Cloud amount', 'Code table', '0', '2', 'Code table', 0, 0, 4, 1, NULL, NULL, '1111'),
	(95, NULL, NULL, NULL, NULL, '020012', 'B20012', NULL, 'Cloud type', 'Code table', '0', '2', 'Code table', 0, 0, 6, 1, NULL, NULL, '111111'),
	(96, NULL, NULL, NULL, NULL, '033041', 'B33041', NULL, 'Attribute of following value', 'Code table', '0', '1', 'Code table', 0, 0, 2, 1, '3', NULL, '01'),
	(97, NULL, NULL, NULL, NULL, '033041', 'B33041', NULL, 'Attribute of following value', 'Code table', '0', '1', 'Code table', 0, 0, 2, 1, '3', NULL, '01'),
	(98, NULL, NULL, '101000', '101000', '101000', 'R01000', NULL, 'Delayed replication of 1 descriptor', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL),
	(99, NULL, NULL, '031000', '031000', '031000', 'B31000', NULL, 'Short delayed descriptor replication factor', 'Numeric', '0', '4', 'Numeric', 0, 0, 1, 1, '', NULL, '1'),
	(100, NULL, NULL, '302074', NULL, '020003', 'B20003', NULL, 'Present weather', 'Code table', '0', '3', 'Code table', 0, 0, 9, 1, NULL, NULL, '111111111'),
	(101, NULL, NULL, NULL, NULL, '004025', 'B04025', NULL, 'Time period or displacement', 'Minute', '0', '4', 'Minute', 0, -2048, 12, 1, '', NULL, '111111111111'),
	(102, NULL, NULL, NULL, NULL, '020004', 'B20004', NULL, 'Past weather (1) ', 'Code table', '0', '2', 'Code table', 0, 0, 5, 1, NULL, NULL, '11111'),
	(103, NULL, NULL, NULL, NULL, '020005', 'B20005', NULL, 'Past weather (2)', 'Code table', '0', '2', 'Code table', 0, 0, 5, 1, NULL, NULL, '11111'),
	(104, NULL, NULL, '101000', '101000', '101000', 'R01000', NULL, 'Delayed replication of 1 descriptor', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL),
	(105, NULL, NULL, '031000', '031000', '031000', 'B31000', NULL, 'Short delayed descriptor replication factor', 'Numeric', '0', '4', 'Numeric', 0, 0, 1, 1, '', NULL, '1'),
	(106, NULL, NULL, '302175', NULL, '008021', 'B08021', NULL, 'Time significance (= 2 (time averaged))', 'Code table', '0', '2', 'Code table', 0, 0, 5, 1, '2', NULL, '00000'),
	(107, NULL, NULL, NULL, NULL, '004025', 'B04025', NULL, 'Time period or displacement', 'Minute', '0', '4', 'Minute', 0, -2048, 12, 1, '', NULL, '111111111111'),
	(108, NULL, NULL, NULL, NULL, '013155', 'B13155', NULL, 'Intensity of precipitation (high accuracy)', 'mmh-1', '1', '5', 'kg/m-2s-1', 5, -1, 16, 1, '-2.121421', NULL, '1111111111111111'),
	(109, NULL, NULL, NULL, NULL, '013058', 'B13058', NULL, 'Size of precipitating element', 'mm', '4', '3', 'm', 4, 0, 7, 1, '', NULL, '1111111'),
	(110, NULL, NULL, NULL, NULL, '008021', 'B08021', NULL, 'Time significance (= 2 (time averaged))', 'Code table', '0', '2', 'Code table', 0, 0, 5, 1, '2', NULL, '00000'),
	(111, NULL, NULL, '102000', '102000', '102000', 'R02000', NULL, 'Delayed replication of 2 descriptors', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL),
	(112, NULL, NULL, '031000', '031000', '031000', 'B31000', NULL, 'Short delayed descriptor replication factor', 'Numeric', '0', '4', 'Numeric', 0, 0, 1, 1, '', NULL, '1'),
	(113, NULL, NULL, '004025', NULL, '004025', 'B04025', NULL, 'Time period or displacement', 'Minute', '0', '4', 'Minute', 0, -2048, 12, 1, '', NULL, '111111111111'),
	(114, NULL, NULL, '302076', NULL, '020021', 'B20021', NULL, 'Type of precipitation', 'Flag table', '0', '10', 'Flag table', 0, 0, 30, 1, '', NULL, '111111111111111111111111111111'),
	(115, NULL, NULL, NULL, NULL, '020022', 'B20022', NULL, 'Character of precipitation', 'Code table', '0', '2', 'Code table', 0, 0, 4, 1, NULL, NULL, '1111'),
	(116, NULL, NULL, NULL, NULL, '026020', 'B26020', NULL, 'Duration of precipitation', 'Minute', '0', '4', 'Minute', 0, 0, 11, 1, '', NULL, '11111111111'),
	(117, NULL, NULL, NULL, NULL, '020023', 'B20023', NULL, 'Other weather phenomena', 'Flag table', '0', '6', 'Flag table', 0, 0, 18, 1, '', NULL, '111111111111111111'),
	(118, NULL, NULL, NULL, NULL, '020024', 'B20024', NULL, 'Intensity of phenomena', 'Code table', '0', '1', 'Code table', 0, 0, 3, 1, NULL, NULL, '111'),
	(119, NULL, NULL, NULL, NULL, '020025', 'B20025', NULL, 'Obscuration', 'Flag table', '0', '7', 'Flag table', 0, 0, 21, 1, '', NULL, '111111111111111111111'),
	(120, NULL, NULL, NULL, NULL, '020026', 'B20026', NULL, 'Character of obscuration', 'Code table', '0', '2', 'Code table', 0, 0, 4, 1, '15', NULL, '0111'),
	(121, NULL, NULL, '302071', '007032', '007032', 'B07032', NULL, 'Height of sensor above local ground (or deck of marine platform) (see Note 5)', 'm', '2', '5', 'm', 2, 0, 16, 1, '', NULL, '1111111111111111'),
	(122, NULL, NULL, NULL, '007033', '007033', 'B07033', NULL, 'Height of sensor above water surface (see Note 6)', 'm', '1', '4', 'm', 1, 0, 12, 1, '', NULL, '111111111111'),
	(123, NULL, NULL, NULL, '008021', '008021', 'B08021', NULL, 'Time significance (= 2 (time averaged))', 'Code table', '0', '2', 'Code table', 0, 0, 5, 1, '2', NULL, '00000'),
	(124, NULL, NULL, NULL, '004025', '004025', 'B04025', NULL, 'Time period or displacement', 'Minute', '0', '4', 'Minute', 0, -2048, 12, 1, '', NULL, '111111111111'),
	(125, NULL, NULL, NULL, '011001', '011001', 'B11001', NULL, 'Wind direction', 'Degree true', '0', '3', 'Degree true', 0, 0, 9, 1, '138', NULL, '000001010'),
	(126, NULL, NULL, NULL, '011002', '011002', 'B11002', NULL, 'Wind speed', 'm s-1', '1', '4', 'm s-1', 1, 0, 12, 1, '4.028', NULL, '000000001000'),
	(127, NULL, NULL, NULL, '008021', '008021', 'B08021', NULL, 'Time significance (= 2 (time averaged))', 'Code table', '0', '2', 'Code table', 0, 0, 5, 1, '2', NULL, '00000'),
	(128, NULL, NULL, NULL, '103002', '103002', 'R03002', NULL, 'Replicate next 3 descriptors 2 times', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL),
	(129, NULL, NULL, NULL, '004025', '004025', 'B04025', NULL, 'Time period or displacement', 'Minute', '0', '4', 'Minute', 0, -2048, 12, 1, '-10', NULL, '001111110110'),
	(130, NULL, NULL, NULL, '011043', '011043', 'B11043', '887', 'Maximum wind gust direction', 'Degree true', '0', '3', 'Degree true', 0, 0, 9, 1, '', NULL, '111111111'),
	(131, NULL, NULL, NULL, '011041', '011041', 'B11041', '886', 'Maximum wind gust speed', 'm s-1', '1', '4', 'm s-1', 1, 0, 12, 1, '', NULL, '111111111111'),
	(132, NULL, NULL, NULL, '004025', '004025', 'B04025', NULL, 'Time period or displacement', 'Minute', '0', '4', 'Minute', 0, -2048, 12, 1, '', NULL, '111111111111'),
	(133, NULL, NULL, NULL, '011043', '011043', 'B11043', '887', 'Maximum wind gust direction', 'Degree true', '0', '3', 'Degree true', 0, 0, 9, 1, '', NULL, '111111111'),
	(134, NULL, NULL, NULL, '011041', '011041', 'B11041', '886', 'Maximum wind gust speed', 'm s-1', '1', '4', 'm s-1', 1, 0, 12, 1, '', NULL, '111111111111'),
	(135, NULL, NULL, NULL, '004025', '004025', 'B04025', NULL, 'Time period or displacement', 'Minute', '0', '4', 'Minute', 0, -2048, 12, 1, '-10', NULL, '001111110110'),
	(136, NULL, NULL, NULL, '011016', '011016', 'B11016', NULL, 'Extreme counterclockwise wind direction of a variable wind', 'Degree true', '0', '3', 'Degree true', 0, 0, 9, 1, '', NULL, '111111111'),
	(137, NULL, NULL, NULL, '011017', '011017', 'B11017', NULL, 'Extreme clockwise wind direction of a variable wind', 'Degree true', '0', '3', 'Degree true', 0, 0, 9, 1, '', NULL, '111111111'),
	(138, NULL, NULL, '302077', '007032', '007032', 'B07032', NULL, 'Height of sensor above local ground (or deck of marine platform) (see Note 5)', 'm', '2', '5', 'm', 2, 0, 16, 1, '', NULL, '1111111111111111'),
	(139, NULL, NULL, NULL, '007033', '007033', 'B07033', NULL, 'Height of sensor above water surface (see Note 6)', 'm', '1', '4', 'm', 1, 0, 12, 1, '', NULL, '111111111111'),
	(140, NULL, NULL, NULL, '004025', '004025', 'B04025', NULL, 'Time period or displacement', 'Minute', '0', '4', 'Minute', 0, -2048, 12, 1, '', NULL, '111111111111'),
	(141, NULL, NULL, NULL, '012111', '012111', 'B12111', NULL, 'Maximum temperature (scale 2) at height and over period specified', '°C', '2', '4', 'K', 2, 0, 16, 1, '28.84937', NULL, '0011010111111000'),
	(142, NULL, NULL, NULL, '012112', '012112', 'B12112', NULL, 'Minimum temperature (scale 2) at height and over period specified', '°C', '2', '4', 'K', 2, 0, 16, 1, '17.79975', NULL, '0011000110100111'),
	(143, NULL, NULL, NULL, '007032', '007032', 'B07032', NULL, 'Height of sensor above local ground (or deck of marine platform) (see Note 5)', 'm', '2', '5', 'm', 2, 0, 16, 1, '', NULL, '1111111111111111'),
	(144, NULL, NULL, NULL, '004025', '004025', 'B04025', NULL, 'Time period or displacement', 'Minute', '0', '4', 'Minute', 0, -2048, 12, 1, '', NULL, '111111111111'),
	(145, NULL, NULL, NULL, '012112', '012112', 'B12112', NULL, 'Minimum temperature (scale 2) at height and over period specified', '°C', '2', '4', 'K', 2, 0, 16, 1, '17.79975', NULL, '0011000110100111'),
	(146, NULL, NULL, '007033', '007033', '007033', 'B07033', NULL, 'Height of sensor above water surface (see Note 6)', 'm', '1', '4', 'm', 1, 0, 12, 1, '', NULL, '111111111111'),
	(147, NULL, NULL, '101000', '101000', '101000', 'R01000', NULL, 'Delayed replication of 1 descriptor', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL),
	(148, NULL, NULL, '031000', '031000', '031000', 'B31000', NULL, 'Short delayed descriptor replication factor', 'Numeric', '0', '4', 'Numeric', 0, 0, 1, 1, '', NULL, '1'),
	(149, NULL, NULL, '302079', NULL, '007032', 'B07032', NULL, 'Height of sensor above local ground (or deck of marine platform) (see Note 5)', 'm', '2', '5', 'm', 2, 0, 16, 1, '', NULL, '1111111111111111'),
	(150, NULL, NULL, NULL, NULL, '002175', 'B02175', NULL, 'Method of precipitation measurement ', 'Code table', '0', '2', 'Code table', 0, 0, 4, 1, '1', NULL, '0001'),
	(151, NULL, NULL, NULL, NULL, '002178', 'B02178', NULL, 'Method of liquid content measurement of precipitation', 'Code table', '0', '2', 'Code table', 0, 0, 4, 1, '4', NULL, '0000'),
	(152, NULL, NULL, NULL, NULL, '004025', 'B04025', NULL, 'Time period or displacement', 'Minute', '0', '4', 'Minute', 0, -2048, 12, 1, '', NULL, '111111111111'),
	(153, NULL, NULL, NULL, NULL, '013011', 'B13011', NULL, 'Total precipitation/total water equivalent', 'kg m-2', '1', '5', 'kg m-2', 1, -1, 14, 1, '0', NULL, '00000000000001'),
	(154, NULL, NULL, '007032', '007032', '007032', 'B07032', NULL, 'Height of sensor above local ground (or deck of marine platform) (see Note 5)', 'm', '2', '5', 'm', 2, 0, 16, 1, '', NULL, '1111111111111111'),
	(155, NULL, NULL, '101000', '101000', '101000', 'R01000', NULL, 'Delayed replication of 1 descriptor', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL),
	(156, NULL, NULL, '031000', '031000', '031000', 'B31000', NULL, 'Short delayed descriptor replication factor', 'Numeric', '0', '4', 'Numeric', 0, 0, 1, 1, '', NULL, '1'),
	(157, NULL, NULL, '302080', NULL, '002185', 'B02185', NULL, 'Method of evaporation measurement', 'Code table', '0', '2', 'Code table', 0, 0, 4, 1, '14', NULL, '0110'),
	(158, NULL, NULL, NULL, NULL, '004025', 'B04025', NULL, 'Time period or displacement', 'Minute', '0', '4', 'Minute', 0, -2048, 12, 1, '', NULL, '111111111111'),
	(159, NULL, NULL, NULL, NULL, '013033', 'B13033', NULL, 'Evaporation/evapotranspiration', 'kg m-2', '1', '4', 'kg m-2', 1, 0, 10, 1, '', NULL, '1111111111'),
	(160, NULL, NULL, '101000', '101000', '101000', 'R01000', NULL, 'Delayed replication of 1 descriptor', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL),
	(161, NULL, NULL, '031000', '031000', '031000', 'B31000', NULL, 'Short delayed descriptor replication factor', 'Numeric', '0', '4', 'Numeric', 0, 0, 1, 1, '', NULL, '1'),
	(162, NULL, NULL, '302081', NULL, '004025', 'B04025', NULL, 'Time period or displacement', 'Minute', '0', '4', 'Minute', 0, -2048, 12, 1, '', NULL, '111111111111'),
	(163, NULL, NULL, NULL, NULL, '014031', 'B14031', NULL, 'Total sunshine', 'Minute', '0', '4', 'Minute', 0, 0, 11, 1, '0', NULL, '00000000000'),
	(164, NULL, NULL, '101000', '101000', '101000', 'R01000', NULL, 'Delayed replication of 1 descriptor', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL),
	(165, NULL, NULL, '031000', '031000', '031000', 'B31000', NULL, 'Short delayed descriptor replication factor', 'Numeric', '0', '4', 'Numeric', 0, 0, 1, 1, '', NULL, '1'),
	(166, NULL, NULL, '302082', NULL, '004025', 'B04025', NULL, 'Time period or displacement', 'Minute', '0', '4', 'Minute', 0, -2048, 12, 1, '', NULL, '111111111111'),
	(167, NULL, NULL, NULL, NULL, '014002', 'B14002', NULL, 'Long-wave radiation, integrated over period specified', 'J m-2', '-3', '4', 'J m-2', -3, -2048, 12, 1, '', NULL, '111111111111'),
	(168, NULL, NULL, NULL, NULL, '014004', 'B14004', NULL, 'Short-wave radiation, integrated over period specified', 'J m-2', '-3', '4', 'J m-2', -3, -2048, 12, 1, '', NULL, '111111111111'),
	(169, NULL, NULL, NULL, NULL, '014016', 'B14016', NULL, 'Net radiation, integrated over period specified', 'J m-2', '-4', '5', 'J m-2', -4, -16384, 15, 1, '', NULL, '111111111111111'),
	(170, NULL, NULL, NULL, NULL, '014028', 'B14028', NULL, 'Global solar radiation (high accuracy), integrated over period specified', 'J m-2', '-2', '5', 'J m-2', -2, 0, 16, 1, '0', NULL, '0000000000000000'),
	(171, NULL, NULL, NULL, NULL, '014029', 'B14029', NULL, 'Diffuse solar radiation (high accuracy), integrated over period specified', 'J m-2', '-2', '5', 'J m-2', -2, 0, 16, 1, '', NULL, '1111111111111111'),
	(172, NULL, NULL, NULL, NULL, '014030', 'B14030', NULL, 'Direct solar radiation (high accuracy), integrated over period specified', 'J m-2', '-2', '5', 'J m-2', -2, 0, 16, 1, '', NULL, '1111111111111111'),
	(173, NULL, NULL, '102000', '102000', '102000', 'R02000', NULL, 'Delayed replication of 2 descriptors', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL),
	(174, NULL, NULL, '031000', '031000', '031000', 'B31000', NULL, 'Short delayed descriptor replication factor', 'Numeric', '0', '4', 'Numeric', 0, 0, 1, 1, '', NULL, '1'),
	(175, NULL, NULL, '004025', NULL, '004025', 'B04025', NULL, 'Time period or displacement', 'Minute', '0', '4', 'Minute', 0, -2048, 12, 1, '', NULL, '111111111111'),
	(176, NULL, NULL, '013059', NULL, '013059', 'B13059', NULL, 'Number of flashes (thunderstorm)', 'Numeric', '0', '3', 'Numeric', 0, 0, 7, 1, '', NULL, '1111111'),
	(177, NULL, NULL, '101000', '101000', '101000', 'R01000', NULL, 'Delayed replication of 1 descriptor', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL),
	(178, NULL, NULL, '031000', '031000', '031000', 'B31000', NULL, 'Short delayed descriptor replication factor', 'Numeric', '0', '4', 'Numeric', 0, 0, 1, 1, '', NULL, '1'),
	(179, NULL, NULL, '302083', NULL, '004025', 'B04025', NULL, 'Time period or displacement', 'Minute', '0', '4', 'Minute', 0, -2048, 12, 1, '', NULL, '111111111111'),
	(180, NULL, NULL, NULL, NULL, '008023', 'B08023', NULL, 'First order statistics', 'Code table', '0', '2', 'Code table', 0, 0, 6, 1, '63', NULL, '011111'),
	(181, NULL, NULL, NULL, NULL, '010004', 'B10004', NULL, 'Pressure', 'Pa', ' -1', '5', 'Pa', -1, 0, 14, 1, '', NULL, '11111111111111'),
	(182, NULL, NULL, NULL, NULL, '011001', 'B11001', NULL, 'Wind direction', 'Degree true', '0', '3', 'Degree true', 0, 0, 9, 1, '138', NULL, '000001010'),
	(183, NULL, NULL, NULL, NULL, '011002', 'B11002', NULL, 'Wind speed', 'm s-1', '1', '4', 'm s-1', 1, 0, 12, 1, '4.028', NULL, '000000001000'),
	(184, NULL, NULL, NULL, NULL, '012101', 'B12101', NULL, 'Temperature/dry-bulb temperature', '°C', '2', '4', 'K', 2, 0, 16, 1, '', NULL, '1111111111111111'),
	(185, NULL, NULL, NULL, NULL, '013003', 'B13003', NULL, 'Relative humidity', '%', '0', '3', '%', 0, 0, 7, 1, '0.75', NULL, '0000001'),
	(186, NULL, NULL, NULL, NULL, '008023', 'B08023', NULL, 'First order statistics', 'Code table', '0', '2', 'Code table', 0, 0, 6, 1, '63', NULL, '011111'),
	(187, NULL, NULL, '033005', '033005', '033005', 'B33005', NULL, 'Quality information (AWS data)', 'Flag table', '0', '10', 'Flag table', 0, 0, 30, 1, '', NULL, '111111111111111111111111111111'),
	(188, NULL, NULL, '033006', '033006', '033006', 'B33006', NULL, 'Internal measurement status information (AWS)', 'Code table', '0', '1', 'Code table', 0, 0, 3, 1, '0', NULL, '000');
/*!40000 ALTER TABLE `tm_307091` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_test_db_v4.tm_307092
CREATE TABLE IF NOT EXISTS `tm_307092` (
  `order` int(11) DEFAULT '0',
  `Bufr_Template` varchar(50) DEFAULT NULL,
  `CREX_Template` varchar(50) DEFAULT NULL,
  `Sequence_Descriptor1` varchar(255) DEFAULT NULL,
  `Sequence_Descriptor0` varchar(255) DEFAULT NULL,
  `Bufr_Element` varchar(255) DEFAULT NULL,
  `Crex_Element` varchar(50) DEFAULT NULL,
  `Climsoft_Element` varchar(50) DEFAULT NULL,
  `Element_Name` varchar(255) DEFAULT NULL,
  `Crex_Unit` varchar(25) DEFAULT NULL,
  `Crex_Scale` varchar(25) DEFAULT NULL,
  `Crex_DataWidth` varchar(25) DEFAULT NULL,
  `Bufr_Unit` varchar(255) DEFAULT NULL,
  `Bufr_Scale` int(11) DEFAULT NULL,
  `Bufr_RefValue` bigint(20) DEFAULT NULL,
  `Bufr_DataWidth_Bits` int(11) DEFAULT NULL,
  `Selected` tinyint(4) DEFAULT NULL,
  `Observation` varchar(255) DEFAULT NULL,
  `Crex_Data` varchar(30) DEFAULT NULL,
  `Bufr_Data` varchar(255) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_test_db_v4.tm_307092: ~134 rows (approximately)
/*!40000 ALTER TABLE `tm_307092` DISABLE KEYS */;
INSERT INTO `tm_307092` (`order`, `Bufr_Template`, `CREX_Template`, `Sequence_Descriptor1`, `Sequence_Descriptor0`, `Bufr_Element`, `Crex_Element`, `Climsoft_Element`, `Element_Name`, `Crex_Unit`, `Crex_Scale`, `Crex_DataWidth`, `Bufr_Unit`, `Bufr_Scale`, `Bufr_RefValue`, `Bufr_DataWidth_Bits`, `Selected`, `Observation`, `Crex_Data`, `Bufr_Data`) VALUES
	(119, NULL, NULL, '102000', '102000', '102000', 'R02000', NULL, 'Delayed replication of 2 descriptors', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL),
	(120, NULL, NULL, '031000', '031000', '031000', 'B31000', NULL, 'Short delayed descriptor replication factor', 'Numeric', '0', '4', 'Numeric', 0, 0, 1, 0, NULL, NULL, NULL),
	(121, NULL, NULL, '302083', NULL, '004025', 'B04025', NULL, 'Time period or displacement', 'Minute', '0', '4', 'Minute', 0, -2048, 12, 0, NULL, NULL, NULL),
	(122, NULL, NULL, '013059', NULL, '013059', 'B13059', NULL, 'Number of flashes (thunderstorm)', 'Numeric', '0', '3', 'Numeric', 0, 0, 7, 0, NULL, NULL, NULL),
	(123, NULL, NULL, '101000', '101000', '101000', 'R01000', NULL, 'Delayed replication of 1 descriptor', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL),
	(124, NULL, NULL, '031000', '031000', '031000', 'B31000', NULL, 'Short delayed descriptor replication factor', 'Numeric', '0', '4', 'Numeric', 0, 0, 1, 0, NULL, NULL, NULL),
	(125, NULL, NULL, '302083', NULL, '004025', 'B04025', NULL, 'Time period or displacement', 'Minute', '0', '4', 'Minute', 0, -2048, 12, 0, NULL, NULL, NULL),
	(126, NULL, NULL, NULL, NULL, '008023', 'B08023', NULL, 'First order statistics', 'Code table', '0', '2', 'Code table', 0, 0, 6, 0, NULL, NULL, NULL),
	(127, NULL, NULL, NULL, NULL, '010004', 'B10004', NULL, 'Pressure', 'Pa', ' -1', '5', 'Pa', -1, 0, 14, 0, NULL, NULL, NULL),
	(128, NULL, NULL, NULL, NULL, '011001', 'B11001', NULL, 'Wind direction', 'Degree true', '0', '3', 'Degree true', 0, 0, 9, 0, NULL, NULL, NULL),
	(129, NULL, NULL, NULL, NULL, '011002', 'B11002', NULL, 'Wind speed', 'm s-1', '1', '4', 'm s-1', 1, 0, 12, 0, NULL, NULL, NULL),
	(130, NULL, NULL, NULL, NULL, '012101', 'B12101', NULL, 'Temperature/dry-bulb temperature', '°C', '2', '4', 'K', 2, 0, 16, 0, NULL, NULL, NULL),
	(131, NULL, NULL, NULL, NULL, '013003', 'B13003', NULL, 'Relative humidity', '%', '0', '3', '%', 0, 0, 7, 0, NULL, NULL, NULL),
	(132, NULL, NULL, NULL, NULL, '008023', 'B08023', NULL, 'First order statistics', 'Code table', '0', '2', 'Code table', 0, 0, 6, 0, NULL, NULL, NULL),
	(133, NULL, NULL, '033005', '033005', '033005', 'B33005', NULL, 'Quality information (AWS data)', 'Flag table', '0', '10', 'Flag table', 0, 0, 30, 0, NULL, NULL, NULL),
	(134, NULL, NULL, '033006', '033006', '033006', 'B33006', NULL, 'Internal measurement status information (AWS)', 'Code table', '0', '1', 'Code table', 0, 0, 3, 0, NULL, NULL, NULL),
	(1, '307092', 'D07092', '301089', '001101', '001101', 'B01101', 'station_state_id', 'State identifier', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL),
	(2, NULL, NULL, NULL, '001102', '001102', 'B01102', 'station_National_number', 'National station number', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL),
	(3, NULL, NULL, '301090', '301004', '001001', 'B01001', 'station_WMO_bloc', 'WMO block number', 'Numeric', '0', '2', 'Numeric', 0, 0, 7, 0, NULL, NULL, NULL),
	(4, NULL, NULL, NULL, NULL, '001002', 'B01002', 'station_WMO_number', 'WMO station number', 'Numeric', '0', '3', 'Numeric', 0, 0, 10, 0, NULL, NULL, NULL),
	(5, NULL, NULL, NULL, NULL, '001015', 'B01015', 'station_name', 'Station or site name', 'Character', '0', '20', 'CCITT IA5', 0, 0, 160, 0, NULL, NULL, NULL),
	(6, NULL, NULL, NULL, NULL, '002001', 'B02001', 'station_qualifier', 'Type of station', 'Code table', '0', '1', 'Code table', 0, 0, 2, 0, NULL, NULL, NULL),
	(7, NULL, NULL, NULL, '301011', '004001', 'B04001', 'datetime_year', 'Year', 'Year', '0', '4', 'Year', 0, 0, 12, 0, NULL, NULL, NULL),
	(8, NULL, NULL, NULL, NULL, '004002', 'B04002', 'datetime_month', 'Month', 'Month', '0', '2', 'Month', 0, 0, 4, 0, NULL, NULL, NULL),
	(9, NULL, NULL, NULL, NULL, '004003', 'B04003', 'datetime_day', 'Day', 'Day', '0', '2', 'Day', 0, 0, 6, 0, NULL, NULL, NULL),
	(10, NULL, NULL, NULL, '301012', '004004', 'B04004', 'datetime_hour', 'Hour', 'Hour', '0', '2', 'Hour', 0, 0, 5, 0, NULL, NULL, NULL),
	(11, NULL, NULL, NULL, NULL, '004005', 'B04005', 'datetime_minute', 'Minute', 'Minute', '0', '2', 'Minute', 0, 0, 6, 0, NULL, NULL, NULL),
	(12, NULL, NULL, NULL, '301021', '005001', 'B05001', 'station_deglatitude', 'Latitude (high accuracy)', 'Degree', '5', '7', 'Degree', 5, -9000000, 25, 0, NULL, NULL, NULL),
	(13, NULL, NULL, NULL, NULL, '006001', 'B06001', 'station_deglongitude', 'Longitude (high accuracy)', 'Degree', '5', '8', 'Degree', 5, -18000000, 26, 0, NULL, NULL, NULL),
	(14, NULL, NULL, NULL, '007030', '007030', 'B07030', 'station_elevation', 'Height of station ground above mean sea level (see Note 3)', 'm', '1', '5', 'm', 1, -4000, 17, 0, NULL, NULL, NULL),
	(15, NULL, NULL, NULL, '007031', '007031', 'B07031', 'station_pressure_height', 'Height of barometer above mean sea level (see Note 4)', 'm', '1', '5', 'm', 1, -4000, 17, 0, NULL, NULL, NULL),
	(16, NULL, NULL, '008010', '008010', '008010', 'B08010', NULL, 'Surface qualifier (temperature data)', 'Code table', '0', '2', 'Code table', 0, 0, 5, 0, NULL, NULL, NULL),
	(17, NULL, NULL, '301091', '002180', '002180', 'B02180', NULL, 'Main present weather detecting system ', 'Code table', '0', '2', 'Code table', 0, 0, 4, 0, NULL, NULL, NULL),
	(18, NULL, NULL, NULL, '002181', '002181', 'B02181', NULL, 'Supplementary present weather sensor', 'Flag table', '0', '7', 'Flag table', 0, 0, 21, 0, NULL, NULL, NULL),
	(19, NULL, NULL, NULL, '002182', '002182', 'B02182', NULL, 'Visibility measurement system ', 'Code table', '0', '2', 'Code table', 0, 0, 4, 0, NULL, NULL, NULL),
	(20, NULL, NULL, NULL, '002183', '002183', 'B02183', NULL, 'Cloud detection system', 'Code table', '0', '2', 'Code table', 0, 0, 4, 0, NULL, NULL, NULL),
	(21, NULL, NULL, NULL, '002184', '002184', 'B02184', NULL, 'Type of lightning detection sensor', 'Code table', '0', '2', 'Code table', 0, 0, 4, 0, NULL, NULL, NULL),
	(22, NULL, NULL, NULL, '002179', '002179', 'B02179', NULL, 'Type of sky condition algorithm ', 'Code table', '0', '2', 'Code table', 0, 0, 4, 0, NULL, NULL, NULL),
	(23, NULL, NULL, NULL, '002186', '002186', 'B02186', NULL, 'Capability to detect precipitation phenomena', 'Flag table', '0', '10', 'Flag table', 0, 0, 30, 0, NULL, NULL, NULL),
	(24, NULL, NULL, NULL, '002187', '002187', 'B02187', NULL, 'Capability to detect other weather phenomena', 'Flag table', '0', '6', 'Flag table', 0, 0, 18, 0, NULL, NULL, NULL),
	(25, NULL, NULL, NULL, '002188', '002188', 'B02188', NULL, 'Capability to detect obscuration', 'Flag table', '0', '7', 'Flag table', 0, 0, 21, 0, NULL, NULL, NULL),
	(26, NULL, NULL, NULL, '002189', '002189', 'B02189', NULL, 'Capability to discriminate lightning strikes', 'Flag table', '0', '4', 'Flag table', 0, 0, 12, 0, NULL, NULL, NULL),
	(27, NULL, NULL, '004015', '004015', '004015', 'B04015', NULL, 'Time increment', 'Minute', '0', '4', 'Minute', 0, -2048, 12, 0, NULL, NULL, NULL),
	(28, NULL, NULL, '004065', '004065', '004065', 'B04065', NULL, 'Short time increment', 'Minute', '0', '2', 'Minute', 0, -128, 8, 0, NULL, NULL, NULL),
	(29, NULL, NULL, '125000', '125000', '125000', 'R25000', NULL, 'Delayed replication of 25 descriptors', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL),
	(30, NULL, NULL, '031001', '031001', '031001', 'B31001', NULL, 'Delayed descriptor replication factor', 'Numeric', '0', '4', 'Numeric', 0, 0, 8, 0, NULL, NULL, NULL),
	(31, NULL, NULL, '010004', NULL, '010004', 'B10004', '884', 'Pressure', 'Pa', ' -1', '5', 'Pa', -1, 0, 14, 0, NULL, NULL, NULL),
	(32, NULL, NULL, '302070', NULL, '007032', 'B07032', NULL, 'Height of sensor above local ground (or deck of marine platform) (see Note 5)', 'm', '2', '5', 'm', 2, 0, 16, 0, NULL, NULL, NULL),
	(33, NULL, NULL, NULL, NULL, '007033', 'B07033', NULL, 'Height of sensor above water surface (see Note 6)', 'm', '1', '4', 'm', 1, 0, 12, 0, NULL, NULL, NULL),
	(34, NULL, NULL, NULL, NULL, '011001', 'B11001', '895', 'Wind direction', 'Degree true', '0', '3', 'Degree true', 0, 0, 9, 0, NULL, NULL, NULL),
	(35, NULL, NULL, NULL, NULL, '011002', 'B11002', '897', 'Wind speed', 'm s-1', '1', '4', 'm s-1', 1, 0, 12, 0, NULL, NULL, NULL),
	(36, NULL, NULL, NULL, NULL, '011043', 'B11043', '887', 'Maximum wind gust direction', 'Degree true', '0', '3', 'Degree true', 0, 0, 9, 0, NULL, NULL, NULL),
	(37, NULL, NULL, NULL, NULL, '011041', 'B11041', '886', 'Maximum wind gust speed', 'm s-1', '1', '4', 'm s-1', 1, 0, 12, 0, NULL, NULL, NULL),
	(38, NULL, NULL, NULL, NULL, '011016', 'B11016', NULL, 'Extreme counterclockwise wind direction of a variable wind', 'Degree true', '0', '3', 'Degree true', 0, 0, 9, 0, NULL, NULL, NULL),
	(39, NULL, NULL, NULL, NULL, '011017', 'B11017', NULL, 'Extreme clockwise wind direction of a variable wind', 'Degree true', '0', '3', 'Degree true', 0, 0, 9, 0, NULL, NULL, NULL),
	(40, NULL, NULL, '302072', NULL, '007032', 'B07032', NULL, 'Height of sensor above local ground (or deck of marine platform) (see Note 5)', 'm', '2', '5', 'm', 2, 0, 16, 0, NULL, NULL, NULL),
	(41, NULL, NULL, NULL, NULL, '007033', 'B07033', NULL, 'Height of sensor above water surface (see Note 6)', 'm', '1', '4', 'm', 1, 0, 12, 0, NULL, NULL, NULL),
	(42, NULL, NULL, NULL, NULL, '012101', 'B12101', '881', 'Temperature/dry-bulb temperature', '°C', '2', '4', 'K', 2, 0, 16, 0, NULL, NULL, NULL),
	(43, NULL, NULL, NULL, NULL, '012103', 'B12103', '885', 'Dew-point temperature', '°C', '2', '4', 'K', 2, 0, 16, 0, NULL, NULL, NULL),
	(44, NULL, NULL, NULL, NULL, '013003', 'B13003', '893', 'Relative humidity', '%', '0', '3', '%', 0, 0, 7, 0, NULL, NULL, NULL),
	(45, NULL, NULL, '007032', NULL, '007032', 'B07032', NULL, 'Height of sensor above local ground (or deck of marine platform) (see Note 5)', 'm', '2', '5', 'm', 2, 0, 16, 0, NULL, NULL, NULL),
	(46, NULL, NULL, '012101', NULL, '012101', 'B12101', '881', 'Temperature/dry-bulb temperature', '°C', '2', '4', 'K', 2, 0, 16, 0, NULL, NULL, NULL),
	(47, NULL, NULL, '103000', NULL, '103000', 'R03000', NULL, 'Delayed replication of 3 descriptors', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL),
	(48, NULL, NULL, '031000', NULL, '031000', 'B31000', NULL, 'Short delayed descriptor replication factor', 'Numeric', '0', '4', 'Numeric', 0, 0, 1, 0, NULL, NULL, NULL),
	(49, NULL, NULL, '101005', NULL, '101005', 'R01005', NULL, 'Replication of 1 descriptor 5 times', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL),
	(50, NULL, NULL, '307063', NULL, '007061', 'B07061', NULL, 'Depth below land surface', 'm', '2', '5', 'm', 2, 0, 14, 0, NULL, NULL, NULL),
	(51, NULL, NULL, NULL, NULL, '012130', 'B12130', NULL, 'Soil temperature', '°C', '2', '4', 'K', 2, 0, 16, 0, NULL, NULL, NULL),
	(52, NULL, NULL, '007061', NULL, '007061', 'B07061', NULL, 'Depth below land surface', 'm', '2', '5', 'm', 2, 0, 14, 0, NULL, NULL, NULL),
	(53, NULL, NULL, '101000', NULL, '101000', 'R01000', NULL, 'Delayed replication of 1 descriptor', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL),
	(54, NULL, NULL, '031000', NULL, '031000', 'B31000', NULL, 'Short delayed descriptor replication factor', 'Numeric', '0', '4', 'Numeric', 0, 0, 1, 0, NULL, NULL, NULL),
	(55, NULL, NULL, '302069', NULL, '007032', 'B07032', NULL, 'Height of sensor above local ground (or deck of marine platform) (see Note 5)', 'm', '2', '5', 'm', 2, 0, 16, 0, NULL, NULL, NULL),
	(56, NULL, NULL, NULL, NULL, '007033', 'B07033', NULL, 'Height of sensor above water surface (see Note 6)', 'm', '1', '4', 'm', 1, 0, 12, 0, NULL, NULL, NULL),
	(57, NULL, NULL, NULL, NULL, '033041', 'B33041', NULL, 'Attribute of following value', 'Code table', '0', '1', 'Code table', 0, 0, 2, 0, NULL, NULL, NULL),
	(58, NULL, NULL, NULL, NULL, '020001', 'B20001', NULL, 'Horizontal visibility', 'm', '-1', '4', 'm', -1, 0, 13, 0, NULL, NULL, NULL),
	(59, NULL, NULL, '007032', NULL, '007032', 'B07032', NULL, 'Height of sensor above local ground (or deck of marine platform) (see Note 5)', 'm', '2', '5', 'm', 2, 0, 16, 0, NULL, NULL, NULL),
	(60, NULL, NULL, '007033', NULL, '007033', 'B07033', NULL, 'Height of sensor above water surface (see Note 6)', 'm', '1', '4', 'm', 1, 0, 12, 0, NULL, NULL, NULL),
	(61, NULL, NULL, '101000', NULL, '101000', 'R01000', NULL, 'Delayed replication of 1 descriptor', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL),
	(62, NULL, NULL, '031000', NULL, '031000', 'B31000', NULL, 'Short delayed descriptor replication factor', 'Numeric', '0', '4', 'Numeric', 0, 0, 1, 0, NULL, NULL, NULL),
	(63, NULL, NULL, '302073', NULL, '020010', 'B20010', NULL, 'Cloud cover (total) (see Note 5)', '%', '0', '3', '%', 0, 0, 7, 0, NULL, NULL, NULL),
	(64, NULL, NULL, NULL, NULL, '105004', 'R05004', NULL, 'Replication of 5 descriptor 4 times', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL),
	(65, NULL, NULL, NULL, NULL, '008002', 'B08002', NULL, 'Vertical significance (surface observations)', 'Code table', '0', '2', 'Code table', 0, 0, 6, 0, NULL, NULL, NULL),
	(66, NULL, NULL, NULL, NULL, '020011', 'B20011', NULL, 'Cloud amount', 'Code table', '0', '2', 'Code table', 0, 0, 4, 0, NULL, NULL, NULL),
	(67, NULL, NULL, NULL, NULL, '020012', 'B20012', NULL, 'Cloud type', 'Code table', '0', '2', 'Code table', 0, 0, 6, 0, NULL, NULL, NULL),
	(68, NULL, NULL, NULL, NULL, '033041', 'B33041', NULL, 'Attribute of following value', 'Code table', '0', '1', 'Code table', 0, 0, 2, 0, NULL, NULL, NULL),
	(69, NULL, NULL, NULL, NULL, '020013', 'B20013', NULL, 'Height of base of cloud', 'm', '-1', '4', 'm', -1, -40, 11, 0, NULL, NULL, NULL),
	(70, NULL, NULL, '101000', NULL, '101000', 'R01000', NULL, 'Delayed replication of 1 descriptor', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL),
	(71, NULL, NULL, '031000', NULL, '031000', 'B31000', NULL, 'Short delayed descriptor replication factor', 'Numeric', '0', '4', 'Numeric', 0, 0, 1, 0, NULL, NULL, NULL),
	(72, NULL, NULL, '302076', NULL, '020021', 'B20021', NULL, 'Type of precipitation', 'Flag table', '0', '10', 'Flag table', 0, 0, 30, 0, NULL, NULL, NULL),
	(73, NULL, NULL, NULL, NULL, '020022', 'B20022', NULL, 'Character of precipitation', 'Code table', '0', '2', 'Code table', 0, 0, 4, 0, NULL, NULL, NULL),
	(74, NULL, NULL, NULL, NULL, '026020', 'B26020', NULL, 'Duration of precipitation', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL),
	(75, NULL, NULL, NULL, NULL, '020023', 'B20023', NULL, 'Other weather phenomena', 'Flag table', '0', '6', 'Flag table', 0, 0, 18, 0, NULL, NULL, NULL),
	(76, NULL, NULL, NULL, NULL, '020024', 'B20024', NULL, 'Intensity of phenomena', 'Code table', '0', '1', 'Code table', 0, 0, 3, 0, NULL, NULL, NULL),
	(77, NULL, NULL, NULL, NULL, '020025', 'B20025', NULL, 'Obscuration', 'Flag table', '0', '7', 'Flag table', 0, 0, 21, 0, NULL, NULL, NULL),
	(78, NULL, NULL, NULL, NULL, '020026', 'B20026', NULL, 'Character of obscuration', 'Code table', '0', '2', 'Code table', 0, 0, 4, 0, NULL, NULL, NULL),
	(79, NULL, NULL, '102000', NULL, '102000', 'R02000', NULL, 'Delayed replication of 2 descriptors', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL),
	(80, NULL, NULL, '031000', NULL, '031000', 'B31000', NULL, 'Short delayed descriptor replication factor', 'Numeric', '0', '4', 'Numeric', 0, 0, 1, 0, NULL, NULL, NULL),
	(81, NULL, NULL, '013155', NULL, '013155', 'B13155', NULL, 'Itensity of precipitation (high accuracy)', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL),
	(82, NULL, NULL, '013058', NULL, '013058', 'B13058', NULL, 'Size of precipitating element', 'mm', '4', '3', 'm', 4, 0, 7, 0, NULL, NULL, NULL),
	(83, NULL, NULL, '102000', '102000', '102000', 'R02000', NULL, 'Delayed replication of 2 descriptors', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL),
	(84, NULL, NULL, '031000', '031000', '031000', 'B31000', NULL, 'Short delayed descriptor replication factor', 'Numeric', '0', '4', 'Numeric', 0, 0, 1, 0, NULL, NULL, NULL),
	(85, NULL, NULL, '020031', NULL, '020031', 'B20031', NULL, 'Ice deposit (thickness)', 'm', '2', '3', 'm', 2, 0, 7, 0, NULL, NULL, NULL),
	(86, NULL, NULL, '020032', NULL, '020032', 'B20032', NULL, 'Rate of ice accretion', 'Code table', '0', '1', 'Code table', 0, 0, 3, 0, NULL, NULL, NULL),
	(87, NULL, NULL, '101000', '101000', '101000', 'R01000', NULL, 'Delayed replication of 1 descriptor', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL),
	(88, NULL, NULL, '031000', '031000', '031000', 'B31000', NULL, 'Short delayed descriptor replication factor', 'Numeric', '0', '4', 'Numeric', 0, 0, 1, 0, NULL, NULL, NULL),
	(89, NULL, NULL, '302078', NULL, '002176', 'B02176', NULL, 'Method of state of ground measurement ', 'Code table', '0', '2', 'Code table', 0, 0, 4, 0, NULL, NULL, NULL),
	(90, NULL, NULL, NULL, NULL, '020062', 'B20062', NULL, 'State of the ground (with or without snow)', 'Code table', '0', '2', 'Code table', 0, 0, 5, 0, NULL, NULL, NULL),
	(91, NULL, NULL, NULL, NULL, '002177', 'B02177', NULL, 'Method of snow depth measurement ', 'Code table', '0', '2', 'Code table', 0, 0, 4, 0, NULL, NULL, NULL),
	(92, NULL, NULL, NULL, NULL, '013013', 'B13013', NULL, 'Total snow depth', 'm', '2', '5', 'm', 2, -2, 16, 0, NULL, NULL, NULL),
	(93, NULL, NULL, '102000', '102000', '102000', 'R02000', NULL, 'Delayed replication of 2 descriptors', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL),
	(94, NULL, NULL, '031000', '031000', '031000', 'B31000', NULL, 'Short delayed descriptor replication factor', 'Numeric', '0', '4', 'Numeric', 0, 0, 1, 0, NULL, NULL, NULL),
	(95, NULL, NULL, '302079', NULL, '007032', 'B07032', NULL, 'Height of sensor above local ground (or deck of marine platform) (see Note 5)', 'm', '2', '5', 'm', 2, 0, 16, 0, NULL, NULL, NULL),
	(96, NULL, NULL, NULL, NULL, '002175', 'B02175', NULL, 'Method of precipitation measurement ', 'Code table', '0', '2', 'Code table', 0, 0, 4, 0, NULL, NULL, NULL),
	(97, NULL, NULL, NULL, NULL, '002178', 'B02178', NULL, 'Method of liquid content measurement of precipitation', 'Code table', '0', '2', 'Code table', 0, 0, 4, 0, NULL, NULL, NULL),
	(98, NULL, NULL, NULL, NULL, '004025', 'B04025', NULL, 'Time period or displacement', 'Minute', '0', '4', 'Minute', 0, -2048, 12, 0, NULL, NULL, NULL),
	(99, NULL, NULL, NULL, NULL, '013011', 'B13011', NULL, 'Total precipitation/total water equivalent', 'kg m-2', '1', '5', 'kg m-2', 1, -1, 14, 0, NULL, NULL, NULL),
	(100, NULL, NULL, '007032', '007032', '007032', 'B07032', NULL, 'Height of sensor above local ground (or deck of marine platform) (see Note 5)', 'm', '2', '5', 'm', 2, 0, 16, 0, NULL, NULL, NULL),
	(101, NULL, NULL, '101000', '101000', '101000', 'R01000', NULL, 'Delayed replication of 1 descriptor', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL),
	(102, NULL, NULL, '031000', '031000', '031000', 'B31000', NULL, 'Short delayed descriptor replication factor', 'Numeric', '0', '4', 'Numeric', 0, 0, 1, 0, NULL, NULL, NULL),
	(103, NULL, NULL, '302080', NULL, '002185', 'B02185', NULL, 'Method of evaporation measurement', 'Code table', '0', '2', 'Code table', 0, 0, 4, 0, NULL, NULL, NULL),
	(104, NULL, NULL, NULL, NULL, '004025', 'B04025', NULL, 'Time period or displacement', 'Minute', '0', '4', 'Minute', 0, -2048, 12, 0, NULL, NULL, NULL),
	(105, NULL, NULL, NULL, NULL, '013033', 'B13033', NULL, 'Evaporation/evapotranspiration', 'kg m-2', '1', '4', 'kg m-2', 1, 0, 10, 0, NULL, NULL, NULL),
	(106, NULL, NULL, '101000', '101000', '101000', 'R01000', NULL, 'Delayed replication of 1 descriptor', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL),
	(107, NULL, NULL, '031000', '031000', '031000', 'B31000', NULL, 'Short delayed descriptor replication factor', 'Numeric', '0', '4', 'Numeric', 0, 0, 1, 0, NULL, NULL, NULL),
	(108, NULL, NULL, '302081', NULL, '004025', 'B04025', NULL, 'Time period or displacement', 'Minute', '0', '4', 'Minute', 0, -2048, 12, 0, NULL, NULL, NULL),
	(109, NULL, NULL, NULL, NULL, '014031', 'B14031', NULL, 'Total sunshine', 'Minute', '0', '4', 'Minute', 0, 0, 11, 0, NULL, NULL, NULL),
	(110, NULL, NULL, '101000', '101000', '101000', 'R01000', NULL, 'Delayed replication of 1 descriptor', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL),
	(111, NULL, NULL, '031000', '031000', '031000', 'B31000', NULL, 'Short delayed descriptor replication factor', 'Numeric', '0', '4', 'Numeric', 0, 0, 1, 0, NULL, NULL, NULL),
	(112, NULL, NULL, '302082', NULL, '004025', 'B04025', NULL, 'Time period or displacement', 'Minute', '0', '4', 'Minute', 0, -2048, 12, 0, NULL, NULL, NULL),
	(113, NULL, NULL, NULL, NULL, '014002', 'B14002', NULL, 'Long-wave radiation, integrated over period specified', 'J m-2', '-3', '4', 'J m-2', -3, -2048, 12, 0, NULL, NULL, NULL),
	(114, NULL, NULL, NULL, NULL, '014004', 'B14004', NULL, 'Short-wave radiation, integrated over period specified', 'J m-2', '-3', '4', 'J m-2', -3, -2048, 12, 0, NULL, NULL, NULL),
	(115, NULL, NULL, NULL, NULL, '014016', 'B14016', NULL, 'Net radiation, integrated over period specified', 'J m-2', '-4', '5', 'J m-2', -4, -16384, 15, 0, NULL, NULL, NULL),
	(116, NULL, NULL, NULL, NULL, '014028', 'B14028', NULL, 'Global solar radiation (high accuracy), integrated over period specified', 'J m-2', '-2', '5', 'J m-2', -2, 0, 16, 0, NULL, NULL, NULL),
	(117, NULL, NULL, NULL, NULL, '014029', 'B14029', NULL, 'Diffuse solar radiation (high accuracy), integrated over period specified', 'J m-2', '-2', '5', 'J m-2', -2, 0, 16, 0, NULL, NULL, NULL),
	(118, NULL, NULL, NULL, NULL, '014030', 'B14030', NULL, 'Direct solar radiation (high accuracy), integrated over period specified', 'J m-2', '-2', '5', 'J m-2', -2, 0, 16, 0, NULL, NULL, NULL);
/*!40000 ALTER TABLE `tm_307092` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_test_db_v4.tm_309052
CREATE TABLE IF NOT EXISTS `tm_309052` (
  `order` int(11) DEFAULT '0',
  `Bufr_Template` varchar(50) DEFAULT NULL,
  `CREX_Template` varchar(50) DEFAULT NULL,
  `Sequence_Descriptor1` varchar(255) DEFAULT NULL,
  `Sequence_Descriptor0` varchar(255) DEFAULT NULL,
  `Bufr_Element` varchar(255) DEFAULT NULL,
  `Crex_Element` varchar(50) DEFAULT NULL,
  `Climsoft_Element` varchar(50) DEFAULT NULL,
  `Element_Name` varchar(255) DEFAULT NULL,
  `Crex_Unit` varchar(25) DEFAULT NULL,
  `Crex_Scale` varchar(25) DEFAULT NULL,
  `Crex_DataWidth` varchar(25) DEFAULT NULL,
  `Bufr_Unit` varchar(255) DEFAULT NULL,
  `Bufr_Scale` int(11) DEFAULT NULL,
  `Bufr_RefValue` bigint(20) DEFAULT NULL,
  `Bufr_DataWidth_Bits` int(11) DEFAULT NULL,
  `Selected` tinyint(4) DEFAULT NULL,
  `Observation` varchar(255) DEFAULT NULL,
  `Crex_Data` varchar(30) DEFAULT NULL,
  `Bufr_Data` varchar(255) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_test_db_v4.tm_309052: ~49 rows (approximately)
/*!40000 ALTER TABLE `tm_309052` DISABLE KEYS */;
INSERT INTO `tm_309052` (`order`, `Bufr_Template`, `CREX_Template`, `Sequence_Descriptor1`, `Sequence_Descriptor0`, `Bufr_Element`, `Crex_Element`, `Climsoft_Element`, `Element_Name`, `Crex_Unit`, `Crex_Scale`, `Crex_DataWidth`, `Bufr_Unit`, `Bufr_Scale`, `Bufr_RefValue`, `Bufr_DataWidth_Bits`, `Selected`, `Observation`, `Crex_Data`, `Bufr_Data`) VALUES
	(32, NULL, NULL, NULL, '008042', '008042', 'B08042', '312', 'Extended vertical sounding significance', 'Flag table', '0', '6', 'Flag table', 0, 0, 18, 1, NULL, NULL, NULL),
	(33, NULL, NULL, NULL, '007004', '007004', 'B07004', '301', 'Pressure', 'Pa', '-1', '5', 'Pa', -1, 0, 14, 1, NULL, NULL, NULL),
	(34, NULL, NULL, NULL, '010009', '010009', 'B10009', '302', 'Geopotential height', 'gpm', '0', '5', 'gpm', 0, -1000, 17, 1, NULL, NULL, NULL),
	(35, NULL, NULL, NULL, '005015', '005015', 'B05015', '309', 'Latitude displacement (high accuracy)', 'Degree', '5', '7', 'Degree', 5, -9000000, 25, 1, NULL, NULL, NULL),
	(36, NULL, NULL, NULL, '006015', '006015', 'B06015', '310', 'Longitude displacement (high accuracy)', 'Degree', '5', '8', 'Degree', 5, -18000000, 26, 1, NULL, NULL, NULL),
	(37, NULL, NULL, NULL, '012101', '012101', 'B12101', '303', 'Temperature/dry-bulb temperature (scale 2)', '°C', '2', '4', 'K', 2, 0, 16, 1, NULL, NULL, NULL),
	(38, NULL, NULL, NULL, '012103', '012103', 'B12103', '304', 'Dew-point temperature (scale 2)', '°C', '2', '4', 'K', 2, 0, 16, 1, NULL, NULL, NULL),
	(39, NULL, NULL, NULL, '011001', '011001', 'B11001', '305', 'Wind direction', 'Degree true', '0', '3', 'Degree true', 0, 0, 9, 1, NULL, NULL, NULL),
	(40, NULL, NULL, NULL, '011002', '011002', 'B11002', '306', 'Wind speed', 'm s-1', '1', '4', 'm s-1', 1, 0, 12, 1, NULL, NULL, NULL),
	(41, NULL, NULL, '101000', '101000', '101000', 'R01000', NULL, 'Delayed replication of 1 descriptor', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL),
	(42, NULL, NULL, '031001', '031001', '031001', 'B31001', 'rep2', 'Delayed descriptor replication factor', 'Numeric', '0', '4', 'Numeric', 0, 0, 8, 1, NULL, NULL, NULL),
	(43, NULL, NULL, '303051', '004086', '004086', 'B04086', '311', 'Long time period or displacement (since launch time)', 'Second', '0', '5', 'Second', 0, -8192, 15, 1, NULL, NULL, NULL),
	(44, NULL, NULL, NULL, '008042', '008042', 'B08042', '312', 'Extended vertical sounding significance', 'Flag table', '0', '6', 'Flag table', 0, 0, 18, 1, NULL, NULL, NULL),
	(45, NULL, NULL, NULL, '007004', '007004', 'B07004', '301', 'Pressure', 'Pa', '-1', '5', 'Pa', -1, 0, 14, 1, NULL, NULL, NULL),
	(46, NULL, NULL, NULL, '005015', '005015', 'B05015', '309', 'Latitude displacement (high accuracy)', 'Degree', '5', '7', 'Degree', 5, -9000000, 25, 1, NULL, NULL, NULL),
	(21, NULL, NULL, '302049', '008002', '008002', 'B08002', '611', 'Vertical significance (surface observations)', 'Code table', '0', '2', 'Code table', 0, 0, 6, 1, NULL, NULL, NULL),
	(22, NULL, NULL, NULL, '020011', '020011', 'B20011', '632', 'Cloud amount (of low or middle clouds Nh)', 'Code table', '0', '2', 'Code table', 0, 0, 4, 1, NULL, NULL, NULL),
	(23, NULL, NULL, NULL, '020013', '020013', 'B20013', '130', 'Height of base of cloud', 'm', '-1', '4', 'm', -1, -40, 11, 1, NULL, NULL, NULL),
	(47, NULL, NULL, NULL, '006015', '006015', 'B06015', '310', 'Longitude displacement (high accuracy)', 'Degree', '5', '8', 'Degree', 5, -18000000, 26, 1, NULL, NULL, NULL),
	(48, NULL, NULL, NULL, '011061', '011061', 'B11061', '307', 'Absolute wind shear in 1 km layer below', 'm s-1', '1', '4', 'm s-1', 1, 0, 12, 1, NULL, NULL, NULL),
	(49, NULL, NULL, NULL, '011062', '011062', 'B11062', '308', 'Absolute wind shear in 1 km layer above', 'm s-1', '1', '4', 'm s-1', 1, 0, 12, 1, NULL, NULL, NULL),
	(1, '309052', 'D09052', '301111', '301001', '001001', 'B01001', 'station_WMO_bloc', 'WMO block number', 'Numeric', '0', '2', 'Numeric', 0, 0, 7, 1, NULL, NULL, NULL),
	(2, NULL, NULL, NULL, NULL, '001002', 'B01002', 'station_WMO_number', 'WMO station number', 'Numeric', '0', '3', 'Numeric', 0, 0, 10, 1, NULL, NULL, NULL),
	(3, NULL, NULL, NULL, '001011', '001011', 'B01011', 'mobil_id', 'Ship or mobile land station identifier', 'Character', '0', '9', 'CCITT IA5', 0, 0, 72, 1, NULL, NULL, NULL),
	(4, NULL, NULL, NULL, '002011', '002011', 'B02011', 'sode_type', 'Radiosonde type', 'Code table', '0', '3', 'Code table', 0, 0, 8, 1, NULL, NULL, NULL),
	(5, NULL, NULL, NULL, '002013', '002013', 'B02013', 'solar_corr', 'Solar and infrared radiation correction', 'Code table', '0', '2', 'Code table', 0, 0, 4, 1, NULL, NULL, NULL),
	(6, NULL, NULL, NULL, '002014', '002014', 'B02014', 'track_tech', 'Tracking technique/status of system used', 'Code table', '0', '3', 'Code table', 0, 0, 7, 1, NULL, NULL, NULL),
	(7, NULL, NULL, NULL, '002003', '002003', 'B02003', 'instr_type', 'Type of measuring equipment used', 'Code table', '0', '2', 'Code table', 0, 0, 4, 1, NULL, NULL, NULL),
	(8, NULL, NULL, '301113', '008021', '008021', 'B08021', 'w_TS', 'Time significance   ( = 18 (launch time))', 'Code table', '0', '2', 'Code table', 0, 0, 5, 1, NULL, NULL, NULL),
	(9, NULL, NULL, NULL, '301011', '004001', 'B04001', 'datetime_year', 'Year', 'Year', '0', '4', 'Year', 0, 0, 12, 1, NULL, NULL, NULL),
	(10, NULL, NULL, NULL, NULL, '004002', 'B04002', 'datetime_month', 'Month', 'Month', '0', '2', 'Month', 0, 0, 4, 1, NULL, NULL, NULL),
	(11, NULL, NULL, NULL, NULL, '004003', 'B04003', 'datetime_day', 'Day', 'Day', '0', '2', 'Day', 0, 0, 6, 1, NULL, NULL, NULL),
	(12, NULL, NULL, NULL, '301013', '004004', 'B04004', 'datetime_hour', 'Hour', 'Hour', '0', '2', 'Hour', 0, 0, 5, 1, NULL, NULL, NULL),
	(13, NULL, NULL, NULL, NULL, '004005', 'B04005', 'datetime_minute', 'Minute', 'Minute', '0', '2', 'Minute', 0, 0, 6, 1, NULL, NULL, NULL),
	(14, NULL, NULL, NULL, NULL, '004006', 'B04006', 'datetime_second', 'Second', 'Second', '0', '2', 'Second', 0, 0, 6, 1, NULL, NULL, NULL),
	(15, NULL, NULL, '301114', '301021', '005001', 'B05001', 'station_deglatitude', 'Latitude (high accuracy)', 'Degree', '5', '7', 'Degree', 5, -9000000, 25, 1, NULL, NULL, NULL),
	(16, NULL, NULL, NULL, NULL, '006001', 'B06001', 'station_deglongitude', 'Longitude (high accuracy)', 'Degree', '5', '8', 'Degree', 5, -18000000, 26, 1, NULL, NULL, NULL),
	(17, NULL, NULL, NULL, '007030', '007030', 'B07030', 'station_elevation', 'Height of station ground above mean sea level (see Note 3)', 'm', '1', '5', 'm', 1, -4000, 17, 1, NULL, NULL, NULL),
	(18, NULL, NULL, NULL, '007031', '007031', 'B07031', 'station_pressure_height', 'Height of barometer above mean sea level (see Note 4)', 'm', '1', '5', 'm', 1, -4000, 17, 1, NULL, NULL, NULL),
	(19, NULL, NULL, NULL, '007007', '007007', 'B07007', 'release_ht', 'Height of release of sonde above mean sea level', 'm', '0', '6', 'm', 0, -1000, 17, 1, NULL, NULL, NULL),
	(20, NULL, NULL, NULL, '033024', '033024', 'B33024', 'mobil_ht', 'Station elevation quality mark (for mobile stations)', 'Code table', '0', '2', 'Code table', 0, 0, 4, 1, NULL, NULL, NULL),
	(24, NULL, NULL, NULL, '020012', '020012', 'B20012', '663', 'Cloud type (low clouds CL)', 'Code table', '0', '2', 'Code table', 0, 0, 6, 1, NULL, NULL, NULL),
	(25, NULL, NULL, NULL, '020012', '020012', 'B20012', '664', 'Cloud type (middle clouds CM)', 'Code table', '0', '2', 'Code table', 0, 0, 6, 1, NULL, NULL, NULL),
	(26, NULL, NULL, NULL, '020012', '020012', 'B20012', '665', 'Cloud type (high clouds CH)', 'Code table', '0', '2', 'Code table', 0, 0, 6, 1, NULL, NULL, NULL),
	(27, NULL, NULL, NULL, '008002', '008002', 'B08002', '612', 'Vertical significance ( = missing value)', 'Code table', '0', '2', 'Code table', 0, 0, 6, 1, NULL, NULL, NULL),
	(28, NULL, NULL, '022043', '022043', '022043', 'B22043', 'sst', 'Sea/water temperature', 'K', '2', '5', 'K', 2, 0, 15, 1, NULL, NULL, NULL),
	(29, NULL, NULL, '101000', '101000', '101000', 'R01000', NULL, 'Delayed replication of 1 descriptor', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL),
	(30, NULL, NULL, '031002', '031002', '031002', 'B31002', 'rep1', 'Extended delayed descriptor replication factor', 'Numeric', '0', '4', 'Numeric', 0, 0, 16, 1, NULL, NULL, NULL),
	(31, NULL, NULL, '303054', '004086', '004086', 'B04086', '311', 'Long time period or displacement (since launch time)', 'Second', '0', '5', 'Second', 0, -8192, 15, 1, NULL, NULL, NULL);
/*!40000 ALTER TABLE `tm_309052` ENABLE KEYS */;


-- Dumping structure for table mariadb_climsoft_test_db_v4.userrecords
CREATE TABLE IF NOT EXISTS `userrecords` (
  `username` varchar(255) NOT NULL DEFAULT '',
  `recsdone` int(11) DEFAULT NULL,
  `recsexpt` int(11) DEFAULT NULL,
  `perform` int(11) DEFAULT NULL,
  PRIMARY KEY (`username`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table mariadb_climsoft_test_db_v4.userrecords: ~0 rows (approximately)
/*!40000 ALTER TABLE `userrecords` DISABLE KEYS */;
/*!40000 ALTER TABLE `userrecords` ENABLE KEYS */;
/*!40101 SET SQL_MODE=IFNULL(@OLD_SQL_MODE, '') */;
/*!40014 SET FOREIGN_KEY_CHECKS=IF(@OLD_FOREIGN_KEY_CHECKS IS NULL, 1, @OLD_FOREIGN_KEY_CHECKS) */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
